module Gutenberg.Frankenstein exposing(text, bytes) 

text : String
text = """Project Gutenberg's Frankenstein, by Mary Wollstonecraft (Godwin) Shelley

This eBook is for the use of anyone anywhere at no cost and with
almost no restrictions whatsoever.  You may copy it, give it away or
re-use it under the terms of the Project Gutenberg License included
with this eBook or online at www.gutenberg.net


Title: Frankenstein
       or The Modern Prometheus

Author: Mary Wollstonecraft (Godwin) Shelley

Release Date: June 17, 2008 [EBook #84]
Last updated: January 13, 2018

Language: English

Character set encoding: UTF-8

*** START OF THIS PROJECT GUTENBERG EBOOK FRANKENSTEIN ***




Produced by Judith Boss, Christy Phillips, Lynn Hanninen,
and David Meltzer. HTML version by Al Haines.
Further corrections by Menno de Leeuw.



Frankenstein;


or, the Modern Prometheus




by


Mary Wollstonecraft (Godwin) Shelley






CONTENTS




Letter 1

Letter 2

Letter 3

Letter 4

Chapter 1

Chapter 2

Chapter 3

Chapter 4

Chapter 5

Chapter 6

Chapter 7

Chapter 8

Chapter 9

Chapter 10

Chapter 11

Chapter 12

Chapter 13

Chapter 14

Chapter 15

Chapter 16

Chapter 17

Chapter 18

Chapter 19

Chapter 20

Chapter 21

Chapter 22

Chapter 23

Chapter 24





Letter 1

_To Mrs. Saville, England._


St. Petersburgh, Dec. 11th, 17—.


You will rejoice to hear that no disaster has accompanied the
commencement of an enterprise which you have regarded with such evil
forebodings.  I arrived here yesterday, and my first task is to assure
my dear sister of my welfare and increasing confidence in the success
of my undertaking.

I am already far north of London, and as I walk in the streets of
Petersburgh, I feel a cold northern breeze play upon my cheeks, which
braces my nerves and fills me with delight.  Do you understand this
feeling?  This breeze, which has travelled from the regions towards
which I am advancing, gives me a foretaste of those icy climes.
Inspirited by this wind of promise, my daydreams become more fervent
and vivid.  I try in vain to be persuaded that the pole is the seat of
frost and desolation; it ever presents itself to my imagination as the
region of beauty and delight.  There, Margaret, the sun is for ever
visible, its broad disk just skirting the horizon and diffusing a
perpetual splendour.  There—for with your leave, my sister, I will put
some trust in preceding navigators—there snow and frost are banished;
and, sailing over a calm sea, we may be wafted to a land surpassing in
wonders and in beauty every region hitherto discovered on the habitable
globe.  Its productions and features may be without example, as the
phenomena of the heavenly bodies undoubtedly are in those undiscovered
solitudes.  What may not be expected in a country of eternal light?  I
may there discover the wondrous power which attracts the needle and may
regulate a thousand celestial observations that require only this
voyage to render their seeming eccentricities consistent for ever.  I
shall satiate my ardent curiosity with the sight of a part of the world
never before visited, and may tread a land never before imprinted by
the foot of man. These are my enticements, and they are sufficient to
conquer all fear of danger or death and to induce me to commence this
laborious voyage with the joy a child feels when he embarks in a little
boat, with his holiday mates, on an expedition of discovery up his
native river. But supposing all these conjectures to be false, you
cannot contest the inestimable benefit which I shall confer on all
mankind, to the last generation, by discovering a passage near the pole
to those countries, to reach which at present so many months are
requisite; or by ascertaining the secret of the magnet, which, if at
all possible, can only be effected by an undertaking such as mine.

These reflections have dispelled the agitation with which I began my
letter, and I feel my heart glow with an enthusiasm which elevates me
to heaven, for nothing contributes so much to tranquillise the mind as
a steady purpose—a point on which the soul may fix its intellectual
eye.  This expedition has been the favourite dream of my early years. I
have read with ardour the accounts of the various voyages which have
been made in the prospect of arriving at the North Pacific Ocean
through the seas which surround the pole.  You may remember that a
history of all the voyages made for purposes of discovery composed the
whole of our good Uncle Thomas’ library.  My education was neglected,
yet I was passionately fond of reading.  These volumes were my study
day and night, and my familiarity with them increased that regret which
I had felt, as a child, on learning that my father’s dying injunction
had forbidden my uncle to allow me to embark in a seafaring life.

These visions faded when I perused, for the first time, those poets
whose effusions entranced my soul and lifted it to heaven.  I also
became a poet and for one year lived in a paradise of my own creation;
I imagined that I also might obtain a niche in the temple where the
names of Homer and Shakespeare are consecrated.  You are well
acquainted with my failure and how heavily I bore the disappointment.
But just at that time I inherited the fortune of my cousin, and my
thoughts were turned into the channel of their earlier bent.

Six years have passed since I resolved on my present undertaking.  I
can, even now, remember the hour from which I dedicated myself to this
great enterprise.  I commenced by inuring my body to hardship.  I
accompanied the whale-fishers on several expeditions to the North Sea;
I voluntarily endured cold, famine, thirst, and want of sleep; I often
worked harder than the common sailors during the day and devoted my
nights to the study of mathematics, the theory of medicine, and those
branches of physical science from which a naval adventurer might derive
the greatest practical advantage.  Twice I actually hired myself as an
under-mate in a Greenland whaler, and acquitted myself to admiration. I
must own I felt a little proud when my captain offered me the second
dignity in the vessel and entreated me to remain with the greatest
earnestness, so valuable did he consider my services.

And now, dear Margaret, do I not deserve to accomplish some great purpose?
My life might have been passed in ease and luxury, but I preferred glory to
every enticement that wealth placed in my path. Oh, that some encouraging
voice would answer in the affirmative! My courage and my resolution is
firm; but my hopes fluctuate, and my spirits are often depressed. I am
about to proceed on a long and difficult voyage, the emergencies of which
will demand all my fortitude: I am required not only to raise the spirits
of others, but sometimes to sustain my own, when theirs are failing.

This is the most favourable period for travelling in Russia.  They fly
quickly over the snow in their sledges; the motion is pleasant, and, in
my opinion, far more agreeable than that of an English stagecoach.  The
cold is not excessive, if you are wrapped in furs—a dress which I have
already adopted, for there is a great difference between walking the
deck and remaining seated motionless for hours, when no exercise
prevents the blood from actually freezing in your veins.  I have no
ambition to lose my life on the post-road between St. Petersburgh and
Archangel.

I shall depart for the latter town in a fortnight or three weeks; and my
intention is to hire a ship there, which can easily be done by paying the
insurance for the owner, and to engage as many sailors as I think necessary
among those who are accustomed to the whale-fishing. I do not intend to
sail until the month of June; and when shall I return? Ah, dear sister, how
can I answer this question? If I succeed, many, many months, perhaps years,
will pass before you and I may meet. If I fail, you will see me again soon,
or never.

Farewell, my dear, excellent Margaret. Heaven shower down blessings on you,
and save me, that I may again and again testify my gratitude for all your
love and kindness.

Your affectionate brother,

R. Walton






Letter 2




_To Mrs. Saville, England._


Archangel, 28th March, 17—.


How slowly the time passes here, encompassed as I am by frost and snow!
Yet a second step is taken towards my enterprise.  I have hired a
vessel and am occupied in collecting my sailors; those whom I have
already engaged appear to be men on whom I can depend and are certainly
possessed of dauntless courage.

But I have one want which I have never yet been able to satisfy, and the
absence of the object of which I now feel as a most severe evil, I have no
friend, Margaret: when I am glowing with the enthusiasm of success, there
will be none to participate my joy; if I am assailed by disappointment, no
one will endeavour to sustain me in dejection. I shall commit my thoughts
to paper, it is true; but that is a poor medium for the communication of
feeling. I desire the company of a man who could sympathise with me, whose
eyes would reply to mine. You may deem me romantic, my dear sister, but I
bitterly feel the want of a friend. I have no one near me, gentle yet
courageous, possessed of a cultivated as well as of a capacious mind, whose
tastes are like my own, to approve or amend my plans. How would such a
friend repair the faults of your poor brother! I am too ardent in execution
and too impatient of difficulties. But it is a still greater evil to me
that I am self-educated: for the first fourteen years of my life I ran wild
on a common and read nothing but our Uncle Thomas’ books of voyages.
At that age I became acquainted with the celebrated poets of our own
country; but it was only when it had ceased to be in my power to derive its
most important benefits from such a conviction that I perceived the
necessity of becoming acquainted with more languages than that of my native
country. Now I am twenty-eight and am in reality more illiterate than many
schoolboys of fifteen. It is true that I have thought more and that my
daydreams are more extended and magnificent, but they want (as the painters
call it) _keeping;_ and I greatly need a friend who would have sense
enough not to despise me as romantic, and affection enough for me to
endeavour to regulate my mind.

Well, these are useless complaints; I shall certainly find no friend on the
wide ocean, nor even here in Archangel, among merchants and seamen. Yet
some feelings, unallied to the dross of human nature, beat even in these
rugged bosoms. My lieutenant, for instance, is a man of wonderful courage
and enterprise; he is madly desirous of glory, or rather, to word my phrase
more characteristically, of advancement in his profession. He is an
Englishman, and in the midst of national and professional prejudices,
unsoftened by cultivation, retains some of the noblest endowments of
humanity. I first became acquainted with him on board a whale vessel;
finding that he was unemployed in this city, I easily engaged him to assist
in my enterprise.

The master is a person of an excellent disposition and is remarkable in the
ship for his gentleness and the mildness of his discipline. This
circumstance, added to his well-known integrity and dauntless courage, made
me very desirous to engage him. A youth passed in solitude, my best years
spent under your gentle and feminine fosterage, has so refined the
groundwork of my character that I cannot overcome an intense distaste to
the usual brutality exercised on board ship: I have never believed it to be
necessary, and when I heard of a mariner equally noted for his kindliness
of heart and the respect and obedience paid to him by his crew, I felt
myself peculiarly fortunate in being able to secure his services. I heard
of him first in rather a romantic manner, from a lady who owes to him the
happiness of her life. This, briefly, is his story. Some years ago he loved
a young Russian lady of moderate fortune, and having amassed a considerable
sum in prize-money, the father of the girl consented to the match. He saw
his mistress once before the destined ceremony; but she was bathed in
tears, and throwing herself at his feet, entreated him to spare her,
confessing at the same time that she loved another, but that he was poor,
and that her father would never consent to the union. My generous friend
reassured the suppliant, and on being informed of the name of her lover,
instantly abandoned his pursuit. He had already bought a farm with his
money, on which he had designed to pass the remainder of his life; but he
bestowed the whole on his rival, together with the remains of his
prize-money to purchase stock, and then himself solicited the young
woman’s father to consent to her marriage with her lover. But the old
man decidedly refused, thinking himself bound in honour to my friend, who,
when he found the father inexorable, quitted his country, nor returned
until he heard that his former mistress was married according to her
inclinations. “What a noble fellow!” you will exclaim. He is
so; but then he is wholly uneducated: he is as silent as a Turk, and a kind
of ignorant carelessness attends him, which, while it renders his conduct
the more astonishing, detracts from the interest and sympathy which
otherwise he would command.

Yet do not suppose, because I complain a little or because I can
conceive a consolation for my toils which I may never know, that I am
wavering in my resolutions.  Those are as fixed as fate, and my voyage
is only now delayed until the weather shall permit my embarkation.  The
winter has been dreadfully severe, but the spring promises well, and it
is considered as a remarkably early season, so that perhaps I may sail
sooner than I expected.  I shall do nothing rashly:  you know me
sufficiently to confide in my prudence and considerateness whenever the
safety of others is committed to my care.

I cannot describe to you my sensations on the near prospect of my
undertaking.  It is impossible to communicate to you a conception of
the trembling sensation, half pleasurable and half fearful, with which
I am preparing to depart.  I am going to unexplored regions, to “the
land of mist and snow,” but I shall kill no albatross; therefore do not
be alarmed for my safety or if I should come back to you as worn and
woeful as the “Ancient Mariner.”  You will smile at my allusion, but I
will disclose a secret.  I have often attributed my attachment to, my
passionate enthusiasm for, the dangerous mysteries of ocean to that
production of the most imaginative of modern poets.  There is something
at work in my soul which I do not understand.  I am practically
industrious—painstaking, a workman to execute with perseverance and
labour—but besides this there is a love for the marvellous, a belief
in the marvellous, intertwined in all my projects, which hurries me out
of the common pathways of men, even to the wild sea and unvisited
regions I am about to explore.

But to return to dearer considerations. Shall I meet you again, after
having traversed immense seas, and returned by the most southern cape of
Africa or America?  I dare not expect such success, yet I cannot bear to
look on the reverse of the picture.  Continue for the present to write to
me by every opportunity: I may receive your letters on some occasions when
I need them most to support my spirits.  I love you very tenderly. 
Remember me with affection, should you never hear from me again.

Your affectionate brother,
  Robert Walton






Letter 3




_To Mrs. Saville, England._


July 7th, 17—.


My dear Sister,

I write a few lines in haste to say that I am safe—and well advanced
on my voyage.  This letter will reach England by a merchantman now on
its homeward voyage from Archangel; more fortunate than I, who may not
see my native land, perhaps, for many years.  I am, however, in good
spirits:  my men are bold and apparently firm of purpose, nor do the
floating sheets of ice that continually pass us, indicating the dangers
of the region towards which we are advancing, appear to dismay them. We
have already reached a very high latitude; but it is the height of
summer, and although not so warm as in England, the southern gales,
which blow us speedily towards those shores which I so ardently desire
to attain, breathe a degree of renovating warmth which I had not
expected.

No incidents have hitherto befallen us that would make a figure in a
letter.  One or two stiff gales and the springing of a leak are
accidents which experienced navigators scarcely remember to record, and
I shall be well content if nothing worse happen to us during our voyage.

Adieu, my dear Margaret.  Be assured that for my own sake, as well as
yours, I will not rashly encounter danger.  I will be cool,
persevering, and prudent.

But success _shall_ crown my endeavours.  Wherefore not?  Thus far I
have gone, tracing a secure way over the pathless seas, the very stars
themselves being witnesses and testimonies of my triumph.  Why not
still proceed over the untamed yet obedient element?  What can stop the
determined heart and resolved will of man?

My swelling heart involuntarily pours itself out thus.  But I must
finish.  Heaven bless my beloved sister!

R.W.






Letter 4




_To Mrs. Saville, England._


August 5th, 17—.


So strange an accident has happened to us that I cannot forbear
recording it, although it is very probable that you will see me before
these papers can come into your possession.

Last Monday (July 31st) we were nearly surrounded by ice, which closed
in the ship on all sides, scarcely leaving her the sea-room in which
she floated.  Our situation was somewhat dangerous, especially as we
were compassed round by a very thick fog.  We accordingly lay to,
hoping that some change would take place in the atmosphere and weather.

About two o’clock the mist cleared away, and we beheld, stretched out
in every direction, vast and irregular plains of ice, which seemed to
have no end.  Some of my comrades groaned, and my own mind began to
grow watchful with anxious thoughts, when a strange sight suddenly
attracted our attention and diverted our solicitude from our own
situation.  We perceived a low carriage, fixed on a sledge and drawn by
dogs, pass on towards the north, at the distance of half a mile; a
being which had the shape of a man, but apparently of gigantic stature,
sat in the sledge and guided the dogs.  We watched the rapid progress
of the traveller with our telescopes until he was lost among the
distant inequalities of the ice.

This appearance excited our unqualified wonder. We were, as we believed,
many hundred miles from any land; but this apparition seemed to denote that
it was not, in reality, so distant as we had supposed. Shut in, however, by
ice, it was impossible to follow his track, which we had observed with the
greatest attention.

About two hours after this occurrence we heard the ground sea, and before
night the ice broke and freed our ship. We, however, lay to until the
morning, fearing to encounter in the dark those large loose masses which
float about after the breaking up of the ice. I profited of this time to
rest for a few hours.

In the morning, however, as soon as it was light, I went upon deck and
found all the sailors busy on one side of the vessel, apparently
talking to someone in the sea.  It was, in fact, a sledge, like that we
had seen before, which had drifted towards us in the night on a large
fragment of ice.  Only one dog remained alive; but there was a human
being within it whom the sailors were persuading to enter the vessel.
He was not, as the other traveller seemed to be, a savage inhabitant of
some undiscovered island, but a European.  When I appeared on deck the
master said, “Here is our captain, and he will not allow you to perish
on the open sea.”

On perceiving me, the stranger addressed me in English, although with a
foreign accent.  “Before I come on board your vessel,” said he,
“will you have the kindness to inform me whither you are bound?”

You may conceive my astonishment on hearing such a question addressed
to me from a man on the brink of destruction and to whom I should have
supposed that my vessel would have been a resource which he would not
have exchanged for the most precious wealth the earth can afford.  I
replied, however, that we were on a voyage of discovery towards the
northern pole.

Upon hearing this he appeared satisfied and consented to come on board.
Good God!  Margaret, if you had seen the man who thus capitulated for
his safety, your surprise would have been boundless.  His limbs were
nearly frozen, and his body dreadfully emaciated by fatigue and
suffering.  I never saw a man in so wretched a condition.  We attempted
to carry him into the cabin, but as soon as he had quitted the fresh
air he fainted.  We accordingly brought him back to the deck and
restored him to animation by rubbing him with brandy and forcing him to
swallow a small quantity.  As soon as he showed signs of life we
wrapped him up in blankets and placed him near the chimney of the
kitchen stove.  By slow degrees he recovered and ate a little soup,
which restored him wonderfully.

Two days passed in this manner before he was able to speak, and I often
feared that his sufferings had deprived him of understanding.  When he
had in some measure recovered, I removed him to my own cabin and
attended on him as much as my duty would permit.  I never saw a more
interesting creature:  his eyes have generally an expression of
wildness, and even madness, but there are moments when, if anyone
performs an act of kindness towards him or does him any the most
trifling service, his whole countenance is lighted up, as it were, with
a beam of benevolence and sweetness that I never saw equalled.  But he
is generally melancholy and despairing, and sometimes he gnashes his
teeth, as if impatient of the weight of woes that oppresses him.

When my guest was a little recovered I had great trouble to keep off
the men, who wished to ask him a thousand questions; but I would not
allow him to be tormented by their idle curiosity, in a state of body
and mind whose restoration evidently depended upon entire repose.
Once, however, the lieutenant asked why he had come so far upon the ice
in so strange a vehicle.

His countenance instantly assumed an aspect of the deepest gloom, and
he replied, “To seek one who fled from me.”

“And did the man whom you pursued travel in the same fashion?”

“Yes.”

“Then I fancy we have seen him, for the day before we picked you up we
saw some dogs drawing a sledge, with a man in it, across the ice.”

This aroused the stranger’s attention, and he asked a multitude of
questions concerning the route which the dæmon, as he called him, had
pursued.  Soon after, when he was alone with me, he said, “I have,
doubtless, excited your curiosity, as well as that of these good
people; but you are too considerate to make inquiries.”

“Certainly; it would indeed be very impertinent and inhuman in me to
trouble you with any inquisitiveness of mine.”

“And yet you rescued me from a strange and perilous situation; you have
benevolently restored me to life.”

Soon after this he inquired if I thought that the breaking up of the
ice had destroyed the other sledge.  I replied that I could not answer
with any degree of certainty, for the ice had not broken until near
midnight, and the traveller might have arrived at a place of safety
before that time; but of this I could not judge.

From this time a new spirit of life animated the decaying frame of the
stranger. He manifested the greatest eagerness to be upon deck to watch for
the sledge which had before appeared; but I have persuaded him to remain in
the cabin, for he is far too weak to sustain the rawness of the atmosphere.
I have promised that someone should watch for him and give him instant
notice if any new object should appear in sight.

Such is my journal of what relates to this strange occurrence up to the
present day.  The stranger has gradually improved in health but is very
silent and appears uneasy when anyone except myself enters his cabin.
Yet his manners are so conciliating and gentle that the sailors are all
interested in him, although they have had very little communication
with him.  For my own part, I begin to love him as a brother, and his
constant and deep grief fills me with sympathy and compassion.  He must
have been a noble creature in his better days, being even now in wreck
so attractive and amiable.

I said in one of my letters, my dear Margaret, that I should find no friend
on the wide ocean; yet I have found a man who, before his spirit had been
broken by misery, I should have been happy to have possessed as the brother
of my heart.

I shall continue my journal concerning the stranger at intervals,
should I have any fresh incidents to record.




August 13th, 17—.


My affection for my guest increases every day.  He excites at once my
admiration and my pity to an astonishing degree.  How can I see so
noble a creature destroyed by misery without feeling the most poignant
grief?  He is so gentle, yet so wise; his mind is so cultivated, and
when he speaks, although his words are culled with the choicest art,
yet they flow with rapidity and unparalleled eloquence.

He is now much recovered from his illness and is continually on the deck,
apparently watching for the sledge that preceded his own. Yet, although
unhappy, he is not so utterly occupied by his own misery but that he
interests himself deeply in the projects of others. He has frequently
conversed with me on mine, which I have communicated to him without
disguise. He entered attentively into all my arguments in favour of my
eventual success and into every minute detail of the measures I had taken
to secure it. I was easily led by the sympathy which he evinced to use the
language of my heart, to give utterance to the burning ardour of my soul
and to say, with all the fervour that warmed me, how gladly I would
sacrifice my fortune, my existence, my every hope, to the furtherance of my
enterprise. One man’s life or death were but a small price to pay for
the acquirement of the knowledge which I sought, for the dominion I should
acquire and transmit over the elemental foes of our race. As I spoke, a
dark gloom spread over my listener’s countenance. At first I
perceived that he tried to suppress his emotion; he placed his hands before
his eyes, and my voice quivered and failed me as I beheld tears trickle
fast from between his fingers; a groan burst from his heaving breast. I
paused; at length he spoke, in broken accents: “Unhappy man! Do you
share my madness? Have you drunk also of the intoxicating draught? Hear me;
let me reveal my tale, and you will dash the cup from your lips!”

Such words, you may imagine, strongly excited my curiosity; but the
paroxysm of grief that had seized the stranger overcame his weakened
powers, and many hours of repose and tranquil conversation were
necessary to restore his composure.

Having conquered the violence of his feelings, he appeared to despise
himself for being the slave of passion; and quelling the dark tyranny of
despair, he led me again to converse concerning myself personally. He asked
me the history of my earlier years. The tale was quickly told, but it
awakened various trains of reflection. I spoke of my desire of finding a
friend, of my thirst for a more intimate sympathy with a fellow mind than
had ever fallen to my lot, and expressed my conviction that a man could
boast of little happiness who did not enjoy this blessing.

“I agree with you,” replied the stranger; “we are
unfashioned creatures, but half made up, if one wiser, better, dearer than
ourselves—such a friend ought to be—do not lend his aid to
perfectionate our weak and faulty natures. I once had a friend, the most
noble of human creatures, and am entitled, therefore, to judge respecting
friendship. You have hope, and the world before you, and have no cause for
despair. But I—I have lost everything and cannot begin life
anew.”

As he said this his countenance became expressive of a calm, settled
grief that touched me to the heart.  But he was silent and presently
retired to his cabin.

Even broken in spirit as he is, no one can feel more deeply than he
does the beauties of nature.  The starry sky, the sea, and every sight
afforded by these wonderful regions seem still to have the power of
elevating his soul from earth.  Such a man has a double existence:  he
may suffer misery and be overwhelmed by disappointments, yet when he
has retired into himself, he will be like a celestial spirit that has a
halo around him, within whose circle no grief or folly ventures.

Will you smile at the enthusiasm I express concerning this divine
wanderer?  You would not if you saw him.  You have been tutored and
refined by books and retirement from the world, and you are therefore
somewhat fastidious; but this only renders you the more fit to
appreciate the extraordinary merits of this wonderful man.  Sometimes I
have endeavoured to discover what quality it is which he possesses that
elevates him so immeasurably above any other person I ever knew.  I
believe it to be an intuitive discernment, a quick but never-failing
power of judgment, a penetration into the causes of things, unequalled
for clearness and precision; add to this a facility of expression and a
voice whose varied intonations are soul-subduing music.




August 19th, 17—.


Yesterday the stranger said to me, “You may easily perceive, Captain
Walton, that I have suffered great and unparalleled misfortunes.  I had
determined at one time that the memory of these evils should die with
me, but you have won me to alter my determination.  You seek for
knowledge and wisdom, as I once did; and I ardently hope that the
gratification of your wishes may not be a serpent to sting you, as mine
has been.  I do not know that the relation of my disasters will be
useful to you; yet, when I reflect that you are pursuing the same
course, exposing yourself to the same dangers which have rendered me
what I am, I imagine that you may deduce an apt moral from my tale, one
that may direct you if you succeed in your undertaking and console you
in case of failure.  Prepare to hear of occurrences which are usually
deemed marvellous.  Were we among the tamer scenes of nature I might
fear to encounter your unbelief, perhaps your ridicule; but many things
will appear possible in these wild and mysterious regions which would
provoke the laughter of those unacquainted with the ever-varied powers
of nature; nor can I doubt but that my tale conveys in its series
internal evidence of the truth of the events of which it is composed.”

You may easily imagine that I was much gratified by the offered
communication, yet I could not endure that he should renew his grief by
a recital of his misfortunes.  I felt the greatest eagerness to hear
the promised narrative, partly from curiosity and partly from a strong
desire to ameliorate his fate if it were in my power.  I expressed
these feelings in my answer.

“I thank you,” he replied, “for your sympathy, but it is
useless; my fate is nearly fulfilled.  I wait but for one event, and then I
shall repose in peace.  I understand your feeling,” continued he,
perceiving that I wished to interrupt him; “but you are mistaken, my
friend, if thus you will allow me to name you; nothing can alter my
destiny; listen to my history, and you will perceive how irrevocably it is
determined.”

He then told me that he would commence his narrative the next day when I
should be at leisure. This promise drew from me the warmest thanks. I have
resolved every night, when I am not imperatively occupied by my duties, to
record, as nearly as possible in his own words, what he has related during
the day. If I should be engaged, I will at least make notes. This
manuscript will doubtless afford you the greatest pleasure; but to me, who
know him, and who hear it from his own lips—with what interest and
sympathy shall I read it in some future day! Even now, as I commence my
task, his full-toned voice swells in my ears; his lustrous eyes dwell on me
with all their melancholy sweetness; I see his thin hand raised in
animation, while the lineaments of his face are irradiated by the soul
within. Strange and harrowing must be his story, frightful the storm which
embraced the gallant vessel on its course and wrecked it—thus!





Chapter 1

I am by birth a Genevese, and my family is one of the most
distinguished of that republic.  My ancestors had been for many years
counsellors and syndics, and my father had filled several public
situations with honour and reputation.  He was respected by all who
knew him for his integrity and indefatigable attention to public
business.  He passed his younger days perpetually occupied by the
affairs of his country; a variety of circumstances had prevented his
marrying early, nor was it until the decline of life that he became a
husband and the father of a family.

As the circumstances of his marriage illustrate his character, I cannot
refrain from relating them.  One of his most intimate friends was a
merchant who, from a flourishing state, fell, through numerous
mischances, into poverty.  This man, whose name was Beaufort, was of a
proud and unbending disposition and could not bear to live in poverty
and oblivion in the same country where he had formerly been
distinguished for his rank and magnificence.  Having paid his debts,
therefore, in the most honourable manner, he retreated with his
daughter to the town of Lucerne, where he lived unknown and in
wretchedness.  My father loved Beaufort with the truest friendship and
was deeply grieved by his retreat in these unfortunate circumstances.
He bitterly deplored the false pride which led his friend to a conduct
so little worthy of the affection that united them.  He lost no time in
endeavouring to seek him out, with the hope of persuading him to begin
the world again through his credit and assistance.

Beaufort had taken effectual measures to conceal himself, and it was ten
months before my father discovered his abode. Overjoyed at this discovery,
he hastened to the house, which was situated in a mean street near the
Reuss. But when he entered, misery and despair alone welcomed him. Beaufort
had saved but a very small sum of money from the wreck of his fortunes, but
it was sufficient to provide him with sustenance for some months, and in
the meantime he hoped to procure some respectable employment in a
merchant’s house. The interval was, consequently, spent in inaction;
his grief only became more deep and rankling when he had leisure for
reflection, and at length it took so fast hold of his mind that at the end
of three months he lay on a bed of sickness, incapable of any exertion.

His daughter attended him with the greatest tenderness, but she saw
with despair that their little fund was rapidly decreasing and that
there was no other prospect of support.  But Caroline Beaufort
possessed a mind of an uncommon mould, and her courage rose to support
her in her adversity.  She procured plain work; she plaited straw and
by various means contrived to earn a pittance scarcely sufficient to
support life.

Several months passed in this manner.  Her father grew worse; her time
was more entirely occupied in attending him; her means of subsistence
decreased; and in the tenth month her father died in her arms, leaving
her an orphan and a beggar.  This last blow overcame her, and she knelt
by Beaufort’s coffin weeping bitterly, when my father entered the
chamber.  He came like a protecting spirit to the poor girl, who
committed herself to his care; and after the interment of his friend he
conducted her to Geneva and placed her under the protection of a
relation.  Two years after this event Caroline became his wife.

There was a considerable difference between the ages of my parents, but
this circumstance seemed to unite them only closer in bonds of devoted
affection.  There was a sense of justice in my father’s upright mind
which rendered it necessary that he should approve highly to love
strongly.  Perhaps during former years he had suffered from the
late-discovered unworthiness of one beloved and so was disposed to set
a greater value on tried worth.  There was a show of gratitude and
worship in his attachment to my mother, differing wholly from the
doting fondness of age, for it was inspired by reverence for her
virtues and a desire to be the means of, in some degree, recompensing
her for the sorrows she had endured, but which gave inexpressible grace
to his behaviour to her.  Everything was made to yield to her wishes
and her convenience.  He strove to shelter her, as a fair exotic is
sheltered by the gardener, from every rougher wind and to surround her
with all that could tend to excite pleasurable emotion in her soft and
benevolent mind.  Her health, and even the tranquillity of her hitherto
constant spirit, had been shaken by what she had gone through.  During
the two years that had elapsed previous to their marriage my father had
gradually relinquished all his public functions; and immediately after
their union they sought the pleasant climate of Italy, and the change
of scene and interest attendant on a tour through that land of wonders,
as a restorative for her weakened frame.

From Italy they visited Germany and France. I, their eldest child, was born
at Naples, and as an infant accompanied them in their rambles. I remained
for several years their only child. Much as they were attached to each
other, they seemed to draw inexhaustible stores of affection from a very
mine of love to bestow them upon me. My mother’s tender caresses and
my father’s smile of benevolent pleasure while regarding me are my
first recollections. I was their plaything and their idol, and something
better—their child, the innocent and helpless creature bestowed on
them by Heaven, whom to bring up to good, and whose future lot it was in
their hands to direct to happiness or misery, according as they fulfilled
their duties towards me. With this deep consciousness of what they owed
towards the being to which they had given life, added to the active spirit
of tenderness that animated both, it may be imagined that while during
every hour of my infant life I received a lesson of patience, of charity,
and of self-control, I was so guided by a silken cord that all seemed but
one train of enjoyment to me.

For a long time I was their only care. My mother had much desired to have a
daughter, but I continued their single offspring. When I was about five
years old, while making an excursion beyond the frontiers of Italy, they
passed a week on the shores of the Lake of Como. Their benevolent
disposition often made them enter the cottages of the poor. This, to my
mother, was more than a duty; it was a necessity, a
passion—remembering what she had suffered, and how she had been
relieved—for her to act in her turn the guardian angel to the
afflicted. During one of their walks a poor cot in the foldings of a vale
attracted their notice as being singularly disconsolate, while the number
of half-clothed children gathered about it spoke of penury in its worst
shape. One day, when my father had gone by himself to Milan, my mother,
accompanied by me, visited this abode. She found a peasant and his wife,
hard working, bent down by care and labour, distributing a scanty meal to
five hungry babes. Among these there was one which attracted my mother far
above all the rest. She appeared of a different stock. The four others were
dark-eyed, hardy little vagrants; this child was thin and very fair. Her
hair was the brightest living gold, and despite the poverty of her
clothing, seemed to set a crown of distinction on her head. Her brow was
clear and ample, her blue eyes cloudless, and her lips and the moulding of
her face so expressive of sensibility and sweetness that none could behold
her without looking on her as of a distinct species, a being heaven-sent,
and bearing a celestial stamp in all her features.

The peasant woman, perceiving that my mother fixed eyes of wonder and
admiration on this lovely girl, eagerly communicated her history. She was
not her child, but the daughter of a Milanese nobleman. Her mother was a
German and had died on giving her birth. The infant had been placed with
these good people to nurse: they were better off then. They had not been
long married, and their eldest child was but just born. The father of their
charge was one of those Italians nursed in the memory of the antique glory
of Italy—one among the _schiavi ognor frementi,_ who exerted
himself to obtain the liberty of his country. He became the victim of its
weakness. Whether he had died or still lingered in the dungeons of Austria
was not known. His property was confiscated; his child became an orphan and
a beggar. She continued with her foster parents and bloomed in their rude
abode, fairer than a garden rose among dark-leaved brambles.

When my father returned from Milan, he found playing with me in the hall of
our villa a child fairer than pictured cherub—a creature who seemed
to shed radiance from her looks and whose form and motions were lighter
than the chamois of the hills. The apparition was soon explained. With his
permission my mother prevailed on her rustic guardians to yield their
charge to her. They were fond of the sweet orphan. Her presence had seemed
a blessing to them, but it would be unfair to her to keep her in poverty
and want when Providence afforded her such powerful protection. They
consulted their village priest, and the result was that Elizabeth Lavenza
became the inmate of my parents’ house—my more than
sister—the beautiful and adored companion of all my occupations and
my pleasures.

Everyone loved Elizabeth.  The passionate and almost reverential
attachment with which all regarded her became, while I shared it, my
pride and my delight.  On the evening previous to her being brought to
my home, my mother had said playfully, “I have a pretty present for my
Victor—tomorrow he shall have it.”  And when, on the morrow, she
presented Elizabeth to me as her promised gift, I, with childish
seriousness, interpreted her words literally and looked upon Elizabeth
as mine—mine to protect, love, and cherish.  All praises bestowed on
her I received as made to a possession of my own.  We called each other
familiarly by the name of cousin.  No word, no expression could body
forth the kind of relation in which she stood to me—my more than
sister, since till death she was to be mine only.





Chapter 2

We were brought up together; there was not quite a year difference in
our ages.  I need not say that we were strangers to any species of
disunion or dispute.  Harmony was the soul of our companionship, and
the diversity and contrast that subsisted in our characters drew us
nearer together.  Elizabeth was of a calmer and more concentrated
disposition; but, with all my ardour, I was capable of a more intense
application and was more deeply smitten with the thirst for knowledge.
She busied herself with following the aerial creations of the poets;
and in the majestic and wondrous scenes which surrounded our Swiss
home —the sublime shapes of the mountains, the changes of the seasons,
tempest and calm, the silence of winter, and the life and turbulence of
our Alpine summers—she found ample scope for admiration and delight.
While my companion contemplated with a serious and satisfied spirit the
magnificent appearances of things, I delighted in investigating their
causes.  The world was to me a secret which I desired to divine.
Curiosity, earnest research to learn the hidden laws of nature,
gladness akin to rapture, as they were unfolded to me, are among the
earliest sensations I can remember.

On the birth of a second son, my junior by seven years, my parents gave
up entirely their wandering life and fixed themselves in their native
country. We possessed a house in Geneva, and a _campagne_ on Belrive,
the eastern shore of the lake, at the distance of rather more than a
league from the city. We resided principally in the latter, and the
lives of my parents were passed in considerable seclusion. It was my
temper to avoid a crowd and to attach myself fervently to a few. I was
indifferent, therefore, to my school-fellows in general; but I united
myself in the bonds of the closest friendship to one among them. Henry
Clerval was the son of a merchant of Geneva. He was a boy of singular
talent and fancy. He loved enterprise, hardship, and even danger for
its own sake. He was deeply read in books of chivalry and romance.  He
composed heroic songs and began to write many a tale of enchantment and
knightly adventure. He tried to make us act plays and to enter into
masquerades, in which the characters were drawn from the heroes of
Roncesvalles, of the Round Table of King Arthur, and the chivalrous
train who shed their blood to redeem the holy sepulchre from the hands
of the infidels.

No human being could have passed a happier childhood than myself.  My
parents were possessed by the very spirit of kindness and indulgence.
We felt that they were not the tyrants to rule our lot according to
their caprice, but the agents and creators of all the many delights
which we enjoyed.  When I mingled with other families I distinctly
discerned how peculiarly fortunate my lot was, and gratitude assisted
the development of filial love.

My temper was sometimes violent, and my passions vehement; but by some
law in my temperature they were turned not towards childish pursuits
but to an eager desire to learn, and not to learn all things
indiscriminately.  I confess that neither the structure of languages,
nor the code of governments, nor the politics of various states
possessed attractions for me.  It was the secrets of heaven and earth
that I desired to learn; and whether it was the outward substance of
things or the inner spirit of nature and the mysterious soul of man
that occupied me, still my inquiries were directed to the metaphysical,
or in its highest sense, the physical secrets of the world.

Meanwhile Clerval occupied himself, so to speak, with the moral
relations of things.  The busy stage of life, the virtues of heroes,
and the actions of men were his theme; and his hope and his dream was
to become one among those whose names are recorded in story as the
gallant and adventurous benefactors of our species.  The saintly soul
of Elizabeth shone like a shrine-dedicated lamp in our peaceful home.
Her sympathy was ours; her smile, her soft voice, the sweet glance of
her celestial eyes, were ever there to bless and animate us.  She was
the living spirit of love to soften and attract; I might have become
sullen in my study, rough through the ardour of my nature, but that
she was there to subdue me to a semblance of her own gentleness.  And
Clerval—could aught ill entrench on the noble spirit of Clerval?  Yet
he might not have been so perfectly humane, so thoughtful in his
generosity, so full of kindness and tenderness amidst his passion for
adventurous exploit, had she not unfolded to him the real loveliness of
beneficence and made the doing good the end and aim of his soaring
ambition.

I feel exquisite pleasure in dwelling on the recollections of childhood,
before misfortune had tainted my mind and changed its bright visions of
extensive usefulness into gloomy and narrow reflections upon self. Besides,
in drawing the picture of my early days, I also record those events which
led, by insensible steps, to my after tale of misery, for when I would
account to myself for the birth of that passion which afterwards ruled my
destiny I find it arise, like a mountain river, from ignoble and almost
forgotten sources; but, swelling as it proceeded, it became the torrent
which, in its course, has swept away all my hopes and joys.

Natural philosophy is the genius that has regulated my fate; I desire,
therefore, in this narration, to state those facts which led to my
predilection for that science. When I was thirteen years of age we all went
on a party of pleasure to the baths near Thonon; the inclemency of the
weather obliged us to remain a day confined to the inn. In this house I
chanced to find a volume of the works of Cornelius Agrippa. I opened it
with apathy; the theory which he attempts to demonstrate and the wonderful
facts which he relates soon changed this feeling into enthusiasm. A new
light seemed to dawn upon my mind, and bounding with joy, I communicated my
discovery to my father. My father looked carelessly at the title page of my
book and said, “Ah! Cornelius Agrippa! My dear Victor, do not waste
your time upon this; it is sad trash.”

If, instead of this remark, my father had taken the pains to explain to me
that the principles of Agrippa had been entirely exploded and that a modern
system of science had been introduced which possessed much greater powers
than the ancient, because the powers of the latter were chimerical, while
those of the former were real and practical, under such circumstances I
should certainly have thrown Agrippa aside and have contented my
imagination, warmed as it was, by returning with greater ardour to my
former studies. It is even possible that the train of my ideas would never
have received the fatal impulse that led to my ruin. But the cursory glance
my father had taken of my volume by no means assured me that he was
acquainted with its contents, and I continued to read with the greatest
avidity.

When I returned home my first care was to procure the whole works of this
author, and afterwards of Paracelsus and Albertus Magnus. I read and
studied the wild fancies of these writers with delight; they appeared to me
treasures known to few besides myself. I have described myself as always
having been imbued with a fervent longing to penetrate the secrets of
nature. In spite of the intense labour and wonderful discoveries of modern
philosophers, I always came from my studies discontented and unsatisfied.
Sir Isaac Newton is said to have avowed that he felt like a child picking
up shells beside the great and unexplored ocean of truth. Those of his
successors in each branch of natural philosophy with whom I was acquainted
appeared even to my boy’s apprehensions as tyros engaged in the same
pursuit.

The untaught peasant beheld the elements around him and was acquainted
with their practical uses.  The most learned philosopher knew little
more.  He had partially unveiled the face of Nature, but her immortal
lineaments were still a wonder and a mystery.  He might dissect,
anatomise, and give names; but, not to speak of a final cause, causes
in their secondary and tertiary grades were utterly unknown to him.  I
had gazed upon the fortifications and impediments that seemed to keep
human beings from entering the citadel of nature, and rashly and
ignorantly I had repined.

But here were books, and here were men who had penetrated deeper and knew
more. I took their word for all that they averred, and I became their
disciple. It may appear strange that such should arise in the eighteenth
century; but while I followed the routine of education in the schools of
Geneva, I was, to a great degree, self-taught with regard to my favourite
studies. My father was not scientific, and I was left to struggle with a
child’s blindness, added to a student’s thirst for knowledge.
Under the guidance of my new preceptors I entered with the greatest
diligence into the search of the philosopher’s stone and the elixir
of life; but the latter soon obtained my undivided attention. Wealth was an
inferior object, but what glory would attend the discovery if I could
banish disease from the human frame and render man invulnerable to any but
a violent death!

Nor were these my only visions. The raising of ghosts or devils was a
promise liberally accorded by my favourite authors, the fulfilment of which
I most eagerly sought; and if my incantations were always unsuccessful, I
attributed the failure rather to my own inexperience and mistake than to a
want of skill or fidelity in my instructors. And thus for a time I was
occupied by exploded systems, mingling, like an unadept, a thousand
contradictory theories and floundering desperately in a very slough of
multifarious knowledge, guided by an ardent imagination and childish
reasoning, till an accident again changed the current of my ideas.

When I was about fifteen years old we had retired to our house near
Belrive, when we witnessed a most violent and terrible thunderstorm. It
advanced from behind the mountains of Jura, and the thunder burst at once
with frightful loudness from various quarters of the heavens. I remained,
while the storm lasted, watching its progress with curiosity and delight.
As I stood at the door, on a sudden I beheld a stream of fire issue from an
old and beautiful oak which stood about twenty yards from our house; and so
soon as the dazzling light vanished, the oak had disappeared, and nothing
remained but a blasted stump. When we visited it the next morning, we found
the tree shattered in a singular manner. It was not splintered by the
shock, but entirely reduced to thin ribbons of wood. I never beheld
anything so utterly destroyed.

Before this I was not unacquainted with the more obvious laws of
electricity.  On this occasion a man of great research in natural
philosophy was with us, and excited by this catastrophe, he entered on
the explanation of a theory which he had formed on the subject of
electricity and galvanism, which was at once new and astonishing to me.
All that he said threw greatly into the shade Cornelius Agrippa,
Albertus Magnus, and Paracelsus, the lords of my imagination; but by
some fatality the overthrow of these men disinclined me to pursue my
accustomed studies.  It seemed to me as if nothing would or could ever
be known.  All that had so long engaged my attention suddenly grew
despicable.  By one of those caprices of the mind which we are perhaps
most subject to in early youth, I at once gave up my former
occupations, set down natural history and all its progeny as a deformed
and abortive creation, and entertained the greatest disdain for a
would-be science which could never even step within the threshold of
real knowledge.  In this mood of mind I betook myself to the
mathematics and the branches of study appertaining to that science as
being built upon secure foundations, and so worthy of my consideration.

Thus strangely are our souls constructed, and by such slight ligaments
are we bound to prosperity or ruin.  When I look back, it seems to me
as if this almost miraculous change of inclination and will was the
immediate suggestion of the guardian angel of my life—the last effort
made by the spirit of preservation to avert the storm that was even
then hanging in the stars and ready to envelop me.  Her victory was
announced by an unusual tranquillity and gladness of soul which
followed the relinquishing of my ancient and latterly tormenting
studies.  It was thus that I was to be taught to associate evil with
their prosecution, happiness with their disregard.

It was a strong effort of the spirit of good, but it was ineffectual.
Destiny was too potent, and her immutable laws had decreed my utter and
terrible destruction.





Chapter 3

When I had attained the age of seventeen my parents resolved that I
should become a student at the university of Ingolstadt.  I had
hitherto attended the schools of Geneva, but my father thought it
necessary for the completion of my education that I should be made
acquainted with other customs than those of my native country.  My
departure was therefore fixed at an early date, but before the day
resolved upon could arrive, the first misfortune of my life
occurred—an omen, as it were, of my future misery.

Elizabeth had caught the scarlet fever; her illness was severe, and she was
in the greatest danger. During her illness many arguments had been urged to
persuade my mother to refrain from attending upon her. She had at first
yielded to our entreaties, but when she heard that the life of her
favourite was menaced, she could no longer control her anxiety. She
attended her sickbed; her watchful attentions triumphed over the malignity
of the distemper—Elizabeth was saved, but the consequences of this
imprudence were fatal to her preserver. On the third day my mother
sickened; her fever was accompanied by the most alarming symptoms, and the
looks of her medical attendants prognosticated the worst event. On her
deathbed the fortitude and benignity of this best of women did not desert
her. She joined the hands of Elizabeth and myself. “My
children,” she said, “my firmest hopes of future happiness were
placed on the prospect of your union. This expectation will now be the
consolation of your father. Elizabeth, my love, you must supply my place to
my younger children. Alas! I regret that I am taken from you; and, happy
and beloved as I have been, is it not hard to quit you all? But these are
not thoughts befitting me; I will endeavour to resign myself cheerfully to
death and will indulge a hope of meeting you in another world.”

She died calmly, and her countenance expressed affection even in death.
I need not describe the feelings of those whose dearest ties are rent
by that most irreparable evil, the void that presents itself to the
soul, and the despair that is exhibited on the countenance.  It is so
long before the mind can persuade itself that she whom we saw every day
and whose very existence appeared a part of our own can have departed
for ever—that the brightness of a beloved eye can have been
extinguished and the sound of a voice so familiar and dear to the ear
can be hushed, never more to be heard.  These are the reflections of
the first days; but when the lapse of time proves the reality of the
evil, then the actual bitterness of grief commences.  Yet from whom has
not that rude hand rent away some dear connection?  And why should I
describe a sorrow which all have felt, and must feel?  The time at
length arrives when grief is rather an indulgence than a necessity; and
the smile that plays upon the lips, although it may be deemed a
sacrilege, is not banished.  My mother was dead, but we had still
duties which we ought to perform; we must continue our course with the
rest and learn to think ourselves fortunate whilst one remains whom the
spoiler has not seized.

My departure for Ingolstadt, which had been deferred by these events,
was now again determined upon.  I obtained from my father a respite of
some weeks.  It appeared to me sacrilege so soon to leave the repose,
akin to death, of the house of mourning and to rush into the thick of
life.  I was new to sorrow, but it did not the less alarm me.  I was
unwilling to quit the sight of those that remained to me, and above
all, I desired to see my sweet Elizabeth in some degree consoled.

She indeed veiled her grief and strove to act the comforter to us all.
She looked steadily on life and assumed its duties with courage and
zeal.  She devoted herself to those whom she had been taught to call
her uncle and cousins.  Never was she so enchanting as at this time,
when she recalled the sunshine of her smiles and spent them upon us.
She forgot even her own regret in her endeavours to make us forget.

The day of my departure at length arrived.  Clerval spent the last
evening with us.  He had endeavoured to persuade his father to permit
him to accompany me and to become my fellow student, but in vain.  His
father was a narrow-minded trader and saw idleness and ruin in the
aspirations and ambition of his son.  Henry deeply felt the misfortune
of being debarred from a liberal education.  He said little, but when
he spoke I read in his kindling eye and in his animated glance a
restrained but firm resolve not to be chained to the miserable details
of commerce.

We sat late.  We could not tear ourselves away from each other nor
persuade ourselves to say the word “Farewell!”  It was said, and we
retired under the pretence of seeking repose, each fancying that the
other was deceived; but when at morning’s dawn I descended to the
carriage which was to convey me away, they were all there—my father
again to bless me, Clerval to press my hand once more, my Elizabeth to
renew her entreaties that I would write often and to bestow the last
feminine attentions on her playmate and friend.

I threw myself into the chaise that was to convey me away and indulged in
the most melancholy reflections.  I, who had ever been surrounded by
amiable companions, continually engaged in endeavouring to bestow mutual
pleasure—I was now alone.  In the university whither I was going I
must form my own friends and be my own protector.  My life had hitherto
been remarkably secluded and domestic, and this had given me invincible
repugnance to new countenances.  I loved my brothers, Elizabeth, and
Clerval; these were “old familiar faces,” but I believed myself
totally unfitted for the company of strangers.  Such were my reflections as
I commenced my journey; but as I proceeded, my spirits and hopes rose.  I
ardently desired the acquisition of knowledge.  I had often, when at home,
thought it hard to remain during my youth cooped up in one place and had
longed to enter the world and take my station among other human beings. 
Now my desires were complied with, and it would, indeed, have been folly to
repent.

I had sufficient leisure for these and many other reflections during my
journey to Ingolstadt, which was long and fatiguing.  At length the
high white steeple of the town met my eyes.  I alighted and was
conducted to my solitary apartment to spend the evening as I pleased.

The next morning I delivered my letters of introduction and paid a visit to
some of the principal professors.  Chance—or rather the evil
influence, the Angel of Destruction, which asserted omnipotent sway over me
from the moment I turned my reluctant steps from my father’s
door—led me first to M. Krempe, professor of natural philosophy.  He
was an uncouth man, but deeply imbued in the secrets of his science. He
asked me several questions concerning my progress in the different branches
of science appertaining to natural philosophy.  I replied carelessly, and
partly in contempt, mentioned the names of my alchemists as the principal
authors I had studied.  The professor stared.  “Have you,” he
said, “really spent your time in studying such nonsense?”

I replied in the affirmative.  “Every minute,” continued M. Krempe with
warmth, “every instant that you have wasted on those books is utterly
and entirely lost.  You have burdened your memory with exploded systems
and useless names.  Good God!  In what desert land have you lived,
where no one was kind enough to inform you that these fancies which you
have so greedily imbibed are a thousand years old and as musty as they
are ancient?  I little expected, in this enlightened and scientific
age, to find a disciple of Albertus Magnus and Paracelsus.  My dear
sir, you must begin your studies entirely anew.”

So saying, he stepped aside and wrote down a list of several books
treating of natural philosophy which he desired me to procure, and
dismissed me after mentioning that in the beginning of the following
week he intended to commence a course of lectures upon natural
philosophy in its general relations, and that M. Waldman, a fellow
professor, would lecture upon chemistry the alternate days that he
omitted.

I returned home not disappointed, for I have said that I had long
considered those authors useless whom the professor reprobated; but I
returned not at all the more inclined to recur to these studies in any
shape.  M. Krempe was a little squat man with a gruff voice and a
repulsive countenance; the teacher, therefore, did not prepossess me in
favour of his pursuits.  In rather a too philosophical and connected a
strain, perhaps, I have given an account of the conclusions I had come
to concerning them in my early years.  As a child I had not been
content with the results promised by the modern professors of natural
science.  With a confusion of ideas only to be accounted for by my
extreme youth and my want of a guide on such matters, I had retrod the
steps of knowledge along the paths of time and exchanged the
discoveries of recent inquirers for the dreams of forgotten alchemists.
Besides, I had a contempt for the uses of modern natural philosophy.
It was very different when the masters of the science sought
immortality and power; such views, although futile, were grand; but now
the scene was changed.  The ambition of the inquirer seemed to limit
itself to the annihilation of those visions on which my interest in
science was chiefly founded.  I was required to exchange chimeras of
boundless grandeur for realities of little worth.

Such were my reflections during the first two or three days of my
residence at Ingolstadt, which were chiefly spent in becoming
acquainted with the localities and the principal residents in my new
abode.  But as the ensuing week commenced, I thought of the information
which M. Krempe had given me concerning the lectures.  And although I
could not consent to go and hear that little conceited fellow deliver
sentences out of a pulpit, I recollected what he had said of M.
Waldman, whom I had never seen, as he had hitherto been out of town.

Partly from curiosity and partly from idleness, I went into the lecturing
room, which M. Waldman entered shortly after. This professor was very
unlike his colleague. He appeared about fifty years of age, but with an
aspect expressive of the greatest benevolence; a few grey hairs covered his
temples, but those at the back of his head were nearly black. His person
was short but remarkably erect and his voice the sweetest I had ever heard.
He began his lecture by a recapitulation of the history of chemistry and
the various improvements made by different men of learning, pronouncing
with fervour the names of the most distinguished discoverers. He then took
a cursory view of the present state of the science and explained many of
its elementary terms. After having made a few preparatory experiments, he
concluded with a panegyric upon modern chemistry, the terms of which I
shall never forget:

“The ancient teachers of this science,” said he,
“promised impossibilities and performed nothing. The modern masters
promise very little; they know that metals cannot be transmuted and that
the elixir of life is a chimera but these philosophers, whose hands seem
only made to dabble in dirt, and their eyes to pore over the microscope or
crucible, have indeed performed miracles. They penetrate into the recesses
of nature and show how she works in her hiding-places. They ascend into the
heavens; they have discovered how the blood circulates, and the nature of
the air we breathe. They have acquired new and almost unlimited powers;
they can command the thunders of heaven, mimic the earthquake, and even
mock the invisible world with its own shadows.”

Such were the professor’s words—rather let me say such the words of
the fate—enounced to destroy me.  As he went on I felt as if my soul
were grappling with a palpable enemy; one by one the various keys were
touched which formed the mechanism of my being; chord after chord was
sounded, and soon my mind was filled with one thought, one conception,
one purpose.  So much has been done, exclaimed the soul of
Frankenstein—more, far more, will I achieve; treading in the steps
already marked, I will pioneer a new way, explore unknown powers, and
unfold to the world the deepest mysteries of creation.

I closed not my eyes that night.  My internal being was in a state of
insurrection and turmoil; I felt that order would thence arise, but I
had no power to produce it.  By degrees, after the morning’s dawn,
sleep came.  I awoke, and my yesternight’s thoughts were as a dream.
There only remained a resolution to return to my ancient studies and to
devote myself to a science for which I believed myself to possess a
natural talent.  On the same day I paid M. Waldman a visit.  His
manners in private were even more mild and attractive than in public,
for there was a certain dignity in his mien during his lecture which in
his own house was replaced by the greatest affability and kindness.  I
gave him pretty nearly the same account of my former pursuits as I had
given to his fellow professor.  He heard with attention the little
narration concerning my studies and smiled at the names of Cornelius
Agrippa and Paracelsus, but without the contempt that M. Krempe had
exhibited. He said that “These were men to whose indefatigable zeal
modern philosophers were indebted for most of the foundations of their
knowledge.  They had left to us, as an easier task, to give new names
and arrange in connected classifications the facts which they in a
great degree had been the instruments of bringing to light.  The
labours of men of genius, however erroneously directed, scarcely ever
fail in ultimately turning to the solid advantage of mankind.”  I
listened to his statement, which was delivered without any presumption
or affectation, and then added that his lecture had removed my
prejudices against modern chemists; I expressed myself in measured
terms, with the modesty and deference due from a youth to his
instructor, without letting escape (inexperience in life would have
made me ashamed) any of the enthusiasm which stimulated my intended
labours.  I requested his advice concerning the books I ought to
procure.

“I am happy,” said M. Waldman, “to have gained a
disciple; and if your application equals your ability, I have no doubt of
your success. Chemistry is that branch of natural philosophy in which the
greatest improvements have been and may be made; it is on that account that
I have made it my peculiar study; but at the same time, I have not
neglected the other branches of science. A man would make but a very sorry
chemist if he attended to that department of human knowledge alone. If your
wish is to become really a man of science and not merely a petty
experimentalist, I should advise you to apply to every branch of natural
philosophy, including mathematics.”

He then took me into his laboratory and explained to me the uses of his
various machines, instructing me as to what I ought to procure and
promising me the use of his own when I should have advanced far enough in
the science not to derange their mechanism. He also gave me the list of
books which I had requested, and I took my leave.

Thus ended a day memorable to me; it decided my future destiny.





Chapter 4

From this day natural philosophy, and particularly chemistry, in the
most comprehensive sense of the term, became nearly my sole occupation.
I read with ardour those works, so full of genius and discrimination,
which modern inquirers have written on these subjects.  I attended the
lectures and cultivated the acquaintance of the men of science of the
university, and I found even in M. Krempe a great deal of sound sense
and real information, combined, it is true, with a repulsive
physiognomy and manners, but not on that account the less valuable.  In
M. Waldman I found a true friend.  His gentleness was never tinged by
dogmatism, and his instructions were given with an air of frankness and
good nature that banished every idea of pedantry.  In a thousand ways
he smoothed for me the path of knowledge and made the most abstruse
inquiries clear and facile to my apprehension.  My application was at
first fluctuating and uncertain; it gained strength as I proceeded and
soon became so ardent and eager that the stars often disappeared in the
light of morning whilst I was yet engaged in my laboratory.

As I applied so closely, it may be easily conceived that my progress
was rapid.  My ardour was indeed the astonishment of the students, and
my proficiency that of the masters.  Professor Krempe often asked me,
with a sly smile, how Cornelius Agrippa went on, whilst M. Waldman
expressed the most heartfelt exultation in my progress.  Two years
passed in this manner, during which I paid no visit to Geneva, but was
engaged, heart and soul, in the pursuit of some discoveries which I
hoped to make.  None but those who have experienced them can conceive
of the enticements of science.  In other studies you go as far as
others have gone before you, and there is nothing more to know; but in
a scientific pursuit there is continual food for discovery and wonder.
A mind of moderate capacity which closely pursues one study must
infallibly arrive at great proficiency in that study; and I, who
continually sought the attainment of one object of pursuit and was
solely wrapped up in this, improved so rapidly that at the end of two
years I made some discoveries in the improvement of some chemical
instruments, which procured me great esteem and admiration at the
university.  When I had arrived at this point and had become as well
acquainted with the theory and practice of natural philosophy as
depended on the lessons of any of the professors at Ingolstadt, my
residence there being no longer conducive to my improvements, I thought
of returning to my friends and my native town, when an incident
happened that protracted my stay.

One of the phenomena which had peculiarly attracted my attention was
the structure of the human frame, and, indeed, any animal endued with
life.  Whence, I often asked myself, did the principle of life proceed?
It was a bold question, and one which has ever been considered as a
mystery; yet with how many things are we upon the brink of becoming
acquainted, if cowardice or carelessness did not restrain our
inquiries.  I revolved these circumstances in my mind and determined
thenceforth to apply myself more particularly to those branches of
natural philosophy which relate to physiology.  Unless I had been
animated by an almost supernatural enthusiasm, my application to this
study would have been irksome and almost intolerable.  To examine the
causes of life, we must first have recourse to death.  I became
acquainted with the science of anatomy, but this was not sufficient; I
must also observe the natural decay and corruption of the human body.
In my education my father had taken the greatest precautions that my
mind should be impressed with no supernatural horrors.  I do not ever
remember to have trembled at a tale of superstition or to have feared
the apparition of a spirit.  Darkness had no effect upon my fancy, and
a churchyard was to me merely the receptacle of bodies deprived of
life, which, from being the seat of beauty and strength, had become
food for the worm.  Now I was led to examine the cause and progress of
this decay and forced to spend days and nights in vaults and
charnel-houses.  My attention was fixed upon every object the most
insupportable to the delicacy of the human feelings.  I saw how the
fine form of man was degraded and wasted; I beheld the corruption of
death succeed to the blooming cheek of life; I saw how the worm
inherited the wonders of the eye and brain.  I paused, examining and
analysing all the minutiae of causation, as exemplified in the change
from life to death, and death to life, until from the midst of this
darkness a sudden light broke in upon me—a light so brilliant and
wondrous, yet so simple, that while I became dizzy with the immensity
of the prospect which it illustrated, I was surprised that among so
many men of genius who had directed their inquiries towards the same
science, that I alone should be reserved to discover so astonishing a
secret.

Remember, I am not recording the vision of a madman.  The sun does not
more certainly shine in the heavens than that which I now affirm is
true.  Some miracle might have produced it, yet the stages of the
discovery were distinct and probable.  After days and nights of
incredible labour and fatigue, I succeeded in discovering the cause of
generation and life; nay, more, I became myself capable of bestowing
animation upon lifeless matter.

The astonishment which I had at first experienced on this discovery
soon gave place to delight and rapture.  After so much time spent in
painful labour, to arrive at once at the summit of my desires was the
most gratifying consummation of my toils.  But this discovery was so
great and overwhelming that all the steps by which I had been
progressively led to it were obliterated, and I beheld only the result.
What had been the study and desire of the wisest men since the creation
of the world was now within my grasp.  Not that, like a magic scene, it
all opened upon me at once:  the information I had obtained was of a
nature rather to direct my endeavours so soon as I should point them
towards the object of my search than to exhibit that object already
accomplished.  I was like the Arabian who had been buried with the dead
and found a passage to life, aided only by one glimmering and seemingly
ineffectual light.

I see by your eagerness and the wonder and hope which your eyes
express, my friend, that you expect to be informed of the secret with
which I am acquainted; that cannot be; listen patiently until the end
of my story, and you will easily perceive why I am reserved upon that
subject.  I will not lead you on, unguarded and ardent as I then was,
to your destruction and infallible misery.  Learn from me, if not by my
precepts, at least by my example, how dangerous is the acquirement of
knowledge and how much happier that man is who believes his native town
to be the world, than he who aspires to become greater than his nature
will allow.

When I found so astonishing a power placed within my hands, I hesitated
a long time concerning the manner in which I should employ it.
Although I possessed the capacity of bestowing animation, yet to
prepare a frame for the reception of it, with all its intricacies of
fibres, muscles, and veins, still remained a work of inconceivable
difficulty and labour.  I doubted at first whether I should attempt the
creation of a being like myself, or one of simpler organization; but my
imagination was too much exalted by my first success to permit me to
doubt of my ability to give life to an animal as complex and wonderful
as man.  The materials at present within my command hardly appeared
adequate to so arduous an undertaking, but I doubted not that I should
ultimately succeed.  I prepared myself for a multitude of reverses; my
operations might be incessantly baffled, and at last my work be
imperfect, yet when I considered the improvement which every day takes
place in science and mechanics, I was encouraged to hope my present
attempts would at least lay the foundations of future success.  Nor
could I consider the magnitude and complexity of my plan as any
argument of its impracticability.  It was with these feelings that I
began the creation of a human being.  As the minuteness of the parts
formed a great hindrance to my speed, I resolved, contrary to my first
intention, to make the being of a gigantic stature, that is to say,
about eight feet in height, and proportionably large.  After having
formed this determination and having spent some months in successfully
collecting and arranging my materials, I began.

No one can conceive the variety of feelings which bore me onwards, like
a hurricane, in the first enthusiasm of success.  Life and death
appeared to me ideal bounds, which I should first break through, and
pour a torrent of light into our dark world.  A new species would bless
me as its creator and source; many happy and excellent natures would
owe their being to me.  No father could claim the gratitude of his
child so completely as I should deserve theirs.  Pursuing these
reflections, I thought that if I could bestow animation upon lifeless
matter, I might in process of time (although I now found it impossible)
renew life where death had apparently devoted the body to corruption.

These thoughts supported my spirits, while I pursued my undertaking
with unremitting ardour.  My cheek had grown pale with study, and my
person had become emaciated with confinement.  Sometimes, on the very
brink of certainty, I failed; yet still I clung to the hope which the
next day or the next hour might realise.  One secret which I alone
possessed was the hope to which I had dedicated myself; and the moon
gazed on my midnight labours, while, with unrelaxed and breathless
eagerness, I pursued nature to her hiding-places.  Who shall conceive
the horrors of my secret toil as I dabbled among the unhallowed damps
of the grave or tortured the living animal to animate the lifeless
clay?  My limbs now tremble, and my eyes swim with the remembrance; but
then a resistless and almost frantic impulse urged me forward; I seemed
to have lost all soul or sensation but for this one pursuit.  It was
indeed but a passing trance, that only made me feel with renewed
acuteness so soon as, the unnatural stimulus ceasing to operate, I had
returned to my old habits.  I collected bones from charnel-houses and
disturbed, with profane fingers, the tremendous secrets of the human
frame.  In a solitary chamber, or rather cell, at the top of the house,
and separated from all the other apartments by a gallery and staircase,
I kept my workshop of filthy creation; my eyeballs were starting from
their sockets in attending to the details of my employment.  The
dissecting room and the slaughter-house furnished many of my materials;
and often did my human nature turn with loathing from my occupation,
whilst, still urged on by an eagerness which perpetually increased, I
brought my work near to a conclusion.

The summer months passed while I was thus engaged, heart and soul, in
one pursuit.  It was a most beautiful season; never did the fields
bestow a more plentiful harvest or the vines yield a more luxuriant
vintage, but my eyes were insensible to the charms of nature.  And the
same feelings which made me neglect the scenes around me caused me also
to forget those friends who were so many miles absent, and whom I had
not seen for so long a time.  I knew my silence disquieted them, and I
well remembered the words of my father:  “I know that while you are
pleased with yourself you will think of us with affection, and we shall
hear regularly from you.  You must pardon me if I regard any
interruption in your correspondence as a proof that your other duties
are equally neglected.”

I knew well therefore what would be my father’s feelings, but I could
not tear my thoughts from my employment, loathsome in itself, but which
had taken an irresistible hold of my imagination.  I wished, as it
were, to procrastinate all that related to my feelings of affection
until the great object, which swallowed up every habit of my nature,
should be completed.

I then thought that my father would be unjust if he ascribed my neglect
to vice or faultiness on my part, but I am now convinced that he was
justified in conceiving that I should not be altogether free from
blame.  A human being in perfection ought always to preserve a calm and
peaceful mind and never to allow passion or a transitory desire to
disturb his tranquillity.  I do not think that the pursuit of knowledge
is an exception to this rule.  If the study to which you apply yourself
has a tendency to weaken your affections and to destroy your taste for
those simple pleasures in which no alloy can possibly mix, then that
study is certainly unlawful, that is to say, not befitting the human
mind.  If this rule were always observed; if no man allowed any pursuit
whatsoever to interfere with the tranquillity of his domestic
affections, Greece had not been enslaved, Cæsar would have spared his
country, America would have been discovered more gradually, and the
empires of Mexico and Peru had not been destroyed.

But I forget that I am moralizing in the most interesting part of my
tale, and your looks remind me to proceed.

My father made no reproach in his letters and only took notice of my
silence by inquiring into my occupations more particularly than before.
Winter, spring, and summer passed away during my labours; but I did not
watch the blossom or the expanding leaves—sights which before always
yielded me supreme delight—so deeply was I engrossed in my
occupation. The leaves of that year had withered before my work drew near
to a close, and now every day showed me more plainly how well I had
succeeded. But my enthusiasm was checked by my anxiety, and I appeared
rather like one doomed by slavery to toil in the mines, or any other
unwholesome trade than an artist occupied by his favourite employment.
Every night I was oppressed by a slow fever, and I became nervous to a most
painful degree; the fall of a leaf startled me, and I shunned my fellow
creatures as if I had been guilty of a crime. Sometimes I grew alarmed at
the wreck I perceived that I had become; the energy of my purpose alone
sustained me: my labours would soon end, and I believed that exercise and
amusement would then drive away incipient disease; and I promised myself
both of these when my creation should be complete.





Chapter 5

It was on a dreary night of November that I beheld the accomplishment
of my toils.  With an anxiety that almost amounted to agony, I
collected the instruments of life around me, that I might infuse a
spark of being into the lifeless thing that lay at my feet.  It was
already one in the morning; the rain pattered dismally against the
panes, and my candle was nearly burnt out, when, by the glimmer of the
half-extinguished light, I saw the dull yellow eye of the creature
open; it breathed hard, and a convulsive motion agitated its limbs.

How can I describe my emotions at this catastrophe, or how delineate
the wretch whom with such infinite pains and care I had endeavoured to
form?  His limbs were in proportion, and I had selected his features as
beautiful.  Beautiful!  Great God!  His yellow skin scarcely covered
the work of muscles and arteries beneath; his hair was of a lustrous
black, and flowing; his teeth of a pearly whiteness; but these
luxuriances only formed a more horrid contrast with his watery eyes,
that seemed almost of the same colour as the dun-white sockets in which
they were set, his shrivelled complexion and straight black lips.

The different accidents of life are not so changeable as the feelings
of human nature.  I had worked hard for nearly two years, for the sole
purpose of infusing life into an inanimate body.  For this I had
deprived myself of rest and health.  I had desired it with an ardour
that far exceeded moderation; but now that I had finished, the beauty
of the dream vanished, and breathless horror and disgust filled my
heart.  Unable to endure the aspect of the being I had created, I
rushed out of the room and continued a long time traversing my
bed-chamber, unable to compose my mind to sleep.  At length lassitude
succeeded to the tumult I had before endured, and I threw myself on the
bed in my clothes, endeavouring to seek a few moments of forgetfulness.
But it was in vain; I slept, indeed, but I was disturbed by the wildest
dreams.  I thought I saw Elizabeth, in the bloom of health, walking in
the streets of Ingolstadt.  Delighted and surprised, I embraced her,
but as I imprinted the first kiss on her lips, they became livid with
the hue of death; her features appeared to change, and I thought that I
held the corpse of my dead mother in my arms; a shroud enveloped her
form, and I saw the grave-worms crawling in the folds of the flannel.
I started from my sleep with horror; a cold dew covered my forehead, my
teeth chattered, and every limb became convulsed; when, by the dim and
yellow light of the moon, as it forced its way through the window
shutters, I beheld the wretch—the miserable monster whom I had
created.  He held up the curtain of the bed; and his eyes, if eyes they
may be called, were fixed on me.  His jaws opened, and he muttered some
inarticulate sounds, while a grin wrinkled his cheeks.  He might have
spoken, but I did not hear; one hand was stretched out, seemingly to
detain me, but I escaped and rushed downstairs.  I took refuge in the
courtyard belonging to the house which I inhabited, where I remained
during the rest of the night, walking up and down in the greatest
agitation, listening attentively, catching and fearing each sound as if
it were to announce the approach of the demoniacal corpse to which I
had so miserably given life.

Oh!  No mortal could support the horror of that countenance.  A mummy
again endued with animation could not be so hideous as that wretch.  I
had gazed on him while unfinished; he was ugly then, but when those
muscles and joints were rendered capable of motion, it became a thing
such as even Dante could not have conceived.

I passed the night wretchedly.  Sometimes my pulse beat so quickly and
hardly that I felt the palpitation of every artery; at others, I nearly
sank to the ground through languor and extreme weakness.  Mingled with
this horror, I felt the bitterness of disappointment; dreams that had
been my food and pleasant rest for so long a space were now become a
hell to me; and the change was so rapid, the overthrow so complete!

Morning, dismal and wet, at length dawned and discovered to my
sleepless and aching eyes the church of Ingolstadt, its white steeple
and clock, which indicated the sixth hour.  The porter opened the gates
of the court, which had that night been my asylum, and I issued into
the streets, pacing them with quick steps, as if I sought to avoid the
wretch whom I feared every turning of the street would present to my
view.  I did not dare return to the apartment which I inhabited, but
felt impelled to hurry on, although drenched by the rain which poured
from a black and comfortless sky.

I continued walking in this manner for some time, endeavouring by
bodily exercise to ease the load that weighed upon my mind.  I
traversed the streets without any clear conception of where I was or
what I was doing.  My heart palpitated in the sickness of fear, and I
hurried on with irregular steps, not daring to look about me:
  
  Like one who, on a lonely road,
  Doth walk in fear and dread,
  And, having once turned round, walks on,
  And turns no more his head;
  Because he knows a frightful fiend
  Doth close behind him tread.
  
  [Coleridge’s “Ancient Mariner.”]



Continuing thus, I came at length opposite to the inn at which the various
diligences and carriages usually stopped. Here I paused, I knew not why;
but I remained some minutes with my eyes fixed on a coach that was coming
towards me from the other end of the street. As it drew nearer I observed
that it was the Swiss diligence; it stopped just where I was standing, and
on the door being opened, I perceived Henry Clerval, who, on seeing me,
instantly sprung out. “My dear Frankenstein,” exclaimed he,
“how glad I am to see you! How fortunate that you should be here at
the very moment of my alighting!”

Nothing could equal my delight on seeing Clerval; his presence brought back
to my thoughts my father, Elizabeth, and all those scenes of home so dear
to my recollection. I grasped his hand, and in a moment forgot my horror
and misfortune; I felt suddenly, and for the first time during many months,
calm and serene joy. I welcomed my friend, therefore, in the most cordial
manner, and we walked towards my college. Clerval continued talking for
some time about our mutual friends and his own good fortune in being
permitted to come to Ingolstadt. “You may easily believe,” said
he, “how great was the difficulty to persuade my father that all
necessary knowledge was not comprised in the noble art of book-keeping;
and, indeed, I believe I left him incredulous to the last, for his constant
answer to my unwearied entreaties was the same as that of the Dutch
schoolmaster in The Vicar of Wakefield: ‘I have ten thousand florins
a year without Greek, I eat heartily without Greek.’ But his
affection for me at length overcame his dislike of learning, and he has
permitted me to undertake a voyage of discovery to the land of
knowledge.”

“It gives me the greatest delight to see you; but tell me how you left
my father, brothers, and Elizabeth.”

“Very well, and very happy, only a little uneasy that they hear from
you so seldom.  By the by, I mean to lecture you a little upon their
account myself.  But, my dear Frankenstein,” continued he, stopping
short and gazing full in my face, “I did not before remark how very ill
you appear; so thin and pale; you look as if you had been watching for
several nights.”

“You have guessed right; I have lately been so deeply engaged in one
occupation that I have not allowed myself sufficient rest, as you see;
but I hope, I sincerely hope, that all these employments are now at an
end and that I am at length free.”

I trembled excessively; I could not endure to think of, and far less to
allude to, the occurrences of the preceding night.  I walked with a
quick pace, and we soon arrived at my college.  I then reflected, and
the thought made me shiver, that the creature whom I had left in my
apartment might still be there, alive and walking about.  I dreaded to
behold this monster, but I feared still more that Henry should see him.
Entreating him, therefore, to remain a few minutes at the bottom of the
stairs, I darted up towards my own room.  My hand was already on the
lock of the door before I recollected myself.  I then paused, and a
cold shivering came over me.  I threw the door forcibly open, as
children are accustomed to do when they expect a spectre to stand in
waiting for them on the other side; but nothing appeared.  I stepped
fearfully in:  the apartment was empty, and my bedroom was also freed
from its hideous guest.  I could hardly believe that so great a good
fortune could have befallen me, but when I became assured that my enemy
had indeed fled, I clapped my hands for joy and ran down to Clerval.

We ascended into my room, and the servant presently brought breakfast;
but I was unable to contain myself.  It was not joy only that possessed
me; I felt my flesh tingle with excess of sensitiveness, and my pulse
beat rapidly.  I was unable to remain for a single instant in the same
place; I jumped over the chairs, clapped my hands, and laughed aloud.
Clerval at first attributed my unusual spirits to joy on his arrival,
but when he observed me more attentively, he saw a wildness in my eyes
for which he could not account, and my loud, unrestrained, heartless
laughter frightened and astonished him.

“My dear Victor,” cried he, “what, for God’s sake,
is the matter?  Do not laugh in that manner.  How ill you are!  What is the
cause of all this?”

“Do not ask me,” cried I, putting my hands before my eyes, for I
thought I saw the dreaded spectre glide into the room; “_he_ can
tell. Oh, save me!  Save me!”  I imagined that the monster seized me;
I struggled furiously and fell down in a fit.

Poor Clerval!  What must have been his feelings?  A meeting, which he
anticipated with such joy, so strangely turned to bitterness.  But I
was not the witness of his grief, for I was lifeless and did not
recover my senses for a long, long time.

This was the commencement of a nervous fever which confined me for
several months.  During all that time Henry was my only nurse.  I
afterwards learned that, knowing my father’s advanced age and unfitness
for so long a journey, and how wretched my sickness would make
Elizabeth, he spared them this grief by concealing the extent of my
disorder.  He knew that I could not have a more kind and attentive
nurse than himself; and, firm in the hope he felt of my recovery, he
did not doubt that, instead of doing harm, he performed the kindest
action that he could towards them.

But I was in reality very ill, and surely nothing but the unbounded and
unremitting attentions of my friend could have restored me to life.
The form of the monster on whom I had bestowed existence was for ever
before my eyes, and I raved incessantly concerning him.  Doubtless my
words surprised Henry; he at first believed them to be the wanderings
of my disturbed imagination, but the pertinacity with which I
continually recurred to the same subject persuaded him that my disorder
indeed owed its origin to some uncommon and terrible event.

By very slow degrees, and with frequent relapses that alarmed and
grieved my friend, I recovered.  I remember the first time I became
capable of observing outward objects with any kind of pleasure, I
perceived that the fallen leaves had disappeared and that the young
buds were shooting forth from the trees that shaded my window.  It was
a divine spring, and the season contributed greatly to my
convalescence.  I felt also sentiments of joy and affection revive in
my bosom; my gloom disappeared, and in a short time I became as
cheerful as before I was attacked by the fatal passion.

“Dearest Clerval,” exclaimed I, “how kind, how very good
you are to me. This whole winter, instead of being spent in study, as you
promised yourself, has been consumed in my sick room. How shall I ever
repay you? I feel the greatest remorse for the disappointment of which I
have been the occasion, but you will forgive me.”

“You will repay me entirely if you do not discompose yourself, but get
well as fast as you can; and since you appear in such good spirits, I
may speak to you on one subject, may I not?”

I trembled. One subject! What could it be? Could he allude to an object on
whom I dared not even think?

“Compose yourself,” said Clerval, who observed my change of
colour, “I will not mention it if it agitates you; but your father
and cousin would be very happy if they received a letter from you in your
own handwriting. They hardly know how ill you have been and are uneasy at
your long silence.”

“Is that all, my dear Henry?  How could you suppose that my first
thought would not fly towards those dear, dear friends whom I love and
who are so deserving of my love?”

“If this is your present temper, my friend, you will perhaps be glad
to see a letter that has been lying here some days for you; it is from
your cousin, I believe.”





Chapter 6

Clerval then put the following letter into my hands.  It was from my
own Elizabeth:

“My dearest Cousin,

“You have been ill, very ill, and even the constant letters of dear
kind Henry are not sufficient to reassure me on your account.  You are
forbidden to write—to hold a pen; yet one word from you, dear Victor,
is necessary to calm our apprehensions.  For a long time I have thought
that each post would bring this line, and my persuasions have
restrained my uncle from undertaking a journey to Ingolstadt.  I have
prevented his encountering the inconveniences and perhaps dangers of so
long a journey, yet how often have I regretted not being able to
perform it myself!  I figure to myself that the task of attending on
your sickbed has devolved on some mercenary old nurse, who could never
guess your wishes nor minister to them with the care and affection of
your poor cousin.  Yet that is over now:  Clerval writes that indeed
you are getting better.  I eagerly hope that you will confirm this
intelligence soon in your own handwriting.

“Get well—and return to us.  You will find a happy, cheerful home and
friends who love you dearly.  Your father’s health is vigorous, and he
asks but to see you, but to be assured that you are well; and not a
care will ever cloud his benevolent countenance.  How pleased you would
be to remark the improvement of our Ernest!  He is now sixteen and full
of activity and spirit.  He is desirous to be a true Swiss and to enter
into foreign service, but we cannot part with him, at least until his
elder brother returns to us.  My uncle is not pleased with the idea of
a military career in a distant country, but Ernest never had your
powers of application.  He looks upon study as an odious fetter; his
time is spent in the open air, climbing the hills or rowing on the
lake.  I fear that he will become an idler unless we yield the point
and permit him to enter on the profession which he has selected.

“Little alteration, except the growth of our dear children, has taken
place since you left us.  The blue lake and snow-clad mountains—they
never change; and I think our placid home and our contented hearts are
regulated by the same immutable laws.  My trifling occupations take up
my time and amuse me, and I am rewarded for any exertions by seeing
none but happy, kind faces around me.  Since you left us, but one
change has taken place in our little household.  Do you remember on
what occasion Justine Moritz entered our family?  Probably you do not;
I will relate her history, therefore in a few words.  Madame Moritz,
her mother, was a widow with four children, of whom Justine was the
third.  This girl had always been the favourite of her father, but
through a strange perversity, her mother could not endure her, and
after the death of M. Moritz, treated her very ill.  My aunt observed
this, and when Justine was twelve years of age, prevailed on her mother
to allow her to live at our house.  The republican institutions of our
country have produced simpler and happier manners than those which
prevail in the great monarchies that surround it.  Hence there is less
distinction between the several classes of its inhabitants; and the
lower orders, being neither so poor nor so despised, their manners are
more refined and moral.  A servant in Geneva does not mean the same
thing as a servant in France and England.  Justine, thus received in
our family, learned the duties of a servant, a condition which, in our
fortunate country, does not include the idea of ignorance and a
sacrifice of the dignity of a human being.

“Justine, you may remember, was a great favourite of yours; and I
recollect you once remarked that if you were in an ill humour, one
glance from Justine could dissipate it, for the same reason that
Ariosto gives concerning the beauty of Angelica—she looked so
frank-hearted and happy.  My aunt conceived a great attachment for her,
by which she was induced to give her an education superior to that
which she had at first intended.  This benefit was fully repaid;
Justine was the most grateful little creature in the world:  I do not
mean that she made any professions I never heard one pass her lips, but
you could see by her eyes that she almost adored her protectress.
Although her disposition was gay and in many respects inconsiderate,
yet she paid the greatest attention to every gesture of my aunt.  She
thought her the model of all excellence and endeavoured to imitate her
phraseology and manners, so that even now she often reminds me of her.

“When my dearest aunt died every one was too much occupied in their own
grief to notice poor Justine, who had attended her during her illness
with the most anxious affection.  Poor Justine was very ill; but other
trials were reserved for her.

“One by one, her brothers and sister died; and her mother, with the
exception of her neglected daughter, was left childless.  The
conscience of the woman was troubled; she began to think that the
deaths of her favourites was a judgement from heaven to chastise her
partiality.  She was a Roman Catholic; and I believe her confessor
confirmed the idea which she had conceived.  Accordingly, a few months
after your departure for Ingolstadt, Justine was called home by her
repentant mother.  Poor girl!  She wept when she quitted our house; she
was much altered since the death of my aunt; grief had given softness
and a winning mildness to her manners, which had before been remarkable
for vivacity.  Nor was her residence at her mother’s house of a nature
to restore her gaiety.  The poor woman was very vacillating in her
repentance.  She sometimes begged Justine to forgive her unkindness,
but much oftener accused her of having caused the deaths of her
brothers and sister.  Perpetual fretting at length threw Madame Moritz
into a decline, which at first increased her irritability, but she is
now at peace for ever.  She died on the first approach of cold weather,
at the beginning of this last winter.  Justine has just returned to us;
and I assure you I love her tenderly.  She is very clever and gentle,
and extremely pretty; as I mentioned before, her mien and her
expression continually remind me of my dear aunt.

“I must say also a few words to you, my dear cousin, of little darling
William.  I wish you could see him; he is very tall of his age, with
sweet laughing blue eyes, dark eyelashes, and curling hair.  When he
smiles, two little dimples appear on each cheek, which are rosy with
health.  He has already had one or two little _wives,_ but Louisa Biron
is his favourite, a pretty little girl of five years of age.

“Now, dear Victor, I dare say you wish to be indulged in a little
gossip concerning the good people of Geneva.  The pretty Miss Mansfield
has already received the congratulatory visits on her approaching
marriage with a young Englishman, John Melbourne, Esq.  Her ugly
sister, Manon, married M. Duvillard, the rich banker, last autumn. Your
favourite schoolfellow, Louis Manoir, has suffered several misfortunes
since the departure of Clerval from Geneva.  But he has already
recovered his spirits, and is reported to be on the point of marrying a
lively pretty Frenchwoman, Madame Tavernier.  She is a widow, and much
older than Manoir; but she is very much admired, and a favourite with
everybody.

“I have written myself into better spirits, dear cousin; but my anxiety
returns upon me as I conclude.  Write, dearest Victor,—one line—one
word will be a blessing to us.  Ten thousand thanks to Henry for his
kindness, his affection, and his many letters; we are sincerely
grateful.  Adieu!  my cousin; take care of yourself; and, I entreat
you, write!

“Elizabeth Lavenza.


“Geneva, March 18th, 17—.”



“Dear, dear Elizabeth!” I exclaimed, when I had read her
letter: “I will write instantly and relieve them from the anxiety
they must feel.” I wrote, and this exertion greatly fatigued me; but
my convalescence had commenced, and proceeded regularly. In another
fortnight I was able to leave my chamber.

One of my first duties on my recovery was to introduce Clerval to the
several professors of the university.  In doing this, I underwent a
kind of rough usage, ill befitting the wounds that my mind had
sustained.  Ever since the fatal night, the end of my labours, and the
beginning of my misfortunes, I had conceived a violent antipathy even
to the name of natural philosophy.  When I was otherwise quite restored
to health, the sight of a chemical instrument would renew all the agony
of my nervous symptoms.  Henry saw this, and had removed all my
apparatus from my view.  He had also changed my apartment; for he
perceived that I had acquired a dislike for the room which had
previously been my laboratory.  But these cares of Clerval were made of
no avail when I visited the professors.  M. Waldman inflicted torture
when he praised, with kindness and warmth, the astonishing progress I
had made in the sciences.  He soon perceived that I disliked the
subject; but not guessing the real cause, he attributed my feelings to
modesty, and changed the subject from my improvement, to the science
itself, with a desire, as I evidently saw, of drawing me out.  What
could I do?  He meant to please, and he tormented me.  I felt as if he
had placed carefully, one by one, in my view those instruments which
were to be afterwards used in putting me to a slow and cruel death.  I
writhed under his words, yet dared not exhibit the pain I felt.
Clerval, whose eyes and feelings were always quick in discerning the
sensations of others, declined the subject, alleging, in excuse, his
total ignorance; and the conversation took a more general turn.  I
thanked my friend from my heart, but I did not speak.  I saw plainly
that he was surprised, but he never attempted to draw my secret from
me; and although I loved him with a mixture of affection and reverence
that knew no bounds, yet I could never persuade myself to confide in
him that event which was so often present to my recollection, but which
I feared the detail to another would only impress more deeply.

M. Krempe was not equally docile; and in my condition at that time, of
almost insupportable sensitiveness, his harsh blunt encomiums gave me even
more pain than the benevolent approbation of M. Waldman. “D—n
the fellow!” cried he; “why, M. Clerval, I assure you he has
outstript us all. Ay, stare if you please; but it is nevertheless true. A
youngster who, but a few years ago, believed in Cornelius Agrippa as firmly
as in the gospel, has now set himself at the head of the university; and if
he is not soon pulled down, we shall all be out of countenance.—Ay,
ay,” continued he, observing my face expressive of suffering,
“M. Frankenstein is modest; an excellent quality in a young man.
Young men should be diffident of themselves, you know, M. Clerval: I was
myself when young; but that wears out in a very short time.”

M. Krempe had now commenced an eulogy on himself, which happily turned
the conversation from a subject that was so annoying to me.

Clerval had never sympathised in my tastes for natural science; and his
literary pursuits differed wholly from those which had occupied me.  He
came to the university with the design of making himself complete
master of the oriental languages, and thus he should open a field for
the plan of life he had marked out for himself.  Resolved to pursue no
inglorious career, he turned his eyes toward the East, as affording
scope for his spirit of enterprise.  The Persian, Arabic, and Sanskrit
languages engaged his attention, and I was easily induced to enter on
the same studies.  Idleness had ever been irksome to me, and now that I
wished to fly from reflection, and hated my former studies, I felt
great relief in being the fellow-pupil with my friend, and found not
only instruction but consolation in the works of the orientalists.  I
did not, like him, attempt a critical knowledge of their dialects, for
I did not contemplate making any other use of them than temporary
amusement.  I read merely to understand their meaning, and they well
repaid my labours.  Their melancholy is soothing, and their joy
elevating, to a degree I never experienced in studying the authors of
any other country.  When you read their writings, life appears to
consist in a warm sun and a garden of roses,—in the smiles and frowns
of a fair enemy, and the fire that consumes your own heart.  How
different from the manly and heroical poetry of Greece and Rome!

Summer passed away in these occupations, and my return to Geneva was
fixed for the latter end of autumn; but being delayed by several
accidents, winter and snow arrived, the roads were deemed impassable,
and my journey was retarded until the ensuing spring.  I felt this
delay very bitterly; for I longed to see my native town and my beloved
friends.  My return had only been delayed so long, from an
unwillingness to leave Clerval in a strange place, before he had become
acquainted with any of its inhabitants.  The winter, however, was spent
cheerfully; and although the spring was uncommonly late, when it came
its beauty compensated for its dilatoriness.

The month of May had already commenced, and I expected the letter daily
which was to fix the date of my departure, when Henry proposed a
pedestrian tour in the environs of Ingolstadt, that I might bid a
personal farewell to the country I had so long inhabited.  I acceded
with pleasure to this proposition:  I was fond of exercise, and Clerval
had always been my favourite companion in the ramble of this nature
that I had taken among the scenes of my native country.

We passed a fortnight in these perambulations:  my health and spirits
had long been restored, and they gained additional strength from the
salubrious air I breathed, the natural incidents of our progress, and
the conversation of my friend.  Study had before secluded me from the
intercourse of my fellow-creatures, and rendered me unsocial; but
Clerval called forth the better feelings of my heart; he again taught
me to love the aspect of nature, and the cheerful faces of children.
Excellent friend!  how sincerely you did love me, and endeavour to
elevate my mind until it was on a level with your own.  A selfish
pursuit had cramped and narrowed me, until your gentleness and
affection warmed and opened my senses; I became the same happy creature
who, a few years ago, loved and beloved by all, had no sorrow or care.
When happy, inanimate nature had the power of bestowing on me the most
delightful sensations.  A serene sky and verdant fields filled me with
ecstasy.  The present season was indeed divine; the flowers of spring
bloomed in the hedges, while those of summer were already in bud.  I
was undisturbed by thoughts which during the preceding year had pressed
upon me, notwithstanding my endeavours to throw them off, with an
invincible burden.

Henry rejoiced in my gaiety, and sincerely sympathised in my feelings: he
exerted himself to amuse me, while he expressed the sensations that filled
his soul. The resources of his mind on this occasion were truly
astonishing: his conversation was full of imagination; and very often, in
imitation of the Persian and Arabic writers, he invented tales of wonderful
fancy and passion. At other times he repeated my favourite poems, or drew
me out into arguments, which he supported with great ingenuity.

We returned to our college on a Sunday afternoon: the peasants were
dancing, and every one we met appeared gay and happy. My own spirits were
high, and I bounded along with feelings of unbridled joy and hilarity.





Chapter 7

On my return, I found the following letter from my father:—

“My dear Victor,

“You have probably waited impatiently for a letter to fix the date of
your return to us; and I was at first tempted to write only a few
lines, merely mentioning the day on which I should expect you.  But
that would be a cruel kindness, and I dare not do it.  What would be
your surprise, my son, when you expected a happy and glad welcome, to
behold, on the contrary, tears and wretchedness?  And how, Victor, can
I relate our misfortune?  Absence cannot have rendered you callous to
our joys and griefs; and how shall I inflict pain on my long absent
son?  I wish to prepare you for the woeful news, but I know it is
impossible; even now your eye skims over the page to seek the words
which are to convey to you the horrible tidings.

“William is dead!—that sweet child, whose smiles delighted and warmed
my heart, who was so gentle, yet so gay!  Victor, he is murdered!

“I will not attempt to console you; but will simply relate the
circumstances of the transaction.

“Last Thursday (May 7th), I, my niece, and your two brothers, went to
walk in Plainpalais.  The evening was warm and serene, and we prolonged
our walk farther than usual.  It was already dusk before we thought of
returning; and then we discovered that William and Ernest, who had gone
on before, were not to be found.  We accordingly rested on a seat until
they should return.  Presently Ernest came, and enquired if we had seen
his brother; he said, that he had been playing with him, that William
had run away to hide himself, and that he vainly sought for him, and
afterwards waited for a long time, but that he did not return.

“This account rather alarmed us, and we continued to search for him
until night fell, when Elizabeth conjectured that he might have
returned to the house.  He was not there.  We returned again, with
torches; for I could not rest, when I thought that my sweet boy had
lost himself, and was exposed to all the damps and dews of night;
Elizabeth also suffered extreme anguish.  About five in the morning I
discovered my lovely boy, whom the night before I had seen blooming and
active in health, stretched on the grass livid and motionless; the
print of the murder’s finger was on his neck.

“He was conveyed home, and the anguish that was visible in my
countenance betrayed the secret to Elizabeth.  She was very earnest to
see the corpse.  At first I attempted to prevent her but she persisted,
and entering the room where it lay, hastily examined the neck of the
victim, and clasping her hands exclaimed, ‘O God!  I have murdered my
darling child!’

“She fainted, and was restored with extreme difficulty.  When she again
lived, it was only to weep and sigh.  She told me, that that same
evening William had teased her to let him wear a very valuable
miniature that she possessed of your mother.  This picture is gone, and
was doubtless the temptation which urged the murderer to the deed.  We
have no trace of him at present, although our exertions to discover him
are unremitted; but they will not restore my beloved William!

“Come, dearest Victor; you alone can console Elizabeth.  She weeps
continually, and accuses herself unjustly as the cause of his death;
her words pierce my heart.  We are all unhappy; but will not that be an
additional motive for you, my son, to return and be our comforter?
Your dear mother!  Alas, Victor!  I now say, Thank God she did not live
to witness the cruel, miserable death of her youngest darling!

“Come, Victor; not brooding thoughts of vengeance against the assassin,
but with feelings of peace and gentleness, that will heal, instead of
festering, the wounds of our minds.  Enter the house of mourning, my
friend, but with kindness and affection for those who love you, and not
with hatred for your enemies.

“Your affectionate and afflicted father,

“Alphonse Frankenstein.



“Geneva, May 12th, 17—.”



Clerval, who had watched my countenance as I read this letter, was
surprised to observe the despair that succeeded the joy I at first
expressed on receiving new from my friends.  I threw the letter on the
table, and covered my face with my hands.

“My dear Frankenstein,” exclaimed Henry, when he perceived me
weep with bitterness, “are you always to be unhappy?  My dear friend,
what has happened?”

I motioned him to take up the letter, while I walked up and down the
room in the extremest agitation.  Tears also gushed from the eyes of
Clerval, as he read the account of my misfortune.

“I can offer you no consolation, my friend,” said he;
“your disaster is irreparable.  What do you intend to do?”

“To go instantly to Geneva: come with me, Henry, to order the horses.”

During our walk, Clerval endeavoured to say a few words of consolation;
he could only express his heartfelt sympathy.  “Poor William!” said he,
“dear lovely child, he now sleeps with his angel mother!  Who that had
seen him bright and joyous in his young beauty, but must weep over his
untimely loss!  To die so miserably; to feel the murderer’s grasp!  How
much more a murdered that could destroy radiant innocence!  Poor little
fellow! one only consolation have we; his friends mourn and weep, but
he is at rest. The pang is over, his sufferings are at an end for ever.
A sod covers his gentle form, and he knows no pain.  He can no longer
be a subject for pity; we must reserve that for his miserable
survivors.”

Clerval spoke thus as we hurried through the streets; the words
impressed themselves on my mind and I remembered them afterwards in
solitude.  But now, as soon as the horses arrived, I hurried into a
cabriolet, and bade farewell to my friend.

My journey was very melancholy. At first I wished to hurry on, for I longed
to console and sympathise with my loved and sorrowing friends; but when I
drew near my native town, I slackened my progress. I could hardly sustain
the multitude of feelings that crowded into my mind. I passed through
scenes familiar to my youth, but which I had not seen for nearly six years.
How altered every thing might be during that time! One sudden and
desolating change had taken place; but a thousand little circumstances
might have by degrees worked other alterations, which, although they were
done more tranquilly, might not be the less decisive. Fear overcame me; I
dared no advance, dreading a thousand nameless evils that made me tremble,
although I was unable to define them.

I remained two days at Lausanne, in this painful state of mind. I
contemplated the lake: the waters were placid; all around was calm; and the
snowy mountains, “the palaces of nature,” were not changed. By
degrees the calm and heavenly scene restored me, and I continued my journey
towards Geneva.

The road ran by the side of the lake, which became narrower as I
approached my native town.  I discovered more distinctly the black
sides of Jura, and the bright summit of Mont Blanc.  I wept like a
child.  “Dear mountains! my own beautiful lake! how do you welcome your
wanderer?  Your summits are clear; the sky and lake are blue and
placid.  Is this to prognosticate peace, or to mock at my unhappiness?”

I fear, my friend, that I shall render myself tedious by dwelling on
these preliminary circumstances; but they were days of comparative
happiness, and I think of them with pleasure.  My country, my beloved
country! who but a native can tell the delight I took in again
beholding thy streams, thy mountains, and, more than all, thy lovely
lake!

Yet, as I drew nearer home, grief and fear again overcame me. Night also
closed around; and when I could hardly see the dark mountains, I felt still
more gloomily. The picture appeared a vast and dim scene of evil, and I
foresaw obscurely that I was destined to become the most wretched of human
beings. Alas! I prophesied truly, and failed only in one single
circumstance, that in all the misery I imagined and dreaded, I did not
conceive the hundredth part of the anguish I was destined to endure.

It was completely dark when I arrived in the environs of Geneva; the gates
of the town were already shut; and I was obliged to pass the night at
Secheron, a village at the distance of half a league from the city. The sky
was serene; and, as I was unable to rest, I resolved to visit the spot
where my poor William had been murdered. As I could not pass through the
town, I was obliged to cross the lake in a boat to arrive at Plainpalais.
During this short voyage I saw the lightning playing on the summit of Mont
Blanc in the most beautiful figures. The storm appeared to approach
rapidly, and, on landing, I ascended a low hill, that I might observe its
progress. It advanced; the heavens were clouded, and I soon felt the rain
coming slowly in large drops, but its violence quickly increased.

I quitted my seat, and walked on, although the darkness and storm
increased every minute, and the thunder burst with a terrific crash
over my head.  It was echoed from Salêve, the Juras, and the Alps of
Savoy; vivid flashes of lightning dazzled my eyes, illuminating the
lake, making it appear like a vast sheet of fire; then for an instant
every thing seemed of a pitchy darkness, until the eye recovered itself
from the preceding flash.  The storm, as is often the case in
Switzerland, appeared at once in various parts of the heavens. The
most violent storm hung exactly north of the town, over the part of the
lake which lies between the promontory of Belrive and the village of
Copêt. Another storm enlightened Jura with faint flashes; and another
darkened and sometimes disclosed the Môle, a peaked mountain to the
east of the lake.

While I watched the tempest, so beautiful yet terrific, I wandered on with
a hasty step. This noble war in the sky elevated my spirits; I clasped my
hands, and exclaimed aloud, “William, dear angel! this is thy
funeral, this thy dirge!” As I said these words, I perceived in the
gloom a figure which stole from behind a clump of trees near me; I stood
fixed, gazing intently: I could not be mistaken. A flash of lightning
illuminated the object, and discovered its shape plainly to me; its
gigantic stature, and the deformity of its aspect more hideous than belongs
to humanity, instantly informed me that it was the wretch, the filthy
dæmon, to whom I had given life. What did he there? Could he be (I
shuddered at the conception) the murderer of my brother? No sooner did that
idea cross my imagination, than I became convinced of its truth; my teeth
chattered, and I was forced to lean against a tree for support. The figure
passed me quickly, and I lost it in the gloom. Nothing in human shape could
have destroyed the fair child. _He_ was the murderer! I could not
doubt it. The mere presence of the idea was an irresistible proof of the
fact. I thought of pursuing the devil; but it would have been in vain, for
another flash discovered him to me hanging among the rocks of the nearly
perpendicular ascent of Mont Salêve, a hill that bounds Plainpalais on the
south. He soon reached the summit, and disappeared.

I remained motionless.  The thunder ceased; but the rain still
continued, and the scene was enveloped in an impenetrable darkness.  I
revolved in my mind the events which I had until now sought to forget:
the whole train of my progress toward the creation; the appearance of
the works of my own hands at my bedside; its departure.  Two years had
now nearly elapsed since the night on which he first received life; and
was this his first crime?  Alas!  I had turned loose into the world a
depraved wretch, whose delight was in carnage and misery; had he not
murdered my brother?

No one can conceive the anguish I suffered during the remainder of the
night, which I spent, cold and wet, in the open air.  But I did not
feel the inconvenience of the weather; my imagination was busy in
scenes of evil and despair.  I considered the being whom I had cast
among mankind, and endowed with the will and power to effect purposes
of horror, such as the deed which he had now done, nearly in the light
of my own vampire, my own spirit let loose from the grave, and forced
to destroy all that was dear to me.

Day dawned; and I directed my steps towards the town.  The gates were
open, and I hastened to my father’s house.  My first thought was to
discover what I knew of the murderer, and cause instant pursuit to be
made.  But I paused when I reflected on the story that I had to tell. A
being whom I myself had formed, and endued with life, had met me at
midnight among the precipices of an inaccessible mountain.  I
remembered also the nervous fever with which I had been seized just at
the time that I dated my creation, and which would give an air of
delirium to a tale otherwise so utterly improbable.  I well knew that
if any other had communicated such a relation to me, I should have
looked upon it as the ravings of insanity.  Besides, the strange nature
of the animal would elude all pursuit, even if I were so far credited
as to persuade my relatives to commence it.  And then of what use would
be pursuit?  Who could arrest a creature capable of scaling the
overhanging sides of Mont Salêve?  These reflections determined me, and
I resolved to remain silent.

It was about five in the morning when I entered my father’s house.  I
told the servants not to disturb the family, and went into the library
to attend their usual hour of rising.

Six years had elapsed, passed in a dream but for one indelible trace, and I
stood in the same place where I had last embraced my father before my
departure for Ingolstadt. Beloved and venerable parent! He still remained
to me. I gazed on the picture of my mother, which stood over the
mantel-piece. It was an historical subject, painted at my father’s
desire, and represented Caroline Beaufort in an agony of despair, kneeling
by the coffin of her dead father. Her garb was rustic, and her cheek pale;
but there was an air of dignity and beauty, that hardly permitted the
sentiment of pity. Below this picture was a miniature of William; and my
tears flowed when I looked upon it. While I was thus engaged, Ernest
entered: he had heard me arrive, and hastened to welcome me:
“Welcome, my dearest Victor,” said he. “Ah! I wish you
had come three months ago, and then you would have found us all joyous and
delighted. You come to us now to share a misery which nothing can
alleviate; yet your presence will, I hope, revive our father, who seems
sinking under his misfortune; and your persuasions will induce poor
Elizabeth to cease her vain and tormenting self-accusations.—Poor
William! he was our darling and our pride!”

Tears, unrestrained, fell from my brother’s eyes; a sense of mortal
agony crept over my frame.  Before, I had only imagined the
wretchedness of my desolated home; the reality came on me as a new, and
a not less terrible, disaster.  I tried to calm Ernest; I enquired more
minutely concerning my father, and here I named my cousin.

“She most of all,” said Ernest, “requires consolation; she accused
herself of having caused the death of my brother, and that made her
very wretched.  But since the murderer has been discovered—”

“The murderer discovered!  Good God! how can that be? who could attempt
to pursue him?  It is impossible; one might as well try to overtake the
winds, or confine a mountain-stream with a straw.  I saw him too; he
was free last night!”

“I do not know what you mean,” replied my brother, in accents of
wonder, “but to us the discovery we have made completes our misery.  No
one would believe it at first; and even now Elizabeth will not be
convinced, notwithstanding all the evidence.  Indeed, who would credit
that Justine Moritz, who was so amiable, and fond of all the family,
could suddenly become so capable of so frightful, so appalling a crime?”

“Justine Moritz!  Poor, poor girl, is she the accused?  But it is
wrongfully; every one knows that; no one believes it, surely, Ernest?”

“No one did at first; but several circumstances came out, that have
almost forced conviction upon us; and her own behaviour has been so
confused, as to add to the evidence of facts a weight that, I fear,
leaves no hope for doubt.  But she will be tried today, and you will
then hear all.”

He then related that, the morning on which the murder of poor William
had been discovered, Justine had been taken ill, and confined to her
bed for several days.  During this interval, one of the servants,
happening to examine the apparel she had worn on the night of the
murder, had discovered in her pocket the picture of my mother, which
had been judged to be the temptation of the murderer.  The servant
instantly showed it to one of the others, who, without saying a word to
any of the family, went to a magistrate; and, upon their deposition,
Justine was apprehended.  On being charged with the fact, the poor girl
confirmed the suspicion in a great measure by her extreme confusion of
manner.

This was a strange tale, but it did not shake my faith; and I replied
earnestly, “You are all mistaken; I know the murderer.  Justine, poor,
good Justine, is innocent.”

At that instant my father entered.  I saw unhappiness deeply impressed
on his countenance, but he endeavoured to welcome me cheerfully; and,
after we had exchanged our mournful greeting, would have introduced
some other topic than that of our disaster, had not Ernest exclaimed,
“Good God, papa!  Victor says that he knows who was the murderer of
poor William.”

“We do also, unfortunately,” replied my father, “for indeed I had
rather have been for ever ignorant than have discovered so much
depravity and ungratitude in one I valued so highly.”

“My dear father, you are mistaken; Justine is innocent.”

“If she is, God forbid that she should suffer as guilty.  She is to be
tried today, and I hope, I sincerely hope, that she will be acquitted.”

This speech calmed me.  I was firmly convinced in my own mind that
Justine, and indeed every human being, was guiltless of this murder.  I
had no fear, therefore, that any circumstantial evidence could be
brought forward strong enough to convict her.  My tale was not one to
announce publicly; its astounding horror would be looked upon as
madness by the vulgar.  Did any one indeed exist, except I, the
creator, who would believe, unless his senses convinced him, in the
existence of the living monument of presumption and rash ignorance
which I had let loose upon the world?

We were soon joined by Elizabeth.  Time had altered her since I last
beheld her; it had endowed her with loveliness surpassing the beauty of
her childish years.  There was the same candour, the same vivacity, but
it was allied to an expression more full of sensibility and intellect.
She welcomed me with the greatest affection.  “Your arrival, my dear
cousin,” said she, “fills me with hope.  You perhaps will find some
means to justify my poor guiltless Justine.  Alas! who is safe, if she
be convicted of crime?  I rely on her innocence as certainly as I do
upon my own.  Our misfortune is doubly hard to us; we have not only
lost that lovely darling boy, but this poor girl, whom I sincerely
love, is to be torn away by even a worse fate.  If she is condemned, I
never shall know joy more.  But she will not, I am sure she will not;
and then I shall be happy again, even after the sad death of my little
William.”

“She is innocent, my Elizabeth,” said I, “and that shall
be proved; fear nothing, but let your spirits be cheered by the assurance
of her acquittal.”

“How kind and generous you are! every one else believes in her guilt,
and that made me wretched, for I knew that it was impossible:  and to
see every one else prejudiced in so deadly a manner rendered me
hopeless and despairing.”  She wept.

“Dearest niece,” said my father, “dry your tears. If she
is, as you believe, innocent, rely on the justice of our laws, and the
activity with which I shall prevent the slightest shadow of
partiality.”





Chapter 8

We passed a few sad hours until eleven o’clock, when the trial was to
commence.  My father and the rest of the family being obliged to attend
as witnesses, I accompanied them to the court.  During the whole of
this wretched mockery of justice I suffered living torture.  It was to
be decided whether the result of my curiosity and lawless devices would
cause the death of two of my fellow beings:  one a smiling babe full of
innocence and joy, the other far more dreadfully murdered, with every
aggravation of infamy that could make the murder memorable in horror.
Justine also was a girl of merit and possessed qualities which promised
to render her life happy; now all was to be obliterated in an
ignominious grave, and I the cause!  A thousand times rather would I
have confessed myself guilty of the crime ascribed to Justine, but I
was absent when it was committed, and such a declaration would have
been considered as the ravings of a madman and would not have
exculpated her who suffered through me.

The appearance of Justine was calm.  She was dressed in mourning, and
her countenance, always engaging, was rendered, by the solemnity of her
feelings, exquisitely beautiful.  Yet she appeared confident in
innocence and did not tremble, although gazed on and execrated by
thousands, for all the kindness which her beauty might otherwise have
excited was obliterated in the minds of the spectators by the
imagination of the enormity she was supposed to have committed.  She
was tranquil, yet her tranquillity was evidently constrained; and as
her confusion had before been adduced as a proof of her guilt, she
worked up her mind to an appearance of courage.  When she entered the
court she threw her eyes round it and quickly discovered where we were
seated.  A tear seemed to dim her eye when she saw us, but she quickly
recovered herself, and a look of sorrowful affection seemed to attest
her utter guiltlessness.

The trial began, and after the advocate against her had stated the
charge, several witnesses were called.  Several strange facts combined
against her, which might have staggered anyone who had not such proof
of her innocence as I had.  She had been out the whole of the night on
which the murder had been committed and towards morning had been
perceived by a market-woman not far from the spot where the body of the
murdered child had been afterwards found.  The woman asked her what she
did there, but she looked very strangely and only returned a confused
and unintelligible answer.  She returned to the house about eight
o’clock, and when one inquired where she had passed the night, she
replied that she had been looking for the child and demanded earnestly
if anything had been heard concerning him.  When shown the body, she
fell into violent hysterics and kept her bed for several days.  The
picture was then produced which the servant had found in her pocket;
and when Elizabeth, in a faltering voice, proved that it was the same
which, an hour before the child had been missed, she had placed round
his neck, a murmur of horror and indignation filled the court.

Justine was called on for her defence.  As the trial had proceeded, her
countenance had altered.  Surprise, horror, and misery were strongly
expressed.  Sometimes she struggled with her tears, but when she was
desired to plead, she collected her powers and spoke in an audible
although variable voice.

“God knows,” she said, “how entirely I am innocent. But I
do not pretend that my protestations should acquit me; I rest my innocence
on a plain and simple explanation of the facts which have been adduced
against me, and I hope the character I have always borne will incline my
judges to a favourable interpretation where any circumstance appears
doubtful or suspicious.”

She then related that, by the permission of Elizabeth, she had passed
the evening of the night on which the murder had been committed at the
house of an aunt at Chêne, a village situated at about a league from
Geneva.  On her return, at about nine o’clock, she met a man who asked
her if she had seen anything of the child who was lost.  She was
alarmed by this account and passed several hours in looking for him,
when the gates of Geneva were shut, and she was forced to remain
several hours of the night in a barn belonging to a cottage, being
unwilling to call up the inhabitants, to whom she was well known.  Most
of the night she spent here watching; towards morning she believed that
she slept for a few minutes; some steps disturbed her, and she awoke.
It was dawn, and she quitted her asylum, that she might again endeavour
to find my brother.  If she had gone near the spot where his body lay,
it was without her knowledge.  That she had been bewildered when
questioned by the market-woman was not surprising, since she had passed
a sleepless night and the fate of poor William was yet uncertain.
Concerning the picture she could give no account.

“I know,” continued the unhappy victim, “how heavily and
fatally this one circumstance weighs against me, but I have no power of
explaining it; and when I have expressed my utter ignorance, I am only left
to conjecture concerning the probabilities by which it might have been
placed in my pocket. But here also I am checked. I believe that I have no
enemy on earth, and none surely would have been so wicked as to destroy me
wantonly. Did the murderer place it there? I know of no opportunity
afforded him for so doing; or, if I had, why should he have stolen the
jewel, to part with it again so soon?

“I commit my cause to the justice of my judges, yet I see no room for
hope.  I beg permission to have a few witnesses examined concerning my
character, and if their testimony shall not overweigh my supposed
guilt, I must be condemned, although I would pledge my salvation on my
innocence.”

Several witnesses were called who had known her for many years, and
they spoke well of her; but fear and hatred of the crime of which they
supposed her guilty rendered them timorous and unwilling to come
forward.  Elizabeth saw even this last resource, her excellent
dispositions and irreproachable conduct, about to fail the accused,
when, although violently agitated, she desired permission to address
the court.

“I am,” said she, “the cousin of the unhappy child who
was murdered, or rather his sister, for I was educated by and have lived
with his parents ever since and even long before his birth. It may
therefore be judged indecent in me to come forward on this occasion, but
when I see a fellow creature about to perish through the cowardice of her
pretended friends, I wish to be allowed to speak, that I may say what I
know of her character. I am well acquainted with the accused. I have lived
in the same house with her, at one time for five and at another for nearly
two years. During all that period she appeared to me the most amiable and
benevolent of human creatures. She nursed Madame Frankenstein, my aunt, in
her last illness, with the greatest affection and care and afterwards
attended her own mother during a tedious illness, in a manner that excited
the admiration of all who knew her, after which she again lived in my
uncle’s house, where she was beloved by all the family. She was
warmly attached to the child who is now dead and acted towards him like a
most affectionate mother. For my own part, I do not hesitate to say that,
notwithstanding all the evidence produced against her, I believe and rely
on her perfect innocence. She had no temptation for such an action; as to
the bauble on which the chief proof rests, if she had earnestly desired it,
I should have willingly given it to her, so much do I esteem and value
her.”

A murmur of approbation followed Elizabeth’s simple and powerful
appeal, but it was excited by her generous interference, and not in
favour of poor Justine, on whom the public indignation was turned with
renewed violence, charging her with the blackest ingratitude.  She
herself wept as Elizabeth spoke, but she did not answer.  My own
agitation and anguish was extreme during the whole trial.  I believed
in her innocence; I knew it.  Could the dæmon who had (I did not for a
minute doubt) murdered my brother also in his hellish sport have
betrayed the innocent to death and ignominy?  I could not sustain the
horror of my situation, and when I perceived that the popular voice and
the countenances of the judges had already condemned my unhappy victim,
I rushed out of the court in agony.  The tortures of the accused did
not equal mine; she was sustained by innocence, but the fangs of
remorse tore my bosom and would not forgo their hold.

I passed a night of unmingled wretchedness.  In the morning I went to
the court; my lips and throat were parched.  I dared not ask the fatal
question, but I was known, and the officer guessed the cause of my
visit.  The ballots had been thrown; they were all black, and Justine
was condemned.

I cannot pretend to describe what I then felt.  I had before
experienced sensations of horror, and I have endeavoured to bestow upon
them adequate expressions, but words cannot convey an idea of the
heart-sickening despair that I then endured.  The person to whom I
addressed myself added that Justine had already confessed her guilt.
“That evidence,” he observed, “was hardly required in so glaring a
case, but I am glad of it, and, indeed, none of our judges like to
condemn a criminal upon circumstantial evidence, be it ever so
decisive.”

This was strange and unexpected intelligence; what could it mean?  Had
my eyes deceived me?  And was I really as mad as the whole world would
believe me to be if I disclosed the object of my suspicions?  I
hastened to return home, and Elizabeth eagerly demanded the result.

“My cousin,” replied I, “it is decided as you may have expected; all
judges had rather that ten innocent should suffer than that one guilty
should escape.  But she has confessed.”

This was a dire blow to poor Elizabeth, who had relied with firmness upon
Justine’s innocence. “Alas!” said she. “How shall I
ever again believe in human goodness? Justine, whom I loved and esteemed as
my sister, how could she put on those smiles of innocence only to betray?
Her mild eyes seemed incapable of any severity or guile, and yet she has
committed a murder.”

Soon after we heard that the poor victim had expressed a desire to see my
cousin. My father wished her not to go but said that he left it to her own
judgment and feelings to decide. “Yes,” said Elizabeth,
“I will go, although she is guilty; and you, Victor, shall accompany
me; I cannot go alone.” The idea of this visit was torture to me, yet
I could not refuse.

We entered the gloomy prison chamber and beheld Justine sitting on some
straw at the farther end; her hands were manacled, and her head rested on
her knees. She rose on seeing us enter, and when we were left alone with
her, she threw herself at the feet of Elizabeth, weeping bitterly. My
cousin wept also.

“Oh, Justine!” said she.  “Why did you rob me of my last consolation?
I relied on your innocence, and although I was then very wretched, I
was not so miserable as I am now.”

“And do you also believe that I am so very, very wicked?  Do you also
join with my enemies to crush me, to condemn me as a murderer?” Her
voice was suffocated with sobs.

“Rise, my poor girl,” said Elizabeth; “why do you kneel,
if you are innocent? I am not one of your enemies, I believed you
guiltless, notwithstanding every evidence, until I heard that you had
yourself declared your guilt. That report, you say, is false; and be
assured, dear Justine, that nothing can shake my confidence in you for a
moment, but your own confession.”

“I did confess, but I confessed a lie.  I confessed, that I might
obtain absolution; but now that falsehood lies heavier at my heart than
all my other sins.  The God of heaven forgive me!  Ever since I was
condemned, my confessor has besieged me; he threatened and menaced,
until I almost began to think that I was the monster that he said I
was.  He threatened excommunication and hell fire in my last moments if
I continued obdurate.  Dear lady, I had none to support me; all looked
on me as a wretch doomed to ignominy and perdition.  What could I do?
In an evil hour I subscribed to a lie; and now only am I truly
miserable.”

She paused, weeping, and then continued, “I thought with horror, my
sweet lady, that you should believe your Justine, whom your blessed
aunt had so highly honoured, and whom you loved, was a creature capable
of a crime which none but the devil himself could have perpetrated.
Dear William! dearest blessed child!  I soon shall see you again in
heaven, where we shall all be happy; and that consoles me, going as I
am to suffer ignominy and death.”

“Oh, Justine!  Forgive me for having for one moment distrusted you.
Why did you confess?  But do not mourn, dear girl.  Do not fear.  I
will proclaim, I will prove your innocence.  I will melt the stony
hearts of your enemies by my tears and prayers.  You shall not die!
You, my playfellow, my companion, my sister, perish on the scaffold!
No!  No!  I never could survive so horrible a misfortune.”

Justine shook her head mournfully.  “I do not fear to die,” she said;
“that pang is past.  God raises my weakness and gives me courage to
endure the worst.  I leave a sad and bitter world; and if you remember
me and think of me as of one unjustly condemned, I am resigned to the
fate awaiting me.  Learn from me, dear lady, to submit in patience to
the will of heaven!”

During this conversation I had retired to a corner of the prison room,
where I could conceal the horrid anguish that possessed me.  Despair!
Who dared talk of that?  The poor victim, who on the morrow was to pass
the awful boundary between life and death, felt not, as I did, such
deep and bitter agony.  I gnashed my teeth and ground them together,
uttering a groan that came from my inmost soul.  Justine started.  When
she saw who it was, she approached me and said, “Dear sir, you are very
kind to visit me; you, I hope, do not believe that I am guilty?”

I could not answer.  “No, Justine,” said Elizabeth; “he is more
convinced of your innocence than I was, for even when he heard that you
had confessed, he did not credit it.”

“I truly thank him.  In these last moments I feel the sincerest
gratitude towards those who think of me with kindness.  How sweet is
the affection of others to such a wretch as I am!  It removes more than
half my misfortune, and I feel as if I could die in peace now that my
innocence is acknowledged by you, dear lady, and your cousin.”

Thus the poor sufferer tried to comfort others and herself.  She indeed
gained the resignation she desired.  But I, the true murderer, felt the
never-dying worm alive in my bosom, which allowed of no hope or
consolation.  Elizabeth also wept and was unhappy, but hers also was
the misery of innocence, which, like a cloud that passes over the fair
moon, for a while hides but cannot tarnish its brightness.  Anguish and
despair had penetrated into the core of my heart; I bore a hell within
me which nothing could extinguish.  We stayed several hours with
Justine, and it was with great difficulty that Elizabeth could tear
herself away.  “I wish,” cried she, “that I were to die with you; I
cannot live in this world of misery.”

Justine assumed an air of cheerfulness, while she with difficulty
repressed her bitter tears.  She embraced Elizabeth and said in a voice
of half-suppressed emotion, “Farewell, sweet lady, dearest Elizabeth,
my beloved and only friend; may heaven, in its bounty, bless and
preserve you; may this be the last misfortune that you will ever
suffer!  Live, and be happy, and make others so.”

And on the morrow Justine died.  Elizabeth’s heart-rending eloquence
failed to move the judges from their settled conviction in the
criminality of the saintly sufferer.  My passionate and indignant
appeals were lost upon them.  And when I received their cold answers
and heard the harsh, unfeeling reasoning of these men, my purposed
avowal died away on my lips.  Thus I might proclaim myself a madman,
but not revoke the sentence passed upon my wretched victim.  She
perished on the scaffold as a murderess!

From the tortures of my own heart, I turned to contemplate the deep and
voiceless grief of my Elizabeth.  This also was my doing!  And my
father’s woe, and the desolation of that late so smiling home all was
the work of my thrice-accursed hands!  Ye weep, unhappy ones, but these
are not your last tears!  Again shall you raise the funeral wail, and
the sound of your lamentations shall again and again be heard!
Frankenstein, your son, your kinsman, your early, much-loved friend; he
who would spend each vital drop of blood for your sakes, who has no
thought nor sense of joy except as it is mirrored also in your dear
countenances, who would fill the air with blessings and spend his life
in serving you—he bids you weep, to shed countless tears; happy beyond
his hopes, if thus inexorable fate be satisfied, and if the destruction
pause before the peace of the grave have succeeded to your sad torments!

Thus spoke my prophetic soul, as, torn by remorse, horror, and despair,
I beheld those I loved spend vain sorrow upon the graves of William and
Justine, the first hapless victims to my unhallowed arts.





Chapter 9

Nothing is more painful to the human mind than, after the feelings have
been worked up by a quick succession of events, the dead calmness of
inaction and certainty which follows and deprives the soul both of hope
and fear.  Justine died, she rested, and I was alive.  The blood flowed
freely in my veins, but a weight of despair and remorse pressed on my
heart which nothing could remove.  Sleep fled from my eyes; I wandered
like an evil spirit, for I had committed deeds of mischief beyond
description horrible, and more, much more (I persuaded myself) was yet
behind.  Yet my heart overflowed with kindness and the love of virtue.
I had begun life with benevolent intentions and thirsted for the moment
when I should put them in practice and make myself useful to my fellow
beings.  Now all was blasted; instead of that serenity of conscience
which allowed me to look back upon the past with self-satisfaction, and
from thence to gather promise of new hopes, I was seized by remorse and
the sense of guilt, which hurried me away to a hell of intense tortures
such as no language can describe.

This state of mind preyed upon my health, which had perhaps never
entirely recovered from the first shock it had sustained.  I shunned
the face of man; all sound of joy or complacency was torture to me;
solitude was my only consolation—deep, dark, deathlike solitude.

My father observed with pain the alteration perceptible in my disposition
and habits and endeavoured by arguments deduced from the feelings of his
serene conscience and guiltless life to inspire me with fortitude and
awaken in me the courage to dispel the dark cloud which brooded over me.
“Do you think, Victor,” said he, “that I do not suffer
also? No one could love a child more than I loved your
brother”—tears came into his eyes as he spoke—“but
is it not a duty to the survivors that we should refrain from augmenting
their unhappiness by an appearance of immoderate grief? It is also a duty
owed to yourself, for excessive sorrow prevents improvement or enjoyment,
or even the discharge of daily usefulness, without which no man is fit for
society.”

This advice, although good, was totally inapplicable to my case; I
should have been the first to hide my grief and console my friends if
remorse had not mingled its bitterness, and terror its alarm, with my
other sensations.  Now I could only answer my father with a look of
despair and endeavour to hide myself from his view.

About this time we retired to our house at Belrive.  This change was
particularly agreeable to me.  The shutting of the gates regularly at
ten o’clock and the impossibility of remaining on the lake after that
hour had rendered our residence within the walls of Geneva very irksome
to me.  I was now free.  Often, after the rest of the family had
retired for the night, I took the boat and passed many hours upon the
water.  Sometimes, with my sails set, I was carried by the wind; and
sometimes, after rowing into the middle of the lake, I left the boat to
pursue its own course and gave way to my own miserable reflections.  I
was often tempted, when all was at peace around me, and I the only
unquiet thing that wandered restless in a scene so beautiful and
heavenly—if I except some bat, or the frogs, whose harsh and
interrupted croaking was heard only when I approached the shore—often,
I say, I was tempted to plunge into the silent lake, that the waters
might close over me and my calamities for ever.  But I was restrained,
when I thought of the heroic and suffering Elizabeth, whom I tenderly
loved, and whose existence was bound up in mine.  I thought also of my
father and surviving brother; should I by my base desertion leave them
exposed and unprotected to the malice of the fiend whom I had let loose
among them?

At these moments I wept bitterly and wished that peace would revisit my
mind only that I might afford them consolation and happiness. But that
could not be. Remorse extinguished every hope. I had been the author of
unalterable evils, and I lived in daily fear lest the monster whom I had
created should perpetrate some new wickedness. I had an obscure feeling
that all was not over and that he would still commit some signal crime,
which by its enormity should almost efface the recollection of the past.
There was always scope for fear so long as anything I loved remained
behind. My abhorrence of this fiend cannot be conceived. When I thought of
him I gnashed my teeth, my eyes became inflamed, and I ardently wished to
extinguish that life which I had so thoughtlessly bestowed. When I
reflected on his crimes and malice, my hatred and revenge burst all bounds
of moderation. I would have made a pilgrimage to the highest peak of the
Andes, could I, when there, have precipitated him to their base. I wished
to see him again, that I might wreak the utmost extent of abhorrence on his
head and avenge the deaths of William and Justine.

Our house was the house of mourning. My father’s health was deeply
shaken by the horror of the recent events. Elizabeth was sad and
desponding; she no longer took delight in her ordinary occupations; all
pleasure seemed to her sacrilege toward the dead; eternal woe and tears she
then thought was the just tribute she should pay to innocence so blasted
and destroyed. She was no longer that happy creature who in earlier youth
wandered with me on the banks of the lake and talked with ecstasy of our
future prospects. The first of those sorrows which are sent to wean us from
the earth had visited her, and its dimming influence quenched her dearest
smiles.

“When I reflect, my dear cousin,” said she, “on the miserable death of
Justine Moritz, I no longer see the world and its works as they before
appeared to me.  Before, I looked upon the accounts of vice and
injustice that I read in books or heard from others as tales of ancient
days or imaginary evils; at least they were remote and more familiar to
reason than to the imagination; but now misery has come home, and men
appear to me as monsters thirsting for each other’s blood.  Yet I am
certainly unjust.  Everybody believed that poor girl to be guilty; and
if she could have committed the crime for which she suffered, assuredly
she would have been the most depraved of human creatures.  For the sake
of a few jewels, to have murdered the son of her benefactor and friend,
a child whom she had nursed from its birth, and appeared to love as if
it had been her own!  I could not consent to the death of any human
being, but certainly I should have thought such a creature unfit to
remain in the society of men.  But she was innocent.  I know, I feel
she was innocent; you are of the same opinion, and that confirms me.
Alas!  Victor, when falsehood can look so like the truth, who can
assure themselves of certain happiness?  I feel as if I were walking on
the edge of a precipice, towards which thousands are crowding and
endeavouring to plunge me into the abyss.  William and Justine were
assassinated, and the murderer escapes; he walks about the world free,
and perhaps respected.  But even if I were condemned to suffer on the
scaffold for the same crimes, I would not change places with such a
wretch.”

I listened to this discourse with the extremest agony.  I, not in deed,
but in effect, was the true murderer.  Elizabeth read my anguish in my
countenance, and kindly taking my hand, said, “My dearest friend, you
must calm yourself.  These events have affected me, God knows how
deeply; but I am not so wretched as you are.  There is an expression of
despair, and sometimes of revenge, in your countenance that makes me
tremble.  Dear Victor, banish these dark passions.  Remember the
friends around you, who centre all their hopes in you.  Have we lost
the power of rendering you happy?  Ah!  While we love, while we are
true to each other, here in this land of peace and beauty, your native
country, we may reap every tranquil blessing—what can disturb our
peace?”

And could not such words from her whom I fondly prized before every
other gift of fortune suffice to chase away the fiend that lurked in my
heart?  Even as she spoke I drew near to her, as if in terror, lest at
that very moment the destroyer had been near to rob me of her.

Thus not the tenderness of friendship, nor the beauty of earth, nor of
heaven, could redeem my soul from woe; the very accents of love were
ineffectual.  I was encompassed by a cloud which no beneficial
influence could penetrate.  The wounded deer dragging its fainting
limbs to some untrodden brake, there to gaze upon the arrow which had
pierced it, and to die, was but a type of me.

Sometimes I could cope with the sullen despair that overwhelmed me, but
sometimes the whirlwind passions of my soul drove me to seek, by bodily
exercise and by change of place, some relief from my intolerable
sensations.  It was during an access of this kind that I suddenly left
my home, and bending my steps towards the near Alpine valleys, sought
in the magnificence, the eternity of such scenes, to forget myself and
my ephemeral, because human, sorrows.  My wanderings were directed
towards the valley of Chamounix.  I had visited it frequently during my
boyhood.  Six years had passed since then: _I_ was a wreck, but nought
had changed in those savage and enduring scenes.

I performed the first part of my journey on horseback.  I afterwards
hired a mule, as the more sure-footed and least liable to receive
injury on these rugged roads.  The weather was fine; it was about the
middle of the month of August, nearly two months after the death of
Justine, that miserable epoch from which I dated all my woe.  The
weight upon my spirit was sensibly lightened as I plunged yet deeper in
the ravine of Arve.  The immense mountains and precipices that overhung
me on every side, the sound of the river raging among the rocks, and
the dashing of the waterfalls around spoke of a power mighty as
Omnipotence—and I ceased to fear or to bend before any being less
almighty than that which had created and ruled the elements, here
displayed in their most terrific guise.  Still, as I ascended higher,
the valley assumed a more magnificent and astonishing character.
Ruined castles hanging on the precipices of piny mountains, the
impetuous Arve, and cottages every here and there peeping forth from
among the trees formed a scene of singular beauty.  But it was
augmented and rendered sublime by the mighty Alps, whose white and
shining pyramids and domes towered above all, as belonging to another
earth, the habitations of another race of beings.

I passed the bridge of Pélissier, where the ravine, which the river
forms, opened before me, and I began to ascend the mountain that
overhangs it.  Soon after, I entered the valley of Chamounix.  This
valley is more wonderful and sublime, but not so beautiful and
picturesque as that of Servox, through which I had just passed.  The
high and snowy mountains were its immediate boundaries, but I saw no
more ruined castles and fertile fields.  Immense glaciers approached
the road; I heard the rumbling thunder of the falling avalanche and
marked the smoke of its passage.  Mont Blanc, the supreme and
magnificent Mont Blanc, raised itself from the surrounding _aiguilles_,
and its tremendous _dôme_ overlooked the valley.

A tingling long-lost sense of pleasure often came across me during this
journey.  Some turn in the road, some new object suddenly perceived and
recognised, reminded me of days gone by, and were associated with the
lighthearted gaiety of boyhood.  The very winds whispered in soothing
accents, and maternal Nature bade me weep no more.  Then again the
kindly influence ceased to act—I found myself fettered again to grief
and indulging in all the misery of reflection.  Then I spurred on my
animal, striving so to forget the world, my fears, and more than all,
myself—or, in a more desperate fashion, I alighted and threw myself on
the grass, weighed down by horror and despair.

At length I arrived at the village of Chamounix.  Exhaustion succeeded
to the extreme fatigue both of body and of mind which I had endured.
For a short space of time I remained at the window watching the pallid
lightnings that played above Mont Blanc and listening to the rushing of
the Arve, which pursued its noisy way beneath.  The same lulling sounds
acted as a lullaby to my too keen sensations; when I placed my head
upon my pillow, sleep crept over me; I felt it as it came and blessed
the giver of oblivion.





Chapter 10

I spent the following day roaming through the valley.  I stood beside
the sources of the Arveiron, which take their rise in a glacier, that
with slow pace is advancing down from the summit of the hills to
barricade the valley.  The abrupt sides of vast mountains were before
me; the icy wall of the glacier overhung me; a few shattered pines were
scattered around; and the solemn silence of this glorious
presence-chamber of imperial Nature was broken only by the brawling
waves or the fall of some vast fragment, the thunder sound of the
avalanche or the cracking, reverberated along the mountains, of the
accumulated ice, which, through the silent working of immutable laws,
was ever and anon rent and torn, as if it had been but a plaything in
their hands.  These sublime and magnificent scenes afforded me the
greatest consolation that I was capable of receiving.  They elevated me
from all littleness of feeling, and although they did not remove my
grief, they subdued and tranquillised it.  In some degree, also, they
diverted my mind from the thoughts over which it had brooded for the
last month.  I retired to rest at night; my slumbers, as it were,
waited on and ministered to by the assemblance of grand shapes which I
had contemplated during the day.  They congregated round me; the
unstained snowy mountain-top, the glittering pinnacle, the pine woods,
and ragged bare ravine, the eagle, soaring amidst the clouds—they all
gathered round me and bade me be at peace.

Where had they fled when the next morning I awoke?  All of
soul-inspiriting fled with sleep, and dark melancholy clouded every
thought.  The rain was pouring in torrents, and thick mists hid the
summits of the mountains, so that I even saw not the faces of those
mighty friends.  Still I would penetrate their misty veil and seek them
in their cloudy retreats.  What were rain and storm to me?  My mule was
brought to the door, and I resolved to ascend to the summit of
Montanvert.  I remembered the effect that the view of the tremendous
and ever-moving glacier had produced upon my mind when I first saw it.
It had then filled me with a sublime ecstasy that gave wings to the
soul and allowed it to soar from the obscure world to light and joy.
The sight of the awful and majestic in nature had indeed always the
effect of solemnising my mind and causing me to forget the passing
cares of life.  I determined to go without a guide, for I was well
acquainted with the path, and the presence of another would destroy the
solitary grandeur of the scene.

The ascent is precipitous, but the path is cut into continual and short
windings, which enable you to surmount the perpendicularity of the
mountain.  It is a scene terrifically desolate.  In a thousand spots
the traces of the winter avalanche may be perceived, where trees lie
broken and strewed on the ground, some entirely destroyed, others bent,
leaning upon the jutting rocks of the mountain or transversely upon
other trees.  The path, as you ascend higher, is intersected by ravines
of snow, down which stones continually roll from above; one of them is
particularly dangerous, as the slightest sound, such as even speaking
in a loud voice, produces a concussion of air sufficient to draw
destruction upon the head of the speaker.  The pines are not tall or
luxuriant, but they are sombre and add an air of severity to the scene.
I looked on the valley beneath; vast mists were rising from the rivers
which ran through it and curling in thick wreaths around the opposite
mountains, whose summits were hid in the uniform clouds, while rain
poured from the dark sky and added to the melancholy impression I
received from the objects around me.  Alas!  Why does man boast of
sensibilities superior to those apparent in the brute; it only renders
them more necessary beings.  If our impulses were confined to hunger,
thirst, and desire, we might be nearly free; but now we are moved by
every wind that blows and a chance word or scene that that word may
convey to us.

  We rest; a dream has power to poison sleep.
       We rise; one wand’ring thought pollutes the day.
  We feel, conceive, or reason; laugh or weep,
       Embrace fond woe, or cast our cares away;
  It is the same:  for, be it joy or sorrow,
       The path of its departure still is free.
  Man’s yesterday may ne’er be like his morrow;
       Nought may endure but mutability!



It was nearly noon when I arrived at the top of the ascent.  For some
time I sat upon the rock that overlooks the sea of ice.  A mist covered
both that and the surrounding mountains.  Presently a breeze dissipated
the cloud, and I descended upon the glacier.  The surface is very
uneven, rising like the waves of a troubled sea, descending low, and
interspersed by rifts that sink deep.  The field of ice is almost a
league in width, but I spent nearly two hours in crossing it.  The
opposite mountain is a bare perpendicular rock.  From the side where I
now stood Montanvert was exactly opposite, at the distance of a league;
and above it rose Mont Blanc, in awful majesty.  I remained in a recess
of the rock, gazing on this wonderful and stupendous scene.  The sea,
or rather the vast river of ice, wound among its dependent mountains,
whose aerial summits hung over its recesses.  Their icy and glittering
peaks shone in the sunlight over the clouds.  My heart, which was
before sorrowful, now swelled with something like joy; I exclaimed,
“Wandering spirits, if indeed ye wander, and do not rest in your narrow
beds, allow me this faint happiness, or take me, as your companion,
away from the joys of life.”

As I said this I suddenly beheld the figure of a man, at some distance,
advancing towards me with superhuman speed.  He bounded over the
crevices in the ice, among which I had walked with caution; his
stature, also, as he approached, seemed to exceed that of man.  I was
troubled; a mist came over my eyes, and I felt a faintness seize me,
but I was quickly restored by the cold gale of the mountains.  I
perceived, as the shape came nearer (sight tremendous and abhorred!)
that it was the wretch whom I had created.  I trembled with rage and
horror, resolving to wait his approach and then close with him in
mortal combat.  He approached; his countenance bespoke bitter anguish,
combined with disdain and malignity, while its unearthly ugliness
rendered it almost too horrible for human eyes.  But I scarcely
observed this; rage and hatred had at first deprived me of utterance,
and I recovered only to overwhelm him with words expressive of furious
detestation and contempt.

“Devil,” I exclaimed, “do you dare approach me? And do
not you fear the fierce vengeance of my arm wreaked on your miserable head?
Begone, vile insect! Or rather, stay, that I may trample you to dust! And,
oh! That I could, with the extinction of your miserable existence, restore
those victims whom you have so diabolically murdered!”

“I expected this reception,” said the dæmon.  “All men hate the
wretched; how, then, must I be hated, who am miserable beyond all
living things!  Yet you, my creator, detest and spurn me, thy creature,
to whom thou art bound by ties only dissoluble by the annihilation of
one of us.  You purpose to kill me.  How dare you sport thus with life?
Do your duty towards me, and I will do mine towards you and the rest of
mankind.  If you will comply with my conditions, I will leave them and
you at peace; but if you refuse, I will glut the maw of death, until it
be satiated with the blood of your remaining friends.”

“Abhorred monster!  Fiend that thou art!  The tortures of hell are too
mild a vengeance for thy crimes.  Wretched devil!  You reproach me with
your creation, come on, then, that I may extinguish the spark which I
so negligently bestowed.”

My rage was without bounds; I sprang on him, impelled by all the
feelings which can arm one being against the existence of another.

He easily eluded me and said,

“Be calm!  I entreat you to hear me before you give vent to your hatred
on my devoted head.  Have I not suffered enough, that you seek to
increase my misery?  Life, although it may only be an accumulation of
anguish, is dear to me, and I will defend it.  Remember, thou hast made
me more powerful than thyself; my height is superior to thine, my
joints more supple.  But I will not be tempted to set myself in
opposition to thee.  I am thy creature, and I will be even mild and
docile to my natural lord and king if thou wilt also perform thy part,
the which thou owest me.  Oh, Frankenstein, be not equitable to every
other and trample upon me alone, to whom thy justice, and even thy
clemency and affection, is most due.  Remember that I am thy creature;
I ought to be thy Adam, but I am rather the fallen angel, whom thou
drivest from joy for no misdeed.  Everywhere I see bliss, from which I
alone am irrevocably excluded.  I was benevolent and good; misery made
me a fiend.  Make me happy, and I shall again be virtuous.”

“Begone!  I will not hear you.  There can be no community between you
and me; we are enemies.  Begone, or let us try our strength in a fight,
in which one must fall.”

“How can I move thee?  Will no entreaties cause thee to turn a
favourable eye upon thy creature, who implores thy goodness and
compassion?  Believe me, Frankenstein, I was benevolent; my soul glowed
with love and humanity; but am I not alone, miserably alone?  You, my
creator, abhor me; what hope can I gather from your fellow creatures,
who owe me nothing?  They spurn and hate me.  The desert mountains and
dreary glaciers are my refuge.  I have wandered here many days; the
caves of ice, which I only do not fear, are a dwelling to me, and the
only one which man does not grudge.  These bleak skies I hail, for they
are kinder to me than your fellow beings.  If the multitude of mankind
knew of my existence, they would do as you do, and arm themselves for
my destruction.  Shall I not then hate them who abhor me?  I will keep
no terms with my enemies.  I am miserable, and they shall share my
wretchedness.  Yet it is in your power to recompense me, and deliver
them from an evil which it only remains for you to make so great, that
not only you and your family, but thousands of others, shall be
swallowed up in the whirlwinds of its rage.  Let your compassion be
moved, and do not disdain me.  Listen to my tale; when you have heard
that, abandon or commiserate me, as you shall judge that I deserve.
But hear me.  The guilty are allowed, by human laws, bloody as they
are, to speak in their own defence before they are condemned.  Listen
to me, Frankenstein.  You accuse me of murder, and yet you would, with
a satisfied conscience, destroy your own creature.  Oh, praise the
eternal justice of man!  Yet I ask you not to spare me; listen to me,
and then, if you can, and if you will, destroy the work of your hands.”

“Why do you call to my remembrance,” I rejoined, “circumstances of
which I shudder to reflect, that I have been the miserable origin and
author?  Cursed be the day, abhorred devil, in which you first saw
light!  Cursed (although I curse myself) be the hands that formed you!
You have made me wretched beyond expression.  You have left me no power
to consider whether I am just to you or not.  Begone!  Relieve me from
the sight of your detested form.”

“Thus I relieve thee, my creator,” he said, and placed his hated hands
before my eyes, which I flung from me with violence; “thus I take from
thee a sight which you abhor.  Still thou canst listen to me and grant
me thy compassion.  By the virtues that I once possessed, I demand this
from you.  Hear my tale; it is long and strange, and the temperature of
this place is not fitting to your fine sensations; come to the hut upon
the mountain.  The sun is yet high in the heavens; before it descends
to hide itself behind your snowy precipices and illuminate another
world, you will have heard my story and can decide.  On you it rests,
whether I quit for ever the neighbourhood of man and lead a harmless
life, or become the scourge of your fellow creatures and the author of
your own speedy ruin.”

As he said this he led the way across the ice; I followed.  My heart
was full, and I did not answer him, but as I proceeded, I weighed the
various arguments that he had used and determined at least to listen to
his tale.  I was partly urged by curiosity, and compassion confirmed my
resolution.  I had hitherto supposed him to be the murderer of my
brother, and I eagerly sought a confirmation or denial of this opinion.
For the first time, also, I felt what the duties of a creator towards
his creature were, and that I ought to render him happy before I
complained of his wickedness.  These motives urged me to comply with
his demand.  We crossed the ice, therefore, and ascended the opposite
rock.  The air was cold, and the rain again began to descend; we
entered the hut, the fiend with an air of exultation, I with a heavy
heart and depressed spirits.  But I consented to listen, and seating
myself by the fire which my odious companion had lighted, he thus began
his tale.





Chapter 11

“It is with considerable difficulty that I remember the original era of
my being; all the events of that period appear confused and indistinct.
A strange multiplicity of sensations seized me, and I saw, felt, heard,
and smelt at the same time; and it was, indeed, a long time before I
learned to distinguish between the operations of my various senses.  By
degrees, I remember, a stronger light pressed upon my nerves, so that I
was obliged to shut my eyes.  Darkness then came over me and troubled
me, but hardly had I felt this when, by opening my eyes, as I now
suppose, the light poured in upon me again.  I walked and, I believe,
descended, but I presently found a great alteration in my sensations.
Before, dark and opaque bodies had surrounded me, impervious to my
touch or sight; but I now found that I could wander on at liberty, with
no obstacles which I could not either surmount or avoid.  The light
became more and more oppressive to me, and the heat wearying me as I
walked, I sought a place where I could receive shade.  This was the
forest near Ingolstadt; and here I lay by the side of a brook resting
from my fatigue, until I felt tormented by hunger and thirst.  This
roused me from my nearly dormant state, and I ate some berries which I
found hanging on the trees or lying on the ground.  I slaked my thirst
at the brook, and then lying down, was overcome by sleep.

“It was dark when I awoke; I felt cold also, and half frightened, as it
were, instinctively, finding myself so desolate.  Before I had quitted
your apartment, on a sensation of cold, I had covered myself with some
clothes, but these were insufficient to secure me from the dews of
night.  I was a poor, helpless, miserable wretch; I knew, and could
distinguish, nothing; but feeling pain invade me on all sides, I sat
down and wept.

“Soon a gentle light stole over the heavens and gave me a sensation of
pleasure.  I started up and beheld a radiant form rise from among the
trees.  [The moon]  I gazed with a kind of wonder.  It moved slowly,
but it enlightened my path, and I again went out in search of berries.
I was still cold when under one of the trees I found a huge cloak, with
which I covered myself, and sat down upon the ground.  No distinct
ideas occupied my mind; all was confused.  I felt light, and hunger,
and thirst, and darkness; innumerable sounds rang in my ears, and on
all sides various scents saluted me; the only object that I could
distinguish was the bright moon, and I fixed my eyes on that with
pleasure.

“Several changes of day and night passed, and the orb of night had
greatly lessened, when I began to distinguish my sensations from each
other.  I gradually saw plainly the clear stream that supplied me with
drink and the trees that shaded me with their foliage.  I was delighted
when I first discovered that a pleasant sound, which often saluted my
ears, proceeded from the throats of the little winged animals who had
often intercepted the light from my eyes.  I began also to observe,
with greater accuracy, the forms that surrounded me and to perceive the
boundaries of the radiant roof of light which canopied me.  Sometimes I
tried to imitate the pleasant songs of the birds but was unable.
Sometimes I wished to express my sensations in my own mode, but the
uncouth and inarticulate sounds which broke from me frightened me into
silence again.

“The moon had disappeared from the night, and again, with a lessened
form, showed itself, while I still remained in the forest.  My
sensations had by this time become distinct, and my mind received every
day additional ideas.  My eyes became accustomed to the light and to
perceive objects in their right forms; I distinguished the insect from
the herb, and by degrees, one herb from another.  I found that the
sparrow uttered none but harsh notes, whilst those of the blackbird and
thrush were sweet and enticing.

“One day, when I was oppressed by cold, I found a fire which had been
left by some wandering beggars, and was overcome with delight at the
warmth I experienced from it.  In my joy I thrust my hand into the live
embers, but quickly drew it out again with a cry of pain.  How strange,
I thought, that the same cause should produce such opposite effects!  I
examined the materials of the fire, and to my joy found it to be
composed of wood.  I quickly collected some branches, but they were wet
and would not burn.  I was pained at this and sat still watching the
operation of the fire.  The wet wood which I had placed near the heat
dried and itself became inflamed.  I reflected on this, and by touching
the various branches, I discovered the cause and busied myself in
collecting a great quantity of wood, that I might dry it and have a
plentiful supply of fire.  When night came on and brought sleep with
it, I was in the greatest fear lest my fire should be extinguished.  I
covered it carefully with dry wood and leaves and placed wet branches
upon it; and then, spreading my cloak, I lay on the ground and sank
into sleep.

“It was morning when I awoke, and my first care was to visit the fire.
I uncovered it, and a gentle breeze quickly fanned it into a flame.  I
observed this also and contrived a fan of branches, which roused the
embers when they were nearly extinguished.  When night came again I
found, with pleasure, that the fire gave light as well as heat and that
the discovery of this element was useful to me in my food, for I found
some of the offals that the travellers had left had been roasted, and
tasted much more savoury than the berries I gathered from the trees.  I
tried, therefore, to dress my food in the same manner, placing it on
the live embers.  I found that the berries were spoiled by this
operation, and the nuts and roots much improved.

“Food, however, became scarce, and I often spent the whole day
searching in vain for a few acorns to assuage the pangs of hunger. When
I found this, I resolved to quit the place that I had hitherto
inhabited, to seek for one where the few wants I experienced would be
more easily satisfied.  In this emigration I exceedingly lamented the
loss of the fire which I had obtained through accident and knew not how
to reproduce it.  I gave several hours to the serious consideration of
this difficulty, but I was obliged to relinquish all attempt to supply
it, and wrapping myself up in my cloak, I struck across the wood
towards the setting sun.  I passed three days in these rambles and at
length discovered the open country.  A great fall of snow had taken
place the night before, and the fields were of one uniform white; the
appearance was disconsolate, and I found my feet chilled by the cold
damp substance that covered the ground.

“It was about seven in the morning, and I longed to obtain food and
shelter; at length I perceived a small hut, on a rising ground, which
had doubtless been built for the convenience of some shepherd.  This
was a new sight to me, and I examined the structure with great
curiosity.  Finding the door open, I entered.  An old man sat in it,
near a fire, over which he was preparing his breakfast.  He turned on
hearing a noise, and perceiving me, shrieked loudly, and quitting the
hut, ran across the fields with a speed of which his debilitated form
hardly appeared capable.  His appearance, different from any I had ever
before seen, and his flight somewhat surprised me.  But I was enchanted
by the appearance of the hut; here the snow and rain could not
penetrate; the ground was dry; and it presented to me then as exquisite
and divine a retreat as Pandæmonium appeared to the dæmons of hell
after their sufferings in the lake of fire.  I greedily devoured the
remnants of the shepherd’s breakfast, which consisted of bread, cheese,
milk, and wine; the latter, however, I did not like.  Then, overcome by
fatigue, I lay down among some straw and fell asleep.

“It was noon when I awoke, and allured by the warmth of the sun, which
shone brightly on the white ground, I determined to recommence my
travels; and, depositing the remains of the peasant’s breakfast in a
wallet I found, I proceeded across the fields for several hours, until
at sunset I arrived at a village.  How miraculous did this appear!  The
huts, the neater cottages, and stately houses engaged my admiration by
turns.  The vegetables in the gardens, the milk and cheese that I saw
placed at the windows of some of the cottages, allured my appetite. One
of the best of these I entered, but I had hardly placed my foot within
the door before the children shrieked, and one of the women fainted.
The whole village was roused; some fled, some attacked me, until,
grievously bruised by stones and many other kinds of missile weapons, I
escaped to the open country and fearfully took refuge in a low hovel,
quite bare, and making a wretched appearance after the palaces I had
beheld in the village.  This hovel however, joined a cottage of a neat
and pleasant appearance, but after my late dearly bought experience, I
dared not enter it.  My place of refuge was constructed of wood, but so
low that I could with difficulty sit upright in it.  No wood, however,
was placed on the earth, which formed the floor, but it was dry; and
although the wind entered it by innumerable chinks, I found it an
agreeable asylum from the snow and rain.

“Here, then, I retreated and lay down happy to have found a shelter,
however miserable, from the inclemency of the season, and still more
from the barbarity of man.  As soon as morning dawned I crept from my
kennel, that I might view the adjacent cottage and discover if I could
remain in the habitation I had found.  It was situated against the back
of the cottage and surrounded on the sides which were exposed by a pig
sty and a clear pool of water.  One part was open, and by that I had
crept in; but now I covered every crevice by which I might be perceived
with stones and wood, yet in such a manner that I might move them on
occasion to pass out; all the light I enjoyed came through the sty, and
that was sufficient for me.

“Having thus arranged my dwelling and carpeted it with clean straw, I
retired, for I saw the figure of a man at a distance, and I remembered
too well my treatment the night before to trust myself in his power.  I
had first, however, provided for my sustenance for that day by a loaf
of coarse bread, which I purloined, and a cup with which I could drink
more conveniently than from my hand of the pure water which flowed by
my retreat.  The floor was a little raised, so that it was kept
perfectly dry, and by its vicinity to the chimney of the cottage it was
tolerably warm.

“Being thus provided, I resolved to reside in this hovel until
something should occur which might alter my determination.  It was
indeed a paradise compared to the bleak forest, my former residence,
the rain-dropping branches, and dank earth.  I ate my breakfast with
pleasure and was about to remove a plank to procure myself a little
water when I heard a step, and looking through a small chink, I beheld
a young creature, with a pail on her head, passing before my hovel. The
girl was young and of gentle demeanour, unlike what I have since found
cottagers and farmhouse servants to be.  Yet she was meanly dressed, a
coarse blue petticoat and a linen jacket being her only garb; her fair
hair was plaited but not adorned:  she looked patient yet sad.  I lost
sight of her, and in about a quarter of an hour she returned bearing
the pail, which was now partly filled with milk.  As she walked along,
seemingly incommoded by the burden, a young man met her, whose
countenance expressed a deeper despondence.  Uttering a few sounds with
an air of melancholy, he took the pail from her head and bore it to the
cottage himself.  She followed, and they disappeared.  Presently I saw
the young man again, with some tools in his hand, cross the field
behind the cottage; and the girl was also busied, sometimes in the
house and sometimes in the yard.

“On examining my dwelling, I found that one of the windows of the
cottage had formerly occupied a part of it, but the panes had been
filled up with wood. In one of these was a small and almost
imperceptible chink through which the eye could just penetrate.
Through this crevice a small room was visible, whitewashed and clean
but very bare of furniture. In one corner, near a small fire, sat an
old man, leaning his head on his hands in a disconsolate attitude. The
young girl was occupied in arranging the cottage; but presently she
took something out of a drawer, which employed her hands, and she sat
down beside the old man, who, taking up an instrument, began to play
and to produce sounds sweeter than the voice of the thrush or the
nightingale. It was a lovely sight, even to me, poor wretch who had
never beheld aught beautiful before. The silver hair and benevolent
countenance of the aged cottager won my reverence, while the gentle
manners of the girl enticed my love. He played a sweet mournful air
which I perceived drew tears from the eyes of his amiable companion, of
which the old man took no notice, until she sobbed audibly; he then
pronounced a few sounds, and the fair creature, leaving her work, knelt
at his feet. He raised her and smiled with such kindness and affection
that I felt sensations of a peculiar and overpowering nature; they were
a mixture of pain and pleasure, such as I had never before experienced,
either from hunger or cold, warmth or food; and I withdrew from the
window, unable to bear these emotions.

“Soon after this the young man returned, bearing on his shoulders a
load of wood.  The girl met him at the door, helped to relieve him of
his burden, and taking some of the fuel into the cottage, placed it on
the fire; then she and the youth went apart into a nook of the cottage,
and he showed her a large loaf and a piece of cheese.  She seemed
pleased and went into the garden for some roots and plants, which she
placed in water, and then upon the fire.  She afterwards continued her
work, whilst the young man went into the garden and appeared busily
employed in digging and pulling up roots.  After he had been employed
thus about an hour, the young woman joined him and they entered the
cottage together.

“The old man had, in the meantime, been pensive, but on the appearance
of his companions he assumed a more cheerful air, and they sat down to
eat.  The meal was quickly dispatched.  The young woman was again
occupied in arranging the cottage, the old man walked before the
cottage in the sun for a few minutes, leaning on the arm of the youth.
Nothing could exceed in beauty the contrast between these two excellent
creatures.  One was old, with silver hairs and a countenance beaming
with benevolence and love; the younger was slight and graceful in his
figure, and his features were moulded with the finest symmetry, yet his
eyes and attitude expressed the utmost sadness and despondency.  The
old man returned to the cottage, and the youth, with tools different
from those he had used in the morning, directed his steps across the
fields.

“Night quickly shut in, but to my extreme wonder, I found that the
cottagers had a means of prolonging light by the use of tapers, and was
delighted to find that the setting of the sun did not put an end to the
pleasure I experienced in watching my human neighbours.  In the evening
the young girl and her companion were employed in various occupations
which I did not understand; and the old man again took up the
instrument which produced the divine sounds that had enchanted me in
the morning.  So soon as he had finished, the youth began, not to play,
but to utter sounds that were monotonous, and neither resembling the
harmony of the old man’s instrument nor the songs of the birds; I since
found that he read aloud, but at that time I knew nothing of the
science of words or letters.

“The family, after having been thus occupied for a short time,
extinguished their lights and retired, as I conjectured, to rest.”





Chapter 12

“I lay on my straw, but I could not sleep.  I thought of the
occurrences of the day.  What chiefly struck me was the gentle manners
of these people, and I longed to join them, but dared not.  I
remembered too well the treatment I had suffered the night before from
the barbarous villagers, and resolved, whatever course of conduct I
might hereafter think it right to pursue, that for the present I would
remain quietly in my hovel, watching and endeavouring to discover the
motives which influenced their actions.

“The cottagers arose the next morning before the sun.  The young woman
arranged the cottage and prepared the food, and the youth departed
after the first meal.

“This day was passed in the same routine as that which preceded it.
The young man was constantly employed out of doors, and the girl in
various laborious occupations within.  The old man, whom I soon
perceived to be blind, employed his leisure hours on his instrument or
in contemplation.  Nothing could exceed the love and respect which the
younger cottagers exhibited towards their venerable companion.  They
performed towards him every little office of affection and duty with
gentleness, and he rewarded them by his benevolent smiles.

“They were not entirely happy.  The young man and his companion often
went apart and appeared to weep.  I saw no cause for their unhappiness,
but I was deeply affected by it.  If such lovely creatures were
miserable, it was less strange that I, an imperfect and solitary being,
should be wretched.  Yet why were these gentle beings unhappy?  They
possessed a delightful house (for such it was in my eyes) and every
luxury; they had a fire to warm them when chill and delicious viands
when hungry; they were dressed in excellent clothes; and, still more,
they enjoyed one another’s company and speech, interchanging each day
looks of affection and kindness.  What did their tears imply?  Did they
really express pain?  I was at first unable to solve these questions,
but perpetual attention and time explained to me many appearances which
were at first enigmatic.

“A considerable period elapsed before I discovered one of the causes of
the uneasiness of this amiable family:  it was poverty, and they
suffered that evil in a very distressing degree.  Their nourishment
consisted entirely of the vegetables of their garden and the milk of
one cow, which gave very little during the winter, when its masters
could scarcely procure food to support it.  They often, I believe,
suffered the pangs of hunger very poignantly, especially the two
younger cottagers, for several times they placed food before the old
man when they reserved none for themselves.

“This trait of kindness moved me sensibly.  I had been accustomed,
during the night, to steal a part of their store for my own
consumption, but when I found that in doing this I inflicted pain on
the cottagers, I abstained and satisfied myself with berries, nuts, and
roots which I gathered from a neighbouring wood.

“I discovered also another means through which I was enabled to assist
their labours.  I found that the youth spent a great part of each day
in collecting wood for the family fire, and during the night I often
took his tools, the use of which I quickly discovered, and brought home
firing sufficient for the consumption of several days.

“I remember, the first time that I did this, the young woman, when she
opened the door in the morning, appeared greatly astonished on seeing a great
pile of wood on the outside. She uttered some words in a loud voice, and the
youth joined her, who also expressed surprise. I observed, with pleasure,
that he did not go to the forest that day, but spent it in repairing the
cottage and cultivating the garden.

“By degrees I made a discovery of still greater moment. I found that
these people possessed a method of communicating their experience and
feelings to one another by articulate sounds. I perceived that the words
they spoke sometimes produced pleasure or pain, smiles or sadness, in the
minds and countenances of the hearers.  This was indeed a godlike science,
and I ardently desired to become acquainted with it. But I was baffled in
every attempt I made for this purpose. Their pronunciation was quick, and
the words they uttered, not having any apparent connection with visible
objects, I was unable to discover any clue by which I could unravel the
mystery of their reference.  By great application, however, and after having
remained during the space of several revolutions of the moon in my hovel, I
discovered the names that were given to some of the most familiar objects of
discourse; I learned and applied the words, _fire, milk, bread,_ and
_wood._ I learned also the names of the cottagers themselves. The youth
and his companion had each of them several names, but the old man had only
one, which was _father._ The girl was called _sister_ or
_Agatha,_ and the youth _Felix, brother,_ or _son_. I cannot
describe the delight I felt when I learned the ideas appropriated to each of
these sounds and was able to pronounce them.  I distinguished several other
words without being able as yet to understand or apply them, such as _good,
dearest, unhappy._

“I spent the winter in this manner.  The gentle manners and beauty of
the cottagers greatly endeared them to me; when they were unhappy, I
felt depressed; when they rejoiced, I sympathised in their joys.  I saw
few human beings besides them, and if any other happened to enter the
cottage, their harsh manners and rude gait only enhanced to me the
superior accomplishments of my friends.  The old man, I could perceive,
often endeavoured to encourage his children, as sometimes I found that
he called them, to cast off their melancholy.  He would talk in a
cheerful accent, with an expression of goodness that bestowed pleasure
even upon me.  Agatha listened with respect, her eyes sometimes filled
with tears, which she endeavoured to wipe away unperceived; but I
generally found that her countenance and tone were more cheerful after
having listened to the exhortations of her father.  It was not thus
with Felix.  He was always the saddest of the group, and even to my
unpractised senses, he appeared to have suffered more deeply than his
friends.  But if his countenance was more sorrowful, his voice was more
cheerful than that of his sister, especially when he addressed the old
man.

“I could mention innumerable instances which, although slight, marked
the dispositions of these amiable cottagers.  In the midst of poverty
and want, Felix carried with pleasure to his sister the first little
white flower that peeped out from beneath the snowy ground.  Early in
the morning, before she had risen, he cleared away the snow that
obstructed her path to the milk-house, drew water from the well, and
brought the wood from the outhouse, where, to his perpetual
astonishment, he found his store always replenished by an invisible
hand.  In the day, I believe, he worked sometimes for a neighbouring
farmer, because he often went forth and did not return until dinner,
yet brought no wood with him.  At other times he worked in the garden,
but as there was little to do in the frosty season, he read to the old
man and Agatha.

“This reading had puzzled me extremely at first, but by degrees I
discovered that he uttered many of the same sounds when he read as when
he talked.  I conjectured, therefore, that he found on the paper signs
for speech which he understood, and I ardently longed to comprehend
these also; but how was that possible when I did not even understand
the sounds for which they stood as signs?  I improved, however,
sensibly in this science, but not sufficiently to follow up any kind of
conversation, although I applied my whole mind to the endeavour, for I
easily perceived that, although I eagerly longed to discover myself to
the cottagers, I ought not to make the attempt until I had first become
master of their language, which knowledge might enable me to make them
overlook the deformity of my figure, for with this also the contrast
perpetually presented to my eyes had made me acquainted.

“I had admired the perfect forms of my cottagers—their grace, beauty,
and delicate complexions; but how was I terrified when I viewed myself
in a transparent pool!  At first I started back, unable to believe that
it was indeed I who was reflected in the mirror; and when I became
fully convinced that I was in reality the monster that I am, I was
filled with the bitterest sensations of despondence and mortification.
Alas!  I did not yet entirely know the fatal effects of this miserable
deformity.

“As the sun became warmer and the light of day longer, the snow
vanished, and I beheld the bare trees and the black earth.  From this
time Felix was more employed, and the heart-moving indications of
impending famine disappeared.  Their food, as I afterwards found, was
coarse, but it was wholesome; and they procured a sufficiency of it.
Several new kinds of plants sprang up in the garden, which they
dressed; and these signs of comfort increased daily as the season
advanced.

“The old man, leaning on his son, walked each day at noon, when it did
not rain, as I found it was called when the heavens poured forth its
waters.  This frequently took place, but a high wind quickly dried the
earth, and the season became far more pleasant than it had been.

“My mode of life in my hovel was uniform.  During the morning I
attended the motions of the cottagers, and when they were dispersed in
various occupations, I slept; the remainder of the day was spent in
observing my friends.  When they had retired to rest, if there was any
moon or the night was star-light, I went into the woods and collected
my own food and fuel for the cottage.  When I returned, as often as it
was necessary, I cleared their path from the snow and performed those
offices that I had seen done by Felix.  I afterwards found that these
labours, performed by an invisible hand, greatly astonished them; and
once or twice I heard them, on these occasions, utter the words _good
spirit, wonderful_; but I did not then understand the signification
of these terms.

“My thoughts now became more active, and I longed to discover the
motives and feelings of these lovely creatures; I was inquisitive to
know why Felix appeared so miserable and Agatha so sad.  I thought
(foolish wretch!) that it might be in my power to restore happiness to
these deserving people.  When I slept or was absent, the forms of the
venerable blind father, the gentle Agatha, and the excellent Felix
flitted before me.  I looked upon them as superior beings who would be
the arbiters of my future destiny.  I formed in my imagination a
thousand pictures of presenting myself to them, and their reception of
me.  I imagined that they would be disgusted, until, by my gentle
demeanour and conciliating words, I should first win their favour and
afterwards their love.

“These thoughts exhilarated me and led me to apply with fresh ardour to
the acquiring the art of language.  My organs were indeed harsh, but
supple; and although my voice was very unlike the soft music of their
tones, yet I pronounced such words as I understood with tolerable ease.
It was as the ass and the lap-dog; yet surely the gentle ass whose
intentions were affectionate, although his manners were rude, deserved
better treatment than blows and execration.

“The pleasant showers and genial warmth of spring greatly altered the
aspect of the earth.  Men who before this change seemed to have been
hid in caves dispersed themselves and were employed in various arts of
cultivation.  The birds sang in more cheerful notes, and the leaves
began to bud forth on the trees.  Happy, happy earth!  Fit habitation
for gods, which, so short a time before, was bleak, damp, and
unwholesome.  My spirits were elevated by the enchanting appearance of
nature; the past was blotted from my memory, the present was tranquil,
and the future gilded by bright rays of hope and anticipations of joy.”





Chapter 13

“I now hasten to the more moving part of my story.  I shall relate
events that impressed me with feelings which, from what I had been,
have made me what I am.

“Spring advanced rapidly; the weather became fine and the skies
cloudless.  It surprised me that what before was desert and gloomy
should now bloom with the most beautiful flowers and verdure.  My
senses were gratified and refreshed by a thousand scents of delight and
a thousand sights of beauty.

“It was on one of these days, when my cottagers periodically rested
from labour—the old man played on his guitar, and the children
listened to him—that I observed the countenance of Felix was
melancholy beyond expression; he sighed frequently, and once his father
paused in his music, and I conjectured by his manner that he inquired
the cause of his son’s sorrow.  Felix replied in a cheerful accent, and
the old man was recommencing his music when someone tapped at the door.

“It was a lady on horseback, accompanied by a country-man as a guide.
The lady was dressed in a dark suit and covered with a thick black
veil.  Agatha asked a question, to which the stranger only replied by
pronouncing, in a sweet accent, the name of Felix.  Her voice was
musical but unlike that of either of my friends.  On hearing this word,
Felix came up hastily to the lady, who, when she saw him, threw up her
veil, and I beheld a countenance of angelic beauty and expression.  Her
hair of a shining raven black, and curiously braided; her eyes were
dark, but gentle, although animated; her features of a regular
proportion, and her complexion wondrously fair, each cheek tinged with
a lovely pink.

“Felix seemed ravished with delight when he saw her, every trait of
sorrow vanished from his face, and it instantly expressed a degree of
ecstatic joy, of which I could hardly have believed it capable; his
eyes sparkled, as his cheek flushed with pleasure; and at that moment I
thought him as beautiful as the stranger.  She appeared affected by
different feelings; wiping a few tears from her lovely eyes, she held
out her hand to Felix, who kissed it rapturously and called her, as
well as I could distinguish, his sweet Arabian.  She did not appear to
understand him, but smiled.  He assisted her to dismount, and
dismissing her guide, conducted her into the cottage.  Some
conversation took place between him and his father, and the young
stranger knelt at the old man’s feet and would have kissed his hand,
but he raised her and embraced her affectionately.

“I soon perceived that although the stranger uttered articulate sounds
and appeared to have a language of her own, she was neither understood
by nor herself understood the cottagers.  They made many signs which I
did not comprehend, but I saw that her presence diffused gladness
through the cottage, dispelling their sorrow as the sun dissipates the
morning mists.  Felix seemed peculiarly happy and with smiles of
delight welcomed his Arabian.  Agatha, the ever-gentle Agatha, kissed
the hands of the lovely stranger, and pointing to her brother, made
signs which appeared to me to mean that he had been sorrowful until she
came.  Some hours passed thus, while they, by their countenances,
expressed joy, the cause of which I did not comprehend.  Presently I
found, by the frequent recurrence of some sound which the stranger
repeated after them, that she was endeavouring to learn their language;
and the idea instantly occurred to me that I should make use of the
same instructions to the same end.  The stranger learned about twenty
words at the first lesson; most of them, indeed, were those which I had
before understood, but I profited by the others.

“As night came on, Agatha and the Arabian retired early.  When they
separated Felix kissed the hand of the stranger and said, ‘Good night
sweet Safie.’  He sat up much longer, conversing with his father, and
by the frequent repetition of her name I conjectured that their lovely
guest was the subject of their conversation.  I ardently desired to
understand them, and bent every faculty towards that purpose, but found
it utterly impossible.

“The next morning Felix went out to his work, and after the usual
occupations of Agatha were finished, the Arabian sat at the feet of the
old man, and taking his guitar, played some airs so entrancingly
beautiful that they at once drew tears of sorrow and delight from my
eyes.  She sang, and her voice flowed in a rich cadence, swelling or
dying away like a nightingale of the woods.

“When she had finished, she gave the guitar to Agatha, who at first
declined it.  She played a simple air, and her voice accompanied it in
sweet accents, but unlike the wondrous strain of the stranger.  The old
man appeared enraptured and said some words which Agatha endeavoured to
explain to Safie, and by which he appeared to wish to express that she
bestowed on him the greatest delight by her music.

“The days now passed as peaceably as before, with the sole alteration
that joy had taken place of sadness in the countenances of my friends.
Safie was always gay and happy; she and I improved rapidly in the
knowledge of language, so that in two months I began to comprehend most
of the words uttered by my protectors.

“In the meanwhile also the black ground was covered with herbage, and
the green banks interspersed with innumerable flowers, sweet to the
scent and the eyes, stars of pale radiance among the moonlight woods;
the sun became warmer, the nights clear and balmy; and my nocturnal
rambles were an extreme pleasure to me, although they were considerably
shortened by the late setting and early rising of the sun, for I never
ventured abroad during daylight, fearful of meeting with the same
treatment I had formerly endured in the first village which I entered.

“My days were spent in close attention, that I might more speedily
master the language; and I may boast that I improved more rapidly than
the Arabian, who understood very little and conversed in broken
accents, whilst I comprehended and could imitate almost every word that
was spoken.

“While I improved in speech, I also learned the science of letters as
it was taught to the stranger, and this opened before me a wide field
for wonder and delight.

“The book from which Felix instructed Safie was Volney’s _Ruins
of Empires_. I should not have understood the purport of this book had not
Felix, in reading it, given very minute explanations. He had chosen this
work, he said, because the declamatory style was framed in imitation of the
Eastern authors. Through this work I obtained a cursory knowledge of history
and a view of the several empires at present existing in the world; it gave
me an insight into the manners, governments, and religions of the different
nations of the earth. I heard of the slothful Asiatics, of the stupendous
genius and mental activity of the Grecians, of the wars and wonderful virtue
of the early Romans—of their subsequent degenerating—of the
decline of that mighty empire, of chivalry, Christianity, and kings. I heard
of the discovery of the American hemisphere and wept with Safie over the
hapless fate of its original inhabitants.

“These wonderful narrations inspired me with strange feelings.  Was
man, indeed, at once so powerful, so virtuous and magnificent, yet so
vicious and base?  He appeared at one time a mere scion of the evil
principle and at another as all that can be conceived of noble and
godlike.  To be a great and virtuous man appeared the highest honour
that can befall a sensitive being; to be base and vicious, as many on
record have been, appeared the lowest degradation, a condition more
abject than that of the blind mole or harmless worm.  For a long time I
could not conceive how one man could go forth to murder his fellow, or
even why there were laws and governments; but when I heard details of
vice and bloodshed, my wonder ceased and I turned away with disgust and
loathing.

“Every conversation of the cottagers now opened new wonders to me.
While I listened to the instructions which Felix bestowed upon the
Arabian, the strange system of human society was explained to me.  I
heard of the division of property, of immense wealth and squalid
poverty, of rank, descent, and noble blood.

“The words induced me to turn towards myself.  I learned that the
possessions most esteemed by your fellow creatures were high and
unsullied descent united with riches.  A man might be respected with
only one of these advantages, but without either he was considered,
except in very rare instances, as a vagabond and a slave, doomed to
waste his powers for the profits of the chosen few!  And what was I? Of
my creation and creator I was absolutely ignorant, but I knew that I
possessed no money, no friends, no kind of property.  I was, besides,
endued with a figure hideously deformed and loathsome; I was not even
of the same nature as man.  I was more agile than they and could
subsist upon coarser diet; I bore the extremes of heat and cold with
less injury to my frame; my stature far exceeded theirs.  When I looked
around I saw and heard of none like me.  Was I, then, a monster, a blot
upon the earth, from which all men fled and whom all men disowned?

“I cannot describe to you the agony that these reflections inflicted
upon me; I tried to dispel them, but sorrow only increased with
knowledge.  Oh, that I had for ever remained in my native wood, nor
known nor felt beyond the sensations of hunger, thirst, and heat!

“Of what a strange nature is knowledge!  It clings to the mind when it
has once seized on it like a lichen on the rock.  I wished sometimes to
shake off all thought and feeling, but I learned that there was but one
means to overcome the sensation of pain, and that was death—a state
which I feared yet did not understand.  I admired virtue and good
feelings and loved the gentle manners and amiable qualities of my
cottagers, but I was shut out from intercourse with them, except
through means which I obtained by stealth, when I was unseen and
unknown, and which rather increased than satisfied the desire I had of
becoming one among my fellows.  The gentle words of Agatha and  the
animated smiles of the charming Arabian were not for me.  The mild
exhortations of the old man and the lively conversation of the loved
Felix were not for me. Miserable, unhappy wretch!

“Other lessons were impressed upon me even more deeply.  I heard of the
difference of sexes, and the birth and growth of children, how the
father doted on the smiles of the infant, and the lively sallies of the
older child, how all the life and cares of the mother were wrapped up
in the precious charge, how the mind of youth expanded and gained
knowledge, of brother, sister, and all the various relationships which
bind one human being to another in mutual bonds.

“But where were my friends and relations?  No father had watched my
infant days, no mother had blessed me with smiles and caresses; or if
they had, all my past life was now a blot, a blind vacancy in which I
distinguished nothing.  From my earliest remembrance I had been as I
then was in height and proportion.  I had never yet seen a being
resembling me or who claimed any intercourse with me.  What was I?  The
question again recurred, to be answered only with groans.

“I will soon explain to what these feelings tended, but allow me now to
return to the cottagers, whose story excited in me such various
feelings of indignation, delight, and wonder, but which all terminated
in additional love and reverence for my protectors (for so I loved, in
an innocent, half-painful self-deceit, to call them).”





Chapter 14

“Some time elapsed before I learned the history of my friends.  It was
one which could not fail to impress itself deeply on my mind, unfolding
as it did a number of circumstances, each interesting and wonderful to
one so utterly inexperienced as I was.

“The name of the old man was De Lacey.  He was descended from a good
family in France, where he had lived for many years in affluence,
respected by his superiors and beloved by his equals.  His son was bred
in the service of his country, and Agatha had ranked with ladies of the
highest distinction.  A few months before my arrival they had lived in
a large and luxurious city called Paris, surrounded by friends and
possessed of every enjoyment which virtue, refinement of intellect, or
taste, accompanied by a moderate fortune, could afford.

“The father of Safie had been the cause of their ruin.  He was a
Turkish merchant and had inhabited Paris for many years, when, for some
reason which I could not learn, he became obnoxious to the government.
He was seized and cast into prison the very day that Safie arrived from
Constantinople to join him.  He was tried and condemned to death.  The
injustice of his sentence was very flagrant; all Paris was indignant;
and it was judged that his religion and wealth rather than the crime
alleged against him had been the cause of his condemnation.

“Felix had accidentally been present at the trial; his horror and
indignation were uncontrollable when he heard the decision of the
court.  He made, at that moment, a solemn vow to deliver him and then
looked around for the means.  After many fruitless attempts to gain
admittance to the prison, he found a strongly grated window in an
unguarded part of the building, which lighted the dungeon of the
unfortunate Muhammadan, who, loaded with chains, waited in despair the
execution of the barbarous sentence.  Felix visited the grate at night
and made known to the prisoner his intentions in his favour.  The Turk,
amazed and delighted, endeavoured to kindle the zeal of his deliverer
by promises of reward and wealth.  Felix rejected his offers with
contempt, yet when he saw the lovely Safie, who was allowed to visit
her father and who by her gestures expressed her lively gratitude, the
youth could not help owning to his own mind that the captive possessed
a treasure which would fully reward his toil and hazard.

“The Turk quickly perceived the impression that his daughter had made
on the heart of Felix and endeavoured to secure him more entirely in
his interests by the promise of her hand in marriage so soon as he
should be conveyed to a place of safety.  Felix was too delicate to
accept this offer, yet he looked forward to the probability of the
event as to the consummation of his happiness.

“During the ensuing days, while the preparations were going forward for
the escape of the merchant, the zeal of Felix was warmed by several
letters that he received from this lovely girl, who found means to
express her thoughts in the language of her lover by the aid of an old
man, a servant of her father who understood French.  She thanked him in
the most ardent terms for his intended services towards her parent, and
at the same time she gently deplored her own fate.

“I have copies of these letters, for I found means, during my residence
in the hovel, to procure the implements of writing; and the letters
were often in the hands of Felix or Agatha.  Before I depart I will
give them to you; they will prove the truth of my tale; but at present,
as the sun is already far declined, I shall only have time to repeat
the substance of them to you.

“Safie related that her mother was a Christian Arab, seized and made a
slave by the Turks; recommended by her beauty, she had won the heart of
the father of Safie, who married her.  The young girl spoke in high and
enthusiastic terms of her mother, who, born in freedom, spurned the
bondage to which she was now reduced.  She instructed her daughter in
the tenets of her religion and taught her to aspire to higher powers of
intellect and an independence of spirit forbidden to the female
followers of Muhammad.  This lady died, but her lessons were indelibly
impressed on the mind of Safie, who sickened at the prospect of again
returning to Asia and being immured within the walls of a harem,
allowed only to occupy herself with infantile amusements, ill-suited to
the temper of her soul, now accustomed to grand ideas and a noble
emulation for virtue.  The prospect of marrying a Christian and
remaining in a country where women were allowed to take a rank in
society was enchanting to her.

“The day for the execution of the Turk was fixed, but on the night
previous to it he quitted his prison and before morning was distant
many leagues from Paris.  Felix had procured passports in the name of
his father, sister, and himself.  He had previously communicated his
plan to the former, who aided the deceit by quitting his house, under
the pretence of a journey and concealed himself, with his daughter, in
an obscure part of Paris.

“Felix conducted the fugitives through France to Lyons and across Mont
Cenis to Leghorn, where the merchant had decided to wait a favourable
opportunity of passing into some part of the Turkish dominions.

“Safie resolved to remain with her father until the moment of his
departure, before which time the Turk renewed his promise that she
should be united to his deliverer; and Felix remained with them in
expectation of that event; and in the meantime he enjoyed the society
of the Arabian, who exhibited towards him the simplest and tenderest
affection.  They conversed with one another through the means of an
interpreter, and sometimes with the interpretation of looks; and Safie
sang to him the divine airs of her native country.

“The Turk allowed this intimacy to take place and encouraged the hopes
of the youthful lovers, while in his heart he had formed far other
plans.  He loathed the idea that his daughter should be united to a
Christian, but he feared the resentment of Felix if he should appear
lukewarm, for he knew that he was still in the power of his deliverer
if he should choose to betray him to the Italian state which they
inhabited.  He revolved a thousand plans by which he should be enabled
to prolong the deceit until it might be no longer necessary, and
secretly to take his daughter with him when he departed.  His plans
were facilitated by the news which arrived from Paris.

“The government of France were greatly enraged at the escape of their
victim and spared no pains to detect and punish his deliverer.  The
plot of Felix was quickly discovered, and De Lacey and Agatha were
thrown into prison.  The news reached Felix and roused him from his
dream of pleasure.  His blind and aged father and his gentle sister lay
in a noisome dungeon while he enjoyed the free air and the society of
her whom he loved.  This idea was torture to him.  He quickly arranged
with the Turk that if the latter should find a favourable opportunity
for escape before Felix could return to Italy, Safie should remain as a
boarder at a convent at Leghorn; and then, quitting the lovely Arabian,
he hastened to Paris and delivered himself up to the vengeance of the
law, hoping to free De Lacey and Agatha by this proceeding.

“He did not succeed.  They remained confined for five months before the
trial took place, the result of which deprived them of their fortune
and condemned them to a perpetual exile from their native country.

“They found a miserable asylum in the cottage in Germany, where I
discovered them.  Felix soon learned that the treacherous Turk, for
whom he and his family endured such unheard-of oppression, on
discovering that his deliverer was thus reduced to poverty and ruin,
became a traitor to good feeling and honour and had quitted Italy with
his daughter, insultingly sending Felix a pittance of money to aid him,
as he said, in some plan of future maintenance.

“Such were the events that preyed on the heart of Felix and rendered
him, when I first saw him, the most miserable of his family.  He could
have endured poverty, and while this distress had been the meed of his
virtue, he gloried in it; but the ingratitude of the Turk and the loss
of his beloved Safie were misfortunes more bitter and irreparable.  The
arrival of the Arabian now infused new life into his soul.

“When the news reached Leghorn that Felix was deprived of his wealth
and rank, the merchant commanded his daughter to think no more of her
lover, but to prepare to return to her native country.  The generous
nature of Safie was outraged by this command; she attempted to
expostulate with her father, but he left her angrily, reiterating his
tyrannical mandate.

“A few days after, the Turk entered his daughter’s apartment and told
her hastily that he had reason to believe that his residence at Leghorn
had been divulged and that he should speedily be delivered up to the
French government; he had consequently hired a vessel to convey him to
Constantinople, for which city he should sail in a few hours.  He
intended to leave his daughter under the care of a confidential
servant, to follow at her leisure with the greater part of his
property, which had not yet arrived at Leghorn.

“When alone, Safie resolved in her own mind the plan of conduct that it
would become her to pursue in this emergency.  A residence in Turkey
was abhorrent to her; her religion and her feelings were alike averse
to it.  By some papers of her father which fell into her hands she
heard of the exile of her lover and learnt the name of the spot where
he then resided.  She hesitated some time, but at length she formed her
determination.  Taking with her some jewels that belonged to her and a
sum of money, she quitted Italy with an attendant, a native of Leghorn,
but who understood the common language of Turkey, and departed for
Germany.

“She arrived in safety at a town about twenty leagues from the cottage
of De Lacey, when her attendant fell dangerously ill.  Safie nursed her
with the most devoted affection, but the poor girl died, and the
Arabian was left alone, unacquainted with the language of the country
and utterly ignorant of the customs of the world.  She fell, however,
into good hands.  The Italian had mentioned the name of the spot for
which they were bound, and after her death the woman of the house in
which they had lived took care that Safie should arrive in safety at
the cottage of her lover.”





Chapter 15

“Such was the history of my beloved cottagers.  It impressed me deeply.
I learned, from the views of social life which it developed, to admire
their virtues and to deprecate the vices of mankind.

“As yet I looked upon crime as a distant evil, benevolence and
generosity were ever present before me, inciting within me a desire to
become an actor in the busy scene where so many admirable qualities
were called forth and displayed.  But in giving an account of the
progress of my intellect, I must not omit a circumstance which occurred
in the beginning of the month of August of the same year.

“One night during my accustomed visit to the neighbouring wood where I
collected my own food and brought home firing for my protectors, I found on
the ground a leathern portmanteau containing several articles of dress and
some books.  I eagerly seized the prize and returned with it to my hovel. 
Fortunately the books were written in the language, the elements of which I
had acquired at the cottage; they consisted of _Paradise Lost_, a volume
of _Plutarch’s Lives_, and the _Sorrows of Werter_. The
possession of these treasures gave me extreme delight; I now continually
studied and exercised my mind upon these histories, whilst my friends were
employed in their ordinary occupations.

“I can hardly describe to you the effect of these books.  They produced
in me an infinity of new images and feelings, that sometimes raised me
to ecstasy, but more frequently sunk me into the lowest dejection.  In
the _Sorrows of Werter_, besides the interest of its simple and affecting
story, so many opinions are canvassed and so many lights thrown upon
what had hitherto been to me obscure subjects that I found in it a
never-ending source of speculation and astonishment.  The gentle and
domestic manners it described, combined with lofty sentiments and
feelings, which had for their object something out of self, accorded
well with my experience among my protectors and with the wants which
were for ever alive in my own bosom.  But I thought Werter himself a
more divine being than I had ever beheld or imagined; his character
contained no pretension, but it sank deep.  The disquisitions upon
death and suicide were calculated to fill  me with wonder.  I did not
pretend to enter into the merits of the case, yet I inclined towards
the opinions of the hero, whose extinction I wept, without precisely
understanding it.

“As I read, however, I applied much personally to my own feelings and
condition.  I found myself similar yet at the same time strangely
unlike to the beings concerning whom I read and to whose conversation I
was a listener.  I sympathised with and partly understood them, but I
was unformed in mind; I was dependent on none and related to none.
‘The path of my departure was free,’ and there was none to lament my
annihilation.  My person was hideous and my stature gigantic.  What did
this mean?  Who was I?  What was I?  Whence did I come?  What was my
destination?  These questions continually recurred, but I was unable to
solve them.

“The volume of _Plutarch’s Lives_ which I possessed contained the
histories of the first founders of the ancient republics.  This book
had a far different effect upon me from the _Sorrows of Werter_.  I
learned from Werter’s imaginations despondency and gloom, but Plutarch
taught me high thoughts; he elevated me above the wretched sphere of my
own reflections, to admire and love the heroes of past ages.  Many
things I read surpassed my understanding and experience.  I had a very
confused knowledge of kingdoms, wide extents of country, mighty rivers,
and boundless seas.  But I was perfectly unacquainted with towns and
large assemblages of men. The cottage of my protectors had been the
only school in which I had studied human nature, but this book
developed new and mightier scenes of action.  I read of men concerned
in public affairs, governing or massacring their species.  I felt the
greatest ardour for virtue rise within me, and abhorrence for vice, as
far as I understood the signification of those terms, relative as they
were, as I applied them, to pleasure and pain alone.  Induced by these
feelings, I was of course led to admire peaceable lawgivers, Numa,
Solon, and Lycurgus, in preference to Romulus and Theseus.  The
patriarchal lives of my protectors caused these impressions to take a
firm hold on my mind; perhaps, if my first introduction to humanity had
been made by a young soldier, burning for glory and slaughter, I should
have been imbued with different sensations.

“But _Paradise Lost_ excited different and far deeper emotions.  I read
it, as I had read the other volumes which had fallen into my hands, as
a true history.  It moved every feeling of wonder and awe that the
picture of an omnipotent God warring with his creatures was capable of
exciting.  I often referred the several situations, as their similarity
struck me, to my own.  Like Adam, I was apparently united by no link to
any other being in existence; but his state was far different from mine
in every other respect.  He had come forth from the hands of God a
perfect creature, happy and prosperous, guarded by the especial care of
his Creator; he was allowed to converse with and acquire knowledge from
beings of a superior nature, but I was wretched, helpless, and alone.
Many times I considered Satan as the fitter emblem of my condition, for
often, like him, when I viewed the bliss of my protectors, the bitter
gall of envy rose within me.

“Another circumstance strengthened and confirmed these feelings.  Soon
after my arrival in the hovel I discovered some papers in the pocket of
the dress which I had taken from your laboratory.  At first I had
neglected them, but now that I was able to decipher the characters in
which they were written, I began to study them with diligence.  It was
your journal of the four months that preceded my creation.  You
minutely described in these papers every step you took in the progress
of your work; this history was mingled with accounts of domestic
occurrences.  You doubtless recollect these papers.  Here they are.
Everything is related in them which bears reference to my accursed
origin; the whole detail of that series of disgusting circumstances
which produced it is set in view; the minutest description of my odious
and loathsome person is given, in language which painted your own
horrors and rendered mine indelible.  I sickened as I read.  ‘Hateful
day when I received life!’ I exclaimed in agony.  ‘Accursed creator!
Why did you form a monster so hideous that even _you_ turned from me in
disgust?  God, in pity, made man beautiful and alluring, after his own
image; but my form is a filthy type of yours, more horrid even from the
very resemblance.  Satan had his companions, fellow devils, to admire
and encourage him, but I am solitary and abhorred.’

“These were the reflections of my hours of despondency and solitude;
but when I contemplated the virtues of the cottagers, their amiable and
benevolent dispositions, I persuaded myself that when they should
become acquainted with my admiration of their virtues they  would
compassionate me and overlook my personal deformity.  Could they turn
from their door one, however monstrous, who solicited their compassion
and friendship?  I resolved, at least, not to despair, but in every way
to fit myself for an interview with them which would decide my fate.  I
postponed this attempt for some months longer, for the importance
attached to its success inspired me with a dread lest I should fail.
Besides, I found that my understanding improved so much with every
day’s experience that I was unwilling to commence this undertaking
until a few more months should have added to my sagacity.

“Several changes, in the meantime, took place in the cottage.  The
presence of Safie diffused happiness among its inhabitants, and I also
found that a greater degree of plenty reigned there.  Felix and Agatha
spent more time in amusement and conversation, and were assisted in
their labours by servants.  They did not appear rich, but they were
contented and happy; their feelings were serene and peaceful, while
mine became every day more tumultuous.  Increase of knowledge only
discovered to me more clearly what a wretched outcast I was.  I
cherished hope, it is true, but it vanished when I beheld my person
reflected in water or my shadow in the moonshine, even as that frail
image and that inconstant shade.

“I endeavoured to crush these fears and to fortify myself for the trial
which in a few months I resolved to undergo; and sometimes I allowed my
thoughts, unchecked by reason, to ramble in the fields of Paradise, and
dared to fancy amiable and lovely creatures sympathising with my
feelings and cheering my gloom; their angelic countenances breathed
smiles of consolation.  But it was all a dream; no Eve soothed my
sorrows nor shared my thoughts; I was alone.  I remembered Adam’s
supplication to his Creator.  But where was mine?  He had abandoned me,
and in the bitterness of my heart I cursed him.

“Autumn passed thus.  I saw, with surprise and grief, the leaves decay
and fall, and nature again assume the barren and bleak appearance it
had worn when I first beheld the woods and the lovely moon.  Yet I did
not heed the bleakness of the weather; I was better fitted by my
conformation for the endurance of cold than heat.  But my chief
delights were the sight of the flowers, the birds, and all the gay
apparel of summer; when those deserted me, I turned with more attention
towards the cottagers.  Their happiness was not decreased by the
absence of summer.  They loved and sympathised with one another; and
their joys, depending on each other, were not interrupted by the
casualties that took place around them.  The more I saw of them, the
greater became my desire to claim their protection and kindness; my
heart yearned to be known and loved by these amiable creatures; to see
their sweet looks directed towards me with affection was the utmost
limit of my ambition.  I dared not think that they would turn them from
me with disdain and horror.  The poor that stopped at their door were
never driven away.  I asked, it is true, for greater treasures than a
little food or rest:  I required kindness and sympathy; but I did not
believe myself utterly unworthy of it.

“The winter advanced, and an entire revolution of the seasons had taken
place since I awoke into life.  My attention at this time was solely
directed towards my plan of introducing myself into the cottage of my
protectors.  I revolved many projects, but that on which I finally
fixed was to enter the dwelling when the blind old man should be alone.
I had sagacity enough to discover that the unnatural hideousness of my
person was the chief object of horror with those who had formerly
beheld me.  My voice, although harsh, had nothing terrible in it; I
thought, therefore, that if in the absence of his children I could gain
the good will and mediation of the old De Lacey, I might by his means
be tolerated by my younger protectors.

“One day, when the sun shone on the red leaves that strewed the ground
and diffused cheerfulness, although it denied warmth, Safie, Agatha,
and Felix departed on a long country walk, and the old man, at his own
desire, was left alone in the cottage.  When his children had departed,
he took up his guitar and played several mournful but sweet airs, more
sweet and mournful than I had ever heard him play before.  At first his
countenance was illuminated with pleasure, but as he continued,
thoughtfulness and sadness succeeded; at length, laying aside the
instrument, he sat absorbed in reflection.

“My heart beat quick; this was the hour and moment of trial, which
would decide my hopes or realise my fears. The servants were gone to a
neighbouring fair.  All was silent in and around the cottage; it was an
excellent opportunity; yet, when I proceeded to execute my plan, my
limbs failed me and I sank to the ground.  Again I rose, and exerting
all the firmness of which I was master, removed the planks which I had
placed before my hovel to conceal my retreat.  The fresh air revived
me, and with renewed determination I approached the door of their
cottage.

“I knocked. ‘Who is there?’ said the old man. ‘Come in.’

“I entered. ‘Pardon this intrusion,’ said I; ‘I am
a traveller in want of a little rest; you would greatly oblige me if you
would allow me to remain a few minutes before the fire.’

“‘Enter,’ said De Lacey, ‘and I will try in what
manner I can to relieve your wants; but, unfortunately, my children are
from home, and as I am blind, I am afraid I shall find it difficult to
procure food for you.’

“‘Do not trouble yourself, my kind host; I have food; it is
warmth and rest only that I need.’

“I sat down, and a silence ensued.  I knew that every minute was
precious to me, yet I remained irresolute in what manner to commence
the interview, when the old man addressed me.

‘By your language, stranger, I suppose you are my countryman; are you
French?’

“‘No; but I was educated by a French family and understand that
language only.  I am now going to claim the protection of some friends,
whom I sincerely love, and of whose favour I have some hopes.’

“‘Are they Germans?’

“‘No, they are French.  But let us change the subject.  I am an
unfortunate and deserted creature, I look around and I have no relation
or friend upon earth.  These amiable people to whom I go have never
seen me and know little of me.  I am full of fears, for if I fail
there, I am an outcast in the world for ever.’

“‘Do not despair. To be friendless is indeed to be unfortunate, but
the hearts of men, when unprejudiced by any obvious self-interest, are
full of brotherly love and charity.  Rely, therefore, on your hopes;
and if these friends are good and amiable, do not despair.’

“‘They are kind—they are the most excellent creatures in the world;
but, unfortunately, they are prejudiced against me.  I have good
dispositions; my life has been hitherto harmless and in some degree
beneficial; but a fatal prejudice clouds their eyes, and where they
ought to see a feeling and kind friend, they behold only a detestable
monster.’

“‘That is indeed unfortunate; but if you are really blameless, cannot
you undeceive them?’

“‘I am about to undertake that task; and it is on that account that I
feel so many overwhelming terrors.  I tenderly love these friends; I
have, unknown to them, been for many months in the habits of daily
kindness towards them; but they believe that I wish to injure them, and
it is that prejudice which I wish to overcome.’

“‘Where do these friends reside?’

“‘Near this spot.’

“The old man paused and then continued, ‘If you will unreservedly
confide to me the particulars of your tale, I perhaps may be of use in
undeceiving them.  I am blind and cannot judge of your countenance, but
there is something in your words which persuades me that you are
sincere.  I am poor and an exile, but it will afford me true pleasure
to be in any way serviceable to a human creature.’

“‘Excellent man!  I thank you and accept your generous offer.  You
raise me from the dust by this kindness; and I trust that, by your aid,
I shall not be driven from the society and sympathy of your fellow
creatures.’

“‘Heaven forbid!  Even if you were really criminal, for that can only
drive you to desperation, and not instigate you to virtue.  I also am
unfortunate; I and my family have been condemned, although innocent;
judge, therefore, if I do not feel for your misfortunes.’

“‘How can I thank you, my best and only benefactor?  From your lips
first have I heard the voice of kindness directed towards me; I shall
be for ever grateful; and your present humanity assures me of success
with those friends whom I am on the point of meeting.’

“‘May I know the names and residence of those friends?’

“I paused. This, I thought, was the moment of decision, which was to
rob me of or bestow happiness on me for ever.  I struggled vainly for
firmness sufficient to answer him, but the effort destroyed all my
remaining strength; I sank on the chair and sobbed aloud.  At that
moment I heard the steps of my younger protectors.  I had not a moment
to lose, but seizing the hand of the old man, I cried, ‘Now is the
time!  Save and protect me!  You and your family are the friends whom I
seek.  Do not you desert me in the hour of trial!’

“‘Great God!’ exclaimed the old man.  ‘Who are you?’

“At that instant the cottage door was opened, and Felix, Safie, and
Agatha entered.  Who can describe their horror and consternation on
beholding me?  Agatha fainted, and Safie, unable to attend to her
friend, rushed out of the cottage.  Felix darted forward, and with
supernatural force tore me from his father, to whose knees I clung, in
a transport of fury, he dashed me to the ground and struck me violently
with a stick.  I could have torn him limb from limb, as the lion rends
the antelope.  But my heart sank within me as with bitter sickness, and
I refrained.  I saw him on the point of repeating his blow, when,
overcome by pain and anguish, I quitted the cottage, and in the general
tumult escaped unperceived to my hovel.”





Chapter 16

“Cursed, cursed creator!  Why did I live?  Why, in that instant, did I
not extinguish the spark of existence which you had so wantonly
bestowed?  I know not; despair had not yet taken possession of me; my
feelings were those of rage and revenge.  I could with pleasure have
destroyed the cottage and its inhabitants and have glutted myself with
their shrieks and misery.

“When night came I quitted my retreat and wandered in the wood; and
now, no longer restrained by the fear of discovery, I gave vent to my
anguish in fearful howlings.  I was like a wild beast that had broken
the toils, destroying the objects that obstructed me and ranging
through the wood with a stag-like swiftness.  Oh!  What a miserable
night I passed!  The cold stars shone in mockery, and the bare trees
waved their branches above me; now and then the sweet voice of a bird
burst forth amidst the universal stillness.  All, save I, were at rest
or in enjoyment; I, like the arch-fiend, bore a hell within me, and
finding myself unsympathised with, wished to tear up the trees, spread
havoc and destruction around me, and then to have sat down and enjoyed
the ruin.

“But this was a luxury of sensation that could not endure; I became
fatigued with excess of bodily exertion and sank on the damp grass in
the sick impotence of despair.  There was none among the myriads of men
that existed who would pity or assist me; and should I feel kindness
towards my enemies?  No; from that moment I declared everlasting war
against the species, and more than all, against him who had formed me
and sent me forth to this insupportable misery.

“The sun rose; I heard the voices of men and knew that it was
impossible to return to my retreat during that day.  Accordingly I hid
myself in some thick underwood, determining to devote the ensuing hours
to reflection on my situation.

“The pleasant sunshine and the pure air of day restored me to some
degree of tranquillity; and when I considered what had passed at the
cottage, I could not help believing that I had been too hasty in my
conclusions.  I had certainly acted imprudently.  It was apparent that
my conversation had interested the father in my behalf, and  I was a
fool in having exposed my person to the horror of his children.  I
ought to have familiarised the old De Lacey to me, and by degrees to
have discovered myself to the rest of his family, when they should have
been  prepared for my approach.  But I did not believe my errors to be
irretrievable, and after much consideration I resolved to return to the
cottage, seek the old man, and by my representations win him to my
party.

“These thoughts calmed me, and in the afternoon I sank into a profound
sleep; but the fever of my blood did not allow me to be visited by
peaceful dreams.  The horrible scene of the preceding day was for ever
acting before my eyes; the females were flying and the enraged Felix
tearing me from his father’s feet.  I awoke exhausted, and finding that
it was already night, I crept forth from my hiding-place, and went in
search of food.

“When my hunger was appeased, I directed my steps towards the
well-known path that conducted to the cottage.  All there was at peace.
I crept into my hovel and remained in silent expectation of the
accustomed hour when the family arose.  That hour passed, the sun
mounted high in the heavens, but the cottagers did not appear.  I
trembled violently, apprehending some dreadful misfortune.  The inside
of the cottage was dark, and I heard no motion; I cannot describe the
agony of this suspense.

“Presently two countrymen passed by, but pausing near the cottage, they
entered into conversation, using violent gesticulations; but I did not
understand what they said, as they spoke the language of the country,
which differed from that of my protectors.  Soon after, however, Felix
approached with another man; I was surprised, as I knew that he had not
quitted the cottage that morning, and waited anxiously to discover from
his discourse the meaning of these unusual appearances.

“‘Do you consider,’ said his companion to him,
‘that you will be obliged to pay three months’ rent and to lose
the produce of your garden? I do not wish to take any unfair advantage, and
I beg therefore that you will take some days to consider of your
determination.’

“‘It is utterly useless,’ replied Felix; ‘we can
never again inhabit your cottage. The life of my father is in the greatest
danger, owing to the dreadful circumstance that I have related. My wife and
my sister will never recover from their horror. I entreat you not to reason
with me any more. Take possession of your tenement and let me fly from this
place.’

“Felix trembled violently as he said this.  He and his companion
entered the cottage, in which they remained for a few minutes, and then
departed.  I never saw any of the family of De Lacey more.

“I continued for the remainder of the day in my hovel in a state of
utter and stupid despair.  My protectors had departed and had broken
the only link that held me to the world.  For the first time the
feelings of revenge and hatred filled my bosom, and I did not strive to
control them, but allowing myself to be borne away by the stream, I
bent my mind towards injury and death.  When I thought of my friends,
of the mild voice of De Lacey, the gentle eyes of Agatha, and the
exquisite beauty of the Arabian, these thoughts vanished and a gush of
tears somewhat soothed me.  But again when I reflected that they had
spurned and deserted me, anger returned, a rage of anger, and unable to
injure anything human, I turned my fury towards inanimate objects.  As
night advanced, I placed a variety of combustibles around the cottage,
and after having destroyed every vestige of cultivation in the garden,
I waited with forced impatience until the moon had sunk to commence my
operations.

“As the night advanced, a fierce wind arose from the woods and quickly
dispersed the clouds that had loitered in the heavens; the blast tore
along like a mighty avalanche and produced a kind of insanity in my
spirits that burst all bounds of reason and reflection.  I lighted the
dry branch of a tree and danced with fury around the devoted cottage,
my eyes still fixed on the western horizon, the edge of which the moon
nearly touched.  A part of its orb was at length hid, and I waved my
brand; it sank, and with a loud scream I fired the straw, and heath,
and bushes, which I had collected.  The wind fanned the fire, and the
cottage was quickly enveloped by the flames, which clung to it and
licked it with their forked and destroying tongues.

“As soon as I was convinced that no assistance could save any part of
the habitation, I quitted the scene and sought for refuge in the woods.

“And now, with the world before me, whither should I bend my steps?  I
resolved to fly far from the scene of my misfortunes; but to me, hated
and despised, every country must be equally horrible.  At length the
thought of you crossed my mind.  I learned from your papers that you
were my father, my creator; and to whom could I apply with more fitness
than to him who had given me life?  Among the lessons that Felix had
bestowed upon Safie, geography had not been omitted; I had learned from
these the relative situations of the different countries of the earth.
You had mentioned Geneva as the name of your native town, and towards
this place I resolved to proceed.

“But how was I to direct myself?  I knew that I must travel in a
southwesterly direction to reach my destination, but the sun was my
only guide.  I did not know the names of the towns that I was to pass
through, nor could I ask information from a single human being; but I
did not despair.  From you only could I hope for succour, although
towards you I felt no sentiment but that of hatred.  Unfeeling,
heartless creator!  You had endowed me with perceptions and passions
and then cast me abroad an object for the scorn and horror of mankind.
But on you only had I any claim for pity and redress, and from you I
determined to seek that justice which I vainly attempted to gain from
any other being that wore the human form.

“My travels were long and the sufferings I endured intense.  It was
late in autumn when I quitted the district where I had so long resided.
I travelled only at night, fearful of encountering the visage of a
human being.  Nature decayed around me, and the sun became heatless;
rain and snow poured around me; mighty rivers were frozen; the surface
of the earth was hard and chill, and bare, and I found no shelter.  Oh,
earth!  How often did I imprecate curses on the cause of my being!  The
mildness of my nature had fled, and all within me was turned to gall
and bitterness.  The nearer I approached to your habitation, the more
deeply did I feel the spirit of revenge enkindled in my heart.  Snow
fell, and the waters were hardened, but I rested not.  A few incidents
now and then directed me, and I possessed a map of the country; but I
often wandered wide from my path.  The agony of my feelings allowed me
no respite; no incident occurred from which my rage and misery could
not extract its food; but a circumstance that happened when I arrived
on the confines of Switzerland, when the sun had recovered its warmth
and the earth again began to look green, confirmed in an especial
manner the bitterness and horror of my feelings.

“I generally rested during the day and travelled only when I was
secured by night from the view of man.  One morning, however, finding
that my path lay through a deep wood, I ventured to continue my journey
after the sun had risen; the day, which was one of the first of spring,
cheered even me by the loveliness of its sunshine and the balminess of
the air.  I felt emotions of gentleness and pleasure, that had long
appeared dead, revive within me.  Half surprised by the novelty of
these sensations, I allowed myself to be borne away by them, and
forgetting my solitude and deformity, dared to be happy.  Soft tears
again bedewed my cheeks, and I even raised my humid eyes with
thankfulness towards the blessed sun, which bestowed such joy upon me.

“I continued to wind among the paths of the wood, until I came to its
boundary, which was skirted by a deep and rapid river, into which many
of the trees bent their branches, now budding with the fresh spring.
Here I paused, not exactly knowing what path to pursue, when I heard
the sound of voices, that induced me to conceal myself under the shade
of a cypress.  I was scarcely hid when a young girl came running
towards the spot where I was concealed, laughing, as if she ran from
someone in sport.  She continued her course along the precipitous sides
of the river, when suddenly her foot slipped, and she fell into the
rapid stream.  I rushed from my hiding-place and with extreme labour,
from the force of the current, saved her and dragged her to shore.  She
was senseless, and I endeavoured by every means in my power to restore
animation, when I was suddenly interrupted by the approach of a rustic,
who was probably the person from whom she had playfully fled.  On
seeing me, he darted towards me, and tearing the girl from my arms,
hastened towards the deeper parts of the wood.  I followed speedily, I
hardly knew why; but when the man saw me draw near, he aimed a gun,
which he carried, at my body and fired.  I sank to the ground, and my
injurer, with increased swiftness, escaped into the wood.

“This was then the reward of my benevolence!  I had saved a human being
from destruction, and as a recompense I now writhed under the miserable
pain of a wound which shattered the flesh and bone.  The feelings of
kindness and gentleness which I had entertained but a few moments
before gave place to hellish rage and gnashing of teeth.  Inflamed by
pain, I vowed eternal hatred and vengeance to all mankind.  But the
agony of my wound overcame me; my pulses paused, and I fainted.

“For some weeks I led a miserable life in the woods, endeavouring to
cure the wound which I had received.  The ball had entered my shoulder,
and I knew not whether it had remained there or passed through; at any
rate I had no means of extracting it.  My sufferings were augmented
also by the oppressive sense of the injustice and ingratitude of their
infliction.  My daily vows rose for revenge—a deep and deadly revenge,
such as would alone compensate for the outrages and anguish I had
endured.

“After some weeks my wound healed, and I continued my journey.  The
labours I endured were no longer to be alleviated by the bright sun or
gentle breezes of spring; all joy was but a mockery which insulted my
desolate state and made me feel more painfully that I was not made for
the enjoyment of pleasure.

“But my toils now drew near a close, and in two months from this time I
reached the environs of Geneva.

“It was evening when I arrived, and I retired to a hiding-place among
the fields that surround it to meditate in what manner I should apply
to you.  I was oppressed by fatigue and hunger and far too unhappy to
enjoy the gentle breezes of evening or the prospect of the sun setting
behind the stupendous mountains of Jura.

“At this time a slight sleep relieved me from the pain of reflection,
which was disturbed by the approach of a beautiful child, who came
running into the recess I had chosen, with all the sportiveness of
infancy.  Suddenly, as I gazed on him, an idea seized me that this
little creature was unprejudiced and had lived too short a time to have
imbibed a horror of deformity.  If, therefore, I could seize him and
educate him as my companion and friend, I should not be so desolate in
this peopled earth.

“Urged by this impulse, I seized on the boy as he passed and drew him
towards me.  As soon as he beheld my form, he placed his hands before
his eyes and uttered a shrill scream; I drew his hand forcibly from his
face and said, ‘Child, what is the meaning of this?  I do not intend to
hurt you; listen to me.’

“He struggled violently. ‘Let me go,’ he cried;
‘monster! Ugly wretch! You wish to eat me and tear me to pieces. You
are an ogre. Let me go, or I will tell my papa.’

“‘Boy, you will never see your father again; you must come with me.’

“‘Hideous monster!  Let me go.  My papa is a syndic—he is M.
Frankenstein—he will punish you.  You dare not keep me.’

“‘Frankenstein! you belong then to my enemy—to him towards whom I have
sworn eternal revenge; you shall be my first victim.’

“The child still struggled and loaded me with epithets which carried
despair to my heart; I grasped his throat to silence him, and in a
moment he lay dead at my feet.

“I gazed on my victim, and my heart swelled with exultation and hellish
triumph; clapping my hands, I exclaimed, ‘I too can create desolation;
my enemy is not invulnerable; this death will carry despair to him, and
a thousand other miseries shall torment and destroy him.’

“As I fixed my eyes on the child, I saw something glittering on his
breast.  I took it; it was a portrait of a most lovely woman.  In spite
of my malignity, it softened and attracted me.  For a few moments I
gazed with delight on her dark eyes, fringed by deep lashes, and her
lovely lips; but presently my rage returned; I remembered that I was
for ever deprived of the delights that such beautiful creatures could
bestow and that she whose resemblance I contemplated would, in
regarding me, have changed that air of divine benignity to one
expressive of disgust and affright.

“Can you wonder that such thoughts transported me with rage?  I only
wonder that at that moment, instead of venting my sensations in
exclamations and agony, I did not rush among mankind and perish in the
attempt to destroy them.

“While I was overcome by these feelings, I left the spot where I had
committed the murder, and seeking a more secluded hiding-place, I
entered a barn which had appeared to me to be empty.  A woman was
sleeping on some straw; she was young, not indeed so beautiful as her
whose portrait I held, but of an agreeable aspect and blooming in the
loveliness of youth and health.  Here, I thought, is one of those whose
joy-imparting smiles are bestowed on all but me.  And then I bent over
her and whispered, ‘Awake, fairest, thy lover is near—he who would
give his life but to obtain one look of affection from thine eyes; my
beloved, awake!’

“The sleeper stirred; a thrill of terror ran through me.  Should she
indeed awake, and see me, and curse me, and denounce the murderer? Thus
would she assuredly act if her darkened eyes opened and she beheld me.
The thought was madness; it stirred the fiend within me—not I, but
she, shall suffer; the murder I have committed because I am for ever
robbed of all that she could give me, she shall atone.  The crime had
its source in her; be hers the punishment!  Thanks to the lessons of
Felix and the sanguinary laws of man, I had learned now to work
mischief.  I bent over her and placed the portrait securely in one of
the folds of her dress.  She moved again, and I fled.

“For some days I haunted the spot where these scenes had taken place,
sometimes wishing to see you, sometimes resolved to quit the world and
its miseries for ever.  At length I wandered towards these mountains,
and have ranged through their immense recesses, consumed by a burning
passion which you alone can gratify.  We may not part until you have
promised to comply with my requisition.  I am alone and miserable; man
will not associate with me; but one as deformed and horrible as myself
would not deny herself to me.  My companion must be of the same species
and have the same defects.  This being you must create.”





Chapter 17

The being finished speaking and fixed his looks upon me in the
expectation of a reply.  But I was bewildered, perplexed, and unable to
arrange my ideas sufficiently to understand the full extent of his
proposition.  He continued,

“You must create a female for me with whom I can live in the
interchange of those sympathies necessary for my being.  This you alone
can do, and I demand it of you as a right which you must not refuse to
concede.”

The latter part of his tale had kindled anew in me the anger that had
died away while he narrated his peaceful life among the cottagers, and
as he said this I could no longer suppress the rage that burned within
me.

“I do refuse it,” I replied; “and no torture shall ever extort a
consent from me.  You may render me the most miserable of men, but you
shall never make me base in my own eyes.  Shall I create another like
yourself, whose joint wickedness might desolate the world.  Begone!  I
have answered you; you may torture me, but I will never consent.”

“You are in the wrong,” replied the fiend; “and instead
of threatening, I am content to reason with you. I am malicious because I
am miserable. Am I not shunned and hated by all mankind? You, my creator,
would tear me to pieces and triumph; remember that, and tell me why I
should pity man more than he pities me? You would not call it murder if you
could precipitate me into one of those ice-rifts and destroy my frame, the
work of your own hands. Shall I respect man when he condemns me? Let him
live with me in the interchange of kindness, and instead of injury I would
bestow every benefit upon him with tears of gratitude at his acceptance.
But that cannot be; the human senses are insurmountable barriers to our
union. Yet mine shall not be the submission of abject slavery. I will
revenge my injuries; if I cannot inspire love, I will cause fear, and
chiefly towards you my arch-enemy, because my creator, do I swear
inextinguishable hatred. Have a care; I will work at your destruction, nor
finish until I desolate your heart, so that you shall curse the hour of
your birth.”

A fiendish rage animated him as he said this; his face was wrinkled
into contortions too horrible for human eyes to behold; but presently
he calmed himself and proceeded—

“I intended to reason. This passion is detrimental to me, for you do
not reflect that _you_ are the cause of its excess. If any being felt
emotions of benevolence towards me, I should return them a hundred and a
hundredfold; for that one creature’s sake I would make peace with the
whole kind! But I now indulge in dreams of bliss that cannot be realised.
What I ask of you is reasonable and moderate; I demand a creature of
another sex, but as hideous as myself; the gratification is small, but it
is all that I can receive, and it shall content me. It is true, we shall be
monsters, cut off from all the world; but on that account we shall be more
attached to one another. Our lives will not be happy, but they will be
harmless and free from the misery I now feel. Oh! My creator, make me
happy; let me feel gratitude towards you for one benefit! Let me see that I
excite the sympathy of some existing thing; do not deny me my
request!”

I was moved.  I shuddered when I thought of the possible consequences
of my consent, but I felt that there was some justice in his argument.
His tale and the feelings he now expressed proved him to be a creature
of fine sensations, and did I not as his maker owe him all the portion
of happiness that it was in my power to bestow?  He saw my change of
feeling and continued,

“If you consent, neither you nor any other human being shall ever see
us again; I will go to the vast wilds of South America.  My food is not
that of man; I do not destroy the lamb and the kid to glut my appetite;
acorns and berries afford me sufficient nourishment.  My companion will
be of the same nature as myself and will be content with the same fare.
We shall make our bed of dried leaves; the sun will shine on us as on
man and will ripen our food.  The picture I present to you is peaceful
and human, and you must feel that you could deny it only in the
wantonness of power and cruelty.  Pitiless as you have been towards me,
I now see compassion in your eyes; let me seize the favourable moment
and persuade you to promise what I so ardently desire.”

“You propose,” replied I, “to fly from the habitations of
man, to dwell in those wilds where the beasts of the field will be your
only companions. How can you, who long for the love and sympathy of man,
persevere in this exile? You will return and again seek their kindness, and
you will meet with their detestation; your evil passions will be renewed,
and you will then have a companion to aid you in the task of destruction.
This may not be; cease to argue the point, for I cannot consent.”

“How inconstant are your feelings! But a moment ago you were moved by
my representations, and why do you again harden yourself to my complaints?
I swear to you, by the earth which I inhabit, and by you that made me, that
with the companion you bestow, I will quit the neighbourhood of man and
dwell, as it may chance, in the most savage of places. My evil passions
will have fled, for I shall meet with sympathy! My life will flow quietly
away, and in my dying moments I shall not curse my maker.”

His words had a strange effect upon me.  I compassionated him and
sometimes felt a wish to console him, but when I looked upon him, when
I saw the filthy mass that moved and talked, my heart sickened and my
feelings were altered to those of horror and hatred.  I tried to stifle
these sensations; I thought that as I could not sympathise with him, I
had no right to withhold from him the small portion of happiness which
was yet in my power to bestow.

“You swear,” I said, “to be harmless; but have you not
already shown a degree of malice that should reasonably make me distrust
you? May not even this be a feint that will increase your triumph by
affording a wider scope for your revenge?”

“How is this?  I must not be trifled with, and I demand an answer.  If
I have no ties and no affections, hatred and vice must be my portion;
the love of another will destroy the cause of my crimes, and I shall
become a thing of whose existence everyone will be ignorant.  My vices
are the children of a forced solitude that I abhor, and my virtues will
necessarily arise when I live in communion with an equal.  I shall feel
the affections of a sensitive being and become linked to the chain of
existence and events from which I am now excluded.”

I paused some time to reflect on all he had related and the various
arguments which he had employed. I thought of the promise of virtues which
he had displayed on the opening of his existence and the subsequent blight
of all kindly feeling by the loathing and scorn which his protectors had
manifested towards him. His power and threats were not omitted in my
calculations; a creature who could exist in the ice-caves of the glaciers
and hide himself from pursuit among the ridges of inaccessible precipices
was a being possessing faculties it would be vain to cope with. After a
long pause of reflection I concluded that the justice due both to him and
my fellow creatures demanded of me that I should comply with his request.
Turning to him, therefore, I said,

“I consent to your demand, on your solemn oath to quit Europe for ever,
and every other place in the neighbourhood of man, as soon as I shall
deliver into your hands a female who will accompany you in your exile.”

“I swear,” he cried, “by the sun, and by the blue sky of
heaven, and by the fire of love that burns my heart, that if you grant my
prayer, while they exist you shall never behold me again. Depart to your
home and commence your labours; I shall watch their progress with
unutterable anxiety; and fear not but that when you are ready I shall
appear.”

Saying this, he suddenly quitted me, fearful, perhaps, of any change in
my sentiments.  I saw him descend the mountain with greater speed than
the flight of an eagle, and quickly lost among the undulations of the
sea of ice.

His tale had occupied the whole day, and the sun was upon the verge of
the horizon when he departed.  I knew that I ought to hasten my descent
towards the valley, as I should soon be encompassed in darkness; but my
heart was heavy, and my steps slow.  The labour of winding among the
little paths of the mountain and fixing my feet firmly as I advanced
perplexed me, occupied as I was by the emotions which the occurrences
of the day had produced.  Night was far advanced when I came to the
halfway resting-place and seated myself beside the fountain.  The stars
shone at intervals as the clouds passed from over them; the dark pines
rose before me, and every here and there a broken tree lay on the
ground; it was a scene of wonderful solemnity and stirred strange
thoughts within me.  I wept bitterly, and clasping my hands in agony, I
exclaimed, “Oh! stars and clouds and winds, ye are all about to mock
me; if ye really pity me, crush sensation and memory; let me become as
nought; but if not, depart, depart, and leave me in darkness.”

These were wild and miserable thoughts, but I cannot describe to you
how the eternal twinkling of the stars weighed upon me and how I
listened to every blast of wind as if it were a dull ugly siroc on its
way to consume me.

Morning dawned before I arrived at the village of Chamounix; I took no
rest, but returned immediately to Geneva.  Even in my own heart I could
give no expression to my sensations—they weighed on me with a
mountain’s weight and their excess destroyed my agony beneath them.
Thus I returned home, and entering the house, presented myself to the
family.  My haggard and wild appearance awoke intense alarm, but I
answered no question, scarcely did I speak.  I felt as if I were placed
under a ban—as if I had no right to claim their sympathies—as if
never more might I enjoy companionship with them.  Yet even thus I
loved them to adoration; and to save them, I resolved to dedicate
myself to my most abhorred task.  The prospect of such an occupation
made every other circumstance of existence pass before me like a dream,
and that thought only had to me the reality of life.





Chapter 18

Day after day, week after week, passed away on my return to Geneva; and
I could not collect the courage to recommence my work.  I feared the
vengeance of the disappointed fiend, yet I was unable to overcome my
repugnance to the task which was enjoined me.  I found that I could not
compose a female without again devoting several months to profound
study and laborious disquisition.  I had heard of some discoveries
having been made by an English philosopher, the knowledge of which was
material to my success, and I sometimes thought of obtaining my
father’s consent to visit England for this purpose; but I clung to
every pretence of delay and shrank from taking the first step in an
undertaking whose immediate necessity began to appear less absolute to
me.  A change indeed had taken place in me; my health, which had
hitherto declined, was now much restored; and my spirits, when
unchecked by the memory of my unhappy promise, rose proportionably.  My
father saw this change with pleasure, and he turned his thoughts
towards the best method of eradicating the remains of my melancholy,
which every now and then would return by fits, and with a devouring
blackness overcast the approaching sunshine.  At these moments I took
refuge in the most perfect solitude.  I passed whole days on the lake
alone in a little boat, watching the clouds and listening to the
rippling of the waves, silent and listless.  But the fresh air and
bright sun seldom failed to restore me to some degree of composure, and
on my return I met the salutations of my friends with a readier smile
and a more cheerful heart.

It was after my return from one of these rambles that my father,
calling me aside, thus addressed me,

“I am happy to remark, my dear son, that you have resumed your former
pleasures and seem to be returning to yourself.  And yet you are still
unhappy and still avoid our society.  For some time I was lost in
conjecture as to the cause of this, but yesterday an idea struck me,
and if it is well founded, I conjure you to avow it.  Reserve on such a
point would be not only useless, but draw down treble misery on us all.”

I trembled violently at his exordium, and my father continued—

“I confess, my son, that I have always looked forward to your
marriage with our dear Elizabeth as the tie of our domestic comfort and the
stay of my declining years. You were attached to each other from your
earliest infancy; you studied together, and appeared, in dispositions and
tastes, entirely suited to one another. But so blind is the experience of
man that what I conceived to be the best assistants to my plan may have
entirely destroyed it. You, perhaps, regard her as your sister, without any
wish that she might become your wife. Nay, you may have met with another
whom you may love; and considering yourself as bound in honour to
Elizabeth, this struggle may occasion the poignant misery which you appear
to feel.”

“My dear father, reassure yourself.  I love my cousin tenderly and
sincerely.  I never saw any woman who excited, as Elizabeth does, my
warmest admiration and affection.  My future hopes and prospects are
entirely bound up in the expectation of our union.”

“The expression of your sentiments of this subject, my dear Victor,
gives me more pleasure than I have for some time experienced.  If you
feel thus, we shall assuredly be happy, however present events may cast
a gloom over us.  But it is this gloom which appears to have taken so
strong a hold of your mind that I wish to dissipate.  Tell me,
therefore, whether you object to an immediate solemnisation of the
marriage.  We have been unfortunate, and recent events have drawn us
from that everyday tranquillity befitting my years and infirmities. You
are younger; yet I do not suppose, possessed as you are of a competent
fortune, that an early marriage would at all interfere with any future
plans of honour and utility that you may have formed.  Do not suppose,
however, that I wish to dictate happiness to you or that a delay on
your part would cause me any serious uneasiness.  Interpret my words
with candour and answer me, I conjure you, with confidence and
sincerity.”

I listened to my father in silence and remained for some time incapable
of offering any reply.  I revolved rapidly in my mind a multitude of
thoughts and endeavoured to arrive at some conclusion.  Alas!  To me
the idea of an immediate union with my Elizabeth was one of horror and
dismay.  I was bound by a solemn promise which I had not yet fulfilled
and dared not break, or if I did, what manifold miseries might not
impend over me and my devoted family!  Could I enter into a festival
with this deadly weight yet hanging round my neck and bowing me to the
ground?  I must perform my engagement and let the monster depart with
his mate before I allowed myself to enjoy the delight of a union from
which I expected peace.

I remembered also the necessity imposed upon me of either journeying to
England or entering into a long correspondence with those philosophers
of that country whose knowledge and discoveries were of indispensable
use to me in my present undertaking.  The latter method of obtaining
the desired intelligence was dilatory and unsatisfactory; besides, I
had an insurmountable aversion to the idea of engaging myself in my
loathsome task in my father’s house while in habits of familiar
intercourse with those I loved.  I knew that a thousand fearful
accidents might occur, the slightest of which would disclose a tale to
thrill all connected with me with horror.  I was aware also that I
should often lose all self-command, all capacity of hiding the
harrowing sensations that would possess me during the progress of my
unearthly occupation.  I must absent myself from all I loved while thus
employed.  Once commenced, it would quickly be achieved, and I might be
restored to my family in peace and happiness.  My promise fulfilled,
the monster would depart for ever.  Or (so my fond fancy imaged) some
accident might meanwhile occur to destroy him and put an end to my
slavery for ever.

These feelings dictated my answer to my father.  I expressed a wish to
visit England, but concealing the true reasons of this request, I
clothed my desires under a guise which excited no suspicion, while I
urged my desire with an earnestness that easily induced my father to
comply.  After so long a period of an absorbing melancholy that
resembled madness in its intensity and effects, he was glad to find
that I was capable of taking pleasure in the idea of such a journey,
and he hoped that change of scene and varied amusement would, before my
return, have restored me entirely to myself.

The duration of my absence was left to my own choice; a few months, or
at most a year, was the period contemplated.  One paternal kind
precaution he had taken to ensure my having a companion.  Without
previously communicating with me, he had, in concert with Elizabeth,
arranged that Clerval should join me at Strasburgh.  This interfered
with the solitude I coveted for the prosecution of my task; yet at the
commencement of my journey the presence of my friend could in no way be
an impediment, and truly I rejoiced that thus I should be saved many
hours of lonely, maddening reflection.  Nay, Henry might stand between
me and the intrusion of my foe.  If I were alone, would he not at times
force his abhorred presence on me to remind me of my task or to
contemplate its progress?

To England, therefore, I was bound, and it was understood that my union
with Elizabeth should take place immediately on my return.  My father’s
age rendered him extremely averse to delay.  For myself, there was one
reward I promised myself from my detested toils—one consolation for my
unparalleled sufferings; it was the prospect of that day when,
enfranchised from my miserable slavery, I might claim Elizabeth and
forget the past in my union with her.

I now made arrangements for my journey, but one feeling haunted me
which filled me with fear and agitation.  During my absence I should
leave my friends unconscious of the existence of their enemy and
unprotected from his attacks, exasperated as he might be by my
departure.  But he had promised to follow me wherever I might go, and
would he not accompany me to England?  This imagination was dreadful in
itself, but soothing inasmuch as it supposed the safety of my friends.
I was agonised with the idea of the possibility that the reverse of
this might happen.  But through the whole period during which I was the
slave of my creature I allowed myself to be governed by the impulses of
the moment; and my present sensations strongly intimated that the fiend
would follow me and exempt my family from the danger of his
machinations.

It was in the latter end of September that I again quitted my native
country.  My journey had been my own suggestion, and Elizabeth
therefore acquiesced, but she was filled with disquiet at the idea of
my suffering, away from her, the inroads of misery and grief.  It had
been her care which provided me a companion in Clerval—and yet a man
is blind to a thousand minute circumstances which call forth a woman’s
sedulous attention.  She longed to bid me hasten my return; a thousand
conflicting emotions rendered her mute as she bade me a tearful, silent
farewell.

I threw myself into the carriage that was to convey me away, hardly
knowing whither I was going, and careless of what was passing around.
I remembered only, and it was with a bitter anguish that I reflected on
it, to order that my chemical instruments should be packed to go with
me.  Filled with dreary imaginations, I passed through many beautiful
and majestic scenes, but my eyes were fixed and unobserving.  I could
only think of the bourne of my travels and the work which was to occupy
me whilst they endured.

After some days spent in listless indolence, during which I traversed
many leagues, I arrived at Strasburgh, where I waited two days for
Clerval.  He came.  Alas, how great was the contrast between us!  He
was alive to every new scene, joyful when he saw the beauties of the
setting sun, and more happy when he beheld it rise and recommence a new
day.  He pointed out to me the shifting colours of the landscape and
the appearances of the sky.  “This is what it is to live,” he cried;
“now I enjoy existence!  But you, my dear Frankenstein, wherefore are
you desponding and sorrowful!” In truth, I was occupied by gloomy
thoughts and neither saw the descent of the evening star nor the golden
sunrise reflected in the Rhine.  And you, my friend, would be far more
amused with the journal of Clerval, who observed the scenery with an
eye of feeling and delight, than in listening to my reflections.  I, a
miserable wretch, haunted by a curse that shut up every avenue to
enjoyment.

We had agreed to descend the Rhine in a boat from Strasburgh to
Rotterdam, whence we might take shipping for London.  During this
voyage we passed many willowy islands and saw several beautiful towns.
We stayed a day at Mannheim, and on the fifth from our departure from
Strasburgh, arrived at Mainz.  The course of the Rhine below Mainz
becomes much more picturesque.  The river descends rapidly and winds
between hills, not high, but steep, and of beautiful forms.  We saw
many ruined castles standing on the edges of precipices, surrounded by
black woods, high and inaccessible.  This part of the Rhine, indeed,
presents a singularly variegated landscape.  In one spot you view
rugged hills, ruined castles overlooking tremendous precipices, with
the dark Rhine rushing beneath; and on the sudden turn of a promontory,
flourishing vineyards with green sloping banks and a meandering river
and populous towns occupy the scene.

We travelled at the time of the vintage and heard the song of the labourers
as we glided down the stream. Even I, depressed in mind, and my spirits
continually agitated by gloomy feelings, even I was pleased. I lay at the
bottom of the boat, and as I gazed on the cloudless blue sky, I seemed to
drink in a tranquillity to which I had long been a stranger. And if these
were my sensations, who can describe those of Henry? He felt as if he had
been transported to Fairy-land and enjoyed a happiness seldom tasted by
man. “I have seen,” he said, “the most beautiful scenes
of my own country; I have visited the lakes of Lucerne and Uri, where the
snowy mountains descend almost perpendicularly to the water, casting black
and impenetrable shades, which would cause a gloomy and mournful appearance
were it not for the most verdant islands that relieve the eye by their gay
appearance; I have seen this lake agitated by a tempest, when the wind tore
up whirlwinds of water and gave you an idea of what the water-spout must be
on the great ocean; and the waves dash with fury the base of the mountain,
where the priest and his mistress were overwhelmed by an avalanche and
where their dying voices are still said to be heard amid the pauses of the
nightly wind; I have seen the mountains of La Valais, and the Pays de Vaud;
but this country, Victor, pleases me more than all those wonders. The
mountains of Switzerland are more majestic and strange, but there is a
charm in the banks of this divine river that I never before saw equalled.
Look at that castle which overhangs yon precipice; and that also on the
island, almost concealed amongst the foliage of those lovely trees; and now
that group of labourers coming from among their vines; and that village
half hid in the recess of the mountain. Oh, surely the spirit that inhabits
and guards this place has a soul more in harmony with man than those who
pile the glacier or retire to the inaccessible peaks of the mountains of
our own country.”

Clerval! Beloved friend! Even now it delights me to record your words and
to dwell on the praise of which you are so eminently deserving. He was a
being formed in the “very poetry of nature.” His wild and
enthusiastic imagination was chastened by the sensibility of his heart. His
soul overflowed with ardent affections, and his friendship was of that
devoted and wondrous nature that the worldly-minded teach us to look for only
in the imagination. But even human sympathies were not sufficient to
satisfy his eager mind. The scenery of external nature, which others regard
only with admiration, he loved with ardour:—

     ——The sounding cataract
     Haunted him like a passion:  the tall rock,
     The mountain, and the deep and gloomy wood,
     Their colours and their forms, were then to him
     An appetite; a feeling, and a love,
     That had no need of a remoter charm,
     By thought supplied, or any interest
     Unborrow’d from the eye.
     
                    [Wordsworth’s “Tintern Abbey”.]



And where does he now exist?  Is this gentle and lovely being lost
for ever?  Has this mind, so replete with ideas, imaginations fanciful
and magnificent, which formed a world, whose existence depended on the
life of its creator;—has this mind perished?  Does it now only exist
in my memory?  No, it is not thus; your form so divinely wrought, and
beaming with beauty, has decayed, but your spirit still visits and
consoles your unhappy friend.

Pardon this gush of sorrow; these ineffectual words are but a slight
tribute to the unexampled worth of Henry, but they soothe my heart,
overflowing with the anguish which his remembrance creates.  I will
proceed with my tale.

Beyond Cologne we descended to the plains of Holland; and we resolved to
post the remainder of our way, for the wind was contrary and the stream of
the river was too gentle to aid us.

Our journey here lost the interest arising from beautiful scenery, but we
arrived in a few days at Rotterdam, whence we proceeded by sea to England.
It was on a clear morning, in the latter days of December, that I first saw
the white cliffs of Britain. The banks of the Thames presented a new scene;
they were flat but fertile, and almost every town was marked by the
remembrance of some story. We saw Tilbury Fort and remembered the Spanish
Armada, Gravesend, Woolwich, and Greenwich—places which I had heard
of even in my country.

At length we saw the numerous steeples of London, St. Paul’s towering
above all, and the Tower famed in English history.





Chapter 19

London was our present point of rest; we determined to remain several
months in this wonderful and celebrated city.  Clerval desired the
intercourse of the men of genius and talent who flourished at this
time, but this was with me a secondary object; I was principally
occupied with the means of obtaining the information necessary for the
completion of my promise and quickly availed myself of the letters of
introduction that I had brought with me, addressed to the most
distinguished natural philosophers.

If this journey had taken place during my days of study and happiness,
it would have afforded me inexpressible pleasure.  But a blight had
come over my existence, and I only visited these people for the sake of
the information they might give me on the subject in which my interest
was so terribly profound.  Company was irksome to me; when alone, I
could fill my mind with the sights of heaven and earth; the voice of
Henry soothed me, and I could thus cheat myself into a transitory
peace.  But busy, uninteresting, joyous faces brought back despair to
my heart.  I saw an insurmountable barrier placed between me and my
fellow men; this barrier was sealed with the blood of William and
Justine, and to reflect on the events connected with those names filled
my soul with anguish.

But in Clerval I saw the image of my former self; he was inquisitive
and anxious to gain experience and instruction.  The difference of
manners which he observed was to him an inexhaustible source of
instruction and amusement.  He was also pursuing an object he had long
had in view.  His design was to visit India, in the belief that he had
in his knowledge of its various languages, and in the views he had
taken of its society, the means of materially assisting the progress of
European colonization and trade.  In Britain only could he further the
execution of his plan.  He was for ever busy, and the only check to his
enjoyments was my sorrowful and dejected mind.  I tried to conceal this
as much as possible, that I might not debar him from the pleasures
natural to one who was entering on a new scene of life, undisturbed by
any care or bitter recollection.  I often refused to accompany him,
alleging another engagement, that I might remain alone.  I now also
began to collect the materials necessary for my new creation, and this
was to me like the torture of single drops of water continually falling
on the head.  Every thought that was devoted to it was an extreme
anguish, and every word that I spoke in allusion to it caused my lips
to quiver, and my heart to palpitate.

After passing some months in London, we received a letter from a person in
Scotland who had formerly been our visitor at Geneva. He mentioned the
beauties of his native country and asked us if those were not sufficient
allurements to induce us to prolong our journey as far north as Perth,
where he resided. Clerval eagerly desired to accept this invitation, and I,
although I abhorred society, wished to view again mountains and streams and
all the wondrous works with which Nature adorns her chosen dwelling-places.

We had arrived in England at the beginning of October, and it was now
February. We accordingly determined to commence our journey towards the
north at the expiration of another month. In this expedition we did not
intend to follow the great road to Edinburgh, but to visit Windsor, Oxford,
Matlock, and the Cumberland lakes, resolving to arrive at the completion of
this tour about the end of July. I packed up my chemical instruments and
the materials I had collected, resolving to finish my labours in some
obscure nook in the northern highlands of Scotland.

We quitted London on the 27th of March and remained a few days at
Windsor, rambling in its beautiful forest.  This was a new scene to us
mountaineers; the majestic oaks, the quantity of game, and the herds of
stately deer were all novelties to us.

From thence we proceeded to Oxford.  As we entered this city, our minds
were filled with the remembrance of the events that had been transacted
there more than a century and a half before.  It was here that Charles
I. had collected his forces.  This city had remained faithful to him,
after the whole nation had forsaken his cause to join the standard of
Parliament and liberty.  The memory of that unfortunate king and his
companions, the amiable Falkland, the insolent Goring, his queen, and
son, gave a peculiar interest to every part of the city which they
might be supposed to have inhabited.  The spirit of elder days found a
dwelling here, and we delighted to trace its footsteps.  If these
feelings had not found an imaginary gratification, the appearance of
the city had yet in itself sufficient beauty to obtain our admiration.
The colleges are ancient and picturesque; the streets are almost
magnificent; and the lovely Isis, which flows beside it through meadows
of exquisite verdure, is spread forth into a placid expanse of waters,
which reflects its majestic assemblage of towers, and spires, and
domes, embosomed among aged trees.

I enjoyed this scene, and yet my enjoyment was embittered both by the
memory of the past and the anticipation of the future.  I was formed
for peaceful happiness.  During my youthful days discontent never
visited my mind, and if I was ever overcome by _ennui_, the sight of what
is beautiful in nature or the study of what is excellent and sublime in
the productions of man could always interest my heart and communicate
elasticity to my spirits.  But I am a blasted tree; the bolt has
entered my soul; and I felt then that I should survive to exhibit what
I shall soon cease to be—a miserable spectacle of wrecked humanity,
pitiable to others and intolerable to myself.

We passed a considerable period at Oxford, rambling among its environs
and endeavouring to identify every spot which might relate to the most
animating epoch of English history.  Our little voyages of discovery
were often prolonged by the successive objects that presented
themselves.  We visited the tomb of the illustrious Hampden and the
field on which that patriot fell.  For a moment my soul was elevated
from its debasing and miserable fears to contemplate the divine ideas
of liberty and self-sacrifice of which these sights were the monuments
and the remembrancers.  For an instant I dared to shake off my chains
and look around me with a free and lofty spirit, but the iron had eaten
into my flesh, and I sank again, trembling and hopeless, into my
miserable self.

We left Oxford with regret and proceeded to Matlock, which was our next
place of rest.  The country in the neighbourhood of this village
resembled, to a greater degree, the scenery of Switzerland; but
everything is on a lower scale, and the green hills want the crown of
distant white Alps which always attend on the piny mountains of my
native country.  We visited the wondrous cave and the little cabinets
of natural history, where the curiosities are disposed in the same
manner as in the collections at Servox and Chamounix.  The latter name
made me tremble when pronounced by Henry, and I hastened to quit
Matlock, with which that terrible scene was thus associated.

From Derby, still journeying northwards, we passed two months in
Cumberland and Westmorland.  I could now almost fancy myself among the
Swiss mountains.  The little patches of snow which yet lingered on the
northern sides of the mountains, the lakes, and the dashing of the
rocky streams were all familiar and dear sights to me.  Here also we
made some acquaintances, who almost contrived to cheat me into
happiness.  The delight of Clerval was proportionably greater than
mine; his mind expanded in the company of men of talent, and he found
in his own nature greater capacities and resources than he could have
imagined himself to have possessed while he associated with his
inferiors.  “I could pass my life here,” said he to me; “and among
these mountains I should scarcely regret Switzerland and the Rhine.”

But he found that a traveller’s life is one that includes much pain
amidst its enjoyments.  His feelings are for ever on the stretch; and
when he begins to sink into repose, he finds himself obliged to quit
that on which he rests in pleasure for something new, which again
engages his attention, and which also he forsakes for other novelties.

We had scarcely visited the various lakes of Cumberland and Westmorland
and conceived an affection for some of the inhabitants when the period
of our appointment with our Scotch friend approached, and we left them
to travel on.  For my own part I was not sorry.  I had now neglected my
promise for some time, and I feared the effects of the dæmon’s
disappointment.  He might remain in Switzerland and wreak his vengeance
on my relatives.  This idea pursued me and tormented me at every moment
from which I might otherwise have snatched repose and peace.  I waited
for my letters with feverish impatience; if they were delayed I was
miserable and overcome by a thousand fears; and when they arrived and I
saw the superscription of Elizabeth or my father, I hardly dared to
read and ascertain my fate.  Sometimes I thought that the fiend
followed me and might expedite my remissness by murdering my companion.
When these thoughts possessed me, I would not quit Henry for a moment,
but followed him as his shadow, to protect him from the fancied rage of
his destroyer.  I felt as if I had committed some great crime, the
consciousness of which haunted me.  I was guiltless, but I had indeed
drawn down a horrible curse upon my head, as mortal as that of crime.

I visited Edinburgh with languid eyes and mind; and yet that city might
have interested the most unfortunate being. Clerval did not like it so well
as Oxford, for the antiquity of the latter city was more pleasing to him.
But the beauty and regularity of the new town of Edinburgh, its romantic
castle and its environs, the most delightful in the world, Arthur’s
Seat, St. Bernard’s Well, and the Pentland Hills, compensated him for
the change and filled him with cheerfulness and admiration. But I was
impatient to arrive at the termination of my journey.

We left Edinburgh in a week, passing through Coupar, St. Andrew’s, and
along the banks of the Tay, to Perth, where our friend expected us.
But I was in no mood to laugh and talk with strangers or enter into
their feelings or plans with the good humour expected from a guest; and
accordingly I told Clerval that I wished to make the tour of Scotland
alone.  “Do you,” said I, “enjoy yourself, and let this be our
rendezvous.  I may be absent a month or two; but do not interfere with
my motions, I entreat you; leave me to peace and solitude for a short
time; and when I return, I hope it will be with a lighter heart, more
congenial to your own temper.”

Henry wished to dissuade me, but seeing me bent on this plan, ceased to
remonstrate.  He entreated me to write often.  “I had rather be with
you,” he said, “in your solitary rambles, than with these Scotch
people, whom I do not know; hasten, then, my dear  friend, to return,
that I may again feel myself somewhat at home, which I cannot do in
your absence.”

Having parted from my friend, I determined to visit some remote spot of
Scotland and finish my work in solitude. I did not doubt but that the
monster followed me and would discover himself to me when I should have
finished, that he might receive his companion.

With this resolution I traversed the northern highlands and fixed on one of
the remotest of the Orkneys as the scene of my labours. It was a place
fitted for such a work, being hardly more than a rock whose high sides were
continually beaten upon by the waves. The soil was barren, scarcely
affording pasture for a few miserable cows, and oatmeal for its
inhabitants, which consisted of five persons, whose gaunt and scraggy limbs
gave tokens of their miserable fare. Vegetables and bread, when they
indulged in such luxuries, and even fresh water, was to be procured from
the mainland, which was about five miles distant.

On the whole island there were but three miserable huts, and one of
these was vacant when I arrived.  This I hired.  It contained but two
rooms, and these exhibited all the squalidness of the most miserable
penury.  The thatch had fallen in, the walls were unplastered, and the
door was off its hinges.  I ordered it to be repaired, bought some
furniture, and took possession, an incident which would doubtless have
occasioned some surprise had not all the senses of the cottagers been
benumbed by want and squalid poverty.  As it was, I lived ungazed at
and unmolested, hardly thanked for the pittance of food and clothes
which I gave, so much does suffering blunt even the coarsest sensations
of men.

In this retreat I devoted the morning to labour; but in the evening,
when the weather permitted, I walked on the stony beach of the sea to
listen to the waves as they roared and dashed at my feet.  It was a
monotonous yet ever-changing scene.  I thought of Switzerland; it was
far different from this desolate and appalling landscape.  Its hills
are covered with vines, and its cottages are scattered thickly in the
plains.  Its fair lakes reflect a blue and gentle sky, and when
troubled by the winds, their tumult is but as the play of a lively
infant when compared to the roarings of the giant ocean.

In this manner I distributed my occupations when I first arrived, but
as I proceeded in my labour, it became every day more horrible and
irksome to me.  Sometimes I could not prevail on myself to enter my
laboratory for several days, and at other times I toiled day and night
in order to complete my work.  It was, indeed, a filthy process in
which I was engaged.  During my first experiment, a kind of
enthusiastic frenzy had blinded me to the horror of my employment; my
mind was intently fixed on the consummation of my labour, and my eyes
were shut to the horror of my proceedings.  But now I went to it in
cold blood, and my heart often sickened at the work of my hands.

Thus situated, employed in the most detestable occupation, immersed in
a solitude where nothing could for an instant call my attention from
the actual scene in which I was engaged, my spirits became unequal; I
grew restless and nervous.  Every moment I feared to meet my
persecutor.  Sometimes I sat with my eyes fixed on the ground, fearing
to raise them lest they should encounter the object which I so much
dreaded to behold.  I feared to wander from the sight of my fellow
creatures lest when alone he should come to claim his companion.

In the mean time I worked on, and my labour was already considerably
advanced.  I looked towards its completion with a tremulous and eager
hope, which I dared not trust myself to question but which was
intermixed with obscure forebodings of evil that made my heart sicken
in my bosom.





Chapter 20

I sat one evening in my laboratory; the sun had set, and the moon was just
rising from the sea; I had not sufficient light for my employment, and I
remained idle, in a pause of consideration of whether I should leave my
labour for the night or hasten its conclusion by an unremitting attention
to it. As I sat, a train of reflection occurred to me which led me to
consider the effects of what I was now doing. Three years before, I was
engaged in the same manner and had created a fiend whose unparalleled
barbarity had desolated my heart and filled it for ever with the bitterest
remorse. I was now about to form another being of whose dispositions I was
alike ignorant; she might become ten thousand times more malignant than her
mate and delight, for its own sake, in murder and wretchedness. He had
sworn to quit the neighbourhood of man and hide himself in deserts, but she
had not; and she, who in all probability was to become a thinking and
reasoning animal, might refuse to comply with a compact made before her
creation. They might even hate each other; the creature who already lived
loathed his own deformity, and might he not conceive a greater abhorrence
for it when it came before his eyes in the female form? She also might turn
with disgust from him to the superior beauty of man; she might quit him,
and he be again alone, exasperated by the fresh provocation of being
deserted by one of his own species.

Even if they were to leave Europe and inhabit the deserts of the new world,
yet one of the first results of those sympathies for which the dæmon
thirsted would be children, and a race of devils would be propagated upon
the earth who might make the very existence of the species of man a
condition precarious and full of terror. Had I right, for my own benefit,
to inflict this curse upon everlasting generations? I had before been moved
by the sophisms of the being I had created; I had been struck senseless by
his fiendish threats; but now, for the first time, the wickedness of my
promise burst upon me; I shuddered to think that future ages might curse me
as their pest, whose selfishness had not hesitated to buy its own peace at
the price, perhaps, of the existence of the whole human race.

I trembled and my heart failed within me, when, on looking up, I saw by
the light of the moon the dæmon at the casement.  A ghastly grin
wrinkled his lips as he gazed on me, where I sat fulfilling the task
which he had allotted to me.  Yes, he had followed me in my travels; he
had loitered in forests, hid himself in caves, or taken refuge in wide
and desert heaths; and he now came to mark my progress and claim the
fulfilment of my promise.

As I looked on him, his countenance expressed the utmost extent of
malice and treachery.  I thought with a sensation of madness on my
promise of creating another like to him, and trembling with passion,
tore to pieces the thing on which I was engaged.  The wretch saw me
destroy the creature on whose future existence he depended for
happiness, and with a howl of devilish despair and revenge, withdrew.

I left the room, and locking the door, made a solemn vow in my own
heart never to resume my labours; and then, with trembling steps, I
sought my own apartment. I was alone; none were near me to dissipate
the gloom and relieve me from the sickening oppression of the most
terrible reveries.

Several hours passed, and I remained near my window gazing on the sea;
it was almost motionless, for the winds were hushed, and all nature
reposed under the eye of the quiet moon.  A few fishing vessels alone
specked the water, and now and then the gentle breeze wafted the sound
of voices as the fishermen called to one another.  I felt the silence,
although I was hardly conscious of its extreme profundity, until my ear
was suddenly arrested by the paddling of oars near the shore, and a
person landed close to my house.

In a few minutes after, I heard the creaking of my door, as if some one
endeavoured to open it softly. I trembled from head to foot; I felt a
presentiment of who it was and wished to rouse one of the peasants who
dwelt in a cottage not far from mine; but I was overcome by the sensation
of helplessness, so often felt in frightful dreams, when you in vain
endeavour to fly from an impending danger, and was rooted to the spot.

Presently I heard the sound of footsteps along the passage; the door
opened, and the wretch whom I dreaded appeared. Shutting the door, he
approached me and said in a smothered voice,

“You have destroyed the work which you began; what is it that you
intend? Do you dare to break your promise? I have endured toil and misery;
I left Switzerland with you; I crept along the shores of the Rhine, among
its willow islands and over the summits of its hills. I have dwelt many
months in the heaths of England and among the deserts of Scotland. I have
endured incalculable fatigue, and cold, and hunger; do you dare destroy my
hopes?”

“Begone!  I do break my promise; never will I create another like
yourself, equal in deformity and wickedness.”

“Slave, I before reasoned with you, but you have proved yourself
unworthy of my condescension.  Remember that I have power; you believe
yourself miserable, but I can make you so wretched that the light of
day will be hateful to you.  You are my creator, but I am your master;
obey!”

“The hour of my irresolution is past, and the period of your power is
arrived.  Your threats cannot move me to do an act of wickedness; but
they confirm me in a determination of not creating you a companion in
vice.  Shall I, in cool blood, set loose upon the earth a dæmon whose
delight is in death and wretchedness?  Begone!  I am firm, and your
words will only exasperate my rage.”

The monster saw my determination in my face and gnashed his teeth in the
impotence of anger. “Shall each man,” cried he, “find a
wife for his bosom, and each beast have his mate, and I be alone? I had
feelings of affection, and they were requited by detestation and scorn.
Man! You may hate, but beware! Your hours will pass in dread and misery,
and soon the bolt will fall which must ravish from you your happiness for
ever. Are you to be happy while I grovel in the intensity of my
wretchedness? You can blast my other passions, but revenge
remains—revenge, henceforth dearer than light or food! I may die, but
first you, my tyrant and tormentor, shall curse the sun that gazes on your
misery. Beware, for I am fearless and therefore powerful. I will watch with
the wiliness of a snake, that I may sting with its venom. Man, you shall
repent of the injuries you inflict.”

“Devil, cease; and do not poison the air with these sounds of malice.
I have declared my resolution to you, and I am no coward to bend
beneath words.  Leave me; I am inexorable.”

“It is well.  I go; but remember, I shall be with you on your
wedding-night.”

I started forward and exclaimed, “Villain!  Before you sign my
death-warrant, be sure that you are yourself safe.”

I would have seized him, but he eluded me and quitted the house with
precipitation.  In a few moments I saw him in his boat, which shot
across the waters with an arrowy swiftness and was soon lost amidst the
waves.

All was again silent, but his words rang in my ears. I burned with rage to
pursue the murderer of my peace and precipitate him into the ocean. I
walked up and down my room hastily and perturbed, while my imagination
conjured up a thousand images to torment and sting me. Why had I not
followed him and closed with him in mortal strife? But I had suffered him
to depart, and he had directed his course towards the mainland. I shuddered
to think who might be the next victim sacrificed to his insatiate revenge.
And then I thought again of his words—“_I will be with you on
your wedding-night._” That, then, was the period fixed for the
fulfilment of my destiny. In that hour I should die and at once satisfy and
extinguish his malice. The prospect did not move me to fear; yet when I
thought of my beloved Elizabeth, of her tears and endless sorrow, when she
should find her lover so barbarously snatched from her, tears, the first I
had shed for many months, streamed from my eyes, and I resolved not to fall
before my enemy without a bitter struggle.

The night passed away, and the sun rose from the ocean; my feelings became
calmer, if it may be called calmness when the violence of rage sinks into
the depths of despair. I left the house, the horrid scene of the last
night’s contention, and walked on the beach of the sea, which I
almost regarded as an insuperable barrier between me and my fellow
creatures; nay, a wish that such should prove the fact stole across me. I
desired that I might pass my life on that barren rock, wearily, it is true,
but uninterrupted by any sudden shock of misery. If I returned, it was to
be sacrificed or to see those whom I most loved die under the grasp of a
dæmon whom I had myself created.

I walked about the isle like a restless spectre, separated from all it
loved and miserable in the separation.  When it became noon, and the
sun rose higher, I lay down on the grass and was overpowered by a deep
sleep.  I had been awake the whole of the preceding night, my nerves
were agitated, and my eyes inflamed by watching and misery.  The sleep
into which I now sank refreshed me; and when I awoke, I again felt as
if I belonged to a race of human beings like myself, and I began to
reflect upon what had passed with greater composure; yet still the
words of the fiend rang in my ears like a death-knell; they appeared
like a dream, yet distinct and oppressive as a reality.

The sun had far descended, and I still sat on the shore, satisfying my
appetite, which had become ravenous, with an oaten cake, when I saw a
fishing-boat land close to me, and one of the men brought me a packet;
it contained letters from Geneva, and one from Clerval entreating me to
join him.  He said that he was wearing away his time fruitlessly where
he was, that letters from the friends he had formed in London desired
his return to complete the negotiation they had entered into for his
Indian enterprise.  He could not any longer delay his departure; but as
his journey to London might be followed, even sooner than he now
conjectured, by his longer voyage, he entreated me to bestow as much of
my society on him as I could spare.  He besought me, therefore, to
leave my solitary isle and to meet him at Perth, that we might proceed
southwards together.  This letter in a degree recalled me to life, and
I determined to quit my island at the expiration of two days.

Yet, before I departed, there was a task to perform, on which I shuddered
to reflect; I must pack up my chemical instruments, and for that purpose I
must enter the room which had been the scene of my odious work, and I must
handle those utensils the sight of which was sickening to me. The next
morning, at daybreak, I summoned sufficient courage and unlocked the door
of my laboratory. The remains of the half-finished creature, whom I had
destroyed, lay scattered on the floor, and I almost felt as if I had
mangled the living flesh of a human being. I paused to collect myself and
then entered the chamber. With trembling hand I conveyed the instruments
out of the room, but I reflected that I ought not to leave the relics of my
work to excite the horror and suspicion of the peasants; and I accordingly
put them into a basket, with a great quantity of stones, and laying them
up, determined to throw them into the sea that very night; and in the
meantime I sat upon the beach, employed in cleaning and arranging my
chemical apparatus.

Nothing could be more complete than the alteration that had taken place
in my feelings since the night of the appearance of the dæmon.  I had
before regarded my promise with a gloomy despair as a thing that, with
whatever consequences, must be fulfilled; but I now felt as if a film
had been taken from before my eyes and that I for the first time saw
clearly.  The idea of renewing my labours did not for one instant occur
to me; the threat I had heard weighed on my thoughts, but I did not
reflect that a voluntary act of mine could avert it.  I had resolved in
my own mind that to create another like the fiend I had first made
would be an act of the basest and most atrocious selfishness, and I
banished from my mind every thought that could lead to a different
conclusion.

Between two and three in the morning the moon rose; and I then, putting my
basket aboard a little skiff, sailed out about four miles from the shore.
The scene was perfectly solitary; a few boats were returning towards land,
but I sailed away from them. I felt as if I was about the commission of a
dreadful crime and avoided with shuddering anxiety any encounter with my
fellow creatures. At one time the moon, which had before been clear, was
suddenly overspread by a thick cloud, and I took advantage of the moment of
darkness and cast my basket into the sea; I listened to the gurgling sound
as it sank and then sailed away from the spot. The sky became clouded, but
the air was pure, although chilled by the northeast breeze that was then
rising. But it refreshed me and filled me with such agreeable sensations
that I resolved to prolong my stay on the water, and fixing the rudder in a
direct position, stretched myself at the bottom of the boat. Clouds hid the
moon, everything was obscure, and I heard only the sound of the boat as its
keel cut through the waves; the murmur lulled me, and in a short time I
slept soundly.

I do not know how long I remained in this situation, but when I awoke I
found that the sun had already mounted considerably. The wind was high, and
the waves continually threatened the safety of my little skiff. I found
that the wind was northeast and must have driven me far from the coast from
which I had embarked. I endeavoured to change my course but quickly found
that if I again made the attempt the boat would be instantly filled with
water. Thus situated, my only resource was to drive before the wind. I
confess that I felt a few sensations of terror. I had no compass with me
and was so slenderly acquainted with the geography of this part of the
world that the sun was of little benefit to me. I might be driven into the
wide Atlantic and feel all the tortures of starvation or be swallowed up in
the immeasurable waters that roared and buffeted around me. I had already
been out many hours and felt the torment of a burning thirst, a prelude to
my other sufferings. I looked on the heavens, which were covered by clouds
that flew before the wind, only to be replaced by others; I looked upon the
sea; it was to be my grave. “Fiend,” I exclaimed, “your
task is already fulfilled!” I thought of Elizabeth, of my father, and
of Clerval—all left behind, on whom the monster might satisfy his
sanguinary and merciless passions. This idea plunged me into a reverie so
despairing and frightful that even now, when the scene is on the point of
closing before me for ever, I shudder to reflect on it.

Some hours passed thus; but by degrees, as the sun declined towards the
horizon, the wind died away into a gentle breeze and the sea became
free from breakers.  But these gave place to a heavy swell; I felt sick
and hardly able to hold the rudder, when suddenly I saw a line of high
land towards the south.

Almost spent, as I was, by fatigue and the dreadful suspense I endured
for several hours, this sudden certainty of life rushed like a flood of
warm joy to my heart, and tears gushed from my eyes.

How mutable are our feelings, and how strange is that clinging love we have
of life even in the excess of misery! I constructed another sail with a
part of my dress and eagerly steered my course towards the land. It had a
wild and rocky appearance, but as I approached nearer I easily perceived
the traces of cultivation. I saw vessels near the shore and found myself
suddenly transported back to the neighbourhood of civilised man. I
carefully traced the windings of the land and hailed a steeple which I at
length saw issuing from behind a small promontory. As I was in a state of
extreme debility, I resolved to sail directly towards the town, as a place
where I could most easily procure nourishment. Fortunately I had money with
me. As I turned the promontory I perceived a small neat town and a good
harbour, which I entered, my heart bounding with joy at my unexpected
escape.

As I was occupied in fixing the boat and arranging the sails, several
people crowded towards the spot.  They seemed much surprised at my
appearance, but instead of offering me any assistance, whispered
together with gestures that at any other time might have produced in me
a slight sensation of alarm. As it was, I merely remarked that they
spoke English, and I therefore addressed them in that language.  “My
good friends,” said I, “will you be so kind as to tell me the name of
this town and inform me where I am?”

“You will know that soon enough,” replied a man with a hoarse voice.
“Maybe you are come to a place that will not prove much to your taste,
but you will not be consulted as to your quarters, I promise you.”

I was exceedingly surprised on receiving so rude an answer from a
stranger, and I was also disconcerted on perceiving the frowning and
angry countenances of his companions.  “Why do you answer me so
roughly?”  I replied.  “Surely it is not the custom of Englishmen to
receive strangers so inhospitably.”

“I do not know,” said the man, “what the custom of the
English may be, but it is the custom of the Irish to hate villains.”

While this strange dialogue continued, I perceived the crowd rapidly
increase. Their faces expressed a mixture of curiosity and anger, which
annoyed and in some degree alarmed me. I inquired the way to the inn, but
no one replied. I then moved forward, and a murmuring sound arose from the
crowd as they followed and surrounded me, when an ill-looking man
approaching tapped me on the shoulder and said, “Come, sir, you must
follow me to Mr. Kirwin’s to give an account of yourself.”

“Who is Mr. Kirwin?  Why am I to give an account of myself?  Is not
this a free country?”

“Ay, sir, free enough for honest folks.  Mr. Kirwin is a magistrate,
and you are to give an account of the death of a gentleman who was
found murdered here last night.”

This answer startled me, but I presently recovered myself. I was innocent;
that could easily be proved; accordingly I followed my conductor in silence
and was led to one of the best houses in the town. I was ready to sink from
fatigue and hunger, but being surrounded by a crowd, I thought it politic
to rouse all my strength, that no physical debility might be construed into
apprehension or conscious guilt. Little did I then expect the calamity that
was in a few moments to overwhelm me and extinguish in horror and despair
all fear of ignominy or death.

I must pause here, for it requires all my fortitude to recall the memory of
the frightful events which I am about to relate, in proper detail, to my
recollection.





Chapter 21

I was soon introduced into the presence of the magistrate, an old
benevolent man with calm and mild manners.  He looked upon me, however,
with some degree of severity, and then, turning towards my conductors,
he asked who appeared as witnesses on this occasion.

About half a dozen men came forward; and, one being selected by the
magistrate, he deposed that he had been out fishing the night before with
his son and brother-in-law, Daniel Nugent, when, about ten o’clock,
they observed a strong northerly blast rising, and they accordingly put in
for port. It was a very dark night, as the moon had not yet risen; they did
not land at the harbour, but, as they had been accustomed, at a creek about
two miles below. He walked on first, carrying a part of the fishing tackle,
and his companions followed him at some distance. As he was proceeding
along the sands, he struck his foot against something and fell at his
length on the ground. His companions came up to assist him, and by the
light of their lantern they found that he had fallen on the body of a man,
who was to all appearance dead. Their first supposition was that it was the
corpse of some person who had been drowned and was thrown on shore by the
waves, but on examination they found that the clothes were not wet and even
that the body was not then cold. They instantly carried it to the cottage
of an old woman near the spot and endeavoured, but in vain, to restore it
to life. It appeared to be a handsome young man, about five and twenty
years of age. He had apparently been strangled, for there was no sign of
any violence except the black mark of fingers on his neck.

The first part of this deposition did not in the least interest me, but
when the mark of the fingers was mentioned I remembered the murder of
my brother and felt myself extremely agitated; my limbs trembled, and a
mist came over my eyes, which obliged me to lean on a chair for
support.  The magistrate observed me with a keen eye and of course drew
an unfavourable augury from my manner.

The son confirmed his father’s account, but when Daniel Nugent was
called he swore positively that just before the fall of his companion, he
saw a boat, with a single man in it, at a short distance from the shore;
and as far as he could judge by the light of a few stars, it was the same
boat in which I had just landed.

A woman deposed that she lived near the beach and was standing at the door
of her cottage, waiting for the return of the fishermen, about an hour
before she heard of the discovery of the body, when she saw a boat with
only one man in it push off from that part of the shore where the corpse
was afterwards found.

Another woman confirmed the account of the fishermen having brought the
body into her house; it was not cold.  They put it into a bed and
rubbed it, and Daniel went to the town for an apothecary, but life was
quite gone.

Several other men were examined concerning my landing, and they agreed
that, with the strong north wind that had arisen during the night, it
was very probable that I had beaten about for many hours and had been
obliged to return nearly to the same spot from which I had departed.
Besides, they observed that it appeared that I had brought the body
from another place, and it was likely that as I did not appear to know
the shore, I might have put into the harbour ignorant of the distance
of the town of —— from the place where I had deposited the corpse.

Mr. Kirwin, on hearing this evidence, desired that I should be taken into
the room where the body lay for interment, that it might be observed what
effect the sight of it would produce upon me. This idea was probably
suggested by the extreme agitation I had exhibited when the mode of the
murder had been described. I was accordingly conducted, by the magistrate
and several other persons, to the inn. I could not help being struck by the
strange coincidences that had taken place during this eventful night; but,
knowing that I had been conversing with several persons in the island I had
inhabited about the time that the body had been found, I was perfectly
tranquil as to the consequences of the affair.

I entered the room where the corpse lay and was led up to the coffin. How
can I describe my sensations on beholding it? I feel yet parched with
horror, nor can I reflect on that terrible moment without shuddering and
agony. The examination, the presence of the magistrate and witnesses,
passed like a dream from my memory when I saw the lifeless form of Henry
Clerval stretched before me. I gasped for breath, and throwing myself on
the body, I exclaimed, “Have my murderous machinations deprived you
also, my dearest Henry, of life? Two I have already destroyed; other
victims await their destiny; but you, Clerval, my friend, my
benefactor—”

The human frame could no longer support the agonies that I endured, and
I was carried out of the room in strong convulsions.

A fever succeeded to this. I lay for two months on the point of death; my
ravings, as I afterwards heard, were frightful; I called myself the
murderer of William, of Justine, and of Clerval. Sometimes I entreated my
attendants to assist me in the destruction of the fiend by whom I was
tormented; and at others I felt the fingers of the monster already grasping
my neck, and screamed aloud with agony and terror. Fortunately, as I spoke
my native language, Mr. Kirwin alone understood me; but my gestures and
bitter cries were sufficient to affright the other witnesses.

Why did I not die? More miserable than man ever was before, why did I not
sink into forgetfulness and rest? Death snatches away many blooming
children, the only hopes of their doting parents; how many brides and
youthful lovers have been one day in the bloom of health and hope, and the
next a prey for worms and the decay of the tomb! Of what materials was I
made that I could thus resist so many shocks, which, like the turning of
the wheel, continually renewed the torture?

But I was doomed to live and in two months found myself as awaking from
a dream, in a prison, stretched on a wretched bed, surrounded by
gaolers, turnkeys, bolts, and all the miserable apparatus of a dungeon.
It was morning, I remember, when I thus awoke to understanding; I had
forgotten the particulars of what had happened and only felt as if some
great misfortune had suddenly overwhelmed me; but when I looked around
and saw the barred windows and the squalidness of the room in which I
was, all flashed across my memory and I groaned bitterly.

This sound disturbed an old woman who was sleeping in a chair beside
me.  She was a hired nurse, the wife of one of the turnkeys, and her
countenance expressed all those bad qualities which often characterise
that class.  The lines of her face were hard and rude, like that of
persons accustomed to see without sympathising in sights of misery. Her
tone expressed her entire indifference; she addressed me in English,
and the voice struck me as one that I had heard during my sufferings.

“Are you better now, sir?” said she.

I replied in the same language, with a feeble voice, “I believe I am;
but if it be all true, if indeed I did not dream, I am sorry that I am
still alive to feel this misery and horror.”

“For that matter,” replied the old woman, “if you mean about the
gentleman you murdered, I believe that it were better for you if you
were dead, for I fancy it will go hard with you!  However, that’s none
of my business; I am sent to nurse you and get you well; I do my duty
with a safe conscience; it were well if everybody did the same.”

I turned with loathing from the woman who could utter so unfeeling a
speech to a person just saved, on the very edge of death; but I felt
languid and unable to reflect on all that had passed.  The whole series
of my life appeared to me as a dream; I sometimes doubted if indeed it
were all true, for it never presented itself to my mind with the force
of reality.

As the images that floated before me became more distinct, I grew
feverish; a darkness pressed around me; no one was near me who soothed
me with the gentle voice of love; no dear hand supported me.  The
physician came and prescribed medicines, and the old woman prepared
them for me; but utter carelessness was visible in the first, and the
expression of brutality was strongly marked in the visage of the
second.  Who could be interested in the fate of a murderer but the
hangman who would gain his fee?

These were my first reflections, but I soon learned that Mr. Kirwin had
shown me extreme kindness.  He had caused the best room in the prison
to be prepared for me (wretched indeed was the best); and it was he who
had provided a physician and a nurse.  It is true, he seldom came to
see me, for although he ardently desired to relieve the sufferings of
every human creature, he did not wish to be present at the agonies and
miserable ravings of a murderer.  He came, therefore, sometimes to see
that I was not neglected, but his visits were short and with long
intervals.

One day, while I was gradually recovering, I was seated in a chair, my eyes
half open and my cheeks livid like those in death. I was overcome by gloom
and misery and often reflected I had better seek death than desire to
remain in a world which to me was replete with wretchedness. At one time I
considered whether I should not declare myself guilty and suffer the
penalty of the law, less innocent than poor Justine had been. Such were my
thoughts when the door of my apartment was opened and Mr. Kirwin entered.
His countenance expressed sympathy and compassion; he drew a chair close to
mine and addressed me in French,

“I fear that this place is very shocking to you; can I do anything to
make you more comfortable?”

“I thank you, but all that you mention is nothing to me; on the whole
earth there is no comfort which I am capable of receiving.”

“I know that the sympathy of a stranger can be but of little relief to
one borne down as you are by so strange a misfortune.  But you will, I
hope, soon quit this melancholy abode, for doubtless evidence can
easily be brought to free you from the criminal charge.”

“That is my least concern; I am, by a course of strange events, become
the most miserable of mortals.  Persecuted and tortured as I am and
have been, can death be any evil to me?”

“Nothing indeed could be more unfortunate and agonising than the
strange chances that have lately occurred.  You were thrown, by some
surprising accident, on this shore, renowned for its hospitality,
seized immediately, and charged with murder.  The first sight that was
presented to your eyes was the body of your friend, murdered in so
unaccountable a manner and placed, as it were, by some fiend across
your path.”

As Mr. Kirwin said this, notwithstanding the agitation I endured on
this retrospect of my sufferings, I also felt considerable surprise at
the knowledge he seemed to possess concerning me.  I suppose some
astonishment was exhibited in my countenance, for Mr. Kirwin hastened
to say,

“Immediately upon your being taken ill, all the papers that were on
your person were brought me, and I examined them that I might discover some
trace by which I could send to your relations an account of your misfortune
and illness. I found several letters, and, among others, one which I
discovered from its commencement to be from your father. I instantly wrote
to Geneva; nearly two months have elapsed since the departure of my letter.
But you are ill; even now you tremble; you are unfit for agitation of any
kind.”

“This suspense is a thousand times worse than the most horrible event;
tell me what new scene of death has been acted, and whose murder I am
now to lament?”

“Your family is perfectly well,” said Mr. Kirwin with
gentleness; “and someone, a friend, is come to visit you.”

I know not by what chain of thought the idea presented itself, but it
instantly darted into my mind that the murderer had come to mock at my
misery and taunt me with the death of Clerval, as a new incitement for
me to comply with his hellish desires.  I put my hand before my eyes,
and cried out in agony,

“Oh! Take him away! I cannot see him; for God’s sake, do not
let him enter!”

Mr. Kirwin regarded me with a troubled countenance.  He could not help
regarding my exclamation as a presumption of my guilt and said in
rather a severe tone,

“I should have thought, young man, that the presence of your father
would have been welcome instead of inspiring such violent repugnance.”

“My father!” cried I, while every feature and every muscle was relaxed
from anguish to pleasure.  “Is my father indeed come?  How kind, how
very kind!  But where is he, why does he not hasten to me?”

My change of manner surprised and pleased the magistrate; perhaps he
thought that my former exclamation was a momentary return of delirium,
and now he instantly resumed his former benevolence.  He rose and
quitted the room with my nurse, and in a moment my father entered it.

Nothing, at this moment, could have given me greater pleasure than the
arrival of my father. I stretched out my hand to him and cried,

“Are you then safe—and Elizabeth—and Ernest?”

My father calmed me with assurances of their welfare and endeavoured, by
dwelling on these subjects so interesting to my heart, to raise my
desponding spirits; but he soon felt that a prison cannot be the abode of
cheerfulness. “What a place is this that you inhabit, my son!”
said he, looking mournfully at the barred windows and wretched appearance
of the room. “You travelled to seek happiness, but a fatality seems
to pursue you. And poor Clerval—”

The name of my unfortunate and murdered friend was an agitation too
great to be endured in my weak state; I shed tears.

“Alas! Yes, my father,” replied I; “some destiny of the
most horrible kind hangs over me, and I must live to fulfil it, or surely I
should have died on the coffin of Henry.”

We were not allowed to converse for any length of time, for the
precarious state of my health rendered every precaution necessary that
could ensure tranquillity.  Mr. Kirwin came in and insisted that my
strength should not be exhausted by too much exertion.  But the
appearance of my father was to me like that of my good angel, and I
gradually recovered my health.

As my sickness quitted me, I was absorbed by a gloomy and black
melancholy that nothing could dissipate.  The image of Clerval was
for ever before me, ghastly and murdered.  More than once the agitation
into which these reflections threw me made my friends dread a dangerous
relapse.  Alas!  Why did they preserve so miserable and detested a
life?  It was surely that I might fulfil my destiny, which is now
drawing to a close.  Soon, oh, very soon, will death extinguish these
throbbings and relieve me from the mighty weight of anguish that bears
me to the dust; and, in executing the award of justice, I shall also
sink to rest.  Then the appearance of death was distant, although the
wish was ever present to my thoughts; and I often sat for hours
motionless and speechless, wishing for some mighty revolution that
might bury me and my destroyer in its ruins.

The season of the assizes approached.  I had already been three months
in prison, and although I was still weak and in continual danger of a
relapse, I was obliged to travel nearly a hundred miles to the country
town where the court was held.  Mr. Kirwin charged himself with every
care of collecting witnesses and arranging my defence.  I was spared
the disgrace of appearing publicly as a criminal, as the case was not
brought before the court that decides on life and death.  The grand
jury rejected the bill, on its being proved that I was on the Orkney
Islands at the hour the body of my friend was found; and a fortnight
after my removal I was liberated from prison.

My father was enraptured on finding me freed from the vexations of a
criminal charge, that I was again allowed to breathe the fresh
atmosphere and permitted to return to my native country.  I did not
participate in these feelings, for to me the walls of a dungeon or a
palace were alike hateful.  The cup of life was poisoned for ever, and
although the sun shone upon me, as upon the happy and gay of heart, I
saw around me nothing but a dense and frightful darkness, penetrated by
no light but the glimmer of two eyes that glared upon me.  Sometimes
they were the expressive eyes of Henry, languishing in death, the dark
orbs nearly covered by the lids and the long black lashes that fringed
them; sometimes it was the watery, clouded eyes of the monster, as I
first saw them in my chamber at Ingolstadt.

My father tried to awaken in me the feelings of affection.  He talked
of Geneva, which I should soon visit, of Elizabeth and Ernest; but
these words only drew deep groans from me.  Sometimes, indeed, I felt a
wish for happiness and thought with melancholy delight of my beloved
cousin or longed, with a devouring _maladie du pays_, to see once more
the blue lake and rapid Rhone, that had been so dear to me in early
childhood; but my general state of feeling was a torpor in which a
prison was as welcome a residence as the divinest scene in nature; and
these fits were seldom interrupted but by paroxysms of anguish and
despair.  At these moments I often endeavoured to put an end to the
existence I loathed, and it required unceasing attendance and vigilance
to restrain me from committing some dreadful act of violence.

Yet one duty remained to me, the recollection of which finally
triumphed over my selfish despair.  It was necessary that I should
return without delay to Geneva, there to watch over the lives of those
I so fondly loved and to lie in wait for the murderer, that if any
chance led me to the place of his concealment, or if he dared again to
blast me by his presence, I might, with unfailing aim, put an end to
the existence of the monstrous image which  I had endued with the
mockery of a soul still more monstrous.  My father still desired to
delay our departure, fearful that I could not sustain the fatigues of a
journey, for I was a shattered wreck—the shadow of a human being.  My
strength was gone.  I was a mere skeleton, and fever night and day
preyed upon my wasted frame.

Still, as I urged our leaving Ireland with such inquietude and impatience,
my father thought it best to yield. We took our passage on board a vessel
bound for Havre-de-Grace and sailed with a fair wind from the Irish shores.
It was midnight. I lay on the deck looking at the stars and listening to
the dashing of the waves. I hailed the darkness that shut Ireland from my
sight, and my pulse beat with a feverish joy when I reflected that I should
soon see Geneva. The past appeared to me in the light of a frightful dream;
yet the vessel in which I was, the wind that blew me from the detested
shore of Ireland, and the sea which surrounded me, told me too forcibly
that I was deceived by no vision and that Clerval, my friend and dearest
companion, had fallen a victim to me and the monster of my creation. I
repassed, in my memory, my whole life; my quiet happiness while residing
with my family in Geneva, the death of my mother, and my departure for
Ingolstadt. I remembered, shuddering, the mad enthusiasm that hurried me on
to the creation of my hideous enemy, and I called to mind the night in
which he first lived. I was unable to pursue the train of thought; a
thousand feelings pressed upon me, and I wept bitterly.

Ever since my recovery from the fever, I had been in the custom of taking
every night a small quantity of laudanum, for it was by means of this drug
only that I was enabled to gain the rest necessary for the preservation of
life. Oppressed by the recollection of my various misfortunes, I now
swallowed double my usual quantity and soon slept profoundly. But sleep did
not afford me respite from thought and misery; my dreams presented a
thousand objects that scared me. Towards morning I was possessed by a kind
of nightmare; I felt the fiend’s grasp in my neck and could not free
myself from it; groans and cries rang in my ears. My father, who was
watching over me, perceiving my restlessness, awoke me; the dashing waves
were around, the cloudy sky above, the fiend was not here: a sense of
security, a feeling that a truce was established between the present hour
and the irresistible, disastrous future imparted to me a kind of calm
forgetfulness, of which the human mind is by its structure peculiarly
susceptible.





Chapter 22

The voyage came to an end.  We landed, and proceeded to Paris.  I soon
found that I had overtaxed my strength and that I must repose before I
could continue my journey.  My father’s care and attentions were
indefatigable, but he did not know the origin of my sufferings and
sought erroneous methods to remedy the incurable ill.  He wished me to
seek amusement in society.  I abhorred the face of man.  Oh, not
abhorred!  They were my brethren, my fellow beings, and I felt
attracted even to the most repulsive among them, as to creatures of an
angelic nature and celestial mechanism.  But I felt that I had no right
to share their intercourse.  I had unchained an enemy among them whose
joy it was to shed their blood and to revel in their groans.  How they
would, each and all, abhor me and hunt me from the world, did they know
my unhallowed acts and the crimes which had their source in me!

My father yielded at length to my desire to avoid society and strove by
various arguments to banish my despair.  Sometimes he thought that I
felt deeply the degradation of being obliged to answer a charge of
murder, and he endeavoured to prove to me the futility of pride.

“Alas!  My father,” said I, “how little do you know me. 
Human beings, their feelings and passions, would indeed be degraded if such
a wretch as I felt pride.  Justine, poor unhappy Justine, was as innocent
as I, and she suffered the same charge; she died for it; and I am the cause
of this—I murdered her.  William, Justine, and Henry—they all
died by my hands.”

My father had often, during my imprisonment, heard me make the same
assertion; when I thus accused myself, he sometimes seemed to desire an
explanation, and at others he appeared to consider it as the offspring of
delirium, and that, during my illness, some idea of this kind had presented
itself to my imagination, the remembrance of which I preserved in my
convalescence. I avoided explanation and maintained a continual silence
concerning the wretch I had created. I had a persuasion that I should be
supposed mad, and this in itself would for ever have chained my tongue. But,
besides, I could not bring myself to disclose a secret which would fill my
hearer with consternation and make fear and unnatural horror the inmates of
his breast. I checked, therefore, my impatient thirst for sympathy and was
silent when I would have given the world to have confided the fatal secret.
Yet, still, words like those I have recorded would burst uncontrollably
from me. I could offer no explanation of them, but their truth in part
relieved the burden of my mysterious woe.

Upon this occasion my father said, with an expression of unbounded wonder,
“My dearest Victor, what infatuation is this? My dear son, I entreat
you never to make such an assertion again.”

“I am not mad,” I cried energetically; “the sun and the heavens, who
have viewed my operations, can bear witness of my truth.  I am the
assassin of those most innocent victims; they died by my machinations.
A thousand times would I have shed my own blood, drop by drop, to have
saved their lives; but I could not, my father, indeed I could not
sacrifice the whole human race.”

The conclusion of this speech convinced my father that my ideas were
deranged, and he instantly changed the subject of our conversation and
endeavoured to alter the course of my thoughts.  He wished as much as
possible to obliterate the memory of the scenes that had taken place in
Ireland and never alluded to them or suffered me to speak of my
misfortunes.

As time passed away I became more calm; misery had her dwelling in my
heart, but I no longer talked in the same incoherent manner of my own
crimes; sufficient for me was the consciousness of them.  By the utmost
self-violence I curbed the imperious voice of wretchedness, which
sometimes desired to declare itself to the whole world, and my manners
were calmer and more composed than they had ever been since my journey
to the sea of ice.

A few days before we left Paris on our way to Switzerland, I received the
following letter from Elizabeth:

“My dear Friend,

“It gave me the greatest pleasure to receive a letter from my uncle
dated at Paris; you are no longer at a formidable distance, and I may
hope to see you in less than a fortnight.  My poor cousin, how much you
must have suffered!  I expect to see you looking even more ill than
when you quitted Geneva.  This winter has been passed most miserably,
tortured as I have been by anxious suspense; yet I hope to see peace in
your countenance and to find that your heart is not totally void of
comfort and tranquillity.

“Yet I fear that the same feelings now exist that made you so miserable
a year ago, even perhaps augmented by time.  I would not disturb you at
this period, when so many misfortunes weigh upon you, but a
conversation that I had with my uncle previous to his departure renders
some explanation necessary before we meet.

Explanation! You may possibly say, What can Elizabeth have to explain? If
you really say this, my questions are answered and all my doubts satisfied.
But you are distant from me, and it is possible that you may dread and yet
be pleased with this explanation; and in a probability of this being the
case, I dare not any longer postpone writing what, during your absence, I
have often wished to express to you but have never had the courage to begin.

“You well know, Victor, that our union had been the favourite plan of
your parents ever since our infancy.  We were told this when young, and
taught to look forward to it as an event that would certainly take
place.  We were affectionate playfellows during childhood, and, I
believe, dear and valued friends to one another as we grew older. But
as brother and sister often entertain a lively affection towards each
other without desiring a more intimate union, may not such also be our
case?  Tell me, dearest Victor.  Answer me, I conjure you by our mutual
happiness, with simple truth—Do you not love another?

“You have travelled; you have spent several years of your life at
Ingolstadt; and I confess to you, my friend, that when I saw you last
autumn so unhappy, flying to solitude from the society of every
creature, I could not help supposing that you might regret our
connection and believe yourself bound in honour to fulfil the wishes of
your parents, although they opposed themselves to your inclinations.
But this is false reasoning.  I confess to you, my friend, that I love
you and that in my airy dreams of futurity you have been my constant
friend and companion.   But it is your happiness I desire as well as my
own when I declare to you that our marriage would render me eternally
miserable unless it were the dictate of your own free choice.  Even now
I weep to think that, borne down as you are by the cruellest
misfortunes, you may stifle, by the word _honour_, all hope of that
love and happiness which would alone restore you to yourself.  I, who
have so disinterested an affection for you, may increase your miseries
tenfold by being an obstacle to your wishes.  Ah! Victor, be assured
that your cousin and playmate has too sincere a love for you not to be
made miserable by this supposition.  Be happy, my friend; and if you
obey me in this one request, remain satisfied that nothing on earth
will have the power to interrupt my tranquillity.

“Do not let this letter disturb you; do not answer tomorrow, or the
next day, or even until you come, if it will give you pain.  My uncle
will send me news of your health, and if I see but one smile on your
lips when we meet, occasioned by this or any other exertion of mine, I
shall need no other happiness.

“Elizabeth Lavenza.



“Geneva, May 18th, 17—”



This letter revived in my memory what I had before forgotten, the threat of
the fiend—“_I will be with you on your
wedding-night!_” Such was my sentence, and on that night would the
dæmon employ every art to destroy me and tear me from the glimpse of
happiness which promised partly to console my sufferings. On that night he
had determined to consummate his crimes by my death. Well, be it so; a
deadly struggle would then assuredly take place, in which if he were
victorious I should be at peace and his power over me be at an end. If he
were vanquished, I should be a free man. Alas! What freedom? Such as the
peasant enjoys when his family have been massacred before his eyes, his
cottage burnt, his lands laid waste, and he is turned adrift, homeless,
penniless, and alone, but free. Such would be my liberty except that in my
Elizabeth I possessed a treasure, alas, balanced by those horrors of
remorse and guilt which would pursue me until death.

Sweet and beloved Elizabeth! I read and reread her letter, and some
softened feelings stole into my heart and dared to whisper paradisiacal
dreams of love and joy; but the apple was already eaten, and the
angel’s arm bared to drive me from all hope. Yet I would die to make
her happy. If the monster executed his threat, death was inevitable; yet,
again, I considered whether my marriage would hasten my fate. My
destruction might indeed arrive a few months sooner, but if my torturer
should suspect that I postponed it, influenced by his menaces, he would
surely find other and perhaps more dreadful means of revenge. He had vowed
_to be with me on my wedding-night_, yet he did not consider that
threat as binding him to peace in the meantime, for as if to show me that
he was not yet satiated with blood, he had murdered Clerval immediately
after the enunciation of his threats. I resolved, therefore, that if my
immediate union with my cousin would conduce either to hers or my
father’s happiness, my adversary’s designs against my life
should not retard it a single hour.

In this state of mind I wrote to Elizabeth.  My letter was calm and
affectionate.  “I fear, my beloved girl,” I said, “little happiness
remains for us on earth; yet all that I may one day enjoy is centred in
you.  Chase away your idle fears; to you alone do I consecrate my life
and my endeavours for contentment.  I have one secret, Elizabeth, a
dreadful one; when revealed to you, it will chill your frame with
horror, and then, far from being surprised at my misery, you will only
wonder that I survive what I have endured.  I will confide this tale of
misery and terror to you the day after our marriage shall take place,
for, my sweet cousin, there must be perfect confidence between us.  But
until then, I conjure you, do not mention or allude to it.  This I most
earnestly entreat, and I know you will comply.”

In about a week after the arrival of Elizabeth’s letter we returned
to Geneva. The sweet girl welcomed me with warm affection, yet tears were
in her eyes as she beheld my emaciated frame and feverish cheeks. I saw a
change in her also. She was thinner and had lost much of that heavenly
vivacity that had before charmed me; but her gentleness and soft looks of
compassion made her a more fit companion for one blasted and miserable as I
was.

The tranquillity which I now enjoyed did not endure. Memory brought madness
with it, and when I thought of what had passed, a real insanity possessed
me; sometimes I was furious and burnt with rage, sometimes low and
despondent. I neither spoke nor looked at anyone, but sat motionless,
bewildered by the multitude of miseries that overcame me.

Elizabeth alone had the power to draw me from these fits; her gentle voice
would soothe me when transported by passion and inspire me with human
feelings when sunk in torpor. She wept with me and for me. When reason
returned, she would remonstrate and endeavour to inspire me with
resignation. Ah! It is well for the unfortunate to be resigned, but for the
guilty there is no peace. The agonies of remorse poison the luxury there is
otherwise sometimes found in indulging the excess of grief.

Soon after my arrival my father spoke of my immediate marriage with
Elizabeth. I remained silent.

“Have you, then, some other attachment?”

“None on earth.  I love Elizabeth and look forward to our union with
delight.  Let the day therefore be fixed; and on it I will consecrate
myself, in life or death, to the happiness of my cousin.”

“My dear Victor, do not speak thus.  Heavy misfortunes have befallen
us, but let us only cling closer to what remains and transfer our love
for those whom we have lost to those who yet live.  Our circle will be
small but bound close by the ties of affection and mutual misfortune.
And when time shall have softened your despair, new and dear objects of
care will be born to replace those of whom we have been so cruelly
deprived.”

Such were the lessons of my father.  But to me the remembrance of the
threat returned; nor can you wonder that, omnipotent as the fiend had
yet been in his deeds of blood, I should almost regard him as
invincible, and that when he had pronounced the words “_I shall be with
you on your wedding-night_,” I should regard the threatened fate as
unavoidable.  But death was no evil to me if the loss of Elizabeth were
balanced with it, and I therefore, with a contented and even cheerful
countenance, agreed with my father that if my cousin would consent, the
ceremony should take place in ten days, and thus put, as I imagined,
the seal to my fate.

Great God!  If for one instant I had thought what might be the hellish
intention of my fiendish adversary, I would rather have banished myself
for ever from my native country and wandered a friendless outcast over
the earth than have consented to this miserable marriage.  But, as if
possessed of magic powers, the monster had blinded me to his real
intentions; and when I thought that I had prepared only my own death, I
hastened that of a far dearer victim.

As the period fixed for our marriage drew nearer, whether from cowardice or
a prophetic feeling, I felt my heart sink within me. But I concealed my
feelings by an appearance of hilarity that brought smiles and joy to the
countenance of my father, but hardly deceived the ever-watchful and nicer
eye of Elizabeth. She looked forward to our union with placid contentment,
not unmingled with a little fear, which past misfortunes had impressed,
that what now appeared certain and tangible happiness might soon dissipate
into an airy dream and leave no trace but deep and everlasting regret.

Preparations were made for the event, congratulatory visits were received,
and all wore a smiling appearance. I shut up, as well as I could, in my own
heart the anxiety that preyed there and entered with seeming earnestness
into the plans of my father, although they might only serve as the
decorations of my tragedy. Through my father’s exertions a part of
the inheritance of Elizabeth had been restored to her by the Austrian
government. A small possession on the shores of Como belonged to her. It
was agreed that, immediately after our union, we should proceed to Villa
Lavenza and spend our first days of happiness beside the beautiful lake
near which it stood.

In the meantime I took every precaution to defend my person in case the
fiend should openly attack me.  I carried pistols and a dagger
constantly about me and was ever on the watch to prevent artifice, and
by these means gained a greater degree of tranquillity.  Indeed, as the
period approached, the threat appeared more as a delusion, not to be
regarded as worthy to disturb my peace, while the happiness I hoped for
in my marriage wore a greater appearance of certainty as the day fixed
for its solemnisation drew nearer and I heard it continually spoken of
as an occurrence which no accident could possibly prevent.

Elizabeth seemed happy; my tranquil demeanour contributed greatly to
calm her mind.  But on the day that was to fulfil my wishes and my
destiny, she was melancholy, and a presentiment of evil pervaded her;
and perhaps also she thought of the dreadful secret which I had
promised to reveal to her on the following day.  My father was in the
meantime overjoyed, and, in the bustle of preparation, only recognised in
the melancholy of his niece the diffidence of a bride.

After the ceremony was performed a large party assembled at my
father’s, but it was agreed that Elizabeth and I should commence our
journey by water, sleeping that night at Evian and continuing our
voyage on the following day.  The day was fair, the wind favourable;
all smiled on our nuptial embarkation.

Those were the last moments of my life during which I enjoyed the
feeling of happiness.  We passed rapidly along; the sun was hot, but we
were sheltered from its rays by a kind of canopy while we enjoyed the
beauty of the scene, sometimes on one side of the lake, where we saw
Mont Salêve, the pleasant banks of Montalègre, and at a distance,
surmounting all, the beautiful Mont Blanc, and the assemblage of snowy
mountains that in vain endeavour to emulate her; sometimes coasting the
opposite banks, we saw the mighty Jura opposing its dark side to the
ambition that would quit its native country, and an almost
insurmountable barrier to the invader who should wish to enslave it.

I took the hand of Elizabeth.  “You are sorrowful, my love.  Ah!  If
you knew what I have suffered and what I may yet endure, you would
endeavour to let me taste the quiet and freedom from despair that this
one day at least permits me to enjoy.”

“Be happy, my dear Victor,” replied Elizabeth; “there is, I hope,
nothing to distress you; and be assured that if a lively joy is not
painted in my face, my heart is contented.  Something whispers to me
not to depend too much on the prospect that is opened before us, but I
will not listen to such a sinister voice.  Observe how fast we move
along and how the clouds, which sometimes obscure and sometimes rise
above the dome of Mont Blanc, render this scene of beauty still more
interesting.  Look also at the innumerable fish that are swimming in
the clear waters, where we can distinguish every pebble that lies at
the bottom.  What a divine day!  How happy and serene all nature
appears!”

Thus Elizabeth endeavoured to divert her thoughts and mine from all
reflection upon melancholy subjects.  But her temper was fluctuating;
joy for a few instants shone in her eyes, but it continually gave place
to distraction and reverie.

The sun sank lower in the heavens; we passed the river Drance and
observed its path through the chasms of the higher and the glens of the
lower hills.  The Alps here come closer to the lake, and we approached
the amphitheatre of mountains which forms its eastern boundary.  The
spire of Evian shone under the woods that surrounded it and the range
of mountain above mountain by which it was overhung.

The wind, which had hitherto carried us along with amazing rapidity,
sank at sunset to a light breeze; the soft air just ruffled the water
and caused a pleasant motion among the trees as we approached the
shore, from which it wafted the most delightful scent of flowers and
hay.  The sun sank beneath the horizon as we landed, and as I touched
the shore I felt those cares and fears revive which soon were to clasp
me and cling to me for ever.





Chapter 23

It was eight o’clock when we landed; we walked for a short time on the
shore, enjoying the transitory light, and then retired to the inn and
contemplated the lovely scene of waters, woods, and mountains, obscured
in darkness, yet still displaying their black outlines.

The wind, which had fallen in the south, now rose with great violence
in the west.  The moon had reached her summit in the heavens and was
beginning to descend; the clouds swept across it swifter than the
flight of the vulture and dimmed her rays, while the lake reflected the
scene of the busy heavens, rendered still busier by the restless waves
that were beginning to rise.  Suddenly a heavy storm of rain descended.

I had been calm during the day, but so soon as night obscured the
shapes of objects, a thousand fears arose in my mind.  I was anxious
and watchful, while my right hand grasped a pistol which was hidden in
my bosom; every sound terrified me, but I resolved that I would sell my
life dearly and not shrink from the conflict until my own life or that
of my adversary was extinguished.

Elizabeth observed my agitation for some time in timid and fearful silence,
but there was something in my glance which communicated terror to her, and
trembling, she asked, “What is it that agitates you, my dear Victor?
What is it you fear?”

“Oh! Peace, peace, my love,” replied I; “this night, and
all will be safe; but this night is dreadful, very dreadful.”

I passed an hour in this state of mind, when suddenly I reflected how
fearful the combat which I momentarily expected would be to my wife,
and I earnestly entreated her to retire, resolving not to join her
until I had obtained some knowledge as to the situation of my enemy.

She left me, and I continued some time walking up and down the passages
of the house and inspecting every corner that might afford a retreat to
my adversary.  But I discovered no trace of him and was beginning to
conjecture that some fortunate chance had intervened to prevent the
execution of his menaces when suddenly I heard a shrill and dreadful
scream.  It came from the room into which Elizabeth had retired.  As I
heard it, the whole truth rushed into my mind, my arms dropped, the
motion of every muscle and fibre was suspended; I could feel the blood
trickling in my veins and tingling in the extremities of my limbs. This
state lasted but for an instant; the scream was repeated, and I rushed
into the room.

Great God! Why did I not then expire! Why am I here to relate the
destruction of the best hope and the purest creature on earth? She was
there, lifeless and inanimate, thrown across the bed, her head hanging down
and her pale and distorted features half covered by her hair. Everywhere I
turn I see the same figure—her bloodless arms and relaxed form flung
by the murderer on its bridal bier. Could I behold this and live? Alas!
Life is obstinate and clings closest where it is most hated. For a moment
only did I lose recollection; I fell senseless on the ground.

When I recovered I found myself surrounded by the people of the inn; their
countenances expressed a breathless terror, but the horror of others
appeared only as a mockery, a shadow of the feelings that oppressed me. I
escaped from them to the room where lay the body of Elizabeth, my love, my
wife, so lately living, so dear, so worthy. She had been moved from the
posture in which I had first beheld her, and now, as she lay, her head upon
her arm and a handkerchief thrown across her face and neck, I might have
supposed her asleep. I rushed towards her and embraced her with ardour, but
the deadly languor and coldness of the limbs told me that what I now held
in my arms had ceased to be the Elizabeth whom I had loved and cherished.
The murderous mark of the fiend’s grasp was on her neck, and the
breath had ceased to issue from her lips.

While I still hung over her in the agony of despair, I happened to look up.
The windows of the room had before been darkened, and I felt a kind of
panic on seeing the pale yellow light of the moon illuminate the chamber.
The shutters had been thrown back, and with a sensation of horror not to be
described, I saw at the open window a figure the most hideous and abhorred.
A grin was on the face of the monster; he seemed to jeer, as with his
fiendish finger he pointed towards the corpse of my wife. I rushed towards
the window, and drawing a pistol from my bosom, fired; but he eluded me,
leaped from his station, and running with the swiftness of lightning,
plunged into the lake.

The report of the pistol brought a crowd into the room. I pointed to
the spot where he had disappeared, and we followed the track with
boats; nets were cast, but in vain.  After passing several hours, we
returned hopeless, most of my companions believing it to have been a
form conjured up by my fancy.  After having landed, they proceeded to
search the country, parties going in different directions among the
woods and vines.

I attempted to accompany them and proceeded a short distance from the
house, but my head whirled round, my steps were like those of a drunken
man, I fell at last in a state of utter exhaustion; a film covered my
eyes, and my skin was parched with the heat of fever.  In this state I
was carried back and placed on a bed, hardly conscious of what had
happened; my eyes wandered round the room as if to seek something that
I had lost.

After an interval I arose, and as if by instinct, crawled into the room
where the corpse of my beloved lay.  There were women weeping around; I
hung over it and joined my sad tears to theirs; all this time no
distinct idea presented itself to my mind, but my thoughts rambled to
various subjects, reflecting confusedly on my misfortunes and their
cause.  I was bewildered, in a cloud of wonder and horror.  The death
of William, the execution of Justine, the murder of Clerval, and lastly
of my wife; even at that moment I knew not that my only remaining
friends were safe from the malignity of the fiend; my father even now
might be writhing under his grasp, and Ernest might be dead at his
feet.  This idea made me shudder and recalled me to action.  I started
up and resolved to return to Geneva with all possible speed.

There were no horses to be procured, and I must return by the lake; but the
wind was unfavourable, and the rain fell in torrents. However, it was
hardly morning, and I might reasonably hope to arrive by night. I hired men
to row and took an oar myself, for I had always experienced relief from
mental torment in bodily exercise. But the overflowing misery I now felt,
and the excess of agitation that I endured rendered me incapable of any
exertion. I threw down the oar, and leaning my head upon my hands, gave way
to every gloomy idea that arose. If I looked up, I saw scenes which were
familiar to me in my happier time and which I had contemplated but the day
before in the company of her who was now but a shadow and a recollection.
Tears streamed from my eyes. The rain had ceased for a moment, and I saw
the fish play in the waters as they had done a few hours before; they had
then been observed by Elizabeth. Nothing is so painful to the human mind as
a great and sudden change. The sun might shine or the clouds might lower,
but nothing could appear to me as it had done the day before. A fiend had
snatched from me every hope of future happiness; no creature had ever been
so miserable as I was; so frightful an event is single in the history of
man.

But why should I dwell upon the incidents that followed this last
overwhelming event? Mine has been a tale of horrors; I have reached their
_acme_, and what I must now relate can but be tedious to you. Know
that, one by one, my friends were snatched away; I was left desolate. My
own strength is exhausted, and I must tell, in a few words, what remains of
my hideous narration.

I arrived at Geneva. My father and Ernest yet lived, but the former sunk
under the tidings that I bore. I see him now, excellent and venerable old
man! His eyes wandered in vacancy, for they had lost their charm and their
delight—his Elizabeth, his more than daughter, whom he doted on with
all that affection which a man feels, who in the decline of life, having
few affections, clings more earnestly to those that remain. Cursed, cursed
be the fiend that brought misery on his grey hairs and doomed him to waste
in wretchedness! He could not live under the horrors that were accumulated
around him; the springs of existence suddenly gave way; he was unable to
rise from his bed, and in a few days he died in my arms.

What then became of me?  I know not; I lost sensation, and chains and
darkness were the only objects that pressed upon me.  Sometimes,
indeed, I dreamt that I wandered in flowery meadows and pleasant vales
with the friends of my youth, but I awoke and found myself in a
dungeon.  Melancholy followed, but by degrees I gained a clear
conception of my miseries and situation and was then released from my
prison.  For they had called me mad, and during many months, as I
understood, a solitary cell had been my habitation.

Liberty, however, had been a useless gift to me, had I not, as I
awakened to reason, at the same time awakened to revenge.  As the
memory of past misfortunes pressed upon me, I began to reflect on their
cause—the monster whom I had created, the miserable dæmon whom I had
sent abroad into the world for my destruction.  I was possessed by a
maddening rage when I thought of him, and desired and ardently prayed
that I might have him within my grasp to wreak a great and signal
revenge on his cursed head.

Nor did my hate long confine itself to useless wishes; I began to
reflect on the best means of securing him; and for this purpose, about
a month after my release, I repaired to a criminal judge in the town
and told him that I had an accusation to make, that I knew the
destroyer of my family, and that I required him to exert his whole
authority for the apprehension of the murderer.

The magistrate listened to me with attention and kindness. “Be
assured, sir,” said he, “no pains or exertions on my part shall
be spared to discover the villain.”

“I thank you,” replied I; “listen, therefore, to the
deposition that I have to make. It is indeed a tale so strange that I
should fear you would not credit it were there not something in truth
which, however wonderful, forces conviction. The story is too connected to
be mistaken for a dream, and I have no motive for falsehood.” My
manner as I thus addressed him was impressive but calm; I had formed in my
own heart a resolution to pursue my destroyer to death, and this purpose
quieted my agony and for an interval reconciled me to life. I now related
my history briefly but with firmness and precision, marking the dates with
accuracy and never deviating into invective or exclamation.

The magistrate appeared at first perfectly incredulous, but as I continued
he became more attentive and interested; I saw him sometimes shudder with
horror; at others a lively surprise, unmingled with disbelief, was painted
on his countenance.

When I had concluded my narration, I said, “This is the being whom I
accuse and for whose seizure and punishment I call upon you to exert your
whole power. It is your duty as a magistrate, and I believe and hope that
your feelings as a man will not revolt from the execution of those
functions on this occasion.”

This address caused a considerable change in the physiognomy of my own
auditor. He had heard my story with that half kind of belief that is given
to a tale of spirits and supernatural events; but when he was called upon
to act officially in consequence, the whole tide of his incredulity
returned. He, however, answered mildly, “I would willingly afford you
every aid in your pursuit, but the creature of whom you speak appears to
have powers which would put all my exertions to defiance. Who can follow an
animal which can traverse the sea of ice and inhabit caves and dens where
no man would venture to intrude? Besides, some months have elapsed since
the commission of his crimes, and no one can conjecture to what place he
has wandered or what region he may now inhabit.”

“I do not doubt that he hovers near the spot which I inhabit, and if
he has indeed taken refuge in the Alps, he may be hunted like the chamois
and destroyed as a beast of prey. But I perceive your thoughts; you do not
credit my narrative and do not intend to pursue my enemy with the
punishment which is his desert.”

As I spoke, rage sparkled in my eyes; the magistrate was intimidated.
“You are mistaken,” said he. “I will exert myself, and if
it is in my power to seize the monster, be assured that he shall suffer
punishment proportionate to his crimes. But I fear, from what you have
yourself described to be his properties, that this will prove
impracticable; and thus, while every proper measure is pursued, you should
make up your mind to disappointment.”

“That cannot be; but all that I can say will be of little avail.  My
revenge is of no moment to you; yet, while I allow it to be a vice, I
confess that it is the devouring and only passion of my soul.  My rage
is unspeakable when I reflect that the murderer, whom I have turned
loose upon society, still exists.  You refuse my just demand; I have
but one resource, and I devote myself, either in my life or death, to
his destruction.”

I trembled with excess of agitation as I said this; there was a frenzy
in my manner, and something, I doubt not, of that haughty fierceness
which the martyrs of old are said to have possessed.  But to a Genevan
magistrate, whose mind was occupied by far other ideas than those of
devotion and heroism, this elevation of mind had much the appearance of
madness.  He endeavoured to soothe me as a nurse does a child and
reverted to my tale as the effects of delirium.

“Man,” I cried, “how ignorant art thou in thy pride of
wisdom! Cease; you know not what it is you say.”

I broke from the house angry and disturbed and retired to meditate on
some other mode of action.





Chapter 24

My present situation was one in which all voluntary thought was
swallowed up and lost.  I was hurried away by fury; revenge alone
endowed me with strength and composure; it moulded my feelings and
allowed me to be calculating and calm at periods when otherwise
delirium or death would have been my portion.

My first resolution was to quit Geneva for ever; my country, which, when I
was happy and beloved, was dear to me, now, in my adversity, became
hateful. I provided myself with a sum of money, together with a few jewels
which had belonged to my mother, and departed.

And now my wanderings began which are to cease but with life. I have
traversed a vast portion of the earth and have endured all the hardships
which travellers in deserts and barbarous countries are wont to meet. How I
have lived I hardly know; many times have I stretched my failing limbs upon
the sandy plain and prayed for death. But revenge kept me alive; I dared
not die and leave my adversary in being.

When I quitted Geneva my first labour was to gain some clue by which I
might trace the steps of my fiendish enemy.  But my plan was unsettled,
and I wandered many hours round the confines of the town, uncertain
what path I should pursue.  As night approached I found myself at the
entrance of the cemetery where William, Elizabeth, and my father
reposed.  I entered it and approached the tomb which marked their
graves.  Everything was silent except the leaves of the trees, which
were gently agitated by the wind; the night was nearly dark, and the
scene would have been solemn and affecting even to an uninterested
observer.  The spirits of the departed seemed to flit around and to
cast a shadow, which was felt but not seen, around the head of the
mourner.

The deep grief which this scene had at first excited quickly gave way to
rage and despair. They were dead, and I lived; their murderer also lived,
and to destroy him I must drag out my weary existence. I knelt on the grass
and kissed the earth and with quivering lips exclaimed, “By the
sacred earth on which I kneel, by the shades that wander near me, by the
deep and eternal grief that I feel, I swear; and by thee, O Night, and the
spirits that preside over thee, to pursue the dæmon who caused this misery,
until he or I shall perish in mortal conflict. For this purpose I will
preserve my life; to execute this dear revenge will I again behold the sun
and tread the green herbage of earth, which otherwise should vanish from my
eyes for ever. And I call on you, spirits of the dead, and on you, wandering
ministers of vengeance, to aid and conduct me in my work. Let the cursed
and hellish monster drink deep of agony; let him feel the despair that now
torments me.”

I had begun my adjuration with solemnity and an awe which almost assured me
that the shades of my murdered friends heard and approved my devotion, but
the furies possessed me as I concluded, and rage choked my utterance.

I was answered through the stillness of night by a loud and fiendish
laugh.  It rang on my ears long and heavily; the mountains re-echoed
it, and I felt as if all hell surrounded me with mockery and laughter.
Surely in that moment I should have been possessed by frenzy and have
destroyed my miserable existence but that my vow was heard and that I
was reserved for vengeance.  The laughter died away, when a well-known
and abhorred voice, apparently close to my ear, addressed me in an
audible whisper, “I am satisfied, miserable wretch!  You have
determined to live, and I am satisfied.”

I darted towards the spot from which the sound proceeded, but the devil
eluded my grasp.  Suddenly the broad disk of the moon arose and shone
full upon his ghastly and distorted shape as he fled with more than
mortal speed.

I pursued him, and for many months this has been my task.  Guided by a
slight clue, I followed the windings of the Rhone, but vainly.  The
blue Mediterranean appeared, and by a strange chance, I saw the fiend
enter by night and hide himself in a vessel bound for the Black Sea.  I
took my passage in the same ship, but he escaped, I know not how.

Amidst the wilds of Tartary and Russia, although he still evaded me, I
have ever followed in his track.  Sometimes the peasants, scared by
this horrid apparition, informed me of his path; sometimes he himself,
who feared that if I lost all trace of him I should despair and die,
left some mark to guide me.  The snows descended on my head, and I saw
the print of his huge step on the white plain.  To you first entering
on life, to whom care is new and agony unknown, how can you understand
what I have felt and still feel?  Cold, want, and fatigue were the
least pains which I was destined to endure; I was cursed by some devil
and carried about with me my eternal hell; yet still a spirit of good
followed and directed my steps and when I most murmured would suddenly
extricate me from seemingly insurmountable difficulties.  Sometimes,
when nature, overcome by hunger, sank under the exhaustion, a repast
was prepared for me in the desert that restored and inspirited me.  The
fare was, indeed, coarse, such as the peasants of the country ate, but
I will not doubt that it was set there by the spirits that I had
invoked to aid me.  Often, when all was dry, the heavens cloudless, and
I was parched by thirst, a slight cloud would bedim the sky, shed the
few drops that revived me, and vanish.

I followed, when I could, the courses of the rivers; but the dæmon
generally avoided these, as it was here that the population of the
country chiefly collected.  In other places human beings were seldom
seen, and I generally subsisted on the wild animals that crossed my
path.  I had money with me and gained the friendship of the villagers
by distributing it; or I brought with me some food that I had killed,
which, after taking a small part, I always presented to those who had
provided me with fire and utensils for cooking.

My life, as it passed thus, was indeed hateful to me, and it was during
sleep alone that I could taste joy. O blessed sleep! Often, when most
miserable, I sank to repose, and my dreams lulled me even to rapture. The
spirits that guarded me had provided these moments, or rather hours, of
happiness that I might retain strength to fulfil my pilgrimage. Deprived of
this respite, I should have sunk under my hardships. During the day I was
sustained and inspirited by the hope of night, for in sleep I saw my
friends, my wife, and my beloved country; again I saw the benevolent
countenance of my father, heard the silver tones of my Elizabeth’s
voice, and beheld Clerval enjoying health and youth. Often, when wearied by
a toilsome march, I persuaded myself that I was dreaming until night should
come and that I should then enjoy reality in the arms of my dearest
friends. What agonising fondness did I feel for them! How did I cling to
their dear forms, as sometimes they haunted even my waking hours, and
persuade myself that they still lived! At such moments vengeance, that
burned within me, died in my heart, and I pursued my path towards the
destruction of the dæmon more as a task enjoined by heaven, as the
mechanical impulse of some power of which I was unconscious, than as the
ardent desire of my soul.

What his feelings were whom I pursued I cannot know. Sometimes, indeed, he
left marks in writing on the barks of the trees or cut in stone that guided
me and instigated my fury. “My reign is not yet
over”—these words were legible in one of these
inscriptions—“you live, and my power is complete. Follow me; I
seek the everlasting ices of the north, where you will feel the misery of
cold and frost, to which I am impassive. You will find near this place, if
you follow not too tardily, a dead hare; eat and be refreshed. Come on, my
enemy; we have yet to wrestle for our lives, but many hard and miserable
hours must you endure until that period shall arrive.”

Scoffing devil!  Again do I vow vengeance; again do I devote thee,
miserable fiend, to torture and death.  Never will I give up my search
until he or I perish; and then with what ecstasy shall I join my
Elizabeth and my departed friends, who even now prepare for me the
reward of my tedious toil and horrible pilgrimage!

As I still pursued my journey to the northward, the snows thickened and the
cold increased in a degree almost too severe to support. The peasants were
shut up in their hovels, and only a few of the most hardy ventured forth to
seize the animals whom starvation had forced from their hiding-places to
seek for prey. The rivers were covered with ice, and no fish could be
procured; and thus I was cut off from my chief article of maintenance.

The triumph of my enemy increased with the difficulty of my labours. One
inscription that he left was in these words: “Prepare! Your toils
only begin; wrap yourself in furs and provide food, for we shall soon enter
upon a journey where your sufferings will satisfy my everlasting
hatred.”

My courage and perseverance were invigorated by these scoffing words; I
resolved not to fail in my purpose, and calling on Heaven to support
me, I continued with unabated fervour to traverse immense deserts,
until the ocean appeared at a distance and formed the utmost boundary
of the horizon.  Oh!  How unlike it was to the blue seasons of the
south!  Covered with ice, it was only to be distinguished from land by
its superior wildness and ruggedness.  The Greeks wept for joy when
they beheld the Mediterranean from the hills of Asia, and hailed with
rapture the boundary of their toils.  I did not weep, but I knelt down
and with a full heart thanked my guiding spirit for conducting me in
safety to the place where I hoped, notwithstanding my adversary’s gibe,
to meet and grapple with him.

Some weeks before this period I had procured a sledge and dogs and thus
traversed the snows with inconceivable speed.  I know not whether the
fiend possessed the same advantages, but I found that, as before I had
daily lost ground in the pursuit, I now gained on him, so much so that
when I first saw the ocean he was but one day’s journey in advance, and
I hoped to intercept him before he should reach the beach.  With new
courage, therefore, I pressed on, and in two days arrived at a wretched
hamlet on the seashore.  I inquired of the inhabitants concerning the
fiend and gained accurate information.  A gigantic monster, they said,
had arrived the night before, armed with a gun and many pistols,
putting to flight the inhabitants of a solitary cottage through fear of
his terrific appearance.  He had carried off their store of winter
food, and placing it in a sledge, to draw which he had seized on a
numerous drove of trained dogs, he had harnessed them, and the same
night, to the joy of the horror-struck villagers, had pursued his
journey across the sea in a direction that led to no land; and they
conjectured that he must speedily be destroyed by the breaking of the
ice or frozen by the eternal  frosts.

On hearing this information I suffered a temporary access of despair.
He had escaped me, and I must commence a destructive and almost endless
journey across the mountainous ices of the ocean, amidst cold that few
of the inhabitants could long endure and which I, the native of a
genial and sunny climate, could not hope to survive.  Yet at the idea
that the fiend should live and be triumphant, my rage and vengeance
returned, and like a mighty tide, overwhelmed every other feeling.
After a slight repose, during which the spirits of the dead hovered
round and instigated me to toil and revenge, I prepared for my journey.

I exchanged my land-sledge for one fashioned for the inequalities of
the Frozen Ocean, and purchasing a plentiful stock of provisions, I
departed from land.

I cannot guess how many days have passed since then, but I have endured
misery which nothing but the eternal sentiment of a just retribution
burning within my heart could have enabled me to support.  Immense and
rugged mountains of ice often barred up my passage, and I often heard
the thunder of the ground sea, which threatened my destruction.  But
again the frost came and made the paths of the sea secure.

By the quantity of provision which I had consumed, I should guess that
I had passed three weeks in this journey; and the continual protraction
of hope, returning back upon the heart, often wrung bitter drops of
despondency and grief from my eyes.  Despair had indeed almost secured
her prey, and I should soon have sunk beneath this misery.  Once, after
the poor animals that conveyed me had with incredible toil gained the
summit of a sloping ice mountain, and one, sinking under his fatigue,
died, I viewed the expanse before me with anguish, when suddenly my eye
caught a dark speck upon the dusky plain.  I strained my sight to
discover what it could be and uttered a wild cry of ecstasy when I
distinguished a sledge and the distorted proportions of a well-known
form within.  Oh!  With what a burning gush did hope revisit my heart!
Warm tears filled my eyes, which I hastily wiped away, that they might
not intercept the view I had of the dæmon; but still my sight was
dimmed by the burning drops, until, giving way to the emotions that
oppressed me, I wept aloud.

But this was not the time for delay; I disencumbered the dogs of their
dead companion, gave them a plentiful portion of food, and after an
hour’s rest, which was absolutely necessary, and yet which was bitterly
irksome to me, I continued my route.  The sledge was still visible, nor
did I again lose sight of it except at the moments when for a short
time some ice-rock concealed it with its intervening crags.  I indeed
perceptibly gained on it, and when, after nearly two days’ journey, I
beheld my enemy at no more than a mile distant, my heart bounded within
me.

But now, when I appeared almost within grasp of my foe, my hopes were
suddenly extinguished, and I lost all trace of him more utterly than I had
ever done before. A ground sea was heard; the thunder of its progress, as
the waters rolled and swelled beneath me, became every moment more ominous
and terrific. I pressed on, but in vain. The wind arose; the sea roared;
and, as with the mighty shock of an earthquake, it split and cracked with a
tremendous and overwhelming sound. The work was soon finished; in a few
minutes a tumultuous sea rolled between me and my enemy, and I was left
drifting on a scattered piece of ice that was continually lessening and
thus preparing for me a hideous death.

In this manner many appalling hours passed; several of my dogs died, and I
myself was about to sink under the accumulation of distress when I saw your
vessel riding at anchor and holding forth to me hopes of succour and life.
I had no conception that vessels ever came so far north and was astounded
at the sight. I quickly destroyed part of my sledge to construct oars, and
by these means was enabled, with infinite fatigue, to move my ice raft in
the direction of your ship. I had determined, if you were going southwards,
still to trust myself to the mercy of the seas rather than abandon my
purpose. I hoped to induce you to grant me a boat with which I could pursue
my enemy. But your direction was northwards. You took me on board when my
vigour was exhausted, and I should soon have sunk under my multiplied
hardships into a death which I still dread, for my task is unfulfilled.

Oh!  When will my guiding spirit, in conducting me to the dæmon, allow
me the rest I so much desire; or must I die, and he yet live?  If I do,
swear to me, Walton, that he shall not escape, that you will seek him
and satisfy my vengeance in his death.  And do I dare to ask of you to
undertake my pilgrimage, to endure the hardships that I have undergone?
No; I am not so selfish.  Yet, when I am dead, if he should appear, if
the ministers of vengeance should conduct him to you, swear that he
shall not live—swear that he shall not triumph over my accumulated
woes and survive to add to the list of his dark crimes.  He is eloquent
and persuasive, and once his words had even power over my heart; but
trust him not.  His soul is as hellish as his form, full of treachery
and fiend-like malice.  Hear him not; call on the names of William,
Justine, Clerval, Elizabeth, my father, and of the wretched Victor, and
thrust your sword into his heart.  I will hover near and direct the
steel aright.

Walton, _in continuation._


August 26th, 17—.


You have read this strange and terrific story, Margaret; and do you not
feel your blood congeal with horror, like that which even now curdles
mine?  Sometimes, seized with sudden agony, he could not continue his
tale; at others, his voice broken, yet piercing, uttered with
difficulty the words so replete with anguish.  His fine and lovely eyes
were now lighted up with indignation, now subdued to downcast sorrow
and quenched in infinite wretchedness.  Sometimes he commanded his
countenance and tones and related the most horrible incidents with a
tranquil voice, suppressing every mark of agitation; then, like a
volcano bursting forth, his face would suddenly change to an expression
of the wildest rage as he shrieked out imprecations on his persecutor.

His tale is connected and told with an appearance of the simplest truth,
yet I own to you that the letters of Felix and Safie, which he showed me,
and the apparition of the monster seen from our ship, brought to me a
greater conviction of the truth of his narrative than his asseverations,
however earnest and connected. Such a monster has, then, really existence!
I cannot doubt it, yet I am lost in surprise and admiration. Sometimes I
endeavoured to gain from Frankenstein the particulars of his
creature’s formation, but on this point he was impenetrable.

“Are you mad, my friend?” said he. “Or whither does your
senseless curiosity lead you? Would you also create for yourself and the
world a demoniacal enemy? Peace, peace! Learn my miseries and do not seek
to increase your own.”

Frankenstein discovered that I made notes concerning his history; he asked
to see them and then himself corrected and augmented them in many places,
but principally in giving the life and spirit to the conversations he held
with his enemy. “Since you have preserved my narration,” said
he, “I would not that a mutilated one should go down to
posterity.”

Thus has a week passed away, while I have listened to the strangest
tale that ever imagination formed.  My thoughts and every feeling of my
soul have been drunk up by the interest for my guest which this tale
and his own elevated and gentle manners have created.  I wish to soothe
him, yet can I counsel one so infinitely miserable, so destitute of
every hope of consolation, to live?  Oh, no!  The only joy that he can
now know will be when he composes his shattered spirit to peace and
death.  Yet he enjoys one comfort, the offspring of solitude and
delirium; he believes that when in dreams he holds converse with his
friends and derives from that communion consolation for his miseries or
excitements to his vengeance, that they are not the creations of his
fancy, but the beings themselves who visit him from the regions of a
remote world.  This faith gives a solemnity to his reveries that render
them to me almost as imposing and interesting as truth.

Our conversations are not always confined to his own history and
misfortunes.  On every point of general literature he displays
unbounded knowledge and a quick and piercing apprehension.  His
eloquence is forcible and touching; nor can I hear him, when he relates
a pathetic incident or endeavours to move the passions of pity or love,
without tears.  What a glorious creature must he have been in the days
of his prosperity, when he is thus noble and godlike in ruin!  He seems
to feel his own worth and the greatness of his fall.

“When younger,” said he, “I believed myself destined for
some great enterprise. My feelings are profound, but I possessed a coolness
of judgment that fitted me for illustrious achievements. This sentiment of
the worth of my nature supported me when others would have been oppressed,
for I deemed it criminal to throw away in useless grief those talents that
might be useful to my fellow creatures. When I reflected on the work I had
completed, no less a one than the creation of a sensitive and rational
animal, I could not rank myself with the herd of common projectors. But
this thought, which supported me in the commencement of my career, now
serves only to plunge me lower in the dust. All my speculations and hopes
are as nothing, and like the archangel who aspired to omnipotence, I am
chained in an eternal hell. My imagination was vivid, yet my powers of
analysis and application were intense; by the union of these qualities I
conceived the idea and executed the creation of a man. Even now I cannot
recollect without passion my reveries while the work was incomplete. I trod
heaven in my thoughts, now exulting in my powers, now burning with the idea
of their effects. From my infancy I was imbued with high hopes and a lofty
ambition; but how am I sunk! Oh! My friend, if you had known me as I once
was, you would not recognise me in this state of degradation. Despondency
rarely visited my heart; a high destiny seemed to bear me on, until I fell,
never, never again to rise.”

Must I then lose this admirable being? I have longed for a friend; I have
sought one who would sympathise with and love me. Behold, on these desert
seas I have found such a one, but I fear I have gained him only to know his
value and lose him. I would reconcile him to life, but he repulses the idea.

“I thank you, Walton,” he said, “for your kind intentions towards so
miserable a wretch; but when you speak of new ties and fresh
affections, think you that any can replace those who are gone?  Can any
man be to me as Clerval was, or any woman another Elizabeth?  Even
where the affections are not strongly moved by any superior excellence,
the companions of our childhood always possess a certain power over our
minds which hardly any later friend can obtain.  They know our
infantine dispositions, which, however they may be afterwards modified,
are never eradicated; and they can judge of our actions with more
certain conclusions as to the integrity of our motives.  A sister or a
brother can never, unless indeed such symptoms have been shown early,
suspect the other of fraud or false dealing, when another friend,
however strongly he may be attached, may, in spite of himself, be
contemplated with suspicion.  But I enjoyed friends, dear not only
through habit and association, but from their own merits; and wherever
I am, the soothing voice of my Elizabeth and the conversation of
Clerval will be ever whispered in my ear. They are dead, and but one
feeling in such a solitude can persuade me to preserve my life.  If I
were engaged in any high undertaking or design, fraught with extensive
utility to my fellow creatures, then could I live to fulfil it.  But
such is not my destiny; I must pursue and destroy the being to whom I
gave existence; then my lot on earth will be fulfilled and I may die.”

My beloved Sister,

September 2d.


I write to you, encompassed by peril and ignorant whether I am ever
doomed to see again dear England and the dearer friends that inhabit
it.  I am surrounded by mountains of ice which admit of no escape and
threaten every moment to crush my vessel.  The brave fellows whom I
have persuaded to be my companions look towards me for aid, but I have
none to bestow.  There is something terribly appalling in our
situation, yet my courage and hopes do not desert me.  Yet it is
terrible to reflect that the lives of all these men are endangered
through me.  If we are lost, my mad schemes are the cause.

And what, Margaret, will be the state of your mind? You will not hear of my
destruction, and you will anxiously await my return. Years will pass, and
you will have visitings of despair and yet be tortured by hope. Oh! My
beloved sister, the sickening failing of your heart-felt expectations is,
in prospect, more terrible to me than my own death. But you have a husband
and lovely children; you may be happy. Heaven bless you and make you so!

My unfortunate guest regards me with the tenderest compassion.  He
endeavours to fill me with hope and talks as if life were a possession
which he valued.  He reminds me how often the same accidents have
happened to other navigators who have attempted this sea, and in spite
of myself, he fills me with cheerful auguries.  Even the sailors feel
the power of his eloquence; when he speaks, they no longer despair; he
rouses their energies, and while they hear his voice they believe these
vast mountains of ice are mole-hills which will vanish before the
resolutions of man.  These feelings are transitory; each day of
expectation delayed fills them with fear, and I almost dread a mutiny
caused by this despair.

September 5th.


A scene has just passed of such uncommon interest that, although it is
highly probable that these papers may never reach you, yet I cannot
forbear recording it.

We are still surrounded by mountains of ice, still in imminent danger
of being crushed in their conflict.  The cold is excessive, and many of
my unfortunate comrades have already found a grave amidst this scene of
desolation.  Frankenstein has daily declined in health; a feverish fire
still glimmers in his eyes, but he is exhausted, and when suddenly
roused to any exertion, he speedily sinks again into apparent
lifelessness.

I mentioned in my last letter the fears I entertained of a mutiny.
This morning, as I sat watching the wan countenance of my friend—his
eyes half closed and his limbs hanging listlessly—I was roused by half
a dozen of the sailors, who demanded admission into the cabin.  They
entered, and their leader addressed me.  He told me that he and his
companions had been chosen by the other sailors to come in deputation
to me to make me a requisition which, in justice, I could not refuse.
We were immured in ice and should probably never escape, but they
feared that if, as was possible, the ice should dissipate and a free
passage be opened, I should be rash enough to continue my voyage and
lead them into fresh dangers, after they might happily have surmounted
this.  They insisted, therefore, that I should engage with a solemn
promise that if the vessel should be freed I would instantly direct my
course southwards.

This speech troubled me.  I had not despaired, nor had I yet conceived
the idea of returning if set free.  Yet could I, in justice, or even in
possibility, refuse this demand?  I hesitated before I answered, when
Frankenstein, who had at first been silent, and indeed appeared hardly
to have force enough to attend, now roused himself; his eyes sparkled,
and his cheeks flushed with momentary vigour.  Turning towards the men,
he said,

“What do you mean? What do you demand of your captain? Are you, then,
so easily turned from your design? Did you not call this a glorious
expedition? “And wherefore was it glorious? Not because the way was
smooth and placid as a southern sea, but because it was full of dangers and
terror, because at every new incident your fortitude was to be called forth
and your courage exhibited, because danger and death surrounded it, and
these you were to brave and overcome. For this was it a glorious, for this
was it an honourable undertaking. You were hereafter to be hailed as the
benefactors of your species, your names adored as belonging to brave men
who encountered death for honour and the benefit of mankind. And now,
behold, with the first imagination of danger, or, if you will, the first
mighty and terrific trial of your courage, you shrink away and are content
to be handed down as men who had not strength enough to endure cold and
peril; and so, poor souls, they were chilly and returned to their warm
firesides. Why, that requires not this preparation; ye need not have come
thus far and dragged your captain to the shame of a defeat merely to prove
yourselves cowards. Oh! Be men, or be more than men. Be steady to your
purposes and firm as a rock. This ice is not made of such stuff as your
hearts may be; it is mutable and cannot withstand you if you say that it
shall not. Do not return to your families with the stigma of disgrace
marked on your brows. Return as heroes who have fought and conquered and
who know not what it is to turn their backs on the foe.”

He spoke this with a voice so modulated to the different feelings expressed
in his speech, with an eye so full of lofty design and heroism, that can
you wonder that these men were moved? They looked at one another and were
unable to reply. I spoke; I told them to retire and consider of what had
been said, that I would not lead them farther north if they strenuously
desired the contrary, but that I hoped that, with reflection, their courage
would return.

They retired and I turned towards my friend, but he was sunk in languor and
almost deprived of life.

How all this will terminate, I know not, but I had rather die than
return shamefully, my purpose unfulfilled.  Yet I fear such will be my
fate; the men, unsupported by ideas of glory and honour, can never
willingly continue to endure their present hardships.

September 7th.


The die is cast; I have consented to return if we are not destroyed.
Thus are my hopes blasted by cowardice and indecision; I come back
ignorant and disappointed.  It requires more philosophy than I possess
to bear this injustice with patience.

September 12th.


It is past; I am returning to England.  I have lost my hopes of utility
and glory; I have lost my friend.  But I will endeavour to detail these
bitter circumstances to you, my dear sister; and while I am wafted
towards England and towards you, I will not despond.

September 9th, the ice began to move, and roarings like thunder were heard
at a distance as the islands split and cracked in every direction. We were
in the most imminent peril, but as we could only remain passive, my chief
attention was occupied by my unfortunate guest whose illness increased in
such a degree that he was entirely confined to his bed. The ice cracked
behind us and was driven with force towards the north; a breeze sprang from
the west, and on the 11th the passage towards the south became perfectly
free. When the sailors saw this and that their return to their native
country was apparently assured, a shout of tumultuous joy broke from them,
loud and long-continued. Frankenstein, who was dozing, awoke and asked the
cause of the tumult. “They shout,” I said, “because they
will soon return to England.”

“Do you, then, really return?”

“Alas!  Yes; I cannot withstand their demands.  I cannot lead them
unwillingly to danger, and I must return.”

“Do so, if you will; but I will not.  You may give up your purpose, but
mine is assigned to me by Heaven, and I dare not.  I am weak, but
surely the spirits who assist my vengeance will endow me with
sufficient strength.”  Saying this, he endeavoured to spring from the
bed, but the exertion was too great for him; he fell back and fainted.

It was long before he was restored, and I often thought that life was
entirely extinct.  At length he opened his eyes; he breathed with
difficulty and was unable to speak.  The surgeon gave him a composing
draught and ordered us to leave him undisturbed. In the meantime he
told me that my friend had certainly not many hours to live.

His sentence was pronounced, and I could only grieve and be patient. I sat
by his bed, watching him; his eyes were closed, and I thought he slept; but
presently he called to me in a feeble voice, and bidding me come near,
said, “Alas! The strength I relied on is gone; I feel that I shall
soon die, and he, my enemy and persecutor, may still be in being. Think
not, Walton, that in the last moments of my existence I feel that burning
hatred and ardent desire of revenge I once expressed; but I feel myself
justified in desiring the death of my adversary. During these last days I
have been occupied in examining my past conduct; nor do I find it blamable.
In a fit of enthusiastic madness I created a rational creature and was
bound towards him to assure, as far as was in my power, his happiness and
well-being. This was my duty, but there was another still paramount to
that. My duties towards the beings of my own species had greater claims to
my attention because they included a greater proportion of happiness or
misery. Urged by this view, I refused, and I did right in refusing, to
create a companion for the first creature. He showed unparalleled malignity
and selfishness in evil; he destroyed my friends; he devoted to destruction
beings who possessed exquisite sensations, happiness, and wisdom; nor do I
know where this thirst for vengeance may end. Miserable himself that he may
render no other wretched, he ought to die. The task of his destruction was
mine, but I have failed. When actuated by selfish and vicious motives, I
asked you to undertake my unfinished work, and I renew this request now,
when I am only induced by reason and virtue.

“Yet I cannot ask you to renounce your country and friends to fulfil
this task; and now that you are returning to England, you will have
little chance of meeting with him.  But the consideration of these
points, and the well balancing of what you may esteem your duties, I
leave to you; my judgment and ideas are already disturbed by the near
approach of death.  I dare not ask you to do what I think right, for I
may still be misled by passion.

“That he should live to be an instrument of mischief disturbs me; in
other respects, this hour, when I momentarily expect my release, is the
only happy one which I have enjoyed for several years.  The forms of
the beloved dead flit before me, and I hasten to their arms.  Farewell,
Walton!  Seek happiness in tranquillity and avoid ambition, even if it
be only the apparently innocent one of distinguishing yourself in
science and discoveries.  Yet why do I say this?  I have myself been
blasted in these hopes, yet another may succeed.”

His voice became fainter as he spoke, and at length, exhausted by his
effort, he sank into silence.  About half an hour afterwards he
attempted again to speak but was unable; he pressed my hand feebly, and
his eyes closed for ever, while the irradiation of a gentle smile passed
away from his lips.

Margaret, what comment can I make on the untimely extinction of this
glorious spirit?  What can I say that will enable you to understand the
depth of my sorrow?  All that I should express would be inadequate and
feeble.  My tears flow; my mind is overshadowed by a cloud of
disappointment.  But I journey towards England, and I may there find
consolation.

I am interrupted.  What do these sounds portend?  It is midnight; the
breeze blows fairly, and the watch on deck scarcely stir.  Again there
is a sound as of a human voice, but hoarser; it comes from the cabin
where the remains of Frankenstein still lie.  I must arise and examine.
Good night, my sister.

Great God! what a scene has just taken place! I am yet dizzy with the
remembrance of it. I hardly know whether I shall have the power to detail
it; yet the tale which I have recorded would be incomplete without this
final and wonderful catastrophe.

I entered the cabin where lay the remains of my ill-fated and admirable
friend. Over him hung a form which I cannot find words to
describe—gigantic in stature, yet uncouth and distorted in its
proportions. As he hung over the coffin, his face was concealed by long
locks of ragged hair; but one vast hand was extended, in colour and
apparent texture like that of a mummy. When he heard the sound of my
approach, he ceased to utter exclamations of grief and horror and sprung
towards the window. Never did I behold a vision so horrible as his face, of
such loathsome yet appalling hideousness. I shut my eyes involuntarily and
endeavoured to recollect what were my duties with regard to this destroyer.
I called on him to stay.

He paused, looking on me with wonder, and again turning towards the
lifeless form of his creator, he seemed to forget my presence, and
every feature and gesture seemed instigated by the wildest rage of some
uncontrollable passion.

“That is also my victim!” he exclaimed. “In his murder my
crimes are consummated; the miserable series of my being is wound to its
close! Oh, Frankenstein! Generous and self-devoted being! What does it
avail that I now ask thee to pardon me? I, who irretrievably destroyed thee
by destroying all thou lovedst. Alas! He is cold, he cannot answer
me.”

His voice seemed suffocated, and my first impulses, which had suggested to
me the duty of obeying the dying request of my friend in destroying his
enemy, were now suspended by a mixture of curiosity and compassion. I
approached this tremendous being; I dared not again raise my eyes to his
face, there was something so scaring and unearthly in his ugliness. I
attempted to speak, but the words died away on my lips. The monster
continued to utter wild and incoherent self-reproaches. At length I
gathered resolution to address him in a pause of the tempest of his passion.

“Your repentance,” I said, “is now superfluous. If you
had listened to the voice of conscience and heeded the stings of remorse
before you had urged your diabolical vengeance to this extremity,
Frankenstein would yet have lived.”

“And do you dream?” said the dæmon.  “Do you think that I was then
dead to agony and remorse?  He,” he continued, pointing to the corpse,
“he suffered not in the consummation of the deed. Oh!  Not the
ten-thousandth portion of the anguish that was mine during the
lingering detail of its execution.  A frightful selfishness hurried me
on, while my heart was poisoned with remorse.  Think you that the
groans of Clerval were music to my ears?  My heart was fashioned to be
susceptible of love and sympathy, and when wrenched by misery to vice
and hatred, it did not endure the violence of the change without
torture such as you cannot even imagine.

“After the murder of Clerval I returned to Switzerland, heart-broken
and overcome.  I pitied Frankenstein; my pity amounted to horror; I
abhorred myself.  But when I discovered that he, the author at once of
my existence and of its unspeakable torments, dared to hope for
happiness, that while he accumulated wretchedness and despair upon me
he sought his own enjoyment in feelings and passions from the
indulgence of which I was for ever barred, then impotent envy and bitter
indignation filled me with an insatiable thirst for vengeance.  I
recollected my threat and resolved that it should be accomplished.  I
knew that I was preparing for myself a deadly torture, but I was the
slave, not the master, of an impulse which I detested yet could not
disobey.  Yet when she died!  Nay, then I was not miserable.  I had
cast off all feeling, subdued all anguish, to riot in the excess of my
despair.  Evil thenceforth became my good.  Urged thus far, I had no
choice but to adapt my nature to an element which I had willingly
chosen.  The completion of my demoniacal design became an insatiable
passion.  And now it is ended; there is my last victim!”

I was at first touched by the expressions of his misery; yet, when I called
to mind what Frankenstein had said of his powers of eloquence and
persuasion, and when I again cast my eyes on the lifeless form of my
friend, indignation was rekindled within me. “Wretch!” I said.
“It is well that you come here to whine over the desolation that you
have made. You throw a torch into a pile of buildings, and when they are
consumed, you sit among the ruins and lament the fall. Hypocritical fiend!
If he whom you mourn still lived, still would he be the object, again would
he become the prey, of your accursed vengeance. It is not pity that you
feel; you lament only because the victim of your malignity is withdrawn
from your power.”

“Oh, it is not thus—not thus,” interrupted the being.
“Yet such must be the impression conveyed to you by what appears to
be the purport of my actions. Yet I seek not a fellow feeling in my misery.
No sympathy may I ever find. When I first sought it, it was the love of
virtue, the feelings of happiness and affection with which my whole being
overflowed, that I wished to be participated. But now that virtue has
become to me a shadow, and that happiness and affection are turned into
bitter and loathing despair, in what should I seek for sympathy? I am
content to suffer alone while my sufferings shall endure; when I die, I am
well satisfied that abhorrence and opprobrium should load my memory. Once
my fancy was soothed with dreams of virtue, of fame, and of enjoyment. Once
I falsely hoped to meet with beings who, pardoning my outward form, would
love me for the excellent qualities which I was capable of unfolding. I was
nourished with high thoughts of honour and devotion. But now crime has
degraded me beneath the meanest animal. No guilt, no mischief, no
malignity, no misery, can be found comparable to mine. When I run over the
frightful catalogue of my sins, I cannot believe that I am the same
creature whose thoughts were once filled with sublime and transcendent
visions of the beauty and the majesty of goodness. But it is even so; the
fallen angel becomes a malignant devil. Yet even that enemy of God and man
had friends and associates in his desolation; I am alone.

“You, who call Frankenstein your friend, seem to have a knowledge of my
crimes and his misfortunes. But in the detail which he gave you of them
he could not sum up the hours and months of misery which I endured
wasting in impotent passions. For while I destroyed his hopes, I did
not satisfy my own desires. They were for ever ardent and craving; still
I desired love and fellowship, and I was still spurned.  Was there no
injustice in this? Am I to be thought the only criminal, when all
humankind sinned against me? Why do you not hate Felix, who drove his
friend from his door with contumely? Why do you not execrate the rustic
who sought to destroy the saviour of his child? Nay, these are virtuous
and immaculate beings! I, the miserable and the abandoned, am an
abortion, to be spurned at, and kicked, and trampled on. Even now my
blood boils at the recollection of this injustice.

“But it is true that I am a wretch. I have murdered the lovely and
the helpless; I have strangled the innocent as they slept and grasped to
death his throat who never injured me or any other living thing. I have
devoted my creator, the select specimen of all that is worthy of love and
admiration among men, to misery; I have pursued him even to that
irremediable ruin. There he lies, white and cold in death. You hate me, but
your abhorrence cannot equal that with which I regard myself. I look on the
hands which executed the deed; I think on the heart in which the
imagination of it was conceived and long for the moment when these hands
will meet my eyes, when that imagination will haunt my thoughts no more.

“Fear not that I shall be the instrument of future mischief. My work
is nearly complete. Neither yours nor any man’s death is needed to
consummate the series of my being and accomplish that which must be done,
but it requires my own. Do not think that I shall be slow to perform this
sacrifice. I shall quit your vessel on the ice raft which brought me
thither and shall seek the most northern extremity of the globe; I shall
collect my funeral pile and consume to ashes this miserable frame, that its
remains may afford no light to any curious and unhallowed wretch who would
create such another as I have been. I shall die. I shall no longer feel the
agonies which now consume me or be the prey of feelings unsatisfied, yet
unquenched. He is dead who called me into being; and when I shall be no
more, the very remembrance of us both will speedily vanish. I shall no
longer see the sun or stars or feel the winds play on my cheeks. Light,
feeling, and sense will pass away; and in this condition must I find my
happiness. Some years ago, when the images which this world affords first
opened upon me, when I felt the cheering warmth of summer and heard the
rustling of the leaves and the warbling of the birds, and these were all to
me, I should have wept to die; now it is my only consolation. Polluted by
crimes and torn by the bitterest remorse, where can I find rest but in
death?

“Farewell!  I leave you, and in you the last of humankind whom these
eyes will ever behold. Farewell, Frankenstein! If thou wert yet alive
and yet cherished a desire of revenge against me, it would be better
satiated in my life than in my destruction. But it was not so; thou
didst seek my extinction, that I might not cause greater wretchedness;
and if yet, in some mode unknown to me, thou hadst not ceased to think
and feel, thou wouldst not desire against me a vengeance greater than
that which I feel. Blasted as thou wert, my agony was still superior to
thine, for the bitter sting of remorse will not cease to rankle in my
wounds until death shall close them for ever.

“But soon,” he cried with sad and solemn enthusiasm, “I
shall die, and what I now feel be no longer felt. Soon these burning
miseries will be extinct. I shall ascend my funeral pile triumphantly and
exult in the agony of the torturing flames. The light of that conflagration
will fade away; my ashes will be swept into the sea by the winds. My spirit
will sleep in peace, or if it thinks, it will not surely think thus.
Farewell.”

He sprang from the cabin-window as he said this, upon the ice raft
which lay close to the vessel.  He was soon borne away by the waves and
lost in darkness and distance.




End of the Project Gutenberg EBook of Frankenstein, by
Mary Wollstonecraft (Godwin) Shelley

*** END OF THIS PROJECT GUTENBERG EBOOK FRANKENSTEIN ***

***** This file should be named 84-0.txt or 84-0.zip *****
This and all associated files of various formats will be found in:
        http://www.gutenberg.org/8/84/

Produced by Judith Boss, Christy Phillips, Lynn Hanninen,
and David Meltzer. HTML version by Al Haines.
Further corrections by Menno de Leeuw.


Updated editions will replace the previous one--the old editions
will be renamed.

Creating the works from public domain print editions means that no
one owns a United States copyright in these works, so the Foundation
(and you!) can copy and distribute it in the United States without
permission and without paying copyright royalties.  Special rules,
set forth in the General Terms of Use part of this license, apply to
copying and distributing Project Gutenberg-tm electronic works to
protect the PROJECT GUTENBERG-tm concept and trademark.  Project
Gutenberg is a registered trademark, and may not be used if you
charge for the eBooks, unless you receive specific permission.  If you
do not charge anything for copies of this eBook, complying with the
rules is very easy.  You may use this eBook for nearly any purpose
such as creation of derivative works, reports, performances and
research.  They may be modified and printed and given away--you may do
practically ANYTHING with public domain eBooks.  Redistribution is
subject to the trademark license, especially commercial
redistribution.



*** START: FULL LICENSE ***

THE FULL PROJECT GUTENBERG LICENSE
PLEASE READ THIS BEFORE YOU DISTRIBUTE OR USE THIS WORK

To protect the Project Gutenberg-tm mission of promoting the free
distribution of electronic works, by using or distributing this work
(or any other work associated in any way with the phrase "Project
Gutenberg"), you agree to comply with all the terms of the Full Project
Gutenberg-tm License (available with this file or online at
http://gutenberg.net/license).


Section 1.  General Terms of Use and Redistributing Project Gutenberg-tm
electronic works

1.A.  By reading or using any part of this Project Gutenberg-tm
electronic work, you indicate that you have read, understand, agree to
and accept all the terms of this license and intellectual property
(trademark/copyright) agreement.  If you do not agree to abide by all
the terms of this agreement, you must cease using and return or destroy
all copies of Project Gutenberg-tm electronic works in your possession.
If you paid a fee for obtaining a copy of or access to a Project
Gutenberg-tm electronic work and you do not agree to be bound by the
terms of this agreement, you may obtain a refund from the person or
entity to whom you paid the fee as set forth in paragraph 1.E.8.

1.B.  "Project Gutenberg" is a registered trademark.  It may only be
used on or associated in any way with an electronic work by people who
agree to be bound by the terms of this agreement.  There are a few
things that you can do with most Project Gutenberg-tm electronic works
even without complying with the full terms of this agreement.  See
paragraph 1.C below.  There are a lot of things you can do with Project
Gutenberg-tm electronic works if you follow the terms of this agreement
and help preserve free future access to Project Gutenberg-tm electronic
works.  See paragraph 1.E below.

1.C.  The Project Gutenberg Literary Archive Foundation ("the Foundation"
or PGLAF), owns a compilation copyright in the collection of Project
Gutenberg-tm electronic works.  Nearly all the individual works in the
collection are in the public domain in the United States.  If an
individual work is in the public domain in the United States and you are
located in the United States, we do not claim a right to prevent you from
copying, distributing, performing, displaying or creating derivative
works based on the work as long as all references to Project Gutenberg
are removed.  Of course, we hope that you will support the Project
Gutenberg-tm mission of promoting free access to electronic works by
freely sharing Project Gutenberg-tm works in compliance with the terms of
this agreement for keeping the Project Gutenberg-tm name associated with
the work.  You can easily comply with the terms of this agreement by
keeping this work in the same format with its attached full Project
Gutenberg-tm License when you share it without charge with others.

1.D.  The copyright laws of the place where you are located also govern
what you can do with this work.  Copyright laws in most countries are in
a constant state of change.  If you are outside the United States, check
the laws of your country in addition to the terms of this agreement
before downloading, copying, displaying, performing, distributing or
creating derivative works based on this work or any other Project
Gutenberg-tm work.  The Foundation makes no representations concerning
the copyright status of any work in any country outside the United
States.

1.E.  Unless you have removed all references to Project Gutenberg:

1.E.1.  The following sentence, with active links to, or other immediate
access to, the full Project Gutenberg-tm License must appear prominently
whenever any copy of a Project Gutenberg-tm work (any work on which the
phrase "Project Gutenberg" appears, or with which the phrase "Project
Gutenberg" is associated) is accessed, displayed, performed, viewed,
copied or distributed:

This eBook is for the use of anyone anywhere at no cost and with
almost no restrictions whatsoever.  You may copy it, give it away or
re-use it under the terms of the Project Gutenberg License included
with this eBook or online at www.gutenberg.net

1.E.2.  If an individual Project Gutenberg-tm electronic work is derived
from the public domain (does not contain a notice indicating that it is
posted with permission of the copyright holder), the work can be copied
and distributed to anyone in the United States without paying any fees
or charges.  If you are redistributing or providing access to a work
with the phrase "Project Gutenberg" associated with or appearing on the
work, you must comply either with the requirements of paragraphs 1.E.1
through 1.E.7 or obtain permission for the use of the work and the
Project Gutenberg-tm trademark as set forth in paragraphs 1.E.8 or
1.E.9.

1.E.3.  If an individual Project Gutenberg-tm electronic work is posted
with the permission of the copyright holder, your use and distribution
must comply with both paragraphs 1.E.1 through 1.E.7 and any additional
terms imposed by the copyright holder.  Additional terms will be linked
to the Project Gutenberg-tm License for all works posted with the
permission of the copyright holder found at the beginning of this work.

1.E.4.  Do not unlink or detach or remove the full Project Gutenberg-tm
License terms from this work, or any files containing a part of this
work or any other work associated with Project Gutenberg-tm.

1.E.5.  Do not copy, display, perform, distribute or redistribute this
electronic work, or any part of this electronic work, without
prominently displaying the sentence set forth in paragraph 1.E.1 with
active links or immediate access to the full terms of the Project
Gutenberg-tm License.

1.E.6.  You may convert to and distribute this work in any binary,
compressed, marked up, nonproprietary or proprietary form, including any
word processing or hypertext form.  However, if you provide access to or
distribute copies of a Project Gutenberg-tm work in a format other than
"Plain Vanilla ASCII" or other format used in the official version
posted on the official Project Gutenberg-tm web site (www.gutenberg.net),
you must, at no additional cost, fee or expense to the user, provide a
copy, a means of exporting a copy, or a means of obtaining a copy upon
request, of the work in its original "Plain Vanilla ASCII" or other
form.  Any alternate format must include the full Project Gutenberg-tm
License as specified in paragraph 1.E.1.

1.E.7.  Do not charge a fee for access to, viewing, displaying,
performing, copying or distributing any Project Gutenberg-tm works
unless you comply with paragraph 1.E.8 or 1.E.9.

1.E.8.  You may charge a reasonable fee for copies of or providing
access to or distributing Project Gutenberg-tm electronic works provided
that

- You pay a royalty fee of 20% of the gross profits you derive from
     the use of Project Gutenberg-tm works calculated using the method
     you already use to calculate your applicable taxes.  The fee is
     owed to the owner of the Project Gutenberg-tm trademark, but he
     has agreed to donate royalties under this paragraph to the
     Project Gutenberg Literary Archive Foundation.  Royalty payments
     must be paid within 60 days following each date on which you
     prepare (or are legally required to prepare) your periodic tax
     returns.  Royalty payments should be clearly marked as such and
     sent to the Project Gutenberg Literary Archive Foundation at the
     address specified in Section 4, "Information about donations to
     the Project Gutenberg Literary Archive Foundation."

- You provide a full refund of any money paid by a user who notifies
     you in writing (or by e-mail) within 30 days of receipt that s/he
     does not agree to the terms of the full Project Gutenberg-tm
     License.  You must require such a user to return or
     destroy all copies of the works possessed in a physical medium
     and discontinue all use of and all access to other copies of
     Project Gutenberg-tm works.

- You provide, in accordance with paragraph 1.F.3, a full refund of any
     money paid for a work or a replacement copy, if a defect in the
     electronic work is discovered and reported to you within 90 days
     of receipt of the work.

- You comply with all other terms of this agreement for free
     distribution of Project Gutenberg-tm works.

1.E.9.  If you wish to charge a fee or distribute a Project Gutenberg-tm
electronic work or group of works on different terms than are set
forth in this agreement, you must obtain permission in writing from
both the Project Gutenberg Literary Archive Foundation and Michael
Hart, the owner of the Project Gutenberg-tm trademark.  Contact the
Foundation as set forth in Section 3 below.

1.F.

1.F.1.  Project Gutenberg volunteers and employees expend considerable
effort to identify, do copyright research on, transcribe and proofread
public domain works in creating the Project Gutenberg-tm
collection.  Despite these efforts, Project Gutenberg-tm electronic
works, and the medium on which they may be stored, may contain
"Defects," such as, but not limited to, incomplete, inaccurate or
corrupt data, transcription errors, a copyright or other intellectual
property infringement, a defective or damaged disk or other medium, a
computer virus, or computer codes that damage or cannot be read by
your equipment.

1.F.2.  LIMITED WARRANTY, DISCLAIMER OF DAMAGES - Except for the "Right
of Replacement or Refund" described in paragraph 1.F.3, the Project
Gutenberg Literary Archive Foundation, the owner of the Project
Gutenberg-tm trademark, and any other party distributing a Project
Gutenberg-tm electronic work under this agreement, disclaim all
liability to you for damages, costs and expenses, including legal
fees.  YOU AGREE THAT YOU HAVE NO REMEDIES FOR NEGLIGENCE, STRICT
LIABILITY, BREACH OF WARRANTY OR BREACH OF CONTRACT EXCEPT THOSE
PROVIDED IN PARAGRAPH F3.  YOU AGREE THAT THE FOUNDATION, THE
TRADEMARK OWNER, AND ANY DISTRIBUTOR UNDER THIS AGREEMENT WILL NOT BE
LIABLE TO YOU FOR ACTUAL, DIRECT, INDIRECT, CONSEQUENTIAL, PUNITIVE OR
INCIDENTAL DAMAGES EVEN IF YOU GIVE NOTICE OF THE POSSIBILITY OF SUCH
DAMAGE.

1.F.3.  LIMITED RIGHT OF REPLACEMENT OR REFUND - If you discover a
defect in this electronic work within 90 days of receiving it, you can
receive a refund of the money (if any) you paid for it by sending a
written explanation to the person you received the work from.  If you
received the work on a physical medium, you must return the medium with
your written explanation.  The person or entity that provided you with
the defective work may elect to provide a replacement copy in lieu of a
refund.  If you received the work electronically, the person or entity
providing it to you may choose to give you a second opportunity to
receive the work electronically in lieu of a refund.  If the second copy
is also defective, you may demand a refund in writing without further
opportunities to fix the problem.

1.F.4.  Except for the limited right of replacement or refund set forth
in paragraph 1.F.3, this work is provided to you 'AS-IS' WITH NO OTHER
WARRANTIES OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO
WARRANTIES OF MERCHANTIBILITY OR FITNESS FOR ANY PURPOSE.

1.F.5.  Some states do not allow disclaimers of certain implied
warranties or the exclusion or limitation of certain types of damages.
If any disclaimer or limitation set forth in this agreement violates the
law of the state applicable to this agreement, the agreement shall be
interpreted to make the maximum disclaimer or limitation permitted by
the applicable state law.  The invalidity or unenforceability of any
provision of this agreement shall not void the remaining provisions.

1.F.6.  INDEMNITY - You agree to indemnify and hold the Foundation, the
trademark owner, any agent or employee of the Foundation, anyone
providing copies of Project Gutenberg-tm electronic works in accordance
with this agreement, and any volunteers associated with the production,
promotion and distribution of Project Gutenberg-tm electronic works,
harmless from all liability, costs and expenses, including legal fees,
that arise directly or indirectly from any of the following which you do
or cause to occur: (a) distribution of this or any Project Gutenberg-tm
work, (b) alteration, modification, or additions or deletions to any
Project Gutenberg-tm work, and (c) any Defect you cause.


Section  2.  Information about the Mission of Project Gutenberg-tm

Project Gutenberg-tm is synonymous with the free distribution of
electronic works in formats readable by the widest variety of computers
including obsolete, old, middle-aged and new computers.  It exists
because of the efforts of hundreds of volunteers and donations from
people in all walks of life.

Volunteers and financial support to provide volunteers with the
assistance they need, is critical to reaching Project Gutenberg-tm's
goals and ensuring that the Project Gutenberg-tm collection will
remain freely available for generations to come.  In 2001, the Project
Gutenberg Literary Archive Foundation was created to provide a secure
and permanent future for Project Gutenberg-tm and future generations.
To learn more about the Project Gutenberg Literary Archive Foundation
and how your efforts and donations can help, see Sections 3 and 4
and the Foundation web page at http://www.pglaf.org.


Section 3.  Information about the Project Gutenberg Literary Archive
Foundation

The Project Gutenberg Literary Archive Foundation is a non profit
501(c)(3) educational corporation organized under the laws of the
state of Mississippi and granted tax exempt status by the Internal
Revenue Service.  The Foundation's EIN or federal tax identification
number is 64-6221541.  Its 501(c)(3) letter is posted at
http://pglaf.org/fundraising.  Contributions to the Project Gutenberg
Literary Archive Foundation are tax deductible to the full extent
permitted by U.S. federal laws and your state's laws.

The Foundation's principal office is located at 4557 Melan Dr. S.
Fairbanks, AK, 99712., but its volunteers and employees are scattered
throughout numerous locations.  Its business office is located at
809 North 1500 West, Salt Lake City, UT 84116, (801) 596-1887, email
business@pglaf.org.  Email contact links and up to date contact
information can be found at the Foundation's web site and official
page at http://pglaf.org

For additional contact information:
     Dr. Gregory B. Newby
     Chief Executive and Director
     gbnewby@pglaf.org


Section 4.  Information about Donations to the Project Gutenberg
Literary Archive Foundation

Project Gutenberg-tm depends upon and cannot survive without wide
spread public support and donations to carry out its mission of
increasing the number of public domain and licensed works that can be
freely distributed in machine readable form accessible by the widest
array of equipment including outdated equipment.  Many small donations
($1 to $5,000) are particularly important to maintaining tax exempt
status with the IRS.

The Foundation is committed to complying with the laws regulating
charities and charitable donations in all 50 states of the United
States.  Compliance requirements are not uniform and it takes a
considerable effort, much paperwork and many fees to meet and keep up
with these requirements.  We do not solicit donations in locations
where we have not received written confirmation of compliance.  To
SEND DONATIONS or determine the status of compliance for any
particular state visit http://pglaf.org

While we cannot and do not solicit contributions from states where we
have not met the solicitation requirements, we know of no prohibition
against accepting unsolicited donations from donors in such states who
approach us with offers to donate.

International donations are gratefully accepted, but we cannot make
any statements concerning tax treatment of donations received from
outside the United States.  U.S. laws alone swamp our small staff.

Please check the Project Gutenberg Web pages for current donation
methods and addresses.  Donations are accepted in a number of other
ways including including checks, online payments and credit card
donations.  To donate, please visit: http://pglaf.org/donate


Section 5.  General Information About Project Gutenberg-tm electronic
works.

Professor Michael S. Hart is the originator of the Project Gutenberg-tm
concept of a library of electronic works that could be freely shared
with anyone.  For thirty years, he produced and distributed Project
Gutenberg-tm eBooks with only a loose network of volunteer support.


Project Gutenberg-tm eBooks are often created from several printed
editions, all of which are confirmed as Public Domain in the U.S.
unless a copyright notice is included.  Thus, we do not necessarily
keep eBooks in compliance with any particular paper edition.


Most people start at our Web site which has the main PG search facility:

     http://www.gutenberg.net

This Web site includes information about Project Gutenberg-tm,
including how to make donations to the Project Gutenberg Literary
Archive Foundation, how to help produce our new eBooks, and how to
subscribe to our email newsletter to hear about new eBooks.












"""

bytes : List Int 
bytes = [91, 63, 194, 54, 18, 33, 108, 28, 0, 2, 53, 88, 102, 178, 109, 248, 233, 205, 144, 164, 168, 200, 183, 103, 151, 29, 48, 20, 153, 7, 20, 0, 232, 123, 15, 168, 183, 227, 198, 24, 216, 96, 121, 41, 9, 114, 110, 159, 45, 177, 41, 131, 68, 209, 159, 84, 65, 57, 80, 124, 33, 189, 38, 239, 210, 104, 48, 168, 246, 49, 212, 168, 5, 179, 201, 208, 210, 160, 145, 143, 154, 19, 15, 70, 198, 143, 231, 187, 203, 119, 197, 113, 133, 247, 37, 120, 71, 124, 42, 57, 161, 86, 67, 25, 170, 133, 113, 240, 254, 195, 185, 244, 103, 84, 6, 156, 228, 3, 212, 185, 174, 189, 254, 242, 144, 62, 178, 30, 177, 112, 114, 80, 115, 11, 185, 94, 9, 23, 158, 77, 42, 83, 178, 240, 175, 154, 89, 255, 154, 138, 85, 203, 141, 250, 192, 82, 50, 86, 116, 174, 228, 112, 55, 227, 52, 14, 145, 42, 61, 31, 161, 77, 85, 138, 7, 236, 15, 241, 169, 189, 218, 111, 83, 173, 125, 115, 6, 130, 42, 231, 184, 187, 164, 105, 46, 40, 124, 20, 57, 129, 193, 63, 0, 36, 153, 41, 186, 210, 22, 218, 86, 213, 138, 165, 149, 211, 18, 247, 122, 206, 158, 69, 50, 72, 14, 120, 223, 180, 254, 245, 139, 210, 9, 149, 254, 101, 11, 229, 157, 83, 122, 254, 150, 237, 177, 195, 87, 135, 141, 102, 227, 72, 4, 209, 69, 128, 151, 213, 99, 214, 194, 234, 159, 39, 65, 105, 120, 17, 114, 7, 223, 2, 70, 112, 67, 118, 229, 184, 245, 92, 182, 124, 173, 234, 189, 95, 199, 233, 71, 236, 160, 178, 197, 247, 255, 242, 203, 192, 53, 129, 223, 70, 6, 56, 189, 10, 169, 82, 59, 111, 99, 213, 154, 214, 81, 113, 252, 16, 51, 124, 233, 196, 39, 110, 130, 140, 240, 33, 150, 166, 183, 185, 74, 235, 167, 104, 102, 220, 252, 2, 70, 207, 172, 73, 85, 92, 4, 105, 224, 71, 120, 39, 248, 54, 24, 4, 47, 170, 173, 106, 159, 191, 85, 105, 127, 166, 220, 181, 94, 192, 224, 251, 169, 150, 126, 239, 166, 122, 69, 157, 162, 227, 158, 122, 112, 180, 202, 33, 71, 112, 181, 24, 93, 153, 249, 49, 73, 67, 67, 125, 66, 69, 215, 218, 255, 222, 50, 235, 29, 179, 186, 103, 255, 214, 151, 118, 243, 47, 182, 22, 195, 220, 77, 115, 125, 231, 156, 119, 34, 128, 76, 32, 2, 153, 9, 40, 10, 153, 64, 68, 87, 161, 42, 212, 197, 34, 35, 88, 4, 25, 106, 146, 211, 247, 161, 180, 160, 168, 13, 69, 11, 108, 109, 156, 145, 195, 30, 139, 227, 253, 205, 154, 223, 156, 209, 178, 44, 190, 124, 249, 35, 121, 223, 147, 60, 153, 223, 255, 111, 233, 43, 237, 110, 136, 133, 176, 117, 131, 220, 158, 121, 119, 110, 206, 151, 86, 235, 38, 173, 155, 190, 82, 190, 82, 74, 125, 111, 102, 165, 179, 146, 155, 190, 126, 138, 228, 214, 81, 10, 243, 49, 108, 40, 13, 176, 138, 80, 0, 225, 129, 255, 239, 125, 171, 250, 84, 179, 170, 122, 102, 64, 24, 145, 70, 131, 32, 114, 85, 192, 59, 103, 159, 101, 72, 247, 247, 158, 89, 134, 63, 127, 102, 149, 238, 225, 102, 93, 17, 145, 134, 174, 204, 44, 51, 116, 145, 79, 187, 207, 185, 145, 48, 123, 30, 5, 226, 158, 5, 226, 145, 96, 153, 53, 172, 26, 180, 106, 164, 254, 32, 210, 39, 32, 76, 17, 161, 168, 131, 81, 52, 8, 130, 10, 248, 127, 223, 234, 171, 79, 128, 82, 228, 84, 191, 56, 142, 210, 36, 41, 213, 13, 42, 2, 65, 73, 251, 126, 207, 190, 11, 200, 231, 102, 6, 84, 60, 119, 7, 42, 158, 187, 247, 16, 47, 162, 135, 202, 8, 14, 85, 153, 202, 31, 206, 190, 22, 31, 48, 243, 232, 110, 154, 191, 168, 6, 220, 95, 181, 240, 34, 57, 69, 22, 167, 172, 226, 48, 169, 61, 136, 212, 168, 201, 212, 9, 17, 99, 90, 223, 203, 93, 162, 136, 148, 165, 168, 136, 192, 104, 34, 106, 223, 155, 114, 247, 91, 73, 242, 118, 109, 89, 162, 72, 16, 68, 25, 12, 181, 177, 49, 172, 158, 126, 207, 235, 31, 111, 166, 59, 49, 138, 8, 69, 129, 246, 44, 20, 136, 87, 202, 61, 25, 168, 210, 108, 65, 163, 154, 38, 5, 126, 238, 49, 218, 154, 130, 128, 120, 78, 194, 145, 170, 68, 43, 163, 103, 72, 54, 3, 13, 133, 70, 201, 125, 38, 210, 170, 234, 97, 110, 15, 30, 112, 122, 187, 171, 18, 156, 6, 89, 16, 10, 149, 69, 104, 85, 22, 197, 144, 55, 228, 138, 87, 59, 221, 85, 41, 144, 64, 32, 132, 135, 11, 51, 171, 55, 25, 234, 63, 181, 123, 181, 255, 87, 18, 199, 198, 128, 65, 168, 140, 134, 219, 109, 73, 26, 143, 140, 211, 63, 46, 48, 102, 236, 72, 101, 235, 63, 254, 219, 107, 103, 214, 49, 79, 196, 218, 203, 107, 170, 122, 198, 203, 129, 197, 213, 40, 107, 220, 48, 154, 144, 229, 63, 30, 111, 229, 17, 75, 14, 81, 201, 203, 251, 36, 62, 117, 186, 117, 103, 10, 106, 76, 13, 237, 158, 83, 79, 74, 159, 113, 54, 206, 60, 235, 41, 59, 244, 233, 57, 183, 72, 54, 147, 184, 78, 205, 36, 226, 211, 207, 68, 209, 249, 245, 169, 112, 137, 179, 167, 232, 244, 187, 187, 142, 22, 65, 153, 204, 57, 117, 177, 123, 254, 150, 122, 202, 143, 99, 56, 181, 211, 201, 227, 247, 223, 204, 45, 10, 0, 111, 117, 247, 119, 227, 181, 248, 31, 79, 44, 114, 61, 218, 144, 114, 58, 128, 23, 71, 212, 30, 151, 128, 172, 233, 111, 198, 15, 45, 44, 92, 73, 178, 242, 26, 253, 118, 159, 159, 105, 239, 249, 216, 44, 59, 151, 250, 233, 103, 48, 107, 116, 71, 250, 84, 106, 236, 102, 156, 105, 186, 24, 58, 7, 219, 198, 81, 104, 201, 2, 236, 66, 23, 119, 202, 205, 255, 84, 229, 239, 248, 243, 224, 90, 120, 139, 208, 202, 172, 174, 106, 163, 117, 119, 238, 223, 17, 22, 49, 25, 85, 21, 251, 23, 97, 26, 142, 48, 38, 82, 232, 8, 222, 198, 184, 184, 159, 62, 188, 113, 212, 110, 83, 141, 212, 129, 13, 70, 215, 113, 214, 255, 173, 235, 113, 142, 212, 120, 63, 205, 126, 208, 14, 4, 146, 193, 26, 94, 249, 204, 132, 156, 255, 7, 179, 80, 173, 26, 46, 251, 80, 227, 129, 253, 236, 8, 101, 66, 42, 178, 6, 201, 248, 192, 252, 254, 63, 0, 237, 244, 2, 31, 211, 175, 153, 1, 96, 85, 253, 70, 252, 8, 120, 86, 202, 127, 249, 83, 14, 0, 135, 5, 224, 31, 185, 8, 212, 31, 3, 51, 235, 76, 245, 255, 190, 109, 190, 109, 79, 2, 5, 133, 139, 215, 244, 199, 140, 201, 88, 253, 248, 76, 152, 137, 50, 113, 38, 169, 167, 179, 169, 139, 255, 103, 101, 86, 101, 181, 81, 98, 221, 190, 205, 186, 172, 207, 6, 61, 239, 69, 195, 183, 102, 89, 245, 187, 172, 89, 48, 49, 109, 252, 237, 237, 72, 159, 156, 202, 174, 242, 57, 178, 198, 210, 238, 122, 118, 252, 13, 167, 134, 239, 214, 253, 56, 149, 252, 191, 62, 30, 158, 248, 184, 167, 218, 172, 89, 45, 63, 246, 148, 246, 255, 200, 1, 243, 14, 216, 2, 224, 229, 187, 57, 56, 249, 111, 238, 171, 60, 245, 84, 218, 51, 67, 175, 12, 248, 126, 145, 26, 12, 81, 63, 71, 150, 240, 165, 241, 128, 210, 77, 128, 181, 153, 215, 233, 78, 62, 94, 243, 180, 88, 112, 183, 151, 40, 78, 242, 115, 145, 239, 23, 218, 81, 61, 71, 217, 155, 181, 5, 89, 161, 189, 104, 252, 229, 7, 77, 177, 251, 109, 9, 157, 182, 139, 52, 87, 228, 194, 107, 169, 195, 177, 235, 45, 241, 5, 91, 10, 141, 36, 204, 25, 108, 201, 83, 29, 38, 212, 176, 174, 237, 200, 249, 111, 142, 241, 173, 148, 150, 172, 138, 115, 11, 18, 203, 98, 125, 214, 66, 2, 218, 68, 97, 254, 9, 204, 50, 163, 214, 203, 202, 128, 245, 181, 187, 120, 20, 35, 78, 169, 71, 152, 220, 103, 245, 245, 211, 122, 212, 255, 70, 166, 75, 114, 235, 175, 108, 203, 99, 212, 223, 85, 27, 240, 227, 168, 199, 87, 233, 215, 54, 3, 254, 89, 77, 37, 97, 224, 188, 104, 180, 108, 35, 148, 177, 176, 196, 198, 214, 223, 129, 31, 24, 66, 152, 226, 155, 155, 232, 1, 190, 177, 99, 184, 67, 22, 149, 61, 169, 135, 242, 75, 168, 14, 117, 126, 3, 90, 70, 121, 129, 250, 192, 115, 238, 193, 197, 184, 140, 228, 177, 176, 150, 88, 20, 252, 83, 120, 46, 30, 79, 12, 105, 163, 246, 81, 130, 201, 104, 156, 12, 45, 149, 43, 57, 93, 209, 151, 114, 247, 67, 109, 84, 40, 243, 255, 44, 147, 242, 6, 255, 8, 19, 160, 243, 213, 79, 196, 22, 100, 158, 69, 194, 87, 118, 48, 245, 138, 223, 176, 206, 22, 10, 174, 70, 62, 126, 155, 114, 26, 44, 109, 186, 58, 243, 118, 102, 221, 43, 65, 153, 122, 215, 39, 45, 139, 22, 35, 47, 33, 89, 59, 208, 11, 182, 228, 242, 45, 14, 92, 62, 221, 12, 94, 87, 146, 80, 217, 15, 4, 7, 166, 241, 114, 27, 62, 157, 42, 235, 118, 53, 116, 3, 188, 97, 141, 156, 196, 95, 3, 150, 42, 77, 109, 211, 20, 229, 185, 248, 14, 206, 192, 243, 187, 67, 230, 18, 190, 209, 208, 215, 79, 205, 239, 255, 62, 55, 252, 170, 206, 150, 140, 223, 33, 244, 188, 120, 1, 155, 255, 227, 186, 130, 166, 62, 12, 42, 137, 54, 238, 1, 147, 84, 20, 6, 159, 220, 183, 48, 43, 3, 247, 147, 23, 197, 86, 145, 207, 234, 63, 92, 6, 38, 239, 29, 181, 230, 255, 58, 146, 215, 32, 180, 43, 154, 65, 183, 60, 123, 6, 158, 244, 175, 72, 204, 35, 249, 102, 208, 150, 42, 110, 185, 89, 241, 157, 215, 84, 48, 117, 204, 30, 116, 198, 165, 57, 170, 39, 80, 139, 235, 26, 201, 185, 153, 177, 150, 84, 235, 207, 180, 135, 116, 52, 211, 43, 187, 71, 139, 45, 243, 140, 100, 15, 218, 163, 198, 72, 109, 230, 96, 22, 54, 132, 175, 157, 215, 128, 186, 172, 172, 229, 42, 201, 183, 158, 182, 241, 186, 120, 139, 255, 31, 180, 143, 48, 22, 171, 17, 93, 92, 244, 188, 158, 83, 49, 22, 35, 163, 79, 83, 250, 69, 95, 223, 143, 69, 152, 81, 103, 72, 91, 33, 107, 194, 114, 62, 147, 112, 117, 152, 12, 85, 114, 22, 160, 107, 157, 220, 174, 196, 200, 109, 141, 203, 62, 248, 116, 210, 150, 71, 94, 112, 55, 14, 218, 144, 235, 103, 84, 24, 122, 219, 33, 185, 122, 148, 27, 25, 135, 86, 114, 88, 34, 255, 55, 14, 82, 154, 209, 146, 201, 251, 101, 232, 115, 162, 226, 175, 12, 225, 229, 237, 155, 60, 245, 200, 193, 252, 129, 141, 20, 181, 231, 153, 139, 172, 10, 219, 222, 46, 198, 42, 143, 129, 116, 109, 198, 216, 121, 254, 179, 34, 21, 173, 228, 182, 132, 186, 48, 121, 92, 198, 161, 168, 197, 213, 254, 81, 156, 136, 53, 189, 204, 214, 206, 52, 2, 91, 132, 76, 4, 202, 2, 174, 59, 126, 138, 121, 212, 162, 187, 149, 95, 158, 83, 88, 85, 144, 78, 39, 152, 201, 109, 167, 47, 45, 216, 236, 201, 79, 218, 242, 100, 198, 236, 167, 181, 113, 145, 163, 169, 12, 238, 116, 190, 231, 13, 209, 3, 210, 227, 228, 68, 103, 116, 49, 32, 105, 72, 61, 199, 101, 227, 214, 148, 121, 126, 101, 19, 99, 29, 57, 138, 203, 170, 198, 118, 91, 92, 125, 241, 38, 96, 87, 152, 92, 68, 109, 164, 157, 201, 182, 175, 234, 74, 172, 242, 62, 133, 253, 193, 11, 116, 90, 170, 151, 155, 150, 146, 44, 185, 178, 71, 160, 183, 205, 53, 167, 235, 230, 225, 112, 185, 140, 93, 217, 105, 31, 38, 57, 87, 22, 6, 172, 86, 172, 43, 201, 235, 8, 111, 180, 14, 43, 73, 101, 48, 194, 92, 30, 94, 150, 22, 90, 49, 130, 11, 146, 215, 170, 123, 142, 10, 247, 242, 100, 195, 158, 17, 202, 196, 198, 117, 62, 214, 3, 22, 132, 177, 89, 20, 129, 135, 97, 41, 136, 165, 154, 119, 154, 84, 195, 179, 125, 57, 104, 156, 19, 6, 75, 135, 168, 233, 95, 154, 34, 46, 206, 131, 39, 79, 6, 66, 85, 209, 206, 124, 6, 201, 134, 195, 63, 67, 81, 122, 148, 197, 186, 132, 215, 183, 125, 224, 249, 115, 109, 149, 179, 142, 107, 218, 253, 73, 150, 21, 17, 160, 71, 121, 74, 209, 66, 200, 79, 200, 45, 189, 250, 29, 180, 19, 161, 27, 82, 222, 131, 22, 61, 84, 246, 41, 12, 215, 29, 185, 4, 21, 46, 123, 134, 43, 170, 184, 56, 181, 50, 204, 243, 189, 45, 22, 211, 236, 212, 82, 86, 26, 91, 211, 255, 217, 245, 228, 252, 86, 233, 122, 127, 224, 126, 42, 154, 222, 206, 34, 6, 53, 96, 176, 84, 52, 238, 168, 184, 66, 110, 128, 219, 224, 248, 157, 88, 251, 217, 143, 205, 227, 248, 251, 220, 115, 132, 4, 242, 249, 57, 194, 192, 140, 87, 241, 82, 202, 193, 52, 144, 233, 236, 251, 241, 214, 9, 17, 54, 6, 247, 143, 106, 253, 67, 166, 48, 126, 215, 56, 127, 250, 86, 121, 66, 239, 198, 191, 146, 137, 151, 83, 187, 125, 39, 10, 161, 30, 141, 173, 203, 2, 197, 194, 116, 68, 145, 237, 90, 180, 195, 67, 245, 188, 120, 42, 106, 247, 94, 25, 174, 83, 105, 88, 203, 143, 236, 109, 21, 19, 125, 124, 159, 220, 176, 113, 250, 29, 218, 47, 58, 44, 199, 5, 128, 19, 114, 241, 32, 204, 236, 14, 172, 50, 171, 160, 189, 193, 238, 192, 9, 119, 238, 104, 30, 200, 165, 81, 188, 14, 35, 36, 86, 99, 214, 87, 155, 114, 167, 230, 184, 12, 75, 129, 12, 14, 197, 108, 136, 88, 144, 83, 223, 92, 150, 217, 250, 191, 246, 24, 242, 108, 151, 195, 127, 212, 71, 49, 182, 70, 172, 255, 197, 133, 193, 47, 217, 70, 223, 190, 50, 127, 148, 246, 60, 214, 40, 253, 103, 198, 1, 47, 229, 98, 19, 157, 94, 31, 231, 152, 68, 176, 124, 163, 237, 70, 22, 35, 21, 148, 128, 15, 176, 241, 120, 189, 144, 109, 116, 197, 228, 177, 24, 172, 59, 227, 122, 178, 29, 18, 56, 39, 56, 213, 4, 180, 173, 185, 88, 184, 66, 58, 230, 90, 50, 90, 91, 162, 139, 180, 136, 208, 202, 170, 43, 203, 255, 157, 200, 136, 134, 87, 90, 202, 187, 97, 19, 203, 10, 180, 79, 147, 98, 111, 41, 231, 37, 165, 249, 135, 171, 160, 189, 92, 92, 29, 245, 190, 198, 52, 141, 115, 163, 50, 107, 174, 66, 188, 127, 90, 188, 97, 144, 171, 91, 0, 13, 20, 105, 55, 110, 123, 21, 156, 26, 231, 103, 253, 156, 175, 244, 220, 201, 60, 28, 15, 181, 80, 242, 166, 78, 133, 145, 174, 25, 14, 94, 174, 198, 126, 96, 87, 90, 180, 205, 24, 175, 186, 207, 52, 144, 51, 39, 124, 54, 216, 62, 49, 21, 95, 123, 132, 52, 132, 86, 254, 124, 128, 201, 67, 35, 213, 89, 45, 175, 119, 128, 103, 145, 123, 167, 190, 28, 93, 247, 225, 145, 211, 243, 45, 228, 137, 223, 16, 218, 147, 148, 133, 99, 94, 207, 255, 145, 223, 198, 223, 210, 87, 141, 242, 242, 31, 26, 173, 149, 28, 169, 254, 153, 148, 45, 76, 123, 166, 185, 104, 59, 230, 42, 116, 176, 101, 78, 146, 65, 157, 0, 167, 243, 98, 245, 125, 223, 118, 169, 178, 164, 140, 140, 121, 208, 202, 11, 215, 196, 180, 160, 155, 19, 74, 245, 249, 137, 214, 120, 234, 240, 82, 160, 103, 214, 48, 21, 171, 27, 71, 32, 175, 8, 75, 169, 70, 201, 31, 58, 174, 215, 112, 70, 239, 159, 214, 151, 136, 167, 157, 20, 142, 217, 186, 176, 233, 180, 193, 69, 164, 230, 174, 98, 234, 128, 174, 117, 186, 6, 1, 146, 30, 14, 167, 5, 158, 76, 248, 84, 53, 67, 216, 125, 221, 217, 174, 133, 168, 153, 192, 221, 19, 234, 49, 154, 67, 202, 11, 167, 173, 37, 57, 251, 245, 169, 45, 35, 46, 63, 167, 97, 175, 61, 206, 139, 137, 184, 228, 63, 124, 143, 167, 126, 109, 213, 223, 150, 197, 240, 47, 137, 111, 45, 70, 163, 136, 60, 253, 141, 214, 194, 66, 33, 251, 51, 231, 37, 124, 252, 164, 159, 84, 160, 103, 75, 29, 193, 24, 99, 99, 8, 150, 124, 72, 126, 110, 240, 84, 156, 181, 104, 126, 57, 90, 189, 113, 149, 115, 184, 200, 92, 227, 84, 120, 109, 49, 115, 146, 140, 80, 10, 209, 147, 74, 106, 120, 110, 11, 41, 196, 117, 90, 160, 90, 62, 127, 70, 202, 119, 15, 40, 124, 168, 146, 239, 167, 100, 6, 244, 240, 92, 203, 167, 158, 106, 39, 249, 145, 145, 143, 39, 217, 126, 122, 14, 171, 178, 11, 240, 35, 115, 104, 224, 168, 167, 80, 39, 99, 6, 29, 138, 67, 222, 205, 58, 210, 242, 113, 223, 128, 9, 208, 135, 30, 92, 63, 167, 52, 220, 17, 105, 11, 21, 26, 15, 77, 74, 131, 118, 37, 252, 138, 234, 43, 231, 120, 191, 67, 45, 75, 227, 104, 90, 90, 92, 250, 243, 209, 47, 22, 57, 117, 211, 107, 191, 79, 94, 34, 174, 179, 5, 24, 11, 45, 112, 100, 120, 138, 193, 167, 165, 219, 39, 106, 137, 10, 229, 188, 198, 69, 116, 39, 206, 17, 201, 88, 30, 148, 88, 209, 26, 255, 92, 156, 7, 63, 210, 252, 72, 101, 185, 208, 135, 135, 210, 160, 38, 130, 88, 219, 50, 111, 225, 57, 222, 250, 160, 121, 123, 166, 113, 73, 255, 155, 205, 122, 113, 88, 20, 8, 214, 139, 18, 37, 54, 12, 199, 251, 231, 185, 245, 236, 135, 88, 89, 175, 39, 22, 156, 71, 172, 123, 44, 69, 140, 120, 166, 223, 63, 39, 87, 26, 222, 105, 65, 68, 252, 254, 235, 73, 246, 169, 173, 134, 189, 40, 145, 112, 82, 54, 115, 67, 99, 102, 182, 69, 147, 246, 221, 110, 95, 134, 139, 51, 197, 211, 89, 224, 9, 15, 44, 156, 219, 244, 223, 228, 150, 110, 80, 30, 208, 23, 43, 62, 250, 178, 93, 126, 223, 68, 179, 109, 240, 174, 158, 210, 248, 242, 113, 187, 230, 36, 64, 254, 11, 60, 37, 182, 231, 92, 231, 217, 74, 19, 52, 13, 65, 14, 217, 235, 132, 2, 246, 97, 97, 26, 131, 179, 93, 31, 42, 194, 12, 51, 138, 131, 61, 88, 82, 97, 56, 182, 204, 124, 53, 142, 127, 104, 106, 135, 117, 99, 16, 6, 84, 177, 177, 21, 211, 88, 134, 87, 191, 205, 89, 249, 100, 104, 133, 69, 67, 132, 128, 174, 120, 128, 23, 103, 33, 238, 209, 156, 246, 219, 113, 53, 125, 199, 4, 152, 66, 221, 65, 144, 243, 78, 85, 17, 189, 220, 67, 209, 139, 43, 45, 20, 221, 144, 59, 94, 12, 148, 230, 252, 41, 220, 78, 97, 138, 47, 218, 179, 224, 183, 244, 226, 63, 197, 82, 215, 2, 124, 251, 81, 60, 165, 246, 86, 122, 66, 19, 166, 35, 222, 56, 166, 113, 44, 14, 176, 61, 91, 163, 126, 13, 173, 109, 240, 75, 226, 170, 36, 12, 39, 110, 231, 205, 222, 78, 56, 233, 224, 212, 229, 133, 141, 172, 94, 177, 116, 26, 185, 173, 231, 151, 85, 241, 209, 146, 21, 18, 217, 25, 127, 209, 37, 155, 118, 77, 73, 99, 193, 122, 105, 194, 161, 170, 156, 45, 174, 242, 164, 90, 217, 217, 80, 78, 54, 216, 91, 220, 152, 242, 131, 67, 101, 248, 156, 176, 190, 8, 58, 114, 41, 21, 74, 204, 246, 72, 200, 3, 224, 70, 212, 35, 91, 13, 61, 51, 105, 123, 31, 90, 16, 212, 65, 108, 105, 57, 106, 42, 84, 61, 33, 88, 214, 206, 95, 236, 176, 100, 151, 133, 217, 156, 25, 214, 61, 203, 69, 178, 37, 169, 109, 240, 207, 156, 50, 5, 30, 93, 187, 45, 110, 99, 151, 237, 62, 253, 101, 15, 187, 207, 71, 182, 187, 57, 214, 196, 51, 1, 8, 65, 0, 115, 164, 144, 235, 99, 116, 114, 64, 30, 240, 85, 203, 67, 61, 30, 108, 210, 116, 17, 111, 73, 237, 52, 117, 68, 62, 105, 124, 70, 137, 135, 69, 137, 40, 130, 253, 212, 181, 52, 229, 213, 157, 187, 181, 237, 211, 245, 21, 129, 211, 86, 198, 13, 103, 251, 86, 168, 135, 38, 83, 154, 205, 1, 47, 113, 62, 88, 56, 216, 141, 76, 43, 118, 244, 207, 143, 120, 241, 117, 169, 174, 0, 181, 230, 144, 110, 28, 163, 35, 91, 71, 74, 111, 100, 80, 24, 162, 203, 211, 106, 33, 154, 1, 207, 92, 237, 89, 23, 248, 197, 249, 205, 176, 75, 120, 155, 70, 95, 86, 39, 142, 128, 69, 40, 210, 104, 157, 61, 201, 91, 55, 185, 177, 156, 14, 86, 138, 95, 27, 237, 4, 170, 217, 3, 167, 206, 73, 113, 212, 223, 17, 27, 238, 240, 120, 45, 185, 79, 45, 55, 161, 118, 124, 225, 20, 189, 120, 114, 120, 105, 174, 130, 238, 150, 218, 38, 17, 254, 217, 91, 100, 194, 210, 46, 197, 78, 146, 130, 226, 202, 25, 98, 42, 207, 60, 91, 45, 183, 26, 13, 127, 68, 198, 155, 147, 201, 203, 178, 62, 178, 182, 46, 139, 222, 147, 233, 107, 60, 137, 244, 150, 156, 44, 116, 125, 224, 213, 225, 255, 85, 108, 88, 240, 197, 215, 162, 45, 175, 227, 18, 85, 68, 163, 24, 19, 35, 132, 217, 73, 250, 154, 171, 143, 84, 155, 219, 169, 35, 11, 72, 224, 130, 79, 255, 205, 197, 250, 16, 142, 127, 27, 146, 51, 225, 63, 12, 142, 194, 191, 33, 92, 94, 30, 38, 55, 172, 111, 73, 246, 195, 77, 178, 183, 107, 40, 78, 126, 211, 152, 72, 157, 19, 110, 43, 246, 247, 7, 11, 143, 28, 31, 59, 8, 38, 134, 117, 93, 122, 9, 32, 96, 159, 188, 112, 73, 17, 1, 11, 169, 188, 58, 64, 147, 4, 212, 61, 180, 213, 139, 45, 17, 164, 91, 29, 98, 40, 45, 199, 88, 44, 130, 166, 35, 108, 144, 82, 154, 53, 84, 246, 218, 128, 120, 229, 144, 145, 33, 27, 124, 1, 151, 221, 50, 64, 231, 123, 48, 128, 157, 174, 94, 225, 114, 206, 24, 173, 15, 232, 18, 150, 201, 167, 47, 204, 33, 213, 4, 223, 124, 91, 242, 232, 22, 122, 71, 186, 115, 33, 173, 101, 66, 237, 31, 74, 133, 17, 88, 92, 0, 56, 91, 71, 247, 44, 154, 140, 57, 33, 242, 43, 166, 209, 43, 21, 155, 86, 97, 98, 132, 254, 63, 18, 60, 206, 32, 86, 89, 210, 81, 238, 217, 147, 95, 75, 227, 6, 203, 78, 181, 14, 60, 213, 190, 194, 86, 213, 121, 29, 245, 20, 114, 88, 103, 164, 79, 74, 160, 19, 177, 98, 51, 91, 245, 234, 166, 101, 229, 238, 218, 118, 249, 158, 10, 227, 98, 164, 206, 254, 52, 105, 78, 166, 170, 179, 147, 174, 9, 189, 212, 10, 160, 59, 247, 194, 127, 247, 47, 97, 195, 166, 115, 245, 167, 55, 204, 43, 195, 37, 210, 122, 57, 157, 115, 255, 60, 207, 217, 21, 42, 157, 215, 65, 178, 206, 227, 230, 85, 239, 231, 176, 217, 204, 189, 252, 125, 233, 63, 93, 103, 81, 100, 71, 169, 17, 214, 9, 192, 98, 222, 163, 204, 150, 215, 30, 210, 42, 25, 179, 192, 205, 148, 236, 252, 137, 241, 0, 57, 153, 96, 122, 180, 161, 233, 166, 208, 7, 141, 48, 230, 31, 50, 99, 181, 156, 178, 82, 97, 127, 129, 103, 107, 54, 99, 61, 239, 68, 55, 78, 133, 143, 234, 208, 127, 24, 220, 177, 217, 166, 195, 249, 208, 95, 48, 135, 252, 161, 208, 73, 191, 124, 92, 178, 250, 241, 12, 83, 40, 124, 95, 124, 188, 20, 36, 252, 88, 96, 86, 211, 176, 60, 46, 89, 25, 243, 253, 193, 91, 73, 37, 45, 153, 3, 89, 131, 91, 21, 157, 130, 245, 166, 187, 136, 165, 153, 19, 187, 157, 78, 93, 10, 26, 69, 166, 88, 245, 204, 138, 12, 117, 103, 45, 87, 26, 6, 33, 15, 249, 220, 36, 238, 170, 75, 191, 90, 165, 135, 151, 99, 77, 152, 202, 158, 83, 231, 230, 112, 174, 132, 71, 69, 145, 132, 142, 62, 27, 3, 21, 45, 228, 121, 74, 39, 181, 50, 204, 218, 114, 115, 49, 200, 159, 171, 25, 14, 80, 152, 210, 118, 148, 156, 177, 175, 166, 58, 72, 140, 146, 21, 149, 79, 139, 51, 240, 74, 127, 2, 14, 49, 147, 164, 94, 76, 90, 88, 119, 241, 124, 191, 216, 55, 173, 128, 32, 87, 145, 145, 113, 216, 120, 87, 158, 225, 122, 7, 25, 152, 118, 153, 103, 194, 238, 80, 104, 207, 202, 214, 198, 141, 63, 31, 248, 197, 246, 90, 56, 60, 213, 118, 5, 106, 92, 107, 130, 135, 157, 15, 114, 145, 154, 57, 242, 63, 113, 133, 252, 195, 156, 41, 64, 205, 114, 229, 234, 124, 190, 211, 185, 93, 30, 148, 58, 55, 45, 193, 235, 16, 112, 212, 96, 154, 168, 145, 149, 81, 173, 187, 141, 78, 11, 153, 137, 206, 154, 181, 26, 157, 219, 16, 211, 137, 244, 12, 15, 103, 79, 185, 241, 17, 230, 186, 18, 249, 93, 99, 145, 68, 209, 169, 76, 154, 189, 46, 116, 65, 26, 123, 202, 163, 79, 136, 92, 10, 115, 164, 51, 43, 154, 82, 180, 240, 18, 52, 228, 20, 193, 144, 98, 228, 201, 214, 185, 7, 103, 124, 7, 253, 37, 243, 248, 121, 79, 66, 179, 87, 164, 71, 40, 118, 85, 196, 161, 61, 124, 16, 159, 236, 249, 172, 96, 181, 123, 205, 252, 229, 19, 191, 215, 181, 41, 64, 138, 155, 184, 28, 244, 144, 7, 142, 72, 193, 117, 34, 245, 63, 127, 174, 80, 241, 60, 207, 245, 13, 233, 71, 123, 150, 65, 120, 105, 171, 26, 21, 247, 34, 12, 251, 192, 93, 147, 213, 246, 129, 206, 108, 105, 70, 156, 129, 97, 144, 105, 113, 251, 45, 151, 53, 63, 6, 12, 233, 180, 73, 114, 79, 170, 201, 201, 160, 27, 222, 130, 20, 253, 43, 219, 13, 85, 137, 91, 167, 64, 148, 148, 169, 40, 42, 47, 212, 127, 51, 100, 147, 206, 233, 147, 216, 30, 194, 214, 59, 190, 121, 137, 246, 95, 169, 172, 29, 207, 17, 138, 241, 72, 34, 95, 1, 54, 169, 96, 249, 205, 72, 171, 144, 100, 220, 212, 63, 209, 230, 221, 158, 10, 86, 149, 163, 182, 12, 18, 191, 106, 191, 74, 112, 76, 74, 142, 206, 60, 89, 244, 94, 252, 1, 213, 151, 20, 134, 184, 10, 10, 207, 245, 35, 197, 171, 184, 105, 199, 154, 121, 154, 188, 46, 11, 6, 139, 155, 86, 22, 103, 20, 190, 186, 130, 124, 32, 87, 85, 123, 203, 15, 49, 147, 138, 220, 58, 245, 28, 223, 89, 149, 213, 74, 38, 14, 33, 171, 75, 122, 223, 36, 219, 226, 90, 59, 176, 62, 61, 122, 59, 178, 0, 156, 89, 163, 6, 91, 38, 178, 44, 1, 162, 255, 164, 251, 232, 191, 103, 196, 42, 153, 47, 106, 199, 249, 139, 186, 211, 202, 16, 7, 10, 194, 42, 144, 178, 255, 237, 195, 231, 144, 38, 79, 122, 206, 183, 48, 139, 94, 208, 59, 28, 81, 107, 139, 194, 246, 47, 69, 228, 221, 212, 14, 58, 44, 73, 13, 235, 27, 153, 182, 186, 230, 176, 78, 48, 101, 94, 136, 139, 4, 89, 88, 148, 164, 52, 22, 53, 215, 106, 86, 14, 133, 223, 231, 86, 225, 78, 88, 234, 167, 66, 253, 242, 211, 47, 106, 49, 211, 103, 21, 225, 19, 43, 169, 232, 49, 247, 200, 248, 195, 134, 30, 25, 192, 159, 65, 171, 25, 123, 9, 169, 43, 235, 65, 108, 178, 127, 212, 77, 15, 170, 243, 123, 132, 143, 238, 46, 184, 56, 64, 245, 143, 197, 105, 160, 249, 9, 155, 139, 154, 4, 210, 102, 167, 230, 58, 94, 60, 89, 51, 179, 36, 168, 238, 136, 97, 45, 122, 67, 59, 182, 66, 28, 84, 48, 186, 101, 92, 6, 212, 151, 243, 138, 230, 156, 184, 70, 252, 154, 209, 49, 155, 235, 246, 4, 29, 249, 202, 17, 8, 200, 155, 154, 186, 132, 15, 106, 196, 208, 39, 175, 192, 36, 65, 220, 179, 226, 33, 15, 108, 123, 122, 22, 195, 116, 139, 195, 154, 3, 192, 83, 7, 216, 44, 122, 169, 16, 85, 125, 106, 40, 226, 231, 206, 150, 172, 231, 172, 73, 192, 54, 139, 189, 232, 72, 169, 212, 242, 82, 77, 207, 97, 114, 45, 51, 47, 78, 45, 7, 203, 66, 240, 47, 129, 72, 174, 2, 221, 124, 77, 82, 0, 68, 159, 232, 33, 99, 89, 55, 140, 0, 114, 174, 83, 184, 195, 149, 106, 253, 220, 95, 10, 219, 245, 112, 103, 127, 166, 88, 93, 157, 106, 133, 151, 153, 22, 225, 26, 150, 227, 27, 55, 235, 153, 225, 128, 165, 47, 69, 166, 103, 133, 220, 104, 149, 193, 248, 176, 133, 150, 87, 74, 183, 112, 2, 188, 17, 50, 186, 81, 238, 44, 136, 41, 130, 39, 211, 70, 163, 78, 138, 211, 131, 9, 103, 227, 143, 116, 157, 120, 122, 143, 52, 231, 55, 58, 110, 11, 61, 116, 137, 132, 50, 149, 47, 216, 154, 47, 102, 243, 38, 87, 180, 11, 245, 169, 155, 184, 210, 21, 47, 97, 68, 225, 202, 57, 108, 32, 69, 7, 100, 117, 62, 11, 47, 215, 17, 159, 137, 66, 115, 58, 172, 101, 233, 221, 201, 145, 115, 110, 113, 7, 62, 235, 44, 254, 234, 215, 137, 247, 242, 39, 239, 46, 249, 29, 233, 211, 198, 109, 210, 77, 56, 65, 110, 254, 223, 141, 76, 104, 69, 171, 230, 33, 21, 157, 135, 120, 119, 226, 113, 89, 29, 41, 88, 198, 140, 244, 46, 133, 98, 38, 214, 24, 158, 37, 72, 26, 193, 48, 213, 177, 16, 211, 15, 188, 196, 169, 86, 128, 169, 179, 157, 222, 242, 233, 70, 252, 58, 229, 54, 0, 192, 60, 8, 253, 218, 25, 15, 62, 137, 246, 212, 41, 194, 121, 113, 196, 203, 194, 63, 105, 198, 208, 175, 212, 108, 23, 234, 18, 26, 17, 250, 93, 254, 19, 42, 157, 109, 219, 133, 145, 12, 121, 105, 22, 239, 49, 193, 152, 178, 111, 231, 226, 233, 178, 253, 116, 78, 239, 152, 153, 159, 114, 87, 146, 2, 119, 154, 196, 52, 112, 237, 7, 91, 195, 129, 14, 248, 107, 40, 171, 7, 143, 36, 134, 145, 241, 220, 72, 18, 72, 253, 212, 77, 234, 113, 27, 3, 81, 233, 119, 198, 248, 15, 72, 53, 30, 17, 253, 113, 23, 201, 191, 248, 16, 95, 86, 172, 162, 153, 243, 230, 228, 208, 231, 228, 170, 67, 250, 40, 233, 183, 194, 139, 102, 25, 190, 143, 14, 184, 98, 26, 154, 137, 56, 17, 47, 255, 107, 80, 43, 60, 10, 51, 86, 63, 41, 42, 53, 65, 152, 8, 252, 232, 44, 28, 61, 62, 160, 244, 127, 205, 181, 222, 187, 89, 235, 141, 2, 230, 37, 239, 14, 11, 248, 19, 193, 161, 58, 68, 115, 232, 139, 175, 3, 233, 43, 7, 21, 10, 96, 99, 251, 192, 181, 42, 156, 47, 48, 84, 160, 153, 209, 229, 61, 70, 244, 39, 153, 83, 74, 222, 46, 180, 153, 212, 118, 234, 119, 185, 32, 152, 93, 9, 218, 26, 188, 52, 207, 65, 171, 196, 63, 30, 118, 221, 78, 218, 171, 50, 228, 229, 68, 183, 64, 30, 35, 142, 250, 106, 249, 197, 1, 12, 86, 208, 58, 82, 212, 173, 247, 228, 188, 124, 165, 77, 133, 205, 249, 23, 1, 36, 181, 104, 64, 104, 63, 208, 141, 53, 244, 243, 126, 52, 22, 23, 107, 66, 253, 226, 21, 204, 232, 148, 127, 13, 19, 115, 187, 182, 82, 165, 83, 135, 15, 201, 170, 179, 210, 248, 111, 114, 76, 30, 161, 82, 170, 143, 84, 68, 166, 208, 139, 218, 97, 55, 206, 193, 92, 29, 131, 9, 164, 144, 212, 46, 45, 135, 28, 173, 53, 206, 61, 19, 150, 220, 141, 53, 131, 82, 52, 252, 56, 147, 127, 203, 68, 81, 47, 191, 142, 67, 2, 59, 229, 95, 218, 127, 213, 152, 165, 78, 102, 225, 80, 20, 146, 42, 148, 155, 22, 61, 62, 248, 32, 239, 185, 190, 100, 29, 32, 59, 141, 100, 175, 224, 193, 92, 67, 124, 180, 7, 123, 186, 45, 6, 203, 45, 90, 82, 206, 50, 47, 189, 7, 236, 64, 208, 14, 136, 167, 76, 15, 20, 217, 18, 199, 104, 137, 49, 247, 55, 187, 223, 252, 100, 90, 58, 215, 198, 214, 49, 12, 39, 211, 147, 205, 219, 202, 114, 162, 245, 200, 201, 77, 171, 146, 16, 38, 184, 118, 249, 104, 24, 74, 109, 252, 211, 149, 28, 181, 8, 34, 147, 189, 205, 107, 56, 178, 164, 8, 148, 77, 29, 76, 90, 245, 253, 160, 158, 163, 61, 104, 132, 25, 59, 197, 104, 45, 213, 12, 40, 83, 184, 154, 236, 211, 200, 158, 96, 173, 255, 36, 79, 144, 143, 158, 193, 107, 171, 133, 104, 101, 184, 57, 163, 125, 172, 95, 124, 132, 233, 84, 127, 31, 13, 75, 197, 77, 108, 191, 87, 252, 237, 57, 113, 254, 71, 160, 79, 160, 125, 9, 46, 167, 65, 144, 235, 172, 178, 196, 182, 252, 108, 185, 156, 69, 27, 126, 233, 71, 212, 55, 180, 181, 162, 12, 70, 160, 237, 233, 45, 238, 80, 72, 217, 153, 83, 176, 91, 9, 243, 250, 34, 91, 224, 49, 238, 79, 50, 76, 7, 107, 158, 223, 161, 70, 102, 32, 217, 247, 210, 127, 93, 229, 209, 184, 59, 8, 253, 230, 41, 155, 86, 78, 56, 148, 162, 223, 227, 23, 78, 27, 109, 246, 182, 111, 232, 63, 134, 55, 232, 243, 10, 236, 82, 207, 82, 183, 101, 82, 173, 253, 165, 110, 17, 162, 88, 199, 49, 5, 126, 45, 117, 74, 233, 28, 138, 154, 229, 208, 106, 46, 31, 89, 215, 180, 190, 185, 245, 68, 147, 87, 240, 79, 31, 58, 250, 238, 117, 164, 170, 209, 255, 233, 113, 223, 68, 197, 209, 62, 157, 106, 184, 229, 231, 115, 38, 178, 94, 46, 143, 246, 148, 178, 63, 55, 210, 149, 185, 229, 2, 101, 27, 219, 254, 58, 19, 181, 157, 142, 83, 44, 16, 44, 160, 96, 198, 237, 232, 166, 22, 254, 50, 10, 34, 171, 110, 216, 18, 61, 224, 82, 50, 89, 202, 121, 220, 84, 21, 130, 242, 58, 158, 19, 187, 190, 156, 215, 109, 78, 210, 19, 91, 142, 131, 79, 211, 229, 178, 3, 110, 171, 54, 233, 161, 197, 90, 17, 171, 172, 82, 215, 228, 190, 182, 188, 242, 29, 158, 162, 26, 122, 139, 243, 152, 128, 132, 249, 35, 117, 114, 253, 177, 154, 205, 91, 133, 55, 83, 229, 208, 19, 40, 228, 24, 28, 152, 100, 153, 158, 67, 142, 27, 137, 174, 144, 43, 124, 74, 229, 95, 162, 227, 204, 142, 107, 5, 247, 193, 103, 118, 84, 253, 168, 99, 121, 245, 234, 125, 225, 58, 255, 211, 254, 134, 96, 30, 13, 73, 96, 154, 63, 189, 248, 31, 158, 106, 5, 240, 115, 49, 27, 61, 189, 9, 164, 29, 21, 215, 43, 254, 81, 14, 179, 239, 66, 102, 61, 96, 95, 8, 242, 235, 156, 54, 18, 123, 33, 115, 226, 241, 207, 41, 36, 165, 58, 53, 151, 77, 253, 171, 25, 238, 187, 224, 5, 246, 73, 35, 77, 10, 53, 61, 55, 208, 82, 179, 180, 60, 191, 15, 49, 104, 14, 58, 23, 91, 76, 213, 200, 96, 155, 25, 188, 160, 129, 35, 103, 202, 34, 101, 46, 249, 145, 66, 163, 200, 156, 147, 214, 183, 228, 147, 60, 51, 122, 117, 110, 36, 179, 68, 141, 75, 161, 56, 211, 217, 113, 186, 64, 196, 50, 52, 4, 77, 3, 207, 27, 146, 114, 79, 201, 49, 192, 41, 176, 73, 239, 5, 146, 145, 206, 149, 19, 44, 185, 20, 116, 74, 80, 181, 228, 49, 77, 160, 246, 155, 28, 30, 44, 86, 171, 234, 115, 26, 153, 211, 126, 231, 252, 120, 18, 234, 44, 207, 114, 157, 208, 126, 160, 218, 252, 67, 191, 79, 44, 111, 47, 12, 175, 145, 29, 241, 88, 35, 52, 107, 40, 86, 153, 171, 112, 125, 182, 72, 176, 197, 236, 102, 14, 167, 108, 127, 128, 226, 64, 211, 172, 70, 27, 236, 200, 184, 101, 244, 9, 125, 245, 109, 247, 117, 105, 48, 128, 101, 243, 41, 142, 181, 245, 146, 80, 192, 241, 85, 182, 39, 178, 62, 202, 225, 241, 154, 251, 83, 245, 73, 217, 75, 251, 151, 225, 236, 172, 45, 107, 219, 173, 30, 207, 63, 217, 191, 165, 24, 111, 119, 255, 21, 206, 87, 135, 207, 229, 27, 191, 13, 80, 251, 198, 51, 198, 67, 102, 244, 183, 53, 154, 85, 97, 208, 75, 208, 228, 5, 178, 110, 233, 142, 147, 92, 72, 213, 194, 209, 70, 12, 166, 230, 51, 128, 8, 21, 92, 94, 71, 190, 61, 133, 21, 19, 150, 200, 127, 7, 39, 29, 48, 69, 117, 104, 58, 251, 11, 178, 209, 108, 2, 173, 154, 86, 232, 101, 191, 116, 3, 40, 230, 57, 68, 230, 45, 4, 221, 94, 158, 42, 60, 80, 89, 188, 59, 130, 207, 37, 192, 14, 173, 252, 131, 219, 240, 242, 8, 244, 129, 147, 95, 63, 238, 121, 105, 128, 144, 60, 161, 78, 96, 137, 72, 33, 242, 133, 220, 162, 146, 255, 164, 232, 57, 178, 207, 240, 113, 136, 145, 139, 162, 227, 185, 84, 141, 84, 15, 92, 145, 165, 206, 233, 54, 222, 90, 11, 126, 216, 79, 66, 160, 93, 254, 195, 55, 88, 111, 21, 209, 255, 140, 206, 222, 65, 170, 8, 160, 171, 177, 53, 0, 81, 247, 2, 82, 135, 15, 100, 190, 151, 186, 123, 233, 23, 143, 152, 75, 93, 36, 25, 11, 230, 77, 255, 157, 207, 245, 255, 52, 244, 50, 197, 195, 65, 144, 231, 141, 69, 110, 243, 74, 74, 22, 32, 152, 66, 174, 52, 203, 44, 189, 171, 200, 117, 111, 114, 103, 159, 196, 17, 165, 24, 143, 236, 9, 203, 118, 99, 68, 17, 252, 34, 50, 125, 255, 252, 120, 212, 106, 151, 131, 72, 233, 106, 130, 252, 180, 39, 46, 46, 70, 51, 20, 135, 193, 55, 133, 70, 249, 89, 84, 157, 60, 226, 77, 4, 156, 117, 196, 216, 178, 242, 34, 121, 121, 115, 153, 73, 241, 148, 27, 150, 187, 10, 104, 49, 78, 25, 110, 31, 231, 26, 244, 85, 98, 126, 210, 227, 141, 215, 207, 205, 115, 193, 107, 221, 57, 253, 25, 102, 180, 239, 237, 180, 55, 33, 25, 229, 129, 238, 60, 178, 41, 199, 208, 186, 95, 133, 241, 229, 124, 40, 129, 251, 149, 135, 23, 185, 22, 58, 2, 168, 170, 200, 230, 76, 68, 179, 96, 169, 203, 32, 225, 225, 110, 88, 166, 11, 182, 186, 242, 205, 193, 252, 44, 124, 141, 126, 185, 106, 35, 78, 228, 2, 43, 220, 240, 145, 160, 92, 10, 212, 253, 110, 228, 173, 197, 185, 58, 65, 217, 123, 14, 32, 28, 134, 165, 173, 239, 179, 88, 91, 245, 118, 12, 201, 236, 116, 79, 220, 153, 79, 104, 6, 236, 221, 29, 93, 107, 175, 231, 148, 41, 98, 166, 241, 251, 93, 119, 191, 61, 19, 160, 35, 218, 186, 217, 25, 65, 39, 53, 50, 253, 9, 177, 173, 39, 231, 170, 133, 81, 27, 41, 113, 119, 85, 142, 229, 72, 182, 195, 195, 29, 232, 92, 218, 76, 54, 76, 165, 169, 122, 78, 176, 105, 239, 129, 39, 66, 22, 31, 241, 131, 232, 201, 23, 101, 251, 77, 186, 251, 244, 102, 158, 184, 198, 119, 191, 64, 138, 46, 120, 105, 13, 101, 244, 123, 255, 164, 197, 244, 161, 224, 67, 153, 74, 235, 153, 209, 178, 190, 5, 7, 158, 30, 65, 200, 173, 183, 114, 100, 148, 57, 54, 186, 26, 247, 141, 22, 86, 192, 218, 248, 54, 39, 180, 241, 65, 16, 234, 27, 14, 9, 82, 58, 197, 73, 119, 116, 235, 169, 239, 162, 235, 164, 2, 236, 35, 129, 128, 227, 105, 233, 17, 58, 36, 184, 16, 45, 228, 176, 196, 201, 191, 63, 186, 24, 239, 188, 230, 255, 157, 201, 254, 100, 255, 46, 38, 158, 187, 255, 248, 115, 215, 37, 101, 157, 3, 166, 176, 185, 38, 1, 1, 123, 118, 105, 62, 71, 200, 197, 165, 26, 65, 60, 244, 26, 134, 175, 30, 143, 54, 231, 72, 149, 192, 222, 5, 178, 146, 5, 244, 35, 171, 180, 87, 171, 225, 8, 18, 101, 115, 205, 177, 199, 67, 41, 174, 16, 77, 60, 247, 38, 186, 223, 252, 48, 63, 63, 254, 55, 237, 249, 151, 21, 159, 12, 25, 89, 74, 134, 163, 5, 79, 148, 29, 119, 76, 61, 35, 53, 146, 42, 214, 13, 123, 73, 177, 108, 200, 116, 50, 19, 69, 125, 158, 210, 126, 33, 171, 224, 186, 110, 59, 70, 222, 158, 12, 131, 88, 183, 39, 114, 157, 205, 119, 178, 54, 56, 69, 122, 216, 40, 253, 114, 99, 87, 30, 48, 81, 216, 67, 158, 38, 149, 207, 230, 196, 250, 98, 115, 107, 231, 123, 152, 174, 210, 65, 254, 236, 185, 153, 46, 38, 207, 192, 19, 107, 204, 169, 94, 82, 246, 36, 139, 42, 124, 66, 6, 55, 25, 54, 82, 95, 69, 133, 250, 230, 39, 221, 255, 167, 152, 189, 177, 224, 196, 25, 207, 164, 108, 241, 252, 230, 83, 175, 36, 131, 191, 242, 247, 80, 205, 133, 91, 190, 11, 68, 193, 116, 206, 247, 148, 223, 175, 163, 72, 234, 186, 251, 49, 115, 22, 207, 200, 53, 4, 102, 116, 10, 192, 42, 176, 246, 59, 208, 227, 131, 227, 240, 144, 120, 157, 108, 8, 57, 149, 232, 100, 84, 155, 51, 247, 142, 44, 154, 23, 62, 175, 46, 69, 213, 61, 252, 191, 56, 46, 57, 226, 51, 34, 117, 130, 225, 160, 144, 215, 207, 199, 141, 46, 140, 5, 62, 33, 200, 117, 103, 185, 203, 5, 95, 234, 151, 179, 221, 181, 61, 67, 229, 50, 140, 194, 253, 130, 79, 209, 213, 120, 95, 119, 39, 15, 187, 43, 210, 110, 143, 253, 122, 70, 79, 130, 65, 208, 134, 157, 214, 5, 230, 131, 84, 217, 123, 100, 250, 66, 218, 255, 185, 228, 100, 254, 18, 230, 239, 23, 172, 169, 71, 50, 4, 235, 142, 93, 104, 224, 200, 255, 54, 152, 150, 21, 121, 72, 223, 211, 95, 221, 188, 57, 109, 188, 190, 238, 141, 143, 84, 135, 42, 174, 22, 68, 64, 163, 40, 77, 23, 183, 204, 7, 160, 95, 209, 81, 9, 229, 92, 1, 210, 201, 204, 133, 32, 11, 56, 204, 197, 75, 82, 68, 72, 11, 209, 190, 59, 219, 73, 104, 226, 18, 9, 69, 2, 59, 16, 21, 47, 186, 136, 30, 29, 56, 240, 20, 2, 60, 208, 16, 94, 156, 127, 143, 120, 102, 205, 226, 27, 79, 94, 85, 124, 26, 212, 233, 160, 231, 112, 238, 205, 31, 120, 243, 152, 194, 43, 146, 73, 108, 248, 46, 253, 210, 119, 122, 100, 254, 213, 91, 182, 78, 31, 174, 59, 244, 218, 133, 18, 21, 59, 230, 0, 77, 3, 194, 4, 54, 60, 221, 21, 47, 1, 143, 41, 86, 173, 153, 230, 172, 239, 158, 69, 162, 105, 47, 199, 197, 232, 209, 139, 150, 230, 45, 18, 49, 47, 181, 202, 7, 161, 65, 150, 95, 59, 239, 14, 43, 157, 81, 7, 176, 184, 159, 23, 98, 1, 4, 144, 187, 210, 74, 239, 69, 30, 158, 189, 109, 126, 231, 190, 211, 250, 160, 13, 78, 73, 122, 112, 194, 159, 243, 148, 215, 186, 42, 70, 131, 90, 15, 133, 225, 74, 7, 3, 119, 41, 49, 23, 172, 176, 181, 85, 230, 190, 88, 49, 166, 5, 29, 104, 70, 74, 225, 149, 14, 12, 78, 58, 29, 195, 212, 67, 183, 168, 244, 97, 46, 44, 104, 66, 240, 141, 229, 26, 151, 238, 173, 187, 51, 245, 209, 15, 22, 125, 225, 197, 187, 121, 154, 26, 24, 95, 44, 0, 217, 84, 129, 72, 205, 215, 236, 219, 58, 21, 147, 67, 4, 61, 59, 212, 195, 48, 98, 124, 85, 176, 146, 100, 80, 125, 5, 239, 136, 2, 72, 13, 233, 254, 25, 235, 213, 162, 67, 167, 20, 45, 162, 25, 246, 109, 12, 215, 216, 143, 150, 246, 55, 163, 57, 141, 150, 209, 205, 142, 236, 140, 82, 179, 0, 74, 9, 251, 21, 228, 50, 182, 254, 216, 211, 113, 180, 168, 65, 146, 52, 114, 34, 27, 45, 150, 230, 203, 111, 131, 115, 0, 208, 62, 246, 157, 244, 92, 130, 191, 251, 238, 36, 2, 33, 54, 66, 86, 153, 161, 227, 179, 132, 138, 132, 103, 68, 220, 72, 146, 137, 226, 175, 101, 32, 184, 69, 19, 173, 55, 164, 38, 113, 63, 57, 158, 98, 59, 189, 181, 41, 140, 196, 169, 164, 81, 178, 76, 138, 67, 184, 169, 52, 206, 207, 231, 227, 251, 94, 169, 57, 151, 115, 175, 113, 176, 78, 48, 249, 187, 164, 233, 116, 166, 162, 167, 18, 189, 2, 11, 177, 172, 30, 54, 59, 55, 209, 33, 137, 1, 254, 164, 76, 85, 82, 202, 149, 111, 6, 106, 113, 72, 233, 199, 124, 154, 81, 174, 167, 143, 215, 239, 159, 189, 97, 104, 135, 83, 104, 241, 39, 12, 154, 22, 246, 2, 90, 155, 123, 128, 122, 238, 88, 62, 141, 151, 41, 73, 124, 15, 140, 189, 37, 229, 61, 167, 117, 24, 124, 191, 51, 156, 37, 186, 164, 163, 37, 219, 30, 253, 61, 83, 129, 35, 160, 190, 169, 193, 147, 142, 26, 119, 247, 23, 168, 44, 190, 182, 181, 208, 245, 12, 137, 155, 234, 111, 3, 83, 55, 47, 44, 66, 92, 66, 58, 174, 5, 110, 197, 241, 237, 174, 50, 34, 214, 30, 164, 133, 173, 155, 139, 189, 108, 140, 92, 10, 33, 252, 153, 146, 214, 183, 124, 141, 212, 109, 202, 22, 250, 170, 70, 22, 52, 1, 16, 73, 204, 61, 60, 79, 17, 223, 177, 216, 82, 9, 106, 131, 249, 114, 180, 220, 174, 124, 90, 153, 158, 212, 126, 229, 162, 200, 88, 42, 61, 221, 249, 119, 58, 47, 54, 45, 146, 160, 181, 187, 20, 111, 134, 93, 60, 67, 105, 14, 251, 48, 71, 168, 231, 251, 200, 57, 162, 135, 208, 225, 117, 73, 69, 230, 120, 148, 97, 168, 12, 58, 143, 149, 131, 154, 45, 9, 33, 238, 111, 225, 244, 214, 160, 20, 128, 11, 165, 39, 11, 132, 94, 7, 76, 177, 132, 65, 148, 189, 98, 182, 73, 41, 240, 232, 71, 227, 226, 58, 216, 97, 75, 89, 198, 232, 243, 239, 193, 90, 41, 221, 1, 215, 81, 103, 58, 42, 230, 99, 112, 127, 4, 232, 104, 109, 92, 156, 213, 206, 38, 103, 151, 73, 85, 207, 52, 40, 142, 249, 118, 220, 37, 68, 109, 75, 133, 135, 237, 228, 95, 13, 174, 81, 51, 149, 69, 127, 221, 214, 185, 124, 141, 70, 12, 241, 68, 75, 197, 118, 90, 214, 189, 13, 155, 14, 50, 79, 14, 145, 217, 147, 78, 120, 17, 250, 214, 139, 167, 72, 140, 68, 197, 168, 44, 173, 114, 137, 148, 235, 250, 88, 59, 162, 147, 87, 121, 134, 58, 230, 41, 67, 32, 132, 236, 19, 199, 222, 177, 207, 128, 15, 61, 233, 68, 187, 237, 94, 44, 40, 7, 197, 177, 118, 176, 137, 123, 166, 17, 247, 101, 0, 178, 45, 137, 177, 49, 214, 205, 188, 207, 187, 111, 159, 162, 96, 86, 79, 138, 111, 241, 230, 234, 123, 123, 139, 143, 84, 18, 39, 120, 222, 47, 207, 125, 248, 189, 144, 30, 28, 9, 55, 1, 131, 30, 54, 22, 184, 134, 215, 188, 90, 55, 73, 126, 176, 74, 40, 77, 44, 101, 244, 21, 230, 23, 217, 62, 38, 198, 71, 247, 52, 88, 27, 225, 250, 167, 241, 230, 71, 243, 236, 241, 198, 163, 40, 45, 202, 137, 58, 43, 249, 17, 34, 7, 245, 69, 120, 157, 214, 181, 178, 97, 12, 201, 156, 141, 37, 90, 206, 62, 25, 230, 218, 176, 54, 12, 13, 193, 157, 50, 178, 103, 95, 43, 176, 67, 253, 50, 107, 161, 71, 66, 39, 238, 158, 12, 90, 112, 207, 170, 11, 110, 162, 83, 180, 208, 85, 220, 247, 42, 155, 93, 71, 235, 136, 249, 89, 220, 213, 202, 226, 225, 210, 107, 106, 214, 232, 160, 71, 165, 229, 18, 123, 26, 250, 64, 81, 3, 113, 227, 252, 85, 159, 128, 227, 204, 54, 39, 26, 199, 151, 220, 222, 183, 244, 251, 183, 165, 140, 13, 184, 61, 14, 209, 83, 243, 187, 123, 27, 206, 159, 108, 130, 102, 13, 126, 19, 176, 2, 131, 122, 227, 22, 217, 76, 46, 234, 184, 206, 255, 183, 100, 216, 37, 193, 41, 189, 16, 16, 34, 60, 199, 5, 209, 200, 86, 101, 209, 128, 162, 225, 185, 69, 50, 142, 205, 249, 64, 20, 251, 255, 125, 0, 28, 56, 87, 200, 19, 47, 75, 142, 118, 40, 209, 104, 19, 49, 82, 207, 124, 30, 142, 135, 156, 230, 33, 70, 13, 235, 54, 117, 14, 139, 7, 81, 138, 118, 179, 18, 156, 60, 91, 129, 62, 153, 14, 114, 80, 244, 174, 63, 146, 89, 197, 77, 41, 252, 95, 167, 48, 14, 189, 161, 24, 51, 243, 99, 70, 58, 30, 121, 248, 159, 17, 244, 245, 221, 168, 23, 67, 100, 159, 83, 252, 250, 113, 237, 55, 249, 164, 144, 244, 218, 175, 243, 110, 133, 58, 240, 135, 184, 104, 216, 246, 11, 107, 252, 126, 52, 108, 36, 157, 199, 107, 99, 203, 138, 127, 180, 163, 49, 227, 158, 38, 155, 48, 214, 17, 202, 172, 19, 43, 131, 110, 189, 92, 233, 189, 1, 63, 67, 162, 253, 10, 144, 217, 234, 245, 40, 204, 136, 229, 236, 112, 212, 1, 247, 203, 44, 73, 9, 163, 158, 12, 80, 192, 192, 183, 136, 164, 20, 141, 251, 22, 223, 67, 68, 86, 208, 109, 85, 178, 92, 194, 162, 11, 139, 65, 85, 216, 251, 190, 138, 31, 212, 79, 175, 144, 247, 29, 81, 133, 78, 46, 110, 235, 207, 76, 206, 148, 190, 165, 207, 46, 234, 132, 9, 200, 110, 16, 247, 15, 123, 150, 212, 230, 84, 248, 68, 232, 45, 124, 73, 173, 45, 42, 155, 43, 108, 135, 211, 15, 81, 228, 151, 81, 170, 94, 103, 92, 155, 242, 45, 173, 1, 211, 154, 165, 61, 65, 125, 112, 61, 121, 12, 51, 246, 160, 184, 78, 0, 189, 114, 214, 155, 128, 161, 117, 130, 62, 167, 141, 128, 176, 53, 116, 69, 120, 241, 191, 212, 41, 141, 185, 120, 60, 102, 105, 241, 119, 75, 71, 142, 89, 35, 196, 236, 59, 185, 189, 206, 250, 29, 189, 102, 213, 43, 190, 185, 102, 108, 229, 81, 106, 3, 192, 90, 224, 86, 89, 73, 110, 217, 217, 109, 10, 150, 1, 183, 226, 11, 55, 55, 22, 153, 50, 110, 16, 183, 42, 137, 188, 94, 225, 228, 228, 9, 248, 128, 41, 103, 167, 227, 121, 139, 229, 54, 70, 222, 205, 75, 10, 45, 88, 244, 50, 94, 251, 90, 217, 198, 30, 76, 6, 187, 25, 119, 185, 246, 66, 31, 13, 41, 59, 177, 165, 251, 72, 152, 116, 38, 255, 78, 124, 193, 222, 212, 13, 156, 226, 198, 55, 154, 192, 113, 168, 134, 147, 216, 141, 228, 245, 111, 163, 19, 49, 98, 7, 202, 10, 129, 184, 136, 102, 65, 130, 151, 112, 29, 209, 188, 33, 221, 59, 14, 130, 176, 23, 27, 246, 152, 86, 114, 210, 145, 202, 25, 163, 205, 154, 246, 113, 122, 56, 204, 181, 23, 221, 25, 241, 221, 223, 143, 231, 235, 132, 248, 135, 173, 74, 177, 153, 164, 235, 11, 42, 190, 7, 150, 151, 196, 25, 16, 102, 164, 0, 42, 77, 227, 26, 90, 2, 3, 87, 32, 35, 93, 181, 222, 238, 41, 69, 197, 71, 168, 224, 47, 176, 162, 163, 214, 143, 235, 254, 253, 19, 61, 206, 30, 202, 188, 74, 141, 77, 51, 163, 183, 50, 47, 153, 103, 167, 109, 245, 49, 53, 9, 189, 158, 99, 205, 249, 188, 54, 168, 37, 124, 207, 240, 140, 172, 0, 179, 57, 90, 5, 90, 166, 72, 92, 120, 139, 41, 225, 196, 40, 15, 204, 236, 239, 85, 167, 58, 50, 102, 86, 13, 89, 205, 16, 206, 238, 194, 51, 190, 112, 43, 217, 75, 151, 195, 98, 14, 230, 26, 80, 249, 13, 251, 97, 21, 21, 35, 51, 74, 194, 54, 125, 108, 13, 2, 167, 210, 12, 87, 16, 101, 232, 135, 148, 71, 181, 48, 242, 100, 50, 56, 92, 205, 205, 163, 94, 36, 251, 72, 121, 241, 168, 84, 118, 134, 236, 96, 222, 178, 204, 48, 152, 24, 1, 107, 129, 98, 69, 159, 132, 134, 202, 216, 119, 36, 63, 80, 91, 230, 81, 11, 228, 229, 238, 196, 227, 247, 20, 233, 100, 30, 158, 199, 38, 46, 41, 15, 43, 118, 149, 54, 181, 74, 98, 53, 17, 109, 152, 182, 104, 72, 16, 121, 137, 195, 155, 195, 152, 179, 93, 33, 107, 83, 166, 62, 89, 19, 168, 238, 124, 18, 233, 55, 58, 200, 78, 211, 35, 61, 108, 12, 84, 149, 65, 116, 50, 187, 247, 14, 195, 124, 251, 237, 29, 133, 10, 84, 135, 176, 5, 71, 107, 79, 223, 137, 42, 137, 2, 53, 44, 254, 31, 58, 216, 15, 82, 184, 75, 71, 66, 147, 43, 30, 88, 47, 83, 22, 149, 76, 179, 247, 233, 134, 36, 113, 99, 42, 126, 170, 251, 14, 110, 12, 237, 90, 22, 15, 82, 207, 162, 176, 4, 186, 106, 237, 12, 60, 25, 36, 119, 122, 13, 155, 27, 22, 154, 148, 214, 185, 118, 62, 114, 204, 163, 201, 117, 8, 39, 25, 39, 59, 225, 130, 17, 148, 211, 54, 133, 32, 74, 245, 99, 86, 59, 197, 53, 12, 39, 19, 7, 203, 103, 50, 222, 80, 170, 214, 208, 69, 18, 210, 132, 18, 124, 43, 50, 90, 5, 211, 137, 2, 78, 60, 146, 77, 160, 240, 163, 37, 71, 15, 228, 197, 213, 12, 86, 38, 38, 144, 215, 251, 48, 145, 161, 168, 44, 126, 37, 71, 34, 93, 110, 97, 231, 239, 77, 101, 54, 54, 180, 186, 70, 224, 101, 164, 141, 79, 0, 104, 241, 82, 117, 130, 162, 62, 82, 46, 144, 31, 114, 157, 232, 47, 154, 98, 35, 121, 181, 54, 175, 7, 62, 14, 142, 70, 122, 30, 189, 92, 206, 88, 103, 43, 239, 188, 75, 150, 30, 150, 64, 125, 193, 248, 102, 66, 43, 248, 194, 126, 133, 163, 245, 133, 208, 43, 66, 121, 2, 43, 218, 115, 32, 57, 19, 168, 193, 169, 51, 117, 9, 87, 116, 139, 87, 220, 160, 94, 245, 210, 29, 113, 126, 223, 192, 31, 225, 151, 173, 131, 1, 42, 115, 169, 14, 208, 59, 47, 197, 154, 74, 214, 196, 2, 212, 249, 81, 139, 188, 207, 42, 113, 217, 251, 134, 118, 65, 105, 150, 28, 145, 14, 128, 238, 224, 79, 128, 106, 13, 47, 242, 198, 192, 27, 146, 19, 54, 199, 241, 84, 234, 12, 165, 9, 110, 146, 124, 212, 67, 153, 107, 209, 157, 245, 96, 173, 244, 35, 186, 194, 96, 133, 163, 13, 254, 221, 215, 254, 197, 2, 149, 140, 138, 130, 172, 176, 22, 239, 124, 58, 242, 212, 53, 185, 251, 133, 212, 136, 115, 17, 137, 80, 57, 178, 5, 177, 84, 118, 180, 157, 223, 173, 101, 39, 40, 96, 229, 252, 185, 24, 64, 200, 54, 153, 60, 158, 12, 186, 135, 214, 185, 166, 248, 115, 156, 6, 253, 12, 76, 4, 172, 194, 88, 202, 205, 40, 221, 220, 183, 143, 99, 162, 151, 119, 55, 99, 16, 187, 112, 200, 18, 48, 119, 30, 250, 14, 140, 172, 26, 118, 174, 175, 115, 152, 186, 112, 29, 82, 177, 184, 30, 223, 175, 49, 220, 104, 211, 215, 151, 187, 130, 56, 204, 225, 30, 81, 109, 88, 39, 179, 213, 164, 82, 196, 152, 79, 117, 254, 194, 187, 149, 99, 229, 14, 23, 197, 246, 255, 38, 10, 158, 157, 255, 59, 59, 60, 82, 188, 252, 126, 56, 87, 216, 222, 29, 121, 250, 79, 213, 150, 125, 76, 243, 32, 107, 178, 221, 230, 208, 56, 233, 242, 94, 67, 60, 171, 81, 148, 137, 84, 90, 1, 20, 173, 63, 1, 174, 225, 214, 151, 88, 212, 31, 199, 57, 75, 40, 164, 122, 145, 7, 196, 172, 65, 122, 17, 61, 179, 34, 30, 200, 178, 81, 133, 189, 37, 122, 98, 231, 228, 60, 113, 137, 252, 86, 24, 206, 129, 88, 172, 124, 216, 197, 64, 110, 122, 26, 15, 201, 41, 87, 82, 97, 68, 216, 182, 195, 220, 212, 131, 158, 135, 84, 207, 115, 151, 222, 67, 249, 235, 164, 218, 55, 31, 93, 213, 124, 38, 88, 213, 133, 74, 58, 229, 212, 177, 45, 246, 48, 80, 179, 96, 105, 124, 59, 7, 13, 211, 200, 177, 104, 202, 121, 78, 177, 182, 92, 13, 163, 132, 250, 16, 65, 55, 48, 27, 255, 166, 98, 71, 167, 125, 229, 106, 97, 29, 12, 195, 15, 206, 111, 224, 113, 143, 58, 237, 151, 152, 201, 200, 50, 231, 220, 42, 206, 253, 195, 202, 196, 253, 118, 233, 7, 0, 150, 9, 84, 231, 94, 56, 100, 209, 30, 92, 120, 228, 94, 58, 201, 195, 180, 108, 176, 33, 104, 52, 38, 60, 188, 178, 181, 238, 146, 215, 19, 107, 172, 5, 249, 21, 34, 235, 17, 140, 126, 228, 182, 241, 116, 139, 184, 27, 82, 157, 68, 152, 105, 66, 161, 215, 21, 63, 51, 46, 92, 174, 90, 60, 4, 202, 2, 246, 165, 72, 37, 106, 133, 38, 111, 14, 187, 155, 152, 150, 125, 17, 117, 168, 174, 239, 220, 26, 157, 178, 245, 200, 205, 228, 243, 166, 112, 87, 242, 14, 36, 226, 242, 179, 113, 176, 114, 121, 30, 168, 81, 244, 119, 220, 196, 67, 192, 19, 233, 191, 9, 7, 235, 102, 103, 76, 72, 101, 54, 142, 66, 27, 240, 137, 130, 156, 45, 201, 112, 70, 98, 77, 206, 162, 190, 248, 66, 173, 109, 181, 97, 90, 124, 122, 177, 143, 87, 169, 103, 64, 229, 162, 176, 113, 183, 165, 226, 69, 200, 134, 45, 78, 97, 108, 122, 7, 82, 8, 11, 183, 153, 20, 21, 72, 200, 5, 155, 77, 113, 49, 232, 229, 116, 95, 165, 80, 182, 57, 148, 181, 145, 41, 196, 191, 46, 0, 143, 134, 169, 123, 125, 38, 79, 172, 175, 33, 171, 84, 94, 76, 90, 120, 59, 101, 222, 234, 91, 2, 204, 72, 77, 80, 95, 203, 203, 17, 158, 102, 86, 79, 153, 145, 95, 73, 206, 92, 82, 180, 36, 89, 131, 231, 74, 227, 117, 198, 202, 69, 190, 166, 159, 171, 95, 213, 155, 188, 186, 166, 5, 151, 196, 11, 131, 197, 240, 132, 203, 90, 184, 185, 217, 4, 105, 252, 152, 156, 19, 47, 98, 25, 81, 152, 211, 60, 255, 128, 67, 207, 228, 248, 197, 239, 158, 210, 89, 191, 104, 60, 60, 81, 52, 120, 245, 184, 9, 137, 33, 147, 49, 66, 6, 47, 13, 18, 205, 10, 205, 61, 239, 80, 64, 233, 211, 158, 229, 31, 38, 45, 26, 149, 16, 214, 135, 155, 74, 148, 172, 185, 150, 188, 188, 94, 63, 176, 253, 147, 61, 158, 55, 237, 14, 243, 207, 162, 210, 145, 110, 87, 86, 196, 255, 131, 130, 253, 175, 249, 130, 193, 204, 39, 174, 0, 238, 212, 247, 108, 43, 112, 59, 21, 42, 74, 180, 46, 42, 56, 161, 33, 43, 253, 162, 57, 161, 139, 2, 16, 232, 36, 41, 179, 85, 41, 55, 230, 43, 116, 183, 164, 205, 201, 73, 141, 79, 214, 137, 246, 115, 61, 42, 233, 159, 102, 82, 40, 60, 71, 145, 82, 162, 182, 3, 33, 11, 73, 185, 218, 120, 34, 63, 50, 95, 113, 219, 50, 16, 10, 107, 23, 124, 253, 103, 123, 56, 152, 118, 106, 216, 69, 241, 102, 234, 204, 40, 80, 55, 79, 49, 133, 34, 166, 85, 67, 216, 222, 104, 221, 24, 126, 94, 3, 43, 109, 103, 97, 75, 18, 139, 99, 109, 217, 206, 164, 124, 167, 52, 199, 4, 6, 146, 224, 223, 30, 120, 30, 137, 201, 170, 187, 60, 184, 167, 72, 33, 62, 217, 196, 134, 222, 73, 52, 66, 157, 87, 246, 240, 9, 216, 152, 244, 85, 151, 57, 65, 228, 129, 146, 55, 142, 231, 242, 217, 243, 137, 196, 187, 130, 23, 169, 23, 245, 57, 206, 153, 12, 187, 51, 49, 185, 242, 9, 116, 93, 147, 128, 179, 19, 190, 214, 150, 145, 69, 10, 54, 246, 92, 209, 87, 27, 215, 131, 214, 58, 33, 132, 123, 181, 39, 75, 165, 64, 114, 53, 172, 26, 205, 128, 182, 220, 96, 197, 194, 110, 204, 151, 143, 151, 159, 216, 22, 144, 216, 199, 71, 237, 254, 39, 68, 123, 176, 197, 207, 16, 69, 86, 41, 229, 33, 0, 218, 41, 236, 89, 5, 126, 1, 218, 207, 206, 37, 218, 1, 170, 43, 24, 4, 77, 177, 244, 77, 180, 105, 114, 175, 145, 143, 88, 108, 34, 178, 231, 156, 234, 213, 82, 95, 209, 58, 93, 199, 75, 200, 224, 122, 184, 27, 28, 113, 128, 57, 32, 97, 192, 2, 33, 81, 181, 120, 65, 24, 45, 223, 58, 54, 25, 191, 207, 212, 116, 92, 105, 200, 102, 19, 9, 119, 166, 181, 84, 222, 171, 178, 75, 184, 108, 138, 9, 96, 203, 93, 192, 30, 225, 137, 93, 181, 214, 239, 86, 46, 205, 191, 107, 161, 231, 134, 13, 140, 120, 252, 213, 12, 182, 99, 96, 230, 208, 228, 96, 82, 236, 239, 121, 249, 138, 250, 23, 49, 88, 161, 132, 43, 71, 170, 44, 183, 192, 188, 253, 192, 128, 166, 245, 108, 238, 195, 114, 169, 223, 238, 178, 108, 139, 169, 67, 255, 69, 116, 18, 131, 212, 38, 223, 214, 25, 254, 68, 49, 136, 132, 120, 217, 74, 135, 99, 50, 177, 215, 4, 131, 49, 26, 14, 210, 75, 83, 195, 212, 102, 197, 163, 117, 96, 68, 238, 122, 238, 187, 151, 31, 188, 47, 116, 226, 141, 149, 172, 108, 81, 44, 253, 131, 148, 134, 203, 192, 137, 83, 197, 128, 69, 120, 79, 44, 208, 10, 212, 3, 108, 0, 129, 155, 183, 141, 111, 246, 0, 195, 163, 216, 156, 180, 192, 84, 240, 227, 91, 49, 60, 144, 252, 142, 206, 13, 180, 9, 250, 224, 161, 82, 17, 121, 197, 33, 200, 84, 200, 14, 64, 167, 236, 76, 228, 112, 1, 155, 126, 77, 53, 128, 106, 32, 35, 209, 20, 211, 247, 251, 28, 241, 154, 128, 71, 169, 111, 119, 164, 84, 126, 97, 185, 238, 248, 190, 98, 110, 37, 104, 83, 236, 210, 116, 59, 38, 85, 32, 42, 244, 103, 237, 251, 175, 214, 51, 38, 80, 138, 215, 144, 4, 133, 71, 31, 139, 203, 124, 48, 52, 153, 37, 18, 244, 218, 177, 61, 53, 58, 112, 180, 231, 164, 193, 135, 179, 101, 227, 2, 191, 213, 171, 8, 200, 145, 214, 176, 132, 56, 113, 8, 226, 78, 202, 186, 73, 233, 133, 59, 86, 233, 187, 10, 137, 253, 32, 100, 59, 232, 162, 120, 139, 103, 180, 129, 83, 0, 134, 62, 50, 13, 59, 30, 124, 202, 122, 48, 190, 86, 101, 249, 217, 187, 87, 4, 140, 161, 16, 178, 112, 236, 12, 30, 168, 65, 247, 56, 130, 52, 250, 167, 6, 43, 78, 178, 216, 83, 17, 113, 92, 82, 30, 20, 190, 156, 35, 193, 241, 2, 142, 0, 127, 190, 181, 152, 26, 110, 48, 201, 155, 173, 180, 115, 135, 103, 105, 48, 170, 12, 185, 238, 130, 76, 203, 226, 210, 87, 132, 249, 119, 128, 128, 198, 150, 115, 227, 224, 26, 149, 77, 82, 128, 112, 45, 110, 108, 73, 145, 187, 81, 157, 150, 127, 123, 154, 161, 115, 189, 99, 106, 199, 43, 11, 181, 243, 26, 139, 52, 167, 43, 6, 129, 55, 154, 168, 23, 1, 53, 205, 184, 34, 82, 151, 241, 233, 65, 192, 149, 245, 226, 135, 65, 176, 146, 153, 26, 141, 6, 231, 107, 125, 61, 58, 165, 60, 140, 242, 190, 190, 183, 101, 222, 64, 101, 1, 49, 62, 131, 229, 51, 207, 115, 8, 162, 178, 251, 246, 28, 77, 130, 165, 189, 146, 71, 155, 75, 135, 57, 121, 235, 28, 102, 115, 53, 83, 161, 198, 182, 9, 24, 162, 251, 73, 229, 185, 208, 56, 18, 69, 129, 172, 152, 159, 185, 242, 58, 238, 179, 159, 127, 192, 238, 26, 74, 147, 208, 43, 210, 20, 116, 57, 197, 91, 57, 193, 74, 62, 159, 233, 134, 111, 73, 200, 42, 173, 83, 141, 87, 238, 150, 206, 1, 138, 145, 116, 119, 141, 210, 172, 220, 39, 178, 60, 192, 187, 205, 32, 131, 85, 203, 196, 76, 218, 123, 16, 56, 145, 228, 67, 135, 126, 132, 159, 112, 158, 29, 86, 160, 219, 99, 181, 180, 173, 84, 119, 232, 96, 161, 244, 134, 147, 13, 91, 76, 16, 61, 122, 174, 182, 202, 100, 168, 28, 165, 240, 132, 98, 178, 115, 69, 114, 103, 187, 234, 238, 211, 137, 39, 238, 141, 52, 26, 106, 195, 177, 83, 169, 168, 82, 34, 103, 55, 94, 241, 50, 241, 154, 133, 16, 78, 238, 80, 55, 210, 22, 102, 192, 111, 52, 38, 128, 18, 156, 132, 149, 89, 102, 98, 108, 1, 139, 173, 16, 97, 6, 224, 187, 89, 92, 187, 37, 245, 64, 167, 12, 156, 148, 64, 173, 108, 91, 247, 203, 199, 203, 60, 58, 49, 186, 33, 157, 165, 176, 36, 11, 157, 186, 86, 185, 207, 51, 100, 187, 214, 236, 150, 191, 76, 67, 185, 212, 118, 125, 165, 99, 234, 98, 194, 21, 201, 29, 204, 206, 115, 219, 193, 142, 11, 43, 29, 133, 222, 220, 44, 150, 200, 192, 244, 25, 64, 220, 147, 70, 30, 134, 23, 94, 93, 134, 86, 177, 179, 68, 18, 240, 21, 36, 115, 181, 71, 120, 52, 121, 12, 246, 55, 16, 173, 74, 191, 226, 96, 164, 186, 18, 29, 140, 183, 206, 13, 218, 121, 24, 15, 189, 156, 25, 249, 238, 226, 222, 124, 42, 129, 131, 58, 4, 154, 8, 119, 58, 172, 157, 179, 251, 42, 51, 196, 34, 125, 162, 38, 208, 122, 113, 173, 1, 242, 83, 130, 150, 243, 29, 48, 206, 218, 49, 150, 252, 165, 173, 217, 136, 245, 116, 208, 98, 29, 39, 169, 195, 112, 121, 121, 112, 114, 173, 221, 28, 46, 9, 218, 96, 72, 129, 108, 37, 34, 238, 118, 40, 173, 190, 180, 249, 254, 251, 184, 47, 136, 241, 111, 231, 81, 187, 149, 46, 18, 114, 83, 66, 9, 127, 91, 20, 110, 245, 250, 81, 146, 230, 95, 248, 166, 109, 40, 204, 207, 150, 11, 177, 238, 174, 98, 121, 121, 126, 80, 57, 151, 121, 76, 136, 140, 15, 109, 135, 117, 131, 227, 70, 52, 185, 228, 93, 148, 24, 24, 26, 69, 88, 217, 1, 87, 197, 13, 109, 210, 184, 13, 70, 56, 157, 149, 84, 89, 168, 212, 253, 3, 63, 172, 50, 94, 216, 32, 35, 137, 116, 62, 129, 176, 246, 84, 67, 126, 98, 93, 96, 78, 214, 40, 207, 117, 112, 41, 6, 69, 196, 245, 151, 234, 182, 236, 149, 102, 211, 178, 27, 208, 101, 38, 43, 195, 60, 6, 141, 45, 8, 120, 232, 197, 175, 182, 152, 7, 58, 229, 196, 255, 63, 11, 150, 50, 14, 122, 201, 119, 149, 181, 145, 179, 224, 75, 37, 121, 39, 174, 211, 171, 65, 6, 105, 121, 45, 207, 47, 150, 83, 58, 47, 232, 184, 139, 54, 175, 229, 118, 97, 79, 218, 213, 222, 238, 5, 234, 194, 218, 210, 147, 24, 31, 55, 173, 184, 151, 197, 162, 154, 251, 118, 243, 108, 208, 241, 8, 187, 189, 138, 13, 234, 156, 94, 17, 8, 144, 156, 216, 78, 70, 142, 134, 156, 108, 229, 33, 4, 159, 227, 213, 232, 134, 210, 17, 219, 93, 67, 136, 114, 192, 74, 187, 239, 24, 177, 132, 222, 186, 60, 206, 19, 78, 137, 197, 105, 129, 157, 88, 90, 85, 56, 243, 34, 238, 162, 253, 196, 128, 100, 181, 25, 169, 200, 76, 116, 62, 50, 36, 176, 157, 188, 107, 17, 76, 95, 21, 104, 193, 186, 213, 44, 134, 90, 174, 203, 44, 177, 195, 58, 229, 233, 26, 22, 219, 183, 168, 67, 167, 249, 94, 15, 37, 204, 115, 110, 30, 45, 109, 161, 221, 18, 116, 129, 187, 86, 226, 160, 146, 203, 176, 175, 184, 194, 161, 148, 238, 127, 144, 220, 179, 203, 148, 195, 222, 62, 237, 236, 187, 27, 165, 14, 124, 237, 114, 52, 101, 60, 95, 39, 109, 196, 60, 143, 94, 93, 116, 219, 142, 176, 228, 210, 72, 56, 5, 179, 78, 83, 233, 238, 215, 87, 87, 180, 195, 71, 33, 172, 162, 18, 203, 77, 45, 150, 215, 253, 41, 86, 196, 47, 151, 134, 204, 117, 170, 203, 169, 211, 148, 97, 205, 227, 214, 18, 64, 73, 108, 241, 190, 229, 204, 253, 232, 160, 220, 184, 63, 56, 226, 101, 144, 125, 93, 124, 139, 33, 107, 62, 191, 218, 192, 29, 98, 183, 241, 143, 82, 32, 228, 42, 182, 164, 222, 79, 228, 136, 134, 206, 146, 218, 95, 230, 18, 212, 20, 166, 2, 9, 124, 103, 167, 189, 167, 110, 67, 20, 52, 247, 189, 24, 158, 190, 133, 200, 202, 159, 140, 72, 167, 249, 171, 106, 97, 216, 146, 220, 23, 175, 30, 95, 105, 70, 238, 29, 167, 182, 128, 191, 13, 113, 242, 226, 205, 113, 157, 66, 97, 90, 102, 72, 108, 150, 22, 231, 231, 193, 242, 206, 109, 247, 171, 121, 228, 5, 10, 29, 9, 181, 100, 111, 24, 230, 140, 184, 183, 19, 240, 104, 212, 100, 221, 220, 138, 164, 47, 1, 197, 66, 139, 94, 6, 207, 154, 0, 184, 44, 86, 172, 196, 62, 209, 164, 113, 133, 74, 244, 157, 172, 223, 11, 201, 169, 195, 3, 224, 237, 12, 119, 21, 206, 63, 94, 251, 21, 145, 149, 164, 38, 217, 158, 82, 232, 227, 47, 26, 138, 227, 245, 83, 109, 46, 14, 86, 74, 105, 131, 150, 56, 87, 50, 97, 1, 84, 158, 74, 14, 199, 12, 15, 168, 124, 26, 228, 62, 129, 224, 79, 7, 115, 36, 210, 190, 46, 79, 93, 84, 250, 34, 73, 119, 102, 203, 199, 166, 126, 19, 244, 202, 163, 143, 196, 100, 197, 143, 224, 125, 87, 241, 85, 101, 5, 62, 24, 245, 185, 144, 0, 38, 143, 251, 60, 120, 72, 51, 89, 206, 242, 93, 100, 15, 160, 77, 222, 46, 229, 72, 22, 89, 216, 187, 159, 30, 107, 93, 67, 250, 59, 94, 130, 210, 219, 153, 165, 248, 94, 123, 56, 61, 13, 241, 195, 29, 129, 126, 194, 160, 21, 34, 116, 100, 226, 210, 99, 26, 208, 99, 32, 124, 93, 230, 200, 220, 65, 85, 122, 70, 186, 224, 250, 111, 248, 115, 108, 189, 68, 23, 146, 235, 15, 224, 123, 9, 199, 125, 91, 25, 122, 196, 119, 59, 207, 175, 165, 141, 123, 75, 109, 123, 58, 136, 212, 116, 119, 90, 157, 36, 5, 207, 42, 155, 213, 229, 117, 80, 54, 52, 60, 64, 78, 40, 217, 188, 79, 50, 150, 111, 63, 180, 99, 218, 145, 65, 170, 155, 218, 117, 97, 116, 24, 155, 75, 218, 65, 77, 89, 225, 7, 50, 55, 41, 227, 202, 205, 215, 207, 181, 229, 221, 133, 242, 19, 240, 107, 174, 217, 60, 71, 127, 127, 130, 201, 139, 219, 150, 88, 55, 115, 63, 26, 156, 13, 126, 221, 35, 53, 237, 210, 178, 78, 18, 216, 56, 25, 117, 114, 172, 247, 36, 51, 232, 117, 123, 242, 34, 156, 0, 85, 163, 39, 237, 181, 182, 161, 154, 183, 228, 214, 91, 85, 220, 2, 89, 136, 234, 252, 241, 45, 225, 204, 179, 180, 160, 192, 240, 126, 100, 116, 165, 79, 190, 161, 93, 152, 230, 235, 202, 82, 63, 30, 169, 176, 180, 94, 173, 238, 229, 46, 236, 164, 223, 181, 246, 103, 30, 30, 213, 36, 166, 247, 173, 192, 188, 250, 35, 71, 124, 226, 0, 42, 86, 189, 66, 105, 245, 132, 5, 222, 93, 114, 35, 134, 215, 142, 81, 233, 254, 156, 80, 193, 6, 190, 111, 168, 49, 114, 183, 128, 220, 213, 219, 40, 124, 247, 57, 203, 216, 133, 23, 198, 136, 215, 208, 74, 55, 129, 41, 88, 7, 197, 127, 56, 96, 76, 116, 153, 119, 2, 210, 229, 28, 147, 203, 231, 62, 221, 85, 252, 104, 185, 9, 165, 32, 212, 142, 158, 86, 4, 97, 46, 26, 81, 147, 144, 2, 164, 15, 117, 219, 243, 61, 165, 214, 31, 117, 205, 2, 240, 8, 205, 232, 34, 203, 42, 244, 232, 233, 7, 118, 144, 47, 59, 172, 112, 14, 22, 212, 53, 101, 151, 70, 84, 159, 243, 30, 180, 2, 143, 26, 14, 71, 234, 161, 223, 39, 194, 17, 92, 247, 65, 207, 51, 203, 152, 130, 53, 177, 11, 221, 26, 168, 232, 46, 27, 34, 132, 168, 177, 63, 132, 245, 224, 168, 255, 215, 197, 64, 222, 13, 203, 81, 15, 212, 231, 57, 4, 179, 165, 227, 221, 59, 223, 201, 129, 19, 61, 251, 49, 102, 209, 32, 247, 203, 45, 0, 179, 160, 252, 89, 177, 0, 26, 238, 17, 43, 236, 218, 106, 129, 182, 55, 26, 65, 25, 110, 47, 206, 150, 220, 87, 10, 108, 158, 139, 150, 246, 217, 80, 92, 208, 38, 1, 50, 240, 202, 107, 96, 33, 111, 123, 159, 154, 242, 49, 188, 50, 244, 93, 231, 253, 246, 255, 242, 86, 16, 70, 73, 127, 2, 109, 21, 13, 171, 158, 196, 18, 56, 21, 170, 162, 158, 144, 184, 255, 239, 141, 209, 144, 223, 223, 33, 63, 15, 236, 87, 46, 37, 102, 48, 94, 90, 27, 21, 183, 193, 218, 33, 18, 194, 81, 171, 10, 141, 42, 12, 181, 185, 133, 62, 2, 74, 16, 20, 184, 32, 29, 172, 16, 6, 77, 92, 23, 44, 14, 184, 166, 207, 209, 52, 157, 229, 28, 251, 34, 125, 80, 14, 236, 46, 179, 82, 171, 158, 49, 135, 79, 173, 226, 202, 255, 81, 183, 170, 107, 156, 193, 72, 195, 74, 120, 146, 49, 186, 146, 250, 200, 36, 210, 179, 245, 39, 245, 141, 154, 28, 49, 202, 195, 222, 63, 130, 144, 5, 190, 0, 199, 111, 150, 113, 102, 12, 250, 45, 118, 88, 128, 189, 142, 156, 19, 95, 115, 137, 122, 85, 75, 211, 114, 172, 100, 39, 193, 15, 78, 61, 22, 92, 178, 249, 121, 12, 154, 88, 9, 208, 155, 20, 60, 157, 188, 201, 224, 242, 255, 5, 134, 41, 99, 35, 32, 182, 230, 217, 155, 55, 21, 32, 95, 22, 183, 77, 202, 128, 249, 161, 70, 131, 92, 106, 115, 71, 53, 86, 85, 175, 73, 32, 87, 24, 52, 116, 104, 148, 45, 210, 2, 250, 238, 116, 40, 138, 175, 176, 236, 115, 248, 147, 159, 83, 161, 141, 139, 170, 44, 4, 34, 181, 49, 116, 206, 248, 106, 117, 52, 155, 233, 186, 157, 210, 35, 65, 78, 234, 118, 246, 134, 48, 23, 202, 98, 112, 210, 135, 59, 40, 154, 69, 102, 238, 72, 98, 201, 232, 127, 59, 184, 206, 190, 13, 83, 25, 112, 15, 142, 160, 68, 52, 26, 239, 118, 224, 130, 95, 111, 101, 94, 190, 132, 181, 194, 84, 130, 169, 130, 28, 189, 69, 5, 202, 93, 124, 153, 15, 105, 172, 170, 152, 189, 85, 31, 245, 186, 42, 216, 58, 64, 59, 216, 183, 28, 104, 2, 1, 248, 19, 227, 61, 124, 18, 116, 212, 117, 115, 163, 3, 19, 190, 214, 31, 241, 249, 71, 42, 182, 125, 121, 183, 164, 148, 121, 86, 118, 37, 113, 215, 101, 229, 212, 188, 42, 255, 73, 207, 252, 246, 120, 59, 136, 95, 115, 79, 39, 76, 62, 253, 150, 41, 18, 198, 20, 199, 152, 96, 86, 38, 247, 207, 20, 147, 65, 169, 15, 72, 242, 242, 59, 81, 60, 235, 38, 238, 179, 156, 99, 181, 61, 196, 90, 54, 97, 39, 207, 237, 49, 247, 139, 140, 28, 216, 170, 20, 239, 68, 19, 227, 31, 34, 148, 249, 24, 47, 1, 186, 190, 187, 27, 252, 83, 95, 191, 126, 58, 73, 223, 250, 104, 50, 123, 25, 220, 97, 252, 239, 56, 48, 77, 207, 40, 39, 234, 118, 6, 193, 136, 102, 175, 159, 203, 196, 116, 31, 158, 11, 181, 132, 14, 194, 59, 110, 162, 82, 149, 239, 112, 6, 195, 155, 201, 37, 23, 54, 239, 189, 192, 243, 143, 35, 89, 10, 3, 219, 57, 87, 164, 38, 111, 53, 7, 185, 93, 172, 107, 234, 81, 196, 150, 73, 134, 5, 206, 42, 230, 223, 94, 177, 63, 233, 181, 122, 166, 107, 155, 187, 30, 246, 89, 99, 233, 13, 31, 44, 194, 67, 140, 73, 46, 30, 92, 229, 156, 163, 54, 80, 148, 168, 135, 209, 65, 5, 51, 195, 238, 22, 171, 42, 46, 235, 35, 187, 165, 126, 163, 5, 46, 26, 42, 130, 49, 53, 19, 224, 29, 163, 106, 226, 29, 113, 65, 105, 192, 31, 40, 84, 203, 13, 219, 235, 104, 167, 27, 244, 151, 84, 130, 219, 10, 234, 134, 110, 42, 94, 30, 234, 177, 213, 193, 121, 236, 72, 145, 221, 172, 123, 69, 10, 161, 160, 88, 86, 219, 231, 23, 76, 45, 88, 59, 12, 153, 206, 193, 164, 194, 125, 4, 67, 159, 216, 249, 87, 104, 71, 17, 50, 141, 72, 159, 85, 115, 75, 248, 151, 5, 227, 8, 184, 120, 92, 250, 165, 48, 52, 11, 189, 202, 84, 255, 43, 71, 44, 87, 138, 100, 196, 221, 82, 25, 23, 218, 109, 160, 240, 95, 75, 16, 156, 36, 33, 209, 112, 120, 197, 93, 13, 149, 48, 230, 58, 89, 30, 132, 148, 206, 12, 228, 64, 91, 28, 43, 45, 107, 220, 44, 191, 126, 160, 58, 68, 224, 237, 251, 233, 197, 186, 249, 41, 210, 107, 144, 186, 167, 147, 106, 83, 44, 128, 148, 52, 157, 19, 205, 246, 99, 45, 61, 227, 154, 243, 236, 26, 249, 193, 54, 59, 174, 61, 195, 162, 71, 187, 208, 231, 97, 3, 220, 219, 248, 172, 46, 178, 20, 49, 220, 247, 37, 121, 228, 44, 198, 67, 80, 74, 102, 78, 87, 236, 1, 9, 3, 212, 156, 120, 25, 83, 187, 222, 186, 142, 175, 178, 225, 234, 29, 78, 141, 85, 34, 132, 26, 253, 186, 157, 93, 237, 92, 63, 237, 217, 191, 82, 78, 174, 9, 38, 152, 176, 229, 122, 173, 87, 224, 100, 172, 50, 67, 239, 118, 140, 114, 138, 130, 140, 222, 207, 15, 239, 228, 249, 151, 21, 43, 105, 124, 145, 23, 216, 220, 31, 129, 211, 70, 168, 2, 141, 222, 107, 123, 243, 188, 222, 221, 51, 29, 255, 27, 10, 173, 72, 157, 215, 242, 77, 89, 42, 133, 185, 43, 9, 155, 133, 155, 204, 146, 186, 15, 95, 6, 50, 135, 133, 113, 28, 113, 142, 81, 124, 138, 129, 27, 154, 0, 92, 81, 65, 87, 43, 13, 129, 57, 15, 29, 166, 193, 11, 235, 189, 156, 177, 90, 165, 143, 113, 255, 3, 168, 231, 124, 253, 54, 151, 208, 83, 23, 115, 128, 141, 6, 210, 196, 45, 224, 98, 255, 254, 246, 179, 38, 44, 243, 138, 66, 136, 103, 244, 165, 70, 102, 15, 110, 55, 91, 147, 12, 252, 61, 243, 252, 93, 232, 65, 229, 136, 49, 155, 178, 3, 143, 168, 141, 20, 25, 151, 239, 3, 180, 90, 113, 83, 70, 178, 247, 219, 84, 9, 111, 107, 150, 196, 4, 18, 240, 179, 126, 130, 60, 16, 158, 56, 144, 172, 91, 61, 25, 104, 9, 80, 208, 152, 116, 3, 92, 162, 161, 62, 199, 191, 22, 80, 145, 247, 152, 97, 194, 133, 119, 250, 185, 219, 108, 9, 73, 247, 49, 57, 160, 241, 128, 120, 232, 130, 171, 166, 154, 27, 185, 253, 21, 115, 166, 148, 240, 15, 187, 75, 19, 155, 64, 172, 225, 247, 115, 64, 248, 115, 206, 97, 166, 85, 217, 232, 224, 7, 254, 56, 38, 116, 155, 189, 145, 37, 248, 106, 102, 220, 135, 73, 152, 28, 199, 100, 49, 80, 226, 138, 210, 215, 99, 136, 64, 125, 143, 73, 163, 207, 20, 88, 133, 35, 164, 179, 249, 121, 132, 232, 79, 138, 74, 98, 212, 169, 229, 241, 121, 243, 255, 242, 238, 151, 38, 75, 179, 242, 32, 35, 29, 12, 93, 174, 38, 166, 108, 210, 237, 203, 220, 21, 248, 48, 2, 75, 51, 38, 123, 199, 220, 28, 115, 36, 35, 167, 137, 190, 67, 53, 222, 197, 168, 36, 195, 155, 194, 29, 62, 232, 184, 165, 172, 53, 108, 180, 137, 1, 255, 168, 96, 7, 125, 56, 129, 20, 37, 35, 122, 157, 168, 163, 251, 113, 75, 52, 59, 128, 215, 25, 62, 63, 68, 226, 166, 1, 32, 145, 180, 116, 59, 175, 168, 164, 146, 217, 39, 239, 52, 63, 5, 43, 130, 93, 85, 156, 185, 227, 212, 129, 161, 89, 140, 208, 152, 20, 167, 52, 41, 32, 92, 57, 191, 93, 94, 30, 161, 155, 159, 74, 147, 126, 212, 173, 33, 66, 55, 17, 170, 67, 35, 125, 60, 49, 3, 206, 84, 142, 73, 14, 228, 225, 86, 224, 101, 49, 190, 154, 214, 61, 66, 78, 212, 10, 240, 91, 154, 129, 127, 63, 253, 36, 64, 75, 3, 135, 75, 77, 88, 227, 219, 65, 22, 93, 1, 221, 247, 252, 166, 198, 189, 144, 6, 126, 69, 17, 43, 116, 251, 82, 63, 119, 4, 175, 57, 147, 58, 44, 123, 117, 94, 86, 107, 175, 96, 165, 196, 169, 160, 182, 160, 85, 23, 121, 14, 216, 117, 65, 55, 88, 206, 149, 152, 201, 110, 80, 237, 232, 52, 20, 110, 43, 92, 15, 154, 92, 218, 203, 235, 168, 101, 58, 13, 164, 101, 20, 85, 13, 108, 72, 109, 24, 179, 78, 241, 22, 191, 55, 154, 47, 129, 135, 57, 68, 6, 244, 184, 161, 32, 220, 157, 57, 114, 128, 225, 48, 108, 181, 252, 80, 131, 92, 76, 57, 211, 49, 119, 119, 99, 245, 29, 189, 8, 239, 31, 245, 203, 92, 143, 22, 115, 72, 244, 249, 178, 90, 46, 167, 162, 247, 18, 165, 94, 83, 232, 231, 122, 175, 31, 130, 221, 114, 108, 169, 102, 7, 122, 115, 146, 2, 172, 52, 147, 243, 238, 107, 34, 68, 22, 166, 140, 99, 213, 9, 102, 42, 64, 5, 3, 166, 223, 203, 232, 172, 206, 155, 253, 74, 5, 130, 224, 135, 77, 143, 66, 238, 224, 194, 250, 75, 186, 255, 209, 153, 87, 56, 29, 0, 143, 125, 188, 231, 247, 161, 92, 101, 244, 19, 9, 22, 199, 163, 17, 157, 107, 115, 88, 83, 184, 246, 140, 67, 57, 160, 40, 168, 125, 11, 135, 53, 80, 185, 31, 202, 173, 213, 238, 180, 10, 146, 174, 60, 224, 115, 86, 128, 235, 255, 112, 227, 105, 7, 241, 240, 91, 200, 174, 83, 131, 40, 177, 31, 85, 28, 215, 51, 18, 160, 208, 253, 104, 158, 178, 194, 57, 5, 136, 116, 67, 182, 226, 43, 254, 44, 26, 88, 47, 159, 22, 12, 154, 17, 81, 146, 53, 178, 199, 5, 154, 102, 103, 50, 117, 103, 155, 93, 28, 70, 87, 60, 109, 230, 224, 175, 172, 170, 111, 189, 146, 138, 71, 169, 111, 231, 67, 154, 192, 187, 119, 25, 69, 120, 205, 106, 160, 114, 81, 70, 149, 59, 90, 20, 35, 19, 147, 138, 15, 57, 185, 22, 170, 61, 87, 64, 51, 28, 95, 189, 119, 167, 104, 77, 7, 140, 121, 250, 83, 55, 56, 185, 12, 56, 80, 79, 52, 88, 99, 81, 121, 163, 187, 167, 156, 22, 110, 134, 186, 228, 125, 232, 189, 111, 77, 135, 137, 222, 175, 0, 47, 174, 51, 8, 37, 216, 79, 45, 227, 193, 239, 241, 245, 172, 111, 145, 163, 216, 116, 204, 107, 83, 216, 183, 161, 232, 211, 17, 76, 218, 77, 150, 100, 48, 48, 45, 194, 107, 45, 12, 203, 138, 39, 241, 63, 252, 229, 152, 139, 70, 75, 166, 214, 250, 145, 235, 197, 243, 88, 172, 121, 74, 27, 142, 232, 67, 41, 54, 221, 220, 81, 45, 251, 26, 133, 143, 119, 205, 22, 194, 154, 113, 214, 195, 185, 63, 126, 156, 140, 49, 62, 2, 8, 4, 253, 143, 233, 254, 253, 240, 106, 138, 94, 245, 47, 146, 240, 117, 141, 159, 194, 210, 176, 251, 26, 55, 175, 32, 170, 107, 171, 157, 52, 92, 84, 245, 68, 74, 39, 142, 174, 117, 217, 178, 251, 207, 159, 17, 154, 6, 168, 222, 31, 143, 230, 5, 97, 61, 118, 151, 10, 164, 136, 144, 82, 181, 242, 93, 40, 68, 153, 83, 65, 246, 120, 41, 40, 98, 30, 103, 49, 33, 210, 23, 138, 134, 177, 164, 197, 97, 252, 18, 235, 201, 57, 70, 1, 17, 194, 129, 116, 170, 240, 198, 37, 177, 90, 44, 118, 224, 167, 35, 62, 80, 171, 184, 221, 228, 209, 159, 234, 46, 70, 3, 175, 112, 222, 127, 216, 42, 15, 141, 203, 55, 1, 170, 250, 230, 93, 241, 120, 190, 51, 188, 235, 92, 219, 156, 253, 155, 217, 95, 78, 238, 133, 194, 117, 171, 207, 161, 165, 36, 127, 68, 237, 159, 82, 37, 247, 163, 16, 158, 60, 184, 14, 48, 7, 35, 65, 241, 44, 77, 158, 47, 94, 31, 223, 4, 26, 107, 133, 0, 153, 168, 151, 112, 59, 71, 137, 87, 59, 237, 83, 220, 210, 20, 63, 22, 39, 204, 82, 114, 250, 137, 78, 188, 130, 46, 157, 136, 140, 64, 151, 67, 219, 163, 251, 99, 185, 86, 226, 104, 50, 152, 70, 21, 3, 250, 52, 134, 69, 69, 138, 114, 10, 163, 72, 63, 7, 238, 238, 78, 74, 214, 185, 28, 142, 139, 173, 35, 213, 34, 32, 5, 111, 45, 174, 207, 130, 118, 148, 46, 174, 134, 92, 6, 105, 149, 28, 255, 221, 33, 75, 39, 68, 19, 208, 16, 203, 164, 34, 37, 77, 239, 29, 151, 165, 223, 50, 51, 133, 64, 213, 35, 68, 128, 73, 247, 110, 150, 50, 142, 193, 91, 148, 120, 88, 166, 44, 103, 1, 252, 45, 227, 82, 73, 38, 92, 150, 169, 0, 251, 157, 192, 241, 231, 206, 193, 70, 117, 66, 244, 87, 213, 65, 158, 7, 201, 163, 124, 254, 36, 152, 241, 191, 179, 231, 113, 157, 96, 44, 254, 210, 127, 152, 177, 53, 252, 109, 250, 238, 95, 123, 180, 79, 184, 95, 159, 36, 219, 209, 16, 102, 44, 171, 78, 250, 249, 39, 78, 5, 58, 93, 150, 76, 146, 41, 232, 120, 213, 90, 190, 78, 157, 42, 2, 30, 23, 143, 2, 41, 199, 23, 152, 194, 166, 189, 151, 249, 132, 161, 247, 80, 185, 126, 181, 252, 18, 198, 221, 19, 48, 124, 190, 39, 228, 226, 169, 67, 159, 42, 206, 75, 21, 119, 19, 36, 133, 207, 155, 98, 136, 223, 65, 87, 192, 242, 39, 212, 20, 23, 173, 206, 44, 31, 94, 169, 62, 253, 22, 216, 78, 77, 165, 214, 160, 48, 93, 104, 205, 106, 143, 223, 95, 159, 60, 134, 98, 114, 118, 118, 67, 54, 196, 140, 151, 14, 50, 167, 202, 170, 128, 211, 120, 53, 213, 249, 71, 255, 219, 86, 150, 141, 52, 171, 115, 144, 44, 15, 124, 153, 168, 54, 141, 119, 30, 188, 180, 19, 115, 115, 227, 124, 237, 41, 113, 147, 87, 240, 77, 242, 152, 194, 143, 31, 15, 76, 201, 94, 48, 102, 159, 137, 231, 19, 216, 133, 39, 45, 195, 158, 236, 139, 63, 198, 247, 142, 130, 51, 17, 13, 204, 10, 251, 78, 250, 31, 120, 166, 146, 244, 153, 80, 39, 162, 0, 170, 162, 221, 53, 128, 115, 249, 206, 248, 116, 23, 207, 64, 168, 103, 12, 121, 60, 217, 1, 11, 205, 41, 207, 100, 88, 109, 14, 168, 49, 221, 117, 65, 135, 65, 199, 83, 245, 173, 227, 169, 220, 180, 48, 53, 45, 229, 83, 121, 135, 89, 95, 101, 204, 163, 2, 50, 4, 10, 36, 217, 88, 212, 7, 153, 238, 17, 54, 92, 157, 167, 41, 188, 210, 36, 172, 85, 163, 99, 139, 152, 55, 103, 139, 46, 160, 183, 116, 76, 179, 47, 84, 104, 8, 32, 200, 6, 99, 225, 248, 203, 166, 172, 118, 235, 233, 21, 6, 34, 205, 240, 59, 173, 197, 86, 159, 84, 3, 115, 168, 197, 59, 193, 112, 21, 15, 17, 238, 152, 8, 165, 185, 96, 103, 211, 0, 95, 71, 159, 166, 57, 199, 255, 186, 221, 201, 115, 162, 140, 177, 178, 26, 9, 227, 151, 147, 23, 206, 167, 131, 184, 162, 244, 37, 162, 154, 44, 79, 189, 190, 151, 6, 239, 245, 116, 137, 105, 156, 117, 201, 147, 62, 192, 136, 180, 2, 64, 51, 124, 220, 30, 25, 145, 52, 245, 188, 62, 98, 121, 71, 197, 148, 93, 61, 232, 56, 169, 165, 62, 125, 103, 70, 75, 240, 24, 86, 80, 60, 32, 205, 129, 206, 48, 63, 184, 132, 93, 230, 66, 163, 218, 155, 153, 193, 146, 170, 154, 67, 91, 192, 112, 93, 107, 59, 251, 93, 42, 212, 230, 138, 63, 106, 40, 199, 127, 102, 235, 105, 212, 221, 56, 151, 235, 35, 251, 173, 141, 34, 241, 28, 163, 11, 203, 41, 107, 213, 68, 8, 164, 88, 28, 143, 225, 143, 174, 51, 91, 119, 70, 224, 58, 214, 186, 123, 241, 189, 45, 147, 60, 173, 246, 132, 193, 19, 155, 121, 241, 59, 142, 44, 15, 180, 83, 156, 89, 206, 73, 233, 195, 54, 165, 1, 113, 242, 174, 170, 162, 225, 1, 123, 150, 95, 8, 237, 136, 172, 27, 136, 101, 181, 13, 10, 3, 98, 184, 12, 157, 52, 254, 200, 81, 241, 92, 89, 62, 189, 24, 82, 47, 149, 100, 193, 138, 148, 151, 164, 253, 174, 21, 250, 44, 38, 185, 16, 169, 194, 34, 75, 227, 174, 212, 44, 111, 40, 156, 224, 71, 229, 243, 62, 178, 64, 24, 245, 146, 162, 169, 42, 178, 90, 168, 73, 63, 239, 22, 206, 189, 186, 105, 98, 5, 16, 233, 211, 45, 84, 237, 169, 58, 76, 186, 223, 72, 254, 67, 152, 64, 32, 146, 23, 174, 79, 123, 96, 56, 3, 196, 199, 220, 196, 155, 135, 15, 205, 95, 194, 45, 133, 58, 222, 48, 70, 50, 154, 129, 200, 21, 107, 42, 167, 15, 106, 2, 58, 240, 20, 56, 28, 21, 144, 222, 173, 112, 177, 238, 100, 177, 202, 233, 39, 32, 230, 96, 18, 230, 251, 30, 26, 215, 173, 26, 50, 168, 116, 184, 108, 207, 19, 213, 231, 55, 35, 119, 112, 96, 123, 5, 225, 216, 86, 96, 9, 181, 240, 173, 238, 171, 243, 214, 175, 245, 196, 32, 137, 113, 163, 245, 142, 44, 40, 115, 64, 4, 247, 22, 105, 187, 11, 195, 175, 156, 36, 115, 38, 216, 100, 61, 115, 165, 147, 23, 92, 25, 47, 232, 96, 179, 98, 0, 90, 17, 159, 46, 3, 205, 120, 38, 30, 41, 52, 69, 28, 138, 61, 72, 41, 0, 243, 138, 20, 112, 72, 11, 109, 4, 12, 108, 99, 24, 140, 206, 54, 96, 70, 86, 19, 21, 86, 4, 124, 57, 209, 222, 27, 171, 24, 122, 115, 71, 238, 161, 227, 88, 26, 141, 144, 136, 162, 211, 182, 139, 32, 31, 153, 115, 217, 174, 87, 209, 131, 59, 150, 184, 3, 118, 233, 51, 248, 151, 209, 18, 228, 85, 84, 145, 124, 169, 87, 53, 233, 247, 151, 249, 175, 134, 208, 53, 232, 232, 244, 168, 110, 223, 137, 96, 76, 97, 247, 81, 54, 208, 22, 212, 33, 239, 252, 71, 177, 53, 160, 30, 169, 33, 252, 126, 222, 43, 90, 61, 111, 242, 250, 1, 123, 184, 246, 201, 248, 90, 26, 211, 145, 87, 24, 242, 28, 19, 128, 169, 81, 195, 136, 150, 164, 32, 61, 204, 203, 251, 249, 165, 104, 183, 79, 124, 172, 223, 128, 42, 75, 131, 167, 182, 196, 40, 205, 19, 199, 206, 148, 199, 142, 64, 69, 238, 228, 199, 208, 177, 31, 218, 14, 94, 37, 3, 53, 123, 195, 18, 174, 195, 44, 50, 222, 1, 173, 131, 55, 234, 161, 12, 122, 67, 76, 40, 81, 250, 1, 214, 124, 103, 181, 225, 200, 224, 55, 197, 23, 238, 187, 145, 171, 244, 84, 87, 176, 103, 57, 47, 29, 168, 36, 232, 6, 229, 136, 122, 244, 109, 29, 216, 49, 69, 47, 74, 46, 170, 23, 174, 135, 220, 215, 115, 193, 255, 23, 151, 195, 237, 255, 39, 80, 134, 106, 89, 88, 206, 156, 191, 90, 172, 49, 208, 202, 110, 157, 93, 174, 129, 199, 34, 229, 221, 216, 193, 59, 78, 76, 195, 74, 19, 81, 231, 210, 34, 45, 26, 216, 118, 164, 128, 228, 165, 82, 245, 195, 61, 222, 5, 224, 90, 161, 182, 137, 146, 10, 214, 46, 215, 182, 110, 195, 13, 43, 204, 26, 116, 45, 158, 155, 143, 166, 191, 161, 196, 88, 126, 195, 78, 172, 23, 119, 135, 72, 94, 227, 89, 153, 44, 77, 14, 114, 18, 230, 201, 59, 71, 17, 255, 46, 219, 71, 255, 152, 225, 55, 228, 17, 31, 45, 62, 135, 217, 63, 40, 64, 243, 111, 31, 245, 219, 19, 176, 40, 29, 126, 100, 245, 129, 91, 170, 26, 89, 134, 229, 177, 153, 76, 139, 195, 96, 169, 191, 134, 28, 20, 238, 155, 19, 123, 229, 199, 0, 129, 23, 47, 24, 201, 148, 102, 12, 125, 176, 102, 91, 53, 106, 222, 214, 246, 110, 61, 35, 211, 210, 53, 164, 181, 241, 234, 42, 37, 47, 5, 201, 16, 26, 76, 101, 255, 69, 170, 11, 45, 199, 172, 65, 20, 87, 59, 99, 20, 180, 182, 117, 227, 85, 215, 48, 20, 123, 85, 6, 71, 14, 172, 72, 78, 125, 249, 86, 250, 204, 182, 136, 208, 206, 208, 239, 177, 100, 232, 114, 70, 220, 140, 141, 103, 168, 1, 223, 62, 38, 110, 30, 148, 42, 52, 192, 92, 153, 15, 175, 119, 42, 76, 10, 227, 103, 170, 55, 189, 212, 167, 43, 100, 66, 8, 48, 110, 45, 190, 156, 18, 108, 40, 135, 51, 227, 43, 11, 235, 194, 242, 141, 132, 233, 219, 154, 169, 68, 110, 126, 63, 13, 16, 73, 71, 175, 81, 155, 108, 29, 19, 31, 79, 227, 197, 139, 233, 240, 149, 244, 169, 33, 193, 187, 169, 48, 247, 149, 245, 133, 49, 203, 145, 19, 123, 114, 33, 147, 142, 118, 88, 164, 96, 98, 72, 125, 152, 6, 95, 55, 228, 200, 0, 198, 112, 96, 142, 40, 36, 114, 78, 198, 214, 107, 163, 168, 49, 167, 206, 248, 45, 145, 153, 102, 209, 223, 103, 167, 135, 84, 37, 164, 7, 107, 181, 69, 16, 157, 200, 48, 13, 45, 83, 150, 248, 240, 175, 226, 33, 253, 241, 28, 146, 93, 101, 212, 76, 59, 249, 125, 180, 77, 34, 4, 222, 249, 216, 231, 126, 54, 123, 157, 37, 152, 128, 115, 33, 6, 211, 221, 233, 76, 152, 80, 57, 245, 245, 36, 212, 223, 26, 14, 36, 239, 231, 60, 243, 177, 31, 183, 29, 152, 153, 112, 88, 160, 39, 126, 34, 148, 149, 191, 176, 40, 226, 80, 2, 97, 1, 254, 173, 194, 58, 221, 162, 179, 196, 20, 222, 218, 108, 194, 48, 129, 222, 199, 77, 89, 116, 56, 139, 186, 233, 238, 52, 184, 148, 1, 202, 229, 186, 208, 159, 249, 140, 22, 119, 122, 142, 155, 190, 228, 125, 42, 135, 68, 177, 218, 195, 99, 1, 182, 55, 67, 144, 188, 217, 173, 188, 246, 90, 35, 108, 142, 212, 107, 154, 85, 118, 36, 214, 64, 8, 163, 247, 10, 162, 160, 26, 147, 134, 179, 69, 33, 107, 144, 246, 248, 42, 175, 55, 109, 172, 120, 134, 201, 147, 240, 157, 97, 165, 79, 139, 102, 116, 24, 11, 62, 248, 149, 214, 86, 110, 5, 29, 161, 16, 52, 29, 119, 110, 221, 194, 120, 167, 178, 88, 248, 215, 2, 176, 228, 199, 90, 51, 90, 210, 229, 68, 196, 67, 117, 107, 139, 157, 234, 119, 196, 97, 146, 38, 128, 154, 116, 94, 21, 95, 252, 171, 56, 99, 119, 36, 74, 159, 135, 158, 105, 87, 21, 65, 43, 199, 171, 192, 31, 28, 26, 173, 157, 122, 74, 149, 33, 38, 116, 5, 191, 173, 22, 40, 88, 53, 156, 123, 152, 22, 3, 63, 249, 255, 138, 43, 32, 255, 222, 215, 144, 186, 11, 7, 229, 2, 123, 183, 192, 143, 174, 90, 168, 167, 189, 197, 86, 222, 124, 227, 79, 188, 72, 208, 86, 177, 140, 216, 252, 5, 185, 74, 167, 108, 192, 73, 162, 144, 221, 122, 67, 217, 50, 117, 193, 122, 113, 226, 160, 0, 187, 82, 30, 86, 76, 95, 104, 178, 139, 218, 185, 123, 113, 91, 156, 241, 71, 54, 46, 44, 194, 61, 8, 175, 247, 172, 239, 250, 199, 217, 107, 181, 97, 14, 118, 46, 132, 101, 75, 194, 147, 79, 190, 141, 44, 223, 164, 191, 64, 248, 172, 167, 36, 189, 5, 7, 99, 203, 207, 198, 168, 110, 116, 97, 27, 216, 90, 183, 109, 46, 36, 157, 42, 218, 121, 249, 134, 38, 15, 22, 173, 128, 169, 8, 13, 236, 144, 114, 166, 60, 182, 56, 45, 102, 100, 225, 0, 165, 97, 78, 124, 176, 242, 81, 217, 4, 255, 192, 205, 22, 225, 25, 4, 189, 228, 109, 232, 24, 100, 79, 9, 148, 76, 9, 133, 58, 174, 134, 222, 215, 81, 101, 163, 179, 206, 171, 35, 198, 98, 132, 158, 7, 211, 222, 192, 231, 87, 94, 240, 213, 208, 99, 93, 141, 14, 10, 250, 63, 16, 181, 37, 134, 254, 88, 230, 103, 49, 26, 31, 167, 228, 124, 243, 182, 8, 145, 29, 128, 53, 133, 140, 240, 53, 187, 196, 173, 65, 31, 153, 82, 167, 219, 84, 160, 90, 185, 87, 190, 57, 27, 213, 7, 198, 142, 94, 165, 110, 124, 130, 56, 11, 188, 140, 73, 216, 177, 190, 47, 230, 8, 232, 23, 168, 194, 139, 158, 241, 157, 94, 226, 145, 247, 0, 217, 32, 7, 5, 247, 100, 206, 37, 251, 205, 178, 7, 30, 133, 244, 98, 155, 137, 161, 112, 222, 160, 105, 156, 95, 79, 99, 61, 82, 184, 186, 163, 120, 123, 56, 183, 25, 0, 129, 44, 254, 146, 12, 63, 213, 0, 128, 128, 2, 121, 165, 165, 74, 119, 155, 104, 127, 27, 141, 114, 198, 81, 156, 159, 238, 205, 73, 11, 48, 16, 235, 51, 218, 182, 184, 57, 132, 222, 12, 21, 252, 102, 99, 42, 3, 219, 44, 195, 67, 230, 137, 130, 253, 246, 39, 80, 85, 248, 224, 17, 111, 100, 210, 67, 108, 60, 156, 193, 184, 127, 254, 143, 121, 236, 207, 7, 142, 204, 120, 211, 96, 101, 185, 172, 255, 15, 7, 213, 49, 180, 25, 68, 112, 245, 43, 205, 67, 120, 236, 116, 208, 221, 196, 207, 173, 239, 78, 167, 221, 185, 166, 160, 124, 212, 123, 67, 28, 127, 67, 232, 143, 38, 40, 134, 240, 177, 110, 36, 253, 140, 40, 210, 232, 115, 12, 233, 83, 51, 168, 206, 173, 178, 166, 28, 134, 163, 1, 75, 5, 40, 59, 11, 45, 94, 78, 200, 118, 69, 107, 21, 225, 88, 208, 3, 226, 83, 220, 173, 9, 212, 92, 139, 236, 88, 99, 213, 36, 109, 95, 247, 192, 227, 75, 78, 13, 98, 147, 8, 212, 165, 144, 180, 215, 24, 79, 24, 214, 99, 20, 217, 9, 75, 137, 134, 60, 55, 108, 128, 144, 218, 157, 127, 24, 89, 39, 94, 6, 251, 68, 178, 211, 58, 125, 124, 172, 210, 204, 59, 102, 173, 200, 238, 49, 98, 129, 156, 136, 230, 59, 214, 181, 101, 129, 169, 10, 82, 6, 166, 214, 143, 141, 161, 115, 237, 5, 140, 250, 140, 75, 130, 143, 126, 78, 102, 6, 196, 20, 136, 80, 56, 214, 22, 80, 90, 169, 93, 164, 64, 165, 159, 132, 143, 181, 153, 148, 15, 49, 221, 125, 1, 30, 149, 17, 170, 133, 117, 83, 189, 142, 186, 36, 5, 142, 192, 159, 30, 160, 19, 134, 150, 114, 83, 66, 89, 197, 205, 117, 90, 152, 200, 104, 92, 114, 180, 237, 176, 76, 124, 204, 66, 136, 127, 42, 38, 11, 243, 28, 233, 190, 156, 243, 114, 172, 86, 219, 225, 1, 132, 226, 42, 222, 157, 55, 21, 62, 254, 0, 46, 68, 223, 171, 10, 19, 12, 245, 99, 25, 146, 255, 122, 246, 99, 18, 219, 242, 186, 91, 130, 206, 188, 2, 184, 248, 97, 10, 21, 186, 74, 189, 229, 196, 196, 116, 44, 85, 98, 228, 212, 38, 92, 219, 208, 247, 164, 60, 132, 9, 176, 180, 133, 123, 178, 128, 246, 12, 31, 157, 96, 215, 215, 232, 129, 55, 17, 7, 178, 253, 197, 187, 54, 148, 150, 17, 216, 131, 143, 132, 53, 175, 227, 82, 92, 47, 195, 128, 202, 94, 195, 11, 61, 4, 133, 221, 78, 141, 49, 8, 1, 66, 15, 85, 74, 41, 186, 196, 171, 150, 245, 183, 143, 40, 75, 33, 147, 210, 172, 118, 165, 235, 51, 247, 130, 117, 89, 90, 76, 125, 81, 78, 64, 242, 2, 0, 150, 10, 119, 227, 231, 193, 132, 67, 204, 186, 233, 124, 111, 205, 82, 23, 143, 147, 92, 180, 237, 223, 39, 145, 104, 130, 202, 248, 17, 38, 118, 250, 200, 76, 165, 60, 187, 170, 15, 234, 112, 57, 131, 192, 123, 49, 37, 55, 203, 106, 218, 144, 207, 86, 150, 179, 212, 21, 109, 193, 251, 181, 11, 110, 123, 145, 107, 135, 66, 185, 117, 255, 86, 223, 202, 143, 50, 46, 241, 227, 227, 17, 231, 215, 191, 99, 213, 55, 29, 99, 48, 141, 65, 111, 191, 225, 228, 116, 172, 174, 88, 231, 72, 172, 57, 243, 48, 39, 62, 221, 29, 92, 135, 28, 169, 168, 214, 90, 96, 172, 139, 56, 196, 2, 101, 95, 224, 8, 108, 192, 136, 116, 54, 152, 152, 118, 20, 54, 172, 125, 230, 167, 83, 80, 223, 3, 217, 153, 121, 221, 242, 26, 106, 234, 255, 142, 45, 26, 48, 240, 230, 50, 241, 5, 94, 156, 221, 219, 124, 84, 181, 156, 97, 124, 45, 87, 99, 17, 161, 174, 120, 225, 119, 176, 229, 17, 20, 108, 58, 1, 203, 223, 38, 236, 151, 115, 60, 255, 18, 25, 2, 23, 120, 38, 22, 200, 9, 164, 202, 244, 143, 151, 75, 82, 78, 2, 52, 132, 90, 24, 155, 23, 35, 193, 60, 174, 253, 247, 31, 160, 205, 42, 60, 204, 32, 160, 246, 236, 227, 4, 231, 78, 3, 255, 194, 229, 210, 226, 107, 4, 166, 86, 242, 65, 146, 143, 218, 118, 21, 214, 179, 113, 88, 19, 224, 176, 28, 245, 147, 132, 134, 187, 142, 10, 221, 76, 126, 137, 80, 63, 152, 154, 130, 103, 16, 10, 185, 35, 255, 13, 5, 13, 242, 186, 178, 72, 25, 43, 170, 34, 214, 23, 242, 211, 27, 110, 35, 243, 100, 183, 19, 32, 42, 234, 92, 234, 27, 91, 21, 132, 161, 0, 101, 125, 121, 18, 98, 234, 138, 201, 87, 59, 125, 37, 182, 244, 29, 118, 28, 147, 136, 47, 76, 209, 21, 47, 143, 156, 159, 51, 246, 8, 142, 80, 204, 76, 33, 2, 80, 155, 139, 88, 197, 39, 22, 61, 219, 57, 94, 49, 238, 152, 227, 79, 157, 22, 137, 97, 234, 187, 244, 41, 180, 69, 115, 3, 39, 253, 151, 66, 248, 18, 95, 86, 27, 164, 54, 182, 69, 156, 24, 120, 17, 17, 108, 20, 100, 94, 124, 176, 165, 60, 201, 245, 61, 179, 94, 202, 189, 230, 59, 156, 119, 7, 208, 159, 93, 236, 12, 212, 75, 188, 253, 107, 89, 195, 211, 123, 115, 103, 201, 187, 161, 11, 139, 16, 13, 148, 97, 101, 94, 31, 161, 194, 93, 49, 117, 22, 53, 241, 47, 109, 93, 247, 69, 128, 92, 34, 74, 109, 240, 13, 181, 159, 237, 46, 246, 138, 189, 5, 214, 49, 12, 92, 190, 59, 178, 64, 22, 125, 103, 13, 192, 200, 61, 37, 225, 213, 178, 114, 5, 30, 73, 168, 129, 50, 9, 35, 221, 172, 202, 90, 31, 16, 241, 76, 47, 157, 226, 91, 182, 207, 105, 206, 95, 181, 8, 143, 42, 1, 182, 223, 77, 253, 97, 72, 73, 93, 139, 98, 211, 2, 65, 60, 250, 223, 233, 109, 10, 152, 111, 221, 201, 241, 210, 6, 149, 15, 171, 198, 196, 111, 98, 149, 147, 214, 153, 133, 144, 166, 196, 18, 75, 98, 209, 99, 25, 34, 151, 92, 247, 115, 217, 35, 107, 117, 97, 181, 76, 157, 145, 3, 30, 190, 74, 83, 251, 9, 194, 153, 142, 25, 35, 53, 195, 141, 247, 130, 152, 44, 42, 189, 238, 68, 27, 135, 88, 109, 166, 58, 146, 162, 88, 251, 154, 199, 234, 210, 109, 230, 182, 183, 0, 95, 69, 247, 153, 98, 53, 120, 129, 230, 231, 55, 253, 183, 194, 50, 188, 173, 252, 153, 57, 19, 100, 17, 136, 151, 248, 230, 12, 158, 78, 149, 154, 68, 43, 153, 214, 52, 119, 121, 235, 105, 214, 237, 166, 212, 141, 58, 201, 161, 209, 233, 157, 13, 201, 6, 213, 103, 130, 81, 22, 33, 11, 18, 74, 39, 215, 131, 33, 74, 17, 202, 226, 156, 95, 61, 228, 163, 108, 208, 48, 207, 97, 188, 237, 187, 100, 138, 38, 33, 64, 44, 132, 245, 59, 190, 61, 42, 16, 196, 179, 255, 87, 16, 183, 223, 7, 51, 247, 200, 74, 21, 29, 208, 79, 58, 41, 89, 19, 246, 139, 57, 255, 146, 89, 161, 34, 188, 103, 214, 166, 99, 168, 85, 47, 109, 198, 99, 203, 183, 228, 225, 78, 140, 187, 94, 215, 82, 244, 9, 213, 201, 227, 143, 171, 112, 157, 25, 26, 121, 242, 133, 80, 48, 172, 92, 18, 208, 103, 22, 127, 180, 167, 130, 88, 223, 254, 207, 19, 83, 232, 139, 94, 90, 239, 228, 244, 68, 104, 31, 107, 91, 65, 87, 27, 105, 125, 169, 81, 204, 56, 223, 81, 120, 125, 175, 170, 210, 106, 148, 217, 121, 129, 224, 119, 254, 164, 245, 200, 16, 159, 165, 162, 67, 205, 161, 99, 212, 237, 7, 154, 49, 201, 161, 187, 87, 155, 92, 245, 238, 115, 9, 103, 52, 174, 10, 255, 120, 152, 78, 172, 33, 78, 60, 25, 54, 182, 17, 150, 210, 243, 252, 53, 175, 208, 136, 22, 66, 75, 214, 229, 145, 245, 209, 151, 31, 252, 141, 28, 151, 151, 146, 237, 63, 5, 5, 185, 69, 213, 52, 207, 30, 45, 15, 101, 147, 228, 167, 23, 142, 12, 244, 99, 25, 117, 84, 55, 86, 30, 139, 237, 201, 25, 80, 0, 197, 160, 209, 65, 15, 181, 122, 193, 151, 8, 191, 48, 24, 168, 177, 205, 253, 9, 51, 20, 241, 170, 160, 41, 168, 13, 140, 233, 255, 175, 19, 152, 188, 194, 178, 7, 31, 123, 198, 213, 87, 52, 204, 55, 136, 69, 173, 167, 10, 211, 92, 42, 27, 189, 74, 20, 17, 81, 155, 76, 150, 166, 247, 246, 113, 85, 89, 220, 227, 115, 177, 246, 186, 99, 238, 40, 217, 6, 87, 222, 6, 68, 185, 174, 18, 103, 246, 147, 111, 148, 153, 141, 232, 114, 248, 148, 29, 188, 176, 142, 200, 59, 154, 176, 38, 213, 147, 200, 147, 147, 158, 40, 186, 17, 113, 59, 145, 71, 210, 3, 91, 112, 228, 83, 147, 1, 44, 177, 218, 212, 35, 84, 233, 146, 207, 76, 183, 67, 10, 195, 44, 222, 27, 14, 156, 15, 37, 236, 70, 95, 135, 158, 163, 171, 143, 170, 35, 186, 240, 212, 168, 118, 29, 95, 245, 151, 96, 164, 224, 186, 124, 114, 85, 174, 149, 37, 20, 67, 126, 153, 237, 115, 38, 139, 197, 183, 252, 214, 97, 251, 90, 154, 177, 25, 164, 180, 51, 127, 122, 36, 114, 111, 97, 167, 177, 250, 173, 130, 252, 234, 236, 248, 19, 62, 11, 134, 85, 86, 72, 135, 23, 225, 129, 210, 21, 137, 0, 92, 245, 75, 153, 144, 198, 205, 64, 75, 51, 145, 15, 1, 144, 31, 49, 14, 210, 243, 199, 235, 223, 122, 153, 222, 82, 152, 146, 75, 162, 41, 244, 70, 202, 63, 197, 192, 103, 253, 5, 42, 203, 205, 107, 76, 188, 21, 81, 176, 51, 93, 176, 149, 157, 178, 172, 208, 166, 1, 201, 116, 230, 192, 82, 5, 173, 132, 70, 151, 13, 82, 148, 102, 37, 63, 52, 182, 102, 66, 82, 179, 200, 248, 82, 252, 116, 60, 113, 77, 106, 86, 194, 148, 213, 39, 50, 218, 82, 14, 194, 167, 103, 167, 150, 171, 68, 142, 154, 231, 134, 167, 29, 84, 29, 202, 200, 209, 76, 139, 45, 198, 48, 133, 46, 94, 38, 227, 242, 253, 148, 171, 168, 28, 181, 62, 122, 236, 185, 33, 169, 70, 248, 130, 33, 208, 3, 2, 227, 73, 15, 42, 133, 86, 204, 99, 138, 226, 3, 82, 39, 180, 98, 44, 10, 210, 229, 165, 142, 1, 48, 27, 160, 167, 150, 46, 174, 232, 9, 181, 52, 142, 139, 139, 36, 103, 201, 218, 12, 234, 146, 81, 98, 251, 240, 213, 218, 71, 132, 47, 79, 131, 180, 231, 169, 88, 238, 90, 5, 158, 170, 153, 159, 17, 46, 60, 116, 78, 203, 92, 91, 193, 160, 105, 28, 243, 191, 195, 69, 174, 173, 184, 148, 188, 122, 242, 178, 92, 152, 10, 57, 88, 85, 37, 36, 114, 220, 153, 241, 163, 152, 93, 122, 33, 219, 104, 253, 90, 144, 49, 95, 10, 209, 95, 109, 2, 152, 209, 178, 66, 138, 3, 186, 113, 31, 11, 196, 193, 97, 115, 108, 12, 0, 79, 24, 72, 200, 147, 243, 88, 124, 110, 158, 79, 88, 198, 14, 126, 101, 170, 195, 208, 127, 206, 104, 34, 98, 120, 253, 193, 55, 213, 21, 72, 54, 41, 251, 9, 121, 6, 13, 27, 127, 220, 239, 132, 61, 86, 20, 3, 109, 18, 30, 243, 156, 192, 47, 221, 140, 239, 145, 252, 4, 76, 19, 135, 90, 149, 92, 194, 238, 197, 255, 94, 250, 178, 177, 95, 72, 201, 104, 148, 213, 140, 98, 76, 8, 218, 151, 14, 45, 249, 232, 131, 23, 247, 58, 152, 138, 12, 122, 69, 213, 30, 81, 186, 239, 118, 198, 171, 202, 81, 255, 196, 186, 90, 38, 254, 224, 130, 41, 242, 98, 27, 2, 182, 150, 150, 74, 76, 27, 116, 249, 230, 17, 134, 36, 189, 7, 203, 68, 16, 20, 145, 144, 144, 167, 197, 36, 237, 35, 137, 118, 2, 39, 199, 3, 0, 186, 162, 104, 194, 219, 251, 241, 190, 139, 245, 54, 184, 160, 2, 59, 122, 205, 39, 236, 39, 192, 151, 143, 247, 245, 16, 90, 202, 118, 57, 122, 244, 127, 255, 29, 150, 55, 80, 247, 162, 255, 83, 94, 10, 188, 205, 177, 38, 136, 66, 93, 8, 184, 85, 39, 56, 115, 10, 181, 84, 213, 243, 181, 197, 120, 207, 241, 213, 201, 213, 155, 64, 224, 3, 38, 216, 168, 33, 84, 212, 213, 254, 43, 67, 50, 131, 145, 218, 188, 166, 199, 193, 20, 54, 28, 142, 13, 115, 192, 57, 116, 126, 223, 239, 8, 132, 25, 120, 194, 98, 114, 125, 117, 254, 86, 128, 136, 56, 217, 84, 235, 215, 156, 125, 222, 213, 228, 201, 166, 77, 37, 236, 214, 229, 152, 160, 228, 169, 152, 53, 205, 188, 13, 181, 192, 198, 160, 164, 168, 62, 158, 221, 177, 149, 29, 167, 95, 69, 26, 106, 223, 22, 34, 193, 156, 218, 120, 72, 131, 176, 50, 92, 80, 137, 26, 153, 95, 17, 205, 57, 254, 40, 212, 105, 137, 243, 229, 100, 47, 119, 31, 197, 161, 252, 212, 35, 229, 154, 71, 158, 187, 150, 200, 90, 246, 128, 222, 81, 159, 214, 171, 161, 53, 116, 144, 59, 151, 4, 18, 184, 196, 138, 181, 178, 47, 175, 100, 59, 218, 127, 71, 0, 115, 234, 193, 118, 80, 235, 72, 145, 98, 80, 206, 182, 19, 151, 18, 67, 106, 145, 245, 161, 137, 106, 53, 72, 25, 255, 128, 241, 144, 162, 238, 254, 98, 30, 175, 211, 17, 231, 250, 202, 231, 157, 148, 74, 239, 40, 67, 37, 155, 11, 124, 4, 41, 85, 78, 163, 150, 187, 237, 208, 25, 133, 57, 255, 147, 6, 40, 21, 180, 64, 231, 45, 193, 196, 12, 78, 238, 17, 109, 181, 165, 190, 5, 36, 217, 219, 154, 59, 64, 78, 146, 112, 210, 185, 12, 84, 82, 15, 121, 130, 236, 78, 179, 135, 19, 212, 37, 8, 163, 240, 236, 240, 192, 86, 40, 50, 192, 25, 4, 77, 66, 198, 151, 235, 88, 253, 57, 48, 19, 148, 174, 75, 237, 17, 174, 84, 92, 53, 68, 137, 155, 74, 123, 165, 128, 78, 61, 16, 147, 194, 37, 26, 208, 160, 49, 225, 69, 134, 125, 223, 71, 222, 217, 106, 238, 246, 225, 73, 176, 177, 28, 191, 77, 53, 229, 88, 6, 222, 26, 61, 186, 215, 115, 97, 49, 149, 73, 69, 235, 91, 2, 244, 114, 15, 57, 227, 35, 174, 102, 13, 159, 85, 178, 98, 33, 164, 158, 240, 129, 186, 239, 16, 13, 198, 227, 60, 119, 215, 7, 82, 149, 99, 25, 95, 234, 3, 48, 53, 127, 59, 94, 157, 149, 207, 94, 231, 28, 82, 28, 179, 71, 152, 180, 220, 236, 36, 235, 242, 7, 243, 128, 112, 167, 121, 13, 166, 66, 5, 222, 255, 67, 89, 253, 244, 135, 57, 28, 239, 164, 62, 134, 147, 158, 80, 255, 198, 93, 215, 57, 6, 135, 129, 146, 160, 116, 51, 45, 173, 65, 19, 22, 249, 239, 96, 111, 31, 99, 29, 222, 183, 37, 24, 185, 1, 210, 39, 61, 188, 191, 3, 36, 196, 59, 199, 87, 22, 221, 181, 4, 38, 166, 169, 23, 7, 139, 190, 119, 155, 170, 183, 64, 188, 124, 112, 90, 195, 104, 103, 8, 220, 218, 185, 148, 144, 90, 158, 129, 130, 62, 217, 68, 91, 217, 77, 81, 213, 111, 95, 55, 158, 78, 249, 139, 124, 149, 149, 190, 158, 153, 151, 200, 50, 11, 111, 188, 104, 163, 189, 104, 154, 6, 78, 173, 38, 184, 80, 233, 247, 109, 78, 220, 198, 104, 156, 246, 240, 119, 253, 35, 220, 242, 135, 88, 203, 88, 92, 186, 46, 40, 186, 121, 23, 95, 113, 202, 10, 74, 176, 72, 221, 110, 5, 188, 144, 85, 20, 113, 106, 77, 96, 22, 0, 212, 222, 52, 39, 230, 79, 3, 141, 152, 52, 170, 225, 11, 18, 172, 89, 249, 238, 64, 229, 159, 14, 81, 227, 142, 119, 241, 120, 244, 162, 128, 72, 239, 46, 102, 188, 138, 16, 195, 158, 87, 231, 64, 228, 73, 117, 61, 163, 157, 224, 23, 164, 73, 124, 209, 133, 233, 76, 27, 54, 84, 244, 118, 208, 244, 119, 145, 22, 135, 152, 150, 88, 236, 207, 89, 237, 49, 240, 4, 207, 121, 223, 194, 98, 68, 237, 83, 47, 21, 255, 242, 45, 222, 210, 225, 238, 43, 114, 49, 83, 94, 23, 69, 231, 136, 40, 150, 23, 36, 36, 102, 191, 217, 172, 196, 234, 104, 31, 29, 126, 91, 86, 99, 82, 60, 85, 103, 176, 197, 85, 207, 4, 103, 49, 172, 135, 230, 156, 93, 166, 183, 173, 101, 216, 136, 27, 101, 151, 99, 199, 228, 111, 178, 53, 94, 233, 16, 233, 146, 180, 232, 4, 147, 232, 183, 167, 58, 254, 100, 232, 89, 58, 175, 33, 238, 122, 114, 132, 82, 207, 173, 238, 142, 186, 87, 127, 74, 105, 207, 204, 154, 30, 51, 1, 139, 129, 153, 57, 0, 226, 14, 133, 198, 55, 200, 211, 230, 37, 0, 167, 186, 127, 147, 65, 13, 148, 161, 148, 247, 125, 171, 68, 68, 71, 254, 109, 137, 28, 215, 162, 80, 105, 72, 200, 113, 209, 176, 157, 223, 76, 233, 247, 111, 58, 13, 46, 111, 33, 105, 101, 177, 83, 223, 54, 118, 176, 114, 1, 172, 4, 234, 82, 37, 22, 168, 91, 23, 185, 227, 206, 179, 159, 148, 157, 74, 165, 153, 139, 161, 91, 71, 163, 136, 216, 45, 76, 172, 4, 55, 224, 185, 251, 50, 125, 9, 112, 48, 248, 229, 10, 5, 35, 147, 130, 245, 6, 155, 37, 194, 131, 192, 141, 161, 107, 240, 85, 206, 161, 98, 227, 35, 90, 32, 229, 148, 192, 195, 142, 160, 99, 58, 22, 160, 76, 176, 203, 225, 76, 86, 200, 14, 53, 81, 188, 204, 27, 22, 164, 189, 245, 2, 94, 179, 52, 23, 156, 107, 249, 237, 163, 131, 219, 155, 169, 7, 125, 118, 188, 68, 158, 177, 86, 241, 190, 85, 131, 230, 249, 26, 195, 99, 211, 83, 194, 12, 68, 118, 18, 185, 250, 4, 7, 191, 196, 107, 106, 111, 16, 133, 22, 176, 106, 2, 31, 254, 57, 3, 190, 42, 236, 79, 188, 74, 174, 116, 78, 245, 199, 50, 182, 226, 249, 255, 69, 47, 175, 117, 195, 26, 193, 95, 211, 185, 65, 251, 187, 226, 196, 26, 18, 150, 101, 162, 73, 97, 73, 43, 80, 163, 245, 150, 172, 128, 98, 13, 47, 243, 254, 165, 198, 215, 77, 178, 116, 61, 98, 28, 89, 124, 196, 98, 215, 5, 188, 210, 180, 224, 2, 202, 57, 108, 40, 66, 202, 219, 48, 15, 28, 51, 241, 108, 26, 174, 234, 243, 59, 18, 95, 146, 17, 154, 164, 19, 126, 103, 83, 185, 207, 93, 47, 88, 9, 71, 145, 16, 47, 87, 129, 39, 33, 198, 246, 35, 200, 246, 231, 131, 66, 254, 61, 28, 132, 75, 18, 214, 249, 39, 53, 151, 213, 177, 117, 8, 52, 170, 193, 145, 166, 186, 130, 202, 170, 190, 127, 145, 75, 125, 208, 44, 180, 194, 41, 244, 66, 118, 146, 152, 223, 110, 197, 227, 189, 168, 229, 98, 49, 209, 158, 66, 53, 140, 168, 161, 223, 44, 54, 104, 13, 44, 109, 141, 95, 181, 139, 224, 37, 196, 25, 84, 224, 164, 224, 130, 224, 230, 45, 77, 131, 149, 206, 235, 134, 244, 232, 162, 176, 26, 46, 112, 58, 199, 97, 117, 66, 39, 60, 156, 11, 5, 123, 31, 25, 138, 81, 61, 131, 248, 237, 27, 130, 85, 127, 191, 172, 15, 204, 195, 49, 76, 158, 187, 143, 114, 196, 246, 87, 179, 76, 224, 165, 45, 143, 134, 238, 166, 14, 72, 159, 105, 179, 125, 58, 84, 215, 69, 214, 82, 99, 84, 137, 161, 74, 114, 102, 20, 233, 133, 62, 132, 210, 65, 217, 81, 22, 143, 204, 98, 64, 7, 60, 197, 53, 173, 234, 168, 140, 134, 47, 33, 142, 109, 131, 30, 183, 69, 97, 65, 243, 190, 176, 97, 13, 3, 136, 10, 221, 70, 65, 232, 135, 9, 207, 45, 160, 236, 31, 78, 20, 155, 129, 252, 134, 199, 8, 66, 77, 207, 180, 237, 88, 58, 203, 230, 239, 11, 71, 64, 108, 21, 34, 200, 188, 79, 19, 96, 8, 203, 156, 150, 201, 118, 113, 87, 86, 221, 215, 108, 49, 214, 144, 29, 115, 76, 154, 104, 41, 7, 61, 51, 68, 111, 16, 20, 182, 199, 47, 178, 168, 182, 212, 25, 111, 238, 121, 153, 183, 50, 143, 232, 35, 77, 102, 173, 92, 151, 152, 184, 245, 26, 175, 223, 145, 129, 229, 119, 156, 78, 10, 57, 28, 77, 146, 145, 172, 183, 212, 59, 70, 189, 196, 218, 43, 239, 210, 29, 241, 133, 59, 154, 1, 18, 55, 213, 226, 179, 26, 224, 106, 27, 134, 179, 136, 3, 93, 107, 205, 211, 105, 252, 18, 126, 103, 69, 65, 226, 66, 228, 123, 54, 30, 153, 160, 0, 246, 16, 37, 0, 255, 103, 103, 137, 244, 130, 181, 43, 194, 50, 96, 120, 188, 149, 214, 165, 83, 102, 69, 185, 235, 206, 175, 103, 249, 161, 87, 184, 25, 135, 209, 116, 11, 29, 206, 159, 94, 69, 255, 60, 198, 249, 23, 36, 127, 9, 250, 70, 214, 78, 144, 111, 100, 174, 51, 132, 177, 22, 90, 72, 251, 31, 120, 30, 4, 51, 5, 141, 94, 173, 149, 230, 113, 11, 51, 254, 38, 248, 252, 157, 162, 136, 241, 194, 52, 113, 237, 5, 121, 0, 6, 135, 121, 201, 104, 34, 47, 173, 250, 180, 69, 89, 118, 168, 134, 249, 90, 143, 222, 116, 234, 202, 110, 16, 53, 30, 12, 23, 198, 235, 213, 57, 97, 212, 109, 167, 90, 105, 180, 153, 192, 230, 90, 100, 206, 115, 80, 163, 177, 40, 133, 199, 245, 13, 185, 174, 52, 200, 70, 79, 209, 67, 15, 26, 139, 111, 159, 220, 220, 201, 231, 139, 8, 19, 166, 180, 248, 26, 161, 68, 131, 123, 189, 48, 53, 204, 73, 223, 137, 246, 10, 157, 1, 128, 31, 42, 93, 95, 143, 32, 154, 183, 100, 38, 66, 242, 209, 103, 88, 208, 96, 176, 247, 240, 110, 113, 204, 46, 7, 233, 154, 54, 247, 224, 81, 120, 92, 75, 47, 36, 47, 135, 30, 247, 158, 104, 13, 98, 24, 57, 229, 101, 171, 144, 145, 254, 58, 181, 105, 1, 50, 224, 226, 216, 32, 43, 22, 17, 104, 6, 161, 141, 214, 210, 96, 131, 232, 60, 133, 210, 179, 110, 195, 121, 128, 5, 43, 232, 172, 85, 57, 21, 182, 84, 145, 171, 243, 229, 197, 210, 223, 167, 6, 162, 24, 76, 76, 177, 238, 14, 39, 28, 182, 231, 11, 195, 31, 62, 170, 73, 7, 240, 179, 193, 140, 109, 89, 252, 230, 158, 128, 57, 134, 97, 165, 254, 166, 171, 139, 5, 223, 84, 190, 40, 225, 239, 224, 22, 96, 34, 21, 204, 56, 169, 172, 106, 120, 85, 28, 150, 106, 174, 7, 56, 73, 162, 4, 97, 204, 20, 50, 27, 244, 97, 26, 208, 99, 206, 136, 80, 70, 63, 6, 230, 139, 191, 8, 154, 166, 44, 83, 191, 50, 159, 120, 232, 182, 89, 185, 106, 80, 101, 234, 234, 22, 14, 169, 224, 139, 186, 201, 181, 97, 188, 157, 105, 59, 37, 175, 180, 203, 121, 181, 235, 250, 132, 144, 176, 247, 2, 94, 240, 172, 107, 189, 102, 50, 109, 218, 158, 252, 73, 234, 72, 20, 44, 40, 35, 45, 104, 223, 123, 132, 5, 47, 136, 30, 14, 203, 18, 216, 64, 186, 45, 175, 90, 240, 147, 149, 238, 9, 53, 99, 188, 102, 152, 223, 11, 193, 148, 202, 101, 192, 178, 192, 174, 64, 191, 57, 109, 97, 27, 219, 240, 38, 36, 53, 178, 139, 24, 20, 222, 92, 199, 160, 199, 215, 93, 225, 156, 19, 176, 20, 178, 49, 132, 236, 216, 163, 135, 135, 185, 76, 29, 97, 81, 88, 5, 144, 136, 236, 59, 107, 48, 65, 23, 76, 241, 30, 120, 163, 181, 215, 156, 115, 141, 255, 167, 165, 131, 130, 226, 83, 199, 112, 223, 177, 98, 142, 50, 104, 94, 156, 237, 39, 235, 0, 25, 191, 187, 122, 216, 45, 43, 18, 195, 168, 222, 45, 197, 66, 118, 155, 232, 186, 40, 171, 229, 19, 248, 9, 199, 152, 154, 59, 28, 78, 42, 35, 125, 58, 46, 106, 15, 252, 177, 97, 112, 49, 194, 172, 6, 33, 126, 105, 187, 124, 90, 104, 48, 141, 251, 193, 174, 11, 18, 170, 20, 210, 47, 0, 223, 140, 254, 145, 248, 222, 137, 44, 106, 230, 18, 149, 153, 111, 201, 152, 222, 64, 219, 59, 108, 111, 31, 29, 144, 180, 72, 53, 30, 40, 130, 197, 178, 77, 204, 206, 180, 186, 30, 183, 3, 11, 92, 68, 98, 85, 35, 85, 72, 65, 168, 99, 205, 85, 231, 224, 161, 51, 183, 205, 1, 47, 53, 1, 111, 8, 213, 112, 72, 100, 100, 251, 176, 51, 168, 97, 152, 63, 186, 18, 224, 27, 242, 184, 73, 13, 36, 132, 3, 190, 161, 230, 67, 109, 151, 33, 233, 191, 11, 127, 131, 230, 42, 217, 63, 193, 126, 11, 202, 235, 52, 224, 88, 158, 176, 206, 130, 24, 231, 215, 39, 38, 7, 204, 71, 194, 211, 25, 76, 124, 130, 69, 108, 235, 21, 240, 138, 90, 5, 160, 109, 81, 152, 96, 78, 128, 37, 193, 201, 205, 238, 0, 164, 126, 252, 148, 53, 22, 224, 215, 28, 165, 84, 222, 60, 99, 244, 228, 211, 99, 209, 138, 240, 100, 245, 195, 211, 70, 209, 97, 113, 76, 47, 160, 143, 162, 197, 125, 109, 112, 205, 220, 235, 161, 63, 64, 64, 143, 211, 72, 241, 189, 91, 224, 156, 183, 181, 203, 164, 113, 152, 48, 13, 18, 161, 210, 222, 163, 33, 103, 233, 254, 122, 97, 185, 72, 176, 61, 210, 162, 79, 46, 81, 6, 120, 197, 165, 149, 195, 217, 202, 192, 45, 157, 15, 189, 136, 169, 127, 34, 89, 120, 168, 180, 107, 245, 209, 56, 16, 122, 67, 167, 44, 206, 125, 27, 135, 85, 153, 154, 70, 193, 104, 138, 213, 59, 214, 109, 54, 78, 45, 82, 59, 24, 9, 148, 212, 155, 225, 79, 134, 117, 32, 163, 53, 96, 131, 94, 63, 126, 179, 52, 4, 27, 33, 213, 217, 232, 113, 105, 10, 152, 7, 194, 77, 58, 103, 185, 245, 168, 107, 38, 152, 82, 136, 74, 130, 182, 210, 202, 56, 62, 69, 236, 156, 218, 82, 121, 222, 65, 109, 193, 143, 44, 231, 15, 185, 91, 219, 13, 43, 70, 73, 246, 205, 237, 66, 5, 162, 126, 129, 218, 18, 72, 54, 147, 183, 25, 189, 106, 48, 25, 160, 85, 44, 77, 149, 138, 250, 196, 38, 251, 128, 115, 251, 185, 41, 252, 134, 67, 238, 152, 99, 53, 243, 231, 69, 65, 22, 195, 180, 56, 144, 213, 90, 230, 155, 29, 228, 130, 70, 216, 109, 98, 12, 151, 200, 165, 82, 180, 53, 44, 82, 28, 197, 211, 241, 180, 221, 58, 91, 194, 91, 2, 248, 1, 44, 115, 172, 59, 177, 34, 82, 232, 42, 13, 246, 15, 95, 47, 60, 220, 170, 99, 43, 205, 130, 101, 179, 16, 177, 203, 55, 175, 252, 138, 66, 14, 93, 39, 183, 80, 240, 21, 62, 168, 227, 177, 227, 195, 6, 232, 228, 140, 138, 32, 83, 247, 204, 128, 121, 46, 223, 211, 97, 143, 85, 81, 204, 63, 239, 79, 224, 17, 207, 33, 155, 156, 231, 246, 65, 90, 242, 198, 96, 78, 196, 12, 116, 153, 186, 225, 204, 237, 83, 156, 254, 239, 137, 87, 220, 164, 153, 6, 55, 16, 60, 247, 58, 119, 159, 202, 192, 6, 114, 79, 200, 190, 141, 69, 83, 77, 165, 70, 185, 243, 215, 139, 159, 40, 108, 124, 59, 203, 142, 113, 80, 31, 229, 254, 119, 41, 119, 197, 236, 230, 24, 70, 41, 105, 198, 171, 83, 201, 40, 142, 74, 131, 224, 58, 84, 214, 147, 213, 209, 85, 43, 203, 169, 46, 236, 171, 64, 23, 188, 31, 27, 24, 237, 133, 177, 172, 144, 230, 61, 37, 51, 17, 253, 96, 92, 77, 169, 155, 173, 158, 144, 216, 149, 83, 80, 80, 71, 2, 137, 165, 57, 78, 233, 85, 48, 131, 164, 70, 81, 128, 73, 76, 137, 247, 21, 206, 192, 20, 201, 180, 153, 74, 100, 84, 182, 113, 172, 223, 188, 96, 116, 251, 59, 47, 213, 248, 44, 178, 89, 39, 75, 15, 147, 18, 59, 228, 207, 98, 238, 29, 178, 85, 236, 41, 173, 192, 9, 160, 187, 169, 78, 252, 189, 60, 11, 49, 17, 78, 76, 159, 164, 54, 178, 163, 12, 228, 242, 2, 250, 116, 212, 160, 145, 190, 152, 20, 184, 107, 117, 53, 95, 194, 49, 72, 8, 121, 19, 23, 90, 88, 130, 195, 178, 219, 94, 156, 249, 131, 120, 213, 79, 79, 56, 231, 133, 107, 13, 180, 243, 245, 175, 177, 79, 16, 241, 70, 251, 176, 100, 30, 219, 90, 219, 58, 47, 222, 114, 46, 210, 140, 36, 163, 218, 123, 232, 145, 215, 212, 206, 126, 255, 163, 38, 73, 88, 133, 249, 199, 130, 165, 158, 246, 193, 150, 92, 151, 21, 252, 214, 36, 135, 141, 81, 165, 246, 113, 106, 197, 131, 184, 140, 123, 87, 54, 221, 215, 214, 54, 25, 167, 147, 108, 230, 146, 73, 18, 35, 152, 41, 232, 173, 42, 54, 209, 76, 203, 130, 113, 59, 226, 53, 113, 238, 92, 96, 96, 251, 245, 137, 69, 164, 5, 3, 252, 240, 218, 48, 19, 65, 22, 231, 94, 151, 112, 2, 188, 41, 159, 203, 115, 157, 142, 201, 189, 140, 40, 3, 233, 47, 255, 136, 33, 227, 4, 108, 4, 244, 185, 125, 254, 237, 111, 175, 71, 227, 43, 182, 166, 110, 183, 57, 103, 76, 145, 213, 142, 210, 68, 173, 175, 218, 49, 191, 74, 46, 203, 126, 2, 175, 39, 222, 253, 139, 202, 135, 46, 149, 139, 216, 216, 106, 219, 221, 5, 187, 189, 31, 23, 219, 137, 173, 17, 212, 76, 182, 20, 134, 85, 237, 39, 136, 151, 111, 255, 253, 254, 143, 2, 78, 178, 236, 192, 229, 189, 171, 82, 96, 143, 140, 244, 52, 78, 10, 163, 20, 13, 142, 240, 57, 19, 186, 200, 237, 239, 41, 194, 205, 68, 110, 33, 174, 49, 13, 19, 13, 169, 137, 242, 201, 254, 82, 188, 78, 5, 16, 78, 135, 30, 67, 10, 236, 209, 52, 209, 94, 251, 182, 38, 1, 201, 19, 108, 67, 214, 242, 129, 168, 249, 7, 134, 40, 161, 132, 163, 142, 15, 122, 95, 97, 112, 254, 166, 203, 43, 26, 161, 86, 38, 107, 90, 134, 175, 174, 58, 116, 107, 59, 32, 87, 241, 105, 227, 127, 19, 124, 2, 55, 204, 26, 124, 233, 205, 118, 107, 76, 246, 77, 166, 21, 196, 96, 234, 195, 174, 38, 228, 137, 215, 151, 93, 128, 32, 231, 15, 169, 67, 211, 168, 178, 199, 143, 247, 184, 81, 72, 190, 4, 58, 76, 177, 165, 232, 139, 3, 74, 252, 209, 235, 25, 246, 68, 148, 54, 33, 28, 89, 185, 210, 102, 71, 192, 143, 226, 115, 64, 17, 218, 21, 133, 208, 58, 75, 110, 57, 84, 76, 252, 137, 253, 193, 208, 175, 163, 30, 113, 23, 152, 59, 205, 57, 84, 164, 43, 118, 143, 154, 60, 155, 58, 40, 194, 25, 220, 221, 128, 28, 218, 172, 94, 88, 77, 75, 40, 181, 32, 121, 179, 110, 78, 122, 206, 30, 127, 76, 172, 139, 122, 101, 117, 184, 118, 202, 200, 221, 254, 222, 178, 91, 106, 253, 182, 221, 242, 62, 124, 129, 40, 87, 22, 132, 202, 196, 174, 9, 126, 53, 92, 194, 4, 211, 100, 211, 125, 120, 2, 214, 234, 19, 125, 249, 85, 56, 188, 89, 137, 224, 110, 146, 67, 17, 231, 220, 250, 198, 232, 167, 75, 204, 223, 141, 103, 239, 147, 172, 196, 16, 13, 78, 13, 215, 44, 191, 125, 169, 17, 127, 101, 20, 3, 234, 55, 38, 30, 223, 77, 106, 57, 135, 97, 80, 75, 81, 176, 84, 14, 6, 201, 89, 125, 142, 73, 146, 147, 10, 95, 151, 158, 177, 109, 48, 71, 152, 123, 69, 172, 130, 52, 125, 156, 35, 87, 111, 53, 148, 61, 237, 163, 81, 144, 214, 140, 232, 31, 140, 180, 46, 189, 155, 255, 166, 62, 103, 62, 214, 110, 236, 152, 86, 25, 64, 85, 55, 190, 162, 0, 149, 55, 29, 220, 46, 134, 133, 186, 132, 114, 237, 180, 168, 67, 109, 232, 222, 111, 217, 160, 255, 0, 24, 47, 153, 83, 150, 222, 186, 5, 81, 58, 150, 142, 237, 106, 130, 219, 122, 44, 244, 115, 3, 207, 221, 142, 178, 99, 96, 183, 136, 137, 155, 227, 18, 179, 229, 31, 221, 114, 162, 154, 254, 26, 172, 108, 1, 185, 135, 170, 104, 34, 181, 69, 114, 175, 139, 22, 184, 169, 253, 210, 117, 206, 215, 15, 137, 42, 90, 65, 4, 255, 48, 43, 62, 235, 31, 253, 227, 73, 35, 42, 113, 200, 208, 249, 237, 239, 35, 118, 20, 60, 57, 43, 120, 175, 74, 101, 40, 38, 217, 228, 18, 102, 62, 76, 15, 167, 185, 3, 42, 1, 54, 24, 138, 130, 4, 140, 94, 151, 67, 60, 140, 61, 64, 201, 252, 169, 92, 246, 24, 92, 44, 94, 199, 105, 58, 110, 146, 56, 168, 89, 24, 235, 1, 62, 188, 215, 30, 40, 1, 204, 245, 68, 77, 164, 48, 193, 145, 131, 31, 37, 48, 85, 43, 32, 3, 229, 155, 118, 196, 16, 175, 157, 43, 135, 20, 156, 91, 190, 213, 88, 131, 155, 42, 159, 79, 211, 15, 247, 40, 232, 65, 160, 130, 209, 158, 116, 106, 91, 119, 152, 237, 19, 152, 141, 121, 34, 94, 59, 220, 141, 118, 117, 228, 250, 180, 11, 66, 121, 190, 0, 159, 138, 175, 239, 212, 94, 203, 45, 178, 101, 205, 236, 187, 182, 124, 15, 189, 198, 251, 128, 108, 56, 178, 62, 120, 143, 103, 99, 95, 70, 0, 133, 44, 21, 108, 55, 33, 40, 194, 92, 7, 177, 34, 87, 24, 95, 220, 27, 239, 149, 87, 194, 70, 169, 81, 96, 63, 75, 71, 143, 44, 50, 53, 215, 85, 144, 123, 197, 0, 127, 55, 0, 62, 188, 116, 138, 237, 4, 26, 75, 107, 172, 139, 124, 165, 221, 138, 84, 200, 153, 249, 58, 152, 164, 111, 134, 19, 47, 127, 41, 136, 19, 23, 201, 51, 69, 87, 55, 38, 180, 197, 138, 126, 216, 200, 103, 173, 171, 149, 191, 205, 193, 39, 254, 141, 244, 111, 95, 102, 13, 173, 132, 189, 184, 180, 37, 189, 177, 24, 85, 246, 33, 178, 78, 21, 244, 163, 189, 47, 212, 124, 113, 113, 229, 252, 189, 246, 224, 41, 1, 235, 214, 63, 234, 70, 87, 66, 188, 147, 9, 4, 236, 154, 193, 89, 192, 6, 239, 159, 0, 83, 97, 40, 82, 245, 252, 201, 42, 14, 197, 6, 90, 247, 197, 78, 135, 55, 39, 89, 122, 125, 125, 42, 146, 233, 82, 160, 216, 191, 28, 108, 143, 140, 166, 40, 47, 145, 214, 36, 5, 82, 7, 221, 225, 202, 131, 212, 43, 29, 172, 68, 214, 205, 9, 130, 19, 27, 250, 152, 199, 47, 13, 147, 36, 87, 22, 246, 94, 253, 168, 233, 135, 171, 186, 163, 213, 23, 49, 84, 122, 56, 159, 212, 226, 230, 130, 254, 178, 20, 145, 115, 117, 249, 121, 168, 107, 221, 175, 133, 94, 249, 110, 47, 133, 62, 90, 187, 144, 22, 76, 9, 220, 137, 190, 107, 140, 126, 121, 243, 27, 5, 91, 22, 86, 5, 64, 232, 64, 192, 237, 111, 120, 241, 237, 175, 49, 152, 154, 253, 194, 74, 247, 16, 116, 236, 157, 69, 27, 244, 177, 199, 59, 254, 79, 156, 206, 207, 134, 19, 72, 29, 168, 191, 129, 106, 237, 218, 58, 206, 148, 185, 58, 204, 30, 54, 237, 73, 68, 192, 152, 190, 238, 191, 11, 253, 49, 157, 197, 2, 27, 80, 165, 252, 12, 235, 220, 131, 249, 163, 102, 241, 29, 159, 156, 163, 21, 188, 68, 122, 112, 161, 196, 236, 1, 16, 181, 166, 65, 169, 22, 99, 5, 159, 236, 250, 17, 218, 179, 51, 206, 226, 71, 53, 59, 139, 57, 190, 87, 8, 155, 43, 43, 174, 16, 39, 158, 6, 228, 188, 128, 158, 29, 5, 16, 123, 35, 123, 198, 243, 60, 248, 94, 145, 117, 31, 118, 46, 236, 213, 74, 53, 51, 23, 210, 154, 206, 199, 232, 105, 177, 71, 26, 208, 47, 49, 101, 96, 172, 123, 202, 247, 29, 155, 107, 242, 245, 44, 211, 188, 192, 156, 224, 70, 166, 151, 170, 112, 190, 144, 198, 88, 130, 150, 255, 79, 97, 216, 66, 86, 190, 185, 255, 190, 50, 94, 50, 200, 174, 75, 68, 122, 155, 12, 122, 104, 237, 64, 234, 234, 148, 19, 253, 108, 205, 251, 143, 111, 161, 163, 226, 3, 149, 199, 139, 227, 13, 4, 98, 200, 188, 67, 200, 120, 4, 72, 179, 121, 151, 162, 160, 242, 34, 239, 99, 215, 5, 24, 190, 134, 140, 146, 130, 32, 95, 193, 67, 4, 216, 39, 85, 19, 200, 12, 0, 95, 38, 215, 198, 64, 184, 133, 147, 52, 167, 18, 210, 254, 224, 29, 104, 91, 71, 172, 18, 174, 198, 66, 78, 239, 177, 113, 96, 160, 91, 67, 48, 77, 252, 86, 213, 178, 218, 240, 11, 42, 44, 198, 198, 65, 7, 211, 50, 245, 15, 109, 44, 217, 72, 57, 231, 92, 92, 201, 64, 119, 132, 30, 142, 46, 29, 171, 6, 96, 252, 36, 51, 108, 75, 69, 102, 0, 129, 143, 145, 200, 3, 193, 66, 142, 11, 239, 244, 172, 104, 41, 11, 56, 172, 254, 140, 42, 175, 69, 35, 152, 110, 159, 143, 84, 35, 33, 184, 161, 141, 236, 221, 62, 15, 250, 128, 164, 21, 241, 239, 247, 146, 39, 106, 145, 15, 164, 156, 249, 105, 180, 73, 150, 85, 246, 183, 244, 65, 193, 22, 93, 49, 58, 246, 13, 23, 142, 115, 106, 175, 165, 137, 212, 194, 178, 79, 14, 13, 232, 135, 33, 37, 211, 176, 235, 118, 232, 225, 78, 230, 219, 82, 9, 234, 141, 140, 80, 23, 57, 147, 165, 129, 227, 69, 166, 14, 186, 138, 192, 243, 170, 137, 205, 175, 61, 198, 218, 143, 255, 81, 155, 83, 221, 94, 67, 206, 89, 130, 10, 56, 112, 150, 130, 202, 120, 45, 8, 43, 228, 19, 160, 131, 201, 166, 57, 39, 88, 113, 83, 192, 134, 83, 252, 76, 63, 136, 0, 167, 225, 85, 36, 191, 129, 102, 33, 217, 24, 199, 206, 97, 195, 177, 186, 120, 5, 147, 27, 97, 140, 111, 249, 62, 43, 118, 196, 138, 192, 251, 157, 191, 207, 246, 86, 24, 224, 57, 172, 108, 130, 142, 16, 223, 129, 237, 46, 81, 100, 96, 50, 234, 38, 40, 181, 22, 81, 202, 201, 24, 84, 127, 76, 196, 240, 231, 92, 205, 76, 132, 82, 175, 141, 56, 90, 120, 233, 47, 88, 41, 205, 82, 235, 51, 39, 139, 83, 64, 151, 242, 74, 211, 26, 19, 9, 61, 173, 117, 185, 58, 224, 35, 147, 8, 17, 37, 70, 98, 231, 48, 125, 191, 87, 25, 15, 127, 251, 68, 99, 181, 210, 186, 29, 58, 124, 146, 14, 95, 185, 205, 42, 133, 214, 76, 183, 62, 155, 156, 31, 126, 128, 214, 86, 201, 190, 213, 154, 38, 25, 130, 69, 255, 251, 131, 29, 33, 68, 196, 236, 172, 226, 120, 80, 248, 138, 200, 195, 144, 142, 70, 224, 14, 143, 51, 42, 228, 232, 218, 44, 232, 81, 74, 213, 86, 216, 199, 250, 156, 46, 132, 150, 138, 174, 238, 41, 18, 26, 148, 164, 45, 164, 45, 143, 71, 82, 197, 219, 38, 199, 244, 234, 194, 26, 93, 245, 168, 121, 190, 244, 231, 88, 235, 172, 58, 66, 77, 98, 179, 81, 195, 104, 255, 168, 83, 63, 58, 236, 220, 220, 148, 231, 64, 17, 17, 201, 223, 24, 225, 5, 241, 7, 47, 100, 148, 216, 143, 203, 170, 134, 190, 115, 28, 71, 8, 228, 79, 137, 162, 212, 248, 138, 38, 155, 158, 212, 33, 25, 135, 209, 188, 146, 251, 185, 68, 207, 204, 226, 99, 85, 209, 67, 142, 218, 127, 253, 206, 61, 91, 83, 226, 171, 174, 93, 189, 4, 180, 54, 103, 108, 186, 80, 72, 133, 30, 113, 242, 234, 10, 33, 197, 199, 77, 203, 184, 159, 137, 189, 124, 231, 142, 223, 189, 152, 220, 24, 210, 67, 186, 35, 214, 59, 151, 120, 242, 141, 130, 69, 84, 38, 224, 211, 225, 219, 202, 50, 176, 233, 49, 6, 146, 113, 149, 247, 29, 61, 46, 130, 88, 162, 51, 36, 145, 215, 73, 33, 65, 197, 23, 70, 28, 218, 238, 82, 51, 142, 41, 197, 56, 51, 46, 67, 154, 70, 93, 199, 227, 139, 67, 53, 177, 197, 152, 65, 122, 0, 242, 240, 248, 4, 115, 213, 238, 102, 89, 224, 200, 162, 165, 214, 58, 100, 200, 17, 248, 102, 39, 194, 206, 157, 127, 104, 184, 17, 25, 12, 26, 20, 112, 93, 181, 237, 69, 254, 19, 186, 102, 38, 155, 36, 23, 129, 97, 150, 84, 11, 180, 32, 58, 12, 125, 49, 174, 8, 96, 250, 184, 123, 2, 44, 58, 178, 228, 106, 17, 45, 130, 32, 186, 71, 253, 208, 178, 75, 5, 179, 95, 9, 98, 11, 18, 90, 101, 210, 145, 104, 201, 201, 201, 74, 22, 220, 9, 209, 233, 132, 197, 243, 85, 128, 23, 209, 107, 173, 230, 33, 244, 181, 110, 77, 98, 123, 58, 3, 143, 65, 138, 92, 67, 24, 194, 214, 26, 71, 110, 14, 110, 127, 132, 31, 55, 242, 31, 142, 168, 127, 14, 77, 183, 83, 36, 119, 177, 105, 35, 117, 131, 110, 171, 58, 95, 27, 97, 10, 108, 66, 99, 210, 252, 185, 20, 181, 84, 60, 150, 41, 21, 47, 26, 152, 104, 186, 189, 186, 122, 200, 65, 69, 24, 9, 28, 80, 29, 190, 227, 76, 142, 82, 118, 29, 76, 233, 238, 242, 130, 46, 137, 245, 136, 72, 210, 53, 157, 47, 57, 193, 36, 224, 69, 244, 2, 45, 186, 27, 204, 243, 100, 107, 2, 218, 231, 18, 212, 108, 13, 134, 105, 86, 181, 7, 103, 37, 69, 241, 111, 16, 98, 4, 91, 193, 20, 45, 63, 211, 6, 65, 190, 105, 166, 141, 65, 133, 82, 17, 18, 121, 242, 10, 92, 41, 146, 227, 255, 172, 83, 71, 66, 199, 165, 177, 54, 27, 5, 48, 19, 230, 143, 219, 153, 32, 154, 73, 7, 137, 200, 111, 87, 233, 214, 161, 21, 242, 94, 68, 177, 128, 39, 125, 218, 136, 231, 16, 87, 109, 22, 86, 29, 89, 210, 77, 171, 162, 153, 97, 154, 180, 71, 114, 54, 238, 109, 225, 53, 49, 217, 249, 203, 64, 169, 108, 95, 15, 242, 237, 43, 61, 92, 63, 44, 24, 70, 84, 105, 41, 134, 36, 27, 50, 254, 89, 53, 148, 88, 201, 132, 101, 32, 189, 210, 38, 253, 215, 64, 214, 135, 144, 226, 31, 68, 146, 162, 81, 2, 24, 184, 234, 80, 31, 125, 129, 232, 29, 11, 75, 195, 249, 247, 82, 211, 169, 15, 58, 254, 16, 36, 68, 0, 20, 115, 29, 0, 230, 164, 233, 142, 212, 191, 190, 251, 80, 252, 165, 144, 108, 177, 77, 172, 192, 139, 120, 99, 68, 38, 101, 25, 33, 26, 135, 13, 54, 122, 174, 113, 55, 90, 158, 39, 171, 222, 36, 86, 206, 230, 98, 222, 48, 45, 117, 0, 124, 114, 189, 124, 51, 152, 206, 148, 197, 4, 43, 244, 172, 87, 147, 172, 65, 137, 112, 71, 138, 183, 34, 223, 146, 156, 133, 200, 193, 195, 11, 56, 154, 250, 211, 92, 200, 175, 240, 152, 61, 247, 194, 23, 233, 25, 76, 24, 206, 147, 53, 145, 229, 244, 230, 49, 203, 10, 51, 212, 244, 224, 117, 202, 140, 181, 3, 20, 48, 200, 223, 47, 162, 93, 202, 31, 144, 190, 219, 230, 78, 58, 88, 209, 3, 52, 219, 38, 10, 176, 30, 86, 214, 40, 77, 210, 100, 248, 144, 115, 129, 230, 128, 132, 171, 187, 122, 77, 163, 223, 254, 97, 208, 130, 234, 147, 42, 246, 151, 87, 242, 88, 104, 226, 123, 178, 34, 161, 102, 163, 181, 19, 47, 202, 172, 128, 109, 217, 82, 85, 223, 232, 59, 94, 167, 167, 128, 27, 154, 108, 50, 181, 32, 76, 244, 134, 252, 152, 81, 109, 140, 21, 186, 159, 154, 55, 53, 23, 104, 54, 185, 12, 77, 160, 202, 226, 12, 62, 170, 191, 48, 154, 95, 125, 141, 183, 125, 45, 255, 69, 104, 178, 19, 149, 157, 205, 155, 192, 192, 254, 214, 227, 29, 208, 29, 19, 113, 100, 89, 213, 128, 181, 119, 86, 137, 219, 13, 28, 83, 130, 224, 54, 51, 110, 105, 229, 249, 175, 27, 115, 114, 234, 117, 187, 252, 57, 55, 129, 87, 143, 114, 103, 122, 15, 255, 77, 216, 189, 222, 53, 2, 110, 231, 20, 41, 102, 10, 215, 131, 101, 27, 199, 185, 166, 150, 217, 136, 20, 118, 208, 206, 45, 89, 22, 59, 63, 38, 124, 232, 205, 181, 125, 141, 126, 119, 231, 2, 168, 232, 19, 8, 83, 38, 135, 126, 55, 116, 15, 247, 121, 85, 112, 235, 254, 124, 7, 70, 70, 128, 90, 219, 189, 161, 114, 26, 179, 187, 168, 66, 67, 183, 252, 135, 151, 127, 135, 81, 110, 47, 120, 207, 141, 234, 199, 82, 41, 109, 201, 42, 25, 217, 235, 218, 200, 94, 217, 91, 1, 90, 8, 90, 155, 222, 34, 174, 73, 234, 146, 73, 207, 66, 143, 140, 204, 119, 18, 75, 11, 83, 74, 37, 64, 160, 117, 198, 83, 255, 91, 99, 83, 185, 164, 147, 214, 248, 194, 82, 141, 95, 84, 61, 108, 126, 47, 114, 164, 160, 34, 222, 35, 23, 222, 190, 53, 148, 217, 251, 0, 252, 217, 127, 157, 40, 134, 75, 71, 151, 119, 98, 220, 131, 252, 202, 194, 140, 18, 117, 85, 93, 244, 193, 109, 44, 137, 99, 199, 160, 241, 198, 38, 171, 170, 155, 87, 222, 251, 71, 201, 105, 80, 144, 253, 73, 189, 209, 9, 186, 62, 171, 155, 43, 75, 36, 113, 125, 108, 159, 64, 233, 146, 237, 181, 107, 0, 205, 126, 20, 143, 134, 32, 21, 250, 73, 39, 13, 35, 11, 159, 100, 133, 247, 165, 252, 231, 25, 165, 124, 88, 252, 140, 85, 171, 225, 171, 226, 169, 40, 59, 168, 107, 134, 19, 189, 171, 228, 224, 110, 38, 212, 151, 109, 59, 210, 13, 32, 116, 96, 198, 29, 77, 216, 139, 175, 16, 211, 222, 159, 27, 128, 240, 209, 81, 175, 37, 250, 139, 110, 111, 194, 93, 188, 207, 212, 140, 48, 60, 164, 233, 175, 224, 241, 79, 30, 181, 203, 168, 35, 203, 130, 117, 201, 144, 168, 250, 217, 29, 246, 233, 171, 206, 47, 36, 75, 249, 65, 218, 113, 71, 99, 57, 104, 162, 151, 131, 108, 250, 244, 56, 15, 183, 10, 85, 227, 0, 37, 40, 182, 63, 60, 84, 166, 197, 156, 201, 238, 109, 13, 226, 177, 25, 163, 217, 158, 210, 78, 205, 147, 24, 112, 183, 81, 157, 153, 114, 168, 12, 91, 209, 178, 132, 133, 144, 245, 113, 230, 99, 214, 238, 0, 121, 169, 196, 124, 89, 254, 69, 90, 87, 123, 244, 80, 182, 187, 39, 182, 93, 186, 224, 129, 245, 133, 227, 170, 41, 124, 132, 72, 112, 182, 10, 72, 133, 108, 35, 72, 54, 241, 26, 1, 119, 200, 79, 155, 250, 132, 46, 139, 147, 118, 216, 40, 209, 101, 168, 189, 228, 115, 53, 135, 191, 172, 27, 68, 158, 62, 86, 205, 2, 44, 152, 206, 91, 228, 163, 233, 134, 212, 185, 9, 187, 180, 237, 34, 181, 223, 252, 172, 20, 30, 223, 225, 12, 8, 20, 186, 176, 193, 78, 89, 186, 111, 22, 144, 110, 105, 70, 255, 119, 74, 227, 252, 81, 78, 158, 127, 103, 206, 88, 144, 249, 84, 20, 8, 58, 223, 14, 200, 66, 133, 96, 80, 205, 236, 231, 161, 221, 98, 9, 191, 96, 106, 48, 160, 230, 165, 74, 196, 220, 89, 244, 196, 216, 38, 66, 185, 20, 165, 69, 112, 244, 238, 14, 35, 74, 15, 21, 70, 103, 98, 108, 90, 206, 153, 246, 200, 157, 136, 212, 129, 96, 228, 112, 4, 87, 94, 174, 240, 133, 145, 143, 42, 95, 61, 4, 30, 80, 53, 49, 54, 9, 229, 201, 5, 165, 236, 130, 50, 64, 193, 104, 109, 52, 186, 84, 165, 40, 173, 125, 184, 106, 218, 253, 173, 138, 234, 46, 1, 108, 167, 56, 7, 124, 59, 38, 235, 79, 137, 51, 0, 30, 20, 85, 239, 211, 204, 145, 51, 81, 25, 110, 16, 161, 163, 179, 167, 219, 193, 223, 231, 85, 23, 29, 170, 25, 28, 65, 253, 159, 66, 126, 60, 71, 60, 199, 242, 250, 217, 59, 50, 54, 148, 150, 188, 102, 175, 45, 137, 214, 7, 23, 97, 40, 194, 186, 190, 128, 105, 81, 108, 144, 184, 83, 78, 157, 58, 222, 227, 35, 99, 121, 43, 230, 144, 162, 118, 150, 237, 186, 27, 93, 176, 82, 186, 15, 253, 33, 53, 168, 132, 1, 237, 243, 147, 112, 49, 214, 165, 227, 108, 55, 165, 83, 178, 57, 133, 180, 184, 224, 138, 61, 207, 181, 99, 178, 10, 130, 40, 104, 89, 232, 102, 152, 254, 182, 62, 106, 218, 206, 135, 50, 0, 95, 110, 33, 82, 74, 46, 69, 33, 145, 40, 121, 162, 137, 131, 242, 237, 102, 159, 34, 167, 55, 40, 33, 225, 255, 157, 104, 158, 115, 128, 81, 250, 199, 228, 252, 96, 74, 164, 25, 100, 54, 163, 105, 89, 5, 84, 139, 1, 111, 151, 210, 170, 214, 176, 21, 175, 250, 185, 198, 103, 212, 169, 243, 168, 188, 130, 255, 17, 136, 28, 175, 47, 207, 62, 16, 57, 46, 202, 34, 105, 80, 152, 1, 84, 252, 1, 187, 136, 114, 121, 159, 196, 39, 113, 19, 175, 223, 244, 5, 207, 57, 220, 72, 227, 74, 90, 50, 182, 85, 116, 19, 168, 201, 200, 90, 84, 88, 70, 35, 18, 170, 60, 36, 177, 137, 183, 83, 233, 180, 75, 93, 159, 244, 184, 228, 230, 196, 169, 139, 191, 122, 204, 240, 232, 217, 81, 49, 184, 89, 87, 205, 105, 192, 114, 155, 6, 215, 197, 45, 46, 208, 69, 53, 235, 73, 137, 66, 130, 225, 208, 26, 63, 152, 102, 149, 173, 253, 8, 30, 237, 21, 6, 8, 170, 224, 209, 68, 97, 42, 186, 51, 240, 83, 166, 102, 164, 251, 44, 63, 28, 7, 230, 255, 235, 195, 233, 236, 177, 202, 93, 85, 221, 98, 170, 22, 158, 103, 47, 232, 155, 162, 138, 148, 15, 98, 167, 72, 162, 112, 229, 81, 176, 36, 231, 73, 84, 207, 187, 18, 94, 233, 172, 53, 83, 212, 233, 244, 206, 181, 206, 22, 240, 233, 204, 140, 210, 191, 153, 73, 231, 179, 137, 85, 205, 46, 181, 126, 154, 185, 13, 187, 98, 163, 123, 44, 138, 56, 33, 115, 36, 64, 149, 86, 225, 10, 255, 71, 89, 31, 243, 216, 138, 50, 23, 20, 104, 120, 207, 219, 172, 241, 232, 39, 169, 87, 229, 72, 31, 255, 85, 50, 51, 69, 97, 248, 50, 245, 103, 218, 195, 238, 71, 101, 225, 37, 79, 26, 126, 221, 46, 210, 41, 111, 130, 255, 23, 94, 201, 243, 86, 252, 233, 251, 123, 152, 60, 141, 240, 184, 226, 39, 203, 48, 25, 19, 132, 18, 47, 143, 190, 185, 54, 249, 92, 83, 108, 103, 198, 25, 217, 11, 171, 135, 87, 98, 230, 48, 221, 89, 198, 200, 254, 185, 90, 164, 165, 251, 243, 131, 180, 120, 201, 216, 105, 245, 178, 120, 41, 58, 222, 154, 78, 10, 206, 52, 113, 61, 215, 64, 111, 25, 94, 172, 31, 87, 121, 36, 11, 166, 174, 235, 62, 169, 162, 81, 10, 44, 213, 76, 235, 29, 55, 153, 73, 253, 245, 166, 154, 86, 103, 233, 59, 188, 18, 162, 115, 36, 160, 4, 59, 169, 254, 32, 20, 119, 132, 115, 236, 150, 209, 42, 146, 199, 240, 34, 71, 140, 249, 40, 186, 28, 185, 6, 57, 170, 151, 203, 153, 100, 89, 234, 21, 214, 181, 111, 206, 233, 235, 145, 137, 80, 26, 234, 45, 146, 67, 185, 70, 50, 37, 94, 202, 208, 212, 223, 69, 43, 6, 114, 130, 111, 221, 52, 42, 141, 38, 128, 104, 193, 110, 245, 150, 189, 198, 25, 182, 251, 113, 48, 27, 232, 202, 25, 236, 12, 145, 82, 25, 16, 23, 106, 22, 206, 86, 27, 206, 52, 157, 217, 154, 226, 195, 195, 188, 123, 159, 95, 57, 127, 193, 0, 51, 220, 124, 148, 215, 7, 211, 227, 28, 209, 127, 83, 15, 177, 157, 73, 159, 141, 73, 218, 0, 58, 230, 68, 128, 185, 137, 155, 82, 118, 221, 243, 177, 175, 171, 105, 18, 53, 197, 43, 11, 222, 103, 114, 123, 96, 159, 52, 79, 209, 34, 149, 183, 212, 216, 22, 32, 31, 31, 34, 51, 58, 62, 98, 102, 130, 122, 11, 40, 108, 140, 54, 7, 77, 102, 2, 214, 227, 58, 133, 63, 35, 3, 133, 115, 12, 92, 129, 99, 48, 71, 18, 48, 162, 244, 33, 112, 11, 182, 61, 71, 50, 217, 220, 42, 155, 214, 85, 210, 44, 111, 0, 33, 174, 137, 130, 25, 119, 194, 216, 68, 195, 24, 240, 36, 161, 114, 239, 78, 218, 178, 215, 248, 150, 152, 119, 70, 32, 80, 117, 125, 149, 29, 44, 29, 141, 15, 81, 70, 153, 181, 183, 65, 219, 65, 60, 106, 171, 39, 164, 212, 32, 247, 4, 97, 130, 109, 34, 168, 218, 234, 6, 102, 79, 178, 90, 83, 245, 203, 127, 74, 232, 245, 68, 142, 104, 153, 129, 35, 75, 60, 101, 84, 248, 150, 191, 100, 88, 70, 196, 222, 127, 79, 250, 247, 95, 122, 87, 84, 17, 45, 17, 178, 114, 228, 36, 16, 250, 102, 194, 128, 189, 233, 171, 90, 47, 201, 37, 114, 185, 219, 132, 21, 246, 213, 197, 151, 240, 86, 101, 189, 69, 10, 59, 6, 71, 114, 176, 146, 243, 34, 12, 133, 18, 243, 41, 151, 9, 117, 112, 193, 63, 54, 120, 181, 207, 195, 80, 179, 19, 70, 233, 193, 91, 60, 230, 16, 0, 144, 133, 104, 61, 39, 115, 250, 87, 48, 45, 241, 118, 100, 169, 60, 92, 144, 86, 89, 85, 219, 79, 118, 33, 143, 88, 112, 74, 130, 75, 103, 142, 10, 10, 77, 15, 114, 251, 249, 21, 210, 200, 115, 246, 50, 24, 101, 182, 83, 18, 63, 102, 150, 115, 87, 185, 156, 126, 90, 128, 83, 84, 76, 163, 229, 76, 13, 114, 25, 117, 57, 235, 231, 152, 41, 219, 176, 86, 199, 226, 22, 0, 6, 55, 242, 228, 57, 82, 190, 224, 80, 104, 18, 91, 33, 12, 171, 50, 130, 67, 247, 214, 149, 42, 17, 72, 234, 55, 236, 109, 202, 109, 38, 21, 180, 56, 73, 42, 9, 133, 129, 92, 140, 15, 129, 39, 214, 87, 181, 243, 46, 154, 60, 221, 170, 92, 110, 132, 89, 223, 192, 153, 173, 177, 234, 150, 220, 101, 223, 6, 100, 73, 83, 207, 184, 42, 216, 104, 235, 190, 18, 136, 43, 85, 246, 124, 78, 27, 60, 219, 28, 58, 100, 6, 252, 20, 33, 69, 25, 152, 131, 166, 226, 140, 134, 104, 184, 161, 227, 217, 221, 241, 158, 199, 23, 55, 211, 57, 82, 218, 10, 182, 114, 191, 42, 46, 232, 138, 9, 251, 70, 10, 229, 150, 133, 112, 227, 195, 40, 37, 242, 194, 146, 218, 148, 189, 1, 138, 254, 204, 118, 82, 49, 206, 25, 130, 92, 126, 152, 64, 124, 0, 3, 59, 242, 198, 95, 72, 49, 80, 134, 211, 147, 67, 174, 150, 111, 0, 230, 74, 169, 165, 117, 141, 214, 232, 69, 245, 143, 78, 50, 187, 155, 74, 178, 185, 76, 20, 114, 197, 238, 43, 148, 236, 186, 120, 152, 123, 64, 94, 209, 164, 113, 165, 239, 152, 235, 235, 76, 36, 85, 52, 154, 200, 140, 69, 229, 149, 213, 148, 165, 196, 120, 234, 51, 185, 58, 111, 253, 157, 249, 180, 206, 9, 209, 113, 64, 147, 250, 120, 164, 114, 24, 168, 219, 106, 148, 208, 74, 28, 156, 25, 94, 186, 208, 116, 246, 253, 28, 13, 36, 94, 101, 198, 63, 217, 230, 203, 32, 239, 129, 158, 4, 11, 125, 177, 246, 120, 183, 108, 213, 148, 119, 187, 246, 233, 245, 84, 234, 21, 218, 223, 216, 1, 27, 186, 246, 231, 66, 11, 164, 140, 218, 88, 187, 212, 38, 8, 96, 79, 62, 186, 186, 50, 2, 251, 234, 245, 196, 120, 139, 227, 100, 112, 81, 116, 57, 22, 34, 173, 218, 48, 164, 18, 105, 94, 210, 189, 238, 138, 37, 192, 167, 91, 185, 5, 241, 48, 79, 254, 122, 110, 244, 24, 202, 185, 165, 149, 19, 143, 47, 163, 156, 238, 228, 165, 82, 139, 197, 199, 165, 213, 62, 110, 229, 214, 9, 185, 126, 221, 94, 12, 75, 79, 160, 55, 235, 71, 97, 163, 18, 146, 171, 139, 116, 15, 32, 231, 38, 132, 118, 11, 190, 101, 239, 200, 56, 164, 217, 227, 222, 11, 79, 208, 73, 169, 238, 118, 215, 105, 47, 249, 75, 142, 181, 19, 154, 88, 242, 146, 52, 197, 98, 117, 100, 37, 137, 106, 50, 245, 178, 182, 107, 22, 68, 79, 69, 20, 210, 85, 44, 97, 11, 148, 115, 191, 4, 25, 151, 31, 143, 18, 187, 108, 203, 48, 45, 235, 23, 197, 208, 146, 244, 169, 108, 249, 245, 61, 181, 151, 180, 160, 181, 247, 90, 244, 12, 57, 244, 133, 238, 188, 71, 153, 244, 193, 30, 221, 35, 173, 20, 27, 158, 107, 186, 0, 227, 87, 221, 5, 246, 157, 22, 120, 102, 161, 37, 214, 66, 129, 188, 94, 239, 189, 147, 50, 236, 213, 36, 183, 80, 35, 111, 138, 0, 178, 78, 203, 64, 147, 182, 129, 0, 34, 238, 16, 244, 235, 40, 202, 75, 1, 200, 103, 109, 231, 9, 233, 123, 89, 54, 231, 166, 23, 90, 211, 103, 228, 149, 31, 240, 168, 72, 41, 19, 227, 57, 76, 97, 224, 251, 11, 212, 40, 63, 105, 207, 190, 132, 109, 14, 75, 154, 225, 132, 239, 86, 1, 57, 34, 206, 134, 238, 142, 88, 29, 221, 201, 47, 90, 159, 135, 134, 168, 235, 171, 7, 170, 61, 167, 87, 69, 105, 210, 179, 121, 156, 56, 102, 156, 136, 94, 216, 40, 50, 72, 68, 216, 250, 120, 103, 45, 90, 12, 61, 49, 236, 146, 246, 157, 115, 146, 248, 66, 190, 28, 217, 206, 20, 217, 164, 203, 58, 48, 20, 64, 83, 86, 116, 122, 201, 170, 71, 228, 150, 82, 72, 217, 107, 62, 70, 77, 1, 53, 62, 223, 158, 127, 158, 202, 8, 114, 5, 202, 34, 34, 5, 86, 82, 97, 98, 118, 248, 234, 133, 101, 86, 17, 214, 75, 72, 239, 59, 192, 199, 135, 84, 219, 126, 144, 242, 163, 94, 192, 20, 13, 121, 154, 70, 194, 156, 159, 102, 134, 245, 113, 23, 181, 39, 177, 253, 24, 193, 20, 188, 47, 20, 125, 223, 121, 92, 98, 41, 73, 54, 150, 156, 118, 162, 4, 82, 214, 76, 178, 75, 242, 15, 174, 97, 34, 248, 70, 203, 233, 140, 91, 53, 175, 69, 189, 225, 134, 210, 124, 1, 114, 207, 36, 133, 90, 111, 219, 181, 71, 79, 30, 246, 99, 53, 175, 159, 161, 0, 252, 186, 138, 117, 170, 183, 159, 87, 21, 227, 218, 74, 36, 10, 134, 56, 42, 74, 184, 170, 109, 70, 126, 35, 54, 165, 241, 157, 57, 160, 166, 221, 106, 69, 145, 54, 58, 104, 168, 41, 71, 34, 80, 222, 198, 148, 196, 214, 79, 143, 6, 24, 201, 51, 233, 243, 222, 221, 115, 155, 189, 17, 62, 54, 90, 141, 73, 24, 61, 157, 161, 210, 135, 176, 63, 192, 28, 175, 90, 135, 238, 106, 81, 27, 226, 214, 113, 219, 5, 162, 85, 237, 22, 237, 151, 154, 90, 13, 143, 184, 234, 12, 211, 5, 140, 187, 66, 130, 27, 229, 147, 245, 62, 42, 81, 76, 220, 254, 155, 73, 107, 20, 214, 102, 187, 70, 187, 198, 128, 201, 226, 246, 11, 45, 122, 77, 65, 87, 182, 155, 64, 151, 168, 15, 202, 108, 85, 199, 77, 149, 216, 142, 201, 4, 101, 27, 21, 173, 223, 130, 138, 114, 9, 115, 170, 194, 132, 68, 72, 142, 23, 39, 184, 109, 196, 102, 75, 85, 171, 21, 162, 157, 159, 63, 199, 122, 234, 12, 170, 99, 139, 62, 146, 11, 196, 149, 14, 75, 255, 66, 9, 235, 25, 136, 111, 87, 181, 74, 209, 231, 18, 84, 177, 36, 83, 69, 217, 127, 194, 142, 183, 168, 125, 114, 36, 25, 143, 29, 45, 158, 165, 173, 202, 229, 18, 170, 121, 255, 31, 85, 41, 55, 220, 249, 199, 217, 75, 94, 221, 24, 106, 167, 255, 96, 117, 136, 222, 236, 251, 169, 86, 121, 182, 101, 170, 57, 170, 132, 99, 4, 100, 180, 221, 21, 48, 15, 202, 183, 149, 13, 77, 122, 113, 43, 92, 46, 64, 2, 40, 170, 70, 247, 115, 135, 153, 102, 137, 146, 58, 97, 34, 17, 190, 187, 85, 17, 246, 60, 31, 120, 46, 103, 33, 54, 208, 157, 229, 113, 185, 122, 100, 51, 217, 167, 184, 171, 21, 158, 176, 124, 253, 80, 174, 27, 15, 194, 208, 161, 161, 33, 92, 47, 119, 13, 127, 172, 118, 128, 170, 184, 182, 21, 205, 80, 126, 250, 29, 105, 180, 108, 2, 38, 35, 140, 147, 220, 135, 250, 36, 228, 89, 180, 10, 229, 179, 160, 147, 93, 239, 235, 205, 185, 76, 134, 83, 9, 209, 112, 89, 173, 81, 35, 38, 61, 92, 132, 195, 122, 147, 201, 234, 207, 208, 149, 196, 232, 158, 23, 69, 242, 135, 236, 216, 16, 2, 211, 7, 72, 98, 57, 101, 234, 252, 93, 255, 39, 106, 153, 189, 180, 35, 181, 150, 18, 233, 92, 83, 93, 187, 98, 55, 218, 126, 250, 158, 166, 234, 53, 24, 112, 210, 231, 129, 95, 214, 20, 241, 9, 108, 85, 20, 130, 152, 233, 59, 195, 253, 237, 215, 22, 135, 70, 212, 44, 61, 74, 65, 185, 76, 65, 167, 18, 33, 189, 226, 53, 229, 41, 244, 25, 32, 140, 45, 185, 159, 96, 89, 218, 163, 4, 83, 251, 22, 165, 73, 183, 177, 161, 212, 36, 2, 66, 42, 155, 189, 179, 28, 147, 107, 227, 235, 89, 222, 146, 173, 234, 72, 184, 233, 14, 141, 24, 79, 235, 92, 205, 56, 176, 114, 4, 234, 254, 137, 43, 35, 213, 94, 189, 170, 228, 115, 167, 227, 73, 66, 62, 94, 241, 251, 72, 251, 4, 142, 14, 159, 46, 242, 62, 103, 233, 28, 187, 205, 250, 210, 178, 1, 219, 219, 29, 64, 106, 80, 57, 191, 168, 118, 63, 201, 89, 113, 101, 230, 165, 43, 176, 75, 255, 51, 83, 144, 71, 148, 53, 57, 38, 90, 75, 187, 134, 190, 137, 135, 109, 199, 45, 91, 137, 91, 39, 36, 45, 58, 178, 143, 77, 107, 0, 26, 203, 244, 193, 63, 75, 247, 188, 145, 228, 175, 182, 12, 172, 114, 251, 197, 78, 223, 226, 55, 36, 227, 91, 112, 67, 221, 249, 71, 203, 0, 107, 98, 90, 203, 208, 39, 124, 79, 22, 69, 146, 50, 119, 208, 171, 227, 241, 251, 22, 236, 109, 51, 238, 211, 127, 173, 57, 168, 53, 201, 205, 229, 44, 62, 168, 158, 125, 157, 98, 117, 132, 141, 16, 92, 223, 40, 202, 118, 10, 33, 242, 79, 75, 73, 155, 118, 198, 41, 229, 204, 86, 166, 132, 201, 224, 58, 219, 212, 204, 192, 109, 75, 245, 241, 236, 209, 195, 125, 104, 33, 144, 68, 20, 174, 160, 58, 93, 48, 220, 96, 132, 31, 80, 56, 227, 116, 107, 222, 45, 254, 9, 146, 78, 51, 121, 6, 138, 156, 20, 255, 120, 218, 59, 244, 9, 231, 200, 158, 149, 13, 189, 93, 7, 45, 225, 200, 204, 249, 107, 167, 120, 208, 160, 175, 105, 183, 192, 172, 69, 18, 239, 35, 82, 49, 218, 146, 91, 255, 140, 144, 1, 205, 141, 79, 43, 81, 210, 198, 66, 67, 68, 116, 249, 71, 230, 201, 187, 55, 79, 91, 50, 223, 59, 244, 255, 158, 121, 210, 78, 39, 183, 64, 147, 168, 210, 99, 155, 217, 132, 49, 24, 1, 197, 180, 91, 99, 196, 236, 234, 8, 31, 158, 72, 54, 238, 88, 8, 195, 191, 199, 160, 243, 92, 120, 137, 30, 214, 194, 105, 27, 100, 39, 204, 45, 240, 248, 183, 198, 235, 59, 31, 94, 174, 47, 228, 87, 78, 121, 182, 179, 223, 247, 71, 90, 115, 238, 139, 129, 43, 181, 192, 219, 167, 231, 48, 145, 11, 18, 254, 236, 237, 149, 234, 230, 121, 184, 214, 53, 91, 49, 72, 79, 233, 143, 198, 203, 169, 45, 190, 111, 121, 43, 120, 22, 99, 123, 209, 191, 101, 154, 66, 163, 71, 25, 31, 126, 49, 70, 223, 139, 232, 19, 237, 238, 192, 69, 108, 113, 232, 88, 24, 149, 217, 125, 83, 216, 108, 121, 234, 136, 49, 159, 119, 219, 110, 167, 86, 208, 111, 158, 8, 113, 170, 57, 93, 212, 141, 50, 57, 203, 189, 244, 61, 234, 243, 10, 166, 126, 8, 137, 159, 8, 198, 49, 166, 10, 29, 128, 133, 1, 97, 83, 24, 171, 156, 103, 208, 138, 10, 155, 241, 137, 244, 67, 111, 106, 55, 245, 173, 184, 5, 35, 35, 37, 153, 19, 133, 106, 107, 221, 140, 34, 49, 61, 240, 77, 20, 143, 33, 94, 11, 233, 187, 71, 248, 198, 175, 107, 248, 71, 154, 195, 198, 171, 87, 33, 1, 216, 211, 215, 27, 199, 80, 191, 26, 13, 19, 175, 98, 186, 237, 171, 221, 168, 205, 100, 132, 26, 41, 30, 232, 57, 223, 149, 37, 41, 159, 233, 95, 151, 44, 50, 36, 84, 210, 81, 200, 50, 222, 246, 140, 153, 28, 223, 189, 169, 229, 237, 127, 251, 42, 186, 210, 82, 135, 108, 217, 1, 128, 218, 255, 106, 242, 200, 160, 228, 76, 49, 150, 231, 87, 165, 73, 74, 1, 24, 44, 54, 125, 199, 138, 73, 143, 44, 202, 38, 123, 51, 123, 46, 240, 217, 22, 20, 216, 115, 169, 72, 83, 15, 40, 245, 210, 32, 255, 128, 73, 14, 18, 111, 171, 171, 107, 90, 234, 222, 252, 10, 108, 29, 174, 218, 106, 11, 218, 138, 115, 133, 21, 244, 150, 76, 45, 51, 168, 233, 140, 107, 227, 183, 45, 19, 207, 160, 143, 38, 80, 118, 95, 64, 105, 164, 13, 151, 68, 27, 10, 128, 102, 235, 249, 55, 119, 216, 53, 200, 38, 8, 42, 183, 243, 6, 144, 191, 20, 226, 22, 21, 203, 52, 182, 217, 231, 10, 115, 175, 226, 198, 7, 245, 167, 66, 115, 239, 1, 237, 22, 171, 174, 108, 212, 242, 161, 19, 107, 167, 45, 37, 65, 186, 220, 227, 64, 6, 107, 56, 65, 90, 140, 53, 63, 50, 26, 19, 139, 56, 115, 36, 196, 109, 159, 200, 197, 183, 62, 161, 99, 137, 32, 142, 66, 129, 28, 189, 128, 253, 193, 75, 64, 106, 132, 181, 6, 173, 252, 120, 173, 188, 138, 243, 86, 145, 37, 74, 160, 244, 9, 194, 39, 224, 231, 135, 107, 230, 174, 0, 192, 84, 163, 201, 48, 85, 114, 117, 112, 25, 197, 10, 9, 38, 16, 100, 123, 246, 187, 68, 165, 42, 155, 42, 86, 234, 5, 27, 233, 26, 112, 104, 82, 170, 45, 166, 12, 17, 181, 247, 92, 144, 255, 211, 89, 46, 232, 17, 79, 254, 119, 250, 146, 0, 211, 128, 139, 248, 10, 169, 191, 108, 130, 172, 106, 48, 225, 131, 137, 228, 95, 10, 215, 173, 245, 199, 113, 210, 200, 91, 177, 53, 212, 13, 90, 3, 249, 87, 163, 122, 149, 202, 246, 228, 140, 230, 26, 229, 166, 29, 245, 65, 105, 87, 31, 119, 15, 175, 8, 168, 46, 8, 171, 28, 147, 151, 134, 239, 86, 103, 164, 44, 18, 224, 58, 159, 46, 10, 86, 15, 214, 72, 222, 127, 194, 197, 25, 144, 88, 76, 201, 148, 246, 133, 232, 34, 185, 16, 50, 133, 232, 240, 33, 181, 74, 96, 87, 108, 78, 108, 139, 236, 90, 22, 176, 108, 46, 79, 221, 250, 69, 233, 66, 169, 187, 105, 51, 175, 133, 60, 214, 199, 62, 33, 98, 153, 65, 86, 82, 177, 189, 64, 94, 38, 87, 166, 7, 210, 177, 69, 235, 78, 166, 193, 117, 85, 44, 238, 246, 254, 37, 175, 50, 154, 170, 77, 112, 147, 218, 76, 87, 240, 49, 38, 13, 241, 122, 156, 37, 143, 65, 16, 60, 96, 30, 172, 127, 210, 133, 76, 94, 70, 80, 35, 25, 72, 254, 239, 189, 24, 62, 127, 206, 84, 162, 232, 154, 43, 73, 79, 22, 171, 186, 206, 227, 39, 129, 115, 82, 178, 117, 83, 23, 254, 186, 173, 11, 152, 154, 62, 238, 150, 107, 176, 206, 120, 15, 106, 28, 117, 137, 203, 14, 38, 33, 112, 215, 43, 24, 158, 59, 177, 213, 64, 233, 228, 173, 140, 225, 176, 163, 117, 87, 73, 110, 78, 106, 36, 213, 250, 201, 243, 191, 227, 33, 51, 65, 219, 95, 143, 75, 163, 108, 112, 218, 105, 177, 150, 133, 88, 14, 43, 225, 3, 48, 48, 184, 83, 42, 172, 219, 115, 125, 3, 201, 176, 111, 223, 204, 247, 252, 2, 207, 195, 170, 169, 125, 237, 206, 212, 136, 73, 26, 38, 199, 233, 52, 4, 77, 89, 88, 142, 231, 194, 168, 73, 153, 243, 216, 22, 229, 5, 6, 48, 207, 223, 152, 140, 64, 136, 196, 149, 222, 20, 40, 0, 62, 186, 111, 134, 113, 250, 174, 219, 186, 251, 100, 107, 255, 103, 20, 167, 109, 58, 222, 0, 129, 245, 166, 49, 236, 14, 21, 245, 20, 104, 92, 26, 56, 46, 239, 53, 14, 220, 142, 87, 126, 191, 249, 246, 35, 162, 49, 251, 111, 249, 209, 18, 204, 36, 145, 121, 128, 114, 194, 19, 107, 190, 74, 61, 207, 27, 233, 31, 140, 67, 222, 175, 214, 39, 85, 57, 36, 39, 136, 68, 221, 119, 90, 137, 118, 215, 221, 118, 199, 95, 29, 140, 90, 45, 9, 231, 122, 219, 15, 94, 45, 213, 119, 197, 14, 6, 183, 221, 236, 224, 20, 120, 253, 60, 82, 229, 10, 177, 192, 14, 184, 251, 155, 142, 28, 139, 255, 22, 90, 175, 110, 78, 214, 148, 244, 254, 146, 85, 29, 153, 98, 247, 245, 18, 169, 195, 98, 60, 146, 95, 231, 116, 74, 81, 240, 248, 214, 16, 26, 5, 52, 101, 237, 216, 45, 1, 10, 43, 10, 7, 99, 114, 110, 235, 167, 186, 141, 118, 80, 121, 178, 77, 120, 135, 179, 18, 75, 6, 17, 46, 100, 223, 183, 74, 235, 223, 28, 227, 27, 181, 41, 177, 47, 210, 61, 155, 170, 123, 233, 29, 178, 184, 131, 76, 95, 93, 252, 179, 103, 138, 160, 194, 173, 71, 242, 158, 53, 76, 232, 183, 171, 3, 37, 107, 95, 153, 180, 156, 216, 214, 242, 35, 17, 93, 229, 101, 131, 188, 122, 247, 228, 76, 102, 215, 66, 250, 160, 253, 178, 117, 249, 28, 123, 10, 119, 244, 126, 250, 32, 31, 14, 1, 24, 235, 215, 108, 203, 195, 36, 199, 75, 222, 198, 156, 136, 180, 172, 48, 157, 20, 217, 167, 216, 39, 201, 210, 225, 37, 175, 187, 103, 159, 181, 194, 131, 224, 145, 235, 94, 179, 124, 201, 208, 166, 114, 64, 80, 20, 70, 33, 170, 73, 189, 66, 86, 100, 173, 31, 63, 46, 61, 163, 17, 173, 39, 93, 145, 10, 3, 182, 99, 95, 254, 190, 109, 188, 83, 19, 168, 214, 1, 251, 138, 202, 201, 44, 172, 4, 185, 137, 218, 126, 157, 90, 57, 33, 10, 135, 177, 188, 236, 119, 166, 25, 78, 223, 69, 199, 68, 174, 32, 143, 132, 136, 22, 73, 140, 249, 39, 117, 220, 179, 89, 131, 235, 153, 21, 134, 123, 132, 163, 150, 191, 226, 248, 143, 252, 172, 147, 19, 116, 131, 198, 48, 123, 145, 228, 172, 19, 150, 13, 255, 146, 29, 67, 215, 44, 75, 152, 184, 16, 157, 114, 160, 253, 251, 75, 164, 125, 176, 211, 86, 203, 254, 28, 87, 98, 205, 223, 136, 210, 162, 21, 15, 0, 59, 96, 102, 69, 152, 142, 161, 151, 253, 61, 63, 167, 228, 24, 97, 164, 119, 8, 71, 231, 51, 117, 82, 43, 238, 5, 226, 109, 207, 77, 137, 240, 132, 62, 197, 36, 6, 12, 4, 28, 16, 217, 228, 105, 35, 133, 190, 229, 157, 210, 254, 51, 169, 222, 226, 126, 161, 241, 255, 125, 187, 131, 250, 61, 111, 142, 160, 151, 30, 73, 184, 181, 219, 203, 207, 172, 46, 229, 110, 4, 139, 181, 33, 3, 141, 176, 5, 51, 220, 215, 37, 181, 26, 4, 36, 136, 163, 227, 27, 185, 57, 152, 1, 158, 207, 159, 81, 78, 220, 59, 55, 230, 183, 156, 220, 20, 116, 201, 87, 45, 181, 232, 103, 162, 170, 187, 51, 10, 84, 174, 184, 16, 84, 174, 33, 83, 219, 29, 54, 20, 138, 75, 226, 61, 159, 107, 244, 41, 84, 125, 91, 242, 210, 223, 102, 81, 35, 8, 190, 134, 90, 233, 38, 156, 234, 1, 166, 37, 49, 94, 249, 85, 242, 19, 136, 2, 71, 36, 72, 154, 127, 41, 202, 75, 162, 29, 91, 46, 122, 240, 70, 18, 192, 133, 147, 181, 38, 253, 167, 189, 2, 180, 143, 122, 223, 151, 58, 148, 17, 91, 162, 201, 238, 72, 94, 93, 220, 168, 73, 11, 112, 237, 111, 164, 243, 219, 121, 185, 74, 12, 137, 96, 172, 49, 243, 20, 171, 133, 121, 173, 62, 41, 190, 143, 88, 80, 117, 124, 196, 192, 184, 246, 142, 80, 21, 54, 117, 243, 245, 193, 12, 144, 184, 128, 245, 111, 177, 114, 224, 21, 108, 209, 154, 142, 199, 252, 247, 2, 155, 136, 81, 54, 152, 166, 98, 122, 40, 236, 43, 235, 131, 59, 147, 154, 224, 235, 8, 238, 116, 175, 91, 188, 239, 74, 84, 103, 156, 25, 148, 42, 190, 255, 37, 248, 241, 107, 83, 216, 128, 152, 240, 252, 226, 122, 56, 89, 59, 166, 73, 101, 202, 0, 179, 11, 170, 226, 168, 219, 152, 35, 216, 179, 212, 2, 171, 214, 246, 130, 255, 90, 59, 11, 150, 61, 78, 202, 35, 194, 248, 129, 134, 162, 244, 3, 189, 170, 223, 149, 149, 110, 23, 203, 10, 37, 23, 228, 67, 32, 124, 138, 28, 22, 153, 205, 188, 174, 101, 233, 166, 100, 179, 93, 83, 197, 14, 23, 41, 35, 87, 213, 251, 25, 224, 108, 122, 121, 186, 183, 144, 168, 190, 141, 120, 221, 7, 65, 124, 184, 100, 5, 25, 171, 179, 106, 127, 237, 197, 212, 115, 42, 85, 33, 14, 143, 160, 219, 35, 35, 67, 106, 109, 198, 174, 144, 251, 202, 247, 127, 166, 155, 91, 51, 239, 59, 225, 99, 243, 120, 22, 27, 7, 11, 66, 96, 204, 127, 29, 27, 30, 184, 32, 90, 107, 16, 90, 57, 8, 15, 240, 245, 211, 233, 162, 79, 24, 100, 81, 195, 37, 180, 36, 83, 104, 27, 155, 182, 195, 58, 178, 14, 73, 219, 137, 248, 156, 48, 183, 99, 34, 42, 23, 221, 40, 155, 171, 136, 193, 78, 208, 58, 163, 244, 25, 47, 42, 113, 85, 44, 67, 142, 172, 208, 87, 226, 94, 179, 73, 89, 236, 171, 169, 51, 44, 70, 205, 123, 117, 134, 4, 56, 106, 41, 186, 189, 227, 204, 19, 40, 217, 81, 159, 142, 193, 188, 38, 255, 17, 133, 89, 99, 245, 211, 117, 112, 238, 255, 137, 178, 74, 9, 82, 200, 198, 173, 57, 160, 105, 78, 34, 184, 109, 39, 27, 246, 154, 149, 240, 203, 86, 45, 222, 123, 116, 78, 111, 172, 237, 120, 69, 51, 205, 190, 237, 63, 129, 177, 116, 35, 77, 132, 74, 62, 217, 90, 240, 212, 104, 145, 19, 219, 156, 24, 246, 248, 123, 122, 53, 68, 109, 147, 224, 37, 1, 81, 159, 237, 180, 228, 103, 27, 178, 137, 96, 37, 222, 77, 150, 168, 161, 203, 96, 194, 147, 148, 6, 250, 40, 243, 202, 248, 213, 215, 42, 80, 128, 135, 110, 109, 85, 133, 235, 248, 234, 82, 194, 13, 190, 115, 189, 4, 56, 168, 51, 205, 208, 203, 75, 30, 67, 117, 8, 92, 178, 162, 244, 57, 43, 184, 42, 156, 124, 171, 124, 215, 169, 69, 202, 73, 93, 203, 151, 208, 187, 26, 38, 193, 235, 188, 34, 155, 191, 127, 46, 27, 126, 16, 87, 79, 50, 215, 199, 254, 180, 95, 47, 242, 93, 60, 142, 79, 220, 100, 192, 194, 103, 169, 228, 79, 105, 143, 227, 163, 220, 104, 87, 29, 80, 218, 217, 182, 48, 251, 29, 56, 52, 34, 68, 175, 133, 57, 222, 40, 110, 214, 231, 250, 87, 45, 156, 23, 125, 136, 24, 14, 108, 29, 185, 76, 81, 27, 28, 117, 66, 99, 152, 127, 135, 162, 137, 27, 27, 169, 54, 72, 99, 92, 56, 166, 179, 158, 41, 29, 159, 252, 88, 28, 71, 254, 89, 110, 84, 130, 122, 100, 25, 174, 99, 206, 0, 225, 200, 135, 140, 247, 66, 99, 64, 206, 53, 49, 87, 157, 149, 209, 234, 34, 34, 190, 215, 42, 149, 125, 194, 187, 242, 98, 250, 142, 110, 37, 74, 186, 73, 21, 18, 111, 173, 130, 228, 237, 117, 195, 7, 222, 147, 14, 42, 196, 54, 76, 141, 76, 70, 32, 133, 219, 47, 153, 101, 74, 12, 123, 0, 27, 187, 39, 210, 161, 101, 110, 201, 164, 186, 175, 36, 182, 44, 171, 255, 169, 152, 215, 9, 112, 159, 192, 171, 50, 41, 17, 82, 234, 159, 32, 237, 147, 25, 27, 213, 118, 108, 179, 105, 247, 77, 247, 160, 140, 131, 226, 118, 170, 140, 156, 140, 102, 149, 171, 244, 203, 162, 202, 45, 94, 75, 187, 195, 165, 254, 244, 203, 226, 252, 212, 116, 51, 8, 133, 54, 121, 53, 121, 157, 155, 8, 235, 197, 66, 254, 198, 92, 206, 78, 50, 49, 75, 111, 44, 115, 179, 215, 40, 110, 167, 144, 75, 224, 144, 162, 160, 201, 37, 176, 79, 21, 82, 23, 178, 94, 213, 38, 105, 167, 26, 192, 23, 4, 207, 150, 189, 217, 235, 118, 5, 229, 154, 175, 87, 198, 27, 186, 76, 120, 224, 13, 228, 230, 60, 214, 253, 82, 248, 68, 112, 128, 57, 251, 117, 234, 136, 26, 226, 249, 248, 51, 52, 116, 175, 162, 173, 158, 183, 126, 94, 209, 255, 152, 57, 108, 156, 203, 85, 57, 69, 119, 184, 237, 213, 126, 49, 87, 241, 192, 238, 250, 207, 178, 61, 25, 186, 89, 209, 64, 52, 82, 60, 127, 213, 181, 59, 222, 43, 223, 93, 246, 157, 77, 134, 38, 133, 198, 229, 79, 67, 255, 47, 31, 16, 90, 112, 221, 66, 5, 116, 20, 164, 63, 168, 61, 110, 23, 67, 253, 216, 56, 16, 179, 166, 227, 183, 122, 74, 123, 252, 126, 74, 38, 161, 26, 111, 235, 18, 158, 41, 57, 39, 59, 112, 248, 158, 100, 178, 165, 154, 14, 15, 70, 236, 106, 122, 152, 149, 47, 190, 11, 166, 62, 139, 183, 252, 208, 108, 75, 255, 46, 69, 19, 109, 5, 162, 45, 206, 198, 50, 11, 241, 153, 246, 179, 44, 22, 78, 219, 176, 68, 99, 167, 70, 97, 14, 29, 226, 83, 61, 142, 22, 232, 116, 27, 101, 68, 167, 222, 111, 3, 185, 3, 207, 18, 70, 10, 123, 202, 121, 183, 136, 128, 79, 11, 152, 47, 81, 143, 230, 120, 76, 37, 249, 68, 110, 132, 132, 164, 254, 20, 1, 161, 213, 252, 252, 212, 4, 142, 236, 152, 106, 114, 232, 86, 193, 181, 125, 203, 98, 0, 232, 19, 113, 158, 249, 108, 9, 113, 129, 154, 92, 236, 6, 171, 203, 114, 198, 214, 178, 128, 197, 142, 211, 147, 254, 245, 80, 114, 196, 39, 170, 133, 187, 88, 139, 32, 154, 192, 67, 6, 124, 37, 91, 85, 237, 191, 224, 167, 231, 197, 103, 179, 90, 82, 59, 45, 203, 146, 186, 151, 204, 60, 56, 168, 106, 129, 112, 104, 3, 88, 50, 202, 176, 91, 152, 126, 89, 14, 158, 13, 73, 194, 201, 92, 173, 249, 203, 86, 38, 3, 158, 60, 201, 125, 10, 140, 156, 235, 73, 213, 56, 236, 84, 238, 86, 159, 122, 0, 158, 122, 87, 222, 197, 38, 1, 86, 43, 214, 233, 229, 52, 203, 57, 136, 234, 192, 179, 255, 26, 94, 227, 28, 211, 157, 52, 240, 15, 200, 76, 25, 232, 149, 245, 153, 181, 235, 211, 180, 213, 154, 167, 224, 72, 162, 153, 130, 38, 229, 30, 217, 227, 207, 100, 19, 222, 190, 184, 206, 170, 169, 106, 99, 134, 120, 67, 169, 130, 176, 55, 246, 83, 220, 193, 185, 205, 131, 200, 99, 9, 55, 47, 1, 179, 136, 102, 95, 46, 209, 113, 133, 118, 186, 229, 162, 60, 116, 165, 197, 226, 251, 139, 78, 98, 138, 149, 64, 252, 148, 92, 41, 77, 7, 32, 1, 45, 76, 160, 130, 255, 217, 166, 64, 40, 151, 177, 53, 128, 231, 241, 189, 238, 122, 4, 121, 70, 133, 70, 88, 21, 181, 110, 98, 195, 85, 153, 249, 243, 186, 168, 102, 119, 138, 77, 80, 234, 28, 98, 239, 232, 167, 26, 23, 22, 231, 10, 208, 137, 214, 93, 38, 18, 152, 242, 133, 44, 161, 23, 21, 76, 168, 18, 71, 165, 241, 78, 122, 207, 131, 176, 241, 144, 216, 131, 39, 51, 33, 202, 120, 167, 231, 193, 85, 148, 74, 198, 220, 96, 116, 219, 184, 54, 238, 108, 58, 109, 131, 180, 146, 194, 166, 141, 218, 79, 92, 209, 136, 113, 185, 247, 120, 231, 11, 248, 61, 198, 111, 102, 24, 132, 29, 81, 64, 49, 46, 68, 63, 254, 223, 42, 23, 167, 45, 140, 217, 198, 218, 9, 182, 237, 216, 82, 236, 228, 232, 75, 118, 222, 250, 22, 80, 30, 156, 7, 42, 94, 235, 1, 125, 224, 190, 45, 58, 95, 110, 124, 97, 151, 7, 231, 139, 68, 1, 251, 198, 118, 177, 86, 85, 186, 95, 22, 129, 205, 233, 85, 107, 71, 63, 32, 215, 173, 11, 249, 147, 227, 42, 237, 94, 215, 219, 135, 250, 99, 174, 207, 166, 24, 241, 212, 2, 247, 27, 176, 80, 245, 131, 63, 1, 20, 157, 63, 207, 57, 187, 114, 31, 141, 232, 152, 210, 22, 249, 45, 133, 194, 114, 160, 95, 102, 9, 117, 13, 172, 49, 141, 128, 145, 202, 86, 59, 108, 163, 167, 157, 203, 152, 92, 193, 163, 88, 102, 16, 14, 13, 242, 249, 172, 54, 173, 73, 66, 145, 183, 100, 61, 92, 123, 178, 14, 41, 244, 224, 216, 214, 206, 118, 253, 148, 66, 78, 80, 4, 78, 70, 35, 54, 121, 50, 90, 55, 122, 6, 43, 84, 254, 132, 89, 194, 48, 175, 140, 216, 45, 188, 204, 169, 189, 49, 203, 206, 199, 54, 245, 159, 62, 163, 151, 67, 145, 219, 123, 108, 93, 244, 66, 56, 59, 216, 138, 197, 157, 35, 41, 103, 173, 185, 82, 67, 43, 53, 234, 96, 173, 211, 233, 97, 63, 51, 72, 61, 251, 121, 252, 30, 103, 169, 54, 187, 48, 96, 8, 118, 101, 142, 212, 109, 96, 48, 8, 232, 77, 182, 128, 168, 99, 223, 23, 236, 148, 153, 253, 183, 60, 94, 95, 54, 206, 204, 252, 88, 97, 100, 61, 183, 136, 67, 30, 96, 101, 234, 83, 111, 60, 68, 130, 24, 103, 175, 1, 94, 251, 176, 37, 65, 198, 12, 55, 114, 221, 1, 249, 179, 233, 51, 187, 114, 142, 18, 21, 194, 28, 170, 131, 164, 119, 158, 90, 100, 96, 104, 208, 76, 43, 43, 243, 136, 203, 148, 202, 207, 237, 149, 119, 142, 174, 29, 233, 213, 148, 86, 133, 186, 211, 205, 85, 50, 215, 139, 15, 149, 119, 3, 62, 166, 242, 165, 79, 182, 34, 202, 35, 128, 146, 142, 35, 254, 55, 152, 146, 252, 85, 238, 225, 190, 89, 226, 126, 97, 236, 113, 96, 62, 240, 75, 12, 40, 80, 44, 219, 213, 25, 245, 250, 85, 47, 191, 251, 43, 93, 52, 143, 236, 93, 75, 252, 3, 219, 157, 46, 218, 118, 50, 79, 140, 122, 184, 193, 116, 230, 243, 192, 242, 179, 180, 213, 122, 70, 18, 117, 157, 123, 223, 204, 105, 92, 162, 239, 16, 135, 210, 34, 219, 233, 116, 192, 156, 220, 17, 104, 210, 22, 33, 213, 85, 235, 209, 46, 181, 89, 203, 58, 164, 184, 248, 91, 3, 67, 13, 119, 115, 116, 183, 167, 7, 142, 161, 166, 136, 167, 121, 224, 212, 155, 81, 218, 96, 28, 65, 72, 146, 178, 41, 170, 71, 196, 223, 235, 75, 212, 22, 198, 118, 184, 242, 6, 120, 44, 126, 15, 43, 80, 27, 47, 177, 158, 39, 45, 209, 171, 235, 128, 97, 148, 105, 162, 213, 150, 184, 198, 22, 4, 250, 62, 133, 155, 9, 249, 230, 31, 21, 19, 156, 114, 110, 243, 89, 245, 180, 86, 169, 7, 179, 77, 223, 16, 219, 130, 190, 139, 208, 159, 254, 62, 186, 235, 82, 175, 227, 248, 179, 63, 243, 214, 131, 70, 115, 215, 23, 97, 92, 80, 22, 59, 189, 116, 226, 79, 56, 21, 202, 37, 208, 88, 110, 15, 163, 219, 45, 61, 143, 104, 111, 93, 183, 169, 95, 241, 116, 19, 79, 97, 88, 8, 223, 81, 129, 93, 135, 58, 146, 212, 146, 252, 119, 82, 173, 198, 166, 188, 49, 168, 9, 46, 53, 106, 48, 222, 86, 210, 54, 219, 188, 25, 83, 51, 122, 54, 111, 241, 181, 76, 228, 120, 204, 156, 20, 17, 215, 233, 50, 189, 80, 234, 254, 164, 246, 255, 3, 228, 160, 225, 74, 38, 142, 93, 218, 5, 186, 27, 114, 89, 251, 95, 232, 124, 120, 211, 206, 0, 123, 104, 75, 179, 78, 82, 81, 142, 125, 253, 128, 36, 127, 34, 239, 2, 140, 135, 137, 205, 173, 21, 250, 220, 223, 167, 7, 217, 115, 36, 3, 240, 57, 144, 89, 239, 119, 56, 188, 60, 204, 167, 29, 61, 47, 76, 16, 166, 237, 78, 104, 190, 250, 147, 59, 196, 255, 39, 90, 113, 148, 104, 23, 254, 235, 131, 90, 55, 4, 219, 54, 150, 92, 93, 49, 232, 232, 120, 86, 217, 105, 89, 175, 247, 38, 242, 179, 180, 187, 74, 102, 100, 231, 209, 99, 90, 238, 123, 192, 168, 200, 52, 52, 179, 91, 137, 143, 121, 64, 24, 13, 33, 18, 210, 142, 204, 130, 205, 71, 181, 178, 250, 208, 35, 221, 166, 226, 49, 112, 234, 73, 190, 186, 185, 238, 154, 186, 83, 156, 174, 118, 223, 197, 17, 152, 189, 36, 166, 16, 37, 18, 228, 123, 142, 108, 7, 128, 245, 253, 144, 203, 195, 58, 67, 142, 97, 212, 161, 7, 223, 136, 7, 202, 137, 46, 200, 168, 216, 252, 53, 61, 246, 111, 169, 92, 255, 215, 18, 101, 224, 72, 38, 2, 83, 241, 231, 104, 234, 26, 0, 238, 50, 102, 53, 249, 190, 186, 107, 71, 221, 230, 145, 248, 66, 80, 31, 250, 159, 156, 171, 149, 234, 60, 106, 232, 169, 177, 233, 73, 124, 217, 246, 111, 72, 67, 143, 51, 228, 233, 242, 64, 73, 160, 98, 133, 143, 99, 82, 101, 56, 241, 204, 40, 95, 214, 99, 238, 246, 222, 157, 85, 102, 163, 151, 30, 136, 90, 87, 199, 31, 249, 108, 179, 87, 231, 202, 64, 21, 227, 60, 230, 187, 135, 152, 160, 111, 167, 174, 192, 106, 254, 71, 176, 125, 89, 179, 48, 103, 147, 202, 112, 138, 183, 198, 122, 17, 12, 250, 84, 64, 172, 104, 30, 229, 131, 156, 29, 151, 137, 247, 190, 26, 234, 165, 15, 5, 90, 177, 17, 132, 82, 50, 225, 212, 139, 119, 108, 135, 93, 126, 147, 188, 180, 11, 58, 107, 48, 182, 191, 41, 81, 139, 254, 241, 24, 194, 73, 230, 238, 203, 24, 72, 188, 250, 172, 117, 199, 108, 92, 15, 185, 54, 202, 204, 156, 112, 153, 60, 178, 59, 122, 139, 189, 199, 152, 81, 129, 90, 148, 21, 119, 123, 161, 14, 188, 7, 210, 168, 238, 219, 156, 102, 142, 198, 206, 133, 146, 212, 46, 17, 203, 24, 55, 213, 133, 241, 66, 157, 183, 67, 217, 189, 245, 109, 135, 67, 243, 93, 76, 203, 109, 134, 124, 27, 191, 115, 209, 129, 84, 232, 62, 158, 69, 103, 145, 193, 121, 69, 49, 96, 35, 54, 251, 137, 189, 187, 127, 171, 3, 213, 51, 147, 163, 82, 18, 11, 145, 40, 125, 73, 7, 35, 128, 102, 236, 96, 246, 22, 202, 238, 187, 6, 63, 113, 110, 135, 255, 214, 95, 205, 248, 175, 162, 221, 135, 192, 218, 224, 211, 74, 180, 102, 157, 220, 171, 202, 219, 81, 179, 247, 3, 83, 138, 70, 219, 50, 109, 238, 69, 169, 217, 10, 45, 232, 219, 16, 91, 171, 243, 207, 34, 241, 169, 192, 237, 135, 41, 176, 83, 67, 233, 136, 105, 80, 229, 203, 107, 99, 155, 145, 232, 0, 13, 243, 44, 230, 127, 108, 238, 93, 22, 19, 19, 247, 253, 174, 189, 117, 51, 153, 81, 184, 168, 246, 141, 65, 66, 161, 131, 180, 232, 129, 81, 2, 227, 56, 207, 234, 135, 155, 69, 151, 251, 8, 255, 109, 200, 245, 145, 251, 228, 221, 143, 107, 246, 136, 243, 206, 62, 107, 136, 193, 116, 26, 90, 198, 39, 104, 7, 214, 97, 81, 198, 111, 108, 134, 73, 216, 54, 252, 252, 210, 35, 237, 76, 205, 97, 164, 214, 150, 211, 32, 91, 71, 1, 129, 58, 104, 64, 63, 49, 61, 161, 106, 237, 131, 243, 199, 91, 167, 71, 109, 105, 100, 8, 175, 112, 98, 159, 63, 190, 30, 83, 23, 103, 70, 164, 28, 219, 28, 115, 151, 182, 206, 185, 14, 197, 220, 82, 254, 25, 5, 209, 115, 108, 53, 58, 16, 19, 160, 18, 58, 23, 216, 213, 64, 153, 48, 165, 39, 200, 164, 41, 253, 120, 94, 143, 90, 198, 172, 76, 92, 177, 175, 171, 250, 255, 73, 161, 168, 39, 216, 229, 185, 38, 153, 85, 47, 144, 158, 39, 35, 203, 34, 180, 54, 167, 178, 171, 251, 59, 107, 39, 66, 35, 158, 37, 230, 143, 70, 233, 236, 103, 237, 228, 246, 38, 174, 132, 170, 142, 181, 81, 187, 1, 17, 218, 229, 16, 19, 129, 37, 240, 239, 235, 184, 220, 188, 249, 81, 228, 166, 198, 2, 217, 206, 236, 103, 122, 247, 233, 109, 189, 136, 29, 172, 189, 61, 241, 101, 83, 65, 164, 215, 78, 82, 94, 240, 10, 210, 151, 91, 204, 64, 16, 196, 84, 242, 193, 28, 98, 237, 70, 175, 252, 163, 240, 139, 198, 1, 246, 101, 243, 122, 185, 159, 212, 137, 234, 108, 42, 21, 53, 176, 29, 88, 205, 140, 209, 133, 254, 236, 131, 235, 137, 72, 47, 183, 241, 168, 163, 252, 179, 167, 242, 15, 27, 128, 55, 73, 14, 222, 108, 197, 139, 234, 237, 151, 232, 255, 155, 167, 72, 105, 148, 142, 167, 135, 214, 55, 232, 177, 248, 194, 120, 16, 28, 214, 207, 130, 237, 234, 109, 92, 251, 111, 134, 128, 44, 39, 253, 2, 179, 181, 174, 2, 122, 237, 193, 206, 32, 78, 218, 165, 93, 97, 141, 175, 92, 86, 116, 55, 84, 164, 7, 165, 47, 218, 209, 222, 0, 169, 165, 153, 123, 111, 129, 212, 62, 117, 65, 244, 225, 100, 151, 116, 252, 240, 65, 22, 21, 82, 233, 199, 226, 140, 114, 108, 117, 194, 21, 221, 103, 251, 146, 170, 28, 219, 90, 241, 74, 18, 60, 249, 189, 144, 216, 202, 211, 27, 205, 16, 34, 232, 209, 98, 206, 213, 166, 24, 28, 43, 76, 179, 208, 212, 39, 5, 166, 248, 153, 33, 159, 106, 86, 79, 225, 146, 184, 107, 216, 219, 185, 156, 208, 253, 0, 101, 245, 122, 92, 194, 198, 0, 115, 179, 207, 145, 116, 113, 181, 33, 196, 213, 127, 37, 165, 121, 8, 78, 116, 167, 197, 83, 160, 82, 215, 56, 2, 201, 6, 69, 221, 177, 84, 116, 160, 173, 142, 53, 39, 3, 89, 154, 86, 101, 80, 83, 115, 31, 104, 143, 178, 186, 251, 40, 154, 120, 23, 120, 254, 172, 158, 57, 242, 240, 235, 100, 47, 170, 181, 163, 136, 253, 96, 89, 214, 146, 49, 85, 7, 7, 136, 158, 107, 101, 103, 39, 98, 216, 140, 195, 39, 184, 3, 136, 53, 19, 87, 98, 225, 90, 214, 219, 199, 94, 228, 239, 21, 107, 15, 30, 16, 68, 231, 52, 161, 10, 119, 45, 116, 7, 52, 127, 212, 61, 1, 140, 146, 135, 110, 164, 137, 7, 245, 139, 78, 50, 7, 170, 26, 135, 53, 252, 229, 142, 152, 236, 98, 14, 20, 230, 225, 54, 29, 200, 4, 150, 202, 47, 85, 92, 242, 43, 185, 29, 190, 227, 21, 59, 203, 162, 212, 64, 89, 78, 184, 159, 171, 157, 165, 237, 227, 169, 61, 195, 169, 35, 54, 83, 115, 82, 134, 180, 117, 186, 67, 14, 120, 237, 221, 0, 167, 253, 27, 51, 31, 69, 164, 147, 28, 243, 71, 56, 142, 199, 77, 89, 239, 59, 91, 248, 171, 97, 205, 226, 55, 129, 173, 170, 50, 250, 101, 67, 222, 83, 141, 58, 80, 41, 113, 70, 28, 153, 103, 235, 156, 130, 51, 156, 147, 233, 252, 250, 40, 110, 121, 166, 154, 186, 134, 23, 223, 76, 176, 234, 21, 34, 15, 0, 107, 89, 105, 205, 65, 184, 138, 230, 220, 227, 47, 118, 226, 202, 174, 56, 7, 163, 92, 169, 224, 224, 10, 226, 117, 58, 191, 244, 194, 169, 73, 20, 18, 158, 70, 35, 94, 30, 2, 88, 54, 156, 37, 141, 74, 229, 131, 153, 245, 158, 142, 138, 176, 139, 62, 176, 103, 131, 151, 112, 139, 179, 96, 83, 237, 72, 228, 222, 188, 22, 173, 159, 46, 130, 40, 55, 67, 79, 167, 228, 1, 172, 154, 159, 98, 39, 209, 154, 92, 156, 96, 126, 62, 9, 110, 3, 77, 4, 172, 204, 101, 51, 3, 147, 215, 245, 134, 83, 240, 223, 63, 121, 216, 99, 15, 33, 167, 232, 56, 13, 187, 24, 79, 11, 35, 171, 152, 108, 78, 172, 138, 128, 138, 19, 70, 174, 195, 232, 219, 184, 15, 39, 122, 62, 10, 214, 198, 177, 203, 173, 167, 84, 84, 184, 4, 76, 23, 236, 95, 7, 152, 97, 79, 134, 172, 156, 20, 93, 218, 19, 97, 113, 24, 108, 116, 150, 154, 179, 179, 179, 155, 146, 63, 124, 214, 34, 187, 50, 165, 94, 141, 59, 135, 129, 5, 238, 64, 120, 50, 166, 204, 26, 211, 116, 23, 135, 140, 89, 61, 104, 203, 113, 57, 69, 240, 219, 52, 92, 183, 148, 253, 99, 81, 155, 26, 99, 221, 40, 100, 124, 190, 161, 7, 180, 96, 48, 142, 2, 4, 8, 93, 94, 45, 185, 151, 156, 43, 17, 98, 0, 235, 17, 122, 143, 209, 236, 229, 99, 27, 218, 200, 38, 26, 219, 184, 101, 167, 65, 131, 141, 207, 82, 77, 54, 83, 201, 253, 17, 55, 249, 234, 116, 119, 177, 225, 135, 1, 238, 170, 178, 123, 57, 25, 201, 18, 221, 238, 35, 72, 186, 36, 85, 70, 80, 9, 101, 198, 232, 204, 42, 226, 241, 106, 202, 252, 85, 8, 83, 89, 139, 164, 95, 247, 163, 89, 90, 141, 204, 82, 74, 109, 69, 220, 17, 178, 136, 228, 99, 251, 59, 220, 93, 20, 232, 69, 234, 2, 216, 70, 108, 240, 219, 200, 165, 232, 141, 73, 25, 166, 16, 59, 171, 253, 178, 16, 95, 68, 4, 155, 219, 246, 30, 118, 197, 136, 223, 50, 237, 46, 247, 46, 230, 230, 126, 249, 161, 155, 38, 200, 203, 143, 212, 215, 30, 46, 14, 245, 223, 186, 189, 201, 234, 103, 127, 240, 14, 138, 107, 125, 216, 247, 136, 189, 131, 17, 226, 181, 132, 138, 168, 214, 107, 40, 143, 214, 55, 158, 147, 90, 159, 31, 77, 125, 93, 182, 202, 211, 145, 197, 130, 17, 93, 195, 212, 89, 138, 67, 34, 252, 105, 7, 36, 38, 134, 131, 5, 217, 201, 143, 82, 205, 22, 0, 129, 11, 32, 231, 194, 197, 52, 235, 90, 181, 131, 40, 181, 54, 210, 23, 53, 69, 127, 229, 240, 62, 222, 193, 31, 230, 4, 68, 201, 191, 242, 37, 107, 190, 238, 252, 18, 164, 57, 68, 43, 167, 219, 12, 233, 113, 247, 8, 92, 215, 38, 60, 29, 186, 179, 22, 154, 174, 60, 177, 36, 236, 195, 96, 127, 35, 136, 7, 86, 15, 69, 157, 24, 191, 89, 15, 206, 100, 34, 49, 237, 241, 112, 163, 54, 112, 47, 52, 78, 79, 88, 157, 209, 197, 12, 46, 132, 215, 96, 181, 88, 235, 96, 218, 233, 65, 65, 48, 100, 246, 19, 30, 145, 78, 1, 0, 108, 196, 171, 8, 156, 18, 108, 146, 91, 10, 174, 38, 174, 42, 11, 139, 107, 40, 214, 57, 249, 254, 161, 232, 25, 166, 190, 128, 44, 149, 95, 163, 35, 164, 188, 127, 188, 210, 227, 161, 11, 239, 121, 181, 211, 122, 139, 206, 238, 57, 240, 174, 175, 246, 39, 133, 213, 91, 110, 193, 33, 209, 177, 72, 151, 161, 185, 27, 3, 73, 152, 138, 90, 147, 224, 9, 113, 98, 166, 26, 93, 173, 31, 12, 29, 6, 77, 194, 69, 60, 132, 189, 90, 24, 49, 11, 62, 25, 172, 143, 175, 67, 218, 224, 234, 243, 1, 140, 238, 107, 193, 236, 226, 128, 84, 1, 177, 252, 130, 104, 74, 158, 72, 230, 30, 141, 238, 111, 10, 96, 178, 82, 234, 220, 197, 252, 22, 243, 134, 24, 162, 141, 19, 56, 128, 27, 225, 120, 153, 130, 63, 54, 123, 63, 62, 108, 69, 210, 222, 182, 160, 172, 127, 247, 22, 202, 123, 173, 60, 222, 250, 146, 249, 230, 60, 42, 95, 192, 241, 62, 177, 101, 118, 232, 69, 108, 26, 9, 92, 163, 104, 67, 207, 112, 195, 96, 47, 220, 15, 186, 178, 154, 241, 237, 19, 227, 17, 244, 88, 30, 27, 181, 4, 48, 140, 129, 129, 229, 41, 41, 209, 57, 239, 105, 145, 7, 243, 20, 42, 216, 7, 109, 2, 245, 247, 31, 148, 197, 10, 177, 183, 3, 128, 100, 4, 26, 172, 108, 177, 6, 9, 95, 91, 114, 41, 230, 201, 101, 35, 31, 25, 6, 253, 55, 226, 81, 7, 80, 41, 5, 66, 217, 56, 119, 130, 80, 123, 218, 141, 212, 203, 195, 217, 46, 158, 195, 190, 196, 135, 224, 12, 82, 99, 243, 38, 239, 136, 51, 82, 223, 21, 22, 71, 42, 35, 31, 119, 67, 114, 47, 39, 177, 194, 234, 226, 35, 165, 33, 250, 144, 55, 243, 250, 246, 184, 55, 133, 201, 80, 94, 215, 174, 12, 123, 49, 156, 191, 224, 190, 121, 187, 84, 63, 232, 18, 52, 2, 136, 182, 104, 195, 159, 232, 190, 25, 194, 84, 14, 177, 32, 116, 52, 218, 6, 54, 143, 249, 94, 246, 100, 226, 52, 140, 40, 209, 236, 215, 237, 158, 125, 126, 167, 22, 230, 68, 53, 36, 22, 94, 14, 56, 142, 225, 95, 128, 115, 180, 102, 135, 124, 214, 107, 98, 141, 37, 250, 87, 40, 156, 180, 91, 105, 51, 214, 75, 29, 113, 134, 238, 15, 137, 255, 215, 95, 221, 146, 121, 225, 196, 55, 208, 72, 94, 64, 103, 90, 130, 252, 120, 209, 244, 167, 234, 118, 151, 15, 157, 228, 99, 75, 143, 249, 12, 163, 35, 249, 161, 59, 183, 172, 187, 39, 175, 70, 15, 150, 137, 106, 57, 43, 133, 152, 66, 129, 248, 169, 117, 240, 238, 168, 63, 191, 147, 175, 228, 70, 93, 147, 253, 182, 239, 251, 71, 154, 23, 65, 219, 145, 246, 182, 182, 131, 220, 123, 237, 197, 45, 239, 82, 190, 10, 125, 95, 101, 196, 118, 170, 100, 224, 147, 69, 77, 169, 176, 235, 99, 104, 31, 101, 68, 62, 25, 48, 21, 21, 145, 184, 11, 196, 137, 75, 237, 136, 207, 219, 218, 154, 191, 47, 112, 118, 23, 241, 197, 186, 232, 99, 253, 62, 68, 7, 35, 140, 140, 53, 64, 74, 222, 124, 226, 1, 91, 245, 225, 15, 21, 194, 8, 110, 250, 228, 120, 111, 135, 168, 19, 21, 220, 92, 110, 18, 114, 6, 69, 124, 148, 100, 46, 118, 102, 228, 234, 190, 95, 119, 202, 213, 202, 17, 189, 243, 119, 104, 155, 62, 175, 41, 182, 79, 212, 5, 8, 17, 114, 56, 180, 214, 25, 199, 59, 175, 166, 39, 198, 189, 139, 179, 189, 29, 217, 185, 72, 211, 4, 107, 63, 83, 222, 83, 29, 64, 137, 36, 242, 97, 32, 255, 246, 246, 61, 196, 45, 212, 59, 217, 148, 155, 233, 241, 185, 175, 1, 120, 79, 243, 41, 178, 174, 155, 222, 39, 51, 219, 91, 176, 112, 143, 242, 19, 244, 27, 82, 155, 135, 113, 64, 79, 218, 236, 125, 39, 198, 216, 168, 14, 143, 225, 60, 55, 110, 251, 201, 164, 97, 61, 90, 81, 79, 145, 170, 125, 5, 112, 92, 85, 64, 109, 158, 179, 24, 57, 120, 33, 253, 193, 245, 223, 199, 3, 36, 187, 123, 78, 92, 221, 184, 96, 18, 82, 229, 1, 12, 78, 73, 143, 125, 60, 71, 244, 1, 246, 127, 167, 16, 11, 215, 125, 139, 142, 123, 202, 184, 89, 214, 156, 236, 21, 45, 177, 154, 30, 180, 170, 165, 21, 103, 255, 88, 63, 226, 235, 134, 45, 150, 27, 115, 96, 198, 125, 91, 17, 179, 187, 168, 244, 58, 52, 73, 228, 0, 91, 236, 224, 15, 16, 207, 48, 18, 218, 169, 39, 219, 252, 107, 90, 199, 28, 242, 200, 18, 40, 52, 207, 158, 183, 227, 91, 71, 38, 178, 115, 190, 63, 161, 234, 133, 146, 181, 1, 155, 113, 196, 174, 31, 160, 125, 240, 169, 196, 137, 23, 60, 115, 61, 131, 100, 191, 13, 242, 55, 25, 245, 47, 156, 242, 105, 147, 150, 137, 237, 205, 221, 131, 76, 211, 173, 169, 153, 40, 40, 195, 82, 46, 197, 150, 237, 251, 139, 5, 84, 147, 113, 236, 84, 223, 37, 124, 188, 227, 51, 83, 104, 169, 150, 185, 60, 24, 77, 10, 146, 239, 53, 5, 179, 177, 92, 38, 60, 235, 168, 73, 60, 96, 24, 116, 69, 75, 128, 243, 155, 123, 173, 137, 88, 33, 109, 70, 239, 193, 224, 136, 229, 200, 124, 139, 67, 251, 196, 201, 216, 225, 134, 57, 86, 211, 129, 182, 87, 239, 225, 60, 224, 33, 108, 98, 202, 244, 246, 247, 179, 106, 115, 214, 15, 10, 37, 82, 37, 186, 121, 180, 49, 173, 26, 79, 67, 228, 251, 214, 143, 251, 95, 246, 81, 254, 17, 146, 150, 118, 97, 170, 194, 224, 75, 56, 155, 19, 133, 16, 138, 19, 4, 62, 189, 223, 144, 16, 171, 113, 230, 216, 6, 37, 221, 230, 17, 188, 164, 145, 191, 131, 184, 214, 215, 160, 199, 74, 215, 202, 78, 1, 196, 44, 199, 88, 29, 101, 245, 137, 209, 126, 251, 1, 93, 144, 10, 233, 53, 48, 165, 172, 116, 255, 131, 104, 118, 84, 216, 34, 144, 208, 237, 107, 231, 57, 47, 153, 218, 160, 166, 101, 67, 19, 188, 155, 226, 163, 110, 105, 34, 33, 85, 170, 109, 66, 241, 233, 139, 33, 25, 156, 31, 13, 81, 99, 123, 230, 228, 203, 82, 165, 192, 229, 176, 202, 183, 188, 242, 244, 126, 137, 165, 87, 138, 53, 100, 203, 154, 46, 141, 182, 82, 105, 79, 229, 209, 17, 190, 207, 119, 181, 87, 15, 203, 97, 180, 131, 142, 155, 33, 179, 103, 149, 204, 169, 109, 194, 209, 158, 191, 141, 66, 239, 15, 239, 112, 100, 228, 238, 69, 202, 40, 37, 113, 195, 170, 148, 97, 147, 35, 215, 86, 255, 48, 246, 38, 198, 111, 193, 59, 5, 201, 82, 82, 106, 3, 195, 161, 70, 119, 70, 230, 227, 51, 29, 31, 108, 244, 211, 11, 168, 153, 148, 123, 214, 149, 26, 26, 7, 70, 236, 33, 164, 130, 25, 30, 134, 77, 146, 204, 164, 23, 194, 63, 126, 133, 153, 96, 87, 51, 166, 227, 248, 145, 140, 236, 122, 170, 205, 213, 49, 233, 246, 190, 145, 170, 232, 222, 238, 185, 204, 201, 176, 113, 55, 105, 202, 134, 240, 234, 99, 143, 67, 145, 214, 11, 152, 56, 255, 201, 9, 52, 44, 118, 187, 88, 189, 44, 76, 96, 142, 94, 105, 121, 135, 87, 215, 167, 167, 44, 110, 166, 229, 234, 22, 240, 39, 226, 172, 164, 109, 82, 119, 103, 83, 101, 65, 161, 90, 83, 237, 136, 143, 142, 79, 128, 163, 115, 254, 181, 216, 178, 87, 251, 56, 188, 70, 205, 59, 19, 208, 2, 232, 92, 217, 130, 131, 85, 246, 151, 203, 136, 205, 126, 87, 52, 125, 242, 232, 137, 96, 44, 206, 150, 198, 37, 44, 131, 202, 115, 228, 149, 34, 102, 61, 69, 40, 25, 244, 177, 143, 62, 151, 96, 137, 46, 99, 21, 54, 32, 66, 146, 215, 148, 60, 136, 47, 173, 119, 231, 251, 199, 235, 114, 42, 131, 199, 70, 201, 201, 193, 27, 16, 138, 99, 255, 78, 118, 203, 130, 230, 248, 222, 33, 85, 202, 3, 251, 213, 92, 136, 169, 99, 126, 4, 210, 164, 91, 9, 139, 224, 138, 174, 229, 103, 46, 226, 110, 22, 127, 188, 95, 71, 210, 233, 30, 218, 34, 83, 38, 252, 195, 133, 138, 5, 243, 38, 224, 96, 86, 209, 49, 61, 87, 248, 224, 42, 30, 208, 35, 0, 181, 110, 198, 22, 38, 211, 91, 174, 168, 193, 121, 13, 54, 165, 45, 249, 97, 205, 214, 13, 21, 187, 112, 101, 54, 197, 228, 41, 86, 148, 167, 185, 72, 91, 177, 223, 193, 170, 33, 25, 237, 139, 181, 215, 89, 234, 224, 243, 216, 81, 58, 131, 74, 98, 4, 155, 184, 45, 178, 148, 122, 163, 63, 89, 255, 75, 111, 71, 238, 151, 10, 142, 251, 97, 1, 11, 110, 225, 156, 105, 118, 48, 166, 89, 88, 105, 176, 53, 243, 220, 72, 25, 128, 93, 125, 169, 1, 243, 250, 68, 11, 131, 26, 59, 255, 206, 39, 31, 59, 28, 49, 46, 17, 196, 110, 232, 105, 127, 57, 102, 169, 151, 110, 22, 108, 192, 220, 75, 156, 183, 144, 65, 18, 26, 4, 42, 169, 167, 76, 22, 151, 124, 186, 137, 31, 60, 202, 47, 144, 193, 81, 55, 145, 82, 212, 5, 141, 125, 235, 224, 188, 130, 138, 43, 27, 33, 232, 60, 49, 29, 88, 186, 233, 97, 85, 131, 137, 211, 244, 4, 193, 71, 74, 249, 37, 239, 242, 27, 205, 80, 99, 82, 29, 60, 80, 111, 161, 23, 104, 236, 188, 202, 3, 45, 2, 80, 16, 175, 224, 153, 104, 71, 236, 21, 13, 227, 74, 237, 133, 120, 0, 208, 78, 224, 236, 32, 174, 77, 152, 212, 34, 190, 139, 92, 54, 54, 188, 41, 210, 224, 124, 241, 225, 53, 111, 235, 232, 25, 132, 111, 114, 239, 152, 87, 76, 109, 198, 228, 200, 254, 242, 25, 79, 56, 177, 160, 67, 105, 34, 146, 148, 157, 246, 193, 8, 219, 209, 126, 84, 146, 10, 10, 121, 144, 123, 187, 111, 75, 244, 9, 207, 214, 87, 195, 215, 252, 72, 248, 66, 180, 227, 79, 48, 99, 173, 208, 215, 220, 182, 109, 6, 232, 26, 168, 65, 77, 243, 248, 138, 175, 126, 188, 30, 11, 43, 209, 69, 149, 22, 23, 128, 96, 185, 165, 38, 2, 62, 124, 216, 86, 58, 154, 68, 168, 150, 3, 251, 125, 18, 209, 151, 226, 247, 172, 154, 33, 119, 86, 87, 217, 62, 169, 86, 57, 39, 103, 121, 122, 168, 205, 80, 241, 164, 149, 196, 61, 43, 46, 147, 235, 22, 24, 182, 182, 11, 132, 45, 102, 73, 229, 167, 216, 30, 247, 111, 109, 117, 146, 234, 25, 151, 155, 215, 124, 132, 46, 191, 218, 222, 31, 198, 13, 235, 87, 155, 173, 241, 152, 218, 209, 119, 97, 200, 43, 67, 201, 58, 95, 113, 253, 199, 0, 162, 91, 226, 98, 48, 102, 18, 42, 216, 123, 169, 59, 29, 81, 32, 55, 96, 228, 99, 79, 195, 144, 216, 194, 80, 150, 157, 206, 0, 39, 248, 210, 147, 40, 84, 199, 110, 51, 238, 212, 15, 47, 254, 183, 218, 203, 152, 49, 121, 217, 240, 167, 35, 146, 83, 252, 76, 195, 52, 173, 68, 206, 190, 93, 110, 38, 177, 91, 151, 205, 186, 150, 38, 14, 10, 185, 207, 245, 67, 132, 44, 213, 171, 227, 25, 137, 161, 162, 78, 193, 171, 211, 150, 78, 10, 6, 205, 186, 69, 193, 0, 217, 164, 218, 172, 166, 84, 215, 237, 232, 47, 143, 81, 219, 50, 246, 0, 26, 133, 244, 155, 134, 29, 251, 147, 64, 138, 8, 148, 250, 38, 247, 226, 112, 158, 107, 106, 121, 142, 117, 29, 22, 43, 18, 234, 182, 95, 145, 112, 4, 158, 216, 68, 75, 226, 187, 30, 83, 134, 8, 178, 61, 248, 252, 135, 76, 146, 37, 52, 128, 208, 193, 87, 136, 143, 186, 169, 91, 215, 57, 40, 8, 191, 131, 221, 249, 245, 243, 167, 116, 237, 70, 5, 87, 199, 125, 123, 139, 138, 148, 217, 113, 92, 197, 222, 156, 30, 202, 39, 15, 212, 38, 91, 190, 239, 168, 107, 47, 216, 202, 227, 46, 208, 8, 191, 44, 249, 84, 235, 104, 92, 183, 169, 128, 18, 217, 200, 120, 163, 17, 154, 206, 92, 239, 241, 251, 222, 107, 63, 146, 173, 145, 218, 6, 4, 254, 77, 112, 255, 166, 76, 128, 142, 151, 55, 46, 53, 98, 199, 247, 119, 240, 242, 222, 214, 58, 49, 245, 43, 244, 142, 135, 115, 37, 35, 200, 4, 94, 199, 114, 178, 246, 116, 108, 174, 192, 195, 173, 251, 210, 241, 215, 117, 169, 138, 83, 188, 174, 69, 212, 83, 0, 130, 250, 37, 29, 99, 7, 94, 235, 179, 183, 160, 182, 241, 188, 156, 137, 90, 105, 90, 108, 77, 252, 31, 242, 58, 211, 43, 73, 181, 68, 196, 102, 225, 230, 235, 122, 147, 202, 54, 181, 54, 151, 44, 211, 74, 222, 225, 144, 253, 236, 141, 188, 175, 72, 188, 92, 186, 142, 191, 11, 160, 176, 184, 4, 148, 88, 253, 170, 13, 18, 79, 51, 193, 211, 55, 1, 4, 86, 63, 249, 167, 236, 22, 202, 64, 29, 164, 53, 231, 148, 212, 68, 172, 207, 234, 28, 31, 162, 188, 74, 189, 1, 238, 93, 228, 161, 2, 215, 118, 245, 236, 29, 54, 59, 117, 113, 48, 220, 161, 41, 114, 33, 246, 104, 137, 17, 138, 209, 147, 66, 38, 149, 201, 149, 147, 107, 158, 68, 181, 61, 141, 176, 107, 201, 148, 229, 5, 47, 44, 121, 135, 242, 62, 175, 184, 243, 60, 85, 66, 38, 206, 10, 5, 2, 211, 99, 248, 83, 249, 40, 2, 1, 212, 251, 126, 243, 247, 124, 196, 79, 116, 146, 35, 149, 68, 1, 248, 252, 245, 186, 195, 123, 107, 30, 116, 26, 130, 144, 110, 238, 92, 251, 90, 79, 229, 143, 173, 124, 106, 222, 126, 243, 152, 4, 107, 145, 172, 212, 193, 84, 104, 31, 25, 246, 176, 86, 69, 248, 236, 165, 147, 241, 119, 79, 81, 47, 149, 167, 192, 117, 201, 240, 213, 22, 8, 213, 186, 225, 223, 238, 47, 4, 106, 221, 46, 170, 163, 255, 166, 23, 250, 95, 205, 84, 11, 50, 186, 106, 65, 240, 210, 173, 22, 223, 49, 127, 74, 80, 124, 25, 83, 15, 124, 21, 163, 106, 151, 210, 140, 35, 46, 71, 117, 128, 203, 14, 173, 108, 22, 28, 101, 6, 76, 235, 158, 111, 129, 41, 222, 103, 95, 190, 235, 211, 187, 174, 244, 112, 132, 115, 246, 108, 21, 56, 208, 119, 238, 41, 198, 204, 190, 244, 180, 250, 58, 215, 237, 178, 224, 175, 190, 253, 154, 224, 69, 104, 179, 77, 199, 132, 35, 44, 95, 101, 198, 206, 70, 151, 128, 151, 50, 251, 219, 133, 204, 109, 60, 204, 32, 64, 88, 214, 109, 208, 241, 31, 14, 156, 100, 238, 224, 135, 5, 123, 145, 178, 191, 199, 41, 96, 214, 48, 127, 226, 242, 154, 45, 3, 136, 227, 87, 219, 123, 59, 10, 209, 132, 208, 24, 69, 48, 54, 78, 74, 69, 187, 15, 90, 122, 143, 199, 182, 180, 120, 178, 131, 5, 37, 161, 191, 28, 104, 60, 120, 36, 228, 6, 150, 27, 224, 74, 156, 18, 189, 84, 203, 156, 2, 177, 62, 90, 54, 10, 144, 20, 96, 196, 128, 186, 232, 8, 235, 76, 77, 226, 82, 193, 132, 244, 15, 190, 26, 137, 65, 109, 133, 104, 217, 120, 140, 21, 246, 80, 51, 226, 116, 205, 166, 216, 109, 50, 56, 27, 91, 12, 3, 54, 87, 190, 218, 182, 207, 122, 43, 47, 17, 161, 245, 124, 250, 145, 8, 254, 19, 94, 104, 34, 26, 169, 136, 32, 145, 220, 141, 73, 150, 194, 243, 20, 4, 17, 132, 44, 205, 5, 70, 32, 67, 233, 139, 232, 43, 193, 84, 89, 148, 49, 185, 14, 168, 171, 25, 85, 73, 170, 60, 150, 99, 11, 120, 191, 31, 15, 46, 133, 74, 177, 105, 125, 221, 66, 69, 178, 20, 61, 32, 141, 74, 214, 216, 208, 22, 0, 76, 252, 139, 120, 202, 77, 235, 148, 60, 215, 60, 164, 168, 108, 50, 101, 26, 29, 207, 24, 93, 248, 65, 29, 50, 169, 108, 46, 144, 154, 84, 52, 167, 211, 246, 119, 225, 117, 134, 214, 87, 52, 14, 24, 41, 39, 6, 225, 101, 208, 160, 19, 247, 109, 234, 252, 237, 22, 104, 22, 156, 115, 3, 28, 78, 237, 91, 136, 133, 199, 244, 102, 129, 157, 70, 34, 106, 73, 122, 36, 68, 168, 248, 193, 123, 157, 165, 134, 48, 54, 56, 235, 151, 189, 48, 116, 104, 160, 213, 19, 104, 235, 47, 43, 190, 226, 140, 67, 102, 34, 52, 88, 68, 214, 31, 216, 24, 212, 190, 89, 105, 98, 95, 75, 114, 13, 240, 186, 231, 101, 24, 12, 39, 71, 190, 130, 25, 149, 125, 62, 209, 156, 222, 46, 141, 214, 202, 219, 103, 78, 167, 202, 219, 171, 172, 199, 112, 158, 114, 159, 202, 20, 154, 42, 149, 125, 247, 22, 197, 103, 37, 167, 226, 155, 52, 128, 83, 199, 86, 31, 107, 126, 236, 119, 26, 128, 47, 68, 139, 31, 7, 222, 219, 19, 31, 28, 36, 177, 136, 123, 167, 68, 78, 231, 243, 200, 148, 187, 85, 24, 171, 184, 181, 214, 6, 215, 144, 148, 112, 35, 210, 101, 104, 91, 96, 237, 171, 190, 106, 161, 137, 61, 79, 173, 144, 85, 56, 120, 98, 149, 84, 137, 80, 217, 221, 223, 101, 214, 218, 108, 141, 102, 172, 213, 137, 18, 97, 87, 219, 129, 17, 85, 239, 166, 157, 5, 143, 109, 136, 146, 107, 9, 53, 229, 118, 64, 61, 127, 112, 156, 179, 39, 0, 135, 111, 48, 79, 212, 14, 89, 29, 178, 14, 221, 68, 5, 219, 189, 200, 142, 76, 77, 156, 250, 92, 184, 30, 5, 218, 194, 14, 245, 39, 215, 176, 132, 193, 183, 77, 112, 190, 148, 74, 78, 62, 50, 210, 193, 217, 155, 140, 152, 187, 214, 203, 61, 91, 143, 110, 148, 25, 232, 174, 44, 21, 129, 55, 161, 77, 5, 221, 27, 117, 63, 97, 150, 202, 246, 123, 119, 129, 124, 81, 182, 28, 171, 155, 235, 177, 19, 98, 178, 72, 49, 138, 86, 235, 130, 20, 194, 26, 32, 206, 13, 43, 1, 101, 160, 232, 227, 3, 22, 196, 107, 90, 254, 168, 180, 80, 58, 97, 104, 106, 133, 79, 20, 210, 126, 185, 193, 154, 194, 68, 17, 243, 71, 19, 221, 76, 166, 207, 18, 251, 41, 136, 120, 100, 191, 65, 144, 140, 31, 143, 34, 163, 144, 163, 48, 147, 239, 165, 67, 34, 220, 129, 36, 199, 74, 67, 249, 0, 243, 117, 183, 62, 47, 164, 18, 245, 106, 95, 177, 236, 107, 71, 195, 40, 25, 76, 240, 117, 77, 201, 152, 210, 86, 152, 169, 6, 171, 61, 99, 161, 165, 168, 149, 255, 191, 99, 3, 190, 221, 195, 176, 82, 183, 220, 138, 107, 224, 248, 210, 237, 195, 234, 81, 121, 242, 90, 182, 185, 118, 36, 170, 226, 111, 104, 185, 250, 41, 112, 199, 167, 172, 125, 233, 120, 131, 185, 175, 18, 47, 226, 26, 5, 96, 74, 160, 20, 123, 222, 18, 148, 94, 138, 201, 140, 212, 33, 195, 51, 234, 89, 238, 180, 159, 109, 205, 15, 254, 212, 255, 99, 250, 147, 195, 128, 59, 126, 107, 63, 123, 60, 91, 86, 36, 183, 89, 213, 124, 40, 206, 193, 175, 250, 174, 154, 71, 156, 179, 58, 133, 155, 194, 101, 0, 170, 181, 178, 164, 14, 42, 81, 102, 93, 118, 180, 209, 49, 16, 92, 5, 38, 138, 17, 239, 209, 175, 93, 222, 213, 177, 215, 184, 114, 105, 147, 178, 219, 176, 127, 156, 2, 246, 111, 242, 61, 22, 224, 21, 212, 151, 234, 171, 156, 231, 153, 202, 126, 79, 241, 103, 84, 49, 111, 210, 96, 146, 200, 2, 149, 217, 8, 2, 29, 53, 234, 236, 111, 142, 72, 138, 163, 229, 18, 234, 73, 39, 181, 98, 213, 22, 99, 165, 255, 97, 135, 225, 50, 227, 23, 156, 0, 175, 133, 8, 66, 208, 2, 117, 202, 227, 192, 109, 22, 156, 199, 127, 131, 29, 236, 73, 67, 111, 59, 110, 251, 12, 16, 59, 170, 29, 211, 239, 103, 22, 183, 52, 253, 127, 93, 16, 230, 93, 97, 71, 250, 176, 143, 202, 219, 221, 5, 69, 236, 165, 21, 244, 191, 170, 169, 208, 157, 106, 3, 189, 189, 71, 222, 90, 137, 245, 214, 109, 156, 238, 42, 130, 15, 143, 1, 89, 188, 86, 224, 123, 118, 101, 16, 225, 237, 211, 172, 246, 210, 203, 232, 158, 82, 82, 222, 248, 234, 57, 142, 118, 15, 163, 127, 85, 212, 49, 61, 181, 148, 234, 43, 126, 8, 62, 121, 151, 155, 22, 99, 71, 129, 22, 203, 206, 77, 196, 141, 124, 147, 209, 244, 179, 67, 72, 213, 136, 78, 108, 209, 53, 16, 18, 140, 76, 161, 50, 84, 64, 234, 135, 130, 102, 158, 139, 148, 68, 182, 92, 178, 184, 10, 194, 15, 206, 153, 28, 175, 6, 181, 233, 115, 14, 109, 240, 231, 22, 48, 238, 101, 158, 15, 156, 129, 117, 49, 231, 42, 178, 26, 179, 102, 99, 6, 201, 147, 16, 116, 128, 36, 121, 229, 254, 207, 192, 218, 177, 59, 198, 156, 30, 111, 191, 255, 171, 118, 140, 123, 119, 120, 168, 50, 47, 85, 221, 129, 46, 35, 7, 182, 175, 14, 141, 60, 7, 217, 66, 94, 190, 30, 147, 114, 242, 176, 201, 154, 200, 130, 236, 248, 148, 29, 4, 57, 177, 174, 79, 18, 48, 32, 20, 160, 55, 207, 188, 184, 55, 248, 91, 131, 170, 31, 215, 34, 33, 80, 188, 255, 191, 254, 91, 80, 175, 35, 10, 7, 33, 19, 122, 208, 132, 132, 181, 2, 56, 201, 174, 112, 22, 10, 27, 176, 175, 93, 82, 122, 83, 228, 184, 196, 47, 91, 99, 151, 201, 9, 132, 100, 147, 219, 11, 32, 71, 27, 218, 245, 209, 68, 210, 105, 212, 12, 154, 107, 218, 184, 80, 60, 224, 251, 219, 94, 138, 49, 114, 154, 75, 107, 126, 123, 189, 221, 51, 249, 174, 34, 227, 158, 130, 63, 248, 230, 176, 224, 140, 44, 26, 113, 101, 89, 242, 28, 58, 39, 121, 39, 215, 11, 107, 19, 242, 27, 41, 133, 68, 133, 225, 224, 18, 140, 42, 130, 202, 96, 36, 13, 99, 54, 4, 152, 40, 238, 140, 93, 199, 120, 196, 176, 166, 160, 184, 16, 23, 59, 206, 75, 18, 227, 148, 235, 209, 233, 81, 235, 9, 56, 200, 144, 230, 216, 212, 34, 46, 152, 74, 35, 31, 129, 193, 157, 53, 232, 88, 185, 157, 155, 53, 182, 232, 243, 204, 215, 175, 177, 138, 90, 153, 39, 227, 19, 224, 168, 240, 178, 221, 164, 85, 9, 164, 65, 15, 8, 67, 138, 113, 108, 196, 231, 184, 52, 74, 148, 240, 170, 111, 125, 27, 35, 240, 157, 37, 96, 162, 233, 176, 36, 211, 134, 246, 174, 185, 150, 29, 186, 3, 174, 92, 105, 6, 246, 232, 192, 215, 106, 133, 29, 116, 242, 109, 92, 72, 154, 156, 159, 242, 95, 76, 37, 245, 61, 211, 217, 206, 25, 150, 252, 122, 59, 57, 63, 5, 47, 76, 135, 46, 209, 64, 251, 167, 3, 202, 68, 122, 81, 11, 73, 44, 203, 238, 123, 119, 243, 45, 224, 224, 236, 181, 5, 99, 237, 101, 172, 242, 18, 217, 223, 118, 114, 158, 228, 52, 234, 83, 208, 7, 146, 254, 151, 235, 11, 186, 7, 34, 0, 227, 42, 114, 135, 200, 225, 35, 15, 173, 53, 89, 235, 179, 220, 198, 94, 33, 121, 5, 235, 121, 90, 50, 182, 78, 76, 55, 147, 106, 0, 93, 43, 55, 9, 120, 114, 175, 161, 141, 16, 198, 84, 173, 239, 250, 188, 124, 104, 186, 128, 74, 97, 231, 25, 151, 247, 39, 127, 110, 251, 228, 60, 28, 20, 60, 231, 251, 229, 236, 72, 244, 19, 252, 179, 212, 0, 153, 193, 185, 176, 184, 125, 62, 235, 88, 1, 2, 170, 111, 138, 227, 41, 31, 134, 6, 190, 235, 221, 177, 195, 5, 114, 240, 144, 254, 182, 153, 60, 135, 205, 247, 60, 180, 132, 192, 129, 80, 105, 170, 68, 30, 146, 100, 82, 99, 173, 31, 203, 102, 209, 165, 30, 17, 111, 109, 227, 4, 27, 208, 132, 241, 157, 83, 35, 46, 66, 67, 243, 30, 105, 52, 221, 132, 58, 240, 25, 151, 221, 169, 70, 130, 120, 129, 244, 163, 26, 147, 150, 12, 36, 186, 76, 99, 180, 41, 37, 189, 237, 41, 85, 34, 136, 105, 146, 110, 24, 2, 183, 75, 225, 68, 232, 178, 241, 110, 221, 182, 61, 238, 2, 146, 219, 9, 184, 112, 121, 244, 150, 155, 115, 132, 214, 106, 100, 198, 228, 223, 235, 171, 127, 197, 234, 110, 168, 201, 145, 236, 91, 255, 60, 241, 0, 37, 3, 25, 125, 98, 173, 71, 5, 169, 115, 255, 183, 24, 55, 33, 205, 35, 26, 152, 94, 40, 89, 55, 10, 221, 162, 101, 145, 191, 229, 7, 231, 89, 173, 45, 208, 16, 215, 183, 228, 82, 46, 153, 178, 216, 119, 84, 114, 78, 164, 182, 16, 45, 56, 218, 249, 33, 106, 211, 106, 6, 229, 138, 128, 58, 81, 252, 230, 157, 44, 88, 158, 4, 105, 221, 179, 160, 110, 247, 32, 4, 81, 107, 30, 171, 36, 46, 162, 111, 42, 220, 141, 216, 201, 213, 54, 188, 190, 39, 222, 42, 241, 89, 141, 9, 197, 123, 179, 142, 115, 43, 49, 106, 105, 10, 237, 51, 52, 56, 207, 110, 220, 84, 224, 209, 130, 61, 222, 235, 230, 32, 168, 205, 137, 8, 237, 237, 75, 176, 84, 153, 58, 27, 5, 143, 151, 184, 7, 140, 130, 94, 114, 223, 175, 251, 60, 159, 200, 101, 188, 248, 144, 197, 33, 207, 145, 197, 19, 69, 60, 96, 33, 127, 202, 242, 153, 189, 101, 123, 136, 92, 213, 238, 175, 182, 168, 63, 207, 162, 17, 36, 79, 130, 169, 209, 128, 0, 149, 0, 251, 147, 187, 173, 63, 127, 245, 119, 44, 56, 17, 238, 124, 65, 18, 156, 175, 217, 235, 12, 39, 126, 76, 167, 185, 63, 188, 6, 217, 207, 39, 171, 29, 174, 83, 127, 125, 249, 158, 114, 208, 1, 6, 122, 178, 213, 129, 136, 206, 61, 71, 25, 93, 23, 73, 138, 159, 120, 165, 89, 54, 162, 101, 87, 71, 226, 201, 229, 48, 57, 55, 109, 36, 177, 189, 105, 188, 151, 70, 112, 53, 249, 49, 245, 243, 184, 15, 81, 227, 189, 164, 79, 44, 171, 135, 162, 232, 24, 37, 237, 250, 58, 127, 66, 123, 246, 206, 242, 118, 242, 247, 248, 248, 230, 172, 249, 229, 228, 204, 94, 218, 95, 163, 65, 2, 71, 54, 80, 56, 110, 109, 250, 48, 110, 141, 109, 144, 69, 83, 205, 102, 240, 234, 58, 165, 120, 123, 178, 137, 118, 123, 146, 13, 96, 87, 222, 95, 0, 207, 92, 111, 211, 53, 165, 222, 20, 177, 142, 173, 191, 131, 46, 145, 128, 62, 14, 110, 116, 98, 236, 207, 145, 250, 121, 13, 123, 196, 221, 44, 100, 16, 235, 86, 60, 55, 34, 105, 65, 46, 132, 132, 191, 46, 200, 227, 123, 153, 33, 188, 237, 142, 233, 177, 25, 127, 51, 177, 47, 249, 234, 172, 233, 18, 187, 97, 105, 72, 26, 244, 41, 104, 65, 169, 218, 247, 143, 199, 163, 213, 107, 90, 173, 129, 36, 205, 55, 92, 137, 167, 220, 58, 144, 186, 224, 33, 238, 72, 75, 93, 133, 184, 179, 169, 215, 188, 180, 119, 60, 45, 255, 43, 167, 121, 57, 60, 196, 75, 66, 49, 73, 135, 111, 194, 128, 104, 80, 155, 161, 102, 3, 186, 11, 103, 16, 8, 88, 163, 208, 241, 150, 119, 56, 48, 125, 154, 189, 86, 155, 103, 144, 231, 76, 36, 115, 241, 124, 67, 119, 34, 194, 218, 152, 243, 206, 87, 28, 15, 230, 251, 162, 61, 55, 230, 174, 125, 245, 43, 197, 48, 201, 249, 23, 19, 133, 15, 29, 182, 199, 138, 135, 93, 152, 79, 179, 247, 75, 2, 190, 41, 160, 205, 116, 167, 141, 208, 136, 11, 118, 104, 15, 121, 178, 172, 126, 14, 172, 178, 46, 242, 86, 194, 234, 215, 159, 170, 77, 224, 180, 195, 190, 124, 205, 253, 20, 235, 150, 74, 88, 230, 167, 13, 112, 69, 133, 152, 174, 10, 123, 240, 153, 166, 202, 170, 248, 145, 226, 53, 171, 97, 236, 5, 151, 52, 250, 55, 120, 92, 191, 192, 180, 59, 133, 57, 202, 7, 215, 103, 127, 64, 203, 106, 191, 119, 115, 219, 135, 7, 199, 151, 114, 52, 177, 33, 224, 251, 234, 16, 177, 142, 130, 18, 229, 163, 228, 115, 197, 92, 132, 161, 253, 153, 90, 123, 152, 131, 79, 89, 28, 234, 201, 64, 89, 163, 120, 94, 125, 77, 255, 217, 39, 155, 221, 139, 2, 85, 80, 160, 84, 4, 140, 254, 199, 72, 177, 190, 143, 27, 153, 130, 93, 94, 185, 5, 181, 59, 51, 249, 3, 195, 167, 94, 205, 242, 146, 137, 129, 146, 172, 198, 36, 126, 93, 107, 223, 240, 235, 139, 251, 17, 49, 20, 38, 44, 94, 106, 211, 249, 205, 206, 129, 169, 186, 147, 214, 38, 3, 131, 197, 131, 115, 191, 22, 117, 43, 31, 151, 191, 228, 175, 67, 131, 94, 85, 79, 58, 120, 129, 236, 88, 159, 4, 120, 105, 119, 167, 134, 170, 120, 115, 92, 135, 206, 105, 81, 217, 92, 182, 5, 8, 100, 227, 210, 242, 188, 54, 218, 83, 185, 100, 24, 47, 239, 154, 223, 214, 76, 58, 148, 187, 86, 59, 52, 29, 89, 30, 220, 61, 94, 91, 129, 199, 96, 45, 222, 183, 101, 144, 119, 208, 199, 130, 199, 132, 59, 209, 185, 11, 197, 31, 61, 54, 124, 190, 61, 127, 160, 193, 88, 5, 83, 196, 70, 128, 235, 145, 242, 20, 85, 205, 32, 99, 151, 50, 194, 188, 32, 240, 148, 59, 171, 144, 42, 105, 1, 34, 79, 217, 206, 189, 80, 167, 9, 74, 189, 158, 2, 20, 189, 170, 75, 223, 220, 148, 238, 254, 69, 148, 249, 72, 219, 178, 66, 90, 41, 147, 22, 125, 218, 55, 126, 110, 190, 167, 242, 246, 214, 46, 120, 170, 115, 180, 84, 19, 31, 218, 239, 180, 149, 119, 9, 2, 216, 101, 235, 142, 243, 191, 64, 136, 155, 112, 220, 54, 141, 194, 166, 115, 142, 73, 168, 168, 149, 216, 15, 166, 170, 154, 187, 186, 23, 158, 139, 41, 14, 144, 241, 33, 104, 78, 152, 76, 63, 225, 241, 29, 163, 64, 247, 159, 55, 185, 14, 195, 155, 254, 2, 178, 110, 100, 23, 37, 33, 63, 28, 210, 120, 24, 2, 235, 82, 134, 103, 87, 185, 100, 251, 92, 195, 245, 186, 197, 37, 179, 63, 19, 215, 3, 43, 175, 195, 164, 150, 11, 142, 196, 193, 151, 134, 36, 3, 134, 113, 42, 63, 150, 123, 16, 253, 253, 226, 202, 125, 241, 44, 138, 238, 152, 171, 203, 51, 227, 146, 46, 201, 166, 70, 98, 29, 87, 107, 84, 201, 198, 177, 255, 160, 56, 134, 212, 101, 240, 56, 71, 28, 184, 176, 128, 85, 136, 49, 151, 246, 230, 117, 52, 235, 23, 224, 249, 135, 54, 108, 48, 124, 246, 87, 138, 215, 244, 7, 163, 125, 117, 229, 124, 153, 159, 180, 153, 172, 50, 188, 11, 135, 10, 70, 78, 244, 235, 175, 167, 239, 19, 87, 82, 65, 187, 138, 142, 79, 182, 136, 142, 85, 217, 221, 125, 114, 238, 110, 23, 160, 189, 222, 117, 11, 237, 125, 175, 225, 118, 0, 243, 14, 12, 53, 222, 147, 171, 23, 166, 214, 57, 43, 136, 17, 113, 69, 106, 11, 82, 25, 56, 167, 58, 189, 137, 243, 189, 7, 93, 217, 215, 78, 25, 168, 78, 157, 154, 195, 1, 127, 10, 179, 35, 243, 38, 245, 30, 36, 202, 95, 76, 52, 49, 206, 159, 104, 10, 204, 75, 112, 123, 105, 159, 207, 212, 12, 48, 179, 233, 239, 127, 193, 35, 227, 109, 224, 151, 38, 143, 191, 247, 233, 0, 201, 139, 99, 195, 203, 218, 191, 79, 206, 79, 14, 8, 142, 80, 168, 174, 95, 217, 102, 104, 187, 121, 177, 150, 180, 78, 71, 74, 21, 33, 63, 94, 245, 238, 149, 29, 177, 123, 178, 234, 109, 63, 86, 44, 219, 169, 27, 120, 160, 25, 146, 168, 124, 170, 176, 186, 169, 35, 160, 148, 8, 250, 96, 76, 223, 253, 58, 99, 28, 107, 94, 190, 66, 42, 110, 6, 10, 23, 76, 31, 71, 113, 16, 244, 35, 148, 158, 41, 71, 243, 139, 104, 87, 38, 15, 142, 111, 86, 92, 142, 181, 136, 98, 68, 205, 49, 129, 39, 111, 229, 105, 185, 196, 200, 193, 231, 101, 146, 227, 253, 122, 202, 199, 46, 45, 66, 161, 236, 105, 215, 131, 62, 83, 203, 187, 30, 217, 242, 237, 171, 119, 22, 87, 231, 154, 103, 193, 62, 129, 138, 1, 74, 162, 58, 30, 101, 138, 162, 224, 17, 248, 53, 102, 23, 59, 217, 247, 147, 193, 43, 201, 114, 226, 155, 169, 27, 2, 32, 124, 130, 64, 208, 171, 229, 171, 247, 146, 133, 155, 68, 102, 100, 140, 141, 188, 254, 78, 65, 3, 175, 84, 152, 182, 226, 242, 36, 84, 65, 187, 64, 188, 60, 142, 36, 154, 84, 92, 182, 133, 78, 231, 222, 85, 142, 11, 207, 0, 145, 86, 125, 131, 88, 122, 140, 45, 57, 107, 25, 93, 229, 64, 49, 150, 196, 92, 115, 173, 102, 78, 214, 175, 139, 202, 207, 156, 154, 123, 233, 109, 196, 69, 205, 97, 72, 155, 98, 42, 219, 163, 119, 216, 2, 183, 217, 235, 58, 28, 195, 108, 226, 128, 73, 151, 150, 139, 150, 162, 197, 0, 92, 57, 63, 154, 90, 208, 221, 38, 158, 126, 135, 119, 112, 149, 57, 16, 1, 180, 7, 133, 178, 167, 169, 250, 106, 250, 144, 142, 199, 202, 9, 210, 78, 174, 223, 250, 36, 127, 81, 110, 75, 179, 206, 216, 197, 16, 211, 152, 7, 246, 160, 215, 134, 114, 148, 164, 118, 110, 31, 215, 87, 25, 74, 134, 78, 147, 196, 99, 183, 56, 129, 161, 75, 80, 201, 110, 15, 122, 163, 46, 126, 36, 248, 110, 93, 96, 215, 88, 92, 213, 33, 95, 252, 198, 228, 157, 11, 151, 5, 31, 187, 65, 184, 4, 241, 235, 192, 82, 254, 16, 203, 27, 107, 228, 188, 84, 200, 55, 178, 113, 95, 64, 48, 120, 29, 221, 142, 185, 192, 220, 196, 110, 248, 198, 75, 49, 86, 253, 12, 109, 186, 77, 186, 209, 171, 240, 37, 218, 117, 201, 109, 92, 211, 184, 39, 27, 21, 42, 242, 190, 21, 17, 187, 241, 105, 12, 178, 49, 36, 186, 138, 182, 143, 181, 92, 122, 176, 132, 156, 21, 8, 80, 94, 12, 67, 137, 240, 206, 118, 50, 93, 125, 54, 178, 209, 229, 178, 78, 192, 52, 238, 132, 222, 167, 192, 11, 194, 117, 30, 7, 25, 120, 57, 66, 234, 202, 30, 168, 46, 124, 211, 100, 64, 14, 251, 208, 219, 199, 3, 164, 144, 133, 102, 133, 3, 228, 241, 30, 87, 196, 249, 202, 235, 226, 113, 24, 135, 139, 105, 176, 182, 160, 113, 223, 210, 103, 85, 20, 80, 12, 72, 218, 247, 199, 7, 244, 179, 204, 52, 218, 113, 146, 26, 142, 106, 215, 192, 195, 200, 240, 48, 149, 74, 40, 133, 176, 168, 124, 210, 192, 181, 244, 141, 187, 157, 15, 173, 145, 169, 15, 86, 230, 124, 194, 250, 57, 13, 139, 136, 18, 204, 65, 147, 93, 98, 197, 113, 54, 241, 148, 187, 120, 188, 6, 239, 164, 68, 0, 34, 184, 39, 155, 217, 71, 30, 110, 92, 218, 176, 232, 141, 125, 39, 75, 90, 54, 198, 226, 118, 7, 237, 134, 51, 76, 137, 95, 244, 227, 120, 21, 172, 83, 70, 47, 216, 101, 249, 91, 75, 157, 22, 118, 155, 127, 44, 204, 231, 167, 127, 251, 208, 187, 179, 135, 16, 73, 183, 98, 62, 65, 156, 24, 33, 33, 110, 228, 55, 70, 135, 227, 192, 199, 252, 145, 224, 169, 134, 135, 216, 223, 172, 69, 173, 36, 115, 211, 205, 201, 166, 209, 165, 158, 150, 222, 236, 206, 211, 193, 253, 64, 105, 105, 81, 240, 37, 26, 154, 98, 26, 73, 0, 151, 69, 217, 141, 117, 167, 5, 254, 126, 219, 217, 111, 86, 72, 73, 249, 88, 85, 90, 178, 186, 36, 209, 26, 84, 177, 219, 67, 74, 246, 194, 160, 251, 117, 234, 80, 156, 229, 158, 220, 254, 123, 103, 209, 230, 83, 68, 239, 34, 33, 206, 48, 243, 224, 80, 156, 255, 116, 253, 238, 137, 146, 228, 201, 91, 55, 34, 231, 223, 127, 243, 47, 230, 159, 170, 5, 189, 73, 131, 106, 184, 254, 59, 247, 57, 91, 120, 203, 118, 200, 120, 39, 180, 199, 179, 68, 72, 153, 24, 225, 187, 39, 129, 90, 252, 51, 67, 228, 224, 162, 100, 172, 76, 49, 14, 66, 35, 234, 56, 80, 43, 37, 240, 222, 134, 177, 127, 125, 150, 48, 56, 51, 103, 66, 80, 202, 3, 133, 142, 190, 45, 236, 176, 253, 135, 135, 235, 42, 223, 204, 1, 18, 118, 4, 89, 29, 100, 89, 28, 252, 38, 43, 210, 102, 102, 80, 83, 201, 28, 173, 201, 84, 185, 253, 21, 54, 83, 182, 154, 247, 183, 152, 7, 156, 240, 11, 25, 88, 212, 152, 3, 164, 203, 195, 100, 75, 254, 238, 90, 187, 195, 45, 70, 246, 212, 234, 7, 69, 100, 89, 232, 153, 202, 24, 100, 235, 80, 216, 22, 222, 210, 88, 33, 183, 187, 235, 89, 118, 129, 5, 101, 25, 151, 137, 178, 249, 209, 133, 208, 204, 253, 129, 25, 61, 129, 246, 79, 71, 72, 141, 179, 35, 114, 54, 148, 92, 200, 70, 253, 74, 74, 49, 31, 63, 236, 134, 128, 138, 203, 51, 58, 155, 223, 88, 226, 88, 203, 68, 25, 6, 204, 186, 177, 109, 129, 59, 254, 125, 253, 82, 233, 129, 125, 230, 167, 191, 235, 202, 12, 231, 187, 206, 240, 166, 104, 60, 195, 106, 227, 78, 78, 94, 100, 75, 59, 102, 125, 36, 53, 217, 212, 73, 127, 28, 185, 213, 244, 206, 188, 190, 238, 220, 88, 111, 190, 114, 134, 67, 192, 70, 157, 34, 218, 6, 252, 26, 79, 45, 174, 155, 94, 151, 206, 174, 153, 114, 141, 93, 65, 26, 253, 106, 198, 191, 81, 218, 245, 215, 143, 250, 89, 19, 43, 99, 11, 92, 125, 129, 199, 148, 133, 179, 210, 192, 127, 94, 201, 0, 7, 142, 44, 235, 164, 142, 1, 40, 70, 189, 94, 182, 93, 93, 117, 163, 57, 244, 81, 55, 190, 210, 20, 167, 31, 233, 200, 93, 213, 37, 222, 223, 199, 210, 238, 133, 247, 182, 85, 180, 175, 202, 200, 66, 195, 101, 243, 127, 182, 190, 200, 33, 80, 60, 69, 140, 238, 64, 146, 16, 216, 222, 5, 168, 216, 48, 177, 227, 219, 63, 244, 165, 223, 44, 13, 59, 73, 74, 78, 102, 84, 175, 202, 249, 144, 250, 147, 80, 10, 87, 179, 226, 205, 188, 230, 115, 87, 253, 252, 186, 18, 40, 252, 20, 33, 229, 127, 119, 119, 240, 180, 56, 247, 160, 145, 5, 176, 131, 228, 69, 231, 99, 162, 1, 251, 138, 27, 182, 72, 203, 162, 10, 106, 225, 126, 199, 113, 191, 120, 59, 244, 59, 39, 84, 31, 188, 80, 73, 44, 182, 4, 168, 34, 223, 124, 239, 110, 173, 140, 120, 85, 235, 187, 33, 139, 69, 119, 189, 54, 78, 85, 167, 228, 165, 173, 43, 89, 41, 154, 118, 208, 50, 78, 27, 158, 104, 240, 160, 91, 220, 109, 46, 219, 194, 85, 10, 81, 56, 21, 20, 98, 142, 129, 57, 27, 133, 214, 143, 22, 249, 243, 153, 80, 66, 41, 165, 135, 71, 195, 73, 203, 68, 190, 27, 147, 236, 198, 192, 207, 168, 181, 245, 63, 60, 142, 60, 143, 56, 82, 174, 34, 62, 168, 9, 237, 144, 211, 202, 40, 130, 23, 137, 116, 48, 45, 202, 242, 66, 9, 242, 109, 66, 33, 170, 30, 85, 171, 244, 198, 71, 80, 53, 155, 180, 137, 36, 59, 91, 162, 233, 40, 216, 90, 245, 113, 74, 222, 202, 115, 193, 255, 99, 59, 148, 236, 151, 52, 30, 207, 53, 188, 134, 183, 222, 244, 238, 34, 125, 33, 219, 71, 174, 33, 35, 214, 8, 5, 29, 89, 168, 56, 122, 248, 86, 125, 11, 45, 118, 1, 109, 190, 71, 165, 111, 68, 150, 151, 89, 70, 91, 243, 234, 18, 106, 20, 156, 143, 4, 95, 131, 171, 45, 190, 12, 25, 14, 208, 14, 132, 226, 73, 215, 12, 61, 118, 214, 144, 187, 238, 191, 236, 8, 223, 68, 23, 98, 24, 219, 163, 212, 187, 199, 62, 216, 191, 56, 36, 173, 156, 99, 212, 151, 14, 111, 173, 112, 129, 130, 205, 15, 233, 205, 40, 102, 8, 237, 240, 36, 187, 112, 177, 83, 211, 194, 21, 94, 187, 42, 147, 112, 114, 66, 116, 61, 211, 178, 47, 37, 167, 223, 228, 2, 64, 221, 209, 124, 244, 185, 188, 209, 16, 226, 54, 167, 50, 3, 58, 19, 42, 51, 240, 97, 78, 91, 39, 125, 37, 123, 252, 152, 28, 81, 140, 67, 142, 251, 167, 34, 222, 182, 193, 103, 109, 122, 150, 113, 118, 162, 229, 41, 32, 251, 56, 29, 146, 58, 133, 95, 32, 252, 20, 231, 150, 31, 168, 111, 20, 229, 11, 105, 231, 196, 245, 114, 4, 110, 91, 160, 110, 229, 155, 79, 243, 14, 244, 80, 50, 96, 247, 186, 37, 61, 172, 191, 201, 78, 197, 226, 109, 178, 234, 139, 248, 201, 185, 76, 227, 249, 208, 73, 254, 191, 207, 124, 5, 110, 216, 6, 8, 44, 110, 146, 58, 219, 254, 180, 168, 176, 1, 252, 88, 194, 79, 167, 93, 205, 197, 79, 65, 27, 226, 150, 44, 229, 133, 235, 86, 31, 42, 72, 120, 104, 55, 109, 142, 138, 158, 213, 133, 40, 58, 190, 126, 41, 172, 7, 73, 6, 172, 56, 90, 30, 168, 235, 214, 198, 237, 45, 191, 207, 53, 46, 162, 12, 214, 147, 85, 102, 223, 83, 184, 121, 15, 170, 22, 234, 178, 115, 188, 186, 127, 194, 155, 152, 252, 230, 113, 60, 180, 253, 183, 156, 48, 171, 124, 50, 246, 91, 208, 42, 77, 7, 125, 184, 56, 239, 34, 98, 18, 251, 90, 175, 191, 84, 231, 248, 74, 91, 64, 74, 164, 163, 194, 47, 221, 243, 35, 88, 215, 231, 222, 151, 189, 147, 144, 0, 128, 236, 32, 174, 101, 21, 209, 110, 104, 191, 52, 58, 95, 6, 245, 65, 15, 152, 226, 188, 213, 191, 151, 155, 112, 178, 44, 158, 54, 136, 73, 94, 114, 133, 143, 209, 241, 247, 54, 26, 227, 143, 133, 122, 35, 109, 29, 161, 166, 178, 198, 182, 229, 89, 93, 28, 134, 130, 241, 150, 197, 169, 198, 155, 183, 112, 181, 28, 101, 61, 226, 4, 166, 34, 151, 203, 179, 134, 143, 118, 100, 86, 28, 17, 126, 173, 2, 87, 46, 197, 135, 33, 178, 44, 230, 167, 95, 127, 121, 177, 78, 182, 105, 136, 61, 125, 26, 240, 48, 139, 107, 27, 39, 98, 65, 216, 144, 9, 179, 54, 231, 188, 49, 237, 87, 125, 163, 159, 149, 185, 197, 92, 93, 57, 163, 224, 229, 176, 206, 198, 26, 234, 10, 231, 223, 120, 132, 146, 174, 91, 118, 76, 172, 101, 74, 114, 159, 182, 19, 224, 31, 160, 180, 108, 171, 239, 98, 163, 242, 88, 214, 60, 219, 37, 53, 1, 137, 127, 190, 118, 7, 54, 211, 65, 36, 231, 19, 35, 66, 237, 158, 238, 62, 134, 187, 57, 216, 71, 174, 193, 152, 150, 183, 114, 30, 236, 112, 219, 242, 153, 116, 144, 159, 253, 174, 238, 212, 9, 234, 110, 95, 73, 62, 249, 56, 35, 103, 120, 20, 96, 126, 139, 72, 102, 145, 122, 73, 126, 107, 206, 188, 216, 15, 89, 84, 50, 248, 170, 192, 160, 207, 20, 61, 10, 135, 44, 67, 185, 46, 25, 238, 91, 58, 242, 239, 85, 118, 190, 136, 189, 51, 16, 168, 138, 32, 113, 139, 163, 37, 220, 127, 95, 42, 44, 128, 167, 208, 224, 213, 67, 119, 50, 207, 61, 198, 169, 178, 168, 220, 254, 166, 178, 243, 8, 130, 11, 57, 28, 75, 63, 37, 58, 103, 26, 129, 221, 39, 180, 168, 6, 243, 193, 135, 163, 126, 9, 179, 86, 137, 155, 247, 99, 206, 218, 69, 7, 131, 33, 248, 219, 98, 229, 254, 255, 6, 193, 111, 172, 187, 152, 176, 4, 130, 187, 55, 228, 213, 229, 13, 224, 28, 91, 247, 237, 209, 45, 118, 180, 155, 39, 149, 253, 239, 18, 123, 96, 59, 211, 12, 171, 116, 98, 230, 2, 209, 1, 75, 232, 201, 142, 218, 88, 44, 207, 205, 216, 208, 98, 198, 34, 236, 225, 217, 99, 137, 47, 200, 136, 122, 176, 1, 94, 235, 64, 36, 158, 28, 58, 130, 65, 158, 226, 112, 85, 151, 112, 165, 235, 238, 229, 195, 8, 195, 151, 234, 142, 156, 213, 38, 231, 95, 214, 104, 216, 202, 179, 118, 220, 180, 84, 210, 234, 63, 62, 129, 206, 114, 51, 10, 63, 61, 151, 56, 14, 159, 68, 137, 207, 36, 202, 23, 71, 14, 238, 212, 218, 76, 153, 146, 75, 239, 233, 211, 15, 182, 101, 190, 71, 155, 67, 204, 149, 133, 163, 247, 153, 194, 112, 119, 156, 222, 166, 142, 90, 176, 222, 118, 125, 185, 241, 105, 4, 120, 125, 246, 64, 220, 14, 47, 103, 118, 192, 47, 123, 240, 32, 56, 17, 38, 90, 94, 203, 201, 179, 82, 82, 15, 214, 246, 35, 60, 9, 44, 30, 217, 200, 41, 145, 60, 121, 203, 160, 77, 55, 180, 226, 82, 98, 45, 160, 49, 99, 69, 208, 142, 216, 136, 87, 172, 192, 229, 191, 17, 72, 38, 82, 218, 164, 45, 19, 154, 158, 124, 154, 199, 113, 237, 112, 39, 246, 150, 210, 98, 159, 249, 226, 60, 247, 92, 178, 185, 254, 45, 249, 255, 11, 152, 3, 198, 12, 123, 250, 199, 229, 199, 250, 93, 202, 121, 226, 183, 124, 242, 110, 60, 210, 130, 91, 122, 124, 89, 31, 98, 112, 169, 56, 196, 36, 163, 194, 183, 52, 187, 5, 175, 207, 17, 240, 127, 176, 206, 130, 106, 190, 240, 235, 193, 135, 28, 106, 136, 173, 16, 10, 118, 173, 20, 222, 147, 119, 195, 17, 86, 20, 242, 148, 64, 241, 9, 41, 34, 162, 47, 90, 143, 125, 29, 73, 42, 220, 226, 236, 252, 49, 157, 225, 149, 45, 201, 141, 143, 100, 158, 213, 204, 108, 186, 100, 237, 182, 175, 181, 30, 214, 81, 114, 248, 190, 19, 60, 60, 111, 92, 216, 132, 5, 62, 147, 148, 218, 42, 239, 246, 186, 14, 253, 166, 56, 50, 0, 85, 252, 45, 13, 173, 72, 81, 132, 94, 56, 154, 182, 251, 31, 169, 16, 154, 106, 29, 90, 96, 241, 61, 109, 47, 128, 0, 74, 151, 113, 64, 218, 132, 194, 115, 133, 19, 172, 70, 210, 150, 234, 190, 226, 249, 255, 91, 254, 50, 138, 238, 159, 41, 231, 59, 107, 23, 135, 86, 211, 239, 178, 99, 94, 8, 203, 70, 133, 255, 19, 172, 57, 245, 172, 148, 118, 64, 11, 150, 191, 245, 243, 183, 127, 255, 98, 235, 211, 201, 102, 110, 116, 224, 97, 73, 227, 131, 243, 208, 28, 47, 119, 163, 181, 177, 90, 153, 216, 200, 17, 88, 117, 239, 91, 110, 187, 115, 120, 168, 187, 192, 26, 76, 31, 127, 18, 117, 195, 239, 5, 166, 70, 115, 81, 235, 17, 238, 62, 125, 189, 29, 220, 196, 104, 84, 98, 192, 37, 140, 214, 117, 243, 76, 250, 51, 45, 224, 41, 147, 133, 95, 253, 231, 137, 37, 109, 227, 155, 76, 190, 162, 118, 122, 177, 234, 49, 166, 133, 186, 203, 218, 148, 249, 213, 207, 41, 229, 211, 85, 162, 112, 232, 151, 157, 204, 94, 11, 40, 37, 238, 2, 146, 135, 113, 39, 78, 80, 176, 4, 86, 44, 231, 41, 184, 93, 190, 132, 121, 60, 231, 8, 174, 243, 238, 168, 139, 44, 194, 225, 1, 94, 139, 235, 208, 12, 230, 55, 219, 3, 1, 126, 60, 214, 175, 126, 105, 172, 40, 89, 119, 227, 56, 250, 117, 80, 155, 130, 17, 119, 190, 159, 41, 34, 55, 36, 84, 16, 110, 68, 135, 40, 143, 112, 218, 200, 168, 232, 237, 133, 16, 131, 185, 106, 29, 40, 146, 109, 148, 38, 137, 164, 196, 125, 132, 42, 95, 182, 62, 82, 77, 69, 71, 116, 135, 212, 217, 197, 91, 218, 210, 46, 209, 133, 47, 173, 254, 100, 82, 156, 58, 214, 36, 42, 62, 208, 1, 84, 112, 156, 22, 221, 209, 149, 0, 97, 180, 184, 108, 107, 173, 46, 86, 145, 93, 23, 253, 217, 21, 255, 64, 104, 206, 232, 98, 42, 36, 37, 197, 189, 7, 254, 218, 54, 61, 245, 202, 64, 124, 119, 243, 17, 17, 42, 129, 108, 126, 213, 11, 124, 171, 117, 254, 141, 120, 28, 21, 98, 55, 178, 225, 132, 157, 168, 131, 230, 216, 23, 153, 247, 47, 11, 23, 232, 95, 14, 199, 133, 136, 237, 87, 157, 6, 150, 88, 114, 199, 127, 147, 158, 1, 32, 191, 252, 34, 99, 154, 209, 122, 196, 120, 89, 213, 176, 147, 84, 45, 52, 38, 239, 183, 106, 7, 219, 144, 179, 164, 107, 194, 46, 56, 223, 40, 174, 92, 107, 184, 154, 154, 38, 166, 119, 207, 134, 127, 206, 25, 199, 238, 232, 114, 185, 42, 4, 236, 158, 31, 243, 210, 96, 89, 198, 36, 67, 155, 111, 141, 98, 157, 84, 52, 151, 106, 99, 59, 104, 116, 106, 86, 166, 21, 121, 115, 135, 108, 7, 221, 247, 102, 20, 131, 10, 223, 201, 181, 32, 213, 84, 234, 222, 225, 150, 72, 196, 174, 12, 128, 73, 146, 149, 90, 14, 211, 85, 63, 51, 34, 151, 185, 183, 192, 3, 124, 156, 196, 176, 44, 245, 233, 207, 100, 98, 239, 229, 166, 25, 202, 80, 48, 246, 190, 172, 140, 204, 100, 111, 5, 66, 172, 24, 239, 165, 27, 56, 250, 186, 178, 42, 132, 116, 11, 118, 89, 25, 153, 220, 30, 52, 109, 206, 51, 182, 210, 220, 140, 197, 20, 110, 239, 156, 227, 44, 49, 54, 133, 161, 234, 126, 37, 54, 57, 63, 199, 72, 201, 149, 83, 73, 172, 36, 37, 81, 146, 177, 38, 175, 139, 142, 146, 166, 58, 113, 70, 230, 66, 254, 154, 32, 11, 85, 81, 153, 210, 120, 178, 234, 48, 19, 39, 108, 45, 224, 158, 99, 232, 210, 106, 149, 196, 74, 136, 219, 93, 113, 239, 42, 162, 153, 75, 138, 95, 37, 231, 32, 5, 97, 218, 207, 51, 13, 74, 180, 152, 113, 130, 144, 31, 125, 61, 108, 98, 202, 136, 159, 82, 50, 64, 98, 3, 208, 246, 237, 39, 61, 40, 190, 233, 199, 233, 167, 14, 142, 196, 190, 94, 116, 15, 57, 247, 37, 199, 118, 139, 86, 236, 35, 87, 195, 40, 241, 80, 22, 21, 228, 60, 244, 246, 8, 63, 46, 93, 53, 11, 93, 183, 188, 93, 61, 191, 51, 54, 101, 114, 203, 246, 134, 161, 86, 51, 245, 68, 210, 139, 21, 223, 202, 212, 157, 110, 81, 217, 180, 210, 249, 118, 157, 193, 142, 4, 17, 2, 215, 105, 57, 32, 9, 119, 189, 76, 136, 217, 99, 170, 174, 150, 244, 46, 97, 95, 212, 26, 206, 70, 116, 234, 98, 114, 232, 130, 64, 243, 172, 227, 211, 2, 16, 254, 219, 1, 146, 75, 13, 53, 247, 38, 29, 127, 70, 126, 219, 43, 159, 60, 20, 147, 230, 156, 126, 94, 84, 29, 68, 164, 224, 232, 49, 250, 67, 67, 238, 19, 16, 139, 144, 130, 51, 66, 6, 135, 43, 7, 171, 12, 158, 58, 165, 87, 192, 27, 179, 191, 5, 174, 227, 87, 175, 140, 111, 32, 46, 144, 36, 252, 111, 217, 169, 11, 71, 163, 105, 133, 190, 181, 92, 18, 29, 89, 34, 170, 78, 156, 10, 11, 198, 137, 145, 134, 26, 246, 155, 220, 1, 5, 197, 84, 159, 164, 49, 214, 54, 86, 43, 217, 98, 176, 26, 58, 228, 242, 193, 158, 155, 184, 246, 212, 233, 84, 160, 162, 171, 7, 98, 132, 32, 135, 48, 246, 166, 150, 93, 58, 154, 199, 6, 130, 126, 196, 251, 82, 37, 245, 228, 219, 66, 210, 60, 26, 85, 120, 175, 0, 95, 132, 179, 101, 131, 74, 193, 195, 176, 142, 69, 153, 151, 150, 42, 238, 42, 74, 141, 159, 233, 137, 153, 149, 99, 174, 21, 45, 75, 130, 211, 14, 151, 9, 193, 68, 41, 197, 3, 51, 230, 224, 169, 134, 206, 8, 91, 40, 185, 87, 25, 239, 66, 103, 210, 122, 185, 205, 175, 18, 223, 225, 12, 201, 213, 202, 178, 25, 215, 33, 69, 80, 93, 75, 87, 183, 181, 172, 108, 200, 155, 119, 240, 127, 59, 128, 71, 80, 108, 120, 197, 232, 186, 98, 124, 147, 225, 141, 247, 1, 86, 74, 72, 204, 212, 199, 190, 206, 184, 6, 211, 148, 100, 48, 25, 87, 16, 252, 57, 225, 202, 135, 195, 163, 81, 89, 12, 87, 206, 61, 184, 52, 1, 251, 203, 138, 60, 153, 238, 153, 76, 154, 253, 187, 140, 133, 43, 162, 2, 162, 229, 200, 100, 142, 175, 103, 62, 2, 70, 123, 82, 100, 54, 2, 130, 91, 193, 108, 63, 212, 88, 55, 94, 15, 174, 142, 190, 247, 205, 217, 103, 8, 124, 233, 154, 82, 205, 110, 117, 193, 25, 201, 66, 77, 173, 242, 183, 119, 2, 14, 36, 37, 168, 41, 63, 86, 250, 228, 39, 76, 212, 193, 35, 80, 196, 61, 44, 203, 169, 150, 222, 214, 217, 244, 90, 36, 148, 46, 151, 210, 36, 255, 163, 68, 133, 53, 199, 151, 35, 109, 91, 105, 136, 225, 11, 251, 15, 101, 68, 242, 238, 31, 65, 187, 49, 145, 189, 167, 141, 150, 99, 44, 167, 169, 197, 23, 37, 8, 25, 49, 154, 55, 146, 243, 213, 157, 134, 199, 158, 55, 104, 0, 126, 83, 148, 25, 19, 194, 80, 226, 239, 210, 230, 179, 223, 87, 165, 33, 53, 114, 70, 86, 217, 140, 10, 130, 25, 76, 68, 152, 48, 63, 200, 231, 170, 144, 179, 42, 17, 189, 25, 251, 225, 165, 225, 189, 168, 156, 70, 43, 58, 242, 159, 145, 174, 196, 31, 92, 88, 50, 86, 163, 63, 212, 155, 7, 78, 92, 153, 185, 126, 69, 150, 113, 17, 205, 224, 235, 56, 14, 201, 241, 255, 191, 35, 152, 135, 239, 246, 219, 92, 218, 131, 158, 94, 128, 29, 37, 36, 107, 190, 239, 98, 67, 90, 9, 61, 28, 242, 46, 24, 143, 88, 27, 229, 57, 236, 254, 103, 28, 147, 88, 206, 248, 125, 102, 193, 84, 94, 107, 35, 46, 78, 242, 2, 114, 251, 177, 204, 166, 199, 34, 187, 158, 221, 241, 143, 173, 189, 83, 58, 185, 249, 109, 212, 173, 53, 172, 52, 147, 144, 31, 17, 202, 41, 54, 255, 126, 246, 189, 123, 108, 218, 9, 144, 105, 137, 41, 238, 133, 38, 57, 231, 224, 203, 254, 115, 188, 194, 187, 0, 47, 5, 190, 20, 183, 67, 237, 65, 162, 60, 128, 254, 40, 218, 51, 124, 193, 128, 244, 82, 191, 150, 53, 181, 189, 145, 67, 208, 185, 30, 153, 115, 103, 159, 125, 236, 90, 235, 68, 185, 185, 74, 142, 182, 194, 160, 70, 220, 119, 235, 181, 220, 12, 139, 177, 166, 113, 229, 202, 176, 116, 73, 141, 22, 45, 104, 126, 191, 47, 22, 107, 41, 114, 244, 120, 162, 32, 53, 146, 144, 223, 145, 193, 232, 166, 209, 193, 72, 125, 48, 187, 129, 207, 141, 223, 58, 72, 254, 75, 152, 33, 175, 38, 126, 17, 87, 26, 190, 113, 122, 75, 6, 200, 7, 203, 184, 189, 160, 200, 45, 157, 102, 20, 97, 240, 18, 152, 41, 101, 145, 217, 50, 201, 40, 89, 67, 131, 90, 147, 25, 145, 38, 202, 159, 126, 69, 163, 126, 165, 87, 196, 153, 15, 104, 117, 241, 102, 140, 239, 159, 224, 203, 67, 159, 104, 37, 111, 165, 217, 243, 236, 250, 49, 80, 27, 45, 166, 22, 57, 223, 78, 206, 22, 71, 67, 122, 117, 95, 8, 210, 21, 49, 142, 88, 194, 51, 66, 51, 169, 58, 30, 5, 114, 23, 185, 8, 57, 2, 12, 22, 62, 241, 114, 151, 90, 162, 32, 54, 67, 253, 227, 24, 118, 153, 156, 178, 11, 45, 116, 243, 46, 235, 70, 129, 26, 32, 50, 22, 102, 5, 159, 120, 136, 228, 226, 73, 206, 80, 56, 245, 48, 153, 76, 248, 175, 25, 87, 69, 135, 53, 163, 143, 245, 105, 123, 127, 227, 252, 73, 13, 254, 106, 161, 64, 230, 119, 226, 23, 199, 209, 57, 137, 21, 137, 176, 209, 189, 254, 211, 70, 154, 45, 41, 177, 67, 28, 11, 185, 116, 53, 53, 18, 251, 144, 114, 196, 241, 3, 193, 21, 91, 16, 193, 222, 180, 101, 236, 43, 93, 31, 229, 107, 50, 171, 252, 223, 143, 139, 12, 161, 24, 19, 191, 142, 30, 46, 102, 117, 43, 28, 90, 84, 100, 114, 246, 148, 124, 121, 190, 198, 22, 64, 59, 165, 81, 163, 90, 233, 105, 36, 58, 38, 121, 36, 69, 223, 32, 130, 236, 60, 160, 199, 253, 160, 247, 20, 20, 9, 246, 239, 199, 146, 17, 188, 205, 71, 146, 231, 127, 103, 224, 77, 29, 64, 228, 245, 37, 62, 27, 226, 33, 142, 114, 181, 93, 244, 58, 194, 26, 200, 50, 9, 101, 28, 140, 119, 100, 86, 50, 12, 71, 31, 36, 41, 243, 143, 231, 159, 58, 186, 32, 133, 208, 107, 12, 169, 146, 98, 95, 254, 120, 128, 85, 137, 189, 38, 131, 99, 127, 9, 237, 184, 81, 128, 120, 247, 40, 163, 243, 164, 20, 226, 84, 63, 48, 27, 255, 6, 98, 228, 23, 204, 174, 232, 90, 214, 10, 129, 34, 131, 243, 183, 190, 62, 65, 19, 107, 64, 34, 142, 197, 77, 95, 155, 217, 31, 143, 60, 154, 236, 218, 81, 116, 76, 62, 27, 31, 46, 223, 185, 65, 249, 194, 184, 201, 82, 120, 68, 3, 49, 30, 245, 240, 143, 70, 143, 73, 215, 142, 235, 197, 204, 230, 156, 4, 168, 69, 106, 128, 23, 118, 178, 73, 181, 148, 109, 87, 191, 93, 201, 13, 230, 117, 213, 156, 44, 90, 19, 179, 18, 8, 76, 123, 187, 130, 214, 105, 106, 62, 114, 173, 86, 177, 112, 216, 54, 73, 192, 94, 115, 212, 19, 158, 106, 224, 1, 2, 82, 125, 132, 42, 45, 228, 134, 43, 197, 162, 50, 42, 146, 113, 152, 52, 78, 232, 55, 64, 25, 128, 201, 32, 46, 128, 71, 105, 143, 253, 60, 28, 140, 46, 140, 61, 237, 185, 229, 187, 139, 189, 35, 39, 168, 133, 143, 56, 89, 141, 143, 36, 1, 208, 35, 3, 70, 220, 182, 69, 123, 61, 53, 74, 39, 55, 57, 132, 93, 129, 52, 126, 89, 35, 66, 55, 94, 114, 152, 93, 160, 135, 6, 107, 3, 73, 209, 236, 25, 139, 163, 34, 58, 82, 62, 145, 150, 65, 14, 210, 56, 73, 190, 100, 134, 7, 191, 34, 90, 162, 134, 108, 222, 53, 98, 152, 62, 178, 53, 170, 57, 119, 38, 124, 196, 187, 117, 233, 159, 3, 148, 10, 104, 113, 167, 123, 248, 113, 104, 101, 201, 231, 64, 146, 246, 18, 93, 17, 37, 99, 111, 5, 244, 102, 177, 214, 69, 96, 26, 146, 169, 233, 69, 210, 240, 233, 208, 129, 21, 179, 85, 216, 104, 69, 146, 239, 86, 26, 213, 183, 133, 231, 221, 35, 56, 157, 108, 203, 228, 188, 71, 78, 171, 68, 141, 238, 239, 156, 135, 253, 172, 136, 229, 54, 234, 49, 189, 118, 220, 127, 134, 218, 98, 37, 79, 72, 252, 128, 75, 8, 226, 19, 61, 35, 58, 232, 62, 115, 78, 137, 194, 204, 232, 32, 121, 94, 98, 67, 61, 74, 146, 80, 169, 206, 148, 121, 198, 100, 158, 188, 196, 70, 242, 104, 202, 247, 98, 76, 127, 79, 47, 182, 252, 0, 235, 152, 3, 241, 212, 114, 154, 207, 243, 249, 62, 96, 149, 238, 197, 153, 242, 166, 163, 112, 142, 136, 59, 184, 146, 236, 74, 83, 169, 171, 46, 124, 72, 59, 140, 239, 67, 72, 111, 68, 71, 237, 235, 31, 249, 155, 163, 70, 125, 50, 153, 2, 176, 23, 121, 184, 57, 111, 184, 78, 45, 41, 67, 238, 122, 244, 174, 149, 238, 147, 103, 32, 38, 33, 140, 20, 46, 214, 53, 133, 7, 16, 166, 56, 219, 195, 253, 251, 186, 115, 122, 23, 182, 19, 75, 137, 91, 56, 89, 106, 21, 20, 245, 150, 27, 174, 47, 197, 213, 55, 86, 115, 84, 248, 27, 212, 19, 22, 115, 80, 168, 3, 88, 192, 86, 80, 56, 107, 57, 68, 151, 108, 48, 237, 123, 51, 41, 68, 107, 28, 81, 112, 177, 172, 189, 173, 125, 33, 76, 253, 70, 48, 48, 61, 143, 197, 240, 134, 180, 194, 216, 142, 27, 154, 125, 129, 114, 210, 178, 151, 76, 49, 61, 106, 126, 98, 248, 245, 217, 12, 160, 182, 221, 109, 240, 141, 171, 211, 123, 15, 232, 236, 244, 140, 89, 176, 46, 65, 207, 17, 214, 108, 222, 234, 208, 132, 130, 101, 234, 162, 253, 80, 103, 7, 15, 185, 141, 183, 181, 169, 96, 123, 175, 87, 32, 98, 112, 109, 197, 171, 139, 130, 166, 243, 117, 130, 184, 73, 195, 254, 84, 9, 91, 169, 164, 10, 172, 102, 23, 42, 143, 184, 69, 87, 36, 108, 31, 225, 19, 155, 61, 93, 211, 155, 208, 184, 197, 166, 237, 243, 233, 118, 13, 168, 162, 14, 68, 241, 233, 226, 90, 123, 122, 71, 104, 145, 8, 181, 225, 23, 3, 46, 146, 122, 152, 113, 241, 63, 207, 53, 110, 224, 92, 192, 197, 132, 76, 28, 41, 229, 11, 63, 79, 236, 58, 161, 66, 0, 3, 161, 254, 221, 155, 105, 218, 43, 229, 49, 173, 242, 39, 238, 131, 72, 186, 37, 100, 207, 86, 69, 155, 212, 254, 148, 224, 101, 215, 151, 64, 17, 138, 207, 216, 100, 82, 98, 104, 151, 92, 253, 135, 20, 185, 131, 28, 210, 60, 181, 8, 22, 9, 228, 232, 169, 106, 225, 77, 27, 1, 123, 194, 241, 125, 227, 246, 70, 235, 173, 237, 30, 229, 205, 99, 25, 171, 189, 81, 162, 97, 27, 122, 177, 188, 240, 122, 186, 22, 254, 100, 93, 127, 220, 134, 167, 71, 22, 131, 81, 34, 173, 79, 155, 179, 113, 139, 193, 100, 2, 242, 59, 248, 124, 181, 139, 54, 190, 210, 56, 18, 249, 193, 64, 6, 17, 158, 110, 134, 253, 107, 137, 191, 75, 160, 124, 23, 161, 211, 211, 25, 212, 107, 144, 193, 12, 89, 89, 40, 227, 17, 48, 214, 2, 100, 15, 141, 23, 246, 84, 242, 124, 129, 10, 155, 105, 72, 233, 200, 40, 56, 93, 74, 49, 189, 43, 163, 190, 245, 222, 79, 28, 31, 181, 225, 192, 168, 179, 174, 42, 236, 97, 16, 187, 3, 130, 170, 155, 155, 88, 217, 111, 54, 141, 73, 63, 150, 187, 34, 168, 27, 124, 171, 159, 148, 148, 86, 212, 105, 114, 136, 73, 184, 125, 225, 247, 125, 175, 149, 81, 180, 124, 130, 14, 218, 145, 50, 113, 41, 194, 13, 101, 170, 114, 48, 145, 189, 81, 78, 190, 27, 92, 253, 146, 169, 255, 35, 91, 228, 102, 247, 195, 191, 40, 91, 102, 195, 13, 242, 95, 237, 166, 250, 195, 133, 83, 97, 51, 222, 118, 56, 12, 153, 166, 124, 173, 66, 74, 185, 129, 80, 163, 144, 121, 109, 219, 201, 173, 200, 177, 23, 4, 199, 172, 9, 142, 78, 24, 224, 175, 142, 118, 5, 104, 40, 152, 210, 249, 26, 100, 65, 90, 62, 199, 114, 125, 21, 192, 230, 203, 175, 226, 42, 177, 82, 35, 0, 131, 190, 45, 234, 207, 246, 38, 11, 158, 179, 137, 209, 53, 252, 194, 59, 120, 63, 41, 56, 196, 111, 1, 106, 190, 234, 164, 20, 77, 86, 143, 27, 139, 53, 163, 30, 110, 235, 248, 175, 62, 226, 175, 170, 220, 73, 217, 77, 175, 72, 25, 20, 43, 5, 17, 51, 40, 166, 95, 43, 175, 38, 85, 252, 2, 82, 154, 220, 155, 209, 128, 13, 223, 187, 166, 42, 122, 183, 14, 10, 199, 149, 253, 251, 100, 85, 206, 226, 111, 95, 39, 251, 172, 189, 234, 233, 227, 66, 161, 202, 217, 169, 35, 5, 4, 137, 76, 175, 181, 0, 7, 44, 198, 199, 205, 196, 209, 206, 105, 154, 103, 60, 208, 19, 89, 149, 138, 9, 33, 28, 124, 63, 5, 42, 126, 46, 155, 205, 18, 206, 105, 53, 165, 205, 22, 4, 252, 71, 163, 165, 92, 3, 214, 170, 19, 51, 59, 103, 110, 72, 69, 108, 115, 238, 65, 48, 38, 185, 110, 40, 248, 208, 136, 83, 168, 144, 107, 198, 40, 32, 145, 122, 27, 154, 108, 190, 8, 172, 113, 115, 62, 176, 31, 86, 118, 134, 54, 174, 42, 191, 55, 55, 235, 122, 240, 56, 41, 3, 135, 97, 161, 36, 149, 92, 200, 227, 72, 44, 115, 72, 169, 175, 217, 239, 122, 255, 65, 135, 212, 192, 145, 135, 43, 75, 209, 232, 176, 66, 98, 159, 226, 35, 120, 74, 182, 171, 214, 56, 199, 162, 160, 31, 225, 190, 47, 5, 98, 1, 173, 175, 67, 27, 130, 44, 112, 223, 10, 214, 164, 104, 105, 89, 125, 208, 236, 249, 17, 187, 137, 159, 136, 43, 10, 134, 109, 137, 6, 44, 205, 58, 47, 206, 174, 121, 166, 207, 1, 116, 249, 66, 233, 45, 58, 63, 44, 233, 132, 62, 26, 155, 98, 247, 80, 79, 184, 253, 29, 46, 2, 239, 12, 250, 123, 146, 86, 188, 248, 138, 179, 181, 241, 72, 136, 252, 241, 71, 228, 145, 165, 19, 46, 96, 131, 238, 182, 46, 184, 201, 143, 108, 141, 12, 72, 6, 153, 56, 17, 141, 209, 207, 118, 62, 169, 89, 88, 115, 166, 43, 240, 137, 17, 206, 32, 157, 3, 103, 56, 110, 68, 61, 164, 254, 157, 85, 151, 61, 211, 233, 85, 84, 62, 102, 229, 211, 63, 215, 3, 198, 42, 158, 124, 68, 47, 170, 138, 51, 47, 15, 192, 237, 88, 95, 30, 250, 183, 221, 217, 175, 48, 25, 9, 54, 143, 92, 48, 229, 234, 236, 203, 25, 206, 30, 93, 109, 220, 202, 92, 54, 246, 167, 99, 67, 175, 18, 53, 145, 113, 165, 126, 96, 206, 166, 124, 188, 129, 180, 56, 251, 85, 23, 128, 121, 185, 180, 123, 176, 5, 122, 125, 54, 16, 124, 202, 57, 201, 69, 82, 70, 121, 141, 114, 105, 153, 210, 141, 155, 87, 228, 64, 103, 9, 14, 245, 184, 242, 28, 133, 28, 178, 91, 135, 35, 127, 114, 37, 23, 87, 11, 106, 163, 50, 172, 36, 5, 161, 219, 57, 164, 154, 58, 242, 45, 76, 91, 234, 108, 252, 195, 227, 252, 164, 57, 91, 63, 36, 127, 114, 253, 10, 11, 114, 204, 248, 39, 154, 200, 57, 207, 46, 108, 68, 91, 29, 90, 205, 212, 230, 16, 124, 159, 39, 130, 249, 144, 224, 247, 105, 174, 223, 51, 223, 4, 174, 231, 225, 159, 169, 244, 143, 146, 31, 31, 75, 35, 153, 188, 202, 244, 18, 57, 175, 244, 137, 12, 170, 134, 109, 56, 105, 115, 4, 239, 132, 241, 47, 186, 55, 152, 67, 114, 50, 230, 2, 131, 142, 186, 128, 35, 206, 165, 17, 133, 70, 0, 41, 195, 107, 55, 38, 34, 76, 135, 150, 3, 227, 55, 114, 129, 12, 1, 44, 3, 21, 178, 19, 138, 110, 150, 241, 88, 20, 139, 38, 221, 124, 66, 80, 61, 148, 189, 203, 229, 204, 166, 69, 49, 46, 217, 60, 185, 162, 13, 64, 190, 14, 86, 178, 181, 41, 211, 150, 109, 218, 5, 67, 48, 236, 144, 196, 117, 114, 81, 171, 80, 190, 149, 179, 176, 143, 159, 171, 170, 34, 67, 10, 112, 95, 186, 192, 117, 7, 159, 92, 64, 165, 213, 93, 226, 62, 51, 119, 229, 47, 206, 252, 58, 196, 214, 243, 228, 133, 142, 178, 134, 98, 115, 107, 9, 136, 53, 189, 110, 47, 223, 86, 150, 84, 85, 151, 152, 12, 17, 251, 115, 199, 156, 74, 187, 93, 8, 109, 203, 197, 84, 130, 102, 151, 56, 206, 127, 44, 76, 141, 79, 160, 188, 78, 198, 56, 9, 97, 216, 147, 92, 98, 211, 10, 137, 102, 140, 207, 221, 107, 249, 75, 108, 107, 215, 27, 131, 72, 229, 208, 35, 253, 243, 177, 11, 44, 169, 232, 59, 173, 135, 215, 135, 129, 174, 144, 190, 10, 235, 175, 144, 134, 136, 108, 82, 207, 17, 172, 150, 245, 17, 242, 224, 20, 108, 163, 50, 183, 172, 23, 43, 72, 137, 37, 48, 86, 28, 230, 179, 109, 114, 246, 81, 243, 10, 36, 21, 110, 9, 20, 43, 80, 132, 92, 93, 28, 186, 110, 117, 129, 249, 57, 251, 200, 80, 225, 85, 124, 61, 231, 48, 93, 22, 123, 45, 188, 189, 9, 96, 189, 217, 119, 1, 167, 9, 62, 183, 90, 52, 106, 123, 45, 191, 194, 123, 5, 163, 164, 21, 116, 234, 213, 195, 187, 119, 245, 141, 156, 104, 201, 113, 244, 128, 177, 121, 189, 242, 96, 167, 60, 217, 165, 66, 58, 130, 40, 208, 181, 226, 125, 113, 104, 70, 133, 224, 218, 183, 106, 102, 36, 208, 155, 215, 15, 36, 112, 32, 232, 177, 183, 22, 193, 186, 255, 134, 155, 52, 240, 89, 158, 72, 188, 48, 14, 227, 125, 21, 41, 211, 113, 161, 247, 200, 46, 116, 181, 149, 21, 94, 105, 59, 210, 105, 92, 37, 254, 226, 231, 204, 201, 130, 191, 31, 29, 220, 70, 19, 172, 172, 203, 76, 141, 229, 177, 233, 175, 62, 213, 202, 43, 179, 193, 111, 4, 85, 96, 132, 196, 51, 240, 128, 15, 175, 64, 187, 208, 43, 87, 65, 252, 209, 149, 74, 179, 40, 248, 255, 19, 243, 21, 172, 252, 249, 234, 121, 212, 138, 27, 239, 194, 178, 108, 73, 7, 246, 38, 94, 223, 96, 88, 23, 63, 110, 250, 203, 30, 147, 53, 113, 118, 101, 60, 65, 123, 122, 225, 147, 84, 181, 47, 172, 244, 62, 246, 93, 29, 120, 149, 38, 125, 24, 235, 231, 252, 89, 42, 227, 71, 82, 120, 44, 189, 147, 92, 42, 165, 233, 218, 163, 46, 56, 86, 215, 7, 218, 170, 111, 97, 194, 162, 21, 247, 9, 115, 41, 247, 34, 41, 234, 243, 86, 222, 35, 219, 127, 192, 50, 229, 152, 177, 30, 92, 195, 175, 22, 89, 11, 60, 107, 19, 148, 135, 162, 97, 98, 204, 144, 9, 104, 34, 57, 76, 233, 214, 68, 85, 34, 198, 118, 200, 26, 11, 98, 17, 182, 81, 215, 118, 44, 198, 116, 116, 132, 239, 183, 174, 184, 244, 212, 7, 151, 24, 211, 161, 199, 58, 57, 32, 205, 112, 39, 177, 236, 223, 138, 140, 93, 55, 123, 229, 19, 175, 130, 244, 149, 171, 122, 197, 106, 9, 200, 31, 5, 96, 86, 143, 37, 251, 118, 54, 247, 147, 39, 241, 141, 86, 44, 124, 52, 23, 135, 156, 159, 211, 228, 159, 199, 246, 248, 95, 144, 153, 154, 75, 107, 133, 172, 67, 64, 23, 238, 190, 114, 222, 57, 247, 110, 150, 40, 102, 135, 44, 178, 162, 216, 183, 42, 244, 176, 101, 207, 68, 210, 142, 111, 187, 176, 197, 49, 55, 135, 180, 145, 197, 194, 75, 204, 150, 52, 213, 37, 156, 135, 53, 101, 171, 211, 29, 194, 77, 9, 115, 13, 127, 43, 92, 18, 115, 183, 230, 69, 120, 103, 85, 225, 151, 151, 28, 107, 122, 67, 57, 192, 74, 227, 218, 140, 207, 188, 120, 159, 164, 20, 110, 44, 4, 78, 177, 245, 61, 178, 101, 159, 6, 216, 223, 133, 112, 28, 182, 78, 160, 21, 42, 194, 38, 165, 255, 72, 35, 246, 72, 19, 176, 78, 61, 86, 104, 226, 145, 21, 38, 111, 144, 48, 225, 44, 217, 224, 44, 170, 237, 109, 87, 84, 200, 28, 214, 180, 106, 44, 246, 135, 24, 5, 100, 9, 56, 243, 154, 138, 181, 64, 225, 219, 238, 200, 99, 13, 225, 180, 84, 7, 143, 80, 93, 117, 54, 251, 25, 124, 130, 140, 201, 72, 52, 107, 181, 115, 20, 198, 52, 69, 20, 208, 140, 159, 83, 197, 70, 181, 49, 22, 220, 239, 129, 12, 239, 160, 206, 40, 232, 124, 113, 129, 133, 103, 5, 104, 233, 91, 245, 2, 204, 171, 2, 33, 176, 45, 85, 30, 135, 86, 159, 53, 67, 151, 158, 212, 243, 137, 126, 154, 38, 215, 161, 229, 181, 106, 37, 82, 130, 80, 141, 34, 48, 169, 8, 235, 158, 229, 211, 215, 231, 14, 225, 212, 88, 194, 174, 181, 4, 228, 118, 43, 113, 157, 50, 73, 14, 229, 133, 223, 144, 201, 245, 217, 134, 222, 199, 90, 162, 72, 2, 26, 149, 132, 162, 134, 167, 174, 34, 39, 84, 232, 174, 10, 79, 58, 225, 236, 218, 4, 155, 47, 65, 118, 119, 239, 126, 236, 201, 184, 15, 19, 69, 186, 59, 91, 141, 220, 18, 216, 81, 53, 251, 163, 127, 205, 84, 232, 30, 152, 217, 179, 75, 199, 193, 51, 252, 137, 111, 231, 255, 55, 161, 254, 13, 33, 45, 112, 69, 90, 21, 191, 7, 184, 244, 23, 32, 126, 216, 148, 231, 143, 124, 48, 10, 205, 206, 159, 248, 123, 110, 20, 77, 121, 222, 11, 125, 4, 173, 10, 38, 179, 177, 81, 79, 61, 52, 45, 236, 18, 189, 223, 213, 196, 141, 89, 198, 129, 129, 243, 82, 181, 214, 230, 71, 143, 38, 213, 234, 184, 171, 116, 3, 123, 237, 0, 89, 13, 181, 250, 164, 107, 31, 129, 43, 158, 158, 133, 63, 97, 213, 245, 242, 34, 121, 174, 111, 83, 79, 145, 116, 203, 63, 8, 63, 44, 74, 71, 209, 190, 160, 224, 129, 42, 8, 111, 214, 170, 93, 114, 221, 117, 49, 140, 50, 29, 159, 38, 213, 182, 102, 199, 11, 230, 49, 62, 192, 54, 38, 45, 103, 187, 132, 35, 194, 230, 7, 219, 200, 196, 126, 184, 150, 188, 146, 253, 241, 233, 17, 242, 67, 53, 106, 225, 215, 45, 119, 228, 205, 140, 31, 143, 74, 215, 137, 163, 147, 34, 40, 136, 4, 96, 10, 191, 15, 179, 217, 51, 76, 30, 64, 157, 53, 146, 73, 103, 151, 99, 45, 54, 0, 33, 168, 36, 12, 196, 90, 42, 166, 185, 149, 64, 95, 29, 49, 193, 110, 167, 89, 199, 213, 178, 124, 108, 173, 219, 135, 168, 96, 142, 180, 71, 12, 95, 171, 204, 200, 62, 128, 31, 65, 130, 35, 11, 148, 117, 236, 150, 19, 159, 223, 240, 43, 202, 44, 32, 228, 155, 119, 244, 140, 153, 238, 129, 78, 87, 230, 177, 231, 65, 201, 98, 128, 103, 3, 80, 59, 188, 101, 83, 13, 41, 26, 36, 168, 223, 64, 25, 96, 30, 198, 146, 55, 35, 111, 188, 150, 195, 213, 57, 199, 92, 162, 8, 16, 80, 207, 64, 189, 50, 120, 84, 108, 235, 160, 47, 70, 58, 143, 165, 53, 116, 9, 151, 12, 155, 72, 172, 65, 196, 146, 123, 98, 107, 76, 48, 106, 184, 70, 123, 54, 86, 162, 31, 167, 67, 5, 102, 200, 180, 167, 164, 165, 111, 119, 86, 246, 163, 188, 38, 82, 115, 222, 205, 0, 47, 114, 129, 74, 157, 70, 79, 240, 250, 173, 76, 77, 36, 28, 161, 132, 17, 252, 73, 29, 6, 252, 217, 27, 116, 229, 155, 235, 169, 234, 32, 34, 153, 86, 8, 217, 43, 243, 7, 232, 209, 117, 12, 140, 83, 254, 118, 8, 137, 51, 181, 117, 29, 111, 66, 223, 164, 79, 190, 5, 198, 173, 198, 80, 94, 53, 132, 236, 109, 227, 175, 238, 142, 43, 82, 175, 33, 106, 179, 146, 101, 248, 13, 47, 14, 169, 109, 134, 93, 51, 120, 35, 250, 60, 116, 177, 25, 56, 100, 89, 34, 88, 71, 134, 145, 223, 86, 153, 84, 237, 50, 181, 27, 168, 114, 249, 183, 22, 40, 69, 228, 54, 240, 78, 85, 230, 149, 253, 237, 34, 75, 5, 7, 96, 133, 137, 214, 90, 73, 222, 216, 74, 209, 224, 241, 122, 19, 228, 119, 118, 229, 241, 65, 215, 216, 137, 242, 244, 98, 75, 39, 169, 37, 6, 181, 72, 204, 36, 147, 177, 235, 42, 72, 58, 98, 44, 160, 173, 101, 185, 216, 132, 79, 225, 96, 130, 41, 104, 113, 183, 203, 248, 64, 219, 53, 141, 30, 203, 7, 3, 145, 197, 42, 155, 54, 217, 14, 152, 242, 141, 176, 166, 196, 94, 99, 155, 92, 202, 236, 114, 85, 90, 13, 210, 160, 224, 141, 167, 194, 49, 117, 181, 179, 234, 61, 108, 37, 35, 41, 249, 48, 235, 239, 113, 96, 71, 41, 209, 164, 132, 171, 65, 250, 10, 50, 120, 91, 87, 11, 79, 189, 96, 100, 129, 193, 213, 180, 88, 18, 68, 154, 177, 176, 125, 215, 145, 132, 137, 190, 209, 81, 221, 58, 100, 91, 229, 21, 146, 124, 33, 106, 184, 64, 16, 49, 81, 153, 170, 7, 133, 30, 153, 43, 67, 26, 254, 46, 91, 42, 203, 55, 27, 137, 169, 224, 46, 33, 188, 250, 131, 150, 61, 37, 13, 189, 7, 207, 167, 68, 127, 233, 62, 80, 120, 153, 26, 77, 107, 140, 221, 186, 166, 84, 187, 213, 204, 47, 18, 98, 41, 247, 236, 151, 234, 7, 71, 101, 82, 67, 211, 201, 56, 229, 35, 99, 133, 187, 164, 235, 185, 215, 42, 96, 156, 28, 204, 176, 199, 82, 5, 76, 8, 106, 28, 172, 182, 253, 194, 168, 40, 112, 104, 46, 206, 208, 36, 16, 72, 5, 246, 196, 232, 238, 238, 202, 185, 163, 195, 155, 64, 165, 190, 246, 138, 224, 218, 53, 233, 224, 80, 93, 211, 56, 151, 127, 206, 219, 94, 164, 124, 59, 91, 109, 244, 33, 232, 160, 111, 161, 222, 164, 211, 3, 19, 179, 213, 154, 37, 248, 47, 196, 194, 170, 102, 17, 147, 226, 105, 121, 89, 50, 126, 23, 34, 112, 7, 14, 242, 82, 30, 8, 251, 200, 173, 100, 104, 33, 224, 235, 117, 41, 176, 251, 46, 237, 252, 166, 104, 186, 209, 228, 178, 241, 38, 60, 31, 236, 162, 24, 100, 21, 59, 235, 67, 154, 68, 210, 153, 157, 185, 14, 52, 168, 61, 194, 26, 131, 151, 142, 57, 117, 134, 215, 142, 9, 89, 69, 215, 80, 151, 140, 207, 82, 87, 111, 33, 220, 219, 226, 227, 229, 62, 146, 236, 28, 50, 74, 17, 42, 161, 248, 86, 170, 81, 229, 8, 17, 201, 92, 118, 237, 20, 222, 136, 170, 222, 205, 55, 21, 35, 32, 105, 176, 22, 46, 204, 21, 88, 76, 23, 224, 81, 174, 150, 250, 174, 216, 125, 211, 59, 105, 121, 193, 31, 206, 8, 45, 70, 219, 253, 86, 248, 185, 24, 138, 226, 168, 159, 249, 41, 172, 199, 47, 252, 2, 124, 68, 210, 216, 179, 192, 14, 209, 81, 131, 178, 37, 141, 142, 139, 151, 190, 42, 31, 157, 153, 189, 232, 68, 241, 209, 170, 125, 21, 238, 231, 8, 129, 177, 99, 84, 74, 28, 132, 100, 74, 85, 101, 247, 207, 79, 97, 54, 30, 142, 111, 128, 54, 219, 149, 33, 246, 78, 74, 229, 249, 217, 57, 254, 119, 69, 120, 60, 45, 254, 212, 21, 81, 198, 36, 17, 109, 202, 180, 32, 70, 161, 242, 149, 73, 253, 16, 43, 157, 103, 67, 225, 213, 125, 147, 59, 65, 19, 228, 194, 200, 199, 37, 107, 3, 60, 234, 131, 235, 57, 52, 225, 20, 246, 87, 90, 111, 255, 137, 137, 102, 217, 124, 142, 149, 180, 156, 143, 215, 91, 12, 118, 45, 234, 81, 72, 26, 104, 32, 37, 243, 42, 218, 202, 15, 68, 47, 8, 106, 88, 61, 13, 238, 21, 74, 96, 166, 21, 164, 26, 214, 1, 232, 158, 210, 53, 217, 229, 226, 149, 189, 23, 229, 64, 232, 37, 208, 153, 129, 50, 213, 213, 42, 145, 85, 132, 10, 202, 3, 139, 76, 140, 150, 21, 91, 177, 26, 125, 24, 113, 56, 167, 234, 141, 201, 139, 91, 246, 31, 90, 19, 53, 67, 59, 74, 107, 55, 202, 26, 214, 31, 141, 218, 74, 147, 189, 61, 75, 168, 11, 202, 30, 250, 196, 24, 125, 22, 71, 46, 124, 225, 99, 224, 35, 6, 22, 120, 217, 148, 98, 137, 214, 61, 209, 121, 114, 73, 52, 7, 178, 44, 160, 35, 35, 207, 29, 173, 205, 109, 171, 44, 127, 174, 68, 111, 88, 235, 74, 123, 255, 16, 161, 48, 141, 57, 153, 121, 73, 100, 161, 50, 240, 25, 62, 24, 24, 208, 212, 83, 58, 66, 46, 23, 255, 93, 127, 105, 21, 65, 69, 42, 38, 243, 222, 159, 229, 8, 125, 221, 158, 27, 144, 213, 111, 139, 62, 146, 253, 103, 2, 99, 83, 251, 181, 143, 215, 77, 195, 61, 153, 181, 208, 133, 101, 169, 52, 219, 86, 117, 44, 19, 152, 102, 46, 132, 185, 216, 114, 64, 243, 236, 33, 32, 152, 201, 122, 129, 143, 137, 171, 187, 100, 134, 155, 239, 164, 237, 20, 237, 29, 100, 254, 103, 12, 97, 38, 82, 83, 83, 75, 254, 146, 32, 208, 155, 209, 13, 118, 49, 253, 49, 148, 170, 201, 139, 66, 143, 230, 83, 95, 222, 255, 147, 179, 152, 162, 175, 222, 180, 108, 252, 14, 136, 214, 24, 143, 33, 31, 170, 28, 187, 192, 202, 165, 68, 131, 239, 199, 106, 166, 179, 180, 128, 160, 254, 188, 128, 86, 191, 193, 173, 213, 67, 114, 72, 132, 127, 49, 190, 182, 25, 153, 200, 188, 152, 220, 29, 217, 138, 25, 130, 158, 26, 89, 138, 116, 152, 96, 223, 137, 237, 134, 89, 125, 206, 11, 205, 134, 223, 126, 130, 245, 132, 237, 145, 115, 68, 113, 74, 226, 169, 5, 93, 43, 42, 34, 205, 247, 147, 35, 129, 70, 21, 156, 222, 15, 53, 56, 15, 73, 85, 15, 233, 114, 27, 60, 114, 222, 225, 129, 190, 44, 188, 142, 102, 13, 168, 145, 144, 47, 45, 118, 140, 180, 214, 156, 219, 142, 204, 163, 126, 141, 225, 164, 44, 104, 51, 235, 70, 198, 188, 128, 123, 184, 93, 55, 1, 56, 164, 98, 159, 36, 24, 99, 17, 251, 78, 246, 250, 172, 114, 167, 55, 131, 232, 14, 5, 122, 213, 142, 243, 138, 225, 233, 101, 224, 233, 163, 130, 111, 17, 25, 194, 233, 48, 42, 31, 110, 236, 70, 125, 72, 123, 119, 188, 133, 10, 152, 67, 58, 130, 205, 187, 231, 241, 143, 52, 179, 89, 111, 26, 118, 179, 87, 103, 106, 35, 252, 28, 75, 191, 253, 247, 117, 141, 20, 138, 163, 134, 227, 94, 133, 126, 61, 44, 166, 252, 96, 28, 145, 146, 148, 237, 126, 41, 67, 81, 45, 192, 71, 174, 147, 144, 155, 210, 45, 46, 80, 18, 38, 237, 84, 111, 137, 202, 87, 178, 35, 126, 175, 128, 178, 238, 190, 145, 138, 81, 57, 132, 102, 234, 26, 9, 108, 191, 117, 19, 115, 103, 169, 106, 120, 74, 8, 181, 143, 31, 213, 72, 161, 127, 110, 52, 172, 48, 205, 117, 2, 41, 247, 204, 130, 199, 141, 128, 207, 83, 174, 72, 130, 188, 237, 217, 34, 4, 2, 174, 224, 253, 184, 237, 97, 37, 240, 239, 48, 124, 153, 1, 99, 118, 247, 0, 189, 128, 202, 200, 170, 234, 13, 5, 53, 104, 220, 238, 224, 178, 43, 247, 231, 196, 143, 203, 190, 93, 18, 129, 194, 215, 8, 82, 175, 232, 5, 72, 68, 209, 180, 210, 16, 162, 146, 32, 28, 133, 80, 163, 131, 231, 22, 181, 151, 104, 156, 151, 51, 213, 152, 139, 4, 29, 74, 149, 186, 47, 26, 19, 19, 154, 87, 43, 167, 94, 37, 157, 150, 101, 58, 47, 52, 186, 100, 91, 231, 244, 23, 152, 82, 98, 229, 215, 103, 72, 153, 28, 133, 228, 63, 102, 158, 96, 113, 104, 242, 246, 55, 31, 169, 110, 96, 221, 31, 54, 248, 73, 67, 192, 46, 22, 76, 54, 55, 79, 113, 253, 119, 114, 176, 222, 31, 163, 129, 119, 156, 86, 140, 142, 237, 47, 15, 167, 163, 122, 23, 228, 98, 177, 131, 160, 81, 155, 29, 226, 71, 176, 173, 117, 139, 136, 136, 205, 70, 69, 2, 118, 39, 187, 206, 60, 241, 250, 188, 120, 254, 242, 142, 124, 117, 67, 172, 127, 111, 77, 198, 95, 36, 200, 208, 230, 60, 235, 16, 124, 16, 246, 125, 114, 145, 114, 236, 200, 113, 79, 20, 78, 225, 251, 162, 205, 121, 237, 131, 27, 171, 89, 59, 11, 234, 133, 125, 148, 203, 106, 101, 143, 255, 76, 65, 38, 72, 230, 186, 162, 153, 173, 204, 24, 182, 208, 114, 198, 250, 50, 64, 13, 156, 81, 42, 48, 37, 198, 194, 54, 42, 139, 130, 251, 202, 225, 23, 249, 179, 127, 237, 212, 243, 178, 102, 145, 175, 148, 236, 49, 244, 228, 114, 161, 68, 50, 200, 186, 66, 81, 154, 199, 119, 172, 46, 5, 32, 214, 84, 90, 22, 106, 236, 167, 75, 200, 143, 58, 71, 115, 249, 118, 249, 234, 193, 254, 85, 141, 164, 53, 254, 8, 155, 48, 223, 115, 80, 112, 134, 248, 252, 117, 202, 82, 101, 21, 177, 9, 172, 244, 41, 112, 202, 158, 53, 170, 232, 82, 254, 180, 251, 122, 158, 68, 77, 60, 93, 180, 108, 197, 64, 101, 96, 30, 80, 203, 230, 223, 78, 33, 61, 93, 195, 87, 184, 14, 224, 230, 38, 121, 234, 236, 129, 222, 120, 204, 182, 223, 159, 74, 57, 44, 109, 150, 63, 115, 26, 2, 74, 174, 71, 103, 48, 17, 216, 187, 198, 116, 166, 72, 11, 149, 248, 106, 190, 167, 209, 107, 231, 175, 205, 100, 86, 151, 137, 116, 61, 105, 88, 191, 239, 202, 64, 34, 199, 93, 31, 179, 117, 63, 155, 41, 77, 179, 141, 233, 138, 162, 23, 211, 103, 232, 123, 143, 123, 20, 207, 200, 254, 134, 218, 17, 194, 207, 78, 227, 190, 102, 168, 67, 200, 32, 84, 149, 247, 165, 165, 240, 144, 29, 209, 188, 144, 195, 153, 60, 23, 14, 123, 101, 241, 222, 135, 239, 173, 197, 244, 207, 177, 24, 190, 133, 199, 218, 173, 37, 114, 203, 0, 131, 63, 248, 212, 240, 44, 222, 219, 178, 64, 135, 245, 192, 95, 184, 63, 192, 222, 17, 21, 6, 12, 88, 66, 239, 166, 37, 54, 42, 120, 108, 108, 14, 127, 101, 167, 185, 38, 49, 49, 249, 116, 90, 53, 252, 242, 226, 140, 22, 192, 125, 247, 90, 68, 5, 164, 47, 231, 150, 81, 78, 76, 89, 122, 208, 97, 44, 110, 176, 138, 104, 140, 80, 92, 145, 229, 201, 188, 157, 189, 209, 4, 178, 218, 106, 229, 146, 51, 215, 127, 16, 24, 193, 178, 52, 92, 145, 94, 207, 128, 16, 218, 36, 226, 233, 175, 31, 163, 163, 85, 255, 226, 117, 175, 234, 180, 78, 122, 193, 49, 92, 183, 100, 174, 180, 251, 138, 5, 43, 45, 219, 172, 57, 146, 216, 51, 47, 51, 31, 73, 51, 179, 214, 64, 13, 126, 158, 191, 192, 48, 7, 36, 163, 4, 71, 162, 142, 112, 23, 7, 254, 145, 116, 131, 244, 155, 26, 117, 229, 241, 221, 79, 97, 246, 246, 239, 126, 189, 97, 229, 186, 7, 251, 55, 81, 32, 108, 237, 20, 63, 253, 59, 26, 159, 21, 251, 222, 78, 214, 233, 23, 157, 68, 188, 9, 58, 165, 41, 65, 249, 75, 31, 181, 35, 9, 230, 152, 6, 30, 24, 169, 229, 88, 243, 143, 190, 194, 72, 83, 100, 64, 121, 243, 96, 140, 163, 212, 33, 117, 202, 111, 21, 125, 11, 228, 237, 66, 241, 138, 41, 11, 32, 128, 7, 103, 89, 250, 235, 247, 69, 231, 201, 93, 74, 38, 16, 21, 54, 106, 191, 85, 221, 223, 81, 126, 163, 243, 243, 175, 74, 161, 44, 35, 190, 14, 141, 62, 181, 28, 36, 222, 121, 206, 74, 80, 238, 165, 191, 250, 73, 245, 22, 243, 122, 209, 233, 209, 13, 167, 53, 231, 80, 113, 4, 172, 24, 91, 73, 188, 108, 134, 223, 161, 106, 80, 34, 113, 227, 57, 157, 154, 71, 228, 230, 137, 73, 108, 31, 199, 18, 241, 215, 138, 248, 229, 110, 121, 126, 195, 144, 212, 88, 42, 174, 42, 106, 126, 230, 208, 254, 8, 56, 199, 189, 198, 239, 23, 75, 116, 4, 180, 89, 200, 108, 200, 0, 29, 77, 114, 54, 151, 195, 87, 87, 116, 251, 122, 36, 175, 98, 130, 181, 137, 27, 199, 163, 14, 71, 51, 187, 50, 221, 230, 126, 7, 212, 113, 148, 255, 242, 174, 62, 218, 41, 238, 183, 72, 23, 106, 164, 98, 184, 78, 221, 23, 127, 204, 7, 95, 10, 122, 183, 109, 120, 108, 97, 169, 29, 107, 5, 143, 224, 161, 49, 198, 154, 162, 38, 226, 111, 149, 185, 126, 151, 186, 127, 127, 108, 48, 121, 35, 51, 68, 241, 105, 229, 5, 182, 215, 46, 188, 134, 16, 138, 120, 92, 67, 201, 137, 0, 32, 167, 213, 218, 86, 136, 80, 72, 216, 163, 137, 35, 159, 79, 14, 109, 169, 85, 233, 253, 215, 10, 109, 49, 165, 200, 235, 133, 226, 203, 58, 180, 33, 165, 143, 60, 136, 221, 45, 106, 77, 145, 63, 204, 7, 123, 71, 87, 183, 51, 163, 180, 59, 53, 91, 201, 211, 111, 29, 105, 220, 183, 178, 108, 161, 133, 92, 147, 62, 87, 179, 216, 225, 23, 73, 162, 50, 29, 155, 188, 81, 224, 7, 169, 64, 91, 19, 8, 110, 211, 201, 139, 160, 12, 207, 227, 39, 14, 70, 130, 39, 221, 35, 91, 216, 7, 171, 195, 80, 70, 212, 41, 32, 128, 175, 220, 199, 111, 49, 210, 245, 188, 191, 249, 115, 105, 255, 90, 76, 169, 119, 101, 251, 199, 239, 96, 31, 43, 69, 44, 165, 82, 111, 180, 155, 131, 185, 197, 255, 157, 47, 127, 253, 100, 246, 11, 213, 47, 241, 127, 40, 116, 31, 93, 50, 42, 108, 165, 147, 208, 133, 254, 18, 10, 121, 126, 94, 24, 187, 189, 152, 60, 222, 67, 47, 148, 211, 45, 56, 208, 98, 24, 102, 108, 133, 40, 112, 220, 229, 214, 254, 214, 166, 203, 38, 120, 136, 235, 160, 241, 181, 70, 89, 20, 219, 88, 105, 238, 140, 205, 57, 0, 217, 129, 1, 243, 236, 62, 181, 176, 171, 65, 249, 216, 206, 129, 85, 191, 236, 58, 214, 253, 53, 24, 243, 121, 110, 193, 34, 12, 127, 107, 61, 2, 249, 198, 25, 77, 247, 51, 88, 62, 195, 153, 109, 238, 4, 20, 228, 55, 245, 20, 33, 147, 201, 119, 37, 71, 174, 75, 223, 97, 0, 86, 178, 152, 219, 215, 93, 209, 75, 82, 56, 56, 192, 210, 194, 152, 95, 69, 244, 77, 71, 23, 207, 138, 15, 103, 236, 23, 15, 22, 44, 211, 215, 168, 177, 185, 12, 32, 232, 70, 153, 112, 84, 0, 144, 169, 129, 60, 44, 234, 17, 57, 193, 113, 56, 212, 46, 124, 24, 88, 255, 224, 171, 63, 175, 46, 156, 79, 46, 201, 117, 32, 143, 117, 255, 226, 214, 14, 203, 68, 203, 231, 185, 149, 2, 30, 200, 13, 232, 179, 111, 187, 130, 112, 123, 170, 211, 207, 113, 25, 242, 63, 238, 168, 96, 116, 20, 225, 5, 231, 237, 54, 184, 112, 83, 175, 63, 132, 208, 207, 115, 205, 250, 105, 47, 50, 185, 199, 48, 251, 237, 151, 18, 53, 48, 51, 15, 86, 167, 231, 244, 21, 17, 90, 209, 128, 235, 135, 160, 194, 251, 191, 37, 101, 146, 176, 72, 43, 19, 145, 192, 172, 36, 136, 123, 136, 250, 219, 87, 247, 121, 148, 79, 32, 138, 115, 171, 5, 164, 44, 224, 102, 106, 142, 26, 18, 16, 26, 20, 151, 95, 11, 191, 42, 107, 203, 188, 12, 251, 106, 113, 147, 181, 135, 223, 154, 20, 202, 237, 147, 78, 117, 221, 40, 48, 11, 60, 180, 173, 111, 52, 28, 222, 43, 94, 120, 250, 197, 154, 122, 171, 205, 147, 221, 117, 255, 174, 50, 193, 48, 192, 247, 107, 107, 44, 251, 145, 149, 193, 94, 222, 196, 16, 27, 128, 11, 90, 73, 80, 231, 238, 209, 107, 6, 220, 252, 17, 175, 78, 29, 205, 144, 131, 8, 193, 105, 30, 52, 177, 173, 194, 118, 31, 174, 133, 235, 157, 94, 29, 18, 43, 238, 126, 239, 250, 31, 211, 160, 78, 48, 23, 254, 195, 85, 122, 241, 49, 232, 137, 121, 82, 87, 175, 246, 51, 120, 198, 204, 242, 214, 247, 65, 147, 238, 94, 107, 237, 220, 40, 111, 78, 34, 206, 78, 252, 95, 50, 214, 173, 82, 40, 103, 206, 122, 28, 115, 76, 98, 74, 11, 99, 255, 158, 115, 178, 136, 165, 169, 39, 39, 43, 33, 210, 225, 26, 105, 152, 40, 60, 98, 235, 171, 198, 228, 90, 161, 144, 37, 104, 127, 127, 128, 43, 59, 214, 236, 216, 13, 203, 82, 26, 97, 5, 56, 240, 146, 88, 158, 102, 132, 241, 56, 179, 54, 30, 83, 167, 117, 235, 209, 96, 255, 38, 72, 74, 100, 51, 34, 244, 68, 84, 69, 137, 97, 106, 233, 204, 133, 90, 116, 17, 96, 145, 234, 224, 204, 137, 53, 85, 236, 191, 64, 199, 192, 88, 234, 133, 11, 184, 143, 170, 107, 87, 122, 119, 240, 183, 241, 156, 13, 96, 71, 99, 45, 151, 166, 88, 232, 191, 134, 233, 243, 114, 64, 96, 48, 159, 53, 164, 55, 213, 186, 203, 143, 103, 248, 9, 237, 196, 115, 192, 54, 136, 183, 186, 215, 160, 243, 87, 91, 185, 8, 168, 149, 63, 243, 88, 42, 152, 160, 168, 67, 154, 53, 198, 252, 94, 255, 250, 121, 168, 88, 179, 122, 36, 127, 114, 119, 178, 254, 189, 241, 250, 45, 98, 107, 47, 83, 45, 122, 168, 49, 43, 129, 183, 164, 250, 241, 229, 4, 64, 95, 220, 220, 184, 151, 185, 199, 227, 99, 3, 151, 21, 33, 73, 171, 34, 154, 51, 121, 25, 251, 213, 144, 129, 32, 131, 186, 101, 63, 234, 40, 230, 242, 229, 155, 66, 203, 214, 208, 221, 81, 199, 40, 32, 68, 140, 245, 81, 108, 237, 28, 62, 82, 184, 59, 83, 204, 91, 165, 175, 244, 5, 38, 231, 177, 251, 160, 110, 197, 7, 105, 186, 17, 176, 48, 91, 177, 189, 134, 43, 106, 97, 251, 12, 77, 97, 169, 154, 159, 134, 51, 153, 220, 140, 117, 239, 169, 53, 211, 96, 92, 158, 87, 0, 147, 219, 59, 52, 119, 36, 123, 243, 170, 21, 115, 15, 19, 160, 190, 227, 73, 253, 123, 48, 23, 92, 157, 140, 128, 60, 97, 247, 120, 253, 49, 97, 154, 77, 190, 139, 185, 113, 162, 193, 78, 233, 74, 136, 48, 250, 187, 139, 56, 88, 58, 101, 184, 255, 145, 73, 175, 87, 13, 199, 20, 110, 236, 191, 173, 245, 174, 63, 78, 143, 0, 105, 109, 252, 189, 111, 51, 245, 61, 149, 14, 152, 135, 30, 173, 164, 161, 186, 138, 53, 239, 181, 162, 91, 53, 237, 164, 91, 183, 154, 129, 211, 190, 111, 236, 207, 128, 100, 52, 36, 172, 208, 4, 250, 206, 121, 101, 243, 9, 237, 149, 9, 83, 186, 32, 184, 165, 58, 168, 105, 253, 228, 100, 108, 44, 55, 101, 250, 151, 244, 185, 230, 195, 234, 152, 9, 174, 241, 228, 77, 193, 99, 95, 52, 211, 71, 162, 149, 3, 208, 251, 43, 4, 243, 75, 203, 183, 255, 207, 10, 224, 155, 211, 147, 210, 72, 209, 38, 103, 223, 212, 151, 51, 182, 167, 214, 77, 152, 172, 104, 187, 13, 221, 94, 139, 10, 64, 75, 183, 208, 167, 26, 72, 102, 122, 203, 70, 22, 177, 172, 13, 106, 44, 39, 233, 4, 159, 88, 188, 85, 241, 207, 117, 129, 238, 160, 186, 0, 254, 86, 119, 176, 37, 73, 179, 167, 242, 143, 232, 146, 149, 208, 232, 64, 6, 209, 174, 96, 123, 212, 131, 205, 155, 162, 94, 169, 65, 198, 212, 34, 154, 244, 29, 109, 5, 100, 187, 201, 179, 221, 254, 111, 182, 132, 125, 190, 117, 170, 19, 29, 8, 153, 43, 43, 201, 105, 148, 228, 239, 212, 33, 85, 113, 28, 93, 64, 100, 241, 103, 71, 172, 178, 42, 123, 195, 82, 172, 79, 191, 186, 136, 75, 60, 98, 171, 223, 233, 224, 149, 78, 57, 202, 43, 244, 28, 193, 167, 176, 139, 102, 11, 211, 121, 218, 229, 113, 251, 169, 140, 23, 10, 139, 70, 85, 42, 62, 237, 56, 103, 60, 6, 158, 216, 122, 185, 237, 16, 139, 5, 122, 161, 86, 45, 190, 0, 25, 246, 249, 5, 113, 51, 127, 141, 109, 248, 255, 125, 229, 107, 81, 111, 255, 21, 81, 188, 105, 210, 60, 171, 107, 91, 68, 19, 116, 80, 204, 60, 145, 80, 157, 186, 58, 15, 140, 71, 127, 94, 158, 68, 255, 205, 234, 130, 214, 223, 106, 151, 183, 236, 227, 41, 108, 73, 162, 154, 191, 28, 146, 38, 194, 157, 55, 31, 248, 95, 223, 242, 251, 194, 202, 35, 109, 242, 43, 139, 20, 204, 227, 32, 148, 81, 140, 38, 117, 8, 148, 77, 248, 200, 223, 164, 74, 134, 153, 192, 39, 167, 236, 61, 54, 198, 52, 70, 132, 223, 247, 31, 254, 63, 42, 94, 27, 28, 168, 218, 169, 13, 126, 186, 236, 161, 39, 94, 39, 75, 164, 126, 198, 253, 177, 11, 8, 6, 106, 22, 162, 81, 149, 194, 240, 144, 146, 192, 73, 133, 178, 165, 44, 225, 92, 65, 120, 119, 174, 161, 179, 146, 158, 198, 134, 5, 140, 20, 95, 236, 169, 105, 188, 235, 96, 99, 3, 121, 83, 151, 1, 160, 36, 142, 39, 219, 218, 39, 156, 98, 133, 23, 196, 137, 127, 88, 209, 113, 175, 196, 66, 170, 226, 28, 22, 195, 151, 242, 26, 223, 167, 180, 105, 168, 131, 105, 198, 151, 165, 176, 172, 182, 82, 159, 212, 219, 128, 28, 153, 13, 131, 140, 28, 222, 248, 70, 163, 81, 161, 42, 216, 62, 179, 69, 98, 229, 251, 160, 89, 49, 49, 141, 255, 73, 92, 54, 166, 44, 120, 99, 62, 77, 33, 190, 130, 69, 230, 12, 208, 35, 155, 113, 217, 74, 66, 82, 49, 159, 235, 146, 238, 91, 107, 183, 74, 181, 4, 184, 19, 26, 142, 227, 65, 143, 204, 134, 20, 137, 40, 56, 190, 104, 64, 166, 226, 55, 85, 50, 252, 153, 128, 42, 65, 151, 96, 215, 142, 117, 27, 90, 131, 42, 157, 231, 222, 114, 171, 39, 213, 117, 149, 143, 158, 181, 174, 173, 155, 206, 14, 219, 83, 40, 215, 72, 49, 207, 78, 236, 162, 31, 216, 51, 205, 214, 224, 237, 37, 67, 38, 40, 197, 22, 65, 174, 251, 247, 142, 42, 253, 153, 152, 183, 82, 142, 132, 151, 251, 112, 136, 184, 108, 206, 232, 214, 24, 79, 107, 169, 87, 236, 18, 2, 5, 237, 50, 180, 221, 94, 9, 61, 106, 124, 231, 98, 138, 186, 183, 114, 129, 78, 177, 84, 165, 129, 200, 123, 82, 203, 115, 164, 187, 96, 130, 104, 234, 13, 135, 191, 20, 113, 214, 240, 14, 39, 19, 16, 236, 22, 196, 115, 150, 210, 14, 84, 163, 211, 1, 147, 179, 211, 179, 253, 38, 179, 243, 243, 237, 4, 177, 0, 207, 178, 191, 96, 202, 19, 175, 115, 25, 44, 208, 147, 53, 143, 61, 6, 36, 128, 145, 19, 211, 114, 212, 208, 23, 99, 45, 117, 236, 48, 230, 155, 76, 189, 252, 12, 66, 235, 75, 93, 87, 80, 150, 112, 210, 42, 150, 228, 187, 128, 178, 151, 145, 242, 9, 56, 182, 73, 151, 228, 64, 64, 181, 63, 221, 216, 29, 227, 225, 102, 92, 189, 84, 91, 227, 181, 208, 29, 77, 106, 101, 75, 228, 220, 245, 172, 113, 203, 253, 96, 54, 147, 186, 142, 229, 60, 37, 181, 66, 116, 118, 244, 12, 82, 232, 40, 229, 185, 241, 81, 16, 243, 144, 38, 66, 91, 47, 138, 71, 24, 130, 144, 174, 249, 60, 44, 49, 174, 195, 17, 200, 100, 133, 225, 210, 234, 195, 253, 135, 188, 143, 238, 145, 145, 226, 222, 65, 171, 149, 116, 148, 148, 185, 17, 90, 184, 13, 130, 204, 115, 59, 103, 244, 45, 132, 125, 187, 18, 181, 52, 136, 79, 28, 129, 70, 144, 231, 22, 108, 184, 208, 223, 123, 98, 145, 189, 170, 83, 228, 191, 98, 21, 30, 107, 179, 126, 124, 196, 138, 160, 113, 81, 59, 168, 135, 238, 240, 80, 91, 151, 214, 193, 247, 104, 203, 108, 118, 135, 198, 31, 174, 232, 109, 212, 138, 107, 136, 152, 108, 75, 90, 56, 11, 22, 248, 48, 129, 247, 148, 76, 41, 174, 1, 192, 152, 105, 167, 38, 177, 172, 208, 222, 139, 93, 97, 142, 27, 141, 52, 240, 28, 186, 95, 98, 46, 89, 221, 27, 236, 178, 2, 112, 146, 216, 140, 100, 149, 167, 2, 60, 47, 106, 179, 67, 131, 226, 104, 22, 149, 85, 9, 73, 120, 166, 213, 220, 223, 206, 185, 71, 226, 50, 43, 242, 39, 85, 246, 145, 207, 31, 175, 210, 231, 110, 186, 116, 168, 51, 92, 45, 219, 105, 246, 241, 57, 208, 149, 94, 14, 33, 239, 206, 218, 24, 176, 210, 101, 13, 73, 253, 172, 146, 20, 194, 195, 192, 211, 94, 135, 173, 61, 141, 6, 178, 65, 60, 177, 19, 131, 68, 128, 201, 253, 175, 23, 234, 214, 213, 71, 128, 38, 47, 222, 1, 163, 151, 36, 214, 137, 136, 114, 86, 173, 81, 11, 66, 253, 237, 222, 104, 19, 240, 105, 78, 177, 135, 251, 29, 117, 205, 176, 204, 92, 232, 228, 137, 1, 247, 84, 141, 90, 250, 20, 3, 148, 69, 98, 139, 219, 187, 4, 242, 163, 141, 241, 4, 69, 214, 83, 19, 94, 90, 136, 206, 194, 201, 148, 237, 224, 65, 170, 186, 222, 242, 112, 36, 51, 155, 63, 152, 101, 166, 79, 11, 64, 167, 214, 13, 226, 129, 30, 69, 162, 165, 133, 51, 16, 147, 172, 70, 127, 38, 143, 253, 186, 0, 180, 250, 132, 212, 22, 168, 41, 208, 173, 20, 185, 66, 155, 158, 121, 154, 4, 226, 180, 218, 216, 30, 167, 202, 1, 114, 134, 205, 110, 164, 180, 46, 54, 81, 66, 224, 246, 17, 83, 209, 180, 144, 207, 160, 194, 187, 52, 13, 235, 193, 132, 45, 4, 126, 119, 146, 41, 5, 219, 181, 20, 109, 137, 166, 174, 201, 14, 157, 191, 0, 22, 105, 88, 167, 170, 247, 115, 254, 58, 29, 151, 239, 46, 80, 116, 210, 103, 57, 70, 192, 162, 255, 127, 242, 198, 233, 215, 216, 35, 252, 39, 205, 239, 114, 22, 247, 71, 64, 119, 196, 89, 248, 230, 144, 251, 31, 113, 117, 111, 65, 122, 140, 78, 56, 117, 147, 247, 1, 130, 52, 59, 71, 7, 255, 22, 174, 26, 247, 226, 65, 134, 8, 175, 188, 140, 32, 111, 188, 160, 22, 229, 115, 124, 144, 167, 190, 179, 170, 40, 28, 59, 92, 238, 36, 63, 5, 10, 85, 73, 193, 212, 14, 246, 21, 128, 155, 187, 147, 27, 139, 61, 203, 96, 122, 219, 251, 205, 221, 153, 128, 136, 158, 101, 147, 100, 73, 37, 83, 149, 226, 158, 209, 81, 170, 47, 188, 154, 211, 173, 175, 44, 34, 137, 138, 78, 17, 34, 58, 191, 26, 217, 179, 24, 84, 127, 173, 199, 226, 49, 208, 79, 112, 255, 139, 120, 63, 142, 143, 126, 61, 157, 232, 115, 212, 82, 126, 85, 80, 16, 74, 201, 154, 15, 59, 165, 53, 70, 0, 238, 172, 137, 108, 94, 15, 18, 90, 125, 190, 22, 21, 144, 0, 104, 194, 6, 190, 103, 198, 141, 181, 171, 202, 16, 1, 190, 70, 72, 228, 94, 65, 194, 77, 197, 208, 155, 91, 24, 189, 90, 32, 125, 83, 208, 242, 192, 187, 114, 39, 101, 233, 91, 66, 248, 242, 124, 75, 72, 65, 157, 182, 205, 141, 11, 63, 91, 235, 215, 212, 118, 29, 213, 105, 114, 93, 86, 210, 225, 151, 39, 55, 84, 101, 123, 174, 10, 3, 196, 141, 49, 71, 190, 207, 246, 142, 187, 141, 188, 103, 134, 193, 104, 113, 222, 104, 130, 232, 198, 174, 17, 96, 7, 193, 116, 119, 182, 185, 79, 98, 9, 89, 235, 139, 231, 196, 83, 103, 73, 110, 199, 116, 122, 144, 158, 180, 43, 68, 145, 129, 40, 177, 121, 245, 133, 9, 218, 143, 93, 250, 80, 214, 206, 153, 108, 144, 106, 39, 48, 241, 133, 210, 103, 27, 238, 95, 69, 77, 107, 175, 73, 152, 48, 121, 61, 84, 98, 170, 74, 68, 67, 150, 91, 11, 113, 149, 53, 57, 78, 95, 15, 21, 176, 132, 42, 68, 158, 244, 182, 208, 235, 206, 42, 145, 189, 20, 5, 30, 70, 64, 110, 192, 142, 175, 253, 250, 231, 53, 154, 166, 43, 146, 127, 80, 161, 159, 6, 42, 60, 118, 94, 148, 82, 105, 176, 114, 192, 244, 221, 243, 196, 143, 47, 85, 205, 43, 47, 140, 30, 178, 254, 102, 158, 254, 66, 210, 150, 151, 237, 110, 32, 96, 24, 236, 95, 251, 121, 143, 75, 154, 96, 240, 181, 129, 40, 184, 244, 200, 214, 151, 245, 66, 87, 48, 183, 55, 44, 67, 68, 123, 101, 122, 248, 224, 215, 231, 145, 23, 170, 237, 187, 255, 213, 45, 21, 88, 70, 50, 115, 246, 203, 111, 215, 136, 57, 16, 224, 206, 92, 45, 6, 144, 16, 13, 64, 60, 24, 168, 8, 90, 215, 237, 50, 4, 67, 175, 255, 169, 55, 196, 75, 130, 249, 19, 50, 47, 126, 143, 237, 7, 83, 2, 209, 190, 140, 62, 212, 4, 66, 154, 96, 148, 57, 34, 217, 107, 44, 129, 43, 169, 145, 202, 47, 179, 210, 136, 214, 108, 213, 223, 198, 203, 115, 204, 229, 115, 40, 109, 145, 47, 150, 76, 89, 218, 211, 39, 12, 201, 175, 103, 103, 129, 109, 119, 62, 169, 185, 54, 147, 134, 200, 188, 174, 202, 252, 13, 17, 67, 251, 129, 209, 51, 149, 141, 197, 21, 13, 22, 113, 83, 23, 115, 93, 203, 34, 233, 47, 122, 237, 201, 67, 136, 250, 250, 117, 8, 106, 104, 37, 213, 154, 7, 135, 123, 244, 47, 5, 237, 216, 85, 31, 108, 174, 31, 158, 183, 121, 204, 25, 240, 210, 153, 185, 231, 38, 68, 156, 204, 141, 64, 128, 109, 124, 246, 146, 43, 205, 204, 130, 149, 8, 78, 82, 242, 171, 124, 182, 35, 220, 137, 138, 78, 222, 127, 44, 134, 164, 123, 205, 62, 156, 43, 208, 19, 182, 251, 53, 158, 34, 85, 101, 104, 68, 177, 70, 128, 232, 168, 220, 242, 139, 137, 7, 225, 11, 252, 249, 221, 124, 30, 213, 130, 154, 139, 54, 237, 112, 211, 162, 114, 251, 218, 199, 214, 37, 19, 108, 75, 214, 108, 7, 98, 216, 43, 255, 163, 203, 170, 107, 154, 64, 5, 235, 69, 164, 239, 48, 122, 158, 32, 146, 77, 9, 163, 207, 245, 190, 237, 55, 218, 89, 55, 242, 149, 107, 138, 84, 110, 211, 137, 214, 193, 153, 161, 202, 175, 126, 12, 48, 22, 219, 92, 148, 251, 25, 13, 240, 137, 211, 39, 226, 31, 123, 127, 100, 95, 8, 198, 215, 4, 250, 50, 87, 108, 35, 184, 66, 109, 67, 68, 225, 149, 107, 239, 207, 82, 87, 147, 146, 136, 49, 118, 67, 87, 185, 39, 228, 170, 109, 68, 118, 100, 35, 27, 124, 49, 75, 83, 17, 42, 208, 115, 224, 204, 174, 2, 66, 236, 190, 24, 77, 180, 63, 4, 198, 255, 146, 18, 96, 73, 111, 108, 37, 180, 181, 217, 246, 111, 62, 211, 218, 197, 200, 83, 79, 246, 157, 139, 105, 12, 21, 199, 93, 118, 225, 176, 190, 199, 41, 105, 239, 126, 27, 174, 200, 188, 15, 208, 161, 217, 193, 40, 42, 53, 176, 221, 136, 106, 246, 137, 67, 77, 201, 46, 58, 255, 89, 81, 198, 212, 218, 19, 176, 167, 141, 145, 252, 234, 150, 153, 6, 186, 226, 137, 141, 228, 206, 28, 37, 50, 208, 240, 155, 107, 171, 184, 64, 144, 146, 214, 156, 172, 208, 12, 78, 137, 174, 188, 162, 129, 43, 29, 76, 80, 6, 182, 123, 218, 58, 162, 108, 97, 72, 97, 39, 63, 29, 93, 49, 20, 225, 155, 109, 251, 73, 197, 34, 118, 67, 149, 6, 13, 201, 70, 101, 95, 194, 216, 198, 255, 87, 69, 29, 141, 123, 226, 111, 123, 16, 238, 185, 150, 60, 250, 167, 1, 110, 111, 124, 100, 119, 113, 46, 216, 196, 67, 77, 175, 88, 2, 168, 238, 251, 170, 135, 201, 118, 249, 95, 117, 221, 147, 26, 222, 233, 17, 146, 122, 176, 16, 44, 119, 37, 86, 107, 191, 63, 205, 216, 196, 225, 170, 231, 66, 195, 35, 173, 25, 228, 166, 219, 229, 202, 15, 89, 45, 219, 66, 212, 23, 189, 142, 244, 99, 217, 180, 4, 174, 180, 176, 148, 198, 192, 83, 66, 47, 91, 197, 175, 181, 235, 46, 237, 167, 211, 33, 21, 175, 189, 129, 35, 3, 13, 44, 209, 115, 7, 83, 63, 146, 219, 204, 16, 241, 139, 232, 159, 77, 30, 171, 178, 42, 139, 26, 252, 5, 72, 8, 47, 232, 157, 53, 115, 80, 213, 216, 85, 146, 237, 151, 210, 90, 214, 139, 233, 161, 210, 158, 229, 98, 41, 123, 63, 43, 154, 103, 172, 21, 100, 86, 69, 37, 53, 111, 109, 218, 61, 85, 154, 129, 233, 7, 252, 197, 223, 107, 236, 65, 149, 197, 105, 219, 95, 138, 59, 252, 57, 147, 70, 121, 86, 245, 143, 53, 50, 67, 255, 113, 18, 195, 202, 180, 162, 101, 252, 245, 183, 102, 169, 168, 114, 88, 32, 155, 18, 228, 184, 62, 215, 90, 49, 202, 215, 171, 175, 53, 129, 31, 8, 195, 52, 41, 44, 153, 120, 232, 253, 56, 89, 211, 129, 72, 85, 139, 216, 110, 112, 7, 144, 78, 92, 181, 20, 64, 187, 41, 217, 41, 154, 181, 105, 65, 239, 60, 229, 232, 160, 191, 66, 183, 60, 50, 224, 64, 225, 52, 50, 110, 40, 195, 73, 81, 46, 101, 15, 226, 167, 134, 38, 85, 87, 1, 156, 161, 138, 161, 24, 225, 201, 3, 86, 95, 68, 205, 204, 46, 103, 71, 234, 202, 147, 170, 193, 238, 8, 214, 66, 54, 161, 120, 16, 108, 159, 43, 143, 207, 41, 80, 181, 168, 145, 126, 129, 233, 216, 130, 129, 25, 45, 21, 2, 195, 213, 53, 105, 238, 43, 44, 251, 136, 44, 126, 1, 247, 229, 15, 45, 5, 224, 130, 153, 105, 251, 182, 22, 182, 150, 252, 151, 86, 34, 159, 243, 116, 111, 105, 255, 250, 28, 175, 37, 136, 116, 207, 112, 64, 118, 142, 75, 121, 155, 190, 69, 176, 101, 37, 157, 200, 110, 24, 168, 127, 126, 185, 169, 206, 205, 232, 79, 180, 163, 190, 200, 221, 20, 110, 180, 117, 118, 91, 222, 190, 145, 181, 69, 80, 156, 104, 245, 16, 58, 40, 169, 216, 105, 4, 120, 100, 5, 119, 17, 43, 71, 254, 128, 24, 250, 5, 40, 31, 170, 1, 202, 64, 70, 173, 23, 0, 10, 43, 57, 18, 53, 12, 60, 228, 75, 251, 100, 58, 194, 182, 171, 92, 186, 98, 32, 85, 209, 90, 28, 108, 74, 191, 21, 193, 23, 69, 113, 63, 174, 196, 109, 59, 90, 77, 63, 220, 157, 2, 199, 46, 51, 239, 60, 214, 7, 147, 31, 173, 73, 207, 230, 84, 111, 13, 167, 75, 119, 220, 26, 139, 171, 176, 132, 49, 159, 95, 196, 115, 37, 224, 40, 55, 228, 24, 24, 181, 106, 134, 242, 145, 156, 55, 251, 168, 60, 213, 202, 240, 192, 63, 71, 41, 33, 155, 234, 35, 167, 22, 54, 65, 45, 26, 64, 141, 202, 199, 101, 51, 63, 31, 128, 240, 227, 209, 191, 75, 5, 204, 141, 174, 75, 65, 133, 219, 83, 60, 38, 221, 228, 72, 43, 246, 112, 164, 103, 169, 27, 164, 228, 170, 201, 6, 85, 43, 61, 158, 118, 208, 102, 178, 236, 1, 97, 111, 220, 55, 165, 244, 169, 156, 186, 236, 157, 124, 11, 255, 28, 33, 216, 107, 45, 251, 5, 209, 31, 17, 167, 96, 183, 236, 102, 115, 38, 173, 63, 57, 126, 194, 132, 86, 25, 16, 116, 148, 209, 230, 18, 186, 243, 227, 135, 185, 173, 51, 244, 88, 29, 113, 149, 237, 199, 169, 193, 11, 34, 229, 113, 182, 159, 52, 56, 176, 176, 202, 142, 176, 67, 119, 52, 205, 133, 14, 97, 88, 123, 180, 49, 159, 189, 203, 240, 35, 176, 85, 12, 103, 80, 8, 8, 112, 239, 9, 112, 35, 43, 47, 73, 171, 233, 31, 236, 183, 219, 123, 107, 113, 185, 3, 77, 82, 34, 101, 202, 147, 119, 80, 230, 112, 218, 173, 99, 17, 68, 147, 192, 213, 221, 119, 95, 112, 187, 121, 115, 147, 189, 243, 59, 152, 177, 151, 81, 66, 172, 210, 64, 158, 218, 224, 232, 89, 245, 190, 179, 62, 8, 189, 224, 204, 11, 243, 12, 61, 161, 188, 217, 194, 42, 175, 152, 116, 44, 123, 117, 98, 56, 158, 129, 194, 22, 118, 229, 78, 188, 202, 255, 254, 29, 73, 186, 159, 242, 161, 175, 255, 230, 214, 75, 101, 134, 13, 115, 175, 128, 167, 229, 22, 184, 192, 139, 109, 127, 64, 0, 151, 93, 227, 218, 21, 228, 173, 112, 70, 35, 145, 149, 98, 10, 81, 74, 251, 104, 117, 179, 234, 98, 232, 165, 214, 204, 40, 219, 63, 9, 162, 165, 186, 121, 85, 238, 135, 127, 134, 208, 73, 57, 190, 61, 73, 64, 218, 181, 236, 155, 62, 142, 46, 81, 74, 157, 252, 79, 153, 71, 70, 23, 88, 207, 66, 161, 203, 110, 154, 47, 132, 60, 238, 117, 145, 127, 210, 248, 241, 56, 63, 135, 176, 181, 16, 186, 33, 208, 147, 218, 163, 148, 74, 221, 157, 4, 107, 209, 89, 99, 97, 121, 182, 204, 162, 10, 175, 88, 164, 168, 101, 62, 32, 27, 150, 44, 75, 135, 205, 131, 87, 193, 241, 79, 44, 135, 203, 172, 6, 167, 229, 137, 96, 253, 224, 179, 160, 191, 237, 252, 58, 14, 39, 127, 14, 186, 51, 115, 174, 212, 202, 5, 192, 15, 144, 63, 65, 158, 167, 182, 168, 142, 150, 76, 108, 240, 6, 131, 253, 45, 247, 138, 156, 189, 226, 117, 236, 165, 143, 197, 15, 48, 16, 87, 164, 65, 119, 16, 64, 126, 127, 200, 24, 135, 65, 99, 163, 210, 203, 166, 110, 46, 3, 233, 221, 207, 83, 225, 106, 92, 233, 49, 237, 35, 202, 6, 88, 115, 160, 208, 242, 23, 22, 58, 138, 182, 121, 2, 247, 218, 95, 63, 239, 93, 67, 244, 164, 67, 205, 170, 49, 95, 51, 70, 23, 179, 36, 65, 248, 22, 95, 129, 21, 64, 72, 47, 238, 90, 61, 131, 50, 79, 147, 29, 122, 45, 13, 37, 150, 149, 114, 241, 69, 100, 42, 17, 110, 170, 247, 62, 143, 168, 145, 39, 52, 170, 31, 172, 147, 163, 208, 215, 122, 242, 119, 85, 109, 49, 232, 84, 90, 143, 131, 115, 170, 225, 8, 79, 214, 13, 84, 63, 41, 218, 245, 242, 183, 213, 177, 113, 131, 56, 100, 162, 207, 246, 30, 193, 42, 229, 172, 24, 92, 112, 229, 89, 9, 34, 249, 51, 200, 64, 219, 94, 75, 115, 6, 169, 144, 216, 124, 150, 246, 43, 113, 169, 95, 155, 135, 75, 2, 97, 61, 56, 116, 251, 75, 15, 231, 137, 63, 151, 224, 222, 43, 170, 126, 155, 44, 111, 135, 184, 221, 23, 48, 166, 241, 162, 21, 98, 158, 151, 113, 219, 177, 237, 209, 144, 9, 130, 170, 12, 61, 97, 132, 68, 40, 2, 237, 76, 87, 143, 161, 93, 156, 231, 224, 255, 101, 231, 157, 235, 94, 54, 98, 115, 42, 209, 168, 61, 183, 237, 210, 218, 4, 148, 188, 57, 33, 18, 37, 73, 138, 172, 1, 51, 88, 230, 35, 96, 111, 150, 225, 173, 155, 137, 16, 115, 95, 7, 2, 55, 55, 43, 125, 145, 161, 11, 74, 81, 19, 61, 148, 17, 104, 14, 17, 132, 38, 229, 229, 126, 226, 137, 181, 149, 40, 122, 132, 231, 161, 229, 169, 228, 180, 242, 227, 251, 206, 153, 56, 118, 50, 143, 160, 99, 248, 9, 98, 103, 229, 197, 143, 231, 24, 159, 192, 89, 175, 16, 125, 244, 133, 63, 67, 120, 118, 248, 47, 67, 11, 195, 163, 8, 119, 22, 165, 128, 165, 84, 55, 108, 170, 239, 171, 17, 61, 244, 4, 92, 98, 121, 226, 172, 19, 250, 53, 155, 200, 125, 130, 77, 18, 128, 250, 188, 37, 197, 177, 153, 143, 86, 70, 43, 30, 93, 165, 28, 114, 161, 102, 0, 94, 170, 99, 10, 123, 6, 251, 78, 197, 241, 140, 249, 95, 175, 178, 151, 110, 120, 228, 245, 253, 146, 207, 148, 117, 54, 185, 116, 202, 166, 34, 119, 142, 215, 100, 236, 42, 187, 112, 4, 16, 244, 93, 78, 172, 39, 223, 115, 23, 139, 8, 80, 135, 115, 241, 243, 58, 143, 75, 87, 134, 157, 36, 104, 28, 142, 125, 140, 75, 40, 112, 119, 191, 231, 166, 159, 201, 239, 199, 118, 13, 41, 240, 171, 33, 208, 118, 96, 33, 231, 210, 255, 250, 217, 144, 42, 115, 190, 135, 88, 197, 185, 34, 203, 4, 136, 12, 213, 250, 169, 159, 180, 174, 46, 103, 135, 240, 159, 223, 19, 165, 93, 76, 132, 171, 246, 99, 123, 248, 136, 40, 98, 48, 86, 124, 120, 161, 68, 225, 175, 206, 71, 49, 99, 78, 0, 91, 26, 184, 80, 9, 113, 216, 155, 194, 74, 102, 68, 45, 44, 57, 179, 22, 160, 61, 94, 21, 188, 127, 198, 47, 255, 190, 90, 85, 116, 234, 9, 115, 27, 18, 253, 33, 119, 204, 10, 69, 58, 171, 12, 15, 116, 213, 178, 15, 139, 138, 188, 46, 161, 66, 156, 150, 95, 191, 4, 96, 242, 125, 69, 166, 30, 69, 8, 135, 228, 13, 59, 23, 39, 185, 95, 191, 45, 17, 210, 204, 4, 220, 12, 206, 7, 40, 38, 183, 183, 120, 195, 183, 199, 35, 253, 125, 226, 126, 194, 115, 114, 50, 231, 31, 22, 232, 203, 38, 135, 173, 26, 235, 16, 170, 205, 235, 8, 36, 109, 69, 249, 168, 172, 101, 199, 84, 130, 102, 170, 104, 90, 149, 78, 209, 171, 76, 14, 51, 209, 173, 247, 134, 189, 174, 74, 135, 209, 159, 162, 58, 85, 156, 254, 111, 189, 30, 95, 163, 179, 54, 143, 7, 164, 122, 178, 108, 182, 40, 58, 155, 85, 69, 70, 138, 114, 137, 173, 204, 8, 56, 224, 234, 235, 129, 129, 250, 133, 73, 246, 181, 55, 242, 248, 167, 73, 179, 239, 161, 135, 198, 46, 7, 224, 216, 219, 179, 144, 172, 87, 160, 17, 168, 63, 251, 98, 203, 174, 64, 214, 254, 28, 115, 153, 23, 255, 233, 239, 242, 217, 206, 61, 135, 244, 59, 89, 190, 45, 112, 253, 253, 242, 251, 252, 239, 143, 252, 211, 182, 107, 149, 150, 11, 196, 16, 69, 158, 76, 202, 196, 108, 69, 248, 250, 90, 37, 74, 178, 114, 40, 88, 30, 208, 147, 245, 120, 28, 32, 138, 89, 197, 125, 8, 157, 126, 32, 159, 218, 33, 239, 27, 199, 87, 195, 197, 92, 215, 32, 140, 242, 48, 67, 104, 135, 35, 213, 244, 173, 231, 63, 57, 232, 159, 109, 221, 215, 161, 40, 38, 88, 151, 183, 82, 197, 26, 8, 200, 202, 145, 92, 238, 246, 202, 234, 154, 198, 76, 234, 20, 101, 172, 101, 141, 165, 165, 131, 190, 50, 158, 38, 42, 188, 52, 61, 9, 181, 31, 237, 147, 120, 57, 125, 14, 213, 229, 230, 53, 253, 4, 77, 199, 95, 92, 113, 116, 217, 135, 209, 138, 6, 147, 146, 220, 131, 61, 195, 185, 223, 211, 34, 161, 1, 216, 27, 21, 20, 77, 122, 25, 149, 202, 195, 8, 2, 73, 124, 182, 210, 142, 3, 177, 214, 40, 133, 62, 138, 5, 201, 116, 56, 121, 200, 53, 123, 241, 196, 239, 253, 61, 72, 139, 92, 58, 204, 101, 9, 203, 99, 166, 196, 114, 119, 43, 34, 72, 165, 11, 213, 141, 104, 161, 216, 38, 252, 135, 32, 203, 76, 79, 13, 98, 131, 120, 142, 38, 134, 86, 35, 162, 39, 31, 12, 209, 31, 216, 95, 214, 6, 90, 137, 174, 233, 4, 88, 94, 29, 23, 160, 137, 107, 128, 115, 181, 193, 235, 183, 124, 106, 159, 28, 208, 24, 120, 130, 178, 202, 21, 9, 9, 34, 143, 222, 209, 143, 42, 161, 216, 210, 148, 97, 247, 207, 57, 164, 86, 72, 133, 86, 74, 161, 23, 217, 129, 153, 19, 31, 80, 117, 221, 24, 53, 102, 105, 97, 75, 204, 129, 112, 218, 22, 197, 166, 14, 125, 88, 106, 13, 236, 51, 37, 208, 156, 244, 45, 182, 243, 14, 174, 62, 130, 119, 236, 250, 196, 46, 79, 228, 13, 194, 31, 30, 238, 90, 220, 185, 255, 122, 44, 65, 89, 241, 111, 250, 109, 209, 252, 217, 155, 217, 227, 156, 30, 233, 236, 119, 183, 254, 148, 59, 250, 173, 233, 225, 95, 233, 144, 165, 27, 154, 28, 142, 124, 17, 40, 244, 64, 124, 28, 111, 238, 218, 108, 48, 191, 17, 37, 248, 147, 140, 150, 200, 64, 125, 151, 142, 216, 85, 217, 231, 240, 11, 196, 198, 152, 179, 23, 107, 255, 104, 67, 164, 18, 245, 83, 32, 88, 173, 132, 32, 126, 89, 114, 115, 218, 182, 220, 212, 37, 149, 166, 111, 40, 22, 58, 209, 200, 247, 177, 229, 244, 52, 226, 144, 158, 236, 100, 13, 36, 98, 12, 217, 239, 228, 19, 155, 166, 46, 197, 135, 254, 107, 44, 187, 58, 126, 122, 174, 184, 172, 191, 56, 24, 116, 18, 186, 168, 177, 53, 146, 20, 187, 123, 73, 253, 173, 225, 17, 171, 135, 62, 176, 206, 216, 55, 240, 58, 206, 115, 134, 92, 228, 81, 20, 182, 58, 78, 237, 211, 69, 72, 44, 79, 57, 178, 116, 42, 47, 68, 125, 96, 134, 249, 79, 40, 42, 9, 50, 63, 103, 182, 90, 47, 119, 127, 195, 215, 111, 148, 16, 61, 241, 60, 169, 104, 141, 178, 132, 69, 228, 136, 53, 32, 64, 154, 0, 235, 203, 229, 99, 223, 251, 138, 209, 134, 110, 118, 202, 167, 87, 5, 49, 219, 87, 20, 181, 54, 216, 106, 52, 163, 58, 94, 112, 108, 182, 175, 31, 197, 137, 115, 100, 241, 49, 214, 41, 202, 194, 122, 233, 240, 156, 118, 117, 188, 244, 125, 45, 165, 185, 254, 238, 86, 18, 194, 34, 242, 160, 153, 215, 217, 159, 143, 19, 106, 244, 92, 248, 62, 140, 115, 138, 4, 153, 106, 169, 184, 230, 214, 46, 14, 127, 72, 25, 246, 27, 32, 193, 73, 164, 219, 65, 126, 22, 246, 210, 238, 148, 86, 136, 224, 77, 188, 69, 71, 56, 235, 219, 26, 176, 53, 11, 206, 43, 146, 227, 193, 155, 198, 185, 129, 5, 122, 149, 126, 202, 118, 152, 178, 93, 66, 226, 235, 246, 247, 43, 113, 18, 110, 49, 100, 30, 229, 124, 91, 107, 133, 20, 234, 66, 59, 117, 163, 229, 157, 55, 129, 169, 182, 238, 108, 129, 145, 136, 253, 132, 232, 234, 84, 87, 145, 235, 222, 78, 249, 144, 63, 36, 142, 221, 111, 164, 43, 255, 244, 128, 170, 254, 33, 44, 56, 238, 179, 20, 60, 58, 160, 136, 232, 40, 75, 180, 157, 109, 149, 222, 44, 44, 172, 145, 196, 96, 145, 212, 21, 217, 233, 202, 78, 192, 225, 250, 50, 82, 182, 143, 139, 62, 44, 131, 251, 5, 159, 168, 0, 87, 224, 175, 131, 83, 240, 194, 194, 167, 83, 34, 33, 230, 118, 43, 44, 89, 37, 130, 222, 86, 81, 197, 197, 233, 136, 130, 162, 63, 108, 94, 53, 40, 164, 251, 126, 111, 11, 29, 139, 214, 208, 250, 245, 117, 122, 26, 200, 112, 97, 252, 227, 249, 93, 152, 21, 244, 223, 180, 117, 179, 219, 237, 17, 204, 147, 110, 102, 138, 225, 235, 36, 156, 209, 184, 164, 195, 221, 54, 180, 80, 219, 25, 228, 123, 78, 57, 193, 118, 70, 246, 250, 38, 141, 226, 122, 48, 124, 82, 191, 88, 25, 62, 205, 21, 137, 84, 199, 250, 53, 229, 152, 99, 40, 186, 72, 219, 184, 73, 48, 156, 96, 228, 55, 107, 175, 238, 205, 217, 202, 171, 194, 181, 32, 132, 186, 12, 14, 236, 172, 7, 178, 139, 82, 1, 196, 18, 206, 179, 127, 228, 16, 225, 11, 189, 76, 63, 204, 194, 63, 234, 42, 250, 167, 192, 49, 234, 32, 143, 49, 161, 216, 44, 114, 78, 82, 122, 197, 124, 202, 155, 246, 251, 136, 248, 37, 207, 236, 85, 249, 103, 77, 97, 194, 238, 35, 61, 207, 46, 37, 145, 83, 68, 225, 99, 97, 129, 205, 62, 150, 179, 99, 49, 226, 73, 77, 213, 77, 19, 56, 101, 14, 50, 14, 186, 11, 253, 171, 14, 171, 56, 11, 198, 74, 253, 100, 130, 127, 71, 24, 162, 46, 196, 224, 193, 167, 239, 236, 166, 16, 122, 170, 110, 208, 173, 168, 35, 89, 3, 248, 98, 206, 250, 128, 125, 220, 83, 180, 200, 124, 238, 248, 35, 222, 203, 77, 164, 32, 253, 33, 151, 59, 205, 41, 217, 233, 84, 94, 229, 145, 155, 204, 250, 90, 238, 138, 244, 102, 7, 77, 184, 23, 168, 104, 80, 105, 120, 18, 90, 72, 171, 88, 113, 191, 166, 121, 137, 61, 132, 76, 131, 102, 162, 53, 149, 156, 144, 125, 46, 73, 95, 203, 122, 41, 196, 79, 5, 142, 75, 57, 30, 150, 211, 208, 249, 41, 226, 150, 86, 57, 207, 71, 61, 120, 114, 7, 192, 132, 220, 70, 101, 20, 72, 47, 13, 45, 196, 35, 241, 189, 76, 144, 217, 16, 44, 252, 97, 100, 21, 223, 168, 30, 89, 0, 188, 23, 218, 71, 231, 92, 160, 188, 215, 145, 190, 30, 103, 30, 82, 7, 133, 144, 165, 84, 119, 208, 243, 165, 242, 136, 24, 1, 193, 19, 204, 27, 99, 184, 61, 220, 32, 41, 231, 103, 35, 166, 230, 230, 136, 68, 152, 14, 173, 128, 76, 128, 41, 142, 19, 175, 104, 17, 193, 137, 184, 211, 153, 82, 8, 23, 246, 233, 95, 152, 247, 182, 24, 21, 34, 169, 30, 146, 54, 8, 26, 28, 110, 56, 177, 171, 52, 132, 60, 123, 246, 39, 94, 208, 50, 34, 41, 223, 10, 104, 180, 198, 222, 152, 153, 161, 138, 91, 27, 38, 175, 180, 0, 198, 154, 224, 133, 231, 8, 82, 170, 13, 143, 250, 171, 248, 205, 42, 106, 244, 184, 253, 201, 138, 140, 181, 5, 170, 128, 144, 57, 178, 150, 152, 180, 248, 182, 239, 237, 149, 209, 2, 174, 209, 78, 206, 115, 70, 56, 76, 51, 111, 244, 244, 168, 82, 99, 201, 87, 173, 170, 54, 209, 221, 19, 13, 76, 145, 73, 200, 207, 181, 74, 8, 73, 178, 174, 69, 173, 221, 19, 246, 239, 171, 63, 98, 41, 215, 31, 213, 142, 168, 125, 62, 107, 71, 117, 45, 104, 231, 220, 207, 31, 11, 162, 67, 33, 244, 12, 85, 48, 14, 222, 205, 136, 98, 26, 147, 114, 177, 81, 51, 145, 164, 189, 5, 170, 176, 149, 78, 241, 35, 54, 97, 90, 62, 34, 210, 121, 215, 32, 117, 103, 114, 73, 39, 189, 85, 28, 221, 129, 14, 86, 193, 182, 44, 234, 251, 220, 243, 113, 190, 246, 10, 63, 179, 106, 113, 122, 225, 221, 57, 158, 106, 210, 151, 248, 16, 34, 141, 200, 195, 115, 9, 237, 118, 142, 112, 201, 80, 210, 223, 142, 168, 123, 124, 4, 46, 155, 9, 202, 181, 122, 22, 144, 232, 44, 117, 89, 124, 23, 142, 187, 223, 155, 163, 183, 245, 23, 236, 73, 159, 165, 55, 18, 114, 122, 167, 206, 36, 3, 148, 250, 52, 175, 152, 43, 116, 208, 230, 10, 76, 80, 86, 49, 35, 29, 157, 195, 12, 70, 194, 231, 76, 94, 215, 19, 233, 33, 159, 237, 99, 57, 139, 253, 165, 16, 34, 185, 147, 88, 229, 85, 7, 26, 244, 214, 198, 130, 187, 10, 46, 88, 35, 12, 151, 48, 80, 236, 190, 14, 77, 216, 199, 68, 135, 145, 232, 178, 11, 247, 245, 185, 235, 79, 53, 143, 185, 45, 60, 136, 37, 201, 214, 123, 193, 163, 129, 56, 42, 205, 184, 226, 115, 187, 52, 232, 162, 164, 74, 222, 67, 0, 50, 51, 90, 232, 2, 28, 82, 130, 247, 21, 236, 237, 118, 231, 172, 173, 168, 82, 1, 32, 230, 184, 192, 255, 43, 65, 221, 129, 138, 243, 90, 86, 249, 133, 112, 170, 142, 83, 13, 91, 201, 232, 39, 59, 53, 213, 188, 71, 78, 178, 39, 149, 112, 218, 41, 165, 160, 89, 93, 192, 49, 18, 93, 238, 205, 253, 208, 140, 115, 117, 76, 49, 123, 161, 198, 191, 70, 153, 10, 123, 88, 71, 147, 171, 241, 35, 141, 17, 255, 189, 247, 44, 55, 210, 20, 122, 181, 188, 33, 237, 152, 131, 102, 139, 129, 239, 82, 35, 110, 33, 94, 185, 43, 1, 219, 158, 106, 34, 210, 254, 216, 84, 221, 223, 159, 238, 96, 79, 251, 44, 123, 94, 24, 29, 197, 172, 47, 206, 146, 198, 200, 254, 94, 29, 152, 203, 33, 223, 239, 62, 205, 28, 35, 82, 33, 241, 179, 113, 153, 183, 136, 55, 91, 111, 141, 28, 121, 108, 90, 155, 237, 31, 187, 61, 162, 89, 209, 69, 61, 153, 126, 154, 154, 102, 31, 97, 172, 175, 252, 14, 255, 164, 191, 3, 105, 43, 107, 35, 56, 222, 129, 246, 80, 235, 194, 57, 233, 108, 123, 104, 159, 76, 3, 238, 150, 89, 148, 83, 11, 245, 221, 104, 29, 129, 89, 196, 159, 67, 53, 56, 178, 215, 202, 204, 208, 208, 222, 103, 168, 152, 52, 69, 153, 247, 41, 19, 131, 72, 193, 253, 112, 129, 160, 10, 117, 29, 124, 223, 240, 64, 0, 215, 77, 96, 86, 233, 119, 37, 214, 105, 250, 123, 90, 233, 186, 136, 84, 171, 214, 137, 19, 33, 214, 154, 117, 152, 4, 152, 66, 224, 34, 119, 168, 38, 122, 134, 157, 18, 17, 222, 13, 250, 218, 54, 77, 68, 77, 48, 104, 64, 61, 56, 130, 82, 194, 28, 152, 125, 196, 208, 20, 234, 162, 248, 140, 62, 104, 164, 165, 213, 95, 36, 13, 196, 226, 73, 135, 68, 179, 218, 60, 4, 29, 135, 109, 201, 99, 0, 196, 0, 170, 148, 37, 189, 139, 47, 156, 43, 190, 56, 239, 210, 110, 191, 98, 253, 227, 220, 23, 247, 155, 159, 22, 47, 1, 152, 149, 210, 156, 94, 241, 131, 0, 199, 193, 122, 60, 192, 21, 215, 187, 17, 77, 191, 86, 185, 202, 94, 52, 142, 129, 109, 57, 222, 229, 87, 180, 181, 18, 109, 236, 159, 119, 123, 19, 159, 201, 213, 65, 77, 167, 39, 51, 30, 83, 135, 67, 52, 162, 75, 188, 5, 206, 85, 50, 6, 241, 118, 1, 17, 180, 178, 222, 235, 126, 50, 165, 241, 189, 60, 63, 112, 237, 245, 71, 58, 195, 169, 180, 199, 177, 49, 70, 191, 26, 249, 250, 226, 92, 126, 194, 16, 166, 73, 1, 66, 114, 173, 17, 185, 176, 60, 255, 53, 183, 176, 158, 189, 103, 64, 33, 83, 59, 206, 251, 135, 180, 5, 111, 72, 214, 229, 105, 31, 155, 178, 134, 18, 101, 217, 171, 60, 172, 148, 50, 109, 234, 178, 62, 22, 76, 111, 211, 115, 109, 245, 214, 114, 227, 158, 169, 79, 190, 80, 198, 153, 61, 115, 70, 75, 51, 240, 167, 104, 248, 127, 80, 140, 169, 242, 165, 245, 141, 195, 217, 95, 44, 77, 171, 51, 4, 109, 153, 89, 136, 64, 192, 135, 112, 25, 118, 86, 50, 232, 8, 213, 30, 42, 173, 1, 174, 108, 43, 221, 186, 146, 29, 184, 41, 26, 64, 211, 53, 41, 157, 111, 173, 102, 29, 195, 131, 115, 143, 250, 149, 209, 132, 107, 144, 100, 244, 152, 246, 127, 20, 149, 40, 171, 152, 142, 105, 66, 164, 106, 201, 16, 232, 167, 44, 30, 159, 6, 70, 135, 75, 90, 244, 61, 86, 53, 178, 246, 137, 153, 162, 80, 163, 42, 139, 242, 15, 89, 86, 8, 51, 61, 68, 41, 156, 171, 36, 74, 5, 185, 195, 101, 58, 47, 214, 102, 17, 32, 210, 100, 208, 251, 112, 133, 41, 60, 253, 10, 150, 64, 242, 89, 35, 152, 201, 205, 113, 194, 82, 209, 217, 179, 43, 72, 215, 78, 222, 51, 168, 24, 100, 9, 207, 117, 199, 76, 196, 3, 94, 102, 57, 235, 177, 152, 86, 83, 51, 71, 251, 66, 125, 145, 157, 214, 131, 5, 28, 152, 37, 224, 19, 122, 105, 95, 1, 187, 170, 192, 34, 68, 198, 208, 126, 78, 118, 31, 201, 252, 136, 157, 138, 4, 130, 20, 1, 96, 144, 16, 1, 33, 82, 254, 70, 118, 94, 145, 147, 161, 129, 46, 136, 251, 48, 194, 246, 0, 143, 33, 37, 225, 70, 228, 135, 41, 111, 42, 153, 98, 41, 112, 253, 101, 196, 101, 17, 155, 115, 13, 157, 22, 156, 8, 65, 20, 71, 71, 23, 6, 204, 194, 132, 211, 180, 241, 56, 159, 252, 216, 206, 94, 212, 110, 251, 38, 211, 232, 246, 112, 155, 56, 56, 102, 35, 16, 255, 187, 25, 119, 175, 243, 159, 206, 204, 183, 181, 154, 104, 113, 1, 22, 25, 78, 148, 120, 243, 185, 169, 175, 78, 145, 214, 104, 127, 7, 83, 125, 169, 20, 208, 62, 43, 46, 158, 242, 199, 105, 93, 181, 227, 86, 10, 193, 65, 125, 196, 105, 106, 172, 122, 219, 100, 189, 234, 112, 254, 132, 73, 19, 24, 85, 14, 48, 98, 226, 236, 229, 114, 152, 164, 36, 88, 145, 174, 144, 113, 38, 246, 90, 41, 79, 27, 95, 11, 204, 24, 14, 225, 222, 6, 193, 67, 18, 136, 150, 8, 109, 77, 120, 56, 240, 124, 122, 5, 161, 84, 105, 237, 190, 204, 73, 80, 64, 22, 128, 127, 205, 91, 94, 198, 234, 229, 156, 226, 66, 194, 83, 97, 171, 84, 238, 146, 163, 55, 195, 114, 178, 187, 237, 189, 235, 129, 15, 229, 10, 4, 160, 20, 27, 189, 245, 8, 147, 203, 16, 228, 180, 124, 74, 118, 115, 99, 69, 2, 76, 171, 255, 79, 204, 21, 5, 81, 207, 162, 171, 203, 185, 15, 253, 245, 219, 183, 235, 15, 242, 248, 248, 46, 31, 124, 46, 87, 243, 2, 185, 221, 143, 90, 254, 187, 216, 131, 201, 132, 255, 82, 233, 14, 163, 255, 218, 248, 48, 185, 30, 111, 116, 27, 138, 53, 93, 76, 132, 97, 61, 63, 184, 112, 250, 163, 164, 237, 153, 25, 171, 135, 168, 67, 176, 138, 53, 89, 209, 147, 16, 218, 216, 40, 143, 225, 209, 48, 66, 177, 234, 122, 170, 254, 145, 6, 168, 41, 133, 95, 185, 110, 105, 218, 57, 186, 132, 187, 120, 5, 5, 168, 253, 172, 66, 66, 60, 193, 250, 58, 50, 96, 101, 235, 192, 138, 10, 200, 122, 34, 55, 25, 56, 86, 174, 74, 4, 253, 229, 87, 137, 140, 212, 237, 79, 126, 178, 163, 74, 234, 128, 119, 139, 79, 61, 83, 154, 32, 190, 34, 157, 182, 118, 106, 40, 248, 153, 148, 37, 255, 234, 252, 20, 223, 186, 244, 7, 245, 88, 42, 0, 90, 25, 61, 178, 39, 235, 175, 134, 236, 101, 23, 121, 144, 4, 125, 250, 64, 253, 240, 228, 84, 236, 189, 155, 31, 44, 225, 244, 180, 44, 67, 71, 162, 54, 55, 106, 71, 196, 20, 241, 249, 145, 119, 62, 94, 97, 28, 69, 193, 70, 250, 60, 47, 195, 73, 99, 57, 208, 201, 32, 69, 46, 154, 85, 189, 62, 154, 248, 194, 241, 113, 246, 90, 79, 87, 136, 218, 246, 146, 242, 89, 196, 31, 157, 174, 103, 193, 236, 96, 153, 176, 74, 134, 43, 150, 61, 3, 51, 125, 69, 162, 66, 38, 214, 184, 102, 49, 20, 194, 58, 53, 142, 114, 212, 164, 135, 14, 92, 183, 16, 3, 228, 222, 57, 119, 15, 95, 252, 60, 186, 25, 43, 85, 179, 209, 218, 184, 79, 73, 247, 177, 118, 106, 214, 75, 239, 197, 214, 176, 117, 93, 186, 35, 136, 245, 229, 100, 134, 23, 110, 146, 199, 180, 15, 76, 216, 193, 81, 222, 80, 186, 140, 203, 205, 92, 53, 180, 55, 114, 16, 73, 245, 183, 127, 227, 72, 31, 108, 35, 54, 97, 234, 102, 43, 243, 233, 245, 54, 174, 41, 68, 3, 93, 153, 94, 255, 34, 207, 127, 15, 31, 170, 42, 70, 53, 33, 48, 152, 29, 252, 18, 177, 79, 174, 40, 194, 175, 64, 111, 58, 161, 67, 231, 92, 167, 104, 34, 234, 114, 170, 229, 126, 73, 117, 219, 145, 239, 41, 22, 215, 237, 220, 172, 79, 185, 143, 156, 92, 196, 161, 224, 35, 82, 80, 43, 71, 70, 238, 130, 135, 97, 224, 97, 80, 249, 117, 174, 126, 67, 21, 79, 150, 168, 165, 219, 182, 208, 25, 89, 22, 75, 79, 131, 184, 189, 74, 94, 68, 180, 51, 49, 154, 230, 128, 204, 131, 223, 136, 235, 134, 133, 117, 155, 50, 62, 10, 125, 114, 15, 184, 15, 203, 109, 28, 61, 237, 156, 197, 23, 221, 190, 251, 174, 121, 9, 76, 21, 176, 161, 247, 171, 240, 133, 70, 179, 20, 238, 106, 165, 154, 74, 72, 84, 208, 62, 155, 76, 131, 43, 93, 55, 151, 118, 214, 81, 64, 61, 107, 64, 233, 232, 175, 148, 158, 216, 37, 58, 227, 28, 102, 103, 177, 62, 178, 8, 121, 242, 119, 19, 20, 239, 168, 253, 221, 99, 177, 154, 191, 250, 237, 214, 85, 167, 9, 134, 96, 46, 32, 18, 98, 65, 46, 177, 29, 58, 205, 158, 130, 193, 186, 190, 254, 118, 23, 67, 168, 192, 254, 103, 202, 193, 175, 247, 125, 159, 35, 5, 187, 47, 185, 63, 210, 108, 16, 187, 165, 146, 180, 74, 125, 116, 32, 93, 246, 97, 135, 154, 191, 170, 197, 92, 131, 222, 67, 2, 252, 130, 213, 82, 119, 106, 200, 135, 21, 96, 65, 197, 164, 104, 94, 96, 227, 185, 230, 202, 165, 167, 69, 226, 82, 110, 63, 177, 186, 151, 155, 135, 237, 209, 131, 74, 3, 167, 187, 237, 68, 177, 138, 134, 23, 147, 65, 240, 161, 82, 181, 241, 209, 209, 172, 12, 141, 87, 85, 70, 79, 215, 65, 162, 170, 173, 252, 134, 91, 213, 5, 188, 129, 42, 149, 84, 96, 185, 255, 230, 19, 42, 19, 250, 94, 241, 245, 31, 59, 86, 165, 167, 240, 228, 53, 101, 54, 157, 178, 29, 69, 159, 44, 222, 122, 68, 187, 81, 184, 100, 215, 208, 35, 234, 58, 9, 125, 34, 85, 236, 82, 31, 23, 51, 184, 125, 101, 20, 252, 228, 184, 218, 104, 31, 230, 156, 126, 121, 137, 122, 35, 112, 120, 188, 212, 218, 118, 71, 112, 146, 169, 251, 86, 57, 169, 48, 101, 59, 215, 123, 6, 29, 7, 61, 103, 160, 3, 6, 81, 235, 204, 125, 207, 159, 181, 204, 60, 139, 190, 201, 250, 54, 95, 225, 47, 164, 33, 35, 124, 25, 183, 14, 179, 7, 135, 228, 248, 188, 128, 206, 138, 41, 236, 167, 125, 133, 165, 253, 163, 23, 20, 250, 136, 8, 204, 46, 69, 79, 121, 109, 57, 194, 98, 153, 206, 223, 133, 88, 111, 43, 183, 46, 240, 203, 235, 59, 146, 210, 111, 119, 145, 78, 86, 182, 169, 0, 143, 186, 165, 231, 224, 33, 180, 117, 51, 180, 207, 222, 216, 52, 107, 110, 175, 39, 103, 72, 4, 160, 220, 68, 126, 2, 202, 72, 168, 95, 109, 167, 110, 15, 50, 161, 242, 95, 244, 28, 106, 172, 169, 97, 164, 100, 115, 38, 63, 3, 155, 113, 166, 36, 117, 160, 100, 112, 146, 42, 247, 105, 198, 60, 224, 75, 23, 95, 119, 127, 228, 134, 81, 83, 119, 96, 178, 190, 71, 93, 228, 42, 142, 113, 49, 217, 253, 105, 40, 13, 244, 192, 135, 54, 9, 211, 194, 213, 212, 233, 185, 85, 245, 33, 134, 26, 174, 21, 50, 213, 62, 229, 206, 137, 240, 123, 143, 124, 84, 75, 98, 235, 210, 236, 103, 79, 58, 98, 51, 159, 132, 108, 114, 91, 111, 175, 100, 127, 38, 209, 4, 113, 98, 65, 242, 255, 5, 175, 115, 82, 93, 243, 167, 74, 94, 31, 181, 55, 227, 59, 74, 126, 104, 179, 231, 110, 166, 24, 33, 19, 148, 98, 234, 77, 188, 47, 200, 71, 178, 174, 197, 183, 115, 104, 210, 40, 110, 64, 4, 233, 165, 176, 134, 82, 69, 126, 111, 197, 13, 177, 73, 20, 147, 57, 211, 91, 111, 250, 71, 155, 132, 237, 211, 179, 71, 229, 187, 73, 100, 32, 13, 207, 87, 227, 58, 142, 203, 98, 248, 185, 179, 157, 95, 226, 105, 200, 230, 82, 203, 229, 96, 244, 49, 140, 214, 57, 164, 17, 91, 70, 84, 105, 80, 13, 188, 88, 150, 10, 204, 48, 53, 107, 63, 44, 224, 83, 242, 26, 72, 179, 67, 27, 21, 208, 81, 96, 8, 23, 97, 156, 76, 230, 15, 8, 75, 5, 14, 233, 192, 79, 39, 233, 186, 8, 126, 144, 97, 244, 226, 129, 254, 198, 219, 117, 212, 194, 51, 228, 7, 196, 19, 120, 108, 32, 50, 191, 133, 168, 198, 129, 153, 142, 66, 232, 26, 14, 1, 254, 165, 150, 160, 179, 199, 182, 72, 234, 74, 152, 230, 246, 242, 125, 84, 202, 254, 229, 54, 147, 146, 145, 212, 148, 77, 182, 200, 109, 173, 67, 79, 110, 134, 155, 54, 245, 19, 114, 84, 43, 99, 250, 91, 123, 106, 64, 134, 2, 120, 185, 1, 198, 106, 175, 200, 221, 26, 129, 112, 236, 33, 61, 125, 181, 253, 104, 176, 192, 229, 208, 124, 32, 95, 105, 80, 27, 151, 152, 37, 42, 52, 49, 138, 69, 137, 113, 33, 91, 142, 40, 170, 243, 141, 159, 160, 221, 50, 250, 220, 74, 110, 219, 125, 85, 65, 179, 83, 156, 218, 166, 232, 173, 41, 193, 43, 108, 131, 103, 107, 167, 122, 196, 46, 112, 186, 168, 38, 45, 134, 38, 227, 167, 205, 248, 193, 172, 216, 148, 168, 77, 14, 193, 197, 194, 198, 149, 95, 239, 12, 85, 204, 118, 161, 3, 27, 191, 154, 23, 98, 81, 164, 210, 185, 198, 163, 96, 6, 211, 12, 45, 125, 182, 98, 36, 95, 163, 229, 50, 39, 242, 61, 67, 189, 22, 217, 134, 101, 112, 195, 181, 240, 97, 121, 27, 247, 248, 183, 102, 178, 171, 68, 164, 169, 180, 50, 14, 76, 109, 194, 232, 234, 104, 217, 232, 224, 254, 14, 0, 208, 246, 160, 179, 36, 247, 242, 38, 214, 119, 151, 2, 90, 77, 213, 181, 12, 199, 156, 42, 17, 198, 111, 159, 30, 49, 26, 23, 88, 30, 46, 175, 82, 97, 79, 55, 175, 0, 216, 157, 214, 235, 219, 35, 53, 226, 154, 66, 134, 225, 228, 64, 234, 189, 237, 160, 21, 181, 112, 144, 85, 234, 19, 105, 113, 114, 84, 187, 176, 192, 108, 78, 144, 133, 79, 149, 193, 202, 159, 176, 44, 20, 249, 177, 183, 65, 219, 139, 218, 194, 248, 103, 60, 246, 232, 24, 239, 65, 30, 39, 76, 236, 111, 75, 118, 171, 83, 60, 145, 114, 58, 145, 49, 241, 56, 234, 203, 24, 242, 206, 158, 201, 59, 172, 197, 125, 52, 148, 207, 132, 54, 108, 109, 113, 138, 175, 219, 115, 238, 183, 107, 22, 75, 80, 13, 230, 161, 106, 93, 62, 195, 69, 230, 253, 225, 247, 221, 241, 175, 156, 51, 63, 161, 136, 142, 109, 114, 46, 228, 243, 154, 87, 123, 80, 183, 127, 131, 9, 27, 33, 167, 246, 14, 76, 23, 161, 164, 94, 87, 218, 165, 243, 72, 40, 211, 137, 147, 92, 140, 18, 74, 5, 107, 109, 85, 233, 145, 90, 66, 117, 28, 144, 218, 39, 167, 239, 244, 61, 153, 188, 125, 2, 78, 180, 227, 7, 78, 11, 160, 225, 209, 219, 244, 63, 46, 36, 139, 174, 42, 226, 62, 232, 173, 64, 0, 24, 189, 100, 174, 31, 214, 140, 75, 200, 52, 144, 26, 204, 62, 140, 173, 204, 119, 181, 201, 231, 89, 165, 140, 229, 225, 83, 57, 182, 216, 71, 145, 144, 101, 82, 189, 243, 166, 130, 172, 88, 208, 54, 115, 189, 10, 90, 144, 220, 33, 192, 72, 65, 212, 230, 16, 254, 177, 55, 104, 157, 199, 196, 196, 169, 177, 112, 149, 119, 93, 94, 152, 156, 180, 47, 81, 30, 83, 135, 219, 61, 143, 104, 253, 66, 119, 214, 51, 54, 254, 10, 223, 67, 42, 174, 52, 206, 178, 178, 151, 50, 243, 31, 174, 62, 113, 255, 224, 145, 115, 149, 204, 25, 170, 73, 214, 46, 137, 24, 9, 191, 183, 134, 136, 84, 219, 71, 170, 82, 244, 86, 153, 103, 45, 31, 236, 77, 231, 93, 174, 1, 153, 93, 179, 167, 91, 227, 190, 240, 5, 149, 123, 9, 47, 28, 169, 74, 114, 200, 17, 175, 61, 216, 219, 174, 233, 229, 190, 115, 89, 20, 140, 100, 243, 81, 11, 111, 152, 157, 105, 77, 80, 49, 89, 19, 211, 100, 211, 146, 51, 178, 82, 190, 89, 181, 118, 167, 40, 8, 222, 11, 91, 60, 100, 47, 231, 16, 211, 101, 132, 239, 83, 170, 165, 171, 157, 39, 204, 159, 131, 14, 77, 139, 221, 231, 45, 241, 150, 90, 43, 249, 53, 81, 64, 180, 148, 208, 215, 51, 66, 245, 45, 74, 157, 87, 91, 81, 218, 43, 242, 9, 70, 19, 71, 37, 181, 117, 177, 160, 105, 199, 38, 217, 106, 155, 225, 93, 93, 121, 2, 34, 34, 201, 190, 92, 26, 145, 113, 237, 64, 181, 1, 142, 170, 36, 22, 76, 87, 34, 227, 174, 252, 70, 23, 194, 244, 253, 44, 93, 32, 181, 79, 226, 45, 145, 136, 154, 20, 104, 212, 186, 204, 8, 169, 55, 62, 34, 154, 185, 85, 30, 201, 182, 195, 189, 157, 16, 72, 199, 42, 146, 79, 86, 108, 135, 164, 82, 134, 150, 102, 180, 19, 93, 215, 112, 4, 203, 31, 173, 208, 145, 25, 61, 173, 92, 235, 100, 62, 106, 246, 22, 127, 192, 90, 33, 217, 2, 241, 11, 19, 175, 92, 218, 149, 101, 105, 137, 138, 45, 227, 66, 141, 48, 181, 28, 195, 71, 105, 104, 1, 204, 220, 92, 78, 145, 134, 197, 110, 139, 61, 87, 187, 16, 165, 165, 181, 177, 84, 41, 214, 250, 146, 92, 250, 77, 181, 155, 65, 35, 151, 217, 115, 126, 209, 174, 192, 148, 236, 40, 45, 11, 253, 214, 234, 19, 254, 230, 41, 119, 47, 80, 202, 133, 74, 27, 133, 227, 83, 98, 208, 145, 53, 47, 98, 246, 195, 105, 149, 231, 67, 103, 233, 51, 42, 148, 136, 198, 131, 87, 19, 38, 29, 232, 42, 18, 230, 132, 25, 196, 95, 119, 207, 231, 40, 33, 42, 87, 221, 191, 68, 252, 163, 164, 48, 105, 249, 240, 12, 71, 196, 20, 21, 106, 52, 174, 109, 61, 120, 64, 153, 65, 180, 88, 71, 73, 15, 219, 235, 104, 229, 216, 162, 232, 134, 79, 183, 82, 215, 91, 218, 129, 28, 141, 62, 223, 73, 148, 43, 214, 197, 98, 253, 30, 53, 16, 91, 132, 206, 31, 34, 139, 176, 147, 24, 16, 219, 51, 87, 39, 218, 20, 61, 207, 48, 116, 140, 236, 11, 213, 59, 164, 96, 51, 30, 105, 2, 201, 4, 192, 5, 86, 61, 164, 231, 61, 232, 181, 83, 137, 29, 81, 112, 132, 228, 158, 34, 104, 97, 51, 3, 34, 126, 159, 21, 248, 46, 207, 0, 148, 161, 243, 66, 192, 39, 150, 243, 0, 248, 81, 202, 148, 128, 5, 133, 187, 6, 185, 104, 200, 246, 72, 6, 150, 11, 59, 16, 195, 63, 245, 219, 167, 104, 22, 191, 40, 7, 77, 8, 36, 233, 178, 49, 21, 38, 42, 142, 98, 99, 75, 154, 216, 142, 174, 65, 88, 152, 142, 2, 255, 255, 138, 38, 161, 86, 68, 76, 69, 100, 72, 81, 103, 104, 254, 179, 26, 217, 176, 190, 152, 190, 14, 93, 144, 98, 143, 78, 232, 92, 33, 156, 188, 113, 97, 76, 235, 77, 150, 114, 120, 201, 69, 75, 110, 255, 207, 236, 247, 118, 108, 99, 241, 100, 239, 10, 178, 27, 227, 162, 120, 201, 174, 149, 62, 9, 15, 163, 87, 201, 25, 103, 240, 193, 36, 53, 185, 243, 152, 220, 87, 202, 115, 62, 225, 181, 63, 252, 104, 208, 146, 205, 56, 106, 89, 17, 188, 179, 231, 206, 149, 240, 6, 179, 30, 216, 130, 237, 150, 89, 99, 32, 12, 86, 52, 218, 162, 226, 154, 203, 117, 68, 38, 217, 199, 236, 110, 38, 212, 220, 85, 55, 98, 217, 161, 173, 100, 168, 94, 137, 124, 59, 47, 111, 52, 7, 88, 80, 126, 92, 33, 27, 63, 126, 62, 139, 185, 5, 172, 31, 76, 46, 176, 232, 170, 216, 181, 93, 191, 127, 95, 60, 78, 241, 63, 9, 172, 34, 255, 170, 201, 53, 187, 94, 67, 216, 131, 156, 68, 101, 238, 56, 213, 21, 135, 84, 139, 107, 63, 65, 198, 117, 82, 130, 65, 149, 210, 58, 44, 117, 227, 212, 53, 33, 40, 71, 182, 176, 122, 223, 24, 45, 167, 112, 151, 84, 213, 66, 1, 30, 232, 145, 194, 235, 84, 139, 91, 46, 101, 53, 31, 1, 2, 120, 140, 128, 169, 229, 6, 11, 160, 142, 228, 78, 63, 36, 254, 226, 61, 16, 76, 242, 114, 4, 169, 190, 226, 128, 212, 190, 136, 82, 139, 10, 231, 138, 149, 172, 82, 198, 254, 4, 140, 205, 214, 136, 126, 157, 226, 64, 73, 171, 170, 49, 205, 140, 144, 126, 22, 86, 48, 58, 75, 212, 158, 189, 214, 70, 253, 134, 14, 127, 133, 155, 59, 53, 34, 161, 25, 107, 45, 64, 60, 151, 133, 124, 10, 62, 202, 83, 164, 195, 110, 155, 65, 121, 156, 170, 201, 187, 141, 55, 179, 137, 205, 115, 143, 100, 230, 255, 109, 198, 209, 196, 154, 175, 180, 86, 1, 214, 51, 199, 150, 49, 34, 213, 85, 219, 213, 233, 244, 49, 149, 202, 64, 34, 4, 243, 159, 94, 95, 58, 153, 128, 140, 230, 113, 162, 81, 200, 217, 215, 150, 235, 138, 107, 55, 216, 162, 151, 18, 163, 147, 205, 191, 227, 100, 138, 166, 202, 41, 213, 141, 164, 49, 210, 221, 6, 19, 48, 18, 184, 67, 143, 123, 235, 176, 81, 177, 100, 11, 208, 165, 105, 196, 142, 5, 98, 252, 220, 102, 176, 225, 212, 1, 129, 124, 125, 60, 89, 106, 9, 172, 140, 52, 174, 49, 141, 135, 250, 112, 82, 253, 214, 117, 223, 159, 67, 237, 152, 215, 143, 220, 186, 6, 65, 55, 130, 18, 225, 208, 236, 162, 51, 228, 72, 160, 93, 140, 157, 215, 8, 132, 174, 83, 235, 147, 20, 205, 28, 163, 237, 151, 198, 231, 28, 215, 160, 84, 172, 15, 156, 169, 121, 197, 164, 98, 127, 112, 112, 81, 165, 193, 128, 27, 70, 123, 25, 201, 179, 226, 108, 192, 69, 131, 30, 82, 214, 111, 41, 151, 114, 171, 76, 72, 236, 164, 235, 52, 57, 52, 185, 234, 159, 161, 120, 203, 14, 42, 151, 155, 46, 97, 249, 200, 205, 197, 99, 81, 107, 201, 85, 246, 60, 114, 200, 65, 179, 238, 89, 156, 155, 249, 179, 0, 252, 199, 116, 186, 151, 0, 34, 136, 65, 116, 249, 220, 181, 143, 78, 132, 170, 142, 136, 156, 48, 33, 2, 95, 208, 145, 177, 231, 152, 108, 205, 103, 35, 53, 202, 81, 24, 121, 0, 171, 144, 245, 55, 1, 111, 241, 8, 218, 162, 127, 164, 153, 209, 182, 89, 31, 89, 164, 28, 65, 181, 172, 157, 133, 253, 8, 20, 143, 253, 156, 107, 125, 71, 246, 51, 56, 157, 155, 197, 249, 103, 246, 90, 212, 86, 15, 71, 54, 29, 66, 184, 49, 116, 138, 167, 84, 44, 202, 122, 48, 234, 252, 165, 119, 100, 58, 163, 210, 12, 196, 158, 213, 42, 6, 122, 28, 248, 247, 209, 149, 233, 55, 159, 47, 234, 27, 32, 158, 166, 121, 74, 52, 64, 7, 170, 14, 135, 164, 185, 140, 106, 146, 181, 50, 24, 105, 137, 207, 79, 195, 164, 184, 118, 245, 217, 16, 117, 88, 36, 90, 42, 217, 240, 29, 49, 222, 3, 222, 87, 173, 85, 24, 171, 214, 113, 213, 239, 193, 186, 27, 210, 75, 137, 58, 30, 127, 255, 23, 54, 248, 73, 166, 184, 94, 105, 37, 172, 251, 131, 161, 103, 185, 67, 140, 123, 234, 191, 219, 96, 80, 39, 247, 88, 243, 91, 107, 118, 169, 199, 13, 115, 179, 66, 113, 94, 195, 90, 191, 179, 162, 13, 110, 99, 16, 201, 85, 64, 173, 159, 213, 220, 236, 103, 226, 86, 18, 12, 217, 36, 227, 224, 45, 159, 18, 124, 86, 219, 154, 107, 52, 219, 71, 102, 78, 195, 52, 199, 64, 17, 63, 45, 215, 73, 145, 86, 134, 212, 72, 234, 163, 168, 105, 212, 216, 15, 149, 217, 71, 146, 27, 245, 12, 107, 79, 237, 93, 170, 127, 132, 138, 158, 106, 186, 70, 117, 29, 253, 121, 67, 241, 134, 189, 8, 59, 164, 126, 29, 118, 77, 238, 90, 142, 206, 46, 165, 151, 150, 113, 95, 40, 188, 179, 218, 205, 244, 105, 147, 249, 221, 216, 134, 162, 73, 201, 3, 117, 145, 248, 235, 230, 27, 133, 4, 54, 241, 102, 200, 51, 205, 245, 176, 32, 163, 56, 169, 249, 143, 68, 54, 214, 101, 72, 25, 61, 219, 31, 167, 40, 226, 179, 234, 126, 55, 26, 166, 192, 127, 173, 214, 223, 202, 189, 88, 203, 107, 12, 69, 7, 152, 103, 242, 4, 227, 123, 232, 188, 42, 97, 34, 25, 27, 52, 80, 185, 232, 93, 202, 176, 178, 150, 178, 128, 166, 184, 98, 27, 244, 146, 197, 39, 88, 43, 84, 239, 39, 219, 36, 188, 237, 203, 13, 211, 38, 111, 201, 144, 233, 249, 71, 54, 65, 213, 112, 142, 40, 146, 63, 63, 154, 228, 112, 192, 47, 231, 248, 135, 213, 97, 178, 134, 36, 150, 103, 231, 178, 240, 200, 5, 7, 158, 120, 136, 92, 127, 186, 228, 105, 0, 173, 95, 83, 219, 99, 29, 71, 234, 196, 150, 238, 218, 64, 120, 141, 60, 15, 235, 115, 235, 130, 85, 239, 151, 212, 225, 38, 175, 47, 106, 249, 2, 62, 217, 103, 232, 219, 17, 225, 172, 157, 0, 40, 88, 122, 200, 146, 129, 253, 112, 83, 136, 44, 204, 112, 127, 79, 75, 137, 217, 78, 204, 54, 52, 118, 209, 93, 92, 236, 197, 36, 26, 79, 202, 151, 192, 196, 225, 170, 62, 100, 150, 60, 103, 247, 225, 48, 104, 131, 205, 187, 130, 156, 170, 191, 99, 61, 187, 186, 48, 249, 142, 173, 164, 197, 230, 208, 109, 245, 60, 189, 62, 85, 37, 96, 145, 175, 95, 179, 213, 109, 49, 100, 164, 162, 249, 64, 242, 169, 242, 52, 226, 29, 16, 152, 56, 247, 236, 226, 152, 183, 108, 128, 92, 203, 89, 251, 12, 197, 187, 152, 148, 200, 7, 175, 217, 132, 235, 86, 122, 64, 173, 190, 136, 189, 73, 201, 29, 107, 47, 123, 134, 91, 124, 6, 13, 124, 181, 176, 234, 198, 16, 79, 32, 29, 153, 83, 19, 84, 205, 255, 152, 12, 124, 10, 117, 113, 100, 101, 93, 117, 126, 239, 136, 145, 247, 58, 213, 208, 73, 58, 221, 164, 86, 85, 145, 57, 157, 180, 214, 33, 245, 81, 189, 50, 217, 118, 128, 53, 136, 174, 93, 91, 93, 63, 27, 188, 16, 26, 107, 15, 30, 107, 204, 92, 53, 7, 127, 247, 113, 240, 0, 23, 44, 184, 216, 126, 64, 46, 222, 167, 253, 201, 140, 110, 180, 39, 139, 251, 227, 171, 45, 248, 40, 88, 50, 175, 118, 129, 117, 166, 72, 165, 171, 110, 63, 18, 247, 128, 62, 195, 108, 185, 206, 185, 180, 116, 101, 195, 1, 57, 181, 54, 48, 40, 189, 164, 48, 178, 158, 157, 246, 197, 160, 150, 72, 227, 250, 7, 44, 242, 94, 191, 232, 120, 227, 62, 38, 59, 238, 241, 6, 185, 13, 178, 227, 74, 34, 35, 87, 62, 153, 211, 150, 254, 72, 63, 248, 217, 108, 45, 244, 239, 153, 61, 188, 243, 183, 23, 83, 19, 31, 123, 231, 245, 227, 49, 60, 87, 174, 191, 45, 10, 69, 94, 212, 196, 188, 55, 109, 66, 166, 215, 254, 239, 108, 17, 120, 21, 98, 80, 104, 190, 100, 122, 3, 129, 161, 218, 249, 212, 40, 81, 189, 176, 38, 10, 188, 131, 244, 160, 30, 106, 49, 137, 145, 41, 49, 177, 17, 218, 101, 59, 6, 60, 28, 126, 230, 247, 60, 116, 121, 69, 126, 14, 61, 133, 206, 244, 72, 82, 171, 151, 211, 200, 216, 95, 115, 170, 159, 79, 143, 170, 247, 74, 210, 188, 252, 130, 191, 188, 121, 48, 169, 79, 77, 156, 54, 69, 84, 38, 231, 133, 214, 40, 220, 65, 187, 149, 220, 248, 132, 90, 81, 32, 143, 217, 139, 220, 47, 112, 38, 63, 164, 58, 158, 218, 214, 53, 149, 83, 121, 26, 14, 186, 181, 166, 5, 222, 236, 89, 40, 94, 220, 154, 165, 102, 171, 172, 160, 198, 106, 208, 210, 160, 219, 150, 78, 102, 60, 190, 65, 191, 164, 251, 146, 250, 125, 193, 172, 167, 55, 104, 110, 28, 76, 10, 6, 35, 93, 145, 51, 27, 63, 158, 188, 112, 150, 129, 190, 177, 179, 20, 177, 203, 191, 186, 223, 196, 254, 251, 212, 13, 105, 165, 86, 136, 125, 224, 65, 92, 123, 144, 179, 222, 169, 211, 47, 253, 154, 60, 196, 181, 238, 177, 134, 35, 22, 83, 250, 225, 193, 80, 121, 51, 173, 197, 225, 252, 111, 184, 191, 87, 167, 184, 115, 78, 220, 223, 39, 122, 160, 141, 161, 135, 69, 143, 86, 204, 179, 48, 150, 102, 191, 36, 28, 84, 26, 219, 85, 112, 146, 58, 47, 92, 62, 222, 30, 10, 156, 69, 241, 239, 109, 220, 76, 68, 125, 164, 146, 148, 80, 16, 135, 233, 238, 66, 69, 37, 233, 184, 46, 79, 78, 2, 87, 4, 39, 30, 21, 119, 18, 42, 176, 46, 126, 114, 134, 55, 254, 9, 218, 96, 70, 112, 223, 4, 168, 42, 29, 8, 240, 179, 179, 161, 222, 85, 170, 186, 64, 94, 54, 99, 251, 174, 29, 113, 209, 134, 204, 202, 233, 129, 17, 216, 113, 60, 48, 118, 136, 125, 3, 146, 241, 101, 205, 22, 241, 230, 120, 90, 241, 100, 66, 9, 179, 231, 208, 189, 21, 220, 93, 252, 104, 48, 208, 209, 21, 7, 92, 230, 65, 67, 160, 204, 72, 180, 226, 207, 34, 180, 83, 155, 244, 206, 81, 106, 123, 175, 94, 74, 9, 143, 8, 156, 27, 66, 245, 214, 201, 158, 105, 67, 109, 196, 8, 41, 3, 120, 95, 140, 206, 93, 120, 43, 110, 177, 195, 12, 147, 52, 70, 21, 72, 167, 51, 90, 107, 24, 195, 78, 239, 136, 21, 228, 105, 171, 246, 132, 209, 181, 99, 151, 68, 86, 237, 218, 189, 255, 233, 141, 222, 157, 22, 48, 82, 244, 201, 123, 229, 133, 198, 177, 194, 114, 81, 121, 5, 247, 67, 97, 178, 230, 65, 43, 252, 131, 181, 197, 77, 94, 73, 236, 29, 20, 105, 237, 60, 4, 243, 166, 197, 68, 194, 63, 213, 231, 136, 254, 86, 176, 123, 69, 114, 172, 217, 225, 232, 177, 218, 113, 127, 180, 5, 247, 142, 23, 179, 250, 26, 146, 3, 184, 117, 27, 4, 121, 122, 29, 25, 229, 146, 55, 199, 72, 172, 15, 248, 180, 7, 136, 243, 233, 178, 109, 208, 197, 253, 18, 172, 244, 131, 178, 77, 118, 9, 113, 4, 157, 73, 227, 208, 51, 44, 65, 147, 112, 110, 216, 240, 84, 142, 171, 127, 160, 64, 221, 226, 184, 183, 152, 165, 105, 157, 161, 125, 242, 251, 51, 59, 98, 84, 69, 115, 211, 242, 113, 71, 40, 40, 132, 128, 38, 10, 96, 36, 138, 159, 173, 239, 129, 112, 52, 7, 215, 6, 192, 142, 217, 59, 230, 71, 7, 201, 238, 151, 96, 39, 215, 121, 92, 161, 55, 231, 61, 94, 108, 182, 73, 64, 61, 158, 237, 196, 38, 96, 65, 179, 191, 185, 71, 189, 80, 190, 117, 183, 130, 203, 141, 151, 35, 35, 129, 122, 220, 26, 166, 194, 128, 203, 76, 119, 91, 97, 114, 187, 125, 197, 58, 16, 236, 252, 186, 180, 120, 110, 122, 78, 15, 136, 51, 143, 123, 10, 33, 160, 44, 9, 114, 221, 251, 214, 181, 122, 100, 139, 38, 3, 86, 140, 212, 77, 246, 121, 121, 37, 45, 107, 26, 162, 191, 18, 184, 2, 63, 140, 174, 114, 86, 138, 80, 255, 243, 125, 244, 56, 55, 196, 250, 184, 153, 183, 190, 189, 104, 81, 238, 98, 18, 19, 175, 196, 34, 226, 141, 45, 109, 79, 83, 203, 210, 217, 132, 163, 87, 34, 59, 182, 71, 198, 68, 224, 83, 53, 30, 82, 29, 115, 80, 124, 169, 255, 16, 165, 156, 190, 182, 147, 67, 213, 116, 31, 153, 160, 204, 125, 55, 230, 59, 154, 124, 24, 107, 201, 109, 133, 155, 227, 67, 148, 74, 71, 4, 62, 151, 107, 175, 92, 206, 233, 191, 162, 214, 229, 30, 245, 205, 94, 215, 166, 215, 125, 136, 39, 227, 80, 162, 222, 113, 63, 196, 86, 114, 202, 74, 73, 76, 161, 192, 0, 30, 215, 118, 73, 108, 165, 76, 37, 237, 189, 155, 77, 5, 138, 149, 104, 104, 164, 159, 213, 73, 30, 192, 47, 51, 236, 74, 108, 51, 253, 166, 158, 144, 15, 26, 178, 210, 19, 231, 69, 114, 254, 215, 214, 28, 237, 42, 138, 63, 61, 75, 163, 173, 190, 63, 230, 105, 172, 147, 39, 217, 68, 177, 238, 63, 92, 253, 232, 161, 28, 215, 105, 225, 28, 29, 5, 183, 71, 123, 27, 75, 5, 5, 249, 194, 89, 96, 144, 225, 44, 59, 179, 58, 59, 118, 69, 251, 192, 73, 158, 143, 95, 183, 71, 10, 161, 192, 238, 22, 92, 122, 214, 134, 220, 174, 208, 70, 155, 206, 153, 134, 92, 105, 94, 106, 37, 181, 25, 206, 197, 139, 120, 222, 170, 116, 240, 137, 20, 46, 89, 179, 71, 99, 223, 10, 60, 163, 155, 48, 245, 43, 230, 239, 47, 249, 81, 26, 76, 216, 166, 154, 238, 12, 192, 65, 33, 44, 90, 154, 98, 26, 52, 80, 1, 232, 11, 194, 246, 170, 194, 1, 29, 28, 61, 183, 253, 135, 209, 192, 68, 252, 70, 120, 184, 30, 160, 26, 63, 106, 5, 108, 238, 243, 143, 246, 147, 172, 220, 7, 59, 4, 73, 130, 218, 84, 4, 69, 205, 244, 167, 207, 72, 14, 12, 69, 210, 20, 159, 145, 133, 169, 125, 113, 56, 206, 119, 104, 58, 192, 148, 136, 72, 245, 251, 14, 235, 194, 84, 220, 244, 231, 231, 150, 209, 162, 21, 147, 58, 8, 98, 208, 76, 29, 31, 89, 191, 165, 230, 209, 94, 118, 124, 106, 6, 72, 173, 122, 255, 240, 52, 183, 60, 180, 240, 221, 159, 187, 9, 13, 244, 43, 206, 78, 150, 53, 176, 174, 235, 106, 126, 213, 188, 166, 79, 232, 140, 48, 105, 47, 167, 218, 211, 152, 180, 62, 75, 3, 19, 19, 31, 169, 123, 175, 104, 154, 212, 250, 10, 109, 126, 101, 129, 30, 115, 168, 234, 49, 78, 230, 32, 148, 29, 16, 252, 216, 54, 15, 60, 160, 106, 233, 153, 128, 165, 246, 104, 127, 214, 139, 26, 222, 149, 195, 61, 182, 128, 56, 137, 76, 188, 8, 61, 253, 117, 209, 130, 12, 156, 179, 255, 165, 95, 193, 71, 17, 174, 119, 28, 190, 223, 83, 213, 27, 186, 42, 107, 84, 213, 217, 127, 170, 98, 72, 176, 90, 51, 136, 76, 64, 132, 88, 194, 241, 164, 108, 85, 217, 90, 234, 240, 181, 211, 250, 241, 35, 203, 202, 207, 236, 200, 108, 36, 78, 231, 235, 19, 222, 224, 107, 152, 119, 55, 228, 12, 179, 199, 194, 92, 71, 151, 255, 188, 195, 18, 78, 57, 100, 190, 137, 122, 184, 204, 49, 50, 32, 94, 227, 96, 45, 105, 129, 83, 75, 189, 152, 219, 150, 6, 14, 60, 100, 231, 32, 22, 149, 121, 82, 201, 76, 67, 166, 27, 225, 112, 80, 208, 246, 86, 111, 159, 227, 27, 177, 233, 236, 245, 160, 3, 183, 178, 137, 66, 255, 194, 119, 137, 172, 9, 109, 1, 49, 234, 93, 16, 29, 21, 96, 36, 148, 233, 56, 34, 226, 77, 101, 39, 52, 25, 151, 120, 159, 157, 242, 38, 182, 58, 30, 200, 210, 177, 1, 74, 110, 78, 95, 124, 85, 73, 162, 176, 35, 189, 70, 247, 102, 111, 209, 51, 2, 230, 152, 254, 19, 35, 83, 41, 74, 103, 22, 248, 91, 27, 137, 137, 53, 88, 16, 232, 70, 106, 224, 149, 124, 25, 107, 90, 75, 127, 121, 78, 109, 106, 117, 239, 191, 79, 156, 177, 141, 249, 20, 99, 106, 126, 196, 178, 43, 120, 108, 218, 248, 135, 78, 198, 78, 114, 95, 86, 55, 221, 246, 74, 205, 249, 93, 99, 169, 243, 72, 58, 14, 247, 151, 99, 239, 132, 174, 59, 145, 254, 187, 37, 74, 101, 11, 192, 62, 47, 146, 42, 141, 186, 83, 210, 156, 86, 54, 232, 95, 185, 142, 106, 252, 185, 142, 80, 74, 95, 212, 133, 41, 83, 181, 231, 137, 26, 201, 154, 29, 101, 89, 110, 8, 49, 60, 26, 207, 78, 225, 55, 137, 0, 39, 215, 114, 214, 13, 160, 8, 243, 47, 215, 128, 222, 62, 168, 210, 88, 239, 206, 176, 165, 18, 102, 182, 158, 46, 141, 244, 107, 139, 103, 92, 69, 28, 233, 214, 44, 148, 188, 117, 176, 38, 131, 103, 161, 186, 124, 104, 11, 210, 116, 183, 195, 108, 94, 162, 86, 121, 67, 154, 174, 213, 196, 24, 101, 202, 51, 183, 184, 104, 174, 189, 120, 94, 33, 82, 96, 34, 198, 39, 211, 207, 64, 228, 118, 119, 93, 15, 204, 235, 76, 9, 135, 144, 197, 22, 47, 142, 196, 73, 122, 235, 212, 182, 27, 92, 5, 26, 88, 10, 195, 229, 115, 47, 105, 224, 31, 222, 143, 227, 149, 201, 204, 184, 146, 193, 95, 81, 23, 65, 161, 255, 236, 29, 102, 188, 26, 133, 21, 147, 3, 119, 188, 230, 29, 252, 113, 71, 50, 36, 96, 183, 108, 222, 126, 74, 154, 102, 207, 246, 100, 89, 145, 138, 76, 137, 109, 34, 126, 146, 60, 138, 124, 51, 248, 187, 223, 209, 183, 212, 37, 171, 153, 248, 63, 77, 24, 106, 200, 139, 86, 74, 130, 199, 189, 59, 72, 142, 194, 105, 198, 89, 215, 210, 150, 133, 178, 250, 234, 221, 249, 38, 118, 69, 95, 4, 35, 84, 32, 185, 212, 242, 140, 102, 84, 18, 88, 91, 25, 119, 229, 191, 224, 57, 187, 223, 212, 148, 203, 21, 118, 12, 63, 133, 128, 227, 254, 172, 226, 87, 145, 168, 181, 244, 228, 234, 239, 89, 188, 56, 205, 78, 107, 35, 145, 20, 11, 187, 51, 127, 20, 222, 201, 143, 226, 87, 97, 189, 8, 153, 35, 247, 139, 214, 65, 14, 112, 91, 149, 236, 225, 73, 54, 183, 7, 194, 192, 72, 76, 232, 39, 4, 148, 163, 136, 235, 69, 21, 87, 41, 44, 242, 250, 108, 100, 240, 78, 67, 50, 255, 57, 129, 181, 54, 200, 208, 19, 95, 118, 96, 67, 149, 252, 137, 73, 224, 196, 154, 24, 117, 65, 19, 186, 192, 235, 233, 200, 112, 124, 59, 208, 136, 15, 231, 47, 39, 37, 99, 196, 64, 24, 249, 90, 72, 46, 130, 186, 3, 241, 33, 125, 98, 154, 171, 150, 140, 130, 221, 5, 72, 157, 103, 245, 151, 42, 80, 168, 120, 191, 201, 228, 37, 150, 243, 205, 189, 54, 88, 132, 21, 215, 76, 70, 136, 109, 236, 214, 22, 42, 18, 90, 89, 164, 161, 168, 237, 243, 71, 209, 199, 224, 125, 23, 241, 6, 31, 152, 88, 21, 146, 36, 120, 251, 91, 131, 85, 57, 119, 80, 218, 195, 100, 147, 128, 251, 227, 22, 93, 185, 232, 72, 73, 101, 224, 19, 183, 214, 37, 235, 111, 119, 178, 90, 140, 21, 250, 156, 71, 190, 252, 16, 62, 182, 117, 12, 134, 100, 117, 36, 89, 142, 90, 37, 145, 24, 146, 102, 153, 136, 3, 103, 140, 250, 226, 11, 72, 11, 252, 186, 222, 120, 164, 57, 163, 41, 150, 237, 7, 203, 91, 1, 53, 60, 133, 95, 42, 91, 46, 239, 116, 232, 124, 183, 172, 50, 9, 41, 3, 127, 66, 202, 58, 19, 70, 50, 103, 217, 131, 217, 134, 58, 91, 252, 44, 224, 101, 135, 149, 221, 54, 199, 177, 157, 206, 250, 1, 239, 149, 152, 192, 160, 195, 90, 38, 115, 212, 48, 237, 156, 247, 226, 85, 113, 245, 79, 37, 26, 53, 139, 185, 247, 20, 63, 46, 92, 135, 91, 168, 40, 38, 111, 201, 11, 191, 88, 228, 140, 72, 153, 185, 222, 57, 178, 67, 219, 27, 79, 191, 244, 184, 76, 10, 28, 167, 164, 8, 172, 94, 90, 118, 102, 146, 104, 249, 103, 49, 178, 27, 135, 167, 36, 41, 112, 54, 61, 191, 196, 118, 20, 204, 124, 199, 123, 95, 66, 8, 65, 84, 180, 16, 87, 68, 111, 82, 161, 115, 158, 148, 164, 80, 35, 149, 22, 27, 66, 115, 211, 253, 112, 189, 32, 37, 99, 87, 247, 189, 203, 155, 200, 151, 103, 251, 172, 48, 144, 100, 202, 137, 43, 144, 246, 31, 6, 158, 158, 113, 56, 71, 48, 121, 235, 16, 66, 130, 205, 34, 10, 42, 83, 227, 111, 4, 208, 18, 185, 46, 224, 9, 76, 178, 19, 230, 159, 102, 32, 206, 132, 248, 78, 26, 18, 73, 97, 66, 110, 238, 120, 177, 54, 253, 19, 143, 41, 39, 8, 93, 38, 103, 86, 166, 198, 147, 30, 126, 164, 82, 55, 19, 59, 215, 37, 110, 64, 126, 200, 242, 241, 140, 113, 29, 63, 88, 41, 180, 204, 3, 62, 20, 39, 101, 244, 224, 242, 43, 138, 162, 185, 226, 28, 163, 205, 74, 237, 204, 219, 143, 182, 89, 183, 156, 220, 72, 237, 143, 254, 174, 41, 23, 191, 36, 94, 249, 188, 43, 226, 224, 233, 151, 19, 181, 23, 2, 120, 158, 94, 219, 245, 188, 174, 211, 189, 210, 159, 40, 188, 39, 237, 36, 219, 230, 148, 243, 202, 220, 210, 181, 99, 224, 253, 82, 251, 210, 148, 254, 92, 236, 132, 191, 17, 66, 57, 75, 100, 93, 163, 229, 149, 249, 136, 132, 83, 146, 168, 62, 235, 252, 119, 215, 162, 152, 92, 198, 196, 164, 162, 75, 216, 9, 119, 34, 122, 106, 104, 224, 46, 121, 161, 214, 149, 84, 22, 57, 3, 137, 111, 205, 231, 85, 130, 196, 255, 111, 93, 50, 83, 76, 206, 190, 17, 155, 71, 132, 241, 229, 109, 194, 105, 55, 98, 4, 94, 230, 204, 31, 75, 233, 5, 68, 195, 74, 86, 107, 16, 228, 118, 50, 65, 250, 147, 140, 94, 68, 111, 127, 81, 219, 164, 78, 116, 233, 103, 125, 52, 186, 77, 146, 168, 207, 11, 181, 51, 32, 135, 156, 69, 28, 81, 91, 116, 218, 106, 44, 50, 97, 150, 29, 89, 116, 32, 54, 244, 246, 194, 39, 46, 247, 237, 246, 160, 157, 114, 123, 22, 139, 243, 75, 197, 175, 12, 184, 196, 33, 70, 215, 150, 18, 122, 27, 208, 84, 30, 111, 167, 12, 71, 55, 98, 242, 178, 111, 44, 15, 255, 66, 16, 81, 23, 22, 228, 13, 221, 180, 87, 87, 176, 20, 64, 67, 204, 196, 70, 239, 65, 186, 45, 73, 248, 148, 135, 92, 158, 103, 115, 73, 20, 134, 214, 252, 37, 57, 147, 1, 242, 186, 136, 81, 20, 44, 49, 98, 227, 78, 145, 244, 183, 222, 178, 126, 124, 54, 63, 235, 184, 13, 222, 18, 55, 15, 2, 126, 249, 60, 143, 191, 62, 119, 48, 161, 244, 56, 174, 114, 129, 121, 194, 183, 82, 163, 210, 229, 133, 203, 200, 214, 237, 186, 223, 13, 185, 111, 179, 160, 109, 234, 55, 120, 133, 156, 115, 188, 162, 254, 234, 196, 94, 148, 34, 225, 210, 140, 229, 81, 59, 58, 96, 204, 190, 229, 62, 8, 222, 158, 34, 126, 74, 211, 180, 209, 164, 185, 61, 179, 215, 172, 91, 16, 151, 138, 44, 195, 86, 188, 141, 91, 11, 95, 157, 181, 129, 180, 125, 223, 91, 84, 44, 154, 38, 212, 200, 151, 31, 246, 17, 17, 204, 191, 72, 109, 8, 189, 49, 194, 30, 204, 193, 167, 21, 238, 195, 227, 92, 189, 189, 253, 253, 142, 0, 45, 249, 139, 61, 201, 231, 75, 99, 172, 110, 58, 51, 237, 28, 169, 172, 125, 119, 36, 108, 32, 122, 31, 28, 141, 192, 172, 157, 123, 230, 212, 150, 66, 10, 169, 107, 133, 140, 229, 181, 184, 40, 109, 23, 224, 143, 74, 158, 159, 12, 43, 133, 45, 215, 154, 40, 43, 189, 21, 180, 71, 230, 7, 169, 90, 233, 150, 38, 210, 93, 27, 137, 93, 107, 146, 88, 243, 166, 91, 72, 224, 66, 170, 36, 62, 64, 22, 55, 24, 6, 150, 201, 119, 19, 51, 70, 121, 197, 84, 175, 78, 158, 136, 175, 2, 235, 241, 245, 254, 245, 66, 66, 166, 231, 213, 91, 117, 0, 145, 125, 168, 128, 221, 36, 93, 178, 60, 166, 201, 238, 188, 236, 34, 15, 159, 60, 194, 145, 185, 163, 218, 15, 244, 40, 204, 252, 76, 123, 27, 22, 135, 76, 35, 10, 74, 34, 41, 67, 118, 152, 183, 128, 183, 5, 15, 0, 163, 96, 175, 213, 95, 210, 146, 217, 23, 166, 103, 67, 1, 49, 133, 203, 182, 11, 174, 159, 194, 255, 185, 97, 13, 12, 42, 216, 107, 31, 62, 216, 37, 40, 217, 46, 85, 229, 141, 32, 228, 130, 190, 33, 26, 62, 2, 150, 224, 101, 78, 137, 248, 166, 0, 215, 59, 22, 214, 119, 150, 79, 201, 171, 149, 41, 203, 238, 209, 198, 36, 163, 61, 76, 154, 180, 164, 138, 166, 76, 112, 3, 105, 39, 67, 229, 0, 209, 46, 16, 232, 85, 140, 245, 232, 116, 227, 173, 58, 141, 70, 92, 72, 185, 193, 68, 158, 52, 123, 50, 83, 123, 101, 188, 102, 16, 31, 212, 163, 61, 223, 222, 24, 203, 220, 28, 239, 248, 163, 114, 122, 83, 245, 71, 173, 180, 3, 45, 161, 171, 239, 12, 5, 63, 88, 238, 87, 222, 225, 243, 213, 81, 246, 41, 56, 177, 67, 61, 199, 62, 92, 129, 53, 220, 188, 125, 178, 122, 236, 218, 58, 213, 37, 106, 5, 254, 131, 117, 71, 189, 65, 86, 2, 125, 109, 192, 88, 166, 8, 163, 0, 93, 64, 197, 114, 195, 219, 151, 181, 128, 244, 134, 241, 206, 96, 100, 171, 68, 223, 162, 63, 157, 216, 165, 40, 144, 142, 0, 178, 227, 193, 241, 146, 247, 27, 73, 174, 108, 194, 123, 106, 32, 252, 10, 198, 34, 104, 135, 203, 195, 38, 1, 42, 96, 169, 11, 151, 142, 154, 122, 186, 187, 152, 7, 54, 244, 225, 167, 139, 183, 68, 248, 22, 90, 46, 114, 99, 224, 160, 0, 90, 49, 72, 188, 122, 251, 15, 226, 242, 204, 124, 133, 151, 62, 220, 190, 187, 17, 170, 57, 115, 75, 169, 216, 103, 36, 103, 64, 77, 71, 173, 222, 103, 9, 135, 216, 75, 110, 99, 90, 36, 147, 93, 34, 99, 98, 177, 92, 26, 167, 124, 229, 95, 162, 83, 217, 35, 186, 164, 83, 38, 72, 190, 116, 92, 176, 112, 216, 4, 104, 129, 57, 250, 203, 28, 253, 101, 94, 248, 209, 213, 158, 179, 215, 126, 9, 22, 175, 14, 121, 105, 109, 84, 173, 10, 211, 197, 181, 80, 86, 192, 138, 79, 85, 132, 208, 23, 172, 124, 142, 80, 253, 227, 111, 240, 34, 179, 115, 131, 96, 222, 181, 194, 213, 98, 183, 174, 204, 153, 177, 126, 85, 252, 13, 195, 105, 199, 88, 7, 238, 43, 200, 143, 150, 95, 39, 78, 234, 245, 206, 180, 68, 232, 118, 199, 216, 174, 174, 32, 5, 6, 147, 175, 207, 60, 9, 250, 253, 74, 201, 194, 156, 142, 88, 109, 55, 71, 122, 34, 61, 150, 104, 218, 171, 102, 181, 22, 24, 66, 216, 215, 31, 81, 137, 106, 21, 245, 216, 193, 89, 142, 61, 45, 95, 166, 50, 70, 12, 243, 203, 231, 18, 186, 133, 225, 46, 103, 176, 57, 123, 168, 67, 185, 166, 47, 85, 214, 139, 157, 164, 150, 45, 104, 126, 53, 143, 113, 16, 143, 43, 128, 65, 244, 142, 104, 80, 129, 96, 235, 214, 70, 75, 130, 65, 135, 199, 102, 50, 186, 225, 79, 57, 187, 123, 20, 159, 71, 144, 218, 101, 106, 179, 36, 187, 138, 63, 7, 165, 84, 89, 207, 181, 109, 218, 133, 11, 244, 32, 192, 241, 225, 209, 94, 23, 238, 74, 234, 74, 182, 228, 134, 246, 57, 13, 180, 20, 207, 63, 169, 185, 54, 15, 34, 150, 59, 145, 80, 224, 177, 37, 195, 139, 21, 47, 245, 86, 60, 61, 147, 51, 23, 233, 138, 187, 100, 12, 65, 209, 189, 220, 210, 89, 98, 48, 100, 105, 36, 5, 112, 222, 226, 45, 89, 19, 38, 115, 243, 9, 137, 143, 12, 143, 106, 219, 11, 232, 164, 253, 236, 211, 137, 227, 221, 84, 58, 143, 51, 208, 243, 209, 76, 5, 43, 140, 232, 191, 141, 101, 140, 167, 233, 4, 33, 198, 3, 112, 130, 42, 23, 204, 132, 100, 125, 195, 167, 10, 96, 136, 154, 157, 238, 100, 242, 98, 30, 204, 196, 190, 167, 163, 162, 133, 204, 109, 73, 192, 128, 168, 158, 149, 176, 23, 87, 214, 23, 114, 234, 215, 16, 18, 209, 18, 198, 229, 158, 69, 204, 23, 53, 201, 241, 103, 226, 36, 179, 244, 96, 58, 65, 227, 50, 122, 129, 49, 109, 220, 127, 8, 53, 72, 47, 54, 231, 38, 98, 242, 23, 112, 122, 97, 171, 107, 88, 153, 82, 175, 219, 183, 202, 193, 173, 234, 30, 99, 81, 233, 235, 67, 162, 36, 20, 68, 192, 127, 254, 213, 134, 94, 248, 154, 96, 50, 88, 158, 69, 177, 224, 81, 25, 57, 40, 239, 76, 85, 104, 12, 57, 133, 88, 73, 27, 238, 149, 233, 204, 47, 254, 210, 111, 80, 157, 47, 69, 241, 177, 197, 94, 82, 41, 59, 8, 135, 93, 46, 36, 55, 247, 60, 252, 162, 206, 62, 100, 131, 135, 74, 92, 37, 154, 57, 43, 16, 206, 109, 111, 198, 129, 182, 185, 17, 140, 137, 70, 1, 101, 26, 232, 161, 155, 72, 233, 229, 89, 153, 242, 40, 210, 191, 213, 120, 103, 116, 213, 145, 153, 188, 140, 35, 117, 141, 71, 182, 153, 236, 232, 144, 93, 74, 99, 88, 7, 187, 149, 31, 253, 226, 36, 50, 167, 124, 187, 110, 154, 204, 93, 173, 141, 212, 208, 0, 209, 136, 158, 16, 182, 231, 201, 214, 3, 200, 90, 237, 30, 57, 16, 236, 15, 145, 191, 71, 155, 62, 140, 207, 94, 165, 190, 171, 74, 69, 13, 87, 7, 205, 19, 60, 204, 21, 5, 204, 52, 49, 24, 237, 132, 38, 203, 137, 205, 155, 152, 155, 121, 53, 188, 152, 146, 47, 100, 47, 105, 47, 244, 98, 179, 24, 29, 40, 110, 218, 20, 7, 162, 116, 82, 155, 255, 209, 225, 52, 146, 186, 229, 150, 15, 59, 181, 216, 49, 4, 141, 201, 161, 50, 55, 95, 90, 108, 44, 84, 104, 221, 53, 30, 148, 57, 216, 2, 76, 25, 1, 222, 96, 210, 254, 194, 49, 25, 221, 128, 81, 94, 19, 244, 227, 124, 96, 172, 114, 208, 248, 45, 249, 201, 39, 65, 174, 188, 26, 156, 102, 169, 2, 123, 171, 7, 78, 186, 17, 170, 153, 29, 72, 9, 44, 235, 149, 206, 200, 146, 74, 215, 252, 76, 127, 44, 143, 147, 200, 73, 201, 251, 30, 112, 240, 35, 199, 195, 179, 236, 216, 59, 187, 48, 135, 24, 72, 119, 191, 173, 199, 171, 150, 11, 74, 156, 196, 82, 34, 100, 177, 185, 121, 138, 50, 197, 33, 128, 75, 31, 145, 206, 136, 81, 111, 66, 196, 111, 171, 248, 235, 20, 93, 29, 49, 129, 167, 127, 25, 26, 118, 22, 86, 185, 158, 15, 237, 241, 121, 101, 165, 155, 48, 230, 227, 244, 8, 143, 178, 185, 17, 105, 134, 82, 75, 216, 111, 143, 37, 57, 191, 217, 180, 113, 108, 151, 197, 252, 186, 182, 195, 17, 155, 157, 154, 199, 73, 12, 175, 214, 104, 2, 24, 64, 253, 40, 208, 71, 211, 230, 32, 109, 76, 228, 248, 210, 32, 102, 42, 130, 235, 117, 234, 180, 215, 91, 58, 111, 47, 109, 158, 185, 186, 1, 41, 150, 147, 94, 104, 85, 120, 133, 105, 128, 207, 251, 24, 9, 196, 118, 110, 219, 24, 111, 52, 142, 185, 155, 254, 144, 134, 72, 81, 46, 75, 125, 11, 206, 84, 199, 53, 43, 149, 106, 84, 27, 207, 80, 164, 121, 219, 51, 144, 131, 133, 0, 186, 54, 55, 54, 152, 193, 110, 79, 169, 208, 183, 144, 54, 8, 75, 180, 7, 161, 169, 212, 3, 254, 6, 119, 83, 115, 229, 123, 58, 31, 14, 38, 225, 48, 156, 229, 104, 74, 195, 207, 166, 133, 78, 180, 67, 151, 51, 170, 201, 82, 22, 216, 227, 10, 98, 30, 10, 201, 255, 201, 119, 66, 125, 218, 59, 3, 79, 130, 125, 239, 211, 75, 79, 55, 214, 35, 180, 20, 183, 152, 32, 176, 47, 127, 223, 76, 2, 225, 182, 73, 31, 207, 121, 182, 126, 95, 109, 111, 156, 31, 242, 42, 79, 138, 151, 231, 216, 104, 216, 98, 181, 119, 148, 14, 169, 95, 212, 83, 140, 52, 157, 68, 87, 20, 122, 67, 174, 203, 228, 184, 69, 26, 12, 190, 153, 33, 110, 155, 92, 161, 156, 109, 189, 8, 239, 221, 194, 201, 210, 169, 178, 200, 255, 88, 123, 103, 94, 38, 187, 153, 241, 181, 20, 157, 88, 227, 234, 233, 53, 63, 152, 210, 225, 221, 55, 173, 59, 163, 33, 105, 253, 62, 165, 81, 44, 189, 84, 72, 37, 221, 93, 134, 195, 183, 151, 95, 209, 173, 27, 141, 176, 160, 2, 100, 159, 70, 88, 48, 52, 221, 118, 135, 40, 117, 162, 123, 18, 139, 153, 218, 108, 166, 19, 71, 6, 33, 73, 101, 190, 30, 208, 94, 99, 7, 76, 126, 71, 35, 201, 97, 251, 156, 245, 170, 239, 45, 46, 233, 138, 158, 42, 70, 69, 83, 181, 70, 170, 116, 107, 85, 193, 117, 45, 16, 155, 184, 152, 148, 10, 165, 201, 41, 69, 201, 100, 200, 243, 197, 70, 132, 114, 200, 149, 90, 101, 158, 49, 84, 172, 71, 209, 82, 23, 23, 162, 33, 199, 111, 197, 196, 99, 83, 64, 26, 241, 187, 89, 123, 188, 167, 160, 157, 74, 101, 115, 48, 171, 108, 116, 249, 252, 128, 195, 251, 7, 236, 200, 54, 179, 70, 14, 233, 181, 70, 134, 231, 114, 184, 127, 135, 210, 137, 163, 23, 60, 32, 91, 245, 41, 83, 213, 96, 169, 144, 96, 4, 203, 208, 250, 217, 200, 151, 109, 43, 18, 73, 188, 217, 233, 187, 121, 127, 106, 205, 246, 93, 30, 239, 74, 98, 17, 228, 81, 104, 42, 177, 217, 240, 111, 112, 100, 220, 118, 169, 137, 146, 255, 232, 199, 241, 138, 239, 141, 24, 137, 45, 240, 132, 39, 167, 231, 14, 93, 3, 187, 119, 84, 75, 134, 173, 67, 90, 40, 186, 235, 247, 64, 58, 254, 161, 191, 205, 194, 123, 120, 122, 237, 254, 238, 242, 19, 242, 187, 239, 55, 50, 254, 24, 176, 25, 171, 127, 248, 46, 223, 93, 252, 206, 161, 22, 193, 84, 18, 135, 35, 11, 221, 162, 11, 225, 40, 149, 82, 102, 205, 165, 6, 82, 110, 67, 189, 103, 53, 102, 81, 23, 90, 6, 238, 51, 203, 229, 114, 79, 190, 173, 42, 196, 139, 188, 166, 156, 69, 44, 245, 228, 84, 40, 40, 82, 209, 6, 176, 176, 91, 87, 162, 214, 47, 70, 99, 141, 250, 230, 221, 19, 222, 142, 19, 106, 120, 189, 190, 217, 246, 108, 213, 238, 98, 122, 195, 35, 4, 248, 59, 157, 115, 131, 217, 237, 49, 189, 239, 116, 165, 240, 252, 124, 125, 210, 149, 230, 18, 185, 189, 220, 220, 9, 79, 216, 7, 207, 201, 33, 71, 147, 104, 254, 106, 48, 226, 124, 212, 34, 20, 156, 32, 31, 75, 86, 144, 255, 37, 52, 156, 170, 66, 112, 18, 154, 20, 64, 26, 210, 50, 206, 68, 99, 42, 156, 204, 150, 229, 54, 59, 213, 170, 216, 17, 248, 245, 121, 67, 126, 197, 48, 128, 202, 126, 39, 111, 133, 235, 205, 6, 79, 43, 231, 120, 141, 196, 147, 156, 170, 89, 41, 26, 54, 168, 113, 41, 197, 73, 173, 248, 209, 72, 61, 107, 185, 253, 40, 226, 226, 244, 208, 242, 167, 44, 20, 145, 213, 193, 216, 20, 77, 6, 63, 92, 63, 164, 104, 140, 173, 150, 74, 242, 158, 224, 133, 28, 0, 116, 171, 124, 32, 83, 231, 163, 233, 80, 28, 150, 73, 202, 143, 198, 2, 21, 15, 206, 130, 24, 97, 162, 251, 221, 26, 119, 111, 242, 242, 174, 85, 85, 35, 19, 11, 251, 155, 119, 38, 201, 198, 47, 240, 81, 210, 184, 196, 222, 60, 84, 251, 221, 211, 163, 181, 237, 226, 168, 66, 60, 9, 184, 111, 155, 15, 85, 155, 226, 43, 33, 191, 36, 87, 251, 90, 43, 198, 206, 228, 104, 222, 4, 14, 187, 28, 247, 164, 159, 70, 150, 190, 0, 79, 208, 77, 89, 98, 136, 55, 84, 218, 43, 29, 126, 188, 74, 173, 248, 17, 172, 251, 214, 45, 246, 99, 102, 98, 120, 73, 195, 231, 237, 194, 23, 241, 141, 148, 41, 246, 17, 70, 140, 58, 157, 50, 199, 200, 230, 121, 168, 112, 105, 202, 13, 166, 211, 101, 67, 82, 26, 58, 220, 142, 43, 156, 90, 224, 43, 184, 96, 28, 216, 138, 28, 160, 167, 13, 121, 9, 71, 132, 32, 228, 242, 248, 85, 29, 77, 221, 27, 228, 182, 195, 182, 235, 88, 5, 177, 181, 33, 110, 235, 66, 5, 94, 248, 59, 244, 57, 44, 26, 82, 164, 19, 153, 231, 160, 41, 99, 173, 144, 196, 56, 183, 249, 184, 182, 182, 179, 134, 171, 197, 77, 16, 98, 121, 199, 54, 119, 142, 184, 246, 97, 162, 144, 63, 173, 202, 131, 111, 251, 57, 209, 29, 99, 76, 213, 162, 78, 40, 111, 215, 174, 116, 85, 129, 81, 99, 217, 15, 148, 107, 187, 248, 203, 223, 158, 149, 112, 25, 24, 181, 146, 249, 150, 114, 207, 169, 36, 174, 61, 197, 62, 93, 126, 232, 224, 124, 74, 36, 251, 115, 189, 72, 152, 133, 132, 57, 255, 76, 82, 150, 170, 207, 21, 232, 28, 72, 95, 119, 229, 187, 2, 199, 236, 151, 35, 195, 172, 216, 12, 137, 84, 134, 197, 110, 117, 77, 155, 76, 44, 6, 193, 7, 214, 26, 142, 201, 151, 109, 40, 144, 80, 192, 174, 74, 231, 236, 74, 114, 79, 196, 220, 166, 213, 15, 74, 201, 210, 53, 198, 240, 29, 138, 134, 46, 123, 200, 22, 94, 36, 73, 166, 166, 148, 143, 78, 3, 77, 75, 201, 200, 253, 138, 20, 31, 17, 65, 254, 122, 68, 110, 135, 191, 18, 37, 99, 219, 168, 155, 242, 234, 124, 91, 40, 169, 168, 75, 248, 220, 68, 85, 103, 238, 68, 53, 105, 79, 78, 106, 178, 115, 27, 0, 3, 231, 78, 254, 236, 65, 111, 102, 243, 4, 143, 244, 244, 132, 246, 165, 238, 98, 227, 53, 1, 13, 120, 38, 27, 197, 105, 155, 60, 200, 59, 137, 26, 65, 198, 186, 218, 118, 105, 142, 92, 162, 129, 110, 33, 172, 223, 198, 255, 239, 25, 228, 235, 234, 67, 91, 139, 163, 109, 76, 49, 184, 50, 158, 59, 197, 103, 27, 228, 254, 189, 71, 147, 147, 194, 40, 17, 72, 149, 99, 217, 26, 56, 177, 122, 153, 82, 148, 95, 249, 135, 185, 69, 51, 236, 251, 168, 78, 2, 188, 65, 141, 168, 120, 39, 44, 242, 71, 235, 171, 159, 230, 241, 62, 196, 21, 150, 226, 191, 173, 196, 24, 90, 251, 85, 151, 121, 100, 169, 130, 177, 77, 142, 117, 102, 173, 246, 193, 24, 251, 177, 201, 192, 56, 210, 157, 25, 152, 124, 182, 238, 196, 194, 204, 16, 121, 144, 5, 208, 203, 248, 224, 214, 118, 251, 45, 161, 249, 207, 242, 217, 89, 211, 237, 67, 138, 145, 109, 148, 108, 223, 19, 133, 254, 28, 86, 198, 107, 9, 68, 235, 145, 201, 184, 122, 127, 204, 43, 127, 187, 26, 142, 162, 57, 153, 173, 88, 26, 222, 54, 160, 101, 222, 237, 244, 16, 191, 62, 255, 9, 182, 70, 123, 127, 228, 39, 199, 153, 241, 163, 182, 3, 230, 254, 91, 128, 109, 169, 87, 38, 73, 34, 202, 107, 1, 205, 79, 46, 24, 53, 69, 162, 81, 93, 7, 2, 138, 74, 65, 13, 220, 199, 229, 9, 164, 246, 62, 112, 109, 215, 71, 158, 75, 104, 15, 212, 203, 225, 176, 193, 43, 192, 34, 246, 212, 47, 190, 70, 14, 214, 98, 46, 189, 148, 165, 194, 19, 117, 17, 247, 197, 199, 15, 64, 245, 41, 123, 54, 153, 251, 12, 135, 49, 114, 181, 100, 124, 122, 123, 228, 5, 56, 77, 212, 248, 138, 47, 63, 12, 206, 213, 198, 58, 229, 152, 1, 127, 132, 64, 194, 173, 116, 87, 34, 66, 140, 28, 144, 52, 105, 180, 137, 141, 214, 158, 134, 208, 177, 244, 239, 120, 212, 101, 16, 1, 52, 190, 118, 138, 61, 47, 57, 193, 113, 15, 74, 194, 192, 200, 109, 213, 176, 13, 140, 12, 79, 248, 151, 154, 110, 247, 197, 195, 226, 101, 185, 218, 82, 104, 155, 169, 58, 63, 78, 36, 56, 133, 92, 98, 90, 167, 233, 199, 26, 189, 222, 117, 89, 100, 147, 128, 51, 155, 51, 171, 230, 218, 40, 53, 196, 250, 196, 158, 35, 253, 133, 158, 183, 190, 216, 180, 80, 138, 45, 8, 45, 143, 218, 118, 134, 207, 4, 202, 123, 71, 244, 92, 232, 173, 177, 200, 237, 10, 215, 55, 156, 206, 203, 68, 94, 227, 56, 126, 101, 191, 70, 81, 251, 162, 106, 12, 176, 141, 52, 172, 233, 236, 155, 135, 212, 75, 27, 33, 129, 64, 86, 50, 246, 99, 249, 70, 109, 50, 130, 137, 204, 20, 235, 46, 199, 32, 26, 64, 109, 120, 62, 50, 91, 136, 207, 199, 193, 220, 230, 47, 169, 219, 106, 204, 246, 161, 117, 63, 94, 45, 46, 103, 245, 55, 249, 153, 59, 137, 48, 198, 68, 90, 148, 80, 110, 43, 165, 16, 157, 246, 90, 67, 28, 165, 182, 204, 170, 139, 98, 170, 196, 26, 67, 172, 147, 9, 250, 168, 20, 140, 221, 129, 245, 39, 2, 70, 189, 159, 217, 113, 12, 217, 128, 206, 236, 135, 110, 158, 172, 146, 91, 134, 9, 212, 81, 185, 99, 106, 51, 32, 83, 139, 201, 25, 199, 84, 200, 158, 225, 179, 83, 240, 242, 100, 86, 48, 21, 186, 51, 141, 52, 181, 248, 186, 121, 231, 92, 194, 64, 78, 129, 194, 129, 210, 221, 207, 94, 65, 17, 37, 230, 209, 140, 84, 202, 219, 228, 88, 249, 103, 233, 120, 114, 48, 47, 146, 239, 68, 196, 68, 172, 223, 226, 70, 110, 60, 93, 104, 84, 108, 13, 186, 175, 127, 19, 89, 66, 196, 33, 123, 86, 202, 18, 223, 223, 208, 219, 66, 172, 133, 124, 123, 3, 150, 183, 143, 225, 41, 142, 74, 15, 243, 11, 0, 238, 206, 173, 128, 86, 122, 190, 48, 69, 104, 142, 224, 215, 212, 182, 157, 243, 74, 213, 103, 67, 188, 171, 59, 102, 148, 40, 3, 58, 233, 2, 38, 29, 123, 43, 41, 2, 230, 131, 3, 132, 241, 89, 248, 31, 127, 235, 165, 101, 127, 154, 68, 197, 68, 106, 171, 152, 185, 233, 246, 65, 65, 91, 207, 129, 187, 83, 121, 159, 146, 125, 252, 14, 36, 100, 82, 97, 152, 191, 134, 183, 99, 109, 66, 38, 80, 73, 111, 72, 207, 243, 35, 218, 221, 125, 109, 182, 107, 46, 209, 104, 98, 35, 20, 61, 236, 157, 71, 206, 4, 174, 98, 149, 143, 124, 139, 97, 174, 87, 66, 51, 240, 181, 245, 96, 153, 53, 213, 164, 89, 143, 224, 71, 240, 214, 98, 246, 59, 197, 164, 88, 183, 116, 96, 175, 163, 13, 225, 105, 130, 4, 93, 216, 182, 228, 142, 192, 211, 171, 85, 140, 186, 45, 140, 98, 230, 96, 68, 208, 110, 92, 128, 204, 227, 212, 228, 167, 53, 69, 87, 134, 246, 24, 133, 240, 194, 247, 158, 26, 20, 68, 58, 57, 204, 19, 120, 96, 145, 121, 248, 112, 244, 112, 7, 171, 222, 193, 159, 198, 135, 213, 35, 67, 187, 20, 203, 237, 101, 57, 155, 4, 254, 222, 166, 234, 61, 144, 151, 34, 147, 163, 78, 226, 66, 202, 160, 142, 150, 129, 184, 120, 21, 30, 255, 133, 139, 16, 107, 36, 133, 223, 108, 98, 68, 14, 42, 36, 183, 128, 102, 36, 139, 53, 106, 150, 152, 95, 73, 44, 165, 252, 215, 239, 65, 123, 162, 166, 143, 139, 31, 248, 206, 75, 236, 139, 65, 24, 215, 214, 36, 163, 163, 255, 18, 33, 137, 29, 116, 143, 220, 228, 180, 105, 151, 80, 190, 117, 20, 195, 103, 179, 10, 45, 192, 35, 163, 103, 153, 251, 212, 234, 39, 167, 127, 157, 38, 53, 89, 238, 200, 180, 66, 215, 123, 104, 231, 179, 106, 184, 95, 110, 205, 150, 229, 86, 161, 88, 71, 14, 244, 107, 175, 26, 155, 180, 203, 143, 49, 54, 3, 107, 121, 161, 153, 224, 231, 97, 79, 202, 134, 61, 227, 22, 86, 181, 241, 251, 229, 42, 229, 153, 153, 18, 195, 28, 50, 110, 127, 61, 157, 254, 31, 218, 12, 128, 17, 173, 45, 238, 95, 98, 171, 47, 204, 246, 74, 188, 204, 229, 1, 18, 11, 225, 140, 19, 20, 118, 243, 94, 79, 247, 60, 78, 125, 213, 152, 217, 149, 11, 178, 197, 28, 122, 3, 192, 107, 88, 140, 11, 178, 150, 218, 173, 190, 210, 163, 113, 208, 162, 149, 145, 201, 19, 164, 8, 184, 62, 237, 141, 203, 14, 251, 198, 131, 61, 213, 54, 43, 30, 200, 190, 246, 243, 16, 162, 3, 181, 195, 49, 67, 128, 51, 191, 150, 243, 186, 186, 37, 154, 185, 194, 125, 200, 133, 190, 135, 107, 99, 54, 129, 205, 232, 109, 91, 224, 220, 121, 40, 151, 38, 251, 245, 181, 223, 204, 27, 90, 238, 201, 141, 130, 221, 140, 174, 86, 99, 231, 240, 176, 7, 40, 61, 246, 113, 224, 188, 186, 2, 252, 201, 64, 233, 176, 190, 172, 187, 161, 142, 172, 34, 163, 77, 115, 62, 233, 45, 65, 158, 151, 77, 122, 178, 93, 16, 64, 11, 9, 23, 34, 207, 48, 199, 225, 129, 27, 64, 46, 25, 133, 237, 230, 212, 29, 72, 101, 162, 244, 110, 242, 253, 10, 6, 177, 199, 226, 183, 36, 43, 209, 228, 223, 135, 109, 12, 159, 21, 62, 31, 18, 137, 35, 234, 124, 154, 29, 177, 219, 122, 59, 106, 103, 142, 34, 219, 242, 1, 189, 22, 130, 145, 241, 166, 139, 51, 10, 211, 82, 145, 83, 102, 59, 46, 46, 3, 200, 203, 141, 43, 139, 62, 131, 73, 175, 210, 201, 14, 205, 21, 55, 134, 89, 238, 231, 150, 83, 238, 170, 123, 194, 128, 80, 150, 179, 116, 236, 252, 119, 166, 236, 56, 144, 112, 218, 43, 73, 24, 4, 250, 129, 103, 89, 233, 193, 140, 250, 161, 52, 41, 106, 67, 39, 4, 195, 181, 181, 121, 220, 95, 77, 181, 3, 50, 2, 210, 77, 84, 34, 225, 135, 27, 217, 239, 58, 196, 129, 36, 66, 141, 9, 207, 127, 101, 67, 241, 104, 53, 32, 138, 163, 182, 26, 214, 72, 82, 6, 123, 150, 149, 167, 238, 100, 70, 102, 109, 31, 32, 6, 192, 71, 132, 217, 141, 134, 27, 12, 152, 207, 95, 122, 201, 68, 61, 96, 140, 198, 214, 241, 170, 118, 106, 198, 13, 80, 199, 16, 53, 133, 102, 179, 134, 233, 27, 125, 237, 73, 233, 170, 21, 54, 193, 7, 240, 21, 113, 229, 251, 134, 66, 200, 42, 102, 61, 184, 28, 189, 0, 114, 92, 75, 126, 86, 145, 223, 74, 10, 53, 186, 33, 171, 159, 198, 187, 27, 3, 74, 81, 224, 84, 3, 125, 245, 241, 164, 76, 51, 224, 219, 19, 140, 103, 149, 68, 243, 254, 117, 104, 182, 214, 93, 9, 195, 117, 230, 156, 235, 250, 25, 190, 168, 38, 4, 95, 115, 29, 174, 239, 112, 238, 10, 5, 66, 95, 173, 134, 79, 54, 107, 34, 9, 72, 57, 25, 242, 106, 162, 153, 79, 54, 152, 202, 110, 235, 207, 218, 105, 173, 161, 90, 212, 19, 166, 14, 57, 139, 107, 45, 218, 92, 244, 3, 153, 100, 68, 113, 244, 167, 248, 22, 241, 52, 216, 158, 96, 121, 109, 196, 106, 240, 166, 101, 210, 119, 161, 168, 171, 85, 248, 164, 147, 202, 243, 47, 66, 38, 213, 214, 183, 120, 2, 197, 63, 124, 22, 85, 82, 217, 166, 45, 202, 72, 197, 124, 26, 96, 223, 62, 15, 119, 231, 104, 89, 103, 179, 245, 234, 51, 71, 100, 30, 198, 92, 1, 212, 196, 103, 222, 180, 56, 145, 130, 200, 139, 192, 243, 101, 150, 19, 5, 193, 148, 191, 206, 90, 197, 185, 136, 101, 167, 90, 12, 206, 119, 79, 140, 27, 117, 33, 68, 45, 117, 172, 175, 56, 139, 84, 127, 223, 202, 102, 130, 248, 30, 45, 244, 90, 214, 48, 71, 6, 183, 21, 244, 137, 7, 178, 134, 255, 95, 130, 167, 243, 245, 139, 61, 215, 38, 161, 232, 51, 33, 140, 59, 125, 37, 37, 253, 45, 117, 49, 28, 180, 93, 221, 157, 241, 202, 211, 0, 91, 249, 117, 4, 45, 247, 12, 121, 241, 111, 194, 78, 71, 135, 186, 145, 217, 215, 91, 125, 15, 150, 210, 180, 237, 170, 185, 152, 124, 162, 177, 40, 59, 72, 40, 216, 91, 168, 42, 220, 80, 3, 183, 224, 251, 212, 243, 120, 73, 161, 131, 131, 160, 34, 228, 146, 247, 135, 38, 144, 43, 229, 208, 180, 38, 160, 78, 226, 162, 95, 35, 117, 50, 153, 188, 4, 110, 29, 27, 90, 56, 150, 175, 239, 167, 103, 188, 159, 206, 124, 132, 104, 205, 195, 68, 173, 212, 59, 254, 136, 239, 161, 104, 107, 193, 112, 212, 177, 244, 221, 212, 247, 161, 83, 83, 243, 213, 89, 255, 180, 92, 204, 155, 170, 92, 237, 102, 226, 101, 47, 21, 206, 163, 194, 108, 192, 98, 31, 224, 114, 167, 37, 240, 67, 220, 149, 144, 206, 154, 58, 226, 218, 223, 5, 10, 198, 113, 188, 213, 37, 185, 155, 249, 140, 79, 205, 150, 73, 28, 234, 250, 235, 167, 16, 175, 208, 195, 3, 193, 184, 15, 149, 238, 86, 61, 88, 33, 22, 43, 209, 30, 130, 113, 149, 107, 221, 161, 56, 9, 111, 207, 179, 236, 102, 10, 78, 56, 89, 88, 211, 113, 234, 84, 143, 9, 58, 249, 87, 189, 197, 195, 99, 71, 108, 184, 151, 210, 141, 201, 3, 146, 71, 250, 7, 178, 61, 167, 246, 117, 79, 117, 161, 37, 101, 40, 183, 206, 201, 220, 91, 229, 27, 51, 101, 61, 110, 247, 145, 246, 189, 51, 32, 205, 251, 51, 18, 142, 243, 60, 128, 191, 110, 3, 248, 81, 38, 148, 213, 95, 192, 43, 253, 46, 109, 122, 198, 170, 232, 43, 178, 3, 143, 140, 149, 170, 224, 36, 33, 84, 80, 49, 88, 183, 185, 232, 194, 189, 0, 114, 250, 166, 137, 183, 234, 205, 122, 205, 72, 23, 135, 211, 45, 242, 109, 180, 186, 77, 106, 58, 252, 227, 125, 49, 111, 64, 228, 13, 19, 155, 60, 192, 66, 180, 212, 92, 148, 123, 69, 146, 192, 241, 179, 53, 15, 80, 44, 106, 58, 159, 105, 164, 74, 163, 58, 59, 232, 60, 7, 109, 43, 87, 144, 237, 42, 95, 36, 202, 115, 130, 117, 191, 55, 59, 245, 115, 105, 97, 165, 92, 147, 213, 147, 22, 202, 59, 158, 177, 189, 205, 115, 37, 167, 171, 20, 144, 131, 142, 50, 154, 112, 98, 165, 243, 164, 234, 250, 240, 164, 188, 250, 200, 165, 207, 46, 193, 104, 222, 37, 104, 4, 252, 170, 98, 117, 178, 45, 1, 90, 122, 161, 109, 241, 136, 30, 227, 70, 35, 157, 157, 10, 21, 179, 110, 119, 101, 8, 87, 20, 109, 95, 12, 9, 169, 49, 191, 219, 152, 163, 212, 54, 1, 117, 9, 239, 130, 53, 219, 140, 221, 78, 93, 35, 121, 97, 50, 123, 142, 140, 112, 10, 206, 41, 170, 86, 76, 38, 226, 220, 21, 217, 48, 242, 221, 230, 170, 24, 144, 36, 51, 171, 6, 102, 130, 245, 8, 60, 83, 155, 137, 255, 228, 27, 26, 192, 254, 185, 81, 51, 190, 62, 128, 168, 183, 90, 1, 226, 74, 175, 59, 188, 141, 18, 169, 19, 221, 16, 204, 196, 64, 246, 219, 198, 12, 141, 46, 148, 43, 228, 148, 85, 158, 238, 105, 157, 92, 93, 149, 241, 209, 192, 117, 150, 102, 248, 70, 101, 67, 144, 143, 178, 159, 109, 173, 11, 62, 78, 3, 122, 215, 73, 174, 37, 233, 190, 57, 218, 17, 187, 111, 218, 251, 135, 217, 132, 229, 41, 29, 63, 139, 219, 88, 162, 237, 209, 14, 38, 232, 90, 162, 69, 166, 11, 102, 109, 115, 251, 42, 112, 181, 100, 152, 129, 209, 143, 161, 179, 168, 228, 187, 101, 149, 255, 186, 202, 199, 250, 41, 3, 32, 62, 103, 63, 167, 64, 33, 225, 42, 247, 173, 171, 208, 199, 207, 151, 93, 195, 75, 54, 164, 33, 243, 211, 72, 251, 142, 57, 208, 228, 8, 27, 88, 137, 244, 190, 201, 44, 184, 85, 121, 29, 194, 3, 143, 157, 116, 98, 79, 35, 134, 105, 4, 19, 147, 148, 228, 25, 34, 99, 243, 28, 185, 206, 151, 83, 2, 60, 12, 19, 216, 117, 127, 221, 121, 202, 60, 72, 213, 187, 207, 45, 204, 45, 8, 45, 207, 151, 117, 145, 35, 99, 85, 207, 237, 54, 117, 118, 37, 243, 47, 186, 244, 89, 22, 168, 137, 205, 98, 209, 96, 64, 226, 208, 227, 102, 211, 45, 240, 19, 234, 23, 7, 194, 195, 210, 253, 58, 187, 254, 43, 94, 133, 2, 161, 254, 219, 191, 229, 21, 61, 143, 148, 123, 43, 120, 188, 87, 76, 207, 176, 164, 168, 246, 63, 3, 212, 237, 237, 252, 123, 112, 133, 125, 124, 170, 34, 3, 62, 143, 100, 104, 196, 97, 244, 84, 21, 236, 174, 48, 185, 187, 197, 211, 48, 125, 165, 213, 2, 236, 168, 92, 187, 63, 36, 243, 100, 231, 125, 5, 179, 211, 164, 82, 251, 209, 231, 233, 131, 196, 215, 203, 25, 148, 6, 201, 37, 131, 191, 97, 21, 232, 96, 194, 202, 247, 82, 199, 137, 192, 36, 172, 4, 150, 164, 168, 42, 73, 136, 83, 185, 7, 51, 108, 50, 222, 120, 93, 2, 113, 157, 161, 112, 193, 175, 134, 71, 35, 21, 151, 252, 144, 106, 67, 92, 89, 146, 13, 73, 53, 80, 149, 66, 244, 111, 125, 88, 12, 11, 64, 36, 168, 112, 64, 191, 42, 205, 245, 2, 248, 104, 214, 14, 6, 80, 65, 236, 229, 204, 214, 55, 63, 71, 85, 123, 52, 36, 145, 152, 26, 151, 132, 188, 26, 110, 238, 133, 93, 76, 69, 197, 14, 15, 244, 238, 92, 8, 22, 183, 72, 155, 41, 48, 219, 164, 191, 45, 107, 132, 63, 59, 34, 100, 156, 211, 161, 165, 226, 51, 95, 73, 75, 41, 170, 252, 55, 142, 114, 244, 218, 192, 216, 153, 44, 121, 220, 50, 111, 1, 245, 105, 64, 81, 241, 208, 135, 239, 40, 143, 42, 213, 167, 214, 125, 132, 19, 221, 121, 232, 229, 133, 184, 18, 33, 114, 53, 239, 206, 36, 202, 251, 25, 210, 51, 231, 246, 164, 75, 201, 230, 179, 233, 190, 37, 72, 79, 40, 189, 179, 102, 222, 152, 19, 215, 238, 226, 230, 70, 253, 46, 178, 78, 249, 201, 86, 172, 135, 230, 63, 104, 218, 149, 77, 118, 82, 113, 59, 158, 181, 77, 97, 112, 17, 35, 246, 116, 127, 220, 73, 238, 133, 42, 106, 233, 34, 60, 246, 10, 175, 127, 38, 158, 116, 36, 224, 135, 193, 60, 116, 161, 143, 109, 213, 220, 107, 226, 27, 124, 112, 175, 205, 50, 250, 229, 79, 205, 214, 224, 246, 198, 33, 48, 185, 88, 135, 118, 126, 104, 138, 193, 144, 173, 98, 82, 77, 63, 33, 37, 178, 211, 214, 6, 178, 202, 227, 41, 241, 18, 100, 155, 191, 249, 137, 92, 158, 41, 95, 64, 39, 144, 14, 102, 172, 156, 192, 18, 37, 93, 220, 85, 130, 20, 86, 14, 34, 76, 84, 70, 187, 102, 84, 197, 39, 36, 94, 41, 188, 171, 10, 234, 112, 194, 54, 29, 209, 34, 37, 175, 29, 245, 167, 184, 44, 172, 166, 235, 20, 177, 46, 46, 224, 86, 71, 253, 209, 11, 56, 24, 225, 63, 34, 87, 254, 176, 248, 178, 81, 117, 112, 235, 195, 114, 118, 220, 175, 31, 110, 228, 87, 38, 182, 142, 109, 132, 7, 121, 83, 147, 239, 5, 237, 225, 47, 56, 108, 86, 220, 127, 60, 97, 83, 42, 26, 73, 43, 184, 83, 151, 155, 253, 160, 129, 80, 177, 213, 212, 84, 36, 209, 115, 42, 124, 104, 142, 61, 165, 64, 136, 58, 40, 138, 127, 207, 26, 133, 36, 224, 166, 88, 32, 247, 47, 112, 119, 170, 70, 99, 54, 151, 206, 120, 107, 41, 94, 246, 31, 50, 97, 180, 242, 229, 254, 189, 25, 50, 101, 38, 232, 79, 149, 227, 229, 206, 172, 1, 105, 47, 161, 243, 129, 153, 36, 224, 106, 219, 228, 62, 62, 146, 58, 144, 199, 127, 57, 83, 24, 77, 205, 239, 59, 138, 152, 251, 107, 84, 189, 24, 221, 181, 84, 142, 28, 114, 0, 85, 223, 131, 123, 165, 252, 87, 102, 111, 199, 18, 120, 100, 69, 91, 155, 199, 53, 185, 44, 202, 224, 212, 117, 162, 212, 244, 87, 64, 65, 221, 180, 220, 72, 11, 133, 41, 123, 108, 38, 203, 93, 64, 121, 113, 250, 207, 202, 16, 78, 136, 140, 20, 215, 135, 197, 85, 164, 94, 254, 134, 8, 127, 66, 205, 64, 219, 169, 147, 21, 255, 144, 190, 242, 222, 178, 106, 16, 136, 202, 219, 241, 148, 3, 156, 118, 188, 3, 145, 194, 158, 170, 219, 119, 223, 164, 108, 128, 61, 75, 105, 59, 75, 112, 80, 217, 167, 46, 117, 45, 38, 180, 147, 145, 26, 181, 95, 254, 97, 126, 68, 189, 187, 175, 223, 55, 152, 225, 101, 193, 171, 216, 219, 110, 180, 79, 233, 60, 6, 231, 171, 214, 40, 51, 58, 61, 3, 121, 91, 81, 126, 60, 204, 233, 47, 255, 89, 57, 64, 15, 143, 242, 99, 187, 89, 198, 236, 214, 202, 217, 138, 234, 101, 136, 242, 239, 41, 223, 89, 26, 7, 229, 42, 11, 98, 210, 240, 135, 247, 214, 71, 58, 134, 238, 227, 93, 3, 188, 159, 205, 241, 53, 238, 102, 30, 3, 58, 43, 150, 31, 125, 158, 190, 161, 193, 183, 246, 183, 140, 31, 88, 137, 168, 58, 222, 140, 43, 107, 101, 49, 146, 119, 55, 156, 169, 50, 148, 56, 142, 198, 133, 133, 90, 43, 128, 120, 143, 47, 46, 149, 28, 62, 178, 82, 141, 40, 11, 17, 204, 160, 144, 196, 39, 231, 184, 34, 185, 230, 153, 110, 34, 73, 89, 133, 155, 14, 104, 99, 25, 19, 121, 20, 253, 206, 191, 20, 79, 254, 250, 207, 153, 252, 56, 162, 156, 80, 234, 239, 226, 20, 232, 20, 220, 70, 17, 41, 176, 107, 13, 124, 81, 11, 173, 79, 214, 104, 248, 14, 43, 149, 162, 33, 191, 34, 215, 120, 38, 246, 146, 110, 199, 74, 0, 213, 106, 36, 83, 250, 230, 169, 250, 134, 182, 2, 151, 42, 118, 120, 126, 89, 237, 109, 225, 239, 72, 56, 127, 173, 227, 61, 91, 184, 6, 57, 179, 74, 32, 174, 206, 189, 121, 101, 71, 240, 217, 33, 67, 117, 3, 125, 172, 140, 224, 145, 254, 250, 84, 151, 175, 91, 8, 169, 24, 69, 165, 11, 170, 63, 86, 89, 65, 134, 236, 144, 73, 30, 112, 120, 18, 251, 7, 161, 87, 44, 139, 125, 181, 117, 48, 234, 105, 124, 247, 60, 130, 5, 163, 74, 186, 218, 219, 176, 238, 137, 119, 174, 59, 107, 77, 95, 215, 43, 4, 253, 183, 246, 82, 164, 162, 167, 230, 71, 210, 143, 44, 252, 113, 84, 100, 214, 192, 8, 118, 19, 95, 247, 18, 20, 114, 162, 150, 213, 50, 94, 50, 129, 137, 92, 174, 29, 38, 42, 116, 12, 142, 23, 174, 177, 213, 88, 108, 246, 216, 87, 188, 60, 39, 121, 31, 222, 175, 37, 190, 58, 136, 224, 59, 197, 207, 90, 233, 69, 150, 116, 194, 200, 101, 150, 170, 88, 169, 150, 66, 138, 142, 128, 10, 198, 117, 227, 176, 170, 216, 24, 36, 230, 63, 87, 21, 102, 42, 102, 111, 148, 211, 230, 25, 50, 139, 189, 71, 107, 140, 55, 253, 223, 183, 57, 178, 65, 223, 53, 83, 238, 114, 49, 72, 204, 233, 104, 38, 225, 175, 73, 65, 161, 196, 124, 227, 11, 71, 28, 181, 126, 197, 75, 167, 63, 8, 168, 48, 193, 1, 155, 111, 172, 44, 68, 91, 63, 89, 197, 178, 180, 146, 200, 90, 106, 85, 50, 122, 218, 180, 20, 169, 236, 57, 107, 60, 106, 225, 21, 87, 140, 146, 182, 113, 159, 67, 147, 67, 55, 45, 17, 91, 175, 244, 246, 44, 73, 159, 114, 190, 43, 217, 6, 226, 110, 136, 244, 185, 251, 148, 112, 123, 219, 239, 97, 56, 31, 136, 251, 193, 252, 169, 125, 193, 163, 170, 231, 114, 115, 255, 155, 207, 237, 248, 115, 144, 1, 9, 49, 109, 210, 221, 200, 79, 99, 234, 169, 43, 118, 115, 18, 109, 216, 35, 59, 210, 153, 35, 91, 205, 181, 105, 205, 37, 148, 94, 107, 7, 121, 151, 43, 162, 152, 233, 78, 154, 70, 65, 38, 109, 23, 80, 103, 243, 243, 92, 146, 73, 62, 206, 104, 169, 83, 119, 76, 57, 1, 52, 36, 40, 117, 8, 189, 0, 131, 249, 115, 199, 172, 68, 74, 199, 41, 189, 19, 20, 106, 38, 198, 121, 202, 79, 64, 176, 252, 248, 112, 93, 199, 150, 112, 52, 122, 179, 237, 50, 29, 183, 117, 130, 158, 167, 87, 187, 230, 135, 199, 203, 170, 27, 61, 136, 85, 84, 174, 88, 164, 242, 180, 183, 82, 95, 138, 75, 114, 44, 172, 167, 114, 85, 54, 222, 224, 104, 246, 251, 1, 229, 227, 62, 97, 173, 224, 139, 203, 37, 117, 57, 195, 77, 121, 98, 100, 237, 95, 123, 101, 115, 13, 192, 173, 145, 41, 250, 201, 130, 66, 196, 143, 216, 142, 166, 172, 241, 148, 93, 52, 250, 28, 79, 86, 191, 100, 223, 152, 209, 131, 247, 219, 76, 209, 143, 150, 95, 235, 54, 128, 182, 106, 12, 164, 148, 28, 100, 42, 39, 36, 224, 39, 212, 84, 159, 37, 211, 51, 171, 214, 122, 62, 44, 62, 229, 69, 18, 74, 159, 109, 114, 191, 13, 151, 88, 181, 146, 223, 219, 134, 227, 115, 147, 67, 235, 216, 94, 2, 10, 192, 101, 178, 43, 234, 225, 18, 206, 11, 72, 98, 147, 61, 70, 51, 108, 168, 138, 207, 196, 173, 236, 83, 109, 45, 240, 149, 73, 20, 247, 202, 82, 183, 191, 40, 98, 189, 103, 220, 115, 33, 121, 255, 150, 148, 246, 176, 244, 61, 124, 50, 33, 154, 208, 151, 184, 177, 46, 149, 210, 90, 70, 65, 69, 87, 36, 60, 139, 251, 128, 242, 12, 215, 147, 125, 14, 191, 29, 140, 112, 113, 119, 10, 248, 168, 173, 133, 13, 66, 110, 47, 143, 36, 152, 21, 121, 107, 60, 104, 183, 44, 214, 211, 38, 146, 43, 218, 27, 17, 55, 186, 198, 186, 205, 192, 121, 21, 197, 200, 33, 212, 215, 237, 81, 160, 55, 193, 239, 252, 57, 169, 114, 126, 20, 48, 42, 141, 23, 128, 68, 74, 202, 18, 247, 108, 3, 27, 86, 148, 14, 145, 27, 141, 233, 3, 139, 79, 173, 188, 160, 25, 179, 175, 127, 94, 58, 32, 60, 235, 240, 210, 179, 149, 139, 112, 73, 136, 26, 159, 185, 220, 63, 10, 48, 247, 150, 121, 176, 46, 145, 140, 250, 175, 127, 56, 108, 55, 102, 147, 114, 177, 190, 245, 165, 250, 128, 226, 254, 159, 252, 82, 105, 117, 49, 36, 34, 220, 93, 79, 1, 12, 216, 11, 167, 251, 223, 1, 160, 193, 242, 120, 92, 204, 207, 14, 236, 255, 26, 3, 141, 186, 68, 27, 118, 196, 221, 6, 18, 163, 240, 199, 123, 215, 93, 160, 19, 214, 153, 158, 5, 94, 128, 47, 119, 22, 99, 215, 85, 160, 107, 106, 21, 57, 203, 61, 215, 187, 215, 91, 87, 100, 237, 201, 189, 31, 72, 10, 98, 122, 213, 143, 77, 213, 239, 31, 7, 196, 32, 192, 253, 121, 237, 91, 112, 84, 46, 113, 16, 54, 44, 255, 82, 35, 88, 250, 96, 163, 196, 34, 180, 185, 75, 157, 110, 92, 163, 68, 59, 13, 58, 174, 159, 197, 184, 106, 5, 118, 35, 131, 153, 157, 220, 233, 226, 185, 156, 45, 137, 135, 46, 103, 118, 13, 91, 166, 76, 40, 146, 156, 10, 90, 34, 171, 132, 113, 88, 234, 219, 170, 53, 57, 190, 139, 55, 122, 234, 157, 160, 141, 229, 190, 212, 241, 216, 73, 152, 221, 232, 123, 200, 43, 77, 175, 195, 156, 41, 84, 108, 13, 137, 56, 2, 108, 220, 234, 65, 97, 149, 204, 237, 74, 34, 228, 158, 151, 202, 9, 80, 167, 183, 197, 149, 213, 5, 214, 167, 164, 197, 71, 64, 9, 91, 89, 207, 156, 59, 186, 39, 151, 77, 247, 3, 127, 167, 53, 59, 246, 232, 187, 146, 102, 182, 101, 253, 246, 143, 178, 155, 20, 231, 81, 242, 53, 237, 159, 212, 183, 114, 244, 168, 220, 144, 164, 188, 110, 183, 114, 224, 98, 177, 170, 74, 37, 207, 151, 103, 84, 74, 175, 145, 167, 255, 232, 84, 99, 200, 137, 21, 126, 219, 85, 240, 71, 252, 180, 212, 100, 29, 9, 64, 204, 170, 34, 160, 206, 73, 156, 195, 133, 8, 250, 174, 29, 86, 248, 241, 122, 210, 14, 203, 219, 72, 142, 248, 202, 200, 231, 23, 152, 221, 43, 184, 113, 39, 224, 104, 13, 222, 32, 62, 48, 150, 226, 221, 39, 106, 193, 124, 129, 65, 92, 244, 23, 48, 154, 188, 98, 248, 20, 19, 250, 93, 226, 67, 97, 175, 188, 209, 114, 33, 211, 164, 150, 1, 41, 107, 194, 168, 29, 32, 153, 209, 56, 133, 225, 21, 199, 165, 250, 60, 42, 63, 236, 28, 113, 22, 33, 21, 44, 164, 242, 246, 188, 171, 162, 238, 47, 202, 32, 171, 167, 223, 164, 211, 11, 63, 106, 122, 99, 148, 69, 43, 47, 1, 107, 28, 112, 73, 55, 150, 30, 8, 95, 121, 94, 31, 57, 212, 122, 166, 56, 188, 37, 229, 42, 223, 202, 34, 11, 219, 145, 6, 43, 153, 138, 187, 104, 158, 13, 25, 9, 211, 195, 116, 111, 201, 216, 232, 254, 149, 213, 185, 36, 131, 88, 130, 43, 167, 145, 90, 237, 186, 161, 16, 174, 146, 159, 105, 58, 136, 232, 58, 1, 95, 153, 5, 2, 129, 36, 138, 101, 180, 126, 161, 71, 48, 85, 159, 203, 23, 33, 196, 198, 178, 102, 241, 151, 134, 59, 176, 125, 224, 89, 253, 48, 171, 221, 83, 39, 34, 245, 13, 203, 109, 15, 2, 65, 161, 127, 157, 148, 181, 14, 70, 233, 238, 93, 253, 227, 49, 116, 181, 119, 255, 105, 54, 212, 150, 11, 14, 231, 158, 43, 4, 227, 105, 114, 102, 35, 121, 251, 133, 115, 225, 66, 110, 246, 132, 37, 65, 156, 70, 157, 136, 2, 246, 111, 146, 187, 231, 122, 224, 203, 105, 20, 93, 174, 83, 108, 249, 49, 132, 147, 122, 155, 133, 156, 218, 204, 79, 188, 138, 212, 49, 170, 22, 16, 3, 54, 164, 228, 10, 77, 214, 67, 236, 132, 18, 246, 85, 13, 105, 148, 237, 141, 95, 183, 64, 30, 181, 0, 88, 38, 6, 146, 14, 138, 235, 63, 2, 142, 47, 24, 247, 172, 75, 215, 140, 238, 187, 15, 141, 191, 196, 182, 191, 8, 40, 210, 187, 182, 230, 82, 159, 217, 213, 220, 95, 107, 145, 8, 139, 142, 201, 187, 82, 134, 240, 194, 50, 171, 183, 149, 189, 34, 67, 33, 119, 163, 255, 228, 102, 135, 18, 185, 123, 192, 59, 50, 115, 89, 107, 185, 171, 147, 146, 12, 204, 229, 169, 151, 230, 150, 126, 71, 106, 14, 252, 195, 83, 108, 21, 0, 216, 57, 131, 74, 68, 66, 155, 130, 181, 255, 7, 223, 225, 159, 178, 234, 86, 15, 211, 168, 187, 197, 210, 207, 136, 218, 152, 86, 97, 104, 57, 59, 160, 21, 184, 113, 163, 164, 231, 182, 40, 26, 130, 205, 209, 97, 122, 170, 126, 4, 79, 42, 33, 51, 124, 129, 120, 33, 36, 31, 7, 250, 0, 157, 249, 230, 92, 101, 250, 248, 13, 181, 226, 10, 201, 155, 203, 132, 249, 207, 0, 175, 211, 47, 123, 226, 209, 82, 103, 154, 114, 125, 66, 47, 225, 57, 229, 203, 198, 39, 133, 198, 37, 187, 49, 137, 84, 185, 135, 181, 31, 74, 112, 39, 158, 48, 251, 214, 18, 240, 43, 149, 222, 236, 37, 235, 150, 155, 240, 52, 48, 36, 115, 239, 132, 182, 174, 59, 77, 221, 190, 245, 146, 101, 70, 178, 189, 9, 200, 152, 101, 74, 232, 191, 43, 163, 41, 145, 230, 118, 221, 152, 196, 69, 172, 128, 120, 184, 76, 18, 25, 108, 53, 15, 74, 139, 107, 114, 69, 16, 143, 118, 185, 67, 163, 80, 55, 234, 245, 171, 214, 144, 223, 65, 19, 211, 164, 245, 80, 180, 46, 19, 17, 190, 0, 11, 71, 53, 6, 217, 182, 239, 111, 113, 179, 82, 78, 138, 159, 250, 235, 147, 127, 232, 67, 156, 39, 189, 168, 143, 132, 24, 43, 232, 89, 38, 130, 205, 84, 60, 76, 8, 186, 177, 19, 232, 174, 244, 206, 203, 217, 214, 13, 112, 2, 133, 110, 133, 93, 130, 11, 237, 56, 0, 165, 174, 254, 60, 114, 209, 137, 132, 23, 69, 164, 183, 92, 177, 224, 46, 193, 6, 176, 219, 246, 80, 96, 183, 216, 83, 142, 227, 85, 190, 0, 44, 42, 22, 141, 215, 125, 21, 10, 48, 152, 112, 84, 43, 214, 79, 211, 80, 205, 50, 183, 42, 181, 1, 171, 218, 15, 3, 124, 172, 15, 116, 156, 108, 94, 171, 222, 149, 246, 97, 33, 136, 92, 254, 44, 171, 56, 172, 242, 45, 88, 15, 193, 97, 151, 62, 114, 68, 158, 98, 216, 154, 226, 249, 82, 85, 181, 181, 139, 241, 174, 12, 79, 28, 61, 146, 250, 65, 128, 2, 122, 135, 155, 173, 15, 86, 217, 134, 96, 240, 193, 146, 160, 156, 110, 94, 143, 199, 234, 128, 173, 153, 137, 234, 1, 103, 115, 124, 120, 65, 212, 85, 117, 236, 82, 197, 197, 90, 62, 173, 205, 140, 87, 154, 197, 242, 210, 143, 226, 253, 142, 154, 204, 149, 215, 5, 150, 245, 13, 13, 0, 153, 47, 50, 224, 216, 69, 89, 115, 31, 1, 232, 145, 98, 218, 139, 107, 241, 113, 199, 205, 128, 93, 27, 120, 137, 203, 1, 49, 74, 81, 255, 185, 183, 251, 175, 143, 183, 135, 25, 197, 248, 224, 198, 217, 28, 19, 96, 136, 242, 58, 99, 161, 83, 158, 201, 42, 219, 13, 187, 24, 92, 175, 8, 109, 230, 156, 169, 197, 251, 34, 40, 164, 1, 228, 5, 138, 169, 3, 63, 48, 154, 195, 206, 251, 7, 151, 36, 167, 124, 113, 187, 68, 53, 153, 188, 50, 150, 223, 188, 88, 245, 57, 101, 114, 44, 17, 29, 235, 51, 173, 135, 24, 76, 186, 110, 235, 25, 255, 68, 68, 221, 194, 36, 217, 120, 25, 23, 200, 183, 9, 239, 202, 138, 230, 246, 86, 91, 164, 146, 101, 22, 37, 113, 177, 236, 252, 64, 194, 62, 203, 142, 74, 136, 6, 213, 36, 9, 0, 179, 56, 90, 19, 40, 104, 171, 19, 71, 18, 139, 169, 105, 126, 164, 160, 238, 14, 10, 135, 66, 160, 152, 50, 44, 138, 124, 173, 255, 161, 42, 2, 238, 159, 40, 200, 224, 184, 189, 27, 62, 250, 151, 142, 156, 70, 0, 253, 3, 48, 41, 122, 233, 168, 83, 23, 45, 41, 58, 76, 82, 201, 188, 217, 179, 37, 31, 254, 26, 132, 173, 103, 9, 149, 14, 148, 230, 91, 170, 159, 231, 169, 146, 85, 26, 229, 53, 23, 230, 40, 3, 97, 151, 74, 19, 26, 4, 175, 221, 150, 83, 131, 3, 209, 98, 233, 19, 229, 70, 159, 24, 39, 142, 140, 181, 188, 179, 74, 180, 82, 158, 133, 233, 162, 108, 43, 129, 196, 162, 124, 32, 45, 23, 128, 122, 165, 144, 197, 72, 212, 227, 220, 165, 86, 101, 101, 67, 94, 60, 113, 181, 36, 59, 205, 42, 46, 114, 67, 180, 206, 137, 149, 87, 218, 77, 158, 101, 78, 145, 24, 93, 215, 236, 108, 143, 83, 129, 62, 11, 242, 41, 165, 161, 29, 50, 195, 176, 33, 139, 141, 186, 2, 96, 71, 175, 137, 100, 120, 133, 155, 18, 122, 61, 181, 2, 196, 237, 206, 226, 16, 132, 116, 142, 231, 142, 74, 31, 221, 34, 185, 206, 228, 155, 148, 253, 141, 59, 37, 90, 199, 58, 131, 86, 165, 152, 167, 164, 233, 32, 210, 91, 136, 205, 91, 149, 180, 212, 83, 46, 54, 117, 109, 129, 120, 220, 212, 178, 231, 233, 154, 17, 91, 242, 38, 202, 45, 160, 132, 250, 148, 150, 182, 26, 246, 2, 91, 21, 69, 86, 151, 82, 15, 194, 52, 97, 135, 174, 232, 131, 18, 114, 169, 212, 220, 13, 220, 194, 214, 46, 77, 151, 62, 230, 159, 96, 120, 118, 194, 98, 237, 163, 150, 82, 162, 1, 169, 28, 60, 141, 3, 117, 172, 37, 104, 100, 135, 113, 106, 132, 165, 160, 164, 113, 245, 159, 82, 19, 156, 76, 187, 243, 73, 36, 80, 126, 136, 50, 173, 85, 213, 213, 240, 243, 194, 52, 68, 117, 173, 46, 187, 49, 204, 101, 177, 113, 117, 183, 179, 127, 140, 50, 236, 35, 15, 172, 247, 184, 234, 64, 130, 230, 192, 171, 29, 15, 32, 244, 113, 178, 156, 227, 41, 175, 76, 112, 145, 27, 149, 169, 157, 5, 231, 116, 153, 101, 85, 41, 205, 193, 246, 218, 246, 78, 131, 79, 213, 88, 93, 8, 168, 151, 211, 75, 33, 5, 230, 23, 23, 103, 32, 250, 129, 250, 40, 35, 57, 165, 20, 16, 78, 2, 8, 101, 54, 112, 106, 61, 77, 41, 41, 191, 25, 235, 80, 229, 74, 85, 155, 121, 89, 173, 74, 195, 79, 152, 111, 78, 13, 252, 224, 70, 235, 120, 134, 236, 153, 231, 103, 13, 25, 67, 172, 153, 107, 113, 67, 115, 0, 203, 200, 154, 30, 100, 172, 56, 206, 88, 89, 205, 149, 223, 92, 249, 198, 170, 250, 101, 85, 173, 244, 193, 127, 207, 17, 242, 55, 86, 69, 143, 129, 30, 173, 168, 76, 251, 136, 126, 144, 0, 69, 227, 186, 31, 121, 10, 232, 6, 123, 155, 64, 245, 42, 188, 251, 186, 200, 100, 183, 179, 146, 36, 38, 30, 112, 211, 13, 61, 199, 163, 23, 70, 63, 218, 196, 61, 99, 149, 6, 42, 102, 84, 203, 184, 111, 124, 68, 86, 13, 86, 11, 131, 181, 239, 148, 88, 108, 253, 38, 22, 165, 179, 45, 205, 57, 85, 16, 234, 158, 174, 164, 110, 44, 157, 153, 68, 63, 95, 149, 249, 132, 143, 18, 161, 232, 160, 12, 120, 26, 83, 134, 138, 204, 142, 6, 197, 69, 164, 232, 249, 122, 63, 18, 199, 208, 100, 8, 111, 134, 239, 53, 76, 183, 131, 144, 52, 138, 248, 248, 124, 241, 50, 87, 243, 173, 175, 35, 229, 201, 36, 139, 92, 5, 236, 175, 227, 26, 127, 154, 152, 11, 202, 245, 12, 109, 195, 80, 90, 220, 125, 61, 69, 236, 86, 170, 111, 81, 37, 56, 240, 196, 206, 117, 150, 192, 139, 70, 174, 186, 74, 121, 239, 158, 244, 69, 238, 168, 88, 10, 160, 116, 72, 79, 129, 137, 224, 187, 45, 221, 91, 115, 71, 43, 50, 78, 95, 6, 251, 79, 73, 176, 164, 143, 182, 1, 118, 242, 184, 8, 50, 29, 127, 235, 0, 115, 219, 38, 138, 249, 152, 1, 88, 245, 117, 141, 109, 191, 87, 12, 33, 81, 220, 86, 163, 76, 234, 71, 3, 173, 83, 240, 213, 161, 56, 27, 189, 15, 86, 108, 56, 218, 95, 88, 62, 19, 198, 6, 140, 179, 50, 137, 181, 111, 163, 218, 39, 207, 91, 124, 167, 216, 104, 225, 179, 209, 248, 40, 80, 197, 238, 234, 203, 110, 211, 229, 248, 23, 21, 20, 151, 90, 213, 223, 96, 37, 226, 248, 9, 141, 195, 214, 114, 101, 5, 7, 151, 160, 246, 169, 232, 73, 122, 18, 100, 204, 35, 25, 195, 232, 121, 121, 173, 150, 122, 121, 18, 239, 182, 126, 162, 166, 255, 136, 25, 77, 227, 34, 29, 156, 60, 6, 165, 230, 244, 94, 180, 187, 73, 4, 37, 11, 40, 81, 9, 238, 155, 79, 11, 191, 136, 236, 151, 70, 242, 22, 254, 246, 183, 32, 244, 37, 111, 216, 246, 36, 162, 77, 222, 15, 42, 71, 78, 24, 147, 17, 59, 139, 33, 76, 57, 181, 138, 58, 76, 165, 200, 37, 117, 251, 62, 174, 211, 44, 9, 132, 253, 159, 215, 67, 167, 13, 253, 185, 14, 16, 189, 24, 175, 81, 164, 204, 68, 237, 132, 104, 57, 122, 122, 181, 65, 235, 216, 161, 31, 174, 10, 237, 203, 212, 86, 231, 95, 114, 103, 56, 106, 4, 222, 71, 83, 209, 61, 136, 195, 207, 162, 177, 85, 74, 149, 234, 232, 132, 126, 107, 202, 103, 31, 89, 227, 107, 82, 3, 92, 85, 23, 169, 251, 182, 74, 37, 184, 148, 112, 219, 58, 29, 155, 13, 98, 15, 198, 82, 147, 254, 174, 143, 74, 147, 127, 218, 172, 178, 233, 101, 187, 253, 14, 219, 220, 136, 217, 217, 11, 0, 66, 9, 55, 99, 23, 231, 173, 183, 11, 37, 173, 24, 8, 139, 55, 93, 78, 237, 193, 34, 227, 179, 217, 176, 183, 122, 196, 135, 143, 192, 102, 162, 198, 124, 164, 69, 75, 167, 222, 231, 93, 12, 231, 114, 72, 170, 4, 201, 84, 104, 125, 37, 140, 241, 122, 64, 203, 103, 56, 90, 233, 62, 51, 78, 88, 144, 84, 186, 180, 24, 112, 185, 105, 161, 112, 73, 105, 27, 132, 54, 86, 17, 37, 201, 134, 10, 198, 6, 121, 163, 151, 210, 14, 163, 141, 175, 15, 84, 75, 83, 96, 244, 240, 116, 73, 199, 69, 38, 214, 145, 120, 153, 47, 252, 89, 244, 251, 214, 116, 190, 235, 147, 33, 203, 213, 28, 21, 175, 55, 86, 226, 52, 31, 153, 19, 176, 239, 30, 85, 157, 7, 54, 105, 9, 147, 5, 232, 174, 28, 139, 244, 166, 217, 145, 25, 205, 56, 48, 192, 240, 159, 85, 141, 148, 227, 230, 187, 105, 56, 54, 213, 24, 211, 51, 84, 219, 198, 185, 129, 213, 93, 158, 244, 156, 25, 232, 9, 141, 34, 236, 17, 209, 131, 134, 113, 61, 248, 201, 64, 49, 116, 157, 180, 192, 214, 102, 76, 169, 151, 151, 169, 30, 126, 42, 3, 54, 246, 60, 44, 6, 8, 31, 48, 31, 202, 19, 138, 139, 52, 21, 197, 162, 26, 221, 242, 125, 147, 157, 134, 184, 44, 31, 71, 56, 218, 220, 236, 204, 97, 145, 12, 239, 201, 188, 107, 34, 3, 235, 65, 168, 30, 94, 250, 212, 79, 104, 156, 207, 138, 170, 233, 245, 147, 53, 74, 125, 39, 123, 81, 172, 117, 228, 53, 130, 80, 249, 32, 166, 172, 50, 61, 28, 109, 135, 142, 5, 73, 33, 96, 158, 162, 58, 96, 120, 212, 14, 13, 10, 193, 52, 11, 139, 17, 87, 7, 187, 172, 129, 202, 129, 209, 165, 98, 34, 200, 114, 26, 35, 69, 238, 235, 110, 84, 43, 28, 78, 219, 229, 152, 236, 211, 61, 219, 104, 53, 3, 143, 113, 249, 17, 209, 194, 76, 96, 64, 196, 238, 154, 166, 162, 111, 91, 238, 221, 22, 92, 44, 76, 103, 235, 224, 201, 130, 60, 118, 16, 212, 28, 105, 59, 147, 17, 155, 213, 234, 156, 193, 159, 141, 63, 235, 101, 75, 131, 206, 190, 30, 81, 122, 138, 151, 63, 159, 133, 75, 113, 182, 58, 218, 206, 250, 221, 227, 195, 235, 237, 57, 198, 135, 176, 214, 6, 33, 106, 135, 38, 155, 245, 16, 207, 174, 66, 210, 75, 201, 243, 116, 60, 86, 90, 76, 62, 143, 11, 219, 162, 116, 72, 125, 20, 106, 216, 206, 98, 40, 82, 144, 156, 135, 105, 149, 46, 202, 218, 51, 50, 118, 149, 225, 82, 170, 156, 14, 67, 66, 54, 85, 24, 160, 130, 177, 173, 15, 44, 30, 177, 68, 52, 7, 106, 141, 190, 48, 37, 103, 134, 175, 163, 165, 234, 85, 7, 17, 88, 119, 50, 33, 45, 149, 7, 54, 203, 56, 149, 184, 132, 190, 122, 193, 168, 120, 10, 227, 146, 159, 156, 127, 145, 130, 220, 232, 221, 30, 92, 184, 157, 141, 174, 71, 188, 153, 58, 35, 75, 211, 169, 94, 19, 213, 251, 106, 27, 50, 154, 12, 29, 1, 143, 123, 64, 26, 235, 214, 243, 238, 92, 149, 200, 152, 55, 46, 179, 90, 186, 244, 179, 154, 137, 221, 136, 93, 83, 82, 151, 247, 124, 177, 188, 112, 184, 158, 229, 105, 106, 56, 173, 49, 240, 42, 64, 122, 196, 155, 29, 160, 161, 55, 178, 125, 74, 190, 23, 82, 25, 46, 12, 71, 40, 190, 117, 124, 175, 36, 187, 182, 59, 150, 76, 112, 98, 14, 188, 185, 19, 29, 55, 2, 206, 188, 123, 215, 120, 149, 172, 225, 74, 205, 235, 0, 125, 79, 177, 17, 211, 28, 202, 167, 223, 100, 239, 61, 144, 49, 29, 134, 23, 250, 80, 51, 156, 4, 24, 74, 73, 90, 46, 149, 56, 245, 75, 157, 213, 105, 166, 178, 76, 128, 216, 140, 207, 226, 122, 20, 219, 95, 195, 3, 35, 145, 103, 150, 223, 97, 146, 45, 93, 41, 75, 175, 83, 22, 109, 82, 74, 135, 4, 167, 208, 236, 130, 50, 221, 185, 11, 25, 0, 109, 44, 102, 221, 27, 61, 126, 245, 88, 66, 189, 85, 2, 179, 213, 22, 162, 33, 57, 122, 48, 28, 22, 125, 36, 200, 188, 216, 75, 85, 248, 142, 90, 174, 102, 183, 213, 28, 214, 225, 74, 114, 150, 40, 184, 102, 61, 17, 67, 122, 116, 213, 21, 101, 239, 243, 170, 46, 37, 228, 214, 251, 229, 96, 82, 235, 131, 212, 177, 165, 173, 205, 39, 243, 49, 165, 214, 48, 78, 22, 15, 69, 181, 0, 28, 14, 45, 127, 148, 59, 63, 4, 210, 125, 220, 163, 143, 37, 71, 187, 8, 193, 168, 77, 193, 61, 107, 74, 246, 159, 37, 112, 246, 64, 213, 204, 79, 227, 62, 218, 209, 69, 20, 47, 72, 17, 15, 35, 218, 242, 246, 181, 23, 190, 171, 3, 65, 43, 170, 23, 167, 61, 185, 57, 223, 86, 1, 188, 73, 212, 216, 72, 115, 224, 68, 183, 51, 156, 5, 141, 168, 196, 110, 14, 115, 252, 247, 27, 123, 109, 67, 42, 87, 73, 84, 98, 66, 209, 139, 181, 114, 139, 41, 217, 34, 19, 80, 102, 216, 21, 89, 56, 151, 135, 182, 89, 218, 209, 146, 77, 97, 28, 2, 143, 43, 72, 108, 188, 70, 67, 150, 41, 7, 209, 154, 119, 86, 123, 79, 227, 195, 124, 110, 126, 212, 25, 158, 235, 171, 61, 202, 109, 233, 154, 167, 183, 201, 206, 205, 75, 86, 30, 109, 60, 210, 214, 54, 3, 158, 123, 113, 125, 123, 73, 86, 181, 122, 138, 73, 95, 164, 175, 39, 215, 102, 181, 183, 220, 90, 32, 167, 190, 86, 139, 4, 68, 126, 77, 74, 247, 115, 46, 50, 149, 200, 10, 36, 19, 234, 36, 90, 208, 175, 60, 56, 158, 72, 26, 89, 39, 0, 232, 248, 117, 180, 68, 46, 155, 147, 209, 10, 77, 218, 202, 158, 122, 11, 40, 205, 152, 165, 103, 248, 204, 38, 14, 28, 10, 70, 45, 63, 221, 223, 116, 252, 243, 253, 167, 40, 117, 108, 252, 14, 22, 237, 182, 16, 151, 154, 91, 125, 230, 192, 60, 101, 176, 73, 208, 89, 254, 76, 28, 5, 192, 76, 7, 117, 57, 127, 132, 91, 172, 184, 81, 80, 192, 175, 177, 35, 204, 71, 42, 222, 128, 167, 219, 196, 106, 249, 127, 182, 242, 5, 26, 114, 211, 101, 100, 124, 180, 148, 193, 108, 154, 184, 120, 236, 20, 45, 75, 233, 32, 1, 132, 111, 198, 227, 239, 58, 70, 219, 100, 212, 99, 240, 53, 27, 88, 37, 57, 155, 243, 87, 45, 164, 95, 59, 243, 251, 38, 222, 46, 19, 202, 144, 214, 40, 94, 33, 25, 40, 203, 238, 110, 118, 49, 117, 37, 23, 86, 154, 30, 121, 69, 205, 2, 211, 62, 148, 239, 21, 248, 107, 96, 74, 12, 149, 216, 104, 139, 90, 98, 176, 40, 94, 243, 244, 35, 143, 234, 45, 65, 130, 28, 165, 84, 154, 18, 251, 209, 149, 35, 155, 59, 141, 37, 168, 92, 68, 62, 182, 200, 165, 83, 91, 30, 113, 12, 219, 74, 215, 70, 253, 37, 16, 243, 183, 4, 211, 196, 39, 45, 107, 135, 100, 40, 102, 61, 54, 62, 199, 104, 189, 176, 163, 121, 117, 90, 201, 212, 212, 132, 239, 39, 78, 55, 159, 140, 54, 37, 63, 217, 186, 236, 239, 199, 101, 29, 112, 215, 238, 73, 64, 92, 204, 195, 96, 147, 49, 163, 244, 209, 11, 228, 81, 182, 79, 139, 76, 39, 215, 27, 108, 156, 107, 168, 126, 200, 208, 238, 160, 253, 186, 18, 135, 99, 15, 78, 253, 58, 85, 62, 47, 187, 115, 171, 239, 86, 207, 200, 166, 114, 54, 51, 29, 54, 139, 44, 154, 25, 129, 11, 77, 36, 47, 120, 252, 98, 86, 63, 116, 17, 171, 134, 1, 197, 75, 232, 70, 64, 59, 234, 130, 162, 124, 238, 61, 85, 86, 55, 243, 141, 76, 226, 44, 58, 251, 43, 45, 188, 219, 120, 73, 87, 133, 255, 50, 27, 57, 126, 79, 142, 9, 75, 78, 195, 206, 223, 7, 34, 145, 72, 250, 61, 110, 199, 204, 117, 216, 166, 84, 146, 34, 90, 153, 93, 10, 44, 117, 185, 25, 185, 51, 52, 216, 95, 118, 76, 161, 253, 111, 138, 123, 29, 100, 168, 218, 136, 199, 126, 155, 26, 114, 60, 174, 94, 76, 223, 94, 74, 129, 39, 161, 63, 233, 145, 135, 82, 178, 14, 204, 214, 57, 33, 232, 17, 225, 77, 203, 73, 152, 68, 182, 97, 157, 67, 43, 241, 57, 3, 41, 224, 181, 241, 8, 213, 13, 33, 84, 155, 81, 100, 156, 88, 158, 206, 143, 56, 167, 73, 232, 200, 155, 135, 82, 62, 50, 29, 114, 234, 196, 27, 111, 108, 208, 152, 2, 85, 216, 108, 40, 12, 8, 14, 170, 45, 61, 232, 231, 221, 230, 109, 32, 121, 193, 209, 153, 100, 233, 12, 72, 100, 75, 52, 73, 63, 92, 81, 132, 24, 170, 78, 79, 45, 210, 234, 17, 2, 19, 142, 35, 196, 224, 70, 186, 142, 15, 45, 91, 210, 90, 60, 201, 203, 213, 172, 41, 9, 218, 135, 58, 222, 110, 219, 62, 103, 144, 136, 137, 138, 159, 101, 219, 24, 248, 151, 222, 150, 53, 206, 30, 55, 18, 111, 189, 70, 172, 135, 78, 43, 25, 151, 255, 35, 206, 183, 99, 170, 93, 5, 115, 201, 214, 255, 90, 16, 158, 69, 5, 44, 152, 7, 5, 100, 43, 150, 20, 249, 92, 237, 20, 1, 152, 134, 87, 221, 16, 0, 220, 46, 83, 215, 230, 22, 47, 59, 36, 236, 51, 33, 219, 172, 76, 128, 173, 10, 112, 13, 163, 5, 167, 86, 128, 231, 215, 118, 150, 7, 128, 214, 225, 221, 17, 213, 237, 251, 15, 63, 245, 78, 124, 230, 147, 154, 191, 19, 59, 131, 199, 246, 5, 79, 60, 103, 57, 31, 104, 157, 161, 16, 71, 247, 126, 239, 220, 184, 126, 255, 45, 15, 167, 207, 110, 254, 9, 167, 248, 219, 140, 47, 232, 43, 239, 69, 69, 150, 1, 1, 36, 82, 189, 138, 178, 22, 104, 197, 27, 90, 182, 115, 13, 108, 171, 62, 161, 43, 14, 23, 120, 227, 206, 150, 223, 94, 237, 214, 52, 252, 83, 71, 154, 59, 142, 165, 251, 166, 20, 141, 204, 40, 118, 52, 57, 25, 95, 82, 105, 58, 190, 151, 143, 184, 163, 227, 31, 186, 18, 52, 155, 83, 235, 25, 91, 237, 67, 15, 179, 95, 250, 133, 127, 85, 148, 42, 116, 237, 163, 105, 163, 30, 75, 14, 85, 137, 101, 224, 132, 164, 120, 172, 149, 86, 174, 133, 44, 149, 228, 139, 184, 32, 62, 155, 111, 107, 167, 156, 188, 254, 171, 64, 13, 103, 141, 29, 166, 245, 67, 148, 103, 201, 160, 174, 202, 227, 253, 14, 79, 228, 118, 157, 70, 76, 49, 213, 8, 135, 148, 111, 130, 63, 174, 221, 227, 124, 153, 220, 151, 209, 180, 235, 118, 221, 185, 103, 111, 211, 28, 48, 182, 96, 179, 22, 88, 203, 212, 62, 110, 101, 141, 226, 55, 4, 144, 116, 154, 25, 161, 54, 13, 115, 169, 167, 154, 65, 72, 219, 13, 22, 45, 127, 45, 36, 67, 200, 104, 151, 182, 111, 206, 163, 60, 56, 63, 237, 190, 230, 34, 158, 129, 219, 136, 183, 17, 5, 222, 130, 128, 244, 65, 211, 111, 182, 178, 26, 10, 181, 109, 67, 9, 44, 113, 138, 33, 213, 207, 118, 182, 212, 166, 89, 153, 129, 62, 176, 147, 187, 92, 118, 121, 2, 171, 157, 90, 206, 128, 214, 78, 143, 15, 172, 174, 232, 82, 96, 254, 243, 13, 134, 201, 69, 43, 82, 112, 218, 187, 47, 157, 230, 241, 26, 200, 211, 212, 160, 64, 169, 149, 109, 10, 61, 113, 51, 92, 30, 30, 170, 99, 248, 67, 134, 145, 96, 112, 197, 169, 32, 217, 80, 141, 107, 4, 144, 87, 85, 238, 149, 229, 29, 166, 26, 67, 46, 56, 159, 177, 131, 137, 184, 45, 82, 158, 91, 226, 231, 183, 88, 65, 93, 103, 63, 108, 31, 248, 62, 146, 153, 13, 99, 135, 226, 102, 186, 237, 126, 46, 116, 195, 44, 73, 219, 108, 114, 60, 155, 130, 233, 40, 97, 77, 69, 117, 120, 123, 233, 24, 110, 153, 94, 139, 224, 191, 73, 29, 82, 12, 43, 202, 145, 241, 84, 195, 202, 58, 159, 182, 251, 115, 134, 58, 157, 105, 64, 169, 160, 242, 174, 252, 192, 67, 56, 55, 0, 195, 13, 125, 7, 203, 225, 209, 153, 183, 92, 166, 203, 171, 25, 136, 35, 12, 77, 239, 124, 35, 163, 194, 172, 193, 242, 114, 156, 13, 236, 107, 235, 62, 202, 36, 37, 180, 209, 17, 123, 155, 73, 49, 101, 182, 104, 179, 47, 250, 70, 118, 171, 191, 207, 216, 228, 157, 171, 166, 249, 197, 16, 16, 109, 205, 18, 113, 178, 83, 158, 179, 166, 181, 226, 235, 101, 190, 150, 122, 158, 233, 183, 132, 121, 164, 92, 0, 255, 136, 182, 8, 157, 83, 238, 202, 110, 225, 214, 20, 200, 170, 178, 164, 239, 92, 135, 44, 80, 217, 49, 148, 112, 220, 251, 165, 209, 144, 109, 20, 109, 37, 211, 23, 165, 255, 135, 116, 241, 118, 81, 152, 56, 246, 175, 80, 111, 185, 188, 30, 178, 139, 130, 103, 40, 246, 240, 204, 219, 209, 198, 168, 93, 49, 152, 103, 41, 195, 152, 198, 215, 131, 255, 63, 140, 179, 57, 35, 109, 91, 225, 62, 215, 198, 26, 85, 202, 177, 151, 142, 152, 115, 22, 76, 208, 245, 144, 109, 250, 120, 112, 74, 205, 212, 231, 88, 67, 190, 15, 237, 220, 206, 153, 49, 22, 36, 222, 165, 3, 146, 34, 15, 42, 95, 172, 223, 44, 239, 37, 219, 68, 154, 149, 143, 93, 152, 176, 208, 37, 88, 15, 64, 7, 177, 180, 181, 169, 200, 64, 72, 181, 76, 155, 37, 24, 8, 168, 204, 104, 92, 243, 149, 142, 161, 141, 23, 95, 13, 108, 171, 127, 30, 236, 176, 117, 187, 193, 56, 236, 216, 93, 41, 246, 131, 223, 71, 176, 216, 68, 173, 155, 80, 233, 15, 80, 103, 200, 43, 146, 51, 61, 64, 216, 10, 25, 254, 178, 144, 245, 10, 215, 124, 165, 58, 208, 45, 176, 95, 221, 68, 131, 166, 94, 37, 219, 171, 164, 149, 73, 161, 143, 239, 12, 163, 149, 169, 137, 35, 119, 24, 27, 247, 78, 71, 135, 243, 27, 103, 8, 133, 177, 129, 74, 120, 16, 192, 76, 126, 49, 93, 221, 70, 176, 254, 252, 99, 182, 159, 224, 7, 149, 1, 237, 180, 209, 212, 233, 79, 233, 236, 183, 209, 188, 4, 151, 28, 3, 80, 168, 54, 88, 222, 236, 60, 170, 97, 162, 67, 55, 74, 103, 64, 175, 180, 54, 144, 209, 211, 139, 235, 89, 229, 178, 75, 89, 2, 151, 141, 79, 111, 84, 190, 30, 42, 179, 97, 6, 181, 151, 84, 196, 79, 76, 102, 168, 178, 36, 93, 68, 51, 195, 120, 115, 186, 4, 13, 204, 222, 74, 193, 20, 246, 187, 141, 22, 26, 132, 106, 155, 145, 251, 130, 63, 201, 90, 214, 191, 53, 48, 62, 202, 73, 136, 231, 81, 178, 241, 111, 110, 165, 202, 141, 65, 24, 210, 89, 250, 190, 80, 183, 52, 245, 142, 116, 117, 164, 186, 225, 125, 226, 157, 184, 23, 208, 1, 90, 52, 25, 173, 159, 87, 218, 63, 166, 199, 29, 190, 232, 166, 81, 133, 95, 253, 180, 143, 147, 207, 211, 19, 142, 84, 239, 207, 223, 252, 234, 56, 179, 49, 46, 77, 227, 112, 193, 111, 254, 215, 82, 71, 148, 233, 107, 79, 114, 208, 155, 203, 42, 103, 140, 100, 166, 221, 12, 147, 146, 51, 252, 102, 180, 242, 205, 5, 164, 9, 49, 210, 192, 161, 200, 169, 229, 209, 218, 106, 23, 186, 198, 59, 9, 221, 93, 42, 65, 19, 113, 128, 84, 101, 217, 175, 207, 191, 149, 237, 245, 132, 196, 6, 71, 154, 66, 214, 153, 21, 178, 54, 67, 146, 105, 56, 205, 58, 45, 59, 201, 155, 131, 61, 182, 5, 243, 103, 86, 103, 88, 229, 102, 41, 110, 32, 114, 253, 135, 219, 248, 51, 231, 80, 27, 13, 214, 212, 221, 30, 253, 224, 26, 81, 168, 211, 121, 161, 92, 168, 98, 149, 129, 230, 154, 136, 179, 7, 207, 134, 85, 99, 206, 70, 141, 227, 233, 83, 192, 24, 57, 217, 27, 75, 192, 95, 205, 2, 103, 207, 71, 59, 60, 20, 82, 155, 202, 35, 199, 247, 33, 0, 182, 175, 233, 168, 29, 47, 252, 76, 215, 253, 151, 74, 231, 24, 138, 220, 91, 109, 171, 239, 22, 220, 30, 155, 44, 253, 180, 110, 35, 46, 203, 238, 227, 106, 79, 216, 24, 78, 21, 159, 202, 95, 155, 97, 37, 4, 167, 28, 233, 66, 220, 31, 194, 168, 148, 120, 60, 88, 197, 149, 239, 233, 143, 75, 169, 93, 62, 22, 170, 101, 36, 125, 67, 237, 194, 69, 46, 20, 224, 160, 49, 197, 153, 197, 252, 203, 97, 236, 225, 164, 111, 118, 179, 18, 13, 253, 33, 213, 43, 44, 1, 180, 149, 77, 55, 62, 62, 24, 196, 148, 165, 100, 85, 85, 17, 218, 229, 241, 217, 216, 45, 133, 156, 94, 237, 31, 50, 127, 193, 131, 170, 82, 62, 105, 0, 176, 126, 54, 17, 211, 182, 211, 209, 225, 57, 108, 33, 48, 237, 133, 222, 78, 125, 173, 145, 42, 91, 249, 158, 163, 162, 183, 191, 165, 28, 236, 233, 137, 101, 220, 85, 195, 41, 100, 39, 44, 250, 224, 144, 57, 40, 215, 139, 165, 7, 216, 141, 97, 87, 253, 112, 239, 81, 139, 51, 53, 59, 210, 27, 92, 33, 13, 252, 190, 147, 63, 139, 211, 166, 94, 67, 4, 137, 44, 218, 44, 29, 145, 164, 2, 51, 42, 33, 214, 181, 84, 7, 8, 25, 149, 47, 96, 27, 154, 109, 159, 136, 123, 241, 100, 139, 65, 250, 74, 129, 234, 173, 157, 9, 237, 98, 172, 59, 21, 52, 142, 157, 51, 61, 219, 152, 253, 142, 175, 135, 243, 126, 244, 249, 157, 179, 61, 120, 54, 82, 17, 178, 253, 190, 115, 23, 201, 26, 222, 154, 39, 183, 74, 90, 206, 122, 150, 69, 148, 37, 50, 203, 6, 21, 92, 210, 222, 254, 242, 138, 169, 24, 26, 24, 67, 8, 81, 163, 188, 22, 93, 136, 114, 145, 136, 28, 73, 128, 76, 154, 50, 32, 208, 5, 29, 70, 221, 136, 247, 241, 234, 12, 236, 179, 63, 194, 204, 244, 130, 82, 42, 175, 166, 20, 42, 2, 9, 108, 170, 68, 217, 117, 206, 130, 59, 156, 84, 117, 242, 194, 60, 179, 139, 87, 151, 227, 57, 0, 104, 48, 127, 109, 165, 49, 200, 81, 109, 138, 244, 70, 21, 79, 65, 134, 84, 242, 196, 142, 204, 205, 157, 53, 150, 223, 171, 166, 116, 127, 201, 82, 64, 65, 230, 164, 133, 148, 225, 165, 230, 178, 243, 170, 124, 78, 105, 16, 124, 44, 240, 76, 62, 94, 203, 85, 65, 81, 141, 122, 141, 50, 184, 251, 246, 217, 62, 192, 219, 78, 204, 98, 196, 36, 186, 187, 57, 116, 160, 213, 81, 91, 46, 31, 249, 75, 203, 150, 224, 244, 99, 163, 163, 74, 144, 157, 138, 162, 252, 84, 229, 0, 119, 214, 52, 5, 197, 16, 151, 141, 30, 234, 163, 71, 2, 233, 110, 211, 100, 72, 125, 130, 162, 195, 104, 164, 44, 106, 117, 204, 45, 45, 212, 111, 208, 95, 142, 111, 177, 14, 71, 22, 133, 115, 179, 11, 160, 169, 17, 228, 22, 90, 204, 140, 54, 57, 200, 96, 255, 56, 223, 15, 175, 127, 228, 244, 188, 124, 58, 212, 241, 191, 185, 97, 110, 26, 221, 169, 213, 252, 84, 49, 36, 211, 36, 81, 252, 243, 30, 179, 242, 20, 238, 242, 42, 142, 118, 92, 94, 226, 202, 131, 233, 111, 72, 19, 233, 227, 2, 209, 33, 149, 255, 84, 166, 224, 80, 188, 66, 28, 81, 45, 55, 137, 116, 178, 212, 236, 240, 111, 82, 11, 111, 13, 55, 59, 59, 83, 233, 20, 17, 122, 218, 96, 234, 51, 115, 7, 86, 114, 140, 195, 120, 202, 230, 193, 182, 175, 150, 105, 97, 202, 91, 223, 15, 129, 102, 23, 180, 10, 100, 105, 142, 27, 129, 204, 111, 249, 160, 104, 179, 153, 245, 61, 86, 178, 218, 246, 197, 171, 107, 126, 227, 200, 113, 187, 79, 33, 15, 91, 152, 22, 234, 174, 194, 60, 121, 237, 27, 190, 139, 219, 70, 30, 71, 0, 194, 128, 188, 190, 242, 93, 254, 233, 255, 249, 177, 160, 127, 15, 94, 178, 154, 139, 147, 11, 59, 219, 41, 169, 228, 236, 130, 161, 66, 29, 73, 172, 158, 64, 108, 80, 49, 92, 236, 208, 36, 87, 92, 186, 209, 129, 120, 164, 78, 86, 125, 217, 108, 15, 56, 182, 156, 218, 4, 187, 210, 217, 77, 38, 135, 17, 169, 36, 190, 70, 106, 107, 123, 156, 126, 122, 65, 119, 59, 55, 6, 241, 243, 98, 11, 217, 9, 202, 155, 52, 55, 118, 113, 52, 180, 11, 164, 178, 125, 59, 130, 188, 191, 87, 243, 187, 16, 60, 132, 106, 128, 102, 81, 68, 84, 219, 40, 108, 53, 74, 85, 20, 111, 136, 117, 111, 152, 178, 130, 110, 42, 10, 22, 64, 12, 63, 8, 118, 84, 90, 56, 151, 217, 147, 230, 155, 238, 193, 87, 123, 66, 0, 189, 230, 250, 12, 205, 34, 114, 169, 50, 51, 146, 38, 12, 236, 57, 236, 96, 161, 123, 161, 49, 58, 127, 190, 138, 236, 58, 100, 28, 232, 121, 12, 90, 252, 38, 156, 116, 114, 157, 222, 102, 227, 162, 192, 104, 116, 101, 109, 103, 92, 189, 210, 104, 243, 45, 164, 241, 29, 198, 171, 144, 34, 195, 138, 21, 123, 167, 53, 137, 222, 202, 191, 50, 94, 124, 60, 237, 74, 59, 142, 148, 236, 66, 50, 124, 23, 84, 201, 186, 95, 156, 128, 254, 122, 28, 81, 45, 66, 22, 251, 141, 50, 112, 43, 199, 2, 178, 148, 178, 233, 174, 124, 173, 205, 151, 58, 116, 55, 48, 72, 190, 225, 162, 217, 129, 117, 55, 54, 179, 190, 212, 48, 251, 86, 180, 178, 182, 66, 110, 154, 25, 255, 172, 49, 104, 17, 223, 220, 5, 130, 148, 233, 187, 149, 169, 212, 34, 135, 163, 218, 83, 43, 56, 7, 40, 1, 165, 247, 247, 242, 142, 51, 67, 170, 238, 43, 9, 108, 163, 50, 85, 120, 222, 212, 96, 72, 143, 12, 210, 171, 16, 90, 165, 24, 114, 186, 41, 31, 180, 127, 184, 174, 193, 114, 191, 137, 123, 245, 107, 81, 170, 205, 8, 72, 200, 74, 2, 22, 13, 213, 0, 107, 109, 130, 134, 10, 188, 224, 146, 119, 188, 107, 46, 16, 199, 71, 131, 67, 53, 77, 241, 166, 246, 128, 82, 44, 82, 3, 182, 125, 121, 124, 207, 167, 93, 146, 184, 219, 18, 71, 34, 203, 119, 98, 3, 119, 86, 99, 0, 156, 197, 244, 201, 183, 141, 178, 12, 226, 72, 245, 108, 53, 72, 232, 77, 81, 31, 8, 169, 57, 221, 83, 238, 190, 188, 138, 127, 250, 212, 99, 139, 82, 95, 70, 86, 86, 66, 136, 79, 173, 29, 6, 70, 29, 39, 45, 41, 162, 183, 25, 142, 238, 196, 231, 171, 113, 157, 40, 144, 85, 192, 106, 12, 70, 201, 254, 77, 15, 172, 17, 119, 22, 153, 236, 103, 248, 189, 179, 157, 5, 34, 18, 13, 73, 2, 196, 172, 171, 174, 77, 172, 124, 154, 201, 22, 146, 195, 44, 44, 216, 90, 105, 194, 4, 81, 163, 58, 168, 172, 144, 90, 252, 163, 91, 73, 255, 254, 89, 30, 30, 165, 5, 175, 194, 215, 182, 31, 146, 99, 249, 198, 81, 28, 45, 47, 48, 149, 101, 97, 0, 148, 17, 124, 73, 184, 212, 3, 113, 25, 190, 151, 199, 182, 241, 122, 36, 178, 160, 126, 251, 78, 63, 3, 110, 234, 185, 141, 232, 138, 63, 64, 168, 18, 4, 30, 149, 138, 36, 216, 88, 184, 114, 19, 146, 121, 157, 173, 196, 225, 156, 84, 172, 54, 97, 175, 57, 165, 120, 119, 98, 230, 194, 69, 197, 188, 47, 208, 197, 197, 30, 13, 159, 165, 189, 46, 234, 30, 249, 101, 13, 15, 245, 156, 114, 84, 63, 155, 235, 62, 50, 200, 213, 143, 139, 121, 235, 238, 115, 207, 34, 242, 78, 140, 114, 151, 85, 144, 215, 240, 73, 99, 167, 140, 150, 133, 247, 110, 43, 255, 100, 58, 57, 36, 212, 89, 238, 20, 116, 75, 12, 18, 62, 217, 3, 228, 115, 204, 244, 76, 5, 198, 54, 59, 245, 222, 110, 91, 157, 167, 72, 129, 255, 46, 186, 85, 65, 53, 135, 45, 198, 228, 102, 195, 55, 184, 15, 219, 208, 245, 248, 234, 202, 141, 20, 6, 145, 51, 101, 92, 204, 26, 18, 43, 192, 56, 241, 104, 81, 167, 208, 243, 178, 9, 22, 98, 41, 26, 179, 239, 184, 216, 249, 52, 67, 143, 179, 138, 186, 130, 121, 23, 106, 231, 143, 23, 83, 159, 24, 224, 199, 202, 13, 58, 186, 33, 82, 116, 230, 197, 241, 173, 247, 88, 117, 128, 59, 102, 97, 232, 37, 5, 157, 194, 244, 74, 210, 39, 226, 66, 126, 130, 79, 128, 189, 110, 252, 103, 57, 12, 113, 21, 99, 81, 47, 79, 133, 99, 169, 124, 106, 76, 219, 130, 34, 105, 114, 33, 238, 125, 229, 138, 229, 164, 161, 214, 57, 121, 34, 80, 173, 108, 115, 166, 237, 210, 235, 118, 55, 157, 240, 111, 66, 49, 71, 233, 160, 20, 195, 71, 177, 201, 19, 223, 136, 219, 120, 73, 88, 238, 162, 167, 242, 235, 248, 2, 189, 12, 185, 131, 250, 232, 142, 105, 57, 16, 48, 187, 51, 13, 20, 103, 66, 63, 210, 86, 223, 6, 209, 65, 234, 181, 50, 11, 23, 226, 27, 233, 243, 74, 56, 117, 194, 85, 29, 57, 229, 223, 75, 64, 247, 29, 208, 153, 141, 168, 176, 157, 224, 139, 18, 234, 174, 103, 3, 217, 29, 216, 96, 175, 98, 209, 248, 169, 199, 63, 201, 197, 137, 230, 175, 32, 216, 197, 57, 33, 118, 241, 157, 90, 190, 110, 128, 54, 184, 30, 133, 137, 103, 220, 208, 186, 153, 117, 242, 148, 41, 111, 204, 219, 235, 134, 164, 196, 153, 146, 203, 116, 45, 118, 231, 55, 3, 133, 2, 217, 231, 91, 60, 250, 50, 196, 197, 149, 22, 205, 252, 156, 198, 187, 229, 196, 6, 101, 13, 223, 131, 203, 160, 95, 113, 239, 92, 190, 173, 206, 140, 219, 230, 154, 214, 207, 160, 193, 148, 193, 43, 11, 74, 81, 141, 116, 251, 38, 229, 120, 170, 102, 106, 229, 126, 252, 122, 71, 94, 166, 225, 168, 191, 90, 35, 204, 84, 16, 47, 19, 219, 82, 53, 41, 170, 21, 51, 245, 206, 115, 178, 124, 234, 7, 54, 131, 115, 242, 172, 206, 56, 164, 167, 215, 20, 11, 227, 224, 75, 159, 208, 34, 215, 245, 26, 215, 49, 136, 252, 186, 129, 171, 30, 29, 56, 157, 142, 243, 151, 200, 91, 86, 207, 42, 118, 26, 205, 177, 100, 47, 171, 238, 234, 193, 46, 244, 136, 191, 79, 3, 121, 122, 159, 218, 75, 247, 115, 13, 181, 131, 69, 55, 7, 252, 82, 32, 249, 112, 1, 194, 84, 190, 198, 22, 222, 219, 75, 33, 69, 27, 102, 242, 127, 157, 134, 66, 197, 13, 11, 158, 92, 120, 159, 157, 47, 130, 118, 52, 132, 248, 226, 45, 88, 60, 190, 244, 151, 147, 224, 39, 252, 145, 176, 142, 201, 127, 43, 15, 121, 70, 65, 14, 124, 174, 35, 139, 240, 86, 64, 116, 162, 10, 72, 107, 73, 53, 132, 56, 216, 244, 143, 52, 122, 46, 171, 70, 84, 115, 244, 9, 87, 201, 93, 248, 223, 73, 230, 136, 192, 93, 197, 37, 188, 127, 171, 19, 111, 98, 252, 108, 28, 53, 241, 227, 203, 214, 77, 185, 53, 157, 237, 87, 202, 19, 118, 3, 177, 23, 111, 246, 203, 157, 35, 203, 139, 253, 103, 254, 105, 176, 48, 20, 249, 218, 166, 100, 147, 116, 15, 190, 208, 142, 239, 46, 161, 95, 155, 198, 254, 94, 173, 224, 183, 26, 161, 110, 55, 45, 151, 19, 157, 181, 213, 248, 65, 111, 255, 162, 115, 179, 242, 20, 102, 11, 1, 231, 41, 7, 244, 181, 177, 82, 17, 249, 187, 224, 8, 57, 118, 45, 251, 89, 55, 101, 134, 162, 227, 20, 52, 147, 88, 248, 202, 163, 158, 229, 190, 210, 188, 245, 214, 68, 51, 34, 223, 117, 83, 34, 42, 38, 98, 64, 82, 67, 122, 106, 206, 136, 136, 150, 202, 189, 216, 228, 6, 80, 82, 179, 45, 95, 82, 232, 31, 11, 161, 154, 115, 12, 17, 223, 251, 150, 157, 220, 175, 206, 197, 175, 163, 135, 27, 61, 134, 36, 187, 74, 95, 127, 7, 188, 108, 177, 29, 199, 185, 110, 104, 44, 210, 39, 171, 51, 56, 53, 214, 171, 197, 220, 8, 215, 54, 10, 71, 72, 19, 2, 35, 196, 104, 234, 55, 112, 110, 191, 91, 156, 74, 139, 44, 106, 17, 133, 84, 127, 16, 232, 214, 205, 248, 242, 118, 199, 237, 87, 125, 204, 36, 212, 173, 65, 13, 66, 86, 202, 127, 251, 102, 188, 35, 86, 231, 36, 237, 120, 91, 228, 176, 202, 254, 67, 126, 230, 191, 72, 54, 192, 233, 213, 230, 17, 170, 140, 224, 132, 25, 157, 3, 118, 230, 235, 112, 231, 100, 83, 148, 124, 73, 172, 122, 72, 171, 236, 241, 35, 99, 17, 171, 126, 215, 215, 31, 217, 239, 254, 242, 149, 170, 18, 125, 102, 87, 101, 142, 80, 223, 231, 59, 63, 194, 158, 80, 106, 177, 62, 170, 104, 142, 111, 248, 243, 242, 227, 31, 70, 85, 71, 230, 194, 126, 90, 18, 42, 190, 70, 231, 67, 0, 202, 16, 61, 63, 154, 7, 34, 254, 185, 173, 27, 63, 3, 116, 241, 162, 50, 251, 93, 72, 220, 163, 131, 143, 159, 252, 188, 135, 23, 95, 36, 191, 189, 188, 208, 212, 230, 175, 252, 155, 225, 136, 216, 231, 89, 149, 50, 174, 88, 28, 194, 21, 200, 28, 195, 128, 150, 121, 250, 24, 102, 106, 166, 63, 74, 131, 19, 232, 214, 19, 179, 168, 224, 253, 6, 28, 231, 114, 33, 186, 252, 223, 111, 81, 135, 239, 144, 55, 192, 198, 120, 175, 155, 226, 169, 249, 152, 11, 24, 187, 246, 46, 5, 121, 182, 34, 156, 206, 120, 156, 118, 209, 255, 179, 131, 42, 130, 6, 197, 119, 82, 44, 243, 10, 155, 179, 250, 26, 61, 159, 32, 99, 62, 25, 244, 184, 22, 240, 122, 95, 111, 7, 200, 164, 54, 39, 181, 68, 149, 205, 229, 120, 222, 47, 203, 82, 29, 202, 251, 19, 24, 237, 14, 144, 75, 167, 160, 210, 123, 157, 135, 47, 105, 243, 151, 207, 108, 162, 73, 95, 30, 181, 92, 196, 217, 79, 64, 45, 191, 110, 114, 178, 154, 132, 208, 125, 182, 234, 216, 51, 88, 245, 148, 255, 41, 178, 85, 26, 208, 189, 222, 232, 183, 181, 233, 114, 122, 59, 232, 219, 135, 189, 225, 118, 18, 33, 84, 165, 224, 81, 141, 254, 110, 178, 250, 232, 133, 149, 171, 200, 46, 6, 16, 173, 75, 207, 163, 13, 148, 236, 15, 217, 113, 199, 226, 208, 73, 137, 80, 250, 130, 138, 167, 38, 196, 59, 165, 219, 65, 167, 191, 124, 143, 104, 254, 237, 18, 234, 194, 66, 162, 54, 246, 159, 168, 119, 59, 44, 139, 140, 122, 123, 49, 16, 23, 50, 18, 154, 252, 53, 131, 222, 245, 93, 157, 3, 21, 183, 23, 160, 15, 169, 145, 73, 208, 86, 31, 61, 50, 12, 21, 255, 221, 208, 56, 194, 30, 174, 119, 94, 254, 5, 215, 111, 102, 57, 0, 204, 117, 24, 161, 131, 179, 188, 44, 141, 193, 123, 4, 93, 154, 63, 196, 231, 146, 167, 219, 123, 26, 175, 155, 124, 64, 77, 26, 125, 186, 122, 86, 105, 100, 7, 60, 48, 245, 6, 153, 241, 52, 179, 145, 200, 110, 143, 220, 162, 192, 255, 21, 6, 245, 244, 166, 194, 134, 82, 184, 200, 198, 88, 55, 31, 186, 112, 67, 136, 45, 251, 84, 171, 93, 13, 54, 153, 212, 38, 201, 39, 170, 126, 81, 249, 59, 180, 237, 215, 154, 74, 47, 77, 146, 222, 161, 62, 65, 154, 209, 242, 175, 186, 213, 40, 120, 100, 156, 231, 234, 127, 11, 102, 148, 184, 118, 164, 203, 186, 110, 155, 72, 216, 12, 170, 191, 157, 77, 213, 92, 45, 205, 111, 222, 15, 75, 153, 220, 168, 104, 69, 0, 179, 212, 84, 201, 152, 160, 151, 144, 39, 40, 221, 64, 231, 123, 53, 194, 124, 175, 124, 108, 72, 137, 8, 152, 78, 196, 235, 245, 228, 103, 12, 173, 26, 26, 201, 48, 26, 219, 26, 176, 10, 88, 222, 190, 3, 120, 53, 49, 168, 254, 164, 248, 82, 254, 191, 241, 26, 132, 123, 77, 102, 78, 43, 78, 137, 233, 214, 187, 132, 111, 118, 36, 245, 152, 227, 103, 90, 68, 7, 26, 90, 113, 237, 254, 77, 172, 95, 5, 240, 65, 81, 105, 166, 181, 228, 198, 145, 94, 120, 93, 96, 118, 188, 28, 88, 147, 29, 68, 15, 208, 77, 125, 210, 111, 219, 155, 23, 172, 181, 190, 88, 137, 144, 120, 54, 154, 8, 47, 132, 60, 150, 150, 170, 152, 215, 93, 244, 154, 228, 126, 71, 14, 134, 22, 15, 79, 23, 61, 183, 162, 56, 69, 16, 7, 72, 255, 8, 110, 168, 159, 179, 113, 5, 118, 45, 85, 71, 250, 184, 111, 192, 11, 42, 47, 36, 26, 205, 198, 123, 136, 97, 67, 161, 76, 11, 159, 42, 156, 107, 60, 57, 39, 178, 190, 205, 159, 164, 105, 132, 1, 180, 137, 156, 17, 184, 193, 27, 142, 191, 113, 37, 168, 191, 200, 159, 137, 221, 41, 59, 101, 1, 27, 214, 185, 248, 14, 171, 54, 1, 111, 152, 55, 52, 159, 124, 63, 138, 223, 172, 149, 112, 30, 135, 242, 8, 231, 29, 96, 115, 159, 5, 160, 149, 237, 194, 245, 235, 253, 88, 216, 163, 143, 171, 14, 198, 199, 53, 0, 80, 87, 54, 208, 122, 138, 79, 86, 120, 159, 246, 94, 220, 3, 91, 47, 154, 84, 161, 51, 185, 243, 99, 165, 123, 84, 234, 200, 186, 5, 34, 35, 109, 95, 179, 178, 249, 128, 236, 34, 27, 202, 103, 109, 253, 153, 230, 16, 249, 165, 179, 231, 99, 125, 13, 43, 173, 123, 223, 130, 205, 238, 172, 68, 149, 195, 33, 64, 85, 59, 195, 254, 17, 215, 84, 169, 46, 200, 231, 96, 57, 186, 106, 16, 134, 76, 235, 142, 27, 102, 171, 7, 74, 91, 22, 32, 78, 228, 122, 229, 169, 153, 183, 126, 174, 243, 69, 147, 231, 10, 233, 163, 150, 144, 210, 247, 205, 236, 10, 26, 253, 120, 53, 181, 107, 48, 113, 26, 207, 79, 197, 49, 70, 138, 107, 202, 247, 46, 240, 169, 168, 151, 41, 36, 79, 52, 137, 200, 55, 70, 11, 149, 77, 249, 181, 144, 84, 248, 35, 216, 155, 140, 186, 20, 145, 186, 214, 128, 222, 126, 10, 202, 158, 208, 188, 212, 10, 131, 175, 209, 145, 81, 2, 169, 1, 79, 9, 240, 211, 156, 163, 160, 89, 53, 93, 29, 53, 205, 192, 87, 162, 160, 84, 70, 190, 175, 177, 208, 198, 157, 98, 93, 226, 32, 112, 59, 158, 67, 20, 64, 199, 140, 132, 35, 248, 51, 240, 210, 138, 144, 184, 239, 122, 194, 33, 109, 170, 99, 252, 168, 0, 248, 8, 167, 155, 106, 99, 4, 7, 238, 12, 13, 103, 119, 179, 158, 68, 61, 63, 13, 96, 133, 37, 142, 202, 121, 36, 68, 156, 248, 177, 9, 237, 85, 240, 201, 251, 22, 93, 18, 248, 123, 66, 174, 9, 216, 24, 141, 124, 179, 240, 242, 20, 69, 76, 40, 150, 217, 52, 229, 215, 228, 59, 206, 57, 22, 29, 56, 178, 61, 124, 59, 34, 87, 109, 238, 60, 191, 149, 170, 13, 167, 128, 183, 253, 135, 208, 222, 213, 44, 84, 214, 82, 12, 97, 211, 91, 252, 167, 171, 212, 196, 216, 132, 185, 138, 124, 145, 26, 56, 144, 27, 151, 161, 89, 171, 120, 146, 103, 56, 113, 67, 50, 129, 139, 148, 103, 245, 34, 46, 202, 20, 129, 135, 116, 223, 4, 242, 33, 62, 141, 3, 65, 40, 11, 22, 94, 160, 32, 23, 249, 207, 190, 205, 89, 232, 80, 150, 10, 41, 175, 65, 21, 189, 232, 188, 230, 48, 132, 224, 172, 222, 176, 93, 23, 80, 214, 247, 29, 38, 39, 167, 37, 46, 185, 195, 1, 123, 139, 212, 187, 59, 28, 183, 1, 117, 228, 220, 185, 144, 150, 235, 193, 17, 73, 111, 25, 18, 116, 115, 34, 225, 194, 178, 36, 57, 58, 128, 254, 131, 111, 248, 59, 167, 47, 193, 13, 161, 139, 215, 186, 146, 222, 34, 250, 27, 182, 251, 213, 63, 105, 164, 16, 210, 110, 76, 112, 49, 171, 53, 189, 92, 95, 240, 91, 173, 8, 227, 165, 63, 124, 102, 67, 19, 32, 117, 72, 199, 5, 214, 74, 28, 157, 77, 87, 105, 201, 101, 30, 110, 141, 201, 45, 160, 236, 117, 197, 26, 83, 174, 76, 147, 196, 198, 48, 3, 166, 89, 93, 191, 100, 68, 37, 2, 152, 216, 136, 255, 49, 243, 100, 6, 151, 221, 98, 250, 182, 158, 192, 115, 253, 84, 182, 127, 197, 50, 7, 9, 222, 83, 31, 113, 52, 37, 29, 204, 210, 106, 66, 56, 254, 144, 37, 129, 52, 225, 52, 3, 215, 50, 75, 129, 21, 31, 83, 62, 122, 204, 33, 20, 182, 14, 70, 134, 22, 42, 153, 5, 67, 1, 48, 133, 89, 173, 80, 185, 246, 203, 2, 78, 17, 99, 200, 205, 112, 159, 9, 54, 132, 204, 193, 64, 163, 209, 205, 27, 182, 64, 51, 2, 168, 247, 41, 63, 185, 63, 185, 25, 209, 144, 199, 255, 5, 98, 71, 183, 189, 160, 196, 105, 219, 231, 183, 192, 84, 102, 210, 39, 88, 163, 143, 123, 47, 235, 127, 152, 57, 173, 221, 240, 244, 136, 228, 94, 6, 152, 202, 75, 69, 138, 13, 219, 45, 160, 116, 213, 19, 157, 236, 230, 201, 137, 138, 51, 3, 135, 1, 65, 67, 129, 254, 13, 25, 215, 181, 19, 71, 244, 111, 249, 67, 151, 33, 100, 119, 32, 78, 89, 246, 94, 217, 244, 17, 140, 105, 9, 249, 34, 10, 188, 67, 30, 178, 68, 83, 111, 197, 95, 132, 225, 110, 108, 90, 20, 109, 83, 243, 93, 178, 182, 47, 43, 75, 255, 227, 72, 243, 44, 188, 54, 59, 100, 28, 63, 4, 11, 110, 205, 167, 14, 174, 135, 108, 111, 62, 28, 94, 13, 171, 13, 21, 93, 151, 147, 156, 3, 113, 109, 4, 97, 97, 120, 14, 81, 40, 2, 89, 175, 240, 32, 1, 26, 110, 186, 132, 124, 122, 95, 185, 217, 162, 161, 110, 70, 64, 210, 148, 55, 75, 17, 123, 95, 94, 207, 89, 253, 168, 153, 65, 232, 138, 114, 116, 90, 121, 106, 66, 241, 148, 71, 111, 205, 41, 207, 243, 194, 229, 223, 65, 26, 134, 193, 174, 162, 191, 122, 141, 225, 44, 175, 122, 163, 137, 245, 215, 123, 6, 230, 162, 230, 242, 123, 198, 183, 0, 255, 194, 18, 94, 165, 248, 176, 241, 66, 157, 71, 210, 73, 59, 41, 222, 58, 125, 135, 149, 166, 25, 88, 78, 245, 228, 34, 96, 213, 42, 242, 187, 58, 132, 245, 17, 162, 207, 90, 42, 92, 72, 102, 130, 94, 177, 45, 97, 113, 22, 191, 144, 185, 229, 95, 248, 118, 125, 13, 175, 226, 19, 47, 128, 229, 55, 109, 39, 70, 83, 86, 78, 169, 200, 207, 8, 83, 89, 64, 12, 5, 87, 166, 46, 95, 39, 24, 85, 202, 241, 25, 107, 93, 217, 45, 214, 35, 118, 48, 95, 39, 52, 67, 237, 6, 189, 53, 242, 76, 198, 32, 10, 70, 0, 167, 158, 216, 13, 228, 74, 222, 162, 94, 150, 39, 200, 64, 72, 71, 77, 45, 111, 226, 205, 201, 76, 44, 152, 136, 98, 78, 93, 17, 198, 80, 186, 189, 85, 224, 13, 88, 143, 251, 186, 253, 17, 110, 198, 252, 10, 244, 216, 175, 91, 83, 63, 130, 24, 61, 89, 8, 109, 65, 224, 240, 224, 66, 106, 100, 106, 80, 2, 188, 76, 26, 3, 13, 210, 49, 81, 152, 230, 101, 115, 218, 38, 215, 73, 59, 44, 246, 59, 202, 202, 28, 153, 152, 102, 99, 130, 184, 252, 146, 182, 219, 207, 16, 214, 230, 216, 193, 198, 178, 213, 26, 6, 247, 28, 216, 12, 53, 56, 77, 74, 222, 36, 182, 40, 212, 184, 120, 79, 6, 13, 165, 50, 207, 198, 16, 40, 81, 223, 138, 244, 236, 7, 62, 135, 18, 209, 44, 109, 124, 145, 234, 69, 229, 61, 51, 116, 246, 89, 242, 49, 135, 243, 43, 223, 236, 17, 45, 166, 225, 194, 139, 25, 181, 121, 86, 194, 156, 235, 59, 243, 29, 146, 10, 133, 206, 102, 32, 145, 188, 108, 240, 153, 0, 209, 33, 112, 173, 9, 67, 176, 235, 199, 195, 205, 29, 38, 35, 123, 20, 165, 187, 170, 146, 127, 126, 186, 67, 196, 64, 170, 189, 169, 227, 120, 39, 154, 229, 56, 95, 190, 47, 183, 233, 231, 86, 6, 5, 117, 103, 25, 168, 186, 58, 27, 56, 188, 121, 171, 88, 164, 252, 119, 76, 165, 199, 120, 69, 199, 43, 206, 74, 51, 123, 115, 63, 3, 215, 59, 153, 91, 70, 207, 151, 247, 35, 146, 155, 66, 48, 43, 55, 103, 45, 225, 139, 125, 56, 120, 249, 29, 211, 81, 97, 11, 61, 127, 220, 22, 132, 162, 51, 179, 192, 20, 59, 4, 38, 64, 35, 134, 204, 17, 177, 109, 112, 204, 141, 73, 8, 224, 93, 254, 141, 96, 59, 107, 174, 68, 79, 166, 170, 215, 202, 43, 28, 76, 42, 217, 179, 111, 150, 29, 31, 246, 77, 109, 168, 88, 137, 15, 201, 105, 247, 66, 254, 20, 141, 138, 105, 158, 138, 195, 102, 16, 46, 111, 60, 50, 72, 44, 180, 98, 225, 183, 33, 3, 5, 203, 240, 94, 105, 187, 43, 113, 212, 55, 115, 236, 241, 180, 29, 144, 26, 149, 52, 204, 96, 151, 111, 149, 139, 21, 205, 235, 170, 50, 198, 193, 219, 127, 29, 220, 136, 42, 181, 185, 25, 109, 251, 119, 184, 204, 78, 44, 174, 136, 1, 171, 231, 168, 174, 116, 83, 242, 99, 229, 189, 152, 71, 165, 73, 162, 36, 108, 31, 151, 66, 216, 35, 199, 181, 109, 46, 108, 63, 154, 90, 174, 17, 221, 167, 82, 45, 146, 153, 186, 219, 211, 182, 127, 35, 131, 209, 46, 157, 170, 196, 135, 202, 226, 109, 51, 141, 183, 19, 74, 82, 69, 185, 233, 11, 186, 129, 63, 73, 29, 170, 35, 250, 103, 70, 29, 53, 116, 177, 23, 192, 163, 74, 55, 9, 99, 191, 159, 252, 146, 129, 136, 7, 230, 88, 148, 4, 91, 72, 63, 42, 129, 17, 77, 80, 179, 117, 5, 131, 186, 247, 47, 247, 76, 73, 56, 162, 247, 89, 33, 233, 130, 70, 185, 53, 6, 187, 187, 251, 164, 251, 85, 170, 201, 89, 82, 90, 179, 229, 227, 184, 96, 248, 83, 193, 1, 178, 213, 223, 73, 101, 106, 254, 162, 46, 237, 7, 97, 10, 221, 44, 233, 131, 0, 138, 159, 158, 44, 231, 114, 115, 58, 241, 162, 84, 44, 208, 13, 48, 107, 166, 205, 226, 144, 122, 153, 151, 237, 89, 21, 95, 131, 138, 252, 240, 18, 182, 75, 255, 10, 71, 198, 76, 248, 61, 151, 8, 3, 188, 246, 194, 184, 97, 136, 167, 39, 119, 118, 153, 26, 51, 89, 138, 147, 133, 152, 123, 243, 142, 223, 115, 91, 238, 60, 122, 190, 95, 7, 192, 149, 81, 86, 124, 141, 234, 55, 0, 13, 162, 251, 89, 84, 88, 252, 139, 36, 47, 119, 106, 149, 249, 185, 58, 33, 127, 100, 91, 46, 46, 36, 23, 125, 29, 115, 111, 24, 108, 12, 235, 155, 89, 146, 49, 139, 250, 236, 184, 179, 80, 197, 73, 218, 166, 73, 166, 162, 46, 126, 105, 185, 185, 9, 211, 68, 195, 54, 149, 74, 172, 242, 85, 192, 123, 33, 153, 172, 30, 100, 237, 27, 195, 205, 134, 121, 156, 36, 197, 219, 218, 175, 81, 218, 27, 32, 27, 99, 208, 58, 177, 252, 93, 214, 96, 6, 201, 182, 94, 154, 41, 4, 190, 212, 114, 243, 182, 2, 21, 6, 23, 145, 114, 50, 121, 156, 30, 134, 94, 97, 101, 99, 126, 73, 220, 142, 146, 145, 138, 159, 63, 124, 10, 84, 116, 37, 4, 146, 252, 132, 59, 230, 39, 151, 183, 143, 2, 177, 167, 141, 119, 221, 221, 240, 10, 126, 255, 160, 49, 242, 188, 179, 27, 197, 247, 220, 218, 3, 19, 127, 174, 142, 69, 49, 138, 217, 135, 230, 174, 54, 239, 6, 243, 82, 56, 117, 128, 83, 65, 230, 89, 152, 161, 149, 188, 179, 182, 208, 138, 209, 53, 52, 6, 161, 171, 212, 222, 167, 237, 136, 146, 38, 229, 76, 186, 105, 107, 131, 92, 59, 148, 132, 98, 243, 104, 208, 24, 99, 42, 149, 9, 102, 184, 4, 95, 138, 198, 6, 239, 241, 117, 30, 0, 190, 44, 183, 138, 209, 58, 103, 99, 137, 103, 134, 124, 176, 131, 23, 220, 248, 24, 135, 216, 73, 36, 229, 202, 31, 32, 16, 121, 153, 121, 255, 120, 61, 23, 76, 226, 197, 55, 96, 202, 106, 196, 215, 54, 118, 68, 35, 87, 8, 15, 84, 242, 19, 62, 191, 179, 21, 187, 178, 17, 253, 18, 154, 64, 60, 88, 78, 50, 148, 88, 196, 145, 55, 221, 195, 109, 206, 60, 150, 188, 208, 194, 177, 101, 85, 53, 11, 254, 164, 212, 73, 150, 203, 202, 70, 51, 34, 127, 129, 241, 13, 18, 125, 157, 50, 90, 66, 250, 225, 77, 197, 193, 182, 72, 57, 157, 60, 210, 174, 228, 179, 46, 135, 72, 78, 121, 198, 53, 81, 132, 151, 130, 243, 72, 75, 140, 220, 219, 104, 22, 32, 222, 33, 45, 220, 164, 39, 13, 125, 6, 90, 253, 52, 193, 119, 216, 64, 196, 77, 22, 249, 1, 187, 147, 198, 193, 119, 78, 59, 254, 69, 250, 44, 198, 41, 200, 219, 202, 83, 134, 148, 197, 155, 56, 48, 241, 74, 245, 89, 250, 103, 243, 141, 167, 54, 128, 188, 118, 67, 162, 59, 169, 20, 228, 98, 100, 94, 51, 220, 184, 18, 88, 120, 158, 107, 97, 185, 111, 7, 246, 191, 85, 18, 40, 255, 180, 61, 216, 8, 13, 233, 55, 14, 123, 204, 53, 142, 180, 146, 231, 4, 158, 62, 50, 77, 212, 142, 17, 133, 246, 198, 90, 162, 76, 0, 96, 179, 179, 49, 26, 229, 34, 54, 162, 147, 221, 28, 47, 116, 190, 118, 222, 70, 39, 212, 166, 172, 195, 161, 197, 7, 62, 25, 55, 222, 201, 17, 112, 243, 90, 188, 197, 90, 228, 114, 221, 129, 227, 221, 44, 18, 171, 124, 58, 20, 34, 213, 151, 28, 71, 197, 231, 91, 148, 109, 49, 246, 24, 92, 42, 57, 155, 138, 78, 228, 17, 40, 124, 28, 150, 49, 64, 59, 118, 240, 220, 20, 52, 7, 41, 187, 104, 226, 20, 180, 143, 247, 240, 12, 91, 134, 190, 209, 250, 160, 206, 89, 195, 243, 232, 77, 37, 199, 111, 202, 190, 100, 124, 192, 55, 22, 178, 77, 238, 0, 233, 99, 232, 96, 196, 135, 177, 68, 181, 187, 222, 198, 47, 60, 171, 2, 237, 237, 209, 185, 183, 102, 176, 68, 118, 26, 179, 107, 215, 196, 185, 218, 116, 241, 122, 48, 16, 2, 136, 85, 165, 101, 188, 108, 94, 186, 185, 236, 82, 172, 112, 81, 220, 94, 133, 244, 242, 148, 198, 130, 94, 224, 169, 71, 237, 127, 168, 21, 105, 230, 79, 217, 88, 168, 182, 79, 192, 78, 103, 150, 144, 162, 67, 125, 245, 20, 253, 51, 223, 204, 249, 72, 76, 78, 137, 101, 133, 112, 146, 68, 0, 77, 114, 129, 248, 155, 185, 30, 94, 102, 228, 243, 161, 15, 95, 73, 152, 184, 43, 65, 32, 107, 106, 141, 77, 26, 64, 98, 218, 170, 46, 170, 189, 227, 94, 216, 65, 142, 136, 162, 71, 85, 234, 17, 19, 50, 215, 42, 233, 192, 82, 162, 42, 241, 150, 178, 39, 205, 205, 120, 39, 58, 61, 60, 193, 129, 127, 250, 160, 180, 197, 249, 67, 134, 245, 52, 254, 44, 170, 84, 109, 207, 179, 19, 71, 212, 93, 238, 111, 190, 223, 78, 48, 151, 83, 157, 23, 205, 149, 35, 104, 54, 197, 145, 247, 65, 243, 29, 26, 73, 31, 230, 75, 63, 234, 238, 53, 157, 107, 188, 131, 14, 32, 193, 255, 44, 83, 202, 208, 137, 104, 95, 15, 45, 109, 142, 199, 44, 186, 52, 128, 54, 134, 84, 45, 171, 5, 146, 79, 234, 122, 1, 77, 140, 204, 63, 99, 124, 98, 79, 56, 180, 174, 51, 153, 167, 63, 55, 225, 239, 176, 146, 230, 173, 56, 181, 135, 199, 137, 40, 55, 44, 167, 29, 181, 241, 156, 126, 13, 162, 98, 226, 19, 242, 208, 229, 122, 22, 87, 101, 59, 47, 45, 140, 172, 163, 145, 231, 124, 214, 34, 57, 20, 151, 159, 87, 25, 52, 71, 155, 188, 47, 122, 26, 139, 115, 9, 191, 77, 155, 83, 5, 81, 9, 121, 21, 162, 109, 111, 234, 74, 211, 146, 87, 141, 181, 234, 87, 226, 235, 80, 27, 123, 32, 115, 233, 175, 77, 166, 15, 60, 221, 174, 43, 111, 125, 233, 222, 99, 90, 115, 208, 105, 157, 104, 64, 210, 119, 208, 56, 28, 155, 17, 27, 135, 187, 161, 51, 18, 198, 205, 68, 254, 197, 227, 227, 71, 193, 17, 207, 142, 94, 90, 117, 173, 209, 172, 6, 192, 47, 29, 177, 5, 242, 9, 249, 87, 226, 121, 118, 17, 83, 36, 247, 234, 220, 182, 130, 105, 88, 12, 75, 46, 92, 225, 173, 169, 254, 239, 234, 129, 63, 129, 152, 236, 155, 203, 86, 148, 212, 145, 113, 146, 2, 76, 4, 154, 190, 61, 82, 96, 193, 122, 47, 122, 144, 101, 13, 237, 144, 114, 61, 225, 55, 191, 3, 163, 211, 200, 84, 83, 158, 243, 136, 94, 9, 176, 117, 242, 162, 218, 28, 192, 241, 162, 230, 218, 106, 192, 60, 135, 29, 76, 106, 161, 52, 224, 80, 214, 217, 32, 192, 37, 243, 11, 109, 2, 163, 167, 199, 85, 116, 197, 47, 79, 74, 205, 181, 187, 122, 133, 154, 37, 105, 242, 161, 191, 27, 186, 127, 233, 82, 26, 34, 87, 179, 86, 255, 139, 100, 94, 71, 190, 175, 179, 31, 181, 210, 145, 76, 8, 144, 51, 211, 107, 60, 219, 14, 200, 239, 6, 43, 146, 92, 159, 127, 99, 152, 175, 157, 195, 35, 175, 186, 8, 157, 62, 186, 71, 26, 37, 204, 179, 161, 83, 25, 66, 55, 135, 189, 219, 240, 227, 190, 126, 228, 0, 49, 175, 58, 230, 32, 29, 149, 57, 238, 127, 21, 210, 90, 217, 136, 3, 117, 250, 52, 88, 178, 132, 126, 171, 145, 202, 192, 114, 192, 104, 128, 92, 249, 156, 89, 221, 111, 194, 98, 69, 142, 148, 3, 82, 189, 170, 175, 51, 191, 9, 187, 75, 23, 127, 46, 76, 194, 29, 70, 45, 119, 95, 138, 163, 14, 45, 83, 193, 57, 11, 24, 179, 54, 163, 198, 14, 113, 161, 39, 182, 244, 251, 194, 119, 233, 172, 12, 185, 37, 73, 99, 73, 150, 71, 193, 182, 37, 104, 6, 66, 149, 94, 36, 121, 233, 92, 250, 197, 79, 65, 28, 40, 184, 150, 61, 219, 209, 24, 254, 43, 232, 195, 38, 137, 165, 232, 158, 234, 155, 147, 64, 223, 34, 61, 116, 153, 23, 107, 61, 207, 96, 227, 147, 202, 204, 233, 160, 126, 88, 222, 39, 217, 85, 239, 180, 240, 50, 177, 250, 244, 52, 160, 189, 90, 94, 182, 214, 101, 65, 142, 89, 181, 195, 54, 85, 170, 253, 101, 17, 72, 81, 131, 136, 88, 56, 20, 178, 53, 252, 123, 228, 131, 72, 68, 64, 98, 205, 184, 69, 215, 205, 84, 172, 178, 200, 198, 57, 4, 224, 199, 116, 7, 150, 228, 62, 76, 85, 208, 35, 119, 8, 206, 155, 112, 251, 175, 226, 213, 177, 147, 88, 157, 151, 84, 228, 108, 8, 15, 27, 73, 33, 57, 67, 45, 250, 43, 171, 11, 77, 101, 131, 224, 150, 57, 19, 53, 114, 119, 146, 5, 108, 186, 84, 73, 136, 73, 154, 210, 52, 244, 44, 166, 197, 77, 201, 167, 83, 40, 133, 107, 42, 217, 114, 241, 146, 69, 253, 91, 123, 26, 212, 18, 191, 151, 140, 179, 19, 52, 5, 243, 64, 59, 218, 33, 84, 165, 153, 31, 15, 135, 115, 149, 109, 54, 113, 29, 94, 85, 63, 120, 62, 24, 166, 42, 36, 110, 67, 77, 194, 7, 20, 203, 149, 238, 164, 230, 11, 165, 93, 80, 139, 6, 52, 214, 195, 79, 206, 112, 57, 248, 6, 243, 135, 218, 220, 56, 114, 42, 219, 199, 174, 125, 50, 81, 206, 172, 189, 234, 153, 195, 46, 137, 214, 147, 150, 97, 80, 128, 64, 233, 207, 48, 42, 20, 42, 188, 252, 138, 184, 58, 130, 25, 14, 16, 36, 84, 238, 139, 202, 114, 74, 17, 222, 144, 52, 181, 39, 65, 44, 142, 134, 112, 170, 128, 108, 74, 241, 219, 25, 124, 213, 76, 144, 86, 91, 65, 38, 17, 106, 245, 42, 187, 200, 129, 164, 236, 0, 99, 22, 24, 56, 218, 78, 52, 192, 12, 203, 93, 4, 92, 171, 23, 20, 229, 122, 47, 228, 250, 38, 122, 173, 54, 46, 189, 57, 239, 176, 136, 67, 206, 136, 100, 241, 235, 253, 39, 39, 26, 7, 178, 73, 188, 132, 114, 176, 23, 130, 150, 108, 45, 61, 29, 135, 229, 16, 14, 68, 84, 153, 97, 77, 63, 79, 121, 115, 102, 60, 190, 188, 135, 114, 78, 63, 214, 38, 49, 78, 78, 70, 238, 126, 23, 154, 148, 159, 220, 152, 4, 51, 55, 107, 116, 237, 65, 193, 203, 61, 54, 228, 51, 127, 17, 54, 224, 149, 246, 252, 96, 221, 1, 240, 172, 19, 51, 79, 237, 137, 58, 159, 42, 140, 250, 59, 166, 182, 119, 105, 47, 66, 123, 134, 137, 144, 198, 90, 80, 121, 78, 192, 111, 145, 242, 241, 54, 224, 60, 1, 240, 45, 205, 143, 104, 130, 148, 0, 218, 134, 172, 38, 86, 119, 130, 33, 204, 69, 18, 58, 202, 167, 118, 3, 159, 44, 18, 59, 160, 112, 84, 59, 239, 90, 138, 85, 188, 41, 246, 35, 90, 103, 107, 136, 215, 75, 87, 192, 88, 233, 54, 183, 154, 156, 236, 200, 88, 135, 207, 135, 198, 24, 20, 186, 221, 35, 181, 254, 10, 101, 186, 93, 81, 153, 117, 249, 230, 115, 212, 139, 96, 193, 78, 45, 70, 193, 29, 32, 175, 220, 118, 212, 183, 212, 92, 96, 231, 25, 100, 110, 41, 250, 244, 227, 189, 173, 154, 156, 157, 196, 222, 221, 104, 101, 164, 139, 154, 105, 37, 204, 46, 202, 248, 3, 52, 170, 115, 250, 117, 53, 152, 106, 47, 100, 23, 39, 93, 245, 85, 112, 220, 59, 41, 186, 158, 156, 145, 182, 180, 168, 191, 210, 196, 159, 6, 38, 176, 227, 171, 227, 107, 161, 69, 90, 185, 105, 126, 74, 148, 11, 139, 252, 153, 113, 175, 175, 247, 243, 65, 32, 113, 51, 121, 45, 55, 49, 93, 73, 239, 62, 3, 197, 182, 140, 64, 140, 86, 113, 114, 160, 247, 175, 188, 116, 148, 224, 109, 45, 93, 73, 100, 200, 166, 44, 35, 116, 175, 28, 191, 244, 184, 172, 111, 67, 63, 91, 92, 105, 84, 11, 82, 14, 183, 108, 190, 40, 192, 232, 46, 242, 36, 38, 49, 177, 189, 227, 181, 107, 220, 86, 215, 240, 224, 43, 225, 47, 130, 59, 140, 240, 56, 142, 184, 216, 218, 19, 148, 155, 116, 202, 226, 228, 162, 169, 58, 35, 175, 4, 58, 86, 165, 113, 206, 129, 41, 156, 147, 252, 170, 122, 29, 223, 193, 189, 140, 185, 208, 190, 238, 206, 136, 231, 160, 202, 158, 12, 148, 250, 206, 23, 64, 142, 42, 147, 124, 13, 145, 170, 240, 64, 226, 73, 189, 209, 221, 164, 101, 255, 179, 88, 68, 115, 10, 85, 9, 143, 201, 2, 103, 84, 100, 140, 43, 171, 70, 229, 237, 229, 152, 140, 221, 47, 74, 79, 170, 140, 36, 80, 116, 57, 102, 95, 28, 125, 79, 118, 114, 205, 156, 194, 173, 168, 185, 154, 250, 100, 191, 135, 36, 24, 71, 180, 167, 27, 109, 11, 58, 133, 219, 30, 113, 108, 245, 41, 195, 196, 249, 117, 19, 137, 250, 102, 184, 210, 48, 24, 189, 156, 4, 153, 113, 32, 185, 208, 165, 119, 151, 235, 165, 179, 72, 212, 202, 232, 157, 7, 251, 78, 94, 45, 176, 70, 159, 177, 196, 13, 132, 51, 102, 128, 55, 60, 142, 25, 56, 131, 42, 181, 137, 37, 90, 232, 99, 156, 223, 68, 196, 202, 182, 94, 162, 204, 120, 92, 3, 241, 97, 13, 215, 35, 245, 117, 227, 43, 209, 241, 203, 40, 6, 34, 2, 250, 150, 237, 208, 229, 163, 219, 80, 5, 192, 17, 98, 113, 56, 251, 30, 64, 182, 227, 228, 124, 228, 194, 130, 84, 182, 10, 91, 178, 164, 25, 218, 85, 183, 81, 94, 174, 161, 195, 227, 93, 130, 141, 241, 138, 93, 227, 129, 192, 241, 25, 211, 142, 228, 220, 141, 234, 144, 63, 245, 128, 162, 208, 62, 17, 0, 226, 147, 41, 209, 33, 254, 167, 82, 139, 74, 103, 172, 60, 89, 38, 32, 155, 225, 62, 69, 74, 187, 13, 195, 165, 100, 12, 8, 108, 153, 19, 80, 74, 252, 203, 178, 246, 198, 5, 40, 37, 240, 206, 228, 3, 16, 64, 2, 246, 6, 44, 206, 174, 122, 210, 195, 198, 181, 103, 234, 183, 198, 159, 204, 25, 247, 64, 123, 184, 172, 111, 175, 29, 203, 249, 242, 186, 95, 226, 51, 52, 57, 14, 171, 170, 55, 202, 231, 174, 94, 60, 29, 1, 163, 186, 107, 57, 70, 26, 85, 215, 80, 161, 28, 210, 148, 182, 248, 118, 149, 253, 8, 68, 56, 84, 31, 42, 44, 30, 13, 81, 14, 102, 141, 84, 153, 13, 25, 153, 50, 221, 101, 204, 6, 66, 39, 128, 184, 6, 157, 222, 92, 113, 217, 102, 41, 72, 54, 242, 79, 129, 19, 161, 108, 158, 57, 83, 140, 26, 216, 245, 109, 236, 118, 12, 251, 18, 115, 187, 224, 14, 80, 209, 154, 254, 219, 75, 59, 106, 17, 8, 11, 228, 5, 28, 118, 40, 58, 253, 63, 92, 145, 183, 215, 25, 70, 57, 125, 70, 213, 75, 224, 218, 115, 102, 9, 147, 177, 63, 250, 152, 203, 235, 7, 228, 244, 91, 58, 54, 25, 2, 86, 233, 5, 235, 190, 161, 210, 155, 41, 87, 144, 176, 10, 180, 100, 77, 96, 113, 95, 4, 57, 97, 244, 12, 205, 147, 166, 214, 63, 214, 97, 49, 170, 88, 64, 33, 190, 78, 79, 5, 70, 78, 22, 48, 153, 64, 156, 85, 21, 32, 148, 73, 54, 55, 95, 95, 77, 112, 115, 121, 140, 240, 25, 179, 55, 175, 122, 56, 55, 28, 78, 84, 61, 231, 180, 242, 113, 152, 67, 60, 76, 243, 147, 66, 206, 43, 199, 152, 110, 229, 165, 179, 208, 8, 183, 72, 38, 230, 33, 23, 3, 49, 138, 182, 152, 63, 7, 22, 102, 74, 91, 118, 112, 106, 163, 118, 242, 143, 129, 39, 216, 42, 140, 216, 53, 20, 2, 139, 244, 146, 152, 22, 181, 90, 216, 200, 111, 210, 44, 123, 67, 62, 248, 64, 70, 204, 167, 239, 119, 194, 147, 77, 76, 38, 149, 93, 178, 171, 116, 223, 23, 103, 233, 54, 105, 248, 86, 208, 108, 167, 195, 160, 204, 26, 147, 31, 0, 50, 55, 83, 85, 121, 92, 38, 68, 98, 29, 102, 93, 100, 52, 124, 170, 189, 17, 58, 27, 202, 18, 151, 206, 124, 56, 247, 149, 255, 131, 171, 168, 211, 71, 235, 59, 50, 222, 194, 249, 22, 158, 167, 58, 226, 48, 34, 96, 175, 78, 32, 153, 146, 231, 33, 0, 9, 45, 126, 8, 186, 0, 26, 83, 230, 103, 77, 223, 146, 54, 159, 145, 209, 151, 28, 122, 92, 100, 242, 8, 128, 50, 172, 9, 160, 39, 202, 71, 21, 131, 17, 109, 214, 115, 226, 131, 118, 14, 244, 8, 174, 254, 28, 119, 160, 144, 30, 119, 111, 38, 152, 213, 164, 158, 121, 47, 135, 19, 139, 127, 231, 142, 169, 251, 59, 158, 150, 249, 171, 239, 187, 80, 236, 96, 156, 20, 19, 30, 173, 137, 130, 232, 247, 209, 38, 103, 200, 211, 221, 229, 93, 136, 232, 202, 14, 80, 104, 218, 166, 19, 153, 38, 240, 191, 63, 162, 92, 93, 8, 74, 150, 99, 118, 92, 188, 20, 166, 31, 167, 59, 162, 93, 79, 161, 6, 188, 155, 138, 166, 18, 239, 44, 95, 164, 246, 241, 60, 208, 62, 235, 188, 211, 135, 93, 238, 1, 161, 1, 44, 134, 30, 96, 190, 225, 94, 60, 143, 20, 17, 137, 174, 116, 211, 93, 247, 9, 102, 60, 1, 247, 84, 173, 8, 45, 223, 21, 92, 159, 50, 172, 240, 241, 48, 118, 138, 117, 142, 119, 103, 146, 186, 248, 76, 163, 152, 210, 173, 253, 202, 154, 148, 108, 95, 178, 120, 130, 221, 40, 228, 198, 232, 177, 166, 210, 201, 12, 215, 37, 111, 30, 163, 41, 245, 175, 36, 81, 101, 28, 192, 28, 44, 105, 133, 32, 155, 87, 151, 202, 31, 13, 129, 113, 98, 215, 59, 82, 126, 17, 39, 210, 76, 45, 123, 252, 67, 85, 48, 120, 48, 130, 245, 167, 41, 5, 87, 129, 190, 212, 182, 245, 23, 249, 234, 120, 89, 213, 1, 185, 14, 250, 94, 20, 180, 136, 103, 240, 204, 50, 60, 209, 36, 192, 171, 161, 17, 183, 113, 125, 31, 194, 20, 82, 90, 162, 138, 5, 242, 179, 127, 250, 214, 61, 39, 16, 72, 198, 246, 122, 240, 155, 85, 214, 101, 37, 84, 163, 199, 137, 58, 206, 94, 155, 116, 153, 144, 145, 237, 226, 23, 69, 193, 178, 184, 24, 242, 111, 183, 106, 27, 237, 23, 1, 115, 216, 70, 167, 41, 199, 242, 105, 223, 242, 122, 192, 119, 128, 127, 134, 136, 194, 62, 193, 91, 86, 5, 168, 208, 159, 47, 53, 105, 168, 104, 11, 188, 253, 37, 67, 55, 139, 253, 250, 185, 94, 174, 150, 85, 168, 35, 147, 248, 209, 81, 147, 238, 91, 254, 221, 116, 87, 173, 191, 11, 47, 93, 93, 74, 127, 109, 38, 118, 181, 254, 173, 13, 0, 175, 30, 222, 30, 135, 59, 166, 182, 192, 128, 235, 252, 171, 227, 27, 68, 87, 92, 67, 73, 255, 228, 95, 234, 254, 90, 36, 252, 255, 49, 250, 117, 232, 187, 159, 119, 40, 75, 193, 212, 128, 203, 157, 103, 167, 139, 168, 93, 158, 188, 241, 84, 132, 65, 246, 133, 131, 119, 62, 157, 54, 54, 114, 253, 87, 62, 151, 212, 173, 231, 178, 32, 193, 187, 74, 47, 39, 242, 100, 245, 213, 211, 157, 38, 106, 231, 206, 83, 228, 244, 95, 74, 243, 237, 47, 217, 220, 149, 198, 180, 112, 224, 5, 210, 209, 66, 188, 27, 195, 102, 179, 245, 34, 202, 247, 121, 122, 249, 63, 153, 231, 143, 237, 66, 208, 230, 80, 180, 169, 155, 59, 198, 44, 165, 236, 173, 191, 136, 79, 242, 211, 187, 84, 111, 194, 143, 1, 25, 213, 198, 88, 151, 187, 34, 83, 212, 96, 120, 75, 38, 25, 4, 46, 10, 105, 142, 173, 16, 185, 125, 237, 188, 163, 118, 217, 94, 141, 65, 11, 25, 210, 57, 77, 19, 245, 85, 41, 43, 25, 73, 142, 156, 83, 77, 88, 106, 201, 124, 94, 83, 123, 181, 85, 38, 112, 214, 47, 202, 228, 76, 101, 238, 50, 243, 171, 55, 51, 2, 134, 31, 92, 225, 15, 6, 109, 67, 181, 53, 234, 187, 247, 168, 30, 142, 117, 163, 193, 225, 101, 224, 249, 23, 140, 147, 132, 230, 15, 107, 31, 135, 67, 89, 197, 145, 170, 33, 126, 112, 126, 4, 85, 100, 45, 24, 23, 233, 27, 220, 11, 45, 227, 250, 118, 188, 78, 22, 255, 224, 24, 148, 176, 157, 36, 85, 187, 174, 217, 24, 157, 64, 97, 222, 87, 164, 22, 78, 169, 103, 241, 187, 195, 0, 119, 46, 206, 109, 208, 69, 21, 165, 32, 5, 5, 114, 165, 77, 37, 42, 61, 18, 222, 120, 44, 162, 126, 240, 197, 188, 101, 12, 235, 226, 94, 174, 84, 92, 219, 231, 216, 14, 197, 102, 35, 46, 49, 100, 152, 123, 39, 75, 25, 12, 157, 41, 254, 106, 151, 149, 196, 240, 234, 176, 107, 199, 194, 137, 46, 145, 254, 8, 40, 25, 168, 4, 102, 24, 171, 6, 237, 197, 189, 51, 157, 217, 5, 134, 175, 30, 235, 204, 23, 87, 19, 210, 19, 45, 15, 32, 44, 118, 220, 148, 159, 231, 78, 35, 245, 144, 81, 220, 10, 41, 161, 45, 211, 223, 58, 93, 247, 110, 1, 106, 63, 180, 234, 0, 191, 132, 143, 123, 21, 103, 156, 73, 38, 96, 154, 102, 84, 40, 75, 133, 37, 202, 237, 44, 50, 235, 162, 79, 3, 57, 237, 160, 194, 120, 241, 26, 135, 95, 129, 123, 31, 25, 38, 191, 24, 33, 10, 219, 214, 139, 195, 219, 254, 245, 25, 245, 82, 25, 159, 203, 111, 14, 185, 62, 246, 170, 211, 38, 248, 56, 216, 158, 62, 182, 83, 57, 251, 162, 244, 251, 155, 110, 74, 150, 114, 60, 153, 254, 134, 53, 19, 50, 183, 194, 231, 111, 30, 62, 24, 13, 52, 92, 83, 168, 176, 31, 94, 237, 68, 207, 131, 253, 161, 226, 223, 125, 194, 133, 165, 125, 171, 228, 234, 243, 120, 4, 63, 208, 204, 184, 96, 107, 23, 177, 84, 163, 159, 218, 45, 169, 123, 172, 90, 81, 147, 154, 223, 80, 169, 236, 219, 145, 33, 176, 168, 181, 244, 100, 228, 188, 93, 213, 217, 151, 253, 3, 239, 11, 175, 230, 211, 138, 183, 145, 59, 198, 65, 38, 60, 124, 69, 80, 46, 37, 227, 39, 78, 69, 60, 189, 191, 53, 170, 246, 209, 105, 173, 74, 14, 172, 252, 81, 177, 99, 145, 15, 185, 117, 14, 139, 45, 96, 218, 101, 176, 100, 233, 8, 230, 66, 131, 144, 27, 189, 232, 117, 156, 36, 19, 74, 32, 67, 113, 236, 156, 50, 71, 114, 108, 116, 251, 210, 103, 226, 151, 237, 139, 247, 245, 88, 154, 23, 22, 126, 249, 54, 200, 157, 38, 229, 212, 80, 115, 141, 210, 161, 123, 111, 122, 215, 87, 7, 116, 139, 42, 175, 255, 58, 157, 223, 133, 23, 127, 147, 198, 235, 68, 19, 215, 34, 3, 41, 76, 232, 215, 113, 86, 166, 154, 51, 127, 148, 202, 203, 190, 109, 202, 69, 215, 198, 241, 121, 177, 38, 199, 128, 91, 192, 13, 180, 42, 202, 17, 171, 26, 85, 251, 233, 154, 225, 232, 235, 202, 107, 82, 80, 250, 255, 101, 188, 193, 67, 209, 146, 153, 115, 68, 14, 122, 49, 225, 145, 76, 180, 247, 218, 58, 117, 163, 22, 149, 202, 184, 143, 127, 113, 14, 193, 131, 27, 161, 95, 213, 148, 172, 166, 112, 185, 83, 85, 25, 173, 144, 102, 51, 118, 117, 43, 41, 255, 138, 243, 229, 108, 172, 51, 175, 23, 221, 112, 251, 147, 133, 15, 255, 142, 185, 133, 172, 128, 193, 74, 173, 104, 84, 15, 122, 187, 152, 232, 105, 182, 50, 99, 217, 7, 230, 177, 95, 38, 139, 197, 132, 213, 147, 80, 230, 86, 213, 107, 179, 104, 143, 26, 187, 140, 124, 6, 51, 55, 153, 79, 176, 214, 168, 173, 167, 57, 24, 48, 70, 240, 54, 175, 34, 3, 43, 155, 93, 84, 115, 112, 145, 78, 196, 233, 56, 85, 155, 127, 9, 166, 40, 135, 64, 94, 170, 220, 31, 193, 21, 150, 42, 75, 117, 135, 17, 0, 56, 177, 6, 12, 197, 229, 214, 52, 179, 42, 172, 175, 230, 5, 156, 139, 238, 85, 154, 119, 92, 102, 130, 221, 14, 39, 21, 121, 43, 10, 194, 117, 182, 117, 152, 7, 76, 252, 132, 161, 189, 21, 124, 144, 67, 28, 234, 97, 113, 232, 20, 104, 84, 213, 251, 170, 241, 154, 0, 35, 66, 255, 49, 251, 71, 215, 225, 236, 249, 147, 181, 36, 229, 177, 198, 114, 176, 145, 10, 95, 131, 103, 206, 102, 136, 42, 103, 11, 127, 210, 162, 183, 212, 128, 197, 199, 175, 24, 73, 151, 154, 215, 165, 230, 51, 208, 60, 226, 13, 247, 201, 133, 212, 222, 203, 187, 246, 207, 164, 4, 94, 99, 153, 130, 60, 94, 96, 94, 97, 187, 211, 179, 125, 114, 120, 221, 153, 135, 154, 117, 152, 79, 82, 173, 229, 116, 65, 106, 0, 9, 71, 33, 220, 149, 240, 132, 36, 215, 76, 127, 172, 85, 167, 199, 32, 52, 106, 162, 140, 233, 73, 147, 126, 92, 217, 83, 79, 92, 63, 221, 250, 38, 76, 106, 136, 150, 230, 235, 24, 32, 157, 187, 104, 56, 18, 60, 63, 253, 33, 114, 216, 81, 250, 92, 243, 194, 222, 17, 236, 166, 84, 229, 61, 21, 176, 152, 195, 129, 125, 122, 238, 221, 153, 234, 153, 60, 224, 96, 41, 61, 47, 114, 250, 171, 223, 18, 94, 90, 231, 182, 231, 154, 125, 197, 13, 90, 180, 174, 199, 140, 176, 60, 139, 251, 220, 153, 159, 128, 118, 72, 207, 122, 102, 19, 214, 149, 86, 104, 229, 195, 18, 82, 211, 81, 187, 53, 72, 26, 238, 27, 119, 83, 46, 229, 32, 204, 241, 234, 205, 213, 30, 84, 44, 23, 144, 155, 96, 48, 238, 166, 29, 64, 178, 219, 172, 85, 145, 217, 41, 83, 16, 238, 247, 12, 249, 166, 78, 203, 224, 36, 120, 52, 178, 151, 228, 206, 49, 5, 238, 76, 77, 46, 163, 46, 121, 150, 53, 152, 148, 190, 137, 116, 89, 101, 247, 147, 121, 87, 63, 133, 58, 251, 169, 190, 37, 28, 192, 159, 25, 217, 201, 37, 191, 171, 61, 231, 233, 106, 40, 199, 51, 206, 170, 199, 77, 109, 60, 235, 226, 151, 253, 67, 241, 174, 38, 45, 173, 96, 70, 122, 205, 46, 104, 57, 89, 212, 121, 76, 79, 129, 102, 137, 186, 102, 168, 10, 208, 46, 80, 7, 58, 28, 68, 83, 180, 25, 58, 2, 88, 220, 124, 236, 125, 217, 160, 104, 135, 53, 123, 10, 171, 170, 232, 180, 162, 55, 27, 166, 126, 70, 255, 29, 203, 19, 87, 72, 114, 163, 218, 124, 164, 167, 161, 247, 185, 111, 152, 124, 206, 106, 161, 92, 223, 170, 138, 191, 29, 122, 160, 166, 43, 142, 176, 99, 181, 202, 177, 39, 134, 220, 105, 78, 141, 158, 246, 224, 147, 229, 239, 4, 31, 178, 22, 6, 110, 20, 141, 168, 3, 170, 155, 153, 34, 196, 72, 174, 80, 60, 57, 127, 82, 74, 121, 57, 214, 118, 36, 4, 121, 169, 186, 166, 156, 124, 8, 164, 176, 230, 204, 156, 106, 199, 7, 186, 230, 56, 71, 231, 28, 203, 202, 186, 40, 142, 128, 139, 222, 146, 241, 196, 120, 57, 40, 182, 179, 117, 229, 232, 245, 72, 160, 87, 164, 18, 157, 69, 188, 173, 188, 56, 170, 52, 41, 120, 197, 117, 171, 241, 12, 148, 11, 179, 194, 11, 165, 95, 194, 116, 18, 138, 12, 185, 218, 92, 19, 191, 104, 107, 201, 199, 6, 141, 139, 207, 224, 165, 63, 124, 23, 242, 54, 172, 234, 149, 101, 128, 103, 61, 171, 121, 252, 174, 191, 37, 112, 248, 39, 212, 73, 182, 221, 41, 86, 190, 12, 29, 19, 78, 74, 252, 58, 154, 189, 170, 180, 112, 169, 125, 129, 198, 110, 202, 165, 5, 70, 75, 126, 174, 228, 249, 195, 162, 139, 198, 15, 245, 49, 197, 47, 113, 53, 166, 170, 181, 248, 207, 15, 43, 212, 18, 46, 149, 120, 11, 125, 245, 197, 223, 69, 70, 211, 115, 55, 4, 193, 43, 196, 38, 70, 158, 9, 93, 0, 241, 1, 111, 159, 201, 203, 8, 41, 180, 24, 52, 167, 188, 241, 152, 215, 223, 115, 226, 115, 131, 147, 91, 139, 110, 105, 173, 147, 156, 67, 91, 201, 238, 46, 181, 58, 238, 178, 184, 239, 190, 53, 191, 65, 232, 205, 139, 203, 4, 137, 235, 38, 154, 43, 70, 245, 234, 134, 30, 174, 196, 28, 49, 137, 185, 9, 55, 110, 230, 12, 43, 68, 124, 29, 173, 53, 87, 163, 229, 147, 42, 105, 60, 232, 170, 228, 95, 107, 112, 147, 37, 170, 240, 118, 85, 200, 196, 40, 54, 193, 115, 105, 189, 21, 129, 137, 180, 9, 75, 31, 152, 127, 26, 51, 174, 72, 241, 164, 247, 209, 69, 199, 116, 61, 68, 109, 172, 41, 3, 231, 250, 152, 197, 49, 13, 66, 85, 123, 100, 174, 197, 38, 155, 223, 218, 154, 78, 10, 120, 104, 241, 65, 72, 7, 178, 40, 61, 255, 127, 16, 31, 53, 130, 152, 53, 43, 79, 89, 115, 209, 35, 45, 212, 29, 120, 5, 168, 135, 176, 226, 137, 95, 19, 247, 220, 17, 120, 67, 92, 225, 153, 121, 197, 73, 102, 85, 134, 82, 159, 78, 136, 81, 244, 108, 234, 54, 39, 155, 60, 44, 39, 177, 112, 216, 95, 41, 169, 141, 83, 68, 30, 178, 223, 197, 168, 71, 84, 235, 138, 48, 105, 132, 115, 60, 238, 8, 227, 179, 3, 170, 9, 16, 126, 214, 255, 29, 87, 42, 198, 247, 76, 77, 78, 183, 122, 158, 58, 192, 143, 38, 123, 220, 231, 184, 102, 171, 80, 117, 154, 147, 15, 21, 241, 115, 99, 166, 54, 59, 3, 35, 215, 21, 105, 250, 90, 158, 83, 173, 172, 42, 49, 226, 78, 33, 76, 109, 139, 188, 242, 125, 26, 244, 29, 83, 86, 161, 2, 98, 1, 84, 78, 165, 204, 93, 252, 89, 216, 20, 16, 159, 107, 195, 176, 205, 98, 178, 121, 215, 6, 83, 218, 95, 54, 24, 255, 202, 205, 207, 11, 131, 49, 219, 133, 51, 70, 5, 126, 54, 207, 188, 192, 125, 191, 200, 92, 19, 188, 234, 47, 159, 255, 238, 210, 134, 59, 14, 39, 27, 93, 22, 132, 37, 18, 218, 134, 190, 241, 169, 173, 91, 183, 116, 1, 108, 241, 88, 218, 161, 230, 205, 51, 38, 57, 227, 168, 126, 164, 15, 143, 214, 144, 213, 241, 232, 224, 133, 139, 231, 69, 240, 103, 223, 27, 141, 41, 208, 176, 142, 83, 69, 131, 117, 154, 183, 116, 190, 163, 160, 29, 233, 132, 17, 230, 64, 206, 177, 242, 119, 98, 148, 76, 36, 117, 13, 131, 83, 198, 85, 244, 12, 90, 178, 161, 154, 53, 95, 173, 187, 148, 126, 156, 233, 15, 134, 162, 177, 5, 255, 89, 77, 243, 226, 246, 149, 158, 249, 156, 219, 246, 102, 125, 130, 219, 119, 79, 116, 43, 130, 187, 15, 10, 164, 104, 216, 44, 138, 71, 229, 230, 224, 65, 178, 178, 67, 88, 6, 142, 187, 223, 108, 230, 235, 166, 237, 41, 71, 237, 153, 206, 182, 116, 61, 126, 80, 131, 253, 156, 181, 237, 52, 70, 194, 12, 117, 202, 239, 47, 163, 58, 251, 160, 191, 202, 170, 46, 191, 115, 121, 149, 221, 34, 136, 108, 73, 185, 64, 93, 204, 222, 21, 149, 189, 249, 58, 224, 136, 63, 242, 108, 94, 35, 71, 233, 63, 115, 180, 64, 126, 202, 120, 197, 199, 82, 8, 252, 38, 246, 52, 137, 202, 59, 84, 153, 21, 47, 57, 44, 22, 143, 120, 152, 153, 77, 132, 7, 173, 132, 223, 114, 171, 180, 173, 117, 43, 66, 143, 166, 112, 255, 147, 29, 239, 214, 38, 201, 100, 156, 55, 31, 223, 207, 172, 153, 100, 225, 10, 11, 148, 46, 218, 63, 138, 95, 115, 213, 127, 238, 73, 127, 134, 119, 117, 152, 61, 187, 107, 200, 214, 216, 13, 54, 59, 102, 205, 41, 134, 113, 161, 222, 220, 164, 221, 120, 3, 145, 147, 102, 220, 191, 117, 211, 36, 163, 236, 188, 114, 139, 4, 251, 136, 103, 3, 31, 199, 54, 73, 205, 154, 225, 223, 10, 186, 45, 143, 23, 82, 114, 92, 220, 160, 140, 124, 146, 169, 227, 196, 181, 78, 40, 2, 106, 18, 44, 11, 182, 30, 164, 190, 159, 34, 63, 243, 67, 27, 139, 245, 76, 49, 191, 238, 25, 247, 55, 231, 246, 107, 23, 142, 92, 61, 103, 101, 23, 111, 243, 144, 108, 198, 35, 232, 57, 114, 196, 202, 122, 190, 241, 180, 52, 175, 180, 110, 207, 163, 153, 224, 255, 238, 1, 207, 80, 202, 158, 250, 33, 173, 114, 13, 197, 111, 91, 55, 52, 104, 233, 196, 16, 159, 197, 114, 129, 21, 39, 230, 119, 39, 246, 102, 171, 171, 123, 226, 251, 11, 52, 235, 207, 60, 78, 134, 63, 226, 192, 130, 239, 250, 183, 103, 79, 225, 203, 173, 224, 133, 100, 80, 189, 33, 163, 183, 164, 112, 57, 223, 223, 13, 200, 162, 54, 245, 222, 76, 232, 163, 163, 121, 0, 10, 132, 62, 197, 34, 35, 159, 23, 170, 78, 185, 186, 170, 117, 16, 2, 97, 183, 155, 201, 154, 195, 95, 180, 130, 185, 102, 142, 169, 74, 187, 242, 173, 157, 179, 174, 130, 158, 238, 225, 5, 193, 189, 57, 231, 170, 152, 12, 113, 153, 35, 135, 65, 171, 85, 233, 35, 232, 150, 248, 101, 165, 29, 103, 117, 63, 219, 227, 252, 175, 246, 219, 35, 1, 7, 108, 172, 92, 196, 134, 70, 179, 145, 34, 215, 132, 243, 224, 183, 197, 141, 19, 41, 250, 143, 14, 120, 58, 245, 194, 158, 105, 246, 109, 103, 215, 243, 192, 17, 64, 45, 151, 140, 163, 111, 87, 27, 155, 104, 41, 56, 211, 138, 42, 61, 150, 163, 29, 63, 243, 94, 88, 64, 120, 106, 252, 1, 140, 237, 6, 134, 31, 236, 67, 214, 70, 6, 169, 49, 197, 56, 219, 3, 59, 111, 9, 6, 76, 15, 184, 54, 250, 218, 239, 148, 135, 250, 248, 143, 96, 132, 60, 11, 30, 121, 122, 250, 225, 238, 51, 3, 88, 140, 47, 169, 198, 173, 89, 8, 186, 197, 231, 87, 158, 19, 144, 76, 58, 173, 124, 174, 114, 130, 94, 162, 221, 3, 187, 31, 130, 125, 214, 164, 155, 69, 142, 182, 28, 141, 249, 230, 77, 241, 170, 27, 231, 189, 184, 101, 162, 59, 237, 113, 30, 141, 35, 0, 33, 187, 197, 5, 209, 30, 43, 240, 130, 89, 175, 179, 115, 124, 42, 6, 111, 188, 204, 90, 45, 230, 172, 18, 93, 218, 242, 252, 125, 115, 227, 110, 0, 176, 249, 61, 27, 89, 211, 212, 4, 35, 46, 214, 243, 174, 31, 47, 204, 50, 88, 253, 84, 142, 57, 122, 133, 203, 119, 215, 37, 130, 59, 25, 186, 134, 223, 41, 237, 205, 27, 72, 54, 37, 58, 39, 147, 93, 69, 107, 112, 44, 202, 70, 125, 139, 168, 101, 146, 232, 251, 228, 135, 196, 231, 144, 121, 196, 233, 147, 85, 187, 179, 241, 195, 139, 195, 185, 191, 112, 89, 69, 224, 131, 56, 60, 57, 115, 91, 52, 128, 131, 211, 186, 252, 69, 96, 143, 12, 122, 167, 59, 65, 50, 105, 29, 151, 87, 193, 98, 3, 174, 219, 94, 106, 34, 166, 32, 247, 17, 73, 118, 155, 57, 37, 113, 159, 227, 53, 202, 83, 33, 0, 152, 170, 163, 194, 251, 97, 143, 127, 20, 42, 36, 56, 122, 50, 32, 165, 120, 213, 223, 137, 21, 25, 143, 226, 248, 74, 5, 55, 155, 218, 172, 12, 124, 197, 248, 0, 221, 14, 181, 180, 107, 42, 254, 211, 17, 21, 192, 77, 165, 197, 132, 244, 7, 199, 27, 175, 161, 69, 78, 159, 53, 147, 35, 53, 179, 247, 217, 130, 95, 81, 60, 55, 208, 87, 65, 238, 146, 86, 249, 87, 200, 188, 146, 43, 203, 209, 102, 175, 173, 155, 159, 37, 78, 136, 41, 143, 36, 227, 237, 27, 144, 218, 20, 159, 24, 245, 21, 82, 211, 172, 242, 107, 217, 53, 41, 26, 232, 80, 168, 228, 201, 176, 0, 143, 158, 171, 156, 159, 216, 132, 163, 207, 74, 109, 91, 221, 141, 113, 43, 211, 175, 246, 51, 37, 194, 189, 1, 126, 61, 165, 32, 33, 148, 187, 61, 154, 128, 159, 52, 118, 76, 96, 60, 177, 136, 32, 78, 50, 234, 162, 90, 77, 66, 192, 115, 155, 34, 249, 155, 176, 82, 115, 241, 235, 213, 69, 49, 255, 57, 113, 13, 158, 168, 70, 175, 177, 0, 226, 65, 181, 78, 90, 125, 207, 11, 80, 194, 215, 11, 109, 216, 230, 12, 202, 96, 92, 14, 29, 157, 212, 62, 169, 254, 216, 85, 227, 20, 91, 219, 119, 111, 215, 92, 138, 172, 30, 33, 151, 205, 241, 135, 175, 19, 166, 212, 94, 57, 199, 238, 56, 156, 49, 204, 220, 72, 181, 170, 177, 87, 69, 93, 131, 235, 138, 188, 116, 84, 131, 109, 213, 136, 111, 4, 72, 250, 170, 216, 193, 108, 15, 139, 238, 116, 223, 18, 62, 124, 48, 225, 73, 78, 108, 68, 123, 47, 235, 89, 68, 177, 225, 170, 143, 50, 195, 4, 242, 128, 124, 56, 104, 95, 80, 244, 238, 46, 109, 163, 120, 65, 207, 242, 191, 114, 235, 223, 142, 61, 174, 60, 6, 189, 4, 104, 115, 198, 237, 49, 115, 106, 7, 8, 220, 136, 220, 169, 205, 139, 115, 217, 189, 143, 28, 200, 235, 102, 74, 91, 48, 161, 47, 50, 234, 201, 168, 67, 255, 90, 22, 36, 221, 189, 49, 160, 239, 146, 236, 107, 71, 63, 76, 149, 203, 206, 177, 91, 50, 66, 104, 208, 203, 170, 223, 254, 37, 208, 12, 138, 141, 243, 131, 254, 64, 45, 149, 244, 132, 147, 218, 134, 237, 88, 225, 21, 115, 64, 143, 202, 134, 213, 155, 26, 86, 152, 14, 141, 21, 139, 178, 163, 64, 94, 52, 91, 70, 207, 6, 208, 103, 216, 157, 3, 23, 97, 59, 104, 208, 74, 98, 46, 216, 181, 94, 230, 70, 170, 29, 227, 69, 210, 226, 164, 245, 106, 0, 201, 146, 120, 98, 185, 180, 13, 195, 175, 132, 189, 231, 98, 90, 104, 168, 239, 167, 13, 169, 3, 41, 140, 23, 72, 5, 129, 218, 52, 28, 221, 114, 236, 193, 144, 58, 111, 37, 209, 83, 7, 153, 22, 149, 199, 126, 185, 34, 245, 190, 113, 188, 15, 41, 99, 160, 54, 90, 149, 31, 29, 255, 22, 70, 55, 14, 165, 198, 228, 238, 71, 88, 20, 202, 138, 122, 43, 221, 75, 249, 127, 52, 199, 82, 198, 3, 219, 65, 195, 81, 183, 237, 135, 189, 98, 242, 245, 17, 220, 189, 86, 63, 79, 89, 118, 210, 215, 253, 54, 184, 102, 117, 25, 72, 107, 84, 243, 189, 79, 199, 111, 201, 118, 130, 53, 200, 147, 215, 126, 212, 62, 68, 30, 250, 81, 183, 61, 191, 43, 107, 204, 7, 38, 243, 35, 100, 188, 213, 100, 104, 106, 226, 28, 87, 35, 72, 121, 74, 102, 102, 54, 157, 97, 73, 145, 130, 217, 170, 109, 109, 184, 21, 141, 246, 123, 174, 108, 46, 87, 62, 166, 18, 151, 127, 84, 131, 119, 179, 155, 7, 70, 101, 21, 240, 24, 223, 171, 156, 96, 252, 18, 236, 68, 81, 46, 48, 198, 231, 38, 133, 169, 61, 7, 192, 228, 221, 117, 220, 165, 185, 40, 52, 177, 197, 152, 172, 99, 61, 245, 40, 147, 213, 186, 103, 153, 179, 81, 237, 98, 211, 196, 123, 211, 3, 109, 153, 152, 76, 43, 127, 9, 224, 100, 115, 90, 5, 50, 217, 15, 236, 36, 22, 213, 47, 177, 56, 171, 22, 132, 64, 105, 112, 104, 9, 178, 84, 170, 112, 39, 229, 235, 140, 237, 57, 184, 141, 245, 61, 180, 78, 92, 229, 95, 94, 228, 198, 152, 224, 66, 89, 151, 201, 198, 25, 3, 150, 66, 18, 3, 82, 226, 58, 72, 143, 203, 71, 4, 230, 230, 161, 111, 221, 242, 33, 161, 34, 81, 150, 63, 98, 229, 117, 148, 184, 71, 67, 172, 100, 182, 160, 104, 56, 217, 28, 92, 139, 27, 220, 175, 124, 209, 207, 76, 132, 181, 156, 170, 7, 50, 209, 189, 229, 88, 187, 243, 36, 190, 186, 237, 146, 88, 245, 48, 185, 35, 223, 137, 46, 37, 19, 9, 135, 182, 187, 232, 77, 75, 69, 217, 70, 250, 90, 8, 56, 172, 1, 2, 142, 149, 240, 107, 110, 200, 100, 23, 85, 24, 188, 106, 101, 75, 146, 30, 230, 203, 241, 86, 157, 73, 215, 169, 228, 180, 158, 6, 6, 165, 95, 198, 147, 179, 143, 68, 135, 152, 56, 185, 55, 239, 21, 215, 210, 130, 15, 22, 178, 251, 251, 84, 39, 74, 212, 76, 91, 236, 233, 133, 110, 144, 120, 204, 144, 25, 93, 211, 31, 226, 120, 225, 85, 198, 8, 26, 119, 119, 203, 149, 161, 40, 54, 193, 152, 59, 129, 165, 79, 175, 206, 205, 102, 11, 245, 73, 114, 223, 139, 111, 29, 111, 4, 43, 237, 1, 189, 117, 247, 207, 118, 0, 141, 133, 210, 203, 0, 121, 235, 150, 74, 191, 121, 203, 244, 122, 108, 105, 242, 5, 156, 172, 197, 87, 132, 141, 15, 134, 138, 158, 214, 8, 56, 23, 163, 149, 146, 165, 52, 242, 127, 39, 166, 82, 165, 174, 198, 203, 165, 213, 163, 160, 69, 79, 243, 168, 231, 105, 247, 75, 203, 115, 170, 177, 182, 70, 136, 83, 58, 195, 203, 12, 18, 51, 230, 116, 187, 135, 103, 43, 102, 6, 162, 89, 24, 71, 131, 198, 151, 193, 127, 118, 65, 0, 150, 221, 168, 175, 197, 106, 115, 59, 236, 133, 210, 11, 163, 174, 58, 193, 250, 175, 166, 20, 159, 45, 75, 203, 210, 188, 63, 11, 227, 145, 21, 159, 189, 10, 53, 30, 189, 97, 113, 0, 134, 27, 179, 149, 167, 20, 38, 208, 45, 6, 5, 20, 158, 99, 60, 49, 182, 86, 189, 31, 150, 125, 32, 249, 127, 79, 169, 243, 189, 114, 227, 83, 20, 231, 62, 252, 88, 50, 26, 197, 50, 77, 162, 190, 114, 241, 143, 119, 10, 81, 176, 179, 144, 216, 88, 65, 241, 38, 63, 129, 151, 43, 110, 208, 249, 161, 5, 57, 228, 4, 149, 124, 231, 128, 70, 28, 29, 50, 88, 169, 15, 44, 229, 61, 210, 93, 111, 64, 54, 187, 32, 181, 249, 155, 40, 115, 229, 150, 106, 135, 18, 95, 106, 202, 89, 88, 175, 152, 71, 26, 57, 235, 161, 248, 23, 47, 128, 84, 223, 166, 243, 191, 25, 218, 36, 255, 48, 184, 228, 154, 229, 221, 6, 116, 52, 72, 158, 117, 188, 116, 185, 228, 155, 179, 226, 51, 33, 9, 204, 141, 79, 229, 214, 230, 196, 188, 100, 241, 223, 130, 96, 111, 61, 51, 69, 113, 114, 103, 128, 72, 161, 223, 171, 32, 154, 109, 159, 222, 218, 30, 190, 150, 191, 155, 194, 4, 144, 7, 79, 113, 9, 237, 124, 9, 101, 98, 120, 23, 140, 82, 190, 248, 246, 20, 10, 241, 171, 130, 145, 119, 183, 61, 131, 37, 58, 111, 166, 152, 20, 159, 57, 238, 132, 226, 224, 60, 46, 91, 50, 203, 101, 49, 76, 106, 1, 198, 47, 52, 102, 2, 166, 7, 213, 1, 99, 181, 239, 11, 229, 116, 43, 162, 221, 244, 243, 154, 115, 137, 234, 175, 178, 222, 137, 150, 39, 40, 121, 126, 87, 253, 77, 83, 16, 37, 105, 102, 121, 233, 108, 144, 123, 48, 185, 253, 36, 207, 100, 212, 19, 176, 234, 170, 87, 164, 24, 151, 61, 224, 157, 8, 195, 134, 131, 198, 218, 210, 184, 149, 88, 76, 80, 17, 191, 182, 63, 224, 104, 231, 78, 211, 247, 172, 210, 55, 58, 18, 27, 9, 240, 13, 72, 218, 38, 244, 145, 37, 212, 146, 117, 211, 76, 190, 105, 154, 203, 197, 1, 132, 8, 141, 177, 224, 140, 141, 16, 157, 12, 176, 63, 199, 118, 189, 78, 249, 36, 33, 63, 250, 1, 80, 40, 138, 126, 131, 159, 55, 217, 19, 186, 163, 191, 255, 181, 242, 255, 57, 55, 36, 235, 125, 208, 129, 172, 94, 121, 13, 189, 52, 209, 201, 61, 53, 175, 197, 170, 231, 3, 118, 197, 95, 191, 25, 64, 78, 120, 210, 92, 243, 119, 134, 209, 116, 220, 240, 234, 225, 3, 231, 55, 211, 106, 135, 135, 108, 121, 241, 67, 191, 53, 11, 96, 203, 177, 35, 164, 238, 52, 179, 165, 149, 159, 73, 77, 147, 115, 190, 53, 56, 182, 246, 132, 63, 135, 169, 91, 115, 40, 56, 244, 103, 139, 109, 77, 224, 147, 64, 78, 53, 219, 181, 84, 211, 95, 19, 246, 112, 70, 89, 51, 1, 107, 214, 220, 201, 68, 56, 17, 158, 197, 189, 28, 49, 155, 228, 121, 247, 144, 188, 156, 206, 64, 183, 159, 12, 166, 208, 139, 106, 157, 8, 91, 127, 185, 76, 236, 85, 23, 230, 110, 142, 100, 42, 75, 241, 247, 44, 45, 84, 113, 249, 211, 134, 144, 232, 213, 130, 71, 149, 82, 196, 149, 229, 231, 49, 244, 17, 83, 92, 235, 185, 202, 178, 199, 87, 103, 140, 93, 248, 170, 165, 174, 41, 78, 247, 137, 200, 75, 88, 26, 3, 153, 77, 91, 36, 72, 38, 119, 169, 173, 176, 168, 247, 7, 100, 249, 227, 100, 96, 174, 244, 113, 227, 81, 40, 90, 103, 173, 85, 142, 88, 104, 81, 67, 167, 102, 118, 123, 58, 213, 100, 111, 65, 29, 206, 238, 194, 147, 51, 47, 210, 176, 37, 128, 44, 82, 124, 188, 41, 33, 77, 95, 167, 119, 189, 55, 224, 189, 177, 62, 41, 223, 219, 48, 222, 105, 135, 179, 32, 13, 136, 22, 225, 54, 151, 154, 105, 212, 122, 114, 202, 227, 191, 61, 73, 183, 103, 182, 153, 215, 156, 130, 69, 191, 111, 147, 23, 93, 27, 146, 55, 217, 161, 225, 136, 18, 88, 49, 202, 0, 71, 192, 4, 124, 255, 145, 150, 46, 169, 202, 145, 6, 211, 74, 172, 147, 61, 250, 29, 234, 40, 170, 22, 193, 0, 43, 195, 140, 135, 84, 215, 69, 233, 118, 180, 92, 22, 115, 135, 53, 171, 162, 176, 170, 168, 25, 198, 19, 255, 39, 213, 86, 137, 187, 179, 166, 246, 104, 245, 194, 222, 216, 236, 249, 109, 103, 81, 108, 157, 206, 54, 178, 225, 183, 77, 6, 216, 122, 231, 233, 1, 200, 19, 208, 97, 95, 66, 80, 68, 70, 10, 60, 116, 128, 229, 157, 196, 126, 198, 227, 220, 5, 153, 117, 252, 196, 253, 170, 104, 120, 140, 251, 253, 121, 150, 99, 91, 151, 68, 6, 71, 32, 216, 149, 196, 74, 143, 27, 72, 129, 98, 52, 160, 128, 50, 16, 9, 163, 149, 154, 189, 50, 215, 210, 178, 132, 220, 64, 169, 123, 193, 94, 115, 141, 219, 177, 71, 53, 238, 206, 79, 249, 111, 113, 106, 97, 172, 72, 2, 77, 107, 22, 28, 4, 194, 30, 103, 124, 91, 250, 189, 17, 253, 24, 98, 247, 23, 160, 103, 215, 141, 23, 144, 215, 181, 200, 141, 172, 208, 138, 70, 239, 108, 36, 220, 168, 126, 78, 73, 160, 172, 160, 81, 125, 240, 205, 221, 211, 115, 97, 129, 140, 136, 157, 18, 193, 186, 12, 147, 137, 43, 152, 132, 14, 214, 31, 106, 222, 83, 47, 33, 236, 34, 36, 215, 52, 171, 255, 13, 123, 134, 98, 73, 32, 9, 248, 140, 220, 11, 8, 255, 138, 194, 110, 117, 63, 203, 70, 82, 196, 160, 78, 85, 116, 44, 23, 90, 186, 34, 85, 13, 123, 246, 72, 209, 163, 185, 151, 227, 51, 207, 141, 139, 163, 205, 255, 52, 33, 130, 10, 119, 188, 95, 59, 126, 116, 233, 86, 254, 3, 147, 61, 174, 65, 210, 90, 102, 192, 48, 91, 48, 213, 153, 126, 25, 247, 253, 117, 0, 105, 52, 3, 51, 211, 155, 215, 2, 116, 38, 80, 80, 67, 124, 238, 2, 201, 69, 21, 16, 4, 184, 222, 72, 66, 119, 0, 105, 215, 230, 245, 115, 179, 206, 247, 21, 246, 122, 177, 220, 255, 29, 104, 48, 250, 140, 94, 178, 142, 196, 84, 69, 153, 192, 208, 10, 118, 121, 52, 139, 164, 194, 36, 0, 235, 158, 27, 94, 3, 166, 100, 88, 247, 18, 223, 26, 66, 126, 74, 83, 217, 80, 104, 138, 78, 39, 11, 22, 180, 196, 181, 105, 174, 68, 74, 2, 73, 28, 50, 150, 215, 62, 174, 11, 40, 7, 202, 171, 98, 234, 117, 13, 248, 28, 120, 143, 149, 96, 234, 5, 153, 23, 136, 30, 185, 80, 40, 168, 131, 194, 218, 248, 16, 226, 82, 86, 165, 164, 24, 191, 117, 232, 97, 232, 190, 58, 126, 223, 10, 93, 90, 223, 243, 200, 109, 24, 33, 184, 50, 106, 235, 38, 69, 15, 162, 95, 166, 60, 65, 154, 30, 4, 56, 159, 132, 63, 4, 235, 195, 64, 70, 97, 112, 249, 64, 98, 61, 160, 124, 213, 148, 58, 219, 221, 40, 55, 115, 142, 178, 160, 12, 53, 221, 14, 200, 47, 123, 39, 184, 209, 128, 54, 91, 30, 22, 244, 77, 74, 240, 250, 193, 231, 137, 114, 36, 224, 230, 201, 216, 150, 54, 90, 73, 187, 157, 244, 7, 246, 132, 193, 142, 225, 133, 216, 63, 89, 61, 168, 207, 219, 162, 172, 163, 5, 93, 52, 68, 86, 106, 224, 88, 31, 55, 57, 79, 138, 208, 17, 96, 245, 153, 229, 128, 203, 43, 148, 32, 175, 150, 145, 49, 60, 223, 111, 51, 195, 222, 241, 223, 171, 151, 31, 232, 237, 182, 160, 174, 71, 17, 225, 83, 126, 129, 254, 213, 147, 194, 193, 153, 124, 26, 182, 79, 65, 42, 75, 77, 69, 77, 211, 242, 212, 132, 83, 214, 139, 50, 1, 20, 67, 175, 76, 228, 210, 16, 224, 222, 114, 227, 158, 233, 213, 188, 158, 236, 114, 131, 84, 247, 229, 252, 76, 17, 217, 24, 45, 108, 201, 95, 135, 90, 159, 119, 161, 233, 94, 99, 184, 246, 65, 37, 117, 30, 68, 119, 54, 131, 148, 92, 172, 214, 62, 99, 37, 133, 115, 214, 239, 80, 71, 243, 6, 165, 252, 99, 75, 208, 110, 86, 239, 156, 135, 172, 203, 41, 52, 150, 249, 49, 83, 204, 92, 6, 137, 179, 149, 87, 126, 53, 126, 113, 240, 109, 241, 110, 25, 255, 131, 251, 55, 215, 221, 239, 77, 78, 141, 180, 91, 10, 32, 179, 114, 132, 225, 71, 130, 239, 168, 48, 167, 66, 118, 47, 197, 176, 237, 166, 194, 15, 56, 27, 182, 173, 70, 160, 75, 76, 65, 111, 218, 77, 196, 203, 121, 86, 134, 139, 97, 92, 45, 224, 221, 193, 163, 232, 129, 34, 250, 45, 248, 36, 220, 152, 226, 185, 228, 168, 95, 36, 1, 147, 126, 102, 138, 85, 137, 248, 51, 192, 163, 30, 152, 12, 110, 191, 171, 171, 177, 198, 50, 223, 67, 173, 55, 244, 224, 227, 190, 9, 104, 226, 238, 239, 240, 210, 29, 205, 7, 237, 227, 69, 166, 185, 83, 150, 254, 86, 131, 124, 141, 114, 74, 55, 225, 251, 94, 168, 222, 209, 6, 253, 9, 81, 45, 226, 83, 52, 34, 226, 84, 109, 16, 18, 72, 167, 162, 159, 70, 141, 212, 223, 211, 54, 67, 163, 158, 114, 190, 185, 99, 235, 243, 9, 108, 16, 158, 89, 213, 186, 145, 35, 88, 107, 27, 241, 171, 204, 243, 182, 64, 93, 200, 188, 118, 41, 116, 45, 143, 70, 163, 8, 156, 188, 226, 33, 164, 237, 111, 83, 65, 180, 186, 100, 173, 95, 2, 211, 129, 127, 120, 210, 172, 3, 175, 96, 56, 182, 152, 153, 237, 67, 26, 70, 6, 143, 254, 155, 234, 254, 16, 221, 38, 195, 245, 77, 104, 161, 93, 62, 20, 205, 82, 47, 64, 119, 51, 174, 8, 102, 88, 245, 74, 103, 43, 53, 163, 84, 134, 211, 47, 50, 251, 146, 98, 208, 121, 166, 180, 60, 181, 138, 253, 203, 198, 61, 209, 117, 216, 95, 188, 255, 156, 21, 15, 219, 123, 8, 238, 74, 22, 134, 15, 89, 248, 83, 143, 231, 241, 161, 234, 137, 208, 207, 188, 122, 175, 16, 76, 115, 172, 206, 146, 157, 229, 225, 3, 102, 206, 80, 185, 155, 222, 208, 65, 109, 123, 205, 89, 70, 167, 212, 137, 158, 162, 235, 57, 90, 106, 40, 99, 212, 26, 116, 178, 219, 182, 16, 134, 239, 226, 141, 12, 27, 187, 122, 241, 169, 42, 17, 165, 123, 251, 160, 132, 14, 20, 253, 13, 146, 209, 28, 122, 207, 201, 186, 75, 181, 52, 40, 243, 146, 181, 171, 100, 231, 234, 204, 141, 215, 22, 63, 204, 12, 136, 253, 230, 87, 155, 41, 74, 147, 67, 178, 124, 115, 172, 142, 16, 231, 56, 132, 117, 34, 145, 32, 241, 255, 103, 210, 67, 95, 161, 252, 57, 100, 203, 202, 220, 250, 59, 10, 134, 69, 90, 224, 74, 215, 64, 238, 27, 26, 16, 179, 181, 99, 218, 129, 84, 139, 11, 118, 165, 153, 45, 125, 18, 36, 145, 161, 5, 191, 94, 67, 91, 56, 201, 234, 178, 14, 202, 77, 150, 63, 134, 32, 6, 198, 56, 30, 179, 88, 184, 133, 187, 2, 96, 208, 24, 92, 158, 136, 149, 44, 187, 122, 83, 133, 188, 105, 44, 32, 110, 202, 33, 222, 30, 63, 205, 70, 141, 52, 242, 12, 226, 30, 245, 105, 43, 34, 250, 222, 170, 198, 217, 153, 151, 51, 170, 38, 47, 5, 251, 76, 130, 5, 160, 59, 216, 33, 209, 208, 218, 145, 51, 3, 207, 4, 156, 76, 14, 120, 28, 14, 33, 78, 199, 52, 109, 24, 17, 223, 162, 235, 64, 139, 37, 81, 90, 43, 203, 152, 29, 113, 212, 70, 54, 62, 33, 23, 113, 11, 244, 134, 122, 224, 144, 23, 201, 83, 163, 216, 136, 76, 99, 64, 201, 159, 140, 163, 45, 124, 210, 5, 125, 25, 189, 139, 172, 225, 209, 235, 205, 52, 134, 139, 83, 152, 222, 180, 194, 131, 87, 198, 170, 35, 243, 102, 24, 117, 223, 86, 100, 203, 69, 93, 155, 220, 65, 36, 70, 201, 47, 83, 31, 96, 40, 203, 190, 87, 199, 184, 180, 123, 57, 37, 115, 250, 93, 154, 83, 144, 190, 189, 78, 68, 217, 92, 195, 47, 91, 231, 7, 255, 62, 189, 148, 173, 140, 200, 32, 158, 199, 95, 87, 27, 14, 22, 253, 65, 210, 47, 226, 168, 49, 187, 62, 154, 176, 211, 202, 103, 233, 222, 22, 107, 38, 211, 247, 214, 104, 33, 83, 165, 107, 75, 98, 18, 204, 88, 182, 75, 114, 139, 80, 203, 105, 210, 236, 220, 250, 116, 227, 31, 14, 49, 103, 121, 194, 35, 197, 22, 154, 230, 140, 160, 213, 24, 45, 6, 175, 26, 115, 52, 234, 16, 208, 238, 186, 215, 56, 252, 20, 95, 12, 209, 38, 65, 161, 7, 158, 114, 233, 249, 101, 104, 135, 85, 252, 106, 176, 234, 166, 137, 127, 75, 158, 228, 75, 166, 54, 109, 137, 232, 111, 169, 175, 49, 170, 123, 178, 1, 110, 214, 93, 6, 158, 125, 154, 229, 235, 215, 120, 178, 87, 149, 38, 255, 28, 136, 204, 198, 0, 20, 223, 72, 25, 183, 100, 155, 232, 120, 61, 158, 174, 212, 247, 163, 248, 128, 234, 226, 118, 90, 52, 114, 154, 99, 216, 168, 94, 64, 100, 212, 3, 230, 253, 238, 198, 107, 33, 235, 196, 165, 21, 13, 158, 91, 160, 203, 159, 26, 82, 166, 42, 34, 84, 218, 176, 117, 230, 38, 14, 76, 12, 87, 152, 210, 47, 47, 145, 248, 136, 155, 133, 184, 255, 151, 201, 59, 127, 156, 220, 121, 91, 4, 135, 128, 247, 89, 96, 161, 153, 200, 0, 138, 159, 54, 122, 35, 220, 46, 24, 25, 180, 214, 96, 117, 169, 59, 79, 162, 9, 201, 37, 149, 78, 250, 134, 88, 58, 237, 108, 211, 71, 232, 105, 237, 236, 206, 89, 56, 62, 30, 42, 227, 170, 148, 76, 101, 119, 146, 70, 43, 233, 140, 77, 125, 0, 150, 21, 209, 193, 33, 191, 92, 103, 196, 28, 190, 184, 147, 117, 227, 229, 111, 239, 225, 242, 93, 33, 11, 20, 220, 77, 228, 24, 220, 232, 141, 86, 234, 175, 115, 5, 209, 161, 28, 28, 175, 188, 220, 166, 34, 214, 135, 182, 248, 134, 100, 147, 198, 94, 146, 188, 81, 196, 66, 127, 67, 56, 172, 150, 227, 165, 1, 18, 7, 198, 105, 51, 48, 58, 160, 154, 221, 176, 35, 96, 12, 161, 102, 55, 35, 183, 17, 199, 38, 123, 120, 210, 28, 192, 61, 15, 151, 163, 215, 189, 59, 220, 247, 150, 220, 215, 220, 64, 195, 3, 20, 220, 59, 135, 246, 89, 36, 192, 30, 76, 228, 72, 94, 125, 18, 55, 246, 218, 51, 176, 28, 17, 5, 233, 44, 44, 158, 67, 42, 171, 171, 197, 170, 157, 210, 96, 196, 224, 44, 175, 9, 100, 172, 110, 161, 14, 86, 203, 90, 116, 226, 224, 152, 116, 202, 236, 125, 114, 131, 244, 228, 232, 51, 29, 105, 211, 59, 184, 2, 240, 213, 223, 60, 57, 134, 115, 235, 70, 19, 202, 182, 46, 10, 48, 125, 193, 71, 93, 107, 135, 12, 45, 155, 203, 63, 184, 176, 161, 120, 165, 29, 89, 153, 219, 125, 69, 27, 148, 77, 122, 103, 52, 101, 196, 112, 178, 192, 118, 102, 12, 191, 141, 187, 126, 54, 21, 160, 100, 56, 197, 98, 180, 160, 203, 58, 34, 142, 11, 51, 208, 236, 58, 219, 36, 103, 118, 208, 136, 81, 228, 137, 147, 247, 249, 181, 185, 71, 38, 77, 216, 77, 34, 79, 121, 209, 149, 15, 191, 44, 53, 105, 192, 81, 27, 112, 2, 117, 0, 212, 154, 133, 124, 187, 22, 97, 131, 198, 42, 183, 24, 82, 53, 169, 197, 74, 31, 169, 26, 42, 40, 23, 87, 44, 68, 85, 204, 205, 52, 11, 45, 8, 204, 79, 64, 236, 7, 185, 42, 203, 39, 81, 62, 79, 1, 53, 39, 27, 127, 217, 46, 8, 114, 203, 116, 183, 38, 228, 139, 42, 186, 53, 203, 115, 206, 117, 201, 198, 196, 174, 4, 90, 245, 205, 242, 231, 250, 214, 1, 114, 105, 246, 169, 94, 123, 93, 240, 100, 25, 12, 96, 135, 56, 24, 114, 36, 94, 157, 69, 56, 116, 252, 136, 111, 130, 240, 106, 53, 199, 199, 209, 249, 63, 54, 228, 231, 70, 194, 51, 210, 70, 29, 24, 187, 159, 95, 17, 240, 55, 97, 23, 98, 170, 108, 235, 98, 127, 254, 192, 78, 148, 117, 252, 56, 250, 224, 101, 164, 8, 31, 191, 27, 87, 34, 64, 101, 92, 255, 153, 21, 60, 44, 201, 88, 2, 117, 218, 137, 103, 170, 109, 178, 244, 34, 185, 175, 50, 187, 201, 12, 138, 54, 137, 52, 163, 67, 62, 154, 107, 122, 144, 76, 71, 127, 151, 221, 138, 178, 44, 200, 80, 15, 189, 242, 152, 234, 104, 167, 198, 148, 185, 107, 203, 77, 117, 130, 211, 134, 235, 204, 6, 17, 234, 93, 251, 219, 197, 251, 90, 125, 159, 188, 24, 223, 217, 54, 102, 105, 165, 34, 198, 170, 86, 158, 130, 63, 59, 241, 237, 210, 200, 223, 135, 8, 72, 57, 81, 35, 49, 85, 79, 132, 41, 187, 99, 162, 71, 49, 1, 50, 245, 112, 82, 68, 13, 140, 164, 126, 106, 142, 57, 14, 186, 59, 149, 214, 175, 183, 93, 15, 5, 156, 70, 154, 172, 60, 130, 224, 13, 87, 68, 14, 138, 37, 108, 7, 5, 52, 95, 136, 121, 21, 183, 4, 40, 157, 128, 211, 0, 151, 140, 5, 159, 111, 194, 128, 232, 148, 125, 188, 58, 24, 200, 7, 249, 9, 91, 90, 185, 37, 237, 8, 21, 254, 181, 127, 128, 56, 51, 32, 208, 200, 101, 122, 175, 89, 125, 103, 116, 207, 234, 191, 96, 152, 191, 41, 130, 21, 134, 172, 62, 108, 255, 4, 10, 210, 113, 128, 86, 54, 241, 82, 120, 100, 207, 107, 31, 29, 115, 128, 37, 80, 66, 249, 155, 15, 208, 176, 69, 102, 200, 114, 229, 137, 84, 208, 108, 74, 149, 253, 165, 248, 145, 119, 152, 121, 115, 92, 199, 189, 123, 32, 146, 239, 157, 89, 70, 166, 238, 216, 119, 253, 71, 103, 1, 28, 77, 176, 17, 84, 155, 170, 99, 131, 165, 186, 160, 79, 7, 62, 245, 53, 9, 234, 53, 4, 46, 143, 238, 29, 18, 58, 48, 130, 143, 132, 83, 40, 127, 91, 252, 123, 163, 152, 20, 23, 96, 224, 19, 200, 37, 127, 12, 208, 175, 232, 16, 206, 138, 167, 41, 94, 137, 198, 152, 151, 146, 181, 60, 70, 213, 168, 178, 40, 87, 78, 27, 90, 249, 194, 151, 61, 212, 175, 202, 234, 236, 72, 173, 119, 219, 188, 142, 40, 146, 218, 179, 91, 36, 43, 46, 57, 199, 20, 203, 159, 13, 200, 119, 107, 71, 190, 173, 206, 103, 82, 173, 41, 217, 222, 176, 89, 86, 68, 45, 124, 9, 35, 245, 204, 139, 155, 187, 119, 228, 63, 47, 36, 119, 234, 228, 152, 28, 113, 79, 210, 33, 119, 210, 60, 195, 130, 130, 121, 15, 187, 119, 106, 147, 71, 189, 57, 62, 181, 61, 183, 206, 246, 66, 254, 222, 125, 147, 248, 48, 38, 222, 33, 171, 23, 248, 1, 11, 240, 236, 227, 217, 78, 62, 44, 95, 168, 12, 166, 208, 140, 152, 40, 123, 24, 76, 110, 159, 252, 187, 255, 121, 255, 156, 173, 136, 211, 245, 190, 165, 28, 6, 228, 122, 43, 224, 175, 143, 134, 159, 248, 253, 53, 243, 247, 187, 208, 53, 108, 166, 214, 137, 198, 248, 3, 24, 52, 159, 245, 161, 233, 185, 33, 8, 125, 171, 80, 50, 200, 84, 97, 188, 94, 54, 81, 34, 159, 56, 109, 118, 169, 222, 203, 227, 27, 250, 11, 85, 201, 58, 194, 108, 127, 252, 79, 128, 16, 217, 87, 195, 252, 211, 205, 49, 57, 167, 108, 210, 164, 89, 127, 93, 85, 13, 196, 187, 173, 2, 116, 77, 234, 25, 254, 70, 246, 219, 228, 174, 63, 81, 209, 144, 131, 165, 192, 132, 109, 215, 10, 55, 173, 19, 130, 177, 66, 65, 169, 12, 243, 81, 1, 112, 129, 188, 201, 252, 97, 3, 85, 119, 243, 120, 29, 175, 51, 251, 196, 255, 63, 92, 102, 23, 16, 23, 71, 72, 73, 11, 236, 127, 157, 162, 20, 203, 235, 13, 156, 123, 204, 175, 32, 29, 122, 31, 25, 214, 217, 74, 177, 184, 37, 198, 208, 124, 109, 155, 171, 15, 140, 88, 239, 10, 231, 15, 232, 128, 22, 101, 189, 68, 100, 204, 231, 40, 189, 207, 152, 152, 246, 160, 140, 114, 210, 12, 214, 224, 221, 212, 205, 173, 12, 139, 113, 183, 103, 81, 85, 162, 220, 109, 252, 51, 56, 7, 219, 113, 102, 245, 117, 119, 198, 159, 136, 52, 11, 139, 108, 120, 161, 18, 186, 239, 226, 130, 155, 62, 178, 255, 72, 166, 246, 171, 53, 197, 238, 235, 179, 119, 15, 213, 121, 49, 238, 150, 170, 184, 120, 133, 26, 163, 208, 218, 118, 93, 50, 89, 110, 74, 100, 31, 134, 123, 238, 115, 46, 202, 63, 213, 49, 50, 231, 113, 114, 42, 141, 93, 180, 23, 27, 80, 61, 244, 72, 196, 223, 183, 222, 130, 207, 46, 243, 252, 100, 226, 250, 226, 53, 119, 238, 34, 142, 136, 85, 208, 20, 231, 35, 59, 77, 189, 121, 203, 142, 127, 109, 243, 146, 138, 98, 94, 166, 34, 111, 56, 241, 43, 181, 48, 23, 85, 221, 201, 133, 202, 141, 175, 19, 251, 250, 81, 222, 39, 70, 201, 88, 247, 208, 227, 212, 85, 212, 39, 233, 54, 89, 43, 40, 53, 155, 134, 183, 152, 160, 11, 175, 87, 163, 136, 46, 229, 215, 208, 111, 51, 79, 187, 173, 170, 228, 18, 158, 128, 94, 145, 254, 92, 22, 201, 74, 200, 102, 202, 20, 98, 202, 159, 118, 226, 34, 182, 113, 95, 70, 9, 130, 31, 175, 195, 249, 218, 144, 81, 153, 158, 204, 151, 37, 178, 1, 71, 119, 88, 212, 143, 148, 243, 154, 24, 225, 179, 198, 178, 111, 8, 191, 195, 161, 125, 10, 34, 134, 94, 148, 198, 83, 35, 68, 134, 85, 152, 138, 251, 103, 79, 44, 46, 222, 44, 171, 41, 15, 145, 210, 197, 82, 122, 74, 142, 21, 112, 61, 184, 2, 102, 207, 20, 184, 182, 59, 51, 180, 195, 126, 249, 42, 68, 136, 197, 186, 20, 237, 151, 29, 140, 39, 74, 217, 162, 61, 66, 175, 48, 141, 250, 168, 196, 49, 16, 198, 87, 158, 123, 54, 0, 227, 80, 214, 5, 57, 157, 66, 226, 83, 154, 118, 193, 109, 200, 186, 140, 40, 161, 145, 146, 111, 178, 162, 6, 112, 172, 219, 42, 203, 101, 247, 230, 6, 212, 121, 2, 221, 34, 91, 68, 150, 101, 23, 187, 146, 50, 54, 74, 248, 87, 45, 69, 8, 113, 12, 66, 234, 46, 218, 206, 224, 217, 128, 253, 118, 249, 238, 209, 8, 87, 211, 84, 24, 7, 245, 147, 57, 114, 219, 53, 129, 19, 151, 123, 29, 223, 103, 36, 200, 141, 197, 153, 151, 22, 117, 95, 161, 72, 207, 211, 28, 51, 24, 156, 56, 33, 142, 161, 210, 41, 50, 189, 52, 13, 206, 177, 226, 208, 129, 217, 158, 58, 89, 29, 4, 196, 82, 132, 48, 202, 253, 64, 3, 22, 110, 185, 221, 200, 91, 22, 68, 130, 194, 254, 86, 118, 174, 43, 247, 132, 36, 129, 159, 12, 110, 212, 169, 164, 251, 140, 92, 102, 170, 208, 154, 173, 238, 224, 118, 16, 215, 207, 254, 24, 201, 243, 155, 26, 150, 25, 87, 111, 108, 137, 173, 47, 38, 175, 156, 152, 83, 59, 21, 135, 179, 203, 35, 220, 255, 95, 143, 75, 252, 40, 12, 10, 117, 22, 163, 190, 246, 94, 217, 71, 18, 146, 86, 179, 34, 222, 77, 158, 143, 69, 74, 214, 174, 64, 71, 217, 156, 182, 113, 197, 137, 10, 155, 44, 209, 227, 216, 114, 15, 178, 105, 247, 232, 77, 19, 194, 10, 76, 254, 14, 192, 244, 168, 68, 132, 52, 215, 206, 235, 181, 159, 63, 101, 120, 43, 220, 202, 231, 43, 243, 66, 109, 2, 27, 21, 229, 239, 126, 204, 15, 64, 132, 30, 219, 109, 170, 96, 153, 127, 128, 148, 173, 187, 186, 103, 241, 98, 80, 104, 161, 149, 82, 39, 139, 114, 3, 196, 107, 246, 173, 235, 248, 205, 171, 236, 71, 44, 205, 61, 212, 169, 36, 246, 167, 93, 31, 97, 6, 92, 68, 187, 175, 31, 43, 206, 6, 215, 55, 110, 103, 222, 82, 145, 132, 183, 252, 225, 26, 131, 241, 248, 134, 164, 125, 127, 8, 212, 154, 152, 47, 245, 118, 39, 101, 1, 112, 132, 116, 250, 36, 21, 134, 209, 217, 105, 139, 197, 196, 31, 40, 213, 67, 42, 224, 215, 163, 214, 155, 254, 210, 251, 163, 143, 3, 244, 199, 227, 127, 36, 125, 79, 139, 201, 63, 242, 151, 220, 69, 193, 255, 200, 21, 0, 88, 243, 212, 100, 104, 22, 154, 78, 66, 252, 3, 255, 218, 226, 227, 172, 117, 144, 0, 165, 143, 239, 235, 155, 170, 35, 176, 28, 233, 238, 205, 171, 9, 86, 30, 1, 53, 25, 255, 249, 56, 224, 15, 101, 133, 161, 55, 138, 192, 171, 53, 160, 219, 85, 207, 56, 187, 107, 123, 129, 105, 122, 194, 89, 229, 191, 218, 47, 125, 250, 180, 164, 74, 44, 95, 60, 226, 178, 151, 193, 32, 114, 135, 174, 92, 7, 42, 145, 81, 136, 79, 45, 251, 26, 103, 17, 174, 81, 229, 129, 176, 189, 171, 157, 118, 124, 183, 104, 176, 64, 226, 3, 103, 38, 210, 64, 92, 105, 178, 132, 248, 248, 151, 38, 226, 149, 11, 72, 143, 77, 43, 6, 125, 177, 45, 165, 22, 101, 183, 186, 230, 193, 43, 132, 183, 147, 31, 193, 202, 249, 120, 153, 119, 250, 91, 11, 30, 20, 211, 73, 209, 107, 12, 177, 86, 254, 73, 244, 41, 87, 60, 82, 125, 223, 119, 88, 128, 150, 234, 117, 102, 2, 184, 214, 171, 183, 215, 254, 135, 204, 118, 168, 150, 36, 222, 77, 123, 63, 236, 161, 72, 137, 155, 207, 191, 21, 210, 142, 31, 92, 60, 1, 237, 137, 196, 155, 242, 11, 50, 27, 252, 156, 24, 218, 13, 144, 189, 168, 181, 143, 34, 22, 212, 62, 114, 128, 241, 203, 44, 134, 52, 31, 254, 107, 250, 185, 2, 118, 220, 232, 76, 32, 151, 28, 178, 186, 74, 220, 119, 82, 230, 138, 110, 253, 1, 32, 197, 66, 37, 17, 67, 129, 202, 92, 173, 120, 173, 185, 46, 104, 247, 31, 127, 112, 140, 43, 185, 83, 5, 178, 91, 153, 5, 98, 87, 156, 118, 68, 188, 184, 177, 45, 76, 64, 200, 6, 93, 177, 181, 195, 185, 43, 147, 188, 118, 222, 169, 218, 214, 128, 217, 82, 133, 213, 186, 149, 77, 76, 216, 34, 157, 199, 98, 174, 158, 77, 11, 223, 46, 251, 62, 32, 75, 158, 251, 177, 240, 170, 84, 14, 130, 80, 66, 119, 153, 96, 102, 65, 36, 134, 79, 90, 76, 213, 150, 226, 228, 236, 181, 226, 234, 82, 199, 75, 196, 184, 101, 220, 122, 105, 157, 143, 30, 177, 174, 139, 81, 44, 87, 215, 144, 69, 210, 154, 146, 39, 6, 143, 22, 124, 120, 38, 216, 147, 224, 103, 250, 185, 153, 153, 97, 146, 97, 229, 183, 140, 18, 135, 254, 129, 35, 229, 244, 117, 254, 162, 190, 220, 79, 38, 128, 238, 200, 24, 89, 160, 190, 254, 38, 147, 163, 0, 158, 254, 155, 150, 121, 204, 115, 94, 102, 95, 89, 93, 189, 125, 63, 123, 126, 211, 188, 179, 91, 35, 173, 188, 245, 146, 84, 19, 17, 70, 184, 194, 226, 191, 241, 196, 155, 125, 202, 183, 37, 21, 254, 181, 103, 205, 119, 216, 122, 173, 90, 157, 6, 251, 175, 168, 246, 250, 107, 38, 147, 70, 191, 122, 92, 197, 32, 66, 161, 150, 130, 206, 26, 120, 194, 231, 191, 250, 249, 105, 187, 247, 97, 188, 227, 63, 10, 109, 150, 42, 17, 234, 119, 97, 255, 183, 213, 181, 166, 21, 189, 254, 39, 57, 119, 138, 17, 172, 123, 182, 116, 253, 61, 252, 248, 240, 111, 220, 193, 42, 255, 215, 232, 78, 69, 95, 138, 221, 74, 234, 139, 208, 188, 161, 143, 49, 199, 76, 233, 39, 100, 106, 203, 125, 80, 115, 139, 48, 131, 35, 141, 255, 38, 181, 221, 55, 110, 150, 93, 181, 27, 135, 105, 118, 93, 233, 172, 180, 249, 47, 116, 74, 214, 172, 54, 213, 58, 108, 12, 40, 203, 115, 211, 206, 84, 139, 251, 72, 131, 121, 216, 149, 121, 251, 242, 180, 221, 214, 40, 61, 58, 54, 203, 18, 54, 93, 204, 186, 14, 240, 82, 241, 47, 127, 1, 146, 119, 68, 243, 173, 17, 113, 115, 250, 65, 206, 169, 182, 96, 104, 207, 240, 162, 106, 123, 65, 110, 243, 202, 156, 75, 143, 164, 196, 127, 76, 50, 255, 48, 105, 162, 50, 209, 64, 68, 1, 81, 151, 55, 95, 188, 117, 236, 103, 89, 176, 148, 210, 21, 201, 170, 63, 144, 58, 89, 124, 171, 151, 139, 81, 234, 243, 10, 174, 230, 229, 50, 178, 199, 201, 59, 137, 82, 128, 219, 103, 10, 20, 11, 128, 211, 93, 241, 38, 71, 84, 213, 230, 94, 35, 153, 54, 150, 223, 82, 201, 228, 204, 224, 172, 201, 83, 46, 200, 230, 195, 160, 83, 205, 237, 140, 36, 124, 54, 172, 186, 75, 24, 132, 183, 182, 181, 55, 115, 61, 43, 250, 155, 252, 173, 153, 219, 71, 190, 33, 101, 95, 86, 229, 8, 132, 96, 118, 116, 24, 53, 214, 44, 27, 88, 12, 71, 109, 167, 188, 4, 88, 204, 44, 68, 7, 253, 230, 106, 24, 184, 77, 229, 228, 2, 141, 53, 71, 248, 71, 64, 134, 56, 244, 57, 145, 57, 204, 105, 25, 81, 5, 140, 88, 129, 36, 143, 26, 107, 169, 20, 134, 185, 117, 255, 20, 47, 250, 229, 198, 98, 63, 94, 34, 56, 237, 239, 14, 123, 193, 244, 90, 70, 210, 54, 150, 109, 144, 149, 84, 80, 206, 78, 129, 58, 112, 80, 163, 14, 212, 1, 226, 71, 244, 117, 141, 137, 232, 185, 26, 122, 169, 184, 43, 159, 31, 79, 188, 126, 126, 139, 148, 66, 188, 194, 145, 224, 139, 223, 199, 135, 68, 123, 104, 129, 30, 240, 229, 131, 51, 25, 251, 246, 56, 103, 226, 15, 112, 130, 192, 166, 100, 245, 75, 160, 105, 28, 35, 174, 68, 239, 231, 200, 142, 48, 86, 74, 123, 160, 121, 234, 154, 250, 5, 127, 111, 222, 87, 82, 134, 31, 150, 111, 165, 209, 29, 9, 136, 246, 255, 243, 248, 216, 223, 30, 190, 116, 63, 254, 145, 132, 110, 13, 30, 249, 79, 172, 187, 37, 116, 254, 120, 212, 241, 79, 172, 251, 127, 248, 249, 248, 88, 91, 89, 173, 253, 4, 208, 176, 42, 121, 137, 95, 170, 120, 45, 10, 43, 162, 167, 136, 98, 131, 195, 82, 18, 50, 227, 170, 127, 178, 203, 149, 244, 16, 83, 145, 9, 18, 69, 163, 185, 254, 153, 108, 85, 13, 45, 91, 94, 90, 4, 78, 192, 125, 173, 213, 253, 79, 82, 255, 46, 96, 160, 78, 239, 80, 223, 71, 154, 123, 186, 159, 104, 182, 170, 18, 107, 17, 79, 1, 41, 1, 193, 73, 242, 177, 114, 180, 154, 86, 143, 8, 139, 214, 106, 133, 50, 53, 184, 13, 201, 90, 103, 188, 85, 78, 89, 151, 136, 238, 123, 220, 147, 236, 91, 143, 206, 41, 178, 209, 218, 98, 178, 18, 78, 203, 37, 186, 155, 106, 157, 75, 245, 216, 47, 139, 20, 25, 3, 2, 156, 198, 216, 80, 159, 57, 205, 109, 142, 5, 181, 121, 69, 249, 151, 51, 230, 138, 154, 253, 167, 192, 163, 50, 35, 252, 122, 218, 25, 129, 236, 51, 200, 96, 92, 57, 190, 136, 124, 152, 217, 105, 104, 153, 214, 59, 144, 231, 189, 13, 69, 102, 101, 29, 79, 64, 114, 231, 84, 213, 92, 223, 78, 236, 198, 156, 18, 146, 193, 130, 156, 6, 117, 199, 129, 161, 85, 92, 218, 89, 252, 205, 234, 43, 156, 93, 147, 133, 64, 109, 41, 153, 235, 182, 202, 69, 158, 170, 21, 45, 24, 12, 232, 246, 228, 94, 79, 27, 206, 10, 116, 122, 246, 183, 232, 144, 163, 25, 101, 218, 248, 174, 201, 245, 206, 247, 144, 252, 113, 74, 23, 90, 111, 164, 41, 195, 178, 216, 208, 111, 130, 81, 84, 254, 19, 88, 4, 147, 142, 102, 66, 69, 63, 146, 21, 141, 32, 44, 64, 105, 8, 148, 204, 56, 5, 121, 231, 205, 109, 111, 97, 154, 22, 71, 225, 120, 85, 226, 27, 132, 218, 64, 124, 52, 106, 53, 88, 110, 108, 85, 145, 207, 155, 122, 217, 87, 239, 34, 253, 212, 218, 145, 64, 104, 33, 69, 79, 85, 120, 54, 58, 47, 228, 205, 122, 39, 230, 95, 15, 9, 151, 122, 151, 205, 94, 226, 248, 97, 234, 222, 103, 196, 244, 173, 166, 149, 172, 177, 59, 48, 191, 43, 28, 244, 248, 64, 203, 146, 139, 142, 3, 8, 68, 47, 132, 219, 199, 180, 196, 5, 180, 102, 198, 79, 147, 224, 187, 90, 38, 163, 34, 85, 198, 175, 81, 91, 69, 240, 208, 79, 83, 47, 226, 201, 22, 181, 168, 77, 5, 27, 137, 221, 45, 30, 84, 242, 161, 122, 52, 224, 181, 35, 174, 55, 53, 18, 203, 157, 117, 51, 180, 33, 220, 72, 64, 42, 46, 153, 241, 204, 96, 220, 88, 68, 118, 26, 91, 92, 249, 70, 160, 203, 178, 48, 55, 25, 144, 132, 179, 120, 233, 0, 236, 196, 236, 207, 212, 78, 233, 174, 22, 75, 5, 0, 253, 115, 22, 177, 56, 47, 147, 84, 145, 35, 222, 165, 33, 39, 140, 181, 55, 90, 251, 52, 184, 225, 145, 29, 83, 233, 179, 38, 152, 139, 151, 36, 124, 112, 125, 153, 56, 49, 233, 247, 74, 203, 227, 252, 44, 93, 245, 122, 54, 86, 35, 143, 45, 61, 24, 32, 176, 58, 38, 114, 78, 247, 121, 60, 6, 129, 212, 142, 49, 79, 181, 80, 129, 131, 177, 220, 217, 168, 187, 103, 192, 235, 203, 188, 123, 125, 228, 116, 129, 142, 175, 89, 164, 138, 235, 66, 171, 17, 209, 190, 48, 219, 193, 136, 181, 198, 105, 149, 165, 154, 107, 43, 172, 64, 227, 146, 76, 92, 253, 146, 248, 65, 176, 193, 6, 109, 54, 22, 118, 5, 69, 21, 73, 99, 68, 213, 156, 198, 141, 160, 238, 126, 27, 71, 97, 7, 171, 170, 86, 230, 70, 27, 132, 148, 106, 161, 65, 247, 30, 96, 5, 128, 9, 142, 86, 156, 195, 15, 132, 219, 153, 68, 237, 135, 41, 129, 74, 96, 130, 192, 232, 140, 129, 226, 180, 212, 171, 245, 204, 174, 39, 35, 12, 85, 65, 188, 108, 87, 153, 35, 83, 51, 53, 196, 97, 50, 182, 33, 224, 35, 131, 9, 206, 194, 120, 113, 227, 96, 199, 180, 82, 194, 54, 10, 117, 190, 239, 6, 72, 42, 83, 63, 187, 13, 82, 169, 84, 242, 57, 1, 54, 212, 76, 180, 97, 172, 123, 177, 35, 186, 73, 68, 61, 83, 167, 236, 86, 63, 172, 227, 241, 181, 146, 91, 135, 24, 23, 236, 136, 70, 125, 232, 43, 41, 196, 85, 161, 70, 101, 143, 84, 62, 15, 90, 219, 198, 47, 82, 82, 87, 48, 247, 70, 147, 161, 90, 108, 3, 162, 97, 250, 27, 85, 240, 123, 143, 80, 152, 28, 8, 148, 199, 169, 29, 247, 209, 51, 106, 27, 140, 170, 22, 84, 87, 68, 168, 142, 236, 113, 215, 79, 109, 42, 76, 166, 220, 145, 149, 214, 71, 169, 245, 188, 95, 38, 187, 143, 71, 123, 195, 214, 168, 103, 80, 124, 238, 146, 170, 214, 92, 46, 51, 67, 27, 83, 191, 123, 147, 193, 198, 34, 81, 152, 111, 126, 129, 115, 31, 204, 216, 41, 254, 137, 113, 225, 80, 52, 232, 150, 79, 115, 75, 25, 142, 20, 55, 53, 31, 106, 243, 130, 74, 80, 38, 165, 115, 158, 195, 247, 234, 114, 82, 212, 60, 73, 175, 71, 168, 238, 77, 203, 255, 55, 161, 233, 208, 241, 88, 148, 76, 48, 174, 40, 225, 246, 88, 148, 151, 165, 43, 28, 70, 29, 83, 98, 221, 47, 156, 234, 97, 146, 70, 190, 5, 213, 189, 228, 168, 122, 248, 72, 148, 127, 124, 134, 220, 235, 225, 132, 90, 84, 157, 220, 208, 85, 235, 183, 21, 44, 221, 242, 119, 160, 45, 241, 20, 7, 34, 166, 3, 118, 193, 63, 116, 178, 136, 3, 21, 10, 242, 154, 162, 211, 12, 59, 253, 22, 74, 65, 66, 154, 186, 156, 7, 184, 86, 36, 251, 186, 255, 126, 13, 204, 198, 88, 142, 215, 144, 213, 159, 248, 179, 232, 149, 180, 31, 185, 217, 63, 16, 169, 33, 103, 36, 191, 244, 111, 239, 184, 15, 217, 196, 192, 166, 85, 226, 215, 86, 21, 183, 8, 8, 202, 148, 226, 39, 233, 69, 96, 14, 104, 186, 236, 138, 215, 243, 61, 167, 4, 254, 70, 235, 158, 62, 200, 204, 44, 78, 119, 77, 207, 19, 27, 15, 74, 187, 202, 26, 133, 91, 164, 38, 153, 53, 18, 243, 201, 8, 93, 20, 61, 210, 9, 84, 243, 212, 176, 97, 235, 199, 60, 142, 26, 205, 225, 213, 169, 162, 182, 206, 182, 127, 141, 129, 101, 124, 205, 199, 190, 196, 187, 209, 173, 49, 224, 101, 222, 108, 73, 212, 149, 86, 85, 249, 124, 147, 75, 105, 38, 185, 61, 95, 157, 4, 108, 66, 6, 210, 126, 135, 58, 171, 49, 77, 250, 141, 31, 239, 50, 73, 212, 125, 224, 74, 125, 8, 69, 81, 186, 90, 155, 165, 215, 66, 103, 30, 98, 228, 103, 214, 93, 116, 125, 71, 164, 2, 98, 172, 31, 102, 147, 30, 48, 225, 87, 199, 108, 99, 166, 8, 101, 70, 1, 86, 175, 49, 164, 220, 76, 60, 115, 171, 115, 131, 214, 174, 43, 142, 145, 192, 160, 171, 146, 64, 79, 169, 203, 99, 82, 121, 180, 53, 10, 36, 72, 164, 83, 234, 25, 90, 161, 17, 79, 234, 111, 249, 64, 201, 71, 80, 101, 145, 125, 247, 40, 236, 178, 158, 69, 195, 103, 157, 162, 3, 243, 178, 249, 93, 61, 20, 99, 74, 188, 134, 104, 116, 69, 56, 148, 191, 35, 193, 58, 230, 82, 202, 157, 76, 46, 135, 46, 188, 160, 217, 82, 170, 33, 98, 252, 211, 57, 233, 125, 238, 69, 185, 124, 246, 74, 254, 72, 43, 4, 21, 186, 40, 19, 8, 206, 147, 31, 146, 47, 221, 250, 248, 37, 169, 204, 160, 130, 99, 206, 183, 84, 253, 69, 166, 184, 255, 26, 66, 64, 42, 43, 21, 1, 133, 251, 71, 102, 120, 218, 196, 164, 120, 169, 114, 94, 81, 88, 104, 209, 6, 225, 154, 101, 28, 101, 158, 142, 207, 29, 206, 238, 189, 115, 74, 187, 71, 63, 78, 220, 229, 253, 3, 99, 185, 86, 19, 13, 1, 143, 86, 174, 190, 189, 173, 154, 58, 235, 184, 106, 161, 58, 99, 80, 64, 95, 126, 10, 178, 44, 124, 255, 190, 191, 19, 3, 3, 37, 7, 131, 246, 1, 121, 136, 33, 226, 132, 250, 193, 205, 139, 128, 97, 51, 161, 90, 219, 4, 85, 53, 39, 187, 130, 196, 227, 83, 155, 206, 54, 127, 48, 219, 99, 11, 101, 253, 208, 96, 36, 112, 178, 133, 34, 248, 105, 25, 33, 43, 103, 16, 236, 217, 189, 100, 152, 204, 180, 31, 139, 156, 5, 175, 146, 99, 213, 52, 213, 222, 45, 153, 198, 113, 197, 108, 122, 221, 111, 11, 130, 246, 168, 144, 219, 160, 198, 32, 122, 7, 162, 27, 213, 96, 19, 18, 167, 34, 2, 224, 142, 207, 117, 214, 190, 133, 32, 9, 212, 196, 130, 212, 255, 243, 214, 178, 238, 169, 28, 76, 37, 138, 196, 191, 108, 142, 160, 168, 144, 242, 132, 178, 13, 205, 41, 174, 171, 6, 6, 75, 45, 22, 108, 137, 136, 198, 185, 24, 174, 94, 123, 80, 249, 20, 177, 56, 138, 23, 209, 178, 165, 155, 138, 173, 2, 165, 92, 146, 132, 182, 45, 155, 76, 85, 166, 151, 200, 215, 56, 145, 157, 152, 43, 201, 77, 153, 94, 133, 92, 164, 142, 30, 103, 208, 112, 88, 175, 160, 132, 248, 230, 181, 196, 31, 242, 190, 240, 57, 247, 127, 128, 242, 29, 1, 89, 77, 121, 221, 200, 181, 100, 63, 119, 105, 111, 13, 46, 197, 160, 108, 85, 181, 22, 238, 75, 226, 180, 50, 198, 240, 72, 217, 95, 181, 50, 198, 231, 159, 86, 245, 57, 64, 91, 228, 11, 59, 123, 140, 122, 19, 181, 138, 182, 93, 215, 204, 37, 22, 207, 100, 135, 36, 140, 205, 255, 89, 53, 39, 53, 130, 23, 81, 189, 65, 153, 164, 56, 194, 51, 103, 81, 13, 218, 65, 70, 192, 170, 207, 54, 33, 189, 188, 10, 15, 236, 194, 37, 221, 88, 48, 79, 168, 202, 26, 60, 241, 205, 11, 153, 15, 0, 89, 156, 175, 189, 182, 160, 200, 144, 144, 195, 99, 192, 119, 176, 181, 194, 6, 9, 187, 241, 210, 50, 108, 144, 11, 101, 190, 244, 19, 190, 41, 126, 35, 189, 15, 149, 208, 168, 130, 231, 164, 211, 174, 92, 50, 160, 98, 71, 218, 43, 197, 187, 71, 245, 67, 204, 32, 176, 201, 240, 176, 87, 103, 249, 49, 52, 28, 229, 163, 127, 57, 22, 42, 131, 101, 74, 73, 183, 14, 12, 70, 36, 237, 56, 242, 240, 22, 144, 44, 55, 75, 125, 254, 3, 56, 159, 16, 119, 159, 142, 251, 39, 77, 132, 228, 138, 174, 146, 87, 63, 101, 124, 139, 211, 64, 57, 78, 136, 16, 80, 223, 229, 151, 169, 35, 142, 92, 94, 104, 77, 39, 155, 161, 209, 239, 181, 139, 194, 152, 79, 172, 168, 56, 10, 79, 174, 239, 115, 44, 40, 130, 209, 49, 176, 222, 104, 216, 51, 6, 118, 15, 240, 186, 36, 151, 47, 81, 108, 73, 56, 28, 236, 185, 248, 125, 143, 228, 17, 126, 37, 176, 244, 139, 247, 184, 213, 230, 217, 178, 158, 10, 144, 24, 93, 176, 120, 221, 71, 94, 239, 180, 107, 102, 183, 31, 41, 41, 62, 44, 11, 172, 246, 89, 171, 67, 217, 219, 215, 252, 20, 38, 95, 74, 119, 84, 178, 249, 239, 74, 216, 246, 184, 18, 153, 98, 102, 161, 194, 201, 85, 8, 36, 246, 4, 238, 95, 133, 33, 68, 253, 230, 60, 99, 158, 143, 66, 44, 139, 15, 197, 126, 22, 143, 59, 31, 1, 189, 225, 200, 221, 69, 121, 249, 24, 164, 121, 59, 248, 51, 145, 174, 42, 218, 194, 220, 13, 143, 239, 117, 82, 39, 127, 49, 243, 9, 211, 5, 198, 250, 222, 157, 248, 127, 108, 25, 65, 99, 34, 90, 160, 223, 57, 201, 97, 168, 162, 4, 124, 49, 69, 213, 47, 164, 150, 30, 195, 153, 76, 254, 53, 201, 225, 84, 121, 182, 142, 22, 126, 196, 56, 226, 246, 99, 205, 151, 92, 61, 177, 254, 20, 97, 98, 116, 11, 207, 13, 178, 35, 210, 232, 10, 24, 249, 60, 113, 43, 188, 56, 2, 4, 82, 125, 182, 165, 6, 93, 229, 16, 110, 241, 118, 54, 79, 62, 165, 186, 169, 98, 207, 41, 76, 207, 119, 186, 89, 132, 144, 241, 235, 175, 100, 77, 225, 13, 100, 48, 148, 71, 129, 133, 250, 134, 253, 156, 245, 248, 82, 142, 88, 216, 24, 84, 72, 170, 7, 169, 241, 120, 71, 126, 38, 14, 99, 112, 83, 106, 119, 253, 66, 62, 149, 249, 184, 79, 102, 99, 50, 118, 20, 234, 157, 204, 155, 239, 224, 125, 213, 82, 35, 89, 40, 138, 27, 64, 17, 62, 138, 85, 19, 230, 252, 215, 5, 193, 45, 112, 121, 144, 191, 254, 39, 154, 239, 36, 130, 245, 147, 237, 236, 110, 182, 217, 194, 254, 137, 174, 21, 121, 71, 143, 160, 156, 0, 111, 120, 125, 177, 216, 231, 3, 150, 220, 13, 63, 88, 179, 184, 120, 40, 50, 167, 63, 115, 23, 133, 142, 223, 30, 13, 98, 128, 51, 255, 56, 29, 182, 142, 213, 136, 168, 139, 42, 80, 113, 229, 38, 112, 140, 189, 167, 58, 179, 237, 82, 198, 203, 86, 40, 235, 233, 157, 157, 69, 124, 206, 9, 179, 58, 122, 53, 92, 124, 0, 98, 84, 135, 50, 58, 90, 91, 234, 68, 26, 168, 50, 254, 112, 183, 56, 70, 101, 210, 26, 119, 101, 133, 210, 80, 144, 235, 188, 7, 9, 7, 55, 53, 240, 186, 200, 112, 16, 91, 27, 140, 208, 153, 15, 207, 109, 123, 125, 35, 217, 10, 98, 99, 58, 80, 238, 140, 95, 6, 4, 99, 83, 145, 137, 151, 247, 129, 111, 203, 85, 5, 62, 78, 228, 35, 148, 173, 165, 224, 66, 240, 170, 147, 164, 76, 238, 135, 41, 124, 2, 50, 59, 135, 212, 59, 140, 247, 6, 39, 25, 112, 25, 205, 60, 35, 161, 253, 196, 14, 6, 245, 4, 237, 19, 113, 109, 141, 82, 76, 170, 212, 194, 120, 143, 38, 153, 72, 6, 209, 133, 9, 185, 124, 19, 191, 168, 42, 24, 210, 198, 110, 12, 226, 29, 194, 64, 185, 96, 170, 205, 174, 108, 200, 101, 103, 80, 45, 205, 19, 32, 170, 83, 165, 253, 52, 181, 168, 8, 225, 87, 220, 68, 67, 105, 128, 30, 161, 55, 170, 130, 107, 122, 19, 170, 27, 247, 156, 72, 60, 244, 80, 117, 116, 70, 30, 162, 170, 80, 229, 37, 127, 154, 182, 131, 218, 120, 196, 245, 81, 20, 144, 123, 159, 64, 233, 205, 105, 254, 77, 165, 43, 125, 0, 49, 110, 18, 29, 121, 116, 176, 208, 11, 201, 155, 98, 231, 119, 134, 144, 88, 64, 240, 142, 39, 160, 107, 0, 0, 175, 159, 0, 126, 192, 86, 37, 7, 15, 224, 134, 201, 245, 33, 50, 159, 154, 51, 148, 85, 177, 241, 133, 111, 246, 132, 109, 30, 251, 252, 172, 236, 235, 172, 158, 185, 46, 255, 98, 78, 152, 142, 145, 199, 233, 168, 234, 69, 118, 214, 46, 8, 190, 151, 227, 113, 154, 78, 180, 232, 111, 109, 221, 103, 105, 210, 201, 229, 153, 248, 174, 9, 150, 84, 120, 170, 97, 23, 107, 192, 27, 28, 141, 48, 250, 214, 80, 86, 179, 230, 39, 64, 80, 84, 185, 208, 202, 109, 195, 107, 115, 176, 216, 233, 233, 39, 130, 127, 85, 51, 224, 121, 169, 127, 81, 211, 122, 234, 158, 208, 182, 79, 226, 56, 42, 250, 246, 30, 63, 249, 13, 204, 154, 48, 161, 81, 110, 214, 239, 118, 24, 216, 145, 192, 80, 151, 112, 49, 46, 66, 187, 51, 232, 177, 139, 15, 179, 143, 128, 7, 119, 248, 62, 229, 137, 43, 183, 251, 206, 166, 117, 183, 135, 170, 101, 139, 93, 50, 9, 247, 183, 11, 202, 84, 55, 77, 139, 90, 62, 91, 38, 57, 115, 57, 113, 221, 113, 13, 59, 77, 221, 193, 210, 111, 129, 124, 4, 233, 247, 120, 245, 56, 125, 3, 88, 183, 234, 16, 157, 221, 188, 15, 122, 117, 213, 69, 174, 226, 69, 223, 143, 80, 193, 250, 70, 78, 114, 232, 166, 157, 110, 51, 225, 226, 186, 225, 233, 188, 163, 197, 201, 209, 56, 82, 206, 39, 96, 79, 62, 221, 140, 68, 126, 100, 234, 195, 194, 17, 137, 219, 74, 178, 153, 19, 31, 215, 125, 196, 82, 108, 216, 124, 27, 156, 217, 50, 76, 0, 188, 63, 70, 182, 152, 113, 120, 249, 152, 206, 242, 28, 142, 19, 94, 123, 52, 169, 198, 207, 6, 14, 179, 11, 105, 236, 142, 95, 70, 43, 109, 157, 192, 177, 20, 38, 109, 35, 152, 29, 60, 163, 208, 146, 216, 12, 35, 158, 48, 179, 172, 2, 187, 39, 216, 88, 196, 99, 42, 157, 57, 245, 28, 199, 32, 68, 57, 126, 99, 148, 92, 174, 193, 234, 77, 172, 19, 29, 183, 15, 139, 51, 250, 2, 9, 48, 220, 79, 105, 69, 212, 114, 109, 170, 107, 84, 46, 208, 208, 138, 176, 226, 242, 133, 211, 98, 130, 183, 193, 224, 219, 243, 203, 85, 50, 126, 158, 124, 182, 209, 138, 141, 110, 206, 101, 100, 106, 57, 237, 252, 88, 125, 8, 153, 40, 155, 211, 224, 88, 62, 127, 185, 227, 96, 10, 250, 65, 30, 137, 89, 88, 196, 187, 230, 30, 71, 52, 39, 217, 187, 8, 82, 154, 137, 172, 124, 49, 166, 85, 226, 98, 233, 120, 57, 253, 189, 252, 141, 86, 179, 235, 164, 36, 76, 229, 127, 66, 216, 107, 88, 226, 115, 11, 6, 48, 139, 18, 251, 226, 133, 100, 66, 102, 220, 4, 124, 179, 65, 114, 141, 12, 81, 236, 22, 141, 109, 139, 70, 118, 185, 154, 30, 3, 0, 87, 61, 50, 82, 100, 161, 156, 186, 53, 175, 116, 87, 153, 143, 153, 167, 132, 216, 153, 199, 234, 115, 246, 43, 223, 122, 157, 206, 231, 45, 133, 225, 91, 105, 209, 215, 136, 67, 176, 173, 137, 155, 235, 160, 86, 42, 70, 62, 191, 108, 231, 59, 180, 74, 108, 161, 62, 178, 188, 145, 171, 227, 126, 232, 86, 218, 150, 226, 181, 44, 155, 99, 123, 42, 84, 127, 192, 162, 139, 178, 229, 173, 112, 213, 95, 184, 168, 30, 145, 68, 231, 27, 28, 46, 224, 17, 144, 182, 194, 205, 237, 144, 207, 60, 7, 66, 254, 121, 157, 102, 63, 218, 93, 34, 27, 172, 158, 3, 49, 0, 151, 7, 181, 122, 76, 46, 0, 243, 61, 77, 196, 44, 134, 201, 2, 188, 198, 201, 150, 104, 55, 33, 188, 41, 71, 29, 235, 55, 127, 255, 196, 205, 174, 192, 7, 171, 141, 203, 53, 110, 160, 4, 200, 253, 114, 135, 141, 19, 131, 110, 98, 250, 6, 27, 74, 97, 226, 35, 199, 105, 49, 121, 108, 16, 183, 72, 13, 86, 98, 68, 206, 106, 76, 244, 57, 60, 114, 32, 25, 253, 171, 190, 152, 239, 25, 74, 41, 118, 15, 94, 213, 107, 182, 55, 224, 144, 82, 2, 214, 119, 169, 195, 51, 202, 35, 90, 180, 139, 227, 212, 159, 94, 231, 31, 147, 170, 206, 22, 126, 239, 224, 194, 172, 156, 186, 26, 88, 55, 181, 128, 65, 4, 99, 103, 147, 200, 217, 113, 103, 213, 84, 241, 31, 99, 184, 170, 238, 9, 12, 244, 99, 147, 90, 9, 247, 246, 194, 85, 237, 214, 74, 154, 8, 234, 238, 35, 178, 138, 144, 216, 43, 166, 230, 157, 132, 231, 131, 42, 255, 100, 8, 116, 118, 237, 102, 92, 57, 6, 197, 92, 69, 10, 195, 178, 247, 197, 62, 77, 50, 121, 14, 141, 238, 89, 48, 145, 65, 64, 43, 212, 218, 32, 98, 243, 190, 189, 78, 195, 222, 50, 22, 22, 175, 57, 90, 171, 96, 164, 10, 226, 33, 88, 209, 13, 25, 209, 46, 223, 80, 75, 84, 162, 239, 116, 225, 53, 101, 227, 2, 244, 1, 98, 68, 1, 134, 45, 114, 146, 75, 114, 77, 225, 132, 216, 229, 56, 97, 114, 146, 109, 15, 204, 218, 2, 107, 231, 228, 97, 213, 24, 63, 10, 39, 150, 192, 99, 7, 251, 52, 21, 248, 245, 56, 64, 86, 147, 68, 172, 78, 167, 90, 51, 155, 57, 152, 119, 25, 200, 206, 158, 84, 77, 221, 101, 48, 189, 64, 185, 82, 26, 223, 249, 111, 127, 125, 116, 239, 163, 201, 116, 168, 52, 132, 78, 57, 201, 164, 195, 168, 137, 237, 170, 178, 219, 89, 94, 79, 161, 135, 79, 141, 61, 31, 171, 93, 109, 117, 208, 90, 151, 44, 184, 203, 125, 249, 56, 237, 203, 223, 95, 85, 90, 21, 190, 131, 186, 44, 82, 74, 147, 23, 225, 222, 49, 160, 160, 222, 217, 148, 207, 118, 175, 191, 189, 195, 54, 4, 11, 137, 100, 80, 233, 135, 42, 88, 28, 191, 237, 71, 189, 213, 18, 53, 230, 83, 220, 34, 181, 75, 219, 8, 15, 0, 164, 8, 135, 241, 92, 14, 87, 174, 161, 149, 111, 190, 14, 223, 158, 60, 248, 10, 178, 60, 62, 77, 223, 98, 104, 35, 15, 68, 30, 120, 236, 250, 83, 166, 29, 88, 122, 148, 253, 11, 95, 222, 96, 13, 64, 188, 202, 145, 146, 199, 105, 23, 229, 17, 109, 156, 164, 245, 224, 192, 127, 145, 92, 187, 165, 186, 48, 125, 199, 178, 99, 120, 125, 44, 155, 232, 75, 13, 135, 236, 212, 119, 25, 164, 129, 103, 100, 91, 139, 189, 115, 102, 102, 245, 185, 184, 60, 212, 159, 88, 175, 197, 192, 225, 88, 163, 148, 109, 37, 107, 154, 167, 166, 255, 171, 245, 118, 234, 80, 84, 39, 136, 39, 51, 3, 43, 241, 109, 126, 240, 73, 155, 146, 229, 119, 41, 37, 81, 77, 211, 130, 106, 114, 98, 213, 216, 29, 243, 169, 106, 109, 106, 25, 0, 172, 101, 31, 244, 202, 231, 199, 212, 178, 81, 167, 76, 46, 74, 188, 119, 207, 196, 252, 30, 165, 64, 8, 55, 245, 195, 184, 150, 30, 108, 174, 151, 88, 60, 81, 103, 86, 213, 136, 230, 86, 161, 130, 131, 101, 2, 10, 197, 114, 211, 87, 190, 240, 120, 139, 124, 100, 38, 141, 159, 47, 220, 39, 255, 21, 113, 14, 169, 123, 176, 232, 22, 0, 135, 193, 25, 239, 230, 245, 249, 109, 160, 114, 245, 32, 229, 245, 120, 9, 206, 49, 199, 49, 122, 178, 115, 170, 103, 191, 98, 153, 225, 65, 117, 156, 7, 74, 79, 67, 152, 146, 216, 32, 0, 59, 220, 191, 51, 97, 188, 164, 79, 191, 50, 17, 72, 251, 218, 82, 187, 69, 178, 131, 84, 228, 34, 44, 208, 175, 198, 29, 67, 218, 220, 208, 213, 181, 75, 216, 170, 79, 228, 230, 120, 164, 177, 106, 22, 177, 70, 87, 159, 20, 63, 197, 36, 171, 97, 94, 168, 87, 38, 57, 161, 140, 51, 156, 182, 170, 245, 122, 103, 129, 194, 64, 130, 247, 71, 231, 36, 41, 98, 51, 253, 85, 177, 157, 105, 170, 230, 139, 86, 41, 77, 204, 61, 83, 78, 103, 132, 120, 180, 155, 82, 148, 68, 81, 33, 142, 81, 22, 234, 130, 24, 181, 196, 122, 201, 135, 74, 8, 120, 45, 232, 17, 80, 72, 224, 70, 185, 61, 186, 161, 16, 211, 70, 82, 43, 18, 47, 20, 62, 57, 93, 130, 14, 185, 81, 183, 32, 115, 59, 107, 196, 227, 99, 64, 202, 195, 115, 44, 66, 7, 9, 57, 58, 204, 52, 170, 0, 204, 56, 34, 16, 181, 228, 176, 75, 44, 110, 211, 23, 191, 111, 217, 217, 225, 37, 141, 17, 174, 152, 49, 38, 181, 104, 211, 111, 193, 206, 1, 29, 7, 6, 217, 33, 18, 80, 161, 184, 16, 55, 180, 243, 70, 43, 232, 49, 119, 72, 73, 227, 107, 144, 159, 19, 83, 179, 150, 129, 235, 9, 128, 140, 92, 123, 184, 77, 131, 149, 136, 116, 128, 225, 105, 111, 86, 99, 174, 38, 133, 175, 60, 167, 4, 58, 251, 133, 63, 132, 45, 14, 34, 46, 200, 5, 23, 114, 22, 181, 115, 213, 144, 189, 187, 187, 166, 99, 161, 134, 119, 154, 216, 158, 164, 149, 160, 20, 231, 206, 174, 16, 210, 181, 137, 164, 66, 132, 86, 81, 160, 248, 251, 28, 181, 24, 41, 247, 29, 223, 179, 167, 162, 102, 196, 83, 200, 223, 148, 102, 0, 250, 94, 167, 141, 234, 90, 147, 85, 13, 200, 150, 118, 65, 96, 65, 148, 82, 97, 218, 28, 11, 189, 142, 73, 43, 219, 8, 2, 166, 177, 90, 254, 155, 118, 132, 127, 141, 105, 14, 15, 202, 72, 60, 108, 182, 54, 163, 199, 138, 71, 143, 149, 205, 154, 128, 166, 151, 246, 211, 120, 54, 27, 121, 207, 156, 235, 102, 3, 48, 90, 56, 250, 109, 115, 250, 212, 38, 5, 123, 231, 132, 34, 186, 189, 51, 117, 180, 85, 18, 131, 27, 115, 154, 227, 158, 192, 242, 48, 104, 133, 106, 103, 111, 112, 65, 62, 134, 162, 64, 166, 234, 92, 217, 254, 144, 57, 96, 226, 36, 62, 148, 71, 91, 239, 114, 80, 12, 104, 29, 235, 62, 217, 1, 19, 213, 192, 116, 176, 124, 81, 115, 82, 18, 170, 17, 2, 193, 130, 139, 98, 202, 141, 189, 227, 206, 105, 90, 125, 4, 164, 231, 24, 171, 183, 26, 190, 223, 142, 38, 70, 141, 244, 31, 2, 48, 45, 147, 207, 9, 14, 112, 218, 60, 237, 44, 179, 133, 166, 144, 111, 192, 135, 146, 159, 149, 223, 26, 41, 122, 7, 121, 21, 110, 81, 184, 150, 25, 196, 177, 104, 24, 80, 30, 34, 224, 57, 130, 180, 200, 17, 64, 242, 108, 1, 106, 40, 36, 191, 249, 210, 125, 47, 224, 78, 71, 23, 233, 32, 100, 2, 208, 40, 113, 178, 226, 97, 164, 21, 90, 150, 20, 188, 133, 35, 199, 8, 237, 155, 138, 156, 117, 109, 54, 104, 140, 232, 105, 234, 144, 6, 71, 184, 135, 224, 230, 249, 197, 174, 155, 253, 91, 5, 32, 136, 169, 232, 34, 69, 57, 209, 188, 193, 16, 112, 152, 231, 130, 89, 141, 79, 160, 158, 183, 132, 121, 143, 31, 47, 64, 228, 36, 55, 226, 46, 103, 118, 90, 178, 177, 198, 178, 136, 120, 102, 157, 226, 155, 5, 22, 10, 56, 231, 226, 156, 78, 211, 139, 153, 41, 96, 250, 213, 36, 255, 127, 32, 145, 68, 142, 141, 169, 129, 208, 38, 111, 227, 188, 197, 169, 240, 113, 80, 198, 29, 54, 101, 58, 244, 81, 77, 0, 239, 226, 16, 180, 88, 97, 90, 230, 45, 138, 44, 23, 250, 217, 170, 2, 136, 54, 133, 8, 183, 127, 15, 165, 206, 31, 23, 57, 92, 150, 184, 218, 116, 175, 171, 6, 184, 59, 188, 209, 142, 182, 165, 61, 93, 55, 255, 229, 189, 76, 194, 2, 250, 219, 1, 89, 2, 163, 236, 139, 85, 200, 11, 7, 37, 183, 79, 31, 103, 172, 91, 233, 111, 215, 187, 73, 5, 35, 122, 123, 248, 205, 65, 158, 217, 118, 247, 187, 159, 220, 61, 202, 242, 205, 53, 171, 134, 233, 223, 7, 26, 142, 175, 93, 149, 249, 28, 33, 48, 9, 192, 72, 231, 146, 94, 106, 76, 80, 8, 206, 163, 38, 90, 75, 233, 164, 108, 221, 163, 86, 187, 247, 145, 218, 154, 84, 200, 59, 77, 191, 159, 8, 222, 23, 72, 249, 7, 136, 95, 197, 156, 143, 177, 109, 48, 245, 252, 74, 210, 203, 112, 61, 230, 61, 109, 195, 200, 71, 19, 64, 57, 243, 96, 146, 72, 205, 9, 75, 166, 191, 31, 194, 82, 178, 157, 89, 239, 138, 179, 242, 209, 244, 6, 111, 229, 38, 198, 211, 73, 131, 182, 28, 85, 254, 251, 73, 253, 56, 106, 251, 150, 178, 33, 161, 94, 37, 36, 89, 118, 246, 129, 168, 177, 98, 70, 239, 148, 214, 1, 89, 218, 57, 185, 235, 53, 183, 109, 234, 204, 232, 196, 188, 238, 16, 21, 237, 120, 153, 112, 103, 210, 125, 59, 145, 145, 234, 110, 61, 71, 128, 130, 251, 53, 79, 184, 136, 3, 65, 124, 33, 89, 169, 185, 76, 105, 207, 211, 211, 141, 30, 62, 156, 58, 3, 216, 131, 74, 60, 33, 243, 13, 82, 184, 21, 121, 0, 235, 1, 37, 155, 210, 76, 100, 202, 25, 18, 250, 220, 206, 24, 84, 220, 243, 176, 113, 85, 91, 7, 127, 114, 54, 243, 246, 125, 171, 27, 0, 10, 196, 20, 153, 77, 177, 236, 71, 103, 231, 136, 122, 117, 47, 85, 3, 28, 122, 43, 243, 81, 23, 239, 121, 204, 136, 239, 65, 73, 241, 14, 215, 10, 54, 183, 197, 159, 179, 114, 191, 150, 141, 240, 33, 243, 55, 164, 56, 3, 136, 251, 107, 168, 25, 119, 214, 75, 70, 150, 137, 36, 21, 31, 62, 204, 73, 214, 221, 66, 117, 253, 212, 171, 83, 254, 93, 199, 89, 30, 145, 209, 232, 201, 247, 251, 163, 162, 7, 129, 182, 177, 163, 62, 119, 146, 27, 184, 60, 238, 60, 0, 12, 89, 216, 186, 69, 44, 216, 6, 96, 78, 70, 172, 16, 231, 215, 38, 137, 44, 236, 106, 31, 181, 25, 220, 172, 170, 239, 21, 157, 249, 206, 255, 101, 30, 183, 94, 28, 62, 103, 41, 125, 82, 65, 52, 197, 36, 169, 1, 103, 237, 250, 160, 187, 122, 158, 195, 55, 193, 226, 252, 236, 51, 100, 175, 159, 181, 135, 7, 159, 38, 113, 89, 75, 59, 24, 254, 179, 192, 75, 179, 226, 143, 61, 126, 147, 88, 216, 188, 48, 63, 133, 182, 117, 201, 58, 252, 77, 223, 197, 37, 173, 89, 11, 214, 83, 91, 62, 151, 159, 125, 17, 255, 118, 93, 40, 254, 31, 202, 49, 30, 106, 74, 250, 78, 2, 225, 52, 147, 191, 155, 75, 175, 201, 6, 10, 20, 140, 36, 53, 155, 187, 119, 142, 103, 185, 186, 35, 236, 22, 215, 206, 130, 120, 227, 59, 88, 22, 133, 170, 253, 194, 67, 74, 48, 178, 135, 120, 0, 25, 104, 133, 106, 6, 238, 238, 125, 194, 213, 48, 71, 151, 217, 217, 215, 177, 202, 167, 23, 212, 69, 253, 176, 39, 67, 85, 10, 221, 35, 177, 93, 168, 253, 6, 66, 219, 168, 91, 156, 180, 8, 90, 65, 53, 246, 186, 93, 183, 83, 217, 146, 2, 169, 54, 117, 176, 242, 145, 207, 146, 175, 33, 11, 177, 255, 45, 247, 154, 245, 20, 15, 139, 115, 128, 74, 87, 135, 222, 19, 203, 87, 50, 68, 202, 3, 81, 234, 60, 216, 240, 145, 77, 183, 62, 142, 94, 240, 249, 168, 192, 25, 48, 94, 63, 57, 85, 122, 64, 246, 11, 114, 215, 188, 90, 105, 212, 221, 246, 49, 197, 66, 81, 147, 116, 125, 239, 180, 243, 182, 40, 133, 7, 120, 198, 152, 34, 118, 175, 79, 118, 67, 22, 157, 92, 68, 69, 6, 52, 103, 127, 234, 3, 135, 87, 62, 182, 240, 133, 62, 227, 37, 160, 67, 222, 212, 104, 93, 238, 230, 52, 68, 2, 76, 181, 168, 113, 9, 31, 251, 139, 205, 242, 113, 142, 35, 167, 233, 30, 150, 140, 104, 129, 228, 18, 206, 87, 47, 145, 46, 123, 158, 223, 231, 141, 229, 211, 241, 151, 0, 127, 81, 207, 241, 244, 40, 213, 252, 28, 207, 147, 134, 133, 169, 173, 232, 209, 124, 234, 83, 186, 67, 90, 84, 122, 245, 195, 244, 155, 192, 232, 164, 85, 27, 35, 92, 6, 36, 42, 229, 198, 245, 245, 204, 17, 118, 7, 251, 100, 76, 213, 126, 214, 163, 77, 226, 243, 90, 79, 254, 181, 58, 199, 9, 249, 42, 180, 163, 6, 140, 120, 29, 40, 48, 228, 106, 180, 98, 166, 83, 38, 162, 208, 234, 160, 84, 43, 234, 176, 82, 206, 227, 57, 187, 197, 227, 146, 47, 0, 19, 219, 180, 65, 127, 30, 101, 201, 121, 95, 140, 135, 202, 43, 91, 57, 37, 245, 130, 232, 45, 212, 87, 77, 201, 249, 155, 109, 249, 94, 57, 62, 74, 117, 120, 18, 56, 156, 125, 199, 228, 193, 48, 205, 103, 44, 160, 240, 16, 10, 64, 199, 96, 78, 43, 162, 43, 152, 6, 19, 111, 111, 39, 155, 109, 38, 137, 168, 240, 218, 31, 232, 134, 229, 39, 198, 131, 130, 75, 57, 9, 238, 29, 220, 15, 165, 152, 79, 87, 53, 203, 160, 84, 110, 24, 179, 170, 33, 47, 93, 94, 237, 65, 60, 85, 76, 14, 199, 52, 170, 28, 128, 136, 177, 167, 44, 118, 66, 89, 152, 57, 18, 150, 254, 206, 73, 67, 200, 68, 6, 180, 195, 175, 86, 80, 221, 164, 34, 68, 186, 155, 15, 237, 88, 24, 80, 245, 42, 34, 176, 249, 35, 164, 100, 44, 253, 84, 251, 241, 45, 20, 154, 202, 247, 175, 103, 206, 143, 9, 118, 129, 47, 168, 206, 168, 32, 244, 77, 147, 46, 152, 202, 21, 254, 230, 164, 46, 31, 111, 106, 133, 188, 163, 92, 52, 207, 17, 218, 203, 167, 208, 33, 253, 249, 234, 78, 116, 239, 29, 158, 250, 193, 130, 176, 229, 100, 128, 22, 80, 115, 35, 178, 226, 76, 177, 105, 228, 171, 114, 11, 116, 163, 203, 80, 51, 39, 21, 224, 88, 231, 76, 1, 225, 242, 240, 166, 38, 133, 62, 69, 138, 255, 70, 122, 6, 112, 202, 54, 47, 126, 229, 183, 224, 121, 124, 89, 61, 204, 213, 14, 90, 135, 104, 17, 244, 241, 168, 54, 117, 74, 214, 210, 65, 95, 112, 198, 179, 156, 35, 206, 106, 109, 70, 44, 105, 18, 58, 154, 242, 159, 79, 174, 75, 124, 58, 73, 202, 201, 235, 192, 8, 61, 90, 225, 250, 199, 152, 23, 234, 233, 148, 251, 12, 36, 243, 41, 206, 79, 144, 227, 161, 107, 223, 6, 32, 236, 202, 249, 209, 12, 214, 123, 85, 177, 58, 189, 62, 206, 79, 132, 11, 192, 218, 3, 213, 152, 59, 65, 189, 123, 167, 49, 6, 220, 188, 62, 110, 136, 140, 149, 119, 200, 195, 7, 98, 129, 101, 14, 174, 71, 216, 215, 25, 30, 167, 191, 41, 98, 131, 31, 3, 121, 135, 250, 189, 180, 192, 178, 42, 232, 205, 137, 121, 2, 253, 237, 138, 1, 139, 174, 178, 152, 39, 126, 126, 194, 148, 143, 84, 3, 232, 249, 76, 153, 107, 238, 202, 34, 87, 3, 95, 111, 142, 182, 42, 110, 66, 190, 13, 107, 225, 252, 229, 205, 11, 30, 57, 110, 211, 13, 166, 99, 42, 133, 174, 134, 209, 182, 205, 41, 124, 252, 40, 221, 19, 41, 205, 186, 78, 248, 212, 82, 96, 255, 70, 208, 186, 188, 142, 168, 54, 132, 217, 247, 215, 36, 238, 61, 83, 27, 54, 248, 31, 148, 23, 63, 131, 17, 166, 231, 232, 12, 32, 146, 44, 71, 106, 236, 81, 216, 202, 241, 66, 69, 74, 21, 22, 15, 152, 54, 110, 247, 73, 190, 250, 93, 95, 120, 98, 81, 176, 201, 207, 180, 227, 115, 168, 136, 255, 164, 193, 220, 234, 103, 127, 209, 154, 95, 214, 236, 90, 112, 233, 243, 251, 144, 110, 192, 165, 232, 229, 165, 79, 77, 162, 202, 250, 188, 191, 223, 93, 207, 150, 139, 208, 247, 113, 111, 93, 254, 72, 13, 255, 4, 30, 216, 72, 172, 122, 207, 27, 149, 248, 9, 30, 83, 223, 179, 150, 148, 141, 200, 169, 210, 250, 237, 30, 197, 130, 166, 229, 97, 190, 241, 123, 43, 14, 32, 216, 66, 175, 162, 56, 227, 107, 248, 118, 229, 225, 167, 209, 234, 236, 209, 82, 220, 248, 173, 74, 201, 64, 101, 138, 175, 106, 109, 243, 35, 36, 30, 185, 62, 243, 105, 201, 206, 8, 76, 205, 113, 63, 127, 73, 35, 83, 121, 74, 74, 233, 200, 143, 55, 203, 75, 247, 197, 61, 5, 215, 124, 137, 137, 36, 132, 247, 242, 142, 250, 56, 217, 85, 214, 160, 35, 177, 165, 13, 60, 198, 35, 233, 121, 167, 86, 231, 252, 76, 12, 154, 72, 11, 81, 36, 104, 242, 59, 6, 53, 0, 251, 59, 74, 50, 53, 237, 63, 136, 41, 77, 100, 23, 195, 106, 170, 62, 246, 120, 237, 57, 86, 18, 67, 159, 60, 164, 214, 134, 167, 219, 35, 135, 89, 78, 58, 18, 108, 137, 220, 44, 227, 1, 114, 39, 21, 109, 99, 71, 179, 150, 123, 20, 245, 252, 249, 184, 254, 5, 22, 155, 30, 191, 70, 83, 177, 210, 148, 220, 221, 220, 69, 162, 248, 21, 112, 175, 155, 77, 151, 171, 247, 172, 254, 212, 51, 17, 166, 136, 85, 72, 29, 76, 241, 239, 117, 188, 213, 35, 59, 215, 246, 12, 171, 241, 160, 188, 30, 183, 231, 17, 188, 214, 8, 7, 150, 34, 23, 162, 175, 199, 238, 139, 213, 15, 57, 46, 214, 248, 205, 135, 74, 75, 205, 66, 221, 138, 94, 173, 62, 242, 49, 163, 46, 1, 139, 189, 181, 73, 205, 15, 122, 114, 194, 55, 118, 53, 73, 12, 88, 34, 248, 208, 87, 210, 221, 53, 92, 28, 233, 158, 42, 149, 200, 127, 58, 189, 252, 213, 142, 173, 80, 36, 7, 170, 122, 16, 60, 141, 51, 246, 206, 208, 216, 150, 5, 201, 225, 223, 229, 33, 57, 214, 218, 238, 175, 102, 113, 82, 112, 103, 36, 142, 115, 110, 44, 202, 109, 70, 236, 128, 61, 4, 111, 83, 112, 155, 130, 218, 221, 95, 94, 39, 101, 122, 134, 109, 148, 213, 17, 225, 71, 144, 228, 251, 90, 174, 102, 13, 230, 240, 221, 44, 56, 119, 212, 109, 138, 6, 2, 86, 119, 38, 229, 198, 37, 17, 205, 211, 52, 54, 69, 231, 12, 85, 80, 181, 187, 204, 213, 187, 149, 190, 132, 202, 177, 131, 246, 109, 146, 166, 29, 216, 194, 134, 199, 147, 230, 153, 243, 38, 238, 242, 236, 213, 10, 253, 103, 138, 99, 188, 66, 152, 248, 230, 244, 174, 84, 239, 58, 127, 129, 69, 129, 81, 195, 165, 18, 140, 98, 0, 132, 19, 212, 248, 87, 199, 246, 50, 139, 221, 0, 20, 254, 16, 204, 248, 241, 183, 48, 152, 201, 150, 198, 97, 127, 237, 30, 228, 208, 94, 231, 137, 121, 128, 39, 158, 166, 88, 204, 71, 61, 89, 81, 170, 46, 174, 248, 224, 1, 89, 146, 152, 173, 57, 123, 64, 194, 66, 56, 118, 113, 252, 197, 121, 21, 227, 112, 219, 18, 213, 144, 33, 72, 121, 87, 65, 35, 157, 162, 51, 185, 110, 54, 67, 96, 106, 86, 188, 35, 117, 216, 65, 7, 90, 217, 20, 253, 155, 83, 255, 212, 14, 11, 126, 113, 230, 141, 31, 126, 208, 68, 105, 183, 53, 239, 150, 114, 0, 102, 252, 221, 114, 169, 227, 141, 147, 52, 136, 221, 92, 71, 128, 226, 203, 166, 138, 102, 73, 80, 18, 27, 142, 166, 21, 129, 167, 251, 249, 142, 27, 154, 37, 144, 129, 136, 106, 226, 145, 238, 190, 251, 235, 75, 152, 64, 252, 192, 254, 82, 131, 87, 60, 92, 5, 247, 145, 215, 211, 201, 152, 245, 34, 59, 242, 184, 49, 250, 128, 130, 132, 144, 28, 110, 163, 97, 101, 115, 128, 227, 227, 36, 139, 176, 25, 140, 8, 14, 240, 101, 141, 199, 92, 180, 42, 144, 219, 69, 22, 234, 67, 74, 144, 133, 240, 246, 237, 201, 145, 115, 133, 223, 69, 11, 59, 210, 123, 122, 169, 102, 234, 3, 214, 54, 129, 113, 139, 204, 208, 44, 112, 33, 33, 90, 79, 12, 63, 80, 91, 32, 34, 184, 218, 162, 127, 242, 229, 2, 1, 156, 204, 70, 113, 4, 193, 68, 105, 119, 253, 220, 245, 44, 71, 51, 89, 126, 91, 4, 45, 244, 162, 217, 20, 233, 253, 148, 39, 187, 34, 144, 161, 78, 105, 141, 74, 44, 117, 112, 148, 35, 190, 88, 26, 120, 10, 221, 50, 181, 32, 87, 134, 0, 147, 224, 118, 152, 104, 49, 63, 26, 22, 22, 206, 148, 191, 135, 144, 186, 235, 157, 210, 18, 147, 95, 137, 247, 136, 151, 8, 81, 222, 40, 139, 167, 226, 253, 49, 23, 227, 212, 57, 232, 245, 63, 213, 134, 99, 140, 86, 219, 20, 201, 217, 214, 253, 251, 19, 228, 222, 248, 105, 173, 42, 167, 178, 62, 139, 77, 0, 146, 205, 187, 33, 64, 43, 33, 239, 10, 19, 225, 108, 208, 15, 87, 180, 90, 142, 99, 32, 192, 205, 214, 61, 207, 133, 141, 207, 234, 231, 248, 203, 112, 61, 188, 59, 10, 72, 199, 167, 177, 199, 188, 49, 105, 98, 172, 219, 145, 66, 59, 173, 121, 50, 7, 171, 136, 40, 59, 10, 147, 128, 54, 60, 116, 189, 245, 10, 116, 212, 139, 29, 180, 58, 245, 185, 15, 104, 76, 165, 206, 173, 189, 79, 27, 141, 141, 108, 146, 196, 10, 235, 137, 185, 204, 219, 207, 43, 170, 137, 140, 41, 67, 165, 137, 5, 66, 129, 83, 179, 68, 75, 225, 108, 74, 215, 231, 34, 76, 255, 246, 98, 172, 133, 118, 108, 115, 27, 95, 62, 23, 75, 81, 142, 89, 32, 4, 34, 198, 147, 48, 173, 153, 110, 161, 130, 174, 137, 153, 30, 197, 151, 93, 154, 19, 134, 9, 140, 35, 26, 60, 246, 98, 119, 85, 124, 235, 145, 231, 1, 6, 193, 131, 71, 137, 199, 251, 69, 15, 196, 88, 251, 22, 121, 84, 149, 16, 173, 233, 155, 124, 139, 230, 32, 147, 115, 231, 13, 132, 215, 197, 235, 215, 146, 137, 151, 56, 209, 188, 141, 226, 85, 139, 87, 138, 212, 195, 205, 43, 51, 8, 116, 138, 226, 143, 93, 70, 93, 33, 115, 200, 33, 227, 118, 121, 106, 213, 137, 50, 95, 58, 235, 115, 41, 219, 179, 40, 153, 28, 34, 128, 44, 103, 237, 70, 147, 181, 222, 235, 83, 252, 179, 109, 163, 183, 61, 117, 38, 136, 238, 137, 251, 15, 45, 129, 2, 200, 201, 156, 62, 180, 172, 216, 94, 0, 27, 75, 171, 233, 39, 118, 16, 205, 112, 167, 47, 214, 150, 125, 107, 205, 85, 23, 186, 101, 126, 127, 165, 49, 114, 165, 166, 105, 173, 128, 38, 173, 32, 251, 246, 96, 245, 212, 9, 100, 115, 9, 26, 128, 215, 113, 43, 84, 215, 212, 80, 184, 107, 39, 164, 173, 43, 24, 15, 87, 82, 42, 162, 252, 137, 79, 57, 221, 164, 17, 211, 81, 196, 147, 202, 141, 15, 8, 125, 137, 169, 56, 0, 245, 101, 135, 73, 176, 201, 174, 223, 145, 30, 158, 218, 49, 87, 75, 132, 179, 122, 239, 194, 251, 197, 59, 6, 15, 166, 97, 158, 101, 65, 244, 18, 87, 97, 112, 231, 153, 145, 203, 225, 13, 68, 111, 31, 14, 32, 200, 147, 202, 196, 238, 52, 30, 224, 98, 77, 73, 131, 45, 190, 199, 8, 188, 198, 139, 117, 25, 17, 184, 164, 161, 182, 119, 225, 163, 87, 111, 232, 156, 208, 12, 64, 182, 52, 243, 201, 129, 11, 50, 114, 60, 47, 130, 42, 111, 238, 128, 216, 97, 38, 8, 45, 18, 164, 254, 47, 241, 42, 24, 19, 11, 158, 172, 166, 237, 108, 55, 174, 21, 163, 159, 195, 83, 130, 202, 80, 180, 151, 126, 208, 184, 157, 217, 68, 43, 148, 50, 14, 166, 1, 210, 102, 14, 22, 220, 81, 80, 220, 47, 51, 106, 71, 42, 130, 132, 243, 94, 88, 97, 107, 182, 118, 234, 161, 19, 237, 198, 223, 245, 223, 143, 114, 232, 49, 193, 28, 46, 0, 150, 111, 98, 204, 25, 181, 248, 238, 94, 193, 132, 255, 127, 112, 149, 81, 150, 249, 134, 236, 18, 202, 0, 69, 60, 88, 205, 242, 178, 254, 110, 93, 244, 228, 7, 94, 221, 46, 39, 187, 66, 7, 149, 116, 239, 242, 81, 161, 103, 107, 51, 241, 79, 251, 81, 2, 143, 188, 199, 89, 171, 121, 241, 110, 140, 54, 28, 174, 15, 138, 104, 71, 234, 65, 63, 77, 53, 216, 87, 6, 140, 108, 140, 173, 131, 2, 57, 181, 211, 121, 185, 4, 43, 194, 51, 177, 97, 248, 106, 241, 23, 48, 227, 10, 25, 192, 52, 225, 202, 83, 0, 159, 113, 127, 9, 154, 95, 119, 141, 101, 138, 33, 8, 55, 178, 200, 190, 24, 43, 221, 173, 219, 157, 8, 51, 237, 33, 121, 142, 75, 60, 53, 203, 201, 232, 110, 53, 42, 123, 132, 86, 222, 236, 170, 86, 197, 153, 166, 253, 17, 46, 186, 73, 32, 29, 36, 128, 145, 160, 168, 57, 235, 64, 206, 11, 200, 81, 172, 85, 131, 187, 167, 144, 207, 141, 93, 107, 43, 215, 190, 103, 216, 65, 96, 147, 62, 92, 26, 130, 140, 54, 107, 71, 206, 172, 233, 76, 26, 12, 158, 161, 82, 123, 202, 162, 148, 190, 55, 194, 173, 117, 82, 87, 254, 129, 117, 79, 217, 190, 214, 30, 253, 36, 196, 24, 69, 240, 33, 30, 183, 253, 175, 243, 89, 30, 42, 58, 88, 90, 24, 31, 192, 217, 6, 86, 5, 150, 211, 53, 48, 73, 24, 168, 87, 114, 44, 137, 213, 123, 201, 190, 195, 18, 182, 224, 125, 120, 217, 202, 193, 107, 179, 150, 50, 38, 77, 233, 196, 52, 220, 64, 135, 26, 88, 228, 55, 160, 177, 110, 47, 192, 89, 91, 119, 38, 30, 183, 133, 203, 190, 229, 221, 134, 79, 122, 252, 29, 34, 173, 82, 206, 149, 226, 21, 8, 22, 165, 99, 161, 121, 204, 217, 155, 248, 58, 193, 13, 205, 13, 163, 127, 208, 172, 47, 75, 180, 96, 98, 220, 171, 168, 35, 26, 185, 198, 113, 215, 100, 123, 11, 151, 19, 214, 214, 89, 94, 247, 114, 209, 116, 244, 48, 74, 145, 6, 33, 174, 197, 255, 233, 138, 80, 145, 53, 25, 56, 47, 227, 98, 176, 22, 50, 85, 233, 6, 37, 137, 243, 80, 120, 154, 33, 135, 153, 110, 56, 124, 112, 149, 16, 211, 193, 93, 213, 184, 126, 190, 32, 227, 52, 163, 59, 241, 144, 147, 90, 1, 55, 106, 150, 31, 117, 13, 32, 146, 27, 50, 90, 100, 224, 134, 203, 8, 37, 186, 252, 200, 189, 62, 100, 233, 212, 35, 94, 47, 135, 90, 124, 77, 211, 7, 191, 23, 22, 60, 7, 71, 45, 195, 148, 217, 24, 203, 58, 113, 60, 26, 131, 233, 142, 245, 174, 143, 115, 4, 80, 93, 33, 193, 35, 39, 134, 1, 248, 181, 62, 42, 18, 235, 222, 162, 47, 225, 41, 176, 221, 143, 232, 139, 61, 200, 125, 171, 232, 95, 147, 123, 237, 135, 140, 117, 78, 210, 138, 203, 139, 41, 144, 5, 115, 154, 28, 135, 113, 154, 35, 148, 213, 110, 98, 94, 32, 62, 5, 240, 254, 202, 197, 63, 9, 162, 175, 46, 83, 163, 224, 92, 56, 198, 155, 171, 121, 134, 174, 114, 91, 79, 6, 214, 45, 87, 132, 78, 93, 12, 215, 145, 130, 120, 178, 240, 12, 209, 243, 165, 253, 149, 57, 188, 128, 104, 244, 251, 26, 133, 168, 51, 247, 40, 205, 59, 7, 124, 46, 33, 112, 204, 201, 141, 230, 111, 138, 113, 194, 46, 33, 39, 29, 224, 125, 241, 96, 91, 251, 194, 156, 48, 182, 100, 140, 128, 53, 253, 61, 101, 34, 214, 49, 118, 227, 37, 50, 226, 94, 37, 15, 104, 197, 203, 207, 230, 187, 76, 59, 185, 52, 129, 199, 59, 237, 172, 77, 149, 126, 45, 158, 8, 9, 198, 39, 222, 25, 57, 58, 57, 248, 196, 196, 34, 155, 132, 151, 107, 75, 105, 98, 35, 185, 23, 134, 236, 144, 246, 212, 185, 216, 247, 92, 58, 127, 110, 216, 250, 12, 103, 250, 27, 196, 98, 116, 168, 164, 46, 28, 84, 157, 23, 85, 189, 148, 185, 170, 161, 32, 74, 211, 54, 150, 114, 191, 98, 79, 174, 139, 183, 216, 57, 247, 232, 71, 6, 232, 31, 88, 191, 134, 144, 6, 99, 186, 145, 216, 254, 191, 101, 222, 29, 203, 110, 240, 73, 0, 62, 250, 183, 50, 29, 97, 204, 173, 86, 138, 109, 88, 49, 70, 195, 44, 78, 6, 176, 216, 35, 248, 82, 147, 74, 48, 250, 18, 57, 114, 150, 70, 158, 15, 88, 39, 242, 207, 158, 213, 203, 98, 67, 157, 211, 231, 86, 10, 122, 90, 146, 46, 239, 84, 66, 25, 231, 229, 101, 22, 223, 63, 124, 6, 111, 99, 171, 156, 217, 124, 151, 83, 17, 207, 233, 76, 224, 23, 217, 26, 231, 140, 13, 161, 207, 86, 112, 195, 251, 229, 119, 188, 126, 228, 237, 76, 254, 53, 104, 41, 241, 149, 23, 197, 248, 136, 182, 244, 238, 219, 102, 156, 158, 75, 207, 212, 34, 169, 206, 19, 237, 170, 238, 141, 155, 67, 146, 162, 164, 24, 165, 176, 234, 203, 3, 112, 68, 1, 61, 56, 54, 75, 57, 44, 115, 78, 50, 151, 190, 195, 112, 191, 165, 104, 76, 160, 4, 104, 95, 77, 133, 99, 224, 73, 113, 197, 37, 208, 247, 37, 242, 129, 215, 116, 39, 252, 98, 43, 84, 36, 134, 215, 251, 29, 120, 45, 20, 231, 59, 24, 180, 16, 19, 115, 202, 29, 106, 252, 208, 41, 80, 209, 197, 28, 7, 69, 177, 118, 216, 68, 231, 142, 244, 255, 204, 129, 65, 252, 238, 24, 76, 210, 187, 106, 167, 237, 247, 61, 138, 210, 242, 228, 186, 124, 2, 7, 235, 8, 56, 189, 173, 204, 124, 106, 190, 9, 204, 40, 1, 116, 251, 186, 89, 7, 160, 249, 100, 110, 138, 170, 192, 47, 47, 147, 161, 150, 129, 167, 128, 244, 1, 199, 204, 170, 248, 39, 81, 236, 106, 33, 13, 114, 176, 101, 183, 198, 182, 40, 99, 105, 148, 65, 156, 120, 231, 108, 209, 176, 78, 126, 156, 29, 242, 126, 25, 98, 230, 238, 53, 157, 73, 96, 120, 93, 45, 156, 102, 109, 162, 183, 125, 149, 72, 183, 42, 165, 175, 11, 127, 137, 78, 102, 40, 27, 29, 217, 162, 127, 117, 197, 162, 139, 188, 2, 109, 82, 113, 216, 204, 23, 241, 47, 169, 171, 155, 116, 28, 24, 98, 250, 152, 179, 99, 95, 88, 52, 31, 253, 67, 241, 149, 158, 60, 92, 184, 33, 188, 143, 138, 87, 216, 77, 191, 175, 219, 187, 16, 7, 236, 134, 10, 243, 197, 183, 42, 37, 230, 194, 88, 8, 100, 229, 42, 175, 93, 158, 240, 71, 133, 38, 193, 167, 107, 249, 135, 245, 91, 44, 189, 36, 171, 208, 214, 81, 177, 124, 162, 166, 40, 196, 164, 162, 152, 77, 45, 161, 166, 199, 128, 167, 103, 27, 214, 16, 47, 212, 152, 243, 60, 126, 106, 163, 214, 178, 159, 163, 177, 113, 38, 138, 60, 88, 41, 137, 70, 234, 152, 118, 198, 84, 176, 162, 7, 193, 238, 94, 157, 60, 214, 255, 119, 238, 206, 215, 72, 122, 5, 251, 9, 68, 76, 99, 20, 25, 113, 23, 246, 200, 118, 172, 174, 158, 107, 75, 148, 133, 50, 189, 253, 186, 62, 113, 21, 110, 20, 185, 190, 130, 35, 176, 181, 78, 84, 200, 58, 196, 208, 165, 186, 22, 227, 105, 90, 82, 201, 38, 155, 12, 6, 72, 97, 69, 6, 34, 209, 146, 249, 49, 203, 43, 14, 88, 234, 166, 112, 38, 216, 201, 112, 98, 131, 104, 71, 143, 199, 215, 203, 177, 156, 41, 147, 116, 131, 248, 91, 195, 71, 138, 27, 83, 178, 84, 243, 22, 29, 82, 20, 17, 41, 148, 110, 152, 240, 147, 141, 183, 82, 231, 71, 105, 215, 86, 213, 60, 65, 210, 218, 139, 105, 5, 67, 184, 207, 219, 120, 157, 127, 144, 185, 242, 88, 197, 17, 73, 243, 25, 76, 76, 109, 116, 62, 209, 75, 151, 205, 0, 252, 158, 122, 95, 63, 170, 160, 251, 245, 178, 193, 76, 33, 96, 160, 156, 16, 47, 168, 199, 183, 205, 249, 216, 116, 25, 72, 17, 205, 165, 58, 182, 220, 207, 251, 136, 120, 97, 131, 77, 46, 72, 238, 74, 77, 183, 185, 231, 158, 168, 9, 39, 87, 184, 126, 254, 33, 148, 19, 188, 78, 164, 223, 219, 30, 205, 227, 100, 106, 120, 89, 205, 172, 163, 214, 119, 255, 64, 181, 186, 17, 222, 216, 117, 137, 94, 237, 103, 46, 14, 209, 174, 63, 168, 82, 45, 152, 3, 26, 199, 19, 81, 25, 202, 150, 62, 182, 113, 254, 160, 165, 44, 218, 4, 229, 33, 39, 31, 103, 106, 33, 252, 252, 10, 94, 94, 10, 221, 246, 24, 239, 136, 176, 117, 13, 67, 181, 204, 210, 209, 193, 148, 183, 35, 159, 32, 34, 64, 57, 75, 254, 227, 124, 68, 74, 5, 235, 56, 204, 73, 86, 188, 167, 17, 164, 87, 143, 201, 213, 7, 15, 99, 48, 173, 119, 69, 204, 14, 117, 106, 59, 89, 10, 208, 138, 44, 61, 183, 114, 114, 244, 49, 142, 39, 81, 8, 144, 35, 12, 24, 71, 33, 205, 29, 157, 156, 245, 141, 23, 117, 76, 171, 110, 12, 148, 29, 169, 180, 5, 120, 135, 236, 219, 29, 145, 237, 10, 206, 175, 196, 255, 86, 159, 188, 207, 168, 182, 146, 74, 234, 207, 193, 34, 77, 138, 25, 131, 215, 98, 17, 230, 199, 67, 186, 174, 0, 108, 137, 240, 81, 53, 43, 56, 22, 254, 78, 65, 240, 215, 242, 201, 20, 113, 193, 184, 182, 183, 131, 68, 175, 29, 185, 210, 100, 189, 255, 64, 187, 237, 240, 56, 215, 163, 124, 232, 107, 84, 198, 82, 64, 182, 199, 223, 250, 83, 22, 113, 177, 103, 193, 132, 148, 181, 164, 128, 156, 223, 3, 16, 55, 196, 201, 47, 30, 25, 168, 140, 196, 211, 109, 69, 164, 94, 123, 213, 187, 182, 227, 228, 75, 236, 16, 233, 62, 57, 148, 215, 20, 79, 121, 108, 181, 221, 26, 220, 20, 57, 40, 5, 120, 47, 228, 230, 0, 111, 68, 112, 149, 93, 63, 75, 94, 226, 142, 165, 123, 168, 93, 45, 216, 199, 201, 112, 141, 30, 164, 193, 130, 66, 174, 161, 51, 194, 245, 236, 226, 40, 89, 32, 22, 171, 109, 246, 141, 45, 167, 163, 44, 129, 164, 174, 57, 229, 170, 121, 251, 106, 71, 137, 177, 177, 126, 141, 243, 71, 7, 192, 14, 195, 183, 248, 176, 136, 221, 6, 1, 195, 9, 39, 247, 128, 132, 31, 52, 139, 62, 218, 130, 252, 149, 213, 194, 48, 14, 28, 86, 23, 52, 230, 212, 151, 63, 44, 187, 193, 220, 8, 152, 147, 35, 232, 132, 210, 248, 202, 90, 87, 206, 81, 249, 121, 179, 154, 51, 3, 84, 142, 120, 84, 67, 124, 222, 204, 170, 9, 83, 128, 59, 109, 206, 215, 45, 154, 233, 43, 5, 200, 22, 229, 57, 20, 169, 169, 118, 42, 2, 212, 232, 89, 112, 228, 69, 11, 192, 71, 24, 203, 157, 18, 227, 12, 39, 170, 173, 225, 29, 111, 113, 22, 55, 70, 222, 53, 18, 87, 129, 237, 49, 135, 252, 104, 220, 102, 243, 150, 40, 51, 116, 30, 66, 147, 229, 33, 90, 195, 153, 175, 132, 110, 191, 163, 244, 168, 67, 128, 16, 211, 51, 26, 199, 157, 197, 235, 65, 43, 150, 206, 212, 138, 162, 72, 183, 91, 189, 100, 89, 30, 45, 77, 91, 43, 41, 32, 54, 67, 53, 248, 24, 16, 123, 96, 21, 88, 11, 208, 0, 220, 121, 208, 194, 183, 14, 50, 52, 146, 104, 40, 80, 75, 203, 178, 31, 172, 143, 104, 133, 226, 79, 53, 166, 95, 5, 125, 36, 230, 152, 188, 19, 196, 3, 204, 206, 155, 100, 213, 122, 52, 39, 85, 229, 117, 107, 82, 41, 72, 194, 51, 157, 67, 76, 183, 168, 17, 7, 113, 196, 94, 128, 101, 96, 230, 93, 120, 244, 251, 6, 26, 182, 175, 191, 175, 90, 11, 159, 237, 231, 155, 141, 170, 202, 181, 20, 39, 76, 86, 216, 84, 139, 221, 36, 181, 41, 10, 55, 211, 204, 69, 76, 59, 78, 75, 3, 216, 83, 113, 36, 37, 114, 5, 199, 203, 35, 133, 163, 110, 57, 51, 107, 105, 147, 130, 156, 94, 209, 38, 122, 155, 70, 250, 71, 190, 50, 216, 27, 143, 195, 41, 43, 109, 147, 142, 242, 71, 177, 110, 4, 97, 203, 12, 59, 221, 133, 250, 14, 230, 113, 66, 205, 64, 220, 247, 183, 106, 99, 161, 238, 121, 213, 18, 199, 220, 247, 28, 223, 97, 39, 68, 218, 202, 78, 232, 103, 49, 21, 66, 122, 213, 150, 153, 52, 186, 93, 76, 144, 183, 40, 209, 146, 104, 142, 108, 225, 223, 131, 124, 55, 76, 204, 201, 62, 229, 107, 143, 16, 203, 12, 163, 28, 233, 24, 116, 6, 112, 220, 134, 101, 4, 38, 112, 28, 77, 35, 160, 192, 122, 13, 240, 96, 134, 118, 67, 233, 231, 192, 82, 42, 130, 30, 190, 181, 95, 158, 156, 68, 34, 126, 228, 121, 172, 68, 109, 182, 107, 161, 127, 189, 5, 208, 247, 36, 95, 113, 239, 61, 52, 5, 177, 91, 245, 177, 204, 137, 251, 248, 125, 235, 223, 254, 149, 224, 105, 67, 252, 196, 110, 211, 33, 25, 36, 241, 174, 144, 213, 202, 134, 100, 223, 132, 78, 132, 129, 181, 220, 252, 142, 3, 21, 158, 67, 177, 166, 38, 0, 18, 227, 217, 119, 212, 141, 146, 190, 171, 230, 5, 33, 229, 144, 237, 95, 95, 196, 100, 54, 182, 50, 232, 42, 24, 133, 205, 142, 165, 20, 17, 110, 175, 233, 207, 81, 200, 173, 227, 236, 140, 128, 211, 206, 163, 108, 148, 130, 11, 187, 66, 141, 18, 53, 116, 214, 118, 221, 172, 112, 117, 218, 18, 181, 0, 228, 29, 111, 190, 162, 186, 249, 159, 7, 62, 121, 43, 146, 82, 39, 166, 158, 232, 142, 138, 218, 46, 130, 91, 29, 124, 79, 17, 178, 140, 3, 245, 239, 188, 143, 113, 154, 208, 42, 118, 207, 21, 24, 56, 161, 166, 187, 172, 149, 38, 151, 181, 61, 93, 217, 123, 99, 212, 184, 5, 192, 8, 150, 98, 139, 198, 93, 253, 245, 255, 250, 200, 2, 184, 0, 175, 114, 48, 178, 213, 187, 38, 44, 121, 177, 235, 160, 91, 136, 179, 207, 254, 18, 205, 188, 33, 253, 137, 183, 179, 245, 90, 254, 19, 172, 3, 60, 234, 242, 124, 139, 51, 55, 151, 99, 78, 9, 51, 228, 11, 68, 210, 159, 133, 90, 216, 241, 175, 147, 83, 68, 82, 35, 105, 219, 134, 246, 43, 210, 222, 54, 156, 227, 110, 195, 245, 184, 227, 87, 100, 213, 26, 187, 83, 193, 152, 200, 79, 243, 85, 91, 143, 225, 154, 52, 178, 220, 255, 233, 5, 39, 183, 241, 71, 229, 176, 190, 227, 110, 227, 48, 28, 27, 67, 171, 59, 10, 236, 18, 94, 41, 68, 9, 125, 130, 80, 165, 78, 1, 206, 114, 209, 54, 102, 109, 72, 12, 70, 86, 9, 11, 199, 243, 224, 84, 239, 190, 154, 49, 25, 153, 228, 110, 236, 57, 175, 110, 239, 55, 211, 72, 179, 116, 46, 153, 110, 20, 214, 148, 102, 229, 237, 12, 45, 196, 173, 13, 171, 250, 144, 226, 110, 89, 123, 106, 68, 175, 213, 72, 64, 248, 83, 99, 92, 143, 171, 21, 101, 57, 212, 141, 130, 183, 91, 70, 206, 60, 6, 44, 171, 12, 227, 96, 36, 123, 13, 152, 214, 162, 212, 29, 52, 15, 233, 151, 209, 189, 0, 196, 141, 52, 50, 184, 93, 210, 181, 252, 85, 184, 177, 21, 183, 207, 182, 210, 49, 13, 72, 40, 188, 29, 225, 57, 114, 178, 138, 166, 118, 146, 243, 194, 29, 252, 84, 184, 136, 200, 100, 215, 15, 17, 236, 194, 77, 33, 112, 114, 96, 63, 150, 127, 28, 54, 76, 46, 80, 173, 132, 39, 20, 169, 24, 96, 128, 223, 148, 230, 181, 189, 167, 51, 40, 114, 124, 4, 4, 251, 75, 15, 128, 147, 227, 192, 115, 207, 167, 253, 225, 250, 133, 56, 161, 27, 49, 113, 189, 85, 187, 89, 108, 247, 242, 166, 201, 171, 207, 52, 51, 218, 93, 172, 255, 116, 190, 108, 209, 47, 193, 62, 136, 42, 96, 138, 229, 253, 150, 22, 9, 252, 204, 56, 90, 147, 162, 95, 137, 140, 106, 201, 143, 100, 67, 51, 198, 85, 107, 63, 163, 27, 2, 198, 166, 182, 102, 190, 53, 98, 228, 159, 148, 183, 101, 38, 132, 192, 105, 146, 129, 88, 27, 126, 202, 219, 56, 99, 6, 228, 151, 162, 24, 197, 175, 136, 127, 5, 46, 220, 54, 238, 217, 42, 148, 163, 94, 31, 144, 134, 226, 65, 218, 235, 83, 206, 64, 89, 155, 164, 90, 216, 238, 102, 37, 122, 187, 186, 251, 248, 250, 76, 41, 62, 34, 103, 133, 127, 234, 122, 112, 173, 153, 38, 100, 147, 111, 127, 190, 155, 192, 58, 82, 29, 17, 142, 72, 243, 88, 82, 135, 227, 5, 168, 117, 131, 204, 71, 247, 35, 194, 149, 235, 89, 49, 110, 200, 207, 72, 55, 247, 221, 64, 108, 139, 121, 41, 167, 117, 104, 217, 171, 220, 241, 5, 118, 152, 193, 163, 96, 230, 215, 117, 78, 228, 199, 112, 39, 79, 213, 102, 0, 113, 83, 181, 27, 239, 87, 122, 255, 93, 67, 117, 85, 209, 97, 127, 212, 9, 54, 121, 143, 252, 228, 96, 100, 81, 72, 220, 101, 195, 68, 99, 149, 235, 184, 138, 194, 108, 238, 69, 78, 111, 195, 33, 235, 139, 4, 66, 141, 214, 160, 239, 241, 209, 134, 31, 87, 255, 77, 235, 246, 89, 10, 229, 144, 55, 34, 16, 122, 198, 55, 138, 105, 27, 237, 61, 188, 59, 42, 31, 97, 108, 64, 4, 160, 65, 20, 64, 128, 110, 201, 155, 152, 212, 153, 55, 15, 145, 250, 101, 82, 32, 245, 106, 169, 131, 195, 18, 171, 46, 148, 43, 241, 197, 20, 191, 110, 171, 192, 211, 102, 38, 153, 181, 114, 147, 208, 208, 52, 18, 126, 81, 147, 27, 145, 110, 25, 87, 4, 29, 207, 98, 70, 120, 21, 247, 36, 26, 89, 19, 203, 221, 19, 227, 238, 167, 101, 184, 216, 25, 146, 252, 92, 142, 28, 63, 198, 111, 141, 93, 247, 170, 8, 148, 236, 234, 174, 186, 129, 82, 108, 89, 67, 15, 219, 207, 83, 110, 176, 157, 213, 238, 97, 210, 197, 166, 72, 4, 175, 95, 170, 103, 159, 185, 22, 115, 131, 69, 207, 178, 11, 198, 72, 11, 53, 142, 38, 9, 244, 57, 75, 253, 58, 65, 202, 73, 125, 7, 7, 118, 211, 81, 115, 215, 134, 131, 153, 5, 62, 113, 100, 144, 224, 211, 150, 206, 35, 188, 172, 56, 108, 128, 46, 114, 20, 139, 159, 179, 1, 80, 129, 86, 77, 24, 77, 8, 118, 31, 106, 32, 171, 111, 188, 236, 209, 188, 39, 76, 62, 151, 201, 27, 41, 221, 245, 17, 172, 85, 4, 176, 233, 141, 250, 253, 173, 56, 196, 24, 132, 136, 105, 254, 9, 42, 35, 243, 71, 113, 25, 66, 5, 62, 243, 74, 158, 19, 97, 121, 206, 91, 211, 78, 0, 132, 244, 74, 196, 115, 168, 223, 118, 183, 163, 157, 138, 238, 250, 166, 99, 77, 127, 10, 20, 47, 235, 3, 200, 180, 49, 60, 204, 101, 130, 247, 190, 21, 109, 190, 99, 136, 162, 218, 200, 24, 7, 236, 23, 67, 41, 177, 51, 25, 147, 35, 247, 52, 184, 174, 115, 59, 238, 182, 211, 0, 86, 70, 148, 255, 226, 58, 226, 36, 59, 4, 222, 59, 71, 58, 72, 51, 77, 58, 186, 131, 130, 60, 159, 2, 46, 2, 148, 252, 14, 246, 118, 114, 245, 243, 102, 128, 227, 95, 201, 3, 213, 70, 205, 156, 125, 169, 33, 157, 199, 112, 253, 178, 83, 26, 208, 212, 127, 243, 219, 30, 159, 164, 92, 255, 238, 73, 231, 141, 167, 166, 51, 81, 13, 204, 208, 22, 113, 167, 88, 79, 123, 18, 109, 59, 50, 178, 227, 154, 18, 213, 103, 144, 154, 51, 112, 99, 246, 137, 10, 48, 137, 130, 2, 178, 99, 95, 17, 235, 100, 91, 76, 175, 6, 97, 209, 17, 205, 38, 200, 196, 87, 208, 248, 108, 1, 223, 47, 174, 92, 225, 214, 167, 62, 219, 126, 153, 31, 66, 172, 119, 248, 200, 23, 221, 150, 52, 146, 94, 90, 153, 79, 43, 34, 204, 73, 249, 84, 38, 27, 99, 252, 244, 18, 197, 164, 204, 9, 131, 151, 3, 0, 73, 161, 2, 73, 99, 149, 196, 227, 252, 102, 117, 45, 229, 45, 240, 234, 183, 229, 255, 93, 145, 94, 144, 24, 100, 47, 114, 252, 51, 204, 91, 144, 119, 27, 141, 243, 123, 105, 121, 183, 81, 96, 190, 65, 74, 176, 245, 26, 114, 28, 234, 39, 148, 40, 207, 183, 122, 62, 157, 213, 119, 117, 213, 42, 181, 164, 11, 240, 215, 44, 9, 124, 150, 78, 218, 43, 93, 237, 152, 33, 243, 35, 43, 66, 253, 46, 239, 243, 142, 132, 25, 29, 231, 50, 207, 204, 221, 83, 181, 124, 252, 167, 112, 103, 237, 90, 221, 169, 37, 42, 199, 37, 148, 147, 92, 93, 66, 57, 115, 226, 121, 82, 245, 153, 119, 128, 136, 118, 57, 164, 188, 245, 21, 115, 87, 4, 46, 41, 6, 195, 189, 237, 150, 224, 188, 38, 207, 38, 126, 119, 72, 96, 109, 249, 85, 197, 226, 49, 49, 232, 210, 49, 173, 221, 55, 138, 94, 196, 182, 70, 154, 193, 48, 70, 222, 90, 81, 135, 35, 25, 106, 178, 160, 209, 207, 179, 194, 3, 244, 220, 94, 229, 148, 47, 123, 179, 148, 166, 1, 23, 183, 17, 47, 129, 56, 110, 7, 64, 63, 135, 144, 232, 220, 81, 139, 172, 111, 220, 239, 41, 229, 37, 45, 93, 104, 83, 172, 251, 152, 179, 35, 90, 104, 147, 179, 102, 105, 179, 36, 11, 156, 128, 156, 248, 32, 27, 47, 207, 208, 56, 45, 141, 209, 123, 65, 23, 186, 51, 5, 17, 111, 22, 232, 231, 120, 200, 210, 250, 171, 140, 174, 98, 91, 133, 102, 46, 106, 107, 182, 39, 203, 247, 50, 29, 111, 104, 202, 116, 189, 96, 56, 200, 128, 206, 123, 172, 38, 197, 188, 41, 159, 109, 33, 146, 206, 103, 162, 227, 135, 124, 237, 175, 175, 183, 112, 54, 182, 109, 218, 208, 138, 80, 51, 27, 78, 255, 206, 113, 65, 155, 36, 111, 243, 145, 46, 237, 255, 186, 161, 147, 134, 41, 114, 146, 213, 173, 110, 13, 187, 97, 65, 205, 133, 245, 157, 185, 164, 42, 203, 119, 246, 25, 101, 147, 23, 87, 254, 144, 118, 102, 233, 116, 191, 87, 68, 173, 57, 139, 161, 212, 222, 15, 55, 241, 160, 206, 203, 99, 14, 40, 241, 166, 150, 31, 208, 52, 195, 128, 26, 210, 96, 46, 254, 182, 210, 86, 215, 172, 74, 39, 15, 95, 58, 37, 172, 181, 120, 80, 36, 54, 149, 249, 133, 249, 144, 204, 78, 180, 214, 45, 223, 7, 96, 177, 248, 124, 205, 30, 30, 96, 70, 7, 191, 253, 48, 155, 136, 124, 193, 203, 125, 3, 166, 215, 251, 129, 200, 225, 94, 254, 145, 187, 174, 116, 231, 146, 72, 219, 80, 162, 142, 61, 5, 106, 202, 182, 5, 199, 44, 165, 140, 113, 199, 240, 183, 240, 249, 195, 69, 137, 148, 166, 1, 31, 52, 100, 177, 200, 166, 57, 248, 94, 210, 234, 18, 98, 177, 174, 79, 6, 93, 247, 116, 173, 148, 166, 127, 86, 231, 225, 191, 64, 231, 72, 60, 87, 192, 90, 95, 41, 182, 97, 235, 218, 90, 85, 1, 182, 165, 99, 198, 113, 90, 152, 181, 232, 58, 171, 146, 230, 27, 170, 149, 5, 153, 31, 110, 245, 237, 187, 86, 242, 153, 27, 90, 165, 102, 136, 29, 164, 45, 96, 179, 107, 144, 211, 131, 222, 246, 207, 132, 75, 240, 241, 228, 83, 81, 70, 2, 65, 94, 215, 93, 73, 9, 7, 109, 236, 173, 225, 255, 155, 31, 142, 100, 156, 23, 85, 91, 140, 181, 33, 93, 43, 213, 141, 32, 113, 22, 224, 19, 214, 157, 42, 242, 75, 164, 225, 39, 104, 56, 227, 142, 230, 94, 196, 69, 38, 49, 43, 141, 21, 78, 36, 5, 202, 199, 3, 195, 63, 38, 103, 53, 243, 146, 214, 48, 56, 75, 96, 231, 192, 10, 106, 155, 227, 176, 27, 114, 93, 134, 118, 181, 207, 15, 152, 126, 80, 58, 239, 90, 172, 132, 93, 199, 140, 43, 157, 140, 217, 111, 188, 57, 109, 7, 98, 188, 238, 227, 2, 220, 244, 35, 245, 226, 254, 119, 148, 198, 37, 236, 34, 140, 20, 201, 13, 233, 141, 151, 157, 62, 151, 162, 11, 82, 229, 13, 242, 127, 79, 51, 160, 156, 116, 185, 182, 94, 109, 185, 16, 40, 10, 186, 27, 136, 235, 61, 43, 4, 170, 47, 254, 92, 214, 85, 90, 144, 1, 251, 230, 206, 219, 126, 35, 179, 178, 130, 200, 205, 163, 179, 201, 145, 67, 168, 44, 93, 14, 120, 68, 85, 0, 183, 119, 100, 179, 11, 30, 135, 196, 41, 179, 124, 124, 51, 162, 88, 125, 130, 128, 94, 218, 50, 80, 60, 152, 155, 222, 57, 87, 178, 92, 154, 101, 220, 218, 252, 156, 31, 44, 111, 228, 140, 115, 151, 195, 70, 203, 252, 39, 71, 56, 26, 238, 190, 34, 137, 186, 200, 73, 167, 231, 68, 113, 220, 144, 136, 200, 138, 154, 227, 79, 127, 108, 229, 198, 91, 168, 30, 156, 12, 207, 91, 173, 65, 237, 247, 79, 176, 95, 182, 147, 83, 150, 92, 215, 222, 220, 228, 1, 88, 54, 18, 4, 137, 186, 210, 6, 36, 37, 20, 73, 221, 41, 240, 251, 9, 45, 167, 32, 47, 203, 149, 91, 191, 81, 170, 69, 152, 122, 126, 95, 79, 196, 203, 210, 170, 225, 79, 14, 177, 70, 146, 124, 60, 198, 97, 89, 220, 81, 72, 75, 191, 87, 164, 227, 189, 187, 143, 62, 73, 221, 214, 27, 173, 44, 89, 86, 41, 43, 88, 175, 198, 253, 98, 233, 254, 240, 35, 39, 210, 154, 245, 53, 220, 244, 53, 23, 196, 68, 71, 102, 178, 177, 90, 214, 226, 207, 11, 74, 193, 250, 241, 155, 162, 78, 250, 162, 182, 199, 121, 14, 50, 217, 235, 205, 179, 71, 103, 63, 148, 141, 164, 192, 135, 229, 126, 113, 44, 251, 48, 94, 0, 133, 136, 125, 99, 120, 211, 88, 153, 117, 209, 175, 13, 162, 106, 99, 78, 100, 161, 25, 128, 184, 117, 50, 28, 18, 254, 213, 43, 71, 138, 213, 147, 190, 34, 116, 232, 199, 163, 57, 243, 67, 109, 7, 30, 11, 176, 226, 206, 89, 197, 221, 193, 13, 63, 86, 31, 166, 206, 150, 76, 47, 162, 205, 169, 201, 223, 15, 164, 201, 29, 151, 221, 239, 36, 160, 39, 163, 25, 87, 101, 13, 122, 149, 228, 204, 173, 35, 98, 16, 88, 16, 85, 222, 165, 91, 242, 137, 194, 116, 190, 22, 180, 46, 223, 247, 136, 145, 120, 64, 6, 146, 185, 14, 75, 8, 33, 36, 98, 174, 239, 178, 7, 157, 107, 211, 88, 212, 127, 33, 98, 15, 9, 182, 157, 80, 193, 37, 46, 249, 154, 196, 32, 21, 21, 35, 246, 71, 112, 92, 91, 14, 2, 156, 210, 242, 222, 68, 220, 218, 34, 113, 28, 3, 123, 148, 42, 8, 18, 207, 13, 62, 219, 189, 210, 82, 100, 61, 92, 137, 134, 2, 121, 232, 144, 3, 130, 204, 139, 140, 27, 161, 206, 14, 191, 62, 92, 131, 94, 126, 25, 54, 205, 234, 22, 183, 145, 205, 18, 28, 220, 245, 131, 162, 92, 150, 200, 5, 14, 233, 172, 2, 66, 2, 166, 128, 96, 7, 47, 180, 122, 27, 149, 156, 218, 5, 161, 234, 121, 238, 190, 145, 213, 171, 60, 217, 48, 116, 23, 231, 251, 82, 168, 98, 101, 202, 191, 244, 130, 120, 175, 22, 91, 30, 188, 147, 48, 127, 93, 26, 100, 249, 49, 167, 240, 115, 128, 111, 4, 190, 218, 13, 7, 244, 112, 190, 158, 252, 77, 201, 142, 156, 210, 195, 29, 51, 123, 63, 246, 242, 134, 166, 234, 49, 69, 98, 184, 138, 140, 203, 21, 194, 82, 50, 116, 200, 205, 151, 214, 156, 81, 198, 244, 30, 171, 137, 207, 114, 195, 228, 120, 71, 81, 231, 131, 16, 187, 124, 215, 172, 211, 140, 210, 15, 191, 228, 161, 161, 104, 146, 249, 50, 156, 64, 87, 72, 81, 155, 208, 171, 157, 147, 86, 197, 148, 130, 254, 182, 140, 90, 252, 171, 110, 166, 126, 129, 3, 60, 54, 181, 29, 138, 133, 19, 25, 219, 151, 12, 225, 199, 47, 0, 226, 232, 60, 83, 110, 108, 77, 122, 112, 20, 204, 50, 25, 53, 22, 87, 171, 9, 3, 91, 129, 171, 12, 9, 26, 254, 66, 67, 219, 160, 145, 143, 46, 226, 87, 10, 171, 54, 207, 134, 242, 163, 82, 133, 116, 82, 166, 218, 20, 45, 96, 124, 218, 200, 114, 108, 119, 69, 212, 86, 167, 37, 111, 69, 101, 239, 34, 215, 163, 103, 121, 225, 2, 119, 120, 60, 145, 8, 235, 124, 87, 100, 115, 92, 121, 147, 234, 97, 16, 47, 49, 51, 26, 199, 56, 3, 77, 149, 86, 82, 84, 192, 224, 151, 35, 99, 120, 248, 22, 67, 180, 152, 241, 123, 172, 116, 121, 74, 94, 51, 172, 232, 116, 225, 253, 28, 173, 213, 20, 227, 126, 143, 29, 222, 73, 185, 197, 88, 232, 199, 220, 38, 103, 8, 81, 98, 114, 69, 162, 196, 132, 206, 107, 180, 161, 138, 190, 131, 147, 100, 110, 193, 28, 194, 189, 110, 14, 231, 10, 146, 42, 14, 117, 134, 226, 103, 35, 174, 173, 165, 66, 8, 48, 220, 191, 65, 178, 245, 244, 204, 48, 48, 130, 152, 31, 133, 74, 243, 75, 133, 204, 184, 25, 203, 146, 227, 10, 2, 155, 196, 98, 226, 30, 46, 28, 92, 180, 132, 58, 48, 156, 96, 73, 191, 88, 86, 216, 6, 44, 187, 31, 246, 164, 19, 133, 228, 211, 27, 163, 228, 250, 240, 43, 162, 222, 248, 34, 119, 66, 11, 249, 215, 152, 133, 93, 115, 15, 143, 6, 0, 119, 109, 148, 91, 134, 228, 212, 189, 130, 92, 247, 233, 154, 224, 31, 84, 178, 59, 249, 53, 64, 179, 171, 235, 170, 14, 48, 35, 89, 124, 147, 210, 74, 44, 58, 78, 141, 59, 143, 140, 44, 75, 190, 220, 114, 39, 210, 7, 205, 241, 196, 177, 190, 137, 22, 67, 174, 77, 85, 179, 141, 1, 33, 243, 170, 162, 155, 134, 109, 249, 4, 197, 108, 144, 2, 181, 58, 35, 139, 11, 44, 121, 212, 174, 200, 75, 153, 253, 132, 168, 202, 6, 133, 94, 20, 11, 125, 24, 218, 37, 63, 178, 155, 137, 151, 154, 64, 236, 223, 169, 120, 40, 4, 61, 79, 109, 19, 228, 239, 28, 19, 122, 104, 97, 80, 144, 58, 177, 115, 188, 149, 101, 203, 35, 254, 161, 233, 167, 79, 194, 113, 71, 95, 234, 236, 175, 31, 251, 75, 227, 115, 87, 22, 141, 87, 25, 18, 230, 184, 136, 230, 32, 108, 241, 180, 36, 37, 108, 21, 255, 186, 181, 255, 197, 107, 11, 122, 230, 26, 178, 34, 47, 142, 150, 47, 216, 156, 199, 206, 151, 196, 151, 244, 194, 127, 52, 146, 201, 107, 56, 123, 54, 148, 182, 83, 174, 189, 124, 43, 175, 155, 142, 212, 118, 213, 77, 116, 227, 77, 39, 250, 1, 183, 156, 146, 79, 39, 228, 206, 220, 179, 141, 132, 203, 26, 241, 94, 131, 51, 239, 196, 43, 205, 9, 37, 77, 49, 28, 79, 36, 90, 221, 139, 13, 217, 241, 206, 73, 139, 49, 93, 16, 170, 90, 119, 26, 127, 93, 17, 242, 166, 214, 29, 88, 149, 13, 111, 159, 87, 48, 247, 36, 21, 95, 226, 172, 147, 154, 78, 23, 41, 9, 173, 70, 203, 68, 61, 142, 166, 79, 96, 144, 10, 93, 132, 196, 152, 5, 221, 145, 113, 209, 56, 210, 223, 181, 191, 233, 221, 146, 143, 163, 95, 85, 46, 238, 82, 99, 229, 222, 236, 170, 185, 11, 189, 190, 165, 152, 47, 160, 158, 21, 213, 116, 104, 239, 98, 119, 24, 150, 145, 213, 6, 19, 13, 50, 228, 110, 203, 199, 89, 138, 30, 201, 242, 135, 31, 153, 214, 7, 154, 141, 23, 79, 194, 128, 178, 158, 74, 179, 239, 122, 61, 145, 227, 245, 189, 26, 33, 229, 216, 206, 18, 186, 120, 133, 185, 71, 177, 79, 61, 181, 204, 253, 59, 42, 187, 186, 188, 147, 84, 112, 221, 181, 116, 100, 183, 30, 5, 88, 143, 250, 218, 240, 15, 218, 106, 166, 42, 71, 209, 97, 45, 223, 200, 247, 232, 64, 60, 131, 245, 107, 139, 245, 245, 143, 225, 33, 30, 80, 41, 141, 134, 135, 212, 236, 146, 199, 245, 44, 43, 39, 35, 179, 57, 115, 158, 127, 73, 141, 34, 118, 95, 235, 72, 188, 209, 138, 95, 150, 33, 38, 121, 215, 113, 213, 211, 223, 24, 200, 95, 191, 157, 205, 120, 27, 7, 180, 36, 15, 37, 205, 150, 111, 166, 3, 34, 251, 41, 175, 82, 188, 150, 199, 202, 74, 81, 129, 158, 84, 133, 105, 84, 26, 205, 86, 136, 68, 215, 15, 150, 18, 83, 139, 48, 203, 107, 38, 209, 61, 84, 254, 136, 124, 65, 92, 13, 180, 67, 222, 89, 40, 234, 166, 170, 120, 60, 11, 185, 215, 119, 102, 2, 197, 69, 128, 41, 162, 25, 179, 143, 47, 218, 209, 27, 66, 243, 142, 180, 18, 171, 34, 152, 188, 34, 53, 247, 205, 27, 219, 57, 20, 26, 120, 140, 166, 106, 25, 29, 49, 77, 134, 208, 83, 3, 27, 200, 194, 150, 193, 120, 178, 74, 100, 154, 181, 96, 185, 80, 251, 172, 234, 200, 87, 111, 7, 153, 222, 46, 103, 228, 92, 179, 216, 205, 148, 115, 82, 216, 209, 152, 46, 9, 215, 227, 136, 146, 125, 23, 93, 194, 90, 102, 94, 90, 9, 181, 86, 224, 51, 148, 247, 197, 7, 102, 206, 198, 199, 100, 96, 229, 107, 85, 237, 122, 34, 154, 212, 212, 162, 193, 132, 136, 38, 129, 103, 191, 170, 247, 179, 230, 12, 214, 177, 195, 23, 27, 144, 10, 224, 3, 83, 90, 158, 89, 60, 11, 147, 41, 227, 172, 186, 169, 43, 215, 217, 172, 1, 107, 44, 210, 188, 152, 179, 168, 47, 149, 115, 128, 232, 128, 156, 52, 164, 11, 251, 206, 200, 82, 50, 221, 226, 186, 214, 105, 106, 252, 222, 22, 163, 234, 209, 155, 195, 174, 152, 100, 156, 198, 176, 79, 201, 203, 16, 253, 183, 234, 184, 168, 209, 247, 145, 137, 15, 155, 26, 78, 210, 61, 198, 0, 34, 238, 74, 108, 152, 83, 142, 117, 116, 176, 97, 59, 49, 18, 249, 45, 50, 138, 18, 19, 61, 61, 230, 109, 89, 78, 20, 255, 3, 65, 24, 184, 64, 18, 198, 244, 29, 193, 134, 220, 47, 248, 46, 241, 221, 241, 126, 55, 184, 42, 63, 11, 154, 72, 30, 32, 116, 120, 210, 167, 54, 61, 127, 28, 151, 250, 12, 251, 200, 125, 238, 77, 111, 124, 140, 146, 30, 31, 175, 28, 245, 65, 84, 15, 186, 218, 82, 34, 12, 227, 125, 192, 252, 175, 238, 196, 76, 133, 118, 222, 5, 141, 76, 243, 97, 154, 148, 41, 31, 241, 36, 195, 113, 190, 54, 54, 48, 46, 2, 28, 89, 212, 224, 115, 108, 101, 64, 58, 219, 197, 16, 170, 178, 121, 139, 249, 4, 6, 38, 169, 242, 223, 71, 66, 55, 53, 183, 88, 150, 33, 187, 206, 107, 229, 133, 223, 102, 22, 232, 85, 180, 242, 226, 175, 187, 140, 127, 76, 57, 245, 174, 8, 231, 110, 14, 204, 184, 141, 236, 211, 248, 228, 27, 19, 103, 198, 40, 34, 136, 123, 61, 225, 247, 9, 88, 41, 127, 160, 7, 187, 187, 234, 164, 175, 225, 241, 203, 54, 11, 188, 21, 235, 40, 199, 135, 203, 72, 165, 117, 58, 27, 91, 98, 74, 99, 29, 67, 107, 175, 214, 205, 54, 222, 16, 151, 16, 39, 99, 115, 233, 162, 201, 27, 203, 185, 151, 255, 170, 208, 206, 188, 215, 100, 217, 19, 19, 83, 192, 164, 219, 231, 71, 176, 48, 156, 149, 161, 177, 229, 102, 100, 41, 121, 70, 147, 61, 203, 13, 159, 77, 236, 208, 111, 161, 223, 4, 135, 164, 164, 223, 200, 131, 156, 145, 98, 186, 215, 32, 119, 61, 242, 130, 48, 146, 31, 92, 213, 248, 136, 204, 19, 176, 184, 128, 208, 133, 154, 119, 236, 36, 92, 132, 163, 66, 185, 99, 115, 174, 43, 209, 34, 224, 6, 32, 85, 142, 196, 217, 102, 52, 69, 59, 248, 109, 230, 194, 156, 114, 231, 171, 72, 24, 133, 196, 89, 203, 82, 71, 165, 94, 12, 134, 60, 13, 76, 179, 57, 38, 232, 21, 37, 92, 4, 229, 59, 92, 252, 109, 53, 41, 221, 26, 110, 62, 49, 238, 72, 212, 231, 27, 68, 122, 126, 219, 167, 98, 35, 101, 220, 102, 114, 241, 170, 4, 122, 31, 182, 121, 236, 90, 41, 9, 41, 182, 97, 69, 195, 52, 54, 128, 73, 111, 45, 86, 204, 120, 1, 18, 84, 26, 155, 220, 222, 60, 197, 36, 9, 75, 109, 211, 114, 153, 252, 165, 120, 185, 50, 71, 55, 226, 147, 23, 141, 119, 219, 243, 105, 128, 248, 79, 40, 125, 24, 47, 83, 232, 121, 143, 99, 241, 118, 106, 115, 94, 121, 175, 109, 80, 222, 89, 60, 218, 130, 62, 46, 12, 6, 241, 132, 195, 28, 235, 27, 138, 165, 70, 86, 87, 83, 136, 213, 124, 172, 9, 77, 44, 115, 50, 175, 47, 119, 119, 113, 35, 43, 153, 207, 141, 127, 53, 24, 123, 172, 27, 162, 67, 250, 31, 175, 245, 136, 181, 40, 85, 37, 70, 30, 192, 100, 210, 249, 166, 38, 209, 205, 40, 202, 130, 241, 236, 244, 115, 40, 151, 42, 185, 134, 11, 229, 216, 211, 200, 32, 94, 209, 119, 117, 213, 178, 134, 215, 52, 146, 52, 162, 22, 2, 151, 217, 204, 101, 227, 135, 20, 179, 28, 168, 29, 204, 199, 84, 204, 124, 25, 222, 37, 219, 193, 0, 213, 199, 165, 134, 16, 121, 94, 99, 101, 8, 205, 214, 236, 184, 55, 85, 91, 54, 4, 54, 156, 69, 37, 175, 174, 56, 225, 136, 236, 166, 19, 85, 158, 145, 214, 21, 133, 177, 59, 163, 189, 107, 155, 100, 191, 99, 226, 204, 180, 96, 204, 12, 170, 60, 155, 255, 98, 40, 121, 128, 70, 86, 41, 49, 137, 220, 8, 201, 117, 158, 181, 50, 179, 136, 4, 103, 28, 175, 75, 231, 130, 156, 181, 4, 165, 214, 192, 135, 9, 100, 139, 11, 245, 162, 195, 166, 137, 254, 53, 99, 40, 10, 71, 169, 18, 21, 195, 167, 26, 34, 107, 228, 129, 92, 196, 3, 178, 61, 43, 125, 178, 142, 121, 182, 101, 0, 225, 154, 97, 141, 79, 221, 208, 4, 158, 19, 44, 109, 129, 16, 12, 27, 131, 180, 187, 135, 179, 183, 104, 231, 53, 158, 57, 80, 74, 59, 111, 241, 154, 14, 54, 133, 19, 74, 38, 18, 122, 220, 219, 198, 187, 197, 237, 167, 38, 67, 213, 152, 138, 203, 41, 15, 88, 59, 179, 240, 18, 232, 151, 255, 131, 16, 25, 247, 27, 197, 170, 211, 212, 198, 254, 96, 21, 48, 81, 198, 144, 214, 200, 180, 33, 169, 229, 71, 253, 54, 106, 37, 254, 180, 120, 210, 114, 247, 120, 5, 209, 50, 189, 9, 49, 107, 179, 90, 118, 35, 81, 220, 181, 238, 133, 104, 246, 235, 202, 11, 105, 101, 104, 156, 108, 82, 18, 242, 171, 125, 149, 54, 120, 171, 48, 53, 15, 235, 13, 177, 25, 114, 39, 43, 33, 135, 13, 72, 157, 143, 141, 119, 57, 142, 27, 121, 42, 249, 252, 199, 163, 59, 144, 156, 192, 220, 61, 111, 206, 108, 190, 22, 125, 109, 125, 69, 100, 106, 166, 112, 59, 142, 40, 201, 140, 79, 153, 150, 187, 205, 138, 86, 195, 80, 232, 12, 173, 32, 243, 236, 49, 230, 72, 105, 185, 114, 242, 154, 120, 180, 80, 51, 80, 218, 211, 101, 250, 245, 216, 161, 85, 15, 19, 219, 72, 27, 171, 22, 41, 52, 114, 66, 2, 211, 217, 157, 184, 13, 205, 139, 246, 4, 55, 100, 5, 111, 232, 33, 213, 248, 226, 214, 10, 128, 232, 56, 63, 201, 9, 29, 112, 51, 94, 23, 81, 122, 70, 213, 114, 18, 125, 175, 88, 151, 101, 247, 75, 177, 178, 24, 142, 8, 173, 86, 190, 102, 219, 62, 65, 147, 68, 92, 101, 50, 126, 247, 20, 137, 154, 218, 125, 149, 11, 197, 75, 18, 227, 34, 198, 236, 89, 75, 85, 67, 42, 48, 178, 124, 171, 246, 88, 100, 20, 201, 76, 43, 30, 201, 150, 219, 25, 30, 249, 111, 29, 126, 201, 77, 50, 207, 239, 87, 206, 239, 1, 155, 83, 219, 199, 100, 183, 37, 44, 210, 177, 211, 137, 223, 168, 154, 41, 254, 118, 117, 139, 107, 44, 103, 21, 188, 6, 4, 98, 87, 55, 28, 27, 166, 18, 7, 139, 85, 177, 45, 188, 105, 10, 65, 47, 112, 184, 124, 4, 86, 14, 4, 32, 120, 139, 49, 135, 78, 235, 237, 244, 97, 240, 155, 61, 125, 92, 242, 238, 46, 208, 173, 57, 124, 86, 70, 186, 113, 96, 72, 184, 210, 194, 251, 141, 149, 255, 179, 174, 192, 176, 87, 137, 66, 10, 181, 114, 155, 189, 86, 145, 1, 139, 8, 181, 189, 183, 182, 16, 54, 140, 199, 130, 201, 108, 143, 32, 45, 138, 46, 19, 237, 99, 50, 184, 174, 181, 148, 200, 1, 33, 93, 6, 53, 83, 129, 0, 10, 17, 40, 28, 222, 117, 229, 212, 166, 101, 234, 50, 102, 19, 214, 62, 220, 23, 89, 189, 34, 27, 149, 51, 143, 192, 171, 113, 196, 53, 167, 41, 198, 43, 234, 225, 40, 3, 91, 164, 36, 20, 113, 130, 125, 138, 51, 236, 98, 98, 219, 98, 101, 197, 10, 103, 246, 244, 242, 228, 234, 78, 196, 233, 65, 83, 175, 47, 46, 215, 206, 37, 76, 142, 68, 232, 120, 94, 206, 187, 195, 191, 19, 48, 70, 1, 148, 51, 139, 68, 94, 102, 131, 69, 15, 108, 217, 143, 251, 156, 158, 200, 222, 61, 200, 85, 118, 28, 85, 245, 49, 178, 143, 146, 130, 77, 201, 93, 202, 28, 30, 95, 143, 195, 123, 132, 208, 78, 186, 6, 34, 250, 88, 13, 201, 150, 107, 49, 23, 175, 144, 226, 201, 167, 9, 15, 87, 254, 36, 206, 179, 159, 36, 213, 115, 198, 182, 237, 86, 4, 22, 149, 232, 199, 176, 220, 194, 164, 186, 182, 73, 233, 204, 202, 10, 61, 109, 6, 50, 139, 79, 12, 218, 46, 3, 129, 35, 133, 60, 41, 113, 43, 67, 18, 223, 19, 41, 200, 6, 17, 47, 5, 176, 127, 228, 85, 79, 69, 249, 163, 163, 248, 12, 51, 137, 0, 137, 149, 89, 54, 138, 146, 121, 131, 156, 39, 153, 4, 98, 174, 224, 164, 29, 137, 101, 80, 71, 146, 113, 227, 66, 239, 195, 20, 199, 174, 58, 252, 140, 75, 36, 161, 70, 214, 101, 200, 201, 11, 109, 43, 141, 35, 62, 51, 43, 143, 130, 251, 72, 247, 102, 73, 144, 247, 226, 169, 141, 93, 116, 72, 57, 218, 178, 175, 118, 84, 220, 249, 133, 3, 75, 186, 14, 189, 153, 75, 73, 198, 92, 242, 7, 133, 70, 167, 70, 143, 54, 59, 255, 177, 147, 154, 93, 208, 85, 91, 19, 83, 226, 55, 151, 214, 186, 228, 192, 81, 59, 191, 214, 77, 127, 75, 179, 201, 233, 17, 137, 198, 244, 84, 162, 45, 86, 113, 133, 232, 197, 236, 164, 178, 177, 47, 69, 12, 244, 98, 165, 114, 213, 177, 87, 107, 245, 114, 85, 241, 254, 104, 9, 145, 54, 27, 92, 42, 12, 244, 57, 40, 175, 188, 152, 22, 105, 225, 124, 206, 139, 134, 145, 56, 46, 38, 66, 70, 107, 92, 158, 27, 50, 179, 192, 201, 160, 251, 135, 97, 10, 40, 217, 25, 132, 135, 79, 6, 224, 244, 95, 175, 139, 161, 247, 19, 215, 233, 98, 183, 248, 242, 147, 140, 4, 125, 125, 61, 206, 5, 254, 238, 170, 208, 0, 201, 31, 77, 9, 109, 139, 175, 64, 140, 38, 49, 189, 41, 78, 167, 140, 100, 14, 150, 207, 139, 55, 112, 221, 235, 84, 83, 27, 37, 172, 240, 243, 210, 157, 212, 104, 169, 34, 171, 112, 122, 144, 202, 56, 220, 26, 89, 194, 96, 244, 55, 175, 3, 20, 157, 194, 123, 51, 105, 204, 99, 204, 147, 146, 99, 18, 241, 64, 36, 33, 152, 146, 74, 252, 148, 108, 8, 148, 130, 127, 84, 112, 129, 191, 13, 231, 237, 246, 230, 169, 36, 154, 75, 41, 153, 25, 144, 117, 194, 122, 205, 247, 108, 117, 20, 141, 224, 118, 223, 28, 211, 93, 34, 59, 237, 14, 42, 35, 116, 15, 196, 219, 164, 102, 106, 219, 108, 184, 157, 243, 183, 48, 187, 116, 196, 102, 235, 43, 126, 52, 115, 183, 163, 55, 192, 194, 187, 160, 137, 103, 78, 159, 26, 25, 178, 196, 104, 135, 78, 1, 59, 158, 182, 148, 25, 252, 191, 224, 123, 76, 122, 68, 119, 185, 126, 231, 174, 223, 152, 58, 75, 170, 66, 242, 128, 37, 23, 87, 73, 222, 230, 15, 127, 157, 132, 52, 13, 117, 25, 226, 77, 18, 185, 132, 25, 160, 199, 61, 204, 241, 86, 130, 69, 185, 25, 168, 239, 81, 221, 125, 228, 169, 252, 166, 220, 8, 108, 48, 110, 100, 133, 83, 10, 253, 252, 85, 64, 174, 239, 147, 243, 193, 59, 77, 63, 137, 0, 219, 210, 78, 208, 253, 46, 205, 50, 96, 218, 133, 109, 29, 38, 131, 156, 85, 178, 204, 226, 168, 25, 65, 99, 251, 59, 228, 16, 97, 28, 61, 43, 30, 128, 113, 139, 130, 47, 125, 169, 163, 38, 203, 238, 40, 151, 201, 118, 193, 106, 252, 36, 109, 176, 47, 95, 221, 66, 200, 116, 118, 105, 222, 214, 105, 62, 202, 173, 201, 118, 210, 168, 101, 97, 159, 117, 230, 177, 17, 76, 204, 25, 127, 244, 214, 18, 0, 148, 81, 40, 82, 199, 59, 66, 169, 73, 90, 18, 211, 178, 181, 181, 207, 207, 30, 119, 52, 182, 27, 247, 113, 124, 188, 20, 83, 48, 83, 78, 99, 59, 33, 6, 33, 52, 159, 4, 137, 107, 139, 239, 165, 141, 75, 12, 18, 174, 175, 138, 33, 16, 141, 217, 15, 45, 102, 131, 151, 127, 174, 240, 228, 108, 93, 215, 117, 201, 94, 140, 49, 196, 248, 102, 242, 162, 167, 252, 92, 191, 216, 105, 19, 237, 249, 234, 45, 204, 152, 201, 227, 244, 153, 193, 136, 187, 54, 227, 31, 49, 35, 196, 120, 48, 205, 186, 72, 184, 205, 47, 121, 11, 253, 30, 124, 134, 29, 38, 239, 55, 47, 69, 168, 142, 80, 220, 175, 233, 253, 200, 176, 187, 53, 120, 231, 102, 10, 170, 40, 192, 44, 176, 207, 147, 191, 154, 69, 132, 171, 95, 148, 33, 81, 16, 111, 136, 71, 35, 72, 150, 84, 244, 86, 142, 211, 106, 129, 93, 237, 213, 8, 33, 26, 218, 132, 140, 214, 9, 82, 149, 25, 30, 100, 11, 38, 19, 144, 136, 165, 173, 245, 1, 147, 184, 113, 87, 164, 158, 3, 90, 157, 20, 44, 254, 155, 111, 165, 170, 49, 174, 69, 67, 137, 133, 25, 223, 39, 185, 1, 221, 241, 167, 59, 154, 146, 58, 101, 224, 4, 222, 44, 17, 236, 6, 0, 65, 73, 232, 66, 177, 135, 31, 150, 208, 134, 158, 246, 211, 228, 60, 234, 7, 23, 18, 3, 83, 166, 140, 161, 254, 75, 251, 173, 161, 130, 37, 53, 163, 220, 75, 223, 180, 198, 174, 195, 159, 55, 144, 203, 231, 255, 175, 63, 229, 115, 232, 215, 202, 175, 223, 79, 254, 19, 241, 6, 95, 172, 69, 92, 33, 7, 29, 243, 115, 242, 147, 160, 46, 47, 128, 117, 255, 90, 63, 101, 58, 188, 70, 55, 158, 201, 52, 68, 59, 69, 17, 134, 90, 97, 255, 223, 85, 85, 101, 14, 213, 57, 156, 69, 220, 143, 245, 149, 4, 5, 6, 147, 168, 36, 181, 19, 220, 155, 231, 165, 185, 157, 145, 254, 202, 241, 196, 55, 115, 66, 9, 140, 242, 239, 232, 161, 66, 72, 143, 151, 218, 58, 174, 242, 16, 177, 91, 208, 244, 21, 162, 111, 138, 200, 166, 119, 194, 254, 83, 219, 180, 205, 5, 255, 212, 51, 205, 219, 119, 58, 29, 6, 200, 234, 145, 158, 187, 163, 91, 68, 95, 182, 101, 201, 14, 253, 2, 219, 121, 164, 190, 145, 185, 115, 136, 19, 10, 21, 226, 10, 241, 53, 46, 191, 112, 100, 81, 31, 142, 40, 63, 145, 38, 204, 68, 152, 109, 154, 30, 59, 241, 130, 125, 70, 253, 228, 188, 244, 42, 87, 189, 34, 196, 59, 17, 139, 135, 106, 48, 180, 167, 136, 121, 81, 155, 184, 190, 130, 120, 62, 136, 186, 12, 141, 2, 68, 54, 89, 72, 229, 156, 254, 25, 40, 116, 210, 246, 112, 184, 56, 103, 147, 126, 22, 110, 157, 100, 106, 139, 79, 227, 203, 94, 90, 130, 134, 242, 241, 186, 101, 212, 160, 199, 68, 80, 60, 101, 97, 124, 141, 212, 117, 101, 86, 48, 178, 60, 112, 155, 142, 142, 38, 122, 128, 156, 2, 39, 165, 138, 170, 29, 183, 19, 15, 146, 55, 162, 126, 32, 207, 96, 237, 172, 193, 243, 131, 54, 108, 171, 112, 227, 245, 209, 120, 174, 91, 46, 54, 48, 85, 192, 40, 219, 153, 119, 20, 148, 201, 114, 211, 188, 159, 150, 249, 74, 21, 115, 41, 75, 87, 88, 91, 5, 237, 34, 192, 186, 223, 123, 133, 227, 28, 178, 129, 149, 5, 220, 26, 115, 52, 79, 206, 185, 161, 20, 36, 109, 24, 250, 196, 53, 84, 254, 36, 183, 3, 39, 50, 133, 32, 70, 29, 89, 102, 93, 2, 54, 219, 141, 22, 71, 14, 98, 147, 179, 157, 151, 195, 9, 122, 74, 169, 6, 218, 198, 150, 180, 76, 60, 73, 124, 28, 40, 123, 119, 16, 235, 207, 243, 177, 182, 78, 137, 5, 67, 216, 223, 34, 21, 89, 53, 15, 187, 241, 154, 235, 61, 53, 79, 55, 100, 121, 123, 217, 70, 212, 83, 246, 150, 187, 111, 240, 247, 241, 229, 156, 102, 126, 162, 39, 120, 136, 94, 75, 87, 229, 35, 244, 214, 48, 222, 183, 139, 183, 19, 6, 133, 44, 34, 77, 140, 113, 187, 34, 201, 177, 128, 149, 178, 251, 163, 163, 110, 161, 92, 239, 153, 118, 47, 195, 144, 218, 216, 134, 235, 180, 42, 40, 128, 243, 128, 173, 90, 25, 166, 48, 208, 188, 69, 42, 107, 112, 228, 68, 139, 219, 180, 207, 21, 151, 154, 197, 206, 222, 176, 114, 41, 142, 240, 43, 139, 16, 165, 21, 121, 23, 231, 121, 50, 211, 120, 37, 164, 27, 100, 194, 37, 245, 208, 106, 94, 98, 118, 75, 206, 89, 63, 116, 174, 26, 159, 106, 208, 84, 212, 123, 22, 6, 98, 116, 182, 116, 190, 100, 37, 45, 228, 149, 119, 61, 145, 181, 67, 46, 66, 184, 221, 87, 134, 19, 231, 88, 81, 154, 240, 115, 209, 132, 42, 252, 150, 134, 194, 24, 64, 137, 203, 32, 153, 120, 133, 184, 66, 53, 87, 211, 34, 225, 51, 51, 164, 82, 99, 226, 96, 209, 61, 224, 9, 11, 71, 25, 225, 57, 109, 206, 198, 83, 130, 222, 152, 135, 159, 183, 154, 137, 243, 135, 152, 133, 164, 220, 74, 86, 141, 174, 181, 100, 54, 95, 76, 206, 60, 225, 16, 255, 210, 88, 186, 122, 155, 65, 138, 103, 210, 106, 204, 3, 49, 145, 185, 137, 192, 6, 190, 13, 88, 90, 155, 51, 162, 26, 219, 211, 225, 86, 149, 173, 190, 0, 33, 132, 26, 82, 27, 93, 133, 177, 117, 80, 44, 224, 163, 85, 246, 160, 116, 29, 231, 175, 252, 157, 97, 178, 254, 244, 29, 56, 253, 130, 228, 239, 195, 226, 118, 105, 97, 184, 93, 37, 184, 127, 157, 44, 160, 60, 117, 80, 254, 161, 42, 102, 199, 254, 192, 218, 15, 193, 120, 91, 227, 168, 85, 69, 67, 171, 192, 231, 13, 211, 158, 144, 97, 11, 19, 151, 37, 241, 218, 136, 21, 1, 181, 196, 185, 42, 182, 19, 201, 16, 115, 25, 231, 68, 82, 48, 8, 74, 129, 97, 230, 86, 46, 102, 122, 16, 198, 73, 255, 158, 163, 247, 162, 71, 125, 187, 208, 154, 150, 91, 112, 85, 205, 143, 49, 37, 187, 145, 254, 163, 49, 105, 84, 34, 202, 167, 228, 22, 198, 102, 231, 41, 42, 128, 247, 166, 138, 213, 69, 24, 251, 152, 140, 58, 162, 7, 76, 60, 177, 207, 250, 189, 147, 134, 92, 169, 49, 184, 20, 22, 110, 26, 168, 163, 95, 81, 235, 182, 206, 25, 182, 2, 199, 233, 241, 164, 220, 40, 94, 25, 95, 61, 85, 162, 248, 190, 17, 201, 117, 106, 182, 2, 32, 200, 185, 142, 36, 83, 200, 151, 15, 214, 133, 237, 100, 47, 236, 173, 211, 158, 136, 238, 163, 225, 76, 53, 8, 89, 240, 231, 1, 140, 57, 51, 161, 156, 0, 71, 210, 108, 32, 34, 126, 22, 79, 160, 139, 208, 150, 214, 201, 17, 40, 236, 20, 205, 51, 174, 125, 112, 146, 56, 226, 194, 156, 39, 27, 11, 79, 31, 251, 166, 57, 248, 137, 22, 213, 229, 76, 148, 111, 196, 171, 239, 94, 126, 56, 97, 184, 119, 200, 141, 52, 77, 159, 54, 29, 183, 67, 170, 33, 214, 76, 151, 192, 20, 180, 13, 208, 225, 173, 71, 218, 160, 141, 17, 113, 246, 241, 143, 184, 7, 101, 33, 68, 56, 165, 25, 47, 140, 161, 198, 155, 5, 134, 122, 17, 187, 7, 87, 55, 152, 238, 204, 254, 163, 147, 149, 197, 147, 175, 172, 128, 32, 217, 76, 42, 239, 182, 76, 79, 248, 159, 209, 217, 107, 240, 2, 94, 65, 17, 30, 183, 38, 27, 179, 89, 76, 174, 88, 210, 154, 218, 36, 63, 219, 209, 219, 1, 165, 165, 86, 103, 46, 240, 92, 246, 6, 195, 29, 125, 222, 86, 166, 139, 136, 26, 108, 133, 238, 100, 142, 101, 46, 113, 61, 220, 47, 1, 244, 25, 216, 45, 88, 180, 48, 39, 193, 156, 101, 120, 134, 149, 21, 35, 203, 56, 145, 149, 170, 235, 111, 79, 12, 254, 130, 60, 230, 14, 106, 75, 104, 30, 197, 52, 130, 176, 120, 39, 205, 6, 125, 175, 5, 93, 67, 9, 12, 171, 22, 20, 143, 240, 211, 121, 224, 246, 136, 89, 147, 114, 147, 66, 117, 51, 70, 136, 97, 234, 22, 255, 81, 116, 180, 186, 187, 111, 108, 115, 149, 185, 49, 213, 54, 108, 149, 104, 97, 114, 105, 9, 248, 57, 16, 144, 75, 124, 86, 24, 52, 33, 153, 158, 98, 243, 177, 114, 64, 94, 90, 191, 59, 147, 130, 9, 103, 68, 217, 252, 164, 239, 125, 68, 253, 18, 27, 37, 6, 127, 214, 154, 230, 37, 237, 112, 209, 42, 102, 7, 16, 183, 39, 50, 254, 7, 22, 218, 61, 145, 85, 129, 170, 151, 227, 231, 104, 114, 92, 101, 118, 138, 47, 76, 91, 196, 229, 47, 163, 169, 68, 144, 175, 26, 218, 239, 72, 171, 237, 72, 230, 112, 115, 162, 26, 186, 132, 12, 167, 119, 206, 34, 228, 169, 72, 207, 188, 40, 182, 157, 226, 102, 40, 130, 2, 156, 150, 149, 201, 156, 15, 202, 178, 164, 111, 39, 143, 234, 172, 24, 234, 187, 133, 65, 4, 189, 242, 98, 5, 223, 135, 134, 84, 139, 73, 5, 36, 217, 236, 44, 168, 182, 126, 40, 1, 144, 242, 89, 64, 151, 166, 102, 146, 233, 13, 211, 110, 43, 149, 126, 110, 216, 57, 77, 122, 145, 209, 252, 113, 100, 6, 65, 137, 106, 106, 132, 223, 96, 227, 114, 70, 83, 248, 218, 179, 218, 162, 45, 14, 83, 50, 196, 102, 109, 98, 102, 156, 29, 174, 56, 129, 86, 142, 16, 178, 36, 196, 137, 41, 58, 101, 153, 96, 10, 90, 189, 55, 150, 189, 207, 98, 66, 96, 136, 24, 64, 39, 121, 82, 20, 138, 60, 7, 49, 135, 179, 181, 129, 155, 170, 185, 0, 166, 113, 146, 36, 164, 199, 58, 168, 161, 153, 159, 209, 75, 42, 97, 37, 226, 236, 14, 116, 194, 233, 192, 142, 198, 26, 11, 233, 100, 186, 9, 203, 206, 156, 195, 27, 225, 243, 159, 246, 73, 239, 38, 177, 118, 187, 152, 154, 136, 86, 7, 141, 86, 196, 157, 95, 37, 3, 48, 242, 133, 69, 185, 50, 162, 95, 253, 100, 3, 125, 150, 77, 82, 211, 85, 212, 126, 73, 166, 245, 239, 184, 43, 125, 204, 182, 75, 178, 122, 59, 77, 110, 41, 145, 59, 246, 22, 233, 207, 201, 38, 101, 180, 249, 37, 113, 29, 58, 121, 217, 132, 214, 113, 122, 170, 42, 30, 3, 175, 36, 132, 195, 95, 124, 167, 16, 213, 182, 248, 177, 6, 154, 39, 173, 120, 139, 63, 133, 210, 246, 19, 92, 122, 74, 190, 158, 134, 177, 121, 54, 146, 123, 39, 43, 118, 7, 130, 46, 81, 212, 165, 64, 164, 142, 174, 163, 69, 79, 7, 93, 16, 26, 154, 163, 224, 68, 151, 182, 232, 216, 208, 82, 250, 235, 14, 229, 220, 104, 86, 214, 206, 139, 58, 120, 96, 245, 188, 180, 40, 136, 238, 75, 151, 46, 167, 93, 42, 70, 190, 52, 84, 234, 246, 50, 254, 60, 121, 228, 191, 162, 144, 47, 95, 98, 122, 94, 163, 97, 252, 158, 134, 230, 57, 70, 132, 221, 191, 126, 189, 102, 112, 229, 156, 74, 121, 149, 128, 97, 234, 184, 85, 148, 192, 108, 114, 47, 46, 187, 206, 86, 172, 211, 183, 149, 176, 117, 103, 19, 218, 32, 121, 128, 131, 101, 175, 92, 236, 155, 196, 247, 160, 179, 49, 158, 157, 186, 31, 218, 74, 76, 133, 168, 129, 130, 134, 5, 39, 198, 40, 221, 112, 153, 31, 121, 77, 220, 247, 46, 80, 82, 94, 221, 37, 19, 19, 68, 84, 35, 121, 235, 196, 34, 122, 205, 52, 145, 222, 45, 146, 25, 188, 223, 216, 62, 249, 46, 140, 136, 142, 255, 63, 91, 23, 88, 150, 254, 44, 205, 63, 28, 44, 25, 250, 110, 141, 136, 222, 96, 249, 115, 103, 176, 221, 214, 3, 79, 11, 123, 248, 1, 30, 130, 70, 100, 63, 143, 184, 165, 110, 34, 172, 238, 214, 226, 219, 88, 78, 127, 232, 209, 137, 68, 215, 218, 124, 154, 232, 44, 200, 60, 118, 158, 152, 42, 71, 0, 119, 114, 71, 160, 209, 238, 98, 118, 78, 242, 55, 97, 212, 35, 33, 224, 64, 44, 81, 219, 2, 254, 194, 49, 1, 51, 19, 9, 247, 209, 16, 21, 241, 81, 31, 61, 95, 224, 121, 189, 204, 42, 78, 211, 242, 192, 126, 99, 65, 100, 57, 19, 234, 159, 199, 11, 161, 44, 47, 226, 217, 123, 19, 44, 72, 14, 106, 49, 178, 1, 89, 183, 74, 2, 137, 250, 145, 89, 160, 179, 66, 110, 122, 124, 254, 172, 68, 206, 111, 94, 236, 98, 230, 195, 206, 173, 21, 49, 224, 226, 8, 110, 188, 144, 54, 237, 178, 50, 145, 253, 14, 87, 250, 118, 193, 186, 134, 132, 109, 237, 69, 93, 13, 77, 32, 42, 136, 106, 157, 41, 142, 158, 101, 32, 200, 199, 171, 254, 129, 33, 177, 124, 234, 139, 57, 146, 172, 11, 212, 180, 240, 217, 16, 127, 242, 161, 40, 95, 1, 135, 173, 235, 35, 150, 59, 177, 1, 232, 136, 63, 14, 135, 154, 87, 116, 79, 231, 143, 235, 218, 82, 176, 155, 165, 166, 23, 7, 187, 144, 191, 131, 0, 218, 61, 170, 156, 200, 199, 50, 14, 10, 132, 110, 169, 136, 2, 103, 7, 214, 147, 174, 243, 183, 106, 49, 232, 50, 110, 77, 63, 151, 80, 6, 57, 147, 50, 121, 198, 234, 231, 105, 97, 26, 209, 151, 225, 233, 231, 139, 80, 29, 64, 104, 72, 45, 114, 77, 66, 13, 78, 127, 137, 34, 3, 77, 154, 61, 159, 133, 94, 32, 220, 85, 56, 141, 178, 214, 147, 215, 210, 90, 18, 182, 65, 84, 223, 109, 185, 20, 162, 90, 250, 73, 95, 231, 103, 251, 110, 206, 220, 219, 47, 11, 195, 17, 210, 199, 54, 154, 41, 73, 125, 13, 9, 195, 131, 215, 207, 205, 204, 82, 21, 253, 159, 78, 251, 196, 125, 5, 81, 122, 199, 43, 67, 6, 122, 220, 39, 13, 227, 174, 230, 242, 113, 142, 77, 183, 9, 30, 83, 190, 72, 74, 95, 114, 157, 84, 63, 36, 69, 213, 235, 73, 71, 230, 171, 107, 169, 65, 137, 250, 153, 44, 21, 233, 62, 56, 204, 22, 146, 151, 188, 134, 230, 47, 149, 246, 198, 141, 253, 145, 190, 161, 99, 92, 37, 179, 6, 3, 212, 145, 51, 95, 39, 150, 157, 162, 70, 115, 98, 170, 5, 100, 109, 97, 113, 68, 27, 254, 84, 138, 230, 254, 215, 143, 38, 189, 123, 38, 137, 118, 0, 151, 41, 51, 193, 130, 245, 238, 145, 100, 108, 124, 11, 231, 161, 146, 89, 196, 140, 118, 204, 60, 101, 100, 173, 5, 102, 45, 201, 184, 139, 55, 74, 50, 64, 190, 141, 27, 86, 140, 226, 110, 248, 228, 136, 244, 147, 242, 158, 198, 109, 73, 153, 222, 243, 46, 73, 204, 185, 244, 186, 28, 154, 207, 174, 113, 150, 199, 85, 171, 34, 251, 34, 207, 185, 138, 72, 30, 17, 30, 134, 149, 219, 67, 177, 189, 205, 253, 46, 100, 145, 11, 50, 254, 87, 33, 249, 225, 234, 92, 187, 26, 182, 52, 219, 245, 193, 0, 62, 160, 74, 120, 18, 199, 126, 155, 213, 127, 217, 32, 110, 92, 253, 238, 163, 137, 188, 219, 239, 66, 116, 68, 213, 178, 132, 236, 82, 207, 181, 219, 53, 61, 2, 151, 6, 120, 132, 52, 86, 57, 20, 164, 221, 148, 243, 138, 166, 217, 43, 118, 158, 39, 190, 9, 45, 13, 54, 10, 117, 140, 75, 46, 37, 235, 89, 86, 98, 44, 192, 131, 210, 167, 174, 49, 57, 93, 72, 44, 118, 48, 230, 176, 78, 219, 37, 146, 178, 87, 79, 24, 88, 18, 146, 104, 248, 240, 247, 185, 245, 26, 43, 3, 49, 171, 230, 161, 27, 74, 195, 99, 7, 124, 56, 232, 71, 157, 173, 143, 81, 235, 77, 39, 95, 25, 48, 139, 62, 141, 223, 91, 86, 82, 44, 33, 68, 13, 63, 234, 80, 104, 157, 12, 199, 72, 85, 25, 85, 239, 61, 237, 222, 120, 10, 156, 214, 90, 41, 12, 34, 175, 170, 164, 252, 204, 184, 244, 81, 89, 102, 181, 99, 102, 157, 146, 115, 32, 203, 110, 233, 203, 118, 212, 127, 222, 251, 17, 62, 250, 45, 10, 26, 188, 221, 35, 220, 191, 67, 51, 16, 2, 91, 34, 63, 26, 210, 188, 225, 33, 121, 75, 74, 119, 225, 229, 210, 168, 25, 57, 235, 247, 3, 102, 253, 219, 38, 128, 20, 216, 167, 252, 19, 81, 249, 108, 102, 168, 208, 178, 201, 173, 157, 98, 112, 70, 207, 114, 170, 148, 251, 2, 98, 147, 76, 76, 98, 141, 196, 14, 164, 3, 229, 129, 220, 201, 34, 36, 169, 62, 119, 72, 4, 80, 101, 87, 55, 125, 128, 64, 157, 180, 126, 115, 29, 231, 55, 27, 144, 220, 185, 36, 37, 134, 97, 255, 4, 181, 45, 92, 254, 142, 52, 227, 116, 26, 132, 180, 210, 189, 148, 133, 81, 146, 211, 83, 34, 233, 91, 106, 199, 145, 47, 106, 125, 142, 235, 26, 40, 50, 153, 196, 225, 111, 228, 233, 40, 46, 48, 50, 201, 70, 65, 45, 145, 220, 25, 25, 53, 162, 121, 226, 75, 147, 224, 86, 15, 121, 101, 52, 33, 192, 115, 161, 146, 251, 144, 109, 243, 181, 114, 136, 253, 140, 34, 85, 164, 181, 42, 201, 85, 103, 52, 157, 170, 74, 204, 159, 103, 9, 164, 132, 132, 158, 60, 165, 35, 119, 115, 168, 43, 24, 152, 53, 84, 117, 161, 132, 210, 76, 232, 136, 29, 79, 97, 19, 76, 14, 223, 49, 207, 221, 228, 0, 140, 168, 245, 246, 65, 223, 98, 73, 48, 152, 192, 153, 188, 125, 239, 217, 32, 80, 11, 115, 97, 197, 171, 192, 251, 99, 73, 220, 100, 165, 90, 117, 225, 100, 186, 40, 147, 203, 162, 135, 30, 175, 57, 112, 8, 198, 153, 21, 220, 252, 175, 217, 253, 223, 250, 195, 92, 22, 146, 180, 204, 155, 237, 245, 83, 174, 21, 6, 88, 165, 157, 153, 255, 42, 151, 94, 152, 152, 128, 243, 110, 127, 97, 39, 251, 110, 46, 255, 78, 133, 154, 195, 172, 125, 14, 13, 249, 204, 145, 180, 0, 244, 67, 65, 174, 121, 201, 95, 26, 52, 81, 192, 211, 161, 236, 185, 185, 142, 43, 32, 51, 244, 99, 139, 45, 46, 255, 45, 130, 73, 81, 194, 220, 148, 62, 200, 150, 153, 210, 243, 186, 199, 38, 175, 138, 221, 61, 156, 228, 39, 255, 84, 72, 246, 143, 190, 64, 173, 113, 81, 52, 58, 221, 24, 144, 207, 253, 35, 25, 153, 52, 34, 203, 84, 60, 235, 41, 114, 17, 69, 158, 96, 114, 13, 68, 98, 54, 107, 244, 180, 85, 85, 78, 62, 117, 100, 108, 102, 137, 56, 198, 7, 114, 58, 234, 156, 142, 248, 85, 204, 41, 248, 154, 149, 252, 220, 14, 254, 138, 48, 163, 157, 176, 191, 197, 69, 98, 107, 209, 0, 161, 184, 59, 18, 206, 4, 186, 155, 240, 186, 255, 83, 114, 209, 39, 66, 223, 210, 71, 35, 151, 242, 156, 75, 104, 45, 168, 236, 131, 10, 71, 190, 131, 171, 188, 218, 12, 40, 132, 69, 161, 252, 203, 17, 160, 195, 61, 123, 118, 193, 246, 72, 253, 139, 212, 174, 224, 111, 225, 125, 196, 171, 148, 206, 42, 134, 253, 75, 94, 57, 21, 5, 68, 21, 4, 96, 14, 71, 221, 220, 89, 150, 42, 8, 197, 191, 199, 198, 94, 52, 13, 82, 134, 176, 90, 165, 34, 216, 229, 201, 188, 217, 125, 187, 76, 179, 148, 245, 241, 223, 166, 124, 26, 114, 186, 214, 64, 123, 6, 187, 170, 33, 207, 72, 42, 109, 7, 187, 106, 14, 189, 240, 121, 109, 159, 241, 102, 151, 138, 254, 110, 39, 124, 40, 254, 140, 94, 254, 252, 193, 50, 87, 157, 92, 254, 217, 191, 153, 14, 56, 184, 127, 239, 68, 229, 167, 141, 205, 43, 0, 10, 139, 242, 20, 76, 208, 56, 226, 18, 189, 251, 162, 124, 248, 21, 109, 184, 54, 39, 250, 159, 156, 71, 201, 125, 181, 152, 190, 16, 219, 108, 189, 210, 155, 245, 27, 94, 200, 137, 117, 149, 180, 7, 214, 223, 229, 102, 36, 226, 24, 64, 27, 213, 219, 57, 50, 60, 132, 203, 179, 32, 181, 166, 50, 165, 106, 251, 153, 166, 182, 42, 242, 37, 209, 7, 233, 193, 81, 112, 188, 189, 113, 229, 52, 126, 204, 252, 222, 105, 75, 26, 149, 108, 72, 16, 183, 213, 89, 187, 176, 184, 70, 191, 23, 14, 93, 61, 226, 90, 79, 148, 143, 124, 231, 234, 45, 83, 124, 131, 165, 145, 119, 71, 132, 252, 184, 212, 23, 18, 167, 169, 94, 157, 231, 140, 54, 4, 111, 181, 2, 85, 164, 164, 4, 9, 217, 31, 91, 74, 162, 62, 185, 147, 163, 115, 199, 121, 128, 197, 236, 63, 124, 55, 148, 21, 206, 72, 240, 252, 115, 188, 55, 58, 92, 19, 3, 207, 151, 103, 247, 31, 252, 78, 29, 76, 233, 225, 165, 172, 240, 29, 171, 176, 158, 220, 213, 42, 157, 27, 17, 14, 141, 212, 139, 115, 191, 74, 187, 230, 18, 107, 93, 237, 222, 34, 183, 203, 216, 84, 211, 145, 125, 172, 209, 19, 109, 227, 200, 32, 60, 171, 164, 179, 45, 178, 28, 198, 234, 244, 68, 175, 216, 210, 235, 152, 89, 214, 230, 177, 193, 120, 37, 10, 255, 65, 108, 145, 30, 42, 39, 75, 186, 54, 228, 185, 149, 235, 18, 126, 167, 209, 50, 53, 18, 45, 151, 239, 80, 55, 113, 165, 240, 237, 23, 206, 149, 95, 209, 90, 67, 236, 35, 20, 224, 40, 45, 138, 23, 79, 107, 47, 201, 148, 242, 226, 210, 139, 225, 123, 56, 47, 38, 42, 175, 145, 155, 212, 9, 237, 195, 34, 20, 108, 191, 106, 80, 250, 53, 214, 161, 99, 94, 209, 8, 221, 8, 47, 95, 44, 29, 156, 77, 113, 246, 155, 1, 33, 191, 187, 229, 198, 164, 114, 30, 180, 236, 225, 234, 40, 59, 36, 148, 159, 142, 19, 129, 246, 252, 46, 250, 88, 87, 175, 112, 14, 36, 241, 117, 151, 120, 120, 15, 197, 114, 182, 44, 102, 178, 249, 169, 232, 69, 50, 86, 121, 21, 31, 3, 157, 166, 174, 187, 38, 231, 192, 175, 222, 130, 0, 100, 34, 180, 23, 38, 128, 2, 230, 90, 209, 214, 9, 29, 189, 173, 67, 197, 220, 128, 170, 53, 26, 126, 255, 84, 139, 117, 87, 62, 180, 91, 143, 109, 240, 139, 115, 53, 236, 65, 109, 142, 42, 68, 243, 223, 50, 135, 222, 206, 88, 247, 80, 2, 7, 165, 129, 151, 124, 57, 78, 36, 87, 161, 222, 107, 164, 49, 121, 231, 101, 14, 138, 157, 67, 172, 104, 214, 208, 175, 213, 239, 72, 181, 74, 61, 55, 90, 222, 250, 39, 141, 78, 165, 250, 92, 232, 211, 132, 91, 87, 178, 182, 165, 135, 98, 50, 247, 70, 66, 197, 146, 150, 78, 156, 70, 142, 186, 206, 103, 249, 204, 190, 116, 177, 172, 189, 103, 96, 193, 242, 1, 49, 113, 81, 173, 14, 79, 199, 107, 46, 67, 92, 45, 172, 50, 203, 72, 23, 176, 75, 204, 169, 242, 211, 15, 105, 88, 231, 65, 8, 159, 160, 148, 145, 241, 43, 164, 235, 28, 226, 53, 41, 31, 152, 54, 165, 200, 2, 87, 113, 124, 224, 226, 228, 250, 58, 105, 156, 73, 153, 192, 46, 116, 14, 167, 44, 219, 180, 194, 17, 241, 135, 98, 81, 70, 149, 244, 4, 252, 242, 115, 177, 112, 174, 244, 253, 73, 28, 54, 184, 206, 137, 176, 33, 142, 93, 145, 181, 186, 28, 96, 176, 141, 178, 7, 217, 202, 108, 117, 97, 255, 210, 246, 80, 219, 107, 226, 65, 133, 38, 180, 1, 146, 166, 10, 200, 184, 92, 177, 86, 232, 60, 183, 35, 234, 90, 146, 122, 86, 240, 181, 75, 17, 182, 186, 47, 141, 64, 127, 86, 86, 3, 252, 246, 211, 221, 75, 84, 160, 181, 92, 182, 196, 10, 200, 80, 182, 121, 12, 14, 238, 18, 164, 212, 102, 155, 196, 118, 50, 116, 155, 110, 34, 118, 230, 143, 97, 170, 211, 139, 243, 170, 223, 202, 61, 42, 206, 199, 18, 177, 64, 180, 121, 113, 127, 213, 45, 51, 95, 117, 39, 175, 18, 228, 7, 187, 18, 27, 163, 192, 193, 183, 67, 109, 193, 146, 191, 25, 52, 121, 207, 35, 222, 165, 79, 177, 234, 233, 67, 117, 97, 96, 188, 238, 79, 214, 149, 92, 158, 1, 147, 16, 37, 157, 96, 157, 68, 181, 240, 245, 152, 219, 49, 86, 114, 70, 113, 227, 205, 90, 123, 76, 250, 148, 81, 119, 98, 199, 114, 95, 80, 160, 246, 136, 254, 116, 94, 96, 136, 191, 4, 180, 106, 229, 191, 76, 217, 252, 71, 107, 83, 167, 27, 231, 179, 169, 122, 79, 181, 24, 46, 62, 50, 168, 42, 62, 201, 199, 204, 196, 21, 131, 28, 183, 88, 155, 46, 21, 205, 71, 52, 5, 153, 82, 110, 182, 94, 160, 228, 164, 46, 235, 35, 204, 122, 81, 180, 175, 226, 119, 202, 180, 54, 70, 120, 100, 219, 217, 140, 2, 151, 159, 146, 14, 59, 92, 50, 116, 169, 187, 138, 236, 175, 175, 106, 171, 197, 239, 207, 2, 234, 201, 17, 69, 17, 190, 51, 14, 227, 221, 65, 25, 101, 60, 200, 232, 184, 99, 197, 7, 102, 6, 136, 75, 199, 96, 106, 21, 121, 78, 238, 210, 81, 99, 34, 22, 149, 168, 241, 103, 2, 230, 163, 179, 125, 34, 192, 91, 230, 72, 120, 182, 147, 187, 131, 218, 15, 41, 123, 114, 190, 224, 187, 61, 18, 195, 160, 80, 60, 46, 45, 198, 22, 66, 142, 235, 229, 205, 232, 186, 36, 21, 31, 47, 38, 40, 184, 114, 210, 152, 232, 109, 250, 228, 3, 134, 96, 24, 178, 163, 34, 205, 31, 151, 136, 87, 179, 166, 55, 170, 218, 89, 98, 35, 253, 126, 78, 105, 242, 165, 15, 165, 54, 196, 42, 224, 95, 193, 50, 21, 57, 148, 186, 203, 173, 250, 170, 11, 242, 120, 156, 166, 36, 219, 225, 85, 169, 119, 239, 124, 179, 55, 28, 238, 150, 34, 201, 72, 8, 203, 134, 171, 109, 145, 66, 52, 221, 124, 20, 93, 111, 104, 96, 32, 41, 50, 142, 133, 71, 125, 197, 142, 116, 60, 142, 122, 158, 249, 45, 217, 142, 191, 59, 13, 210, 56, 147, 70, 33, 230, 201, 117, 118, 104, 211, 25, 183, 178, 165, 33, 69, 181, 112, 183, 9, 224, 250, 56, 28, 218, 50, 107, 219, 85, 30, 142, 3, 83, 223, 156, 200, 191, 139, 63, 105, 22, 200, 71, 127, 246, 176, 20, 15, 162, 173, 151, 54, 158, 28, 243, 244, 169, 136, 182, 11, 83, 170, 71, 195, 254, 214, 141, 17, 237, 4, 180, 203, 175, 153, 181, 248, 153, 85, 197, 25, 127, 250, 215, 253, 234, 60, 64, 140, 83, 181, 83, 3, 172, 11, 209, 13, 17, 29, 57, 238, 76, 172, 156, 170, 204, 172, 203, 77, 19, 113, 93, 72, 237, 146, 66, 19, 199, 108, 200, 232, 248, 115, 215, 154, 127, 22, 205, 251, 195, 63, 118, 121, 40, 122, 12, 233, 7, 81, 67, 236, 74, 241, 39, 96, 44, 252, 147, 19, 78, 244, 50, 166, 251, 246, 229, 208, 92, 54, 64, 70, 184, 86, 213, 10, 139, 150, 18, 125, 48, 118, 229, 54, 223, 103, 48, 176, 64, 145, 109, 217, 0, 159, 48, 15, 27, 76, 62, 136, 31, 211, 71, 188, 215, 220, 14, 142, 221, 246, 129, 69, 172, 222, 228, 116, 116, 52, 247, 87, 159, 192, 4, 177, 71, 9, 236, 150, 114, 1, 1, 128, 94, 41, 27, 101, 187, 32, 161, 143, 130, 27, 134, 41, 187, 196, 131, 218, 188, 16, 84, 167, 174, 154, 42, 241, 167, 57, 117, 76, 10, 249, 17, 43, 230, 133, 109, 160, 33, 220, 136, 166, 112, 48, 141, 177, 115, 56, 243, 23, 231, 65, 140, 144, 49, 219, 104, 44, 182, 127, 50, 154, 62, 69, 253, 27, 85, 73, 199, 104, 106, 164, 128, 80, 50, 247, 231, 28, 39, 194, 142, 165, 48, 174, 54, 58, 110, 20, 81, 129, 131, 114, 36, 116, 183, 4, 49, 187, 177, 238, 162, 145, 160, 169, 132, 129, 179, 73, 190, 52, 31, 170, 214, 244, 203, 83, 85, 216, 134, 36, 206, 190, 154, 205, 169, 43, 65, 102, 83, 17, 186, 234, 42, 183, 92, 15, 141, 98, 89, 13, 59, 235, 180, 93, 89, 246, 59, 45, 163, 39, 231, 198, 250, 129, 13, 101, 2, 191, 178, 4, 232, 129, 162, 246, 17, 70, 75, 114, 36, 72, 86, 0, 59, 197, 48, 73, 50, 95, 44, 189, 189, 227, 236, 0, 129, 223, 186, 241, 220, 212, 106, 38, 207, 245, 209, 51, 168, 11, 161, 125, 160, 252, 116, 233, 32, 12, 102, 189, 52, 0, 80, 66, 42, 157, 34, 240, 174, 195, 42, 38, 192, 40, 55, 42, 146, 206, 36, 189, 227, 5, 95, 161, 157, 219, 205, 253, 173, 129, 232, 139, 85, 230, 25, 183, 15, 163, 131, 131, 170, 50, 63, 164, 121, 5, 158, 68, 229, 252, 23, 38, 169, 134, 23, 195, 185, 16, 66, 186, 87, 254, 123, 50, 120, 198, 179, 51, 68, 31, 199, 167, 225, 129, 80, 53, 36, 194, 19, 121, 20, 154, 164, 145, 38, 222, 193, 34, 153, 67, 215, 4, 181, 96, 139, 225, 122, 133, 184, 144, 224, 227, 129, 54, 192, 163, 8, 219, 163, 108, 249, 214, 111, 169, 63, 205, 171, 6, 181, 162, 89, 74, 234, 177, 229, 227, 65, 62, 100, 247, 37, 69, 147, 45, 16, 60, 157, 180, 144, 64, 140, 113, 219, 14, 75, 133, 162, 52, 210, 174, 230, 88, 66, 32, 166, 229, 131, 237, 2, 196, 238, 71, 235, 10, 220, 156, 83, 176, 179, 102, 203, 51, 140, 14, 106, 176, 34, 73, 174, 53, 95, 35, 32, 139, 48, 89, 168, 243, 241, 180, 210, 101, 54, 199, 206, 81, 21, 35, 41, 187, 74, 61, 190, 93, 95, 161, 26, 36, 43, 6, 139, 76, 221, 254, 244, 29, 91, 2, 208, 55, 145, 146, 237, 91, 41, 174, 92, 241, 228, 164, 114, 114, 238, 230, 112, 216, 213, 141, 237, 238, 227, 114, 165, 6, 68, 91, 65, 235, 210, 103, 99, 106, 52, 33, 209, 143, 241, 129, 226, 226, 122, 103, 67, 140, 153, 97, 45, 151, 190, 41, 64, 77, 158, 53, 98, 75, 94, 107, 131, 86, 163, 79, 109, 208, 176, 106, 95, 54, 143, 109, 4, 227, 21, 127, 132, 121, 141, 182, 61, 209, 219, 212, 100, 157, 85, 130, 77, 114, 58, 88, 3, 39, 127, 134, 204, 19, 232, 74, 36, 170, 238, 181, 215, 1, 187, 23, 127, 231, 174, 102, 166, 244, 221, 21, 146, 162, 77, 0, 35, 67, 100, 202, 129, 253, 185, 45, 46, 227, 114, 38, 50, 90, 216, 38, 77, 107, 159, 9, 23, 75, 157, 50, 88, 1, 125, 142, 199, 106, 144, 236, 131, 225, 144, 79, 176, 30, 148, 58, 251, 39, 147, 134, 62, 252, 202, 169, 101, 103, 234, 136, 78, 143, 130, 141, 166, 201, 1, 230, 46, 182, 98, 118, 72, 204, 96, 196, 99, 246, 156, 57, 92, 159, 151, 178, 81, 119, 207, 126, 12, 100, 244, 99, 73, 61, 45, 191, 24, 100, 151, 220, 80, 235, 43, 69, 18, 215, 99, 119, 16, 207, 59, 162, 93, 201, 220, 183, 199, 57, 245, 20, 52, 110, 46, 195, 227, 142, 167, 38, 200, 205, 44, 44, 105, 96, 131, 146, 56, 223, 48, 135, 179, 190, 93, 222, 97, 161, 69, 109, 74, 190, 119, 158, 156, 144, 240, 230, 249, 46, 250, 37, 80, 220, 11, 135, 174, 108, 106, 160, 238, 156, 39, 108, 41, 236, 194, 42, 105, 157, 243, 116, 6, 196, 86, 12, 196, 72, 89, 74, 61, 117, 108, 182, 194, 54, 81, 10, 159, 239, 225, 31, 231, 252, 213, 172, 145, 112, 66, 108, 210, 93, 142, 122, 163, 220, 187, 58, 95, 200, 21, 205, 21, 75, 210, 190, 58, 170, 235, 137, 233, 97, 7, 116, 254, 190, 198, 187, 60, 238, 166, 115, 179, 189, 43, 110, 159, 230, 32, 38, 148, 20, 168, 178, 162, 89, 207, 185, 203, 137, 56, 49, 98, 0, 180, 142, 240, 98, 144, 20, 138, 219, 246, 101, 42, 176, 191, 154, 130, 251, 105, 69, 42, 10, 58, 76, 27, 123, 213, 140, 200, 75, 190, 107, 41, 246, 102, 241, 7, 229, 229, 3, 200, 216, 11, 14, 97, 181, 206, 159, 141, 254, 4, 110, 99, 60, 187, 17, 63, 193, 182, 174, 191, 156, 236, 73, 155, 39, 14, 172, 42, 248, 209, 115, 52, 228, 253, 91, 244, 138, 85, 226, 170, 198, 223, 0, 89, 75, 164, 94, 113, 151, 217, 105, 206, 38, 121, 57, 114, 120, 24, 210, 86, 218, 199, 2, 132, 223, 63, 238, 57, 163, 165, 48, 156, 254, 20, 179, 172, 146, 182, 147, 176, 39, 237, 57, 217, 202, 191, 151, 225, 214, 98, 106, 53, 93, 183, 96, 198, 73, 11, 64, 202, 66, 213, 106, 6, 53, 111, 110, 73, 30, 213, 74, 132, 140, 54, 141, 123, 68, 57, 55, 66, 185, 155, 185, 27, 156, 217, 236, 194, 14, 25, 89, 196, 249, 230, 17, 121, 245, 190, 106, 186, 12, 248, 185, 195, 241, 97, 135, 190, 170, 80, 159, 232, 58, 19, 180, 211, 116, 128, 6, 167, 8, 122, 87, 197, 253, 177, 177, 187, 127, 67, 194, 113, 200, 153, 246, 178, 103, 34, 178, 104, 157, 176, 203, 161, 97, 196, 157, 213, 106, 158, 53, 132, 192, 112, 221, 0, 53, 228, 151, 59, 52, 141, 110, 199, 195, 185, 78, 110, 230, 91, 103, 242, 241, 176, 37, 74, 4, 208, 188, 199, 147, 232, 236, 217, 102, 83, 197, 65, 136, 208, 248, 165, 21, 26, 238, 119, 225, 235, 229, 82, 179, 189, 22, 186, 56, 207, 88, 142, 221, 188, 30, 100, 178, 182, 81, 235, 56, 12, 102, 63, 199, 211, 137, 162, 47, 30, 216, 67, 14, 140, 99, 232, 131, 197, 206, 134, 146, 94, 143, 216, 132, 64, 45, 131, 84, 150, 74, 111, 249, 27, 159, 8, 201, 181, 8, 226, 54, 165, 73, 120, 154, 161, 175, 130, 214, 140, 73, 70, 162, 110, 238, 24, 117, 220, 62, 12, 7, 76, 23, 198, 254, 251, 155, 160, 204, 239, 22, 117, 113, 86, 150, 217, 246, 116, 254, 168, 192, 106, 137, 179, 223, 62, 132, 33, 77, 74, 222, 45, 19, 173, 74, 205, 81, 28, 221, 244, 13, 218, 4, 62, 235, 37, 52, 219, 243, 45, 194, 7, 213, 46, 95, 40, 38, 52, 177, 231, 28, 32, 171, 64, 160, 167, 218, 186, 7, 48, 97, 176, 152, 229, 246, 77, 201, 64, 87, 77, 205, 93, 131, 28, 184, 143, 28, 232, 223, 62, 188, 107, 139, 239, 170, 217, 35, 85, 55, 177, 162, 145, 162, 72, 165, 48, 216, 222, 84, 60, 42, 61, 150, 38, 196, 150, 106, 23, 231, 166, 240, 159, 6, 254, 107, 197, 98, 219, 5, 69, 1, 202, 15, 21, 22, 253, 12, 7, 120, 169, 78, 2, 233, 52, 146, 6, 30, 190, 41, 225, 201, 35, 150, 105, 234, 34, 180, 159, 161, 180, 191, 61, 253, 149, 79, 102, 37, 67, 11, 64, 39, 17, 167, 219, 231, 92, 243, 114, 83, 18, 31, 18, 106, 197, 12, 121, 173, 249, 71, 151, 192, 26, 201, 121, 58, 116, 165, 69, 55, 71, 239, 19, 214, 196, 203, 49, 63, 124, 168, 23, 50, 0, 49, 200, 242, 178, 52, 159, 225, 174, 143, 0, 148, 200, 106, 99, 239, 120, 46, 30, 249, 63, 232, 237, 34, 2, 47, 109, 43, 216, 5, 208, 121, 131, 59, 201, 189, 9, 116, 28, 146, 153, 34, 198, 22, 128, 148, 178, 219, 57, 185, 176, 84, 136, 195, 179, 101, 111, 66, 154, 21, 106, 104, 97, 33, 18, 238, 52, 253, 71, 126, 47, 131, 51, 253, 220, 78, 48, 21, 206, 17, 59, 208, 178, 244, 174, 153, 40, 226, 220, 52, 203, 36, 68, 197, 91, 251, 198, 168, 13, 36, 3, 170, 52, 4, 172, 9, 154, 29, 235, 236, 237, 51, 116, 202, 25, 36, 190, 140, 238, 111, 253, 125, 4, 175, 236, 25, 180, 106, 126, 102, 89, 22, 32, 225, 64, 195, 119, 116, 219, 7, 74, 192, 162, 88, 195, 169, 162, 239, 216, 114, 60, 122, 184, 208, 10, 247, 152, 231, 168, 152, 123, 225, 66, 127, 141, 142, 104, 139, 164, 64, 234, 86, 113, 125, 144, 33, 1, 46, 136, 4, 53, 223, 34, 144, 195, 55, 88, 223, 61, 100, 223, 156, 203, 83, 206, 231, 209, 125, 145, 81, 154, 241, 90, 79, 36, 237, 174, 28, 131, 99, 27, 175, 230, 207, 46, 198, 133, 8, 10, 178, 51, 2, 199, 228, 29, 243, 228, 34, 87, 200, 249, 187, 135, 213, 40, 254, 37, 182, 116, 83, 251, 13, 26, 32, 232, 93, 217, 237, 6, 255, 235, 248, 84, 224, 182, 112, 178, 84, 146, 250, 57, 86, 100, 94, 8, 41, 229, 115, 243, 150, 38, 208, 216, 110, 211, 16, 170, 229, 170, 233, 228, 129, 244, 181, 61, 62, 36, 226, 252, 71, 247, 245, 51, 34, 232, 58, 2, 108, 103, 156, 240, 180, 140, 52, 121, 180, 200, 39, 241, 0, 252, 110, 124, 198, 48, 76, 232, 56, 38, 90, 50, 65, 119, 181, 227, 36, 39, 173, 109, 25, 156, 103, 59, 104, 147, 146, 163, 149, 52, 20, 167, 44, 66, 235, 65, 152, 133, 41, 149, 64, 108, 184, 14, 142, 242, 144, 146, 81, 161, 33, 233, 154, 78, 20, 245, 154, 102, 204, 41, 21, 6, 68, 175, 77, 232, 114, 143, 148, 83, 39, 16, 148, 99, 200, 162, 105, 14, 107, 176, 153, 231, 139, 189, 21, 240, 236, 44, 122, 100, 121, 192, 147, 166, 187, 19, 109, 20, 102, 94, 186, 243, 98, 198, 165, 86, 173, 37, 211, 1, 146, 121, 151, 164, 76, 128, 185, 229, 98, 92, 113, 70, 207, 25, 162, 39, 165, 131, 115, 61, 167, 226, 173, 71, 185, 185, 115, 162, 18, 116, 93, 121, 26, 32, 166, 198, 9, 31, 161, 230, 232, 27, 152, 17, 200, 124, 183, 20, 248, 248, 125, 58, 192, 61, 174, 227, 228, 144, 107, 212, 221, 233, 106, 42, 120, 246, 98, 82, 184, 183, 104, 218, 217, 72, 2, 159, 213, 0, 36, 199, 86, 97, 59, 109, 235, 156, 134, 217, 13, 212, 62, 29, 252, 104, 115, 89, 69, 182, 211, 194, 247, 135, 91, 38, 132, 152, 12, 106, 156, 193, 18, 107, 93, 9, 150, 136, 65, 171, 123, 233, 120, 63, 144, 201, 196, 198, 12, 231, 46, 55, 45, 186, 147, 189, 3, 96, 116, 66, 143, 183, 94, 144, 209, 142, 136, 215, 245, 42, 186, 225, 176, 103, 39, 163, 117, 105, 23, 74, 127, 122, 79, 103, 165, 2, 230, 36, 39, 107, 187, 215, 55, 153, 151, 51, 59, 94, 4, 57, 71, 101, 78, 236, 60, 150, 124, 87, 36, 75, 147, 50, 64, 51, 141, 238, 21, 117, 124, 232, 89, 161, 127, 115, 192, 95, 177, 153, 174, 0, 249, 223, 152, 82, 98, 138, 153, 93, 173, 86, 46, 103, 160, 218, 143, 158, 195, 153, 233, 166, 203, 71, 59, 244, 162, 198, 116, 232, 38, 195, 215, 254, 16, 103, 114, 19, 93, 133, 104, 70, 200, 59, 11, 224, 195, 151, 189, 65, 116, 165, 224, 98, 224, 232, 54, 176, 30, 19, 119, 152, 69, 28, 186, 163, 242, 16, 253, 225, 135, 97, 253, 201, 175, 145, 130, 120, 219, 249, 51, 188, 46, 92, 10, 206, 107, 150, 100, 121, 192, 6, 180, 78, 235, 248, 113, 93, 76, 96, 159, 155, 118, 38, 82, 87, 201, 103, 17, 160, 206, 37, 16, 57, 103, 66, 103, 171, 16, 185, 189, 137, 20, 154, 254, 55, 231, 9, 196, 166, 207, 225, 103, 49, 78, 246, 239, 45, 247, 209, 79, 124, 107, 245, 72, 205, 26, 130, 156, 208, 188, 11, 88, 220, 248, 29, 192, 197, 62, 102, 71, 104, 135, 196, 242, 211, 244, 49, 186, 251, 184, 45, 26, 219, 180, 42, 88, 201, 205, 185, 239, 53, 208, 99, 184, 124, 23, 81, 59, 50, 126, 229, 130, 76, 225, 98, 236, 159, 195, 191, 148, 242, 158, 254, 153, 64, 38, 236, 123, 57, 255, 180, 237, 102, 112, 254, 64, 63, 81, 39, 44, 87, 119, 66, 46, 126, 237, 143, 96, 255, 188, 109, 164, 86, 73, 228, 16, 52, 53, 64, 122, 220, 125, 1, 226, 177, 61, 239, 143, 154, 82, 233, 28, 111, 89, 148, 185, 24, 22, 68, 124, 54, 112, 242, 97, 3, 31, 198, 113, 228, 240, 67, 196, 100, 151, 254, 120, 49, 170, 225, 207, 72, 77, 173, 254, 203, 59, 175, 73, 197, 93, 142, 195, 81, 185, 233, 176, 200, 227, 206, 4, 136, 105, 48, 29, 42, 246, 124, 209, 71, 51, 126, 40, 251, 24, 57, 104, 50, 182, 130, 175, 82, 251, 248, 96, 34, 48, 109, 74, 219, 102, 183, 178, 78, 248, 127, 9, 115, 176, 23, 89, 246, 79, 179, 230, 12, 12, 195, 229, 61, 251, 73, 239, 225, 196, 106, 30, 205, 189, 16, 115, 217, 27, 71, 8, 29, 196, 84, 30, 232, 8, 250, 161, 119, 64, 124, 85, 37, 203, 184, 30, 197, 246, 135, 121, 63, 43, 31, 155, 209, 17, 16, 185, 156, 1, 36, 82, 215, 140, 17, 42, 237, 112, 214, 238, 93, 178, 237, 171, 218, 91, 221, 173, 244, 19, 242, 41, 44, 185, 235, 9, 249, 150, 151, 242, 160, 189, 123, 158, 66, 80, 232, 101, 36, 163, 34, 21, 69, 173, 104, 239, 125, 8, 221, 101, 58, 201, 108, 95, 204, 218, 129, 217, 24, 206, 107, 99, 112, 192, 36, 239, 236, 170, 234, 51, 198, 199, 238, 208, 163, 173, 18, 26, 177, 43, 199, 181, 58, 94, 194, 234, 163, 192, 84, 26, 90, 163, 39, 255, 57, 120, 77, 27, 243, 14, 220, 93, 31, 28, 208, 124, 18, 212, 151, 171, 164, 218, 21, 192, 168, 79, 237, 174, 18, 185, 203, 158, 39, 206, 82, 138, 78, 84, 250, 101, 230, 123, 205, 110, 66, 5, 119, 77, 45, 42, 20, 145, 138, 90, 216, 47, 190, 18, 166, 168, 166, 194, 19, 28, 176, 65, 171, 104, 194, 203, 135, 13, 25, 33, 60, 222, 201, 148, 186, 126, 58, 147, 83, 106, 113, 252, 84, 147, 63, 187, 173, 196, 87, 251, 56, 59, 55, 212, 204, 119, 36, 94, 249, 95, 15, 122, 63, 0, 171, 91, 42, 50, 35, 163, 152, 241, 168, 23, 122, 227, 63, 73, 67, 254, 235, 55, 112, 210, 53, 176, 196, 14, 8, 236, 128, 244, 79, 58, 17, 158, 172, 237, 220, 146, 54, 107, 178, 89, 113, 7, 122, 5, 103, 99, 177, 214, 150, 67, 194, 50, 250, 151, 142, 169, 208, 252, 150, 234, 169, 103, 141, 109, 214, 254, 203, 97, 169, 206, 178, 142, 114, 132, 147, 5, 238, 71, 186, 50, 224, 44, 179, 197, 211, 17, 180, 170, 123, 237, 104, 122, 185, 166, 151, 177, 9, 113, 10, 119, 209, 39, 126, 184, 195, 239, 201, 167, 206, 248, 54, 161, 192, 125, 167, 53, 209, 23, 249, 103, 18, 204, 170, 229, 152, 180, 227, 231, 73, 73, 254, 17, 136, 244, 20, 38, 42, 5, 155, 183, 55, 240, 45, 105, 92, 158, 68, 229, 98, 109, 199, 143, 182, 177, 196, 65, 70, 247, 2, 236, 170, 231, 222, 131, 106, 92, 142, 187, 94, 196, 197, 229, 235, 144, 187, 91, 127, 252, 120, 43, 208, 110, 45, 19, 19, 75, 49, 8, 4, 71, 192, 177, 249, 81, 148, 12, 137, 61, 118, 82, 14, 252, 121, 149, 239, 105, 152, 36, 10, 26, 71, 181, 138, 248, 156, 40, 62, 91, 105, 8, 34, 233, 230, 249, 37, 250, 75, 172, 12, 187, 127, 206, 240, 102, 39, 190, 240, 35, 172, 47, 239, 226, 156, 230, 118, 21, 175, 198, 156, 107, 48, 30, 49, 10, 245, 54, 203, 67, 91, 138, 172, 64, 171, 40, 77, 233, 62, 174, 15, 211, 45, 161, 202, 122, 148, 83, 137, 126, 59, 129, 0, 239, 9, 217, 161, 146, 34, 109, 41, 217, 229, 7, 23, 136, 83, 125, 135, 157, 75, 192, 55, 64, 132, 253, 128, 207, 96, 248, 229, 56, 102, 200, 27, 130, 84, 255, 179, 48, 173, 142, 139, 131, 184, 241, 96, 178, 194, 154, 161, 138, 5, 137, 85, 184, 186, 179, 73, 116, 45, 24, 180, 11, 106, 140, 40, 168, 115, 34, 90, 114, 221, 43, 178, 30, 143, 62, 161, 254, 150, 227, 183, 25, 188, 3, 181, 211, 49, 155, 198, 57, 40, 245, 183, 119, 16, 43, 22, 54, 33, 6, 199, 111, 36, 87, 100, 145, 92, 119, 117, 143, 72, 101, 64, 3, 161, 135, 69, 22, 183, 29, 88, 243, 178, 141, 69, 245, 170, 15, 123, 30, 21, 207, 40, 224, 208, 2, 136, 33, 201, 239, 215, 51, 7, 132, 87, 116, 170, 176, 137, 128, 163, 13, 225, 57, 143, 242, 86, 239, 161, 153, 137, 182, 121, 101, 39, 154, 35, 6, 155, 47, 236, 149, 69, 222, 75, 152, 99, 39, 190, 92, 87, 247, 199, 242, 39, 193, 133, 125, 164, 54, 108, 71, 62, 49, 59, 228, 187, 23, 175, 138, 182, 188, 228, 150, 46, 14, 29, 170, 123, 25, 181, 55, 59, 221, 66, 139, 123, 178, 120, 226, 60, 86, 27, 237, 24, 122, 213, 207, 206, 173, 101, 78, 121, 118, 157, 63, 185, 27, 227, 214, 125, 252, 153, 41, 176, 43, 85, 74, 200, 226, 56, 166, 135, 168, 153, 99, 200, 63, 94, 163, 197, 177, 140, 47, 206, 73, 35, 21, 224, 223, 1, 162, 127, 54, 217, 193, 10, 149, 31, 66, 34, 49, 85, 245, 159, 80, 109, 85, 173, 68, 177, 125, 239, 180, 36, 105, 203, 83, 38, 213, 244, 68, 126, 90, 105, 169, 77, 158, 104, 128, 147, 155, 229, 216, 99, 90, 165, 152, 61, 103, 224, 231, 247, 130, 24, 87, 123, 139, 36, 110, 87, 87, 70, 124, 90, 82, 82, 67, 151, 220, 199, 101, 116, 91, 124, 87, 145, 87, 189, 60, 166, 210, 159, 236, 162, 166, 240, 68, 78, 146, 52, 178, 59, 103, 232, 37, 213, 181, 178, 123, 117, 50, 25, 23, 178, 45, 167, 87, 176, 51, 32, 63, 144, 113, 143, 52, 19, 56, 121, 227, 245, 85, 206, 60, 34, 143, 133, 104, 245, 7, 153, 193, 143, 183, 35, 27, 89, 21, 20, 117, 127, 121, 226, 37, 84, 247, 34, 90, 24, 232, 185, 141, 251, 218, 46, 151, 123, 134, 147, 27, 33, 93, 11, 6, 38, 99, 105, 124, 14, 229, 233, 220, 196, 247, 231, 216, 60, 230, 91, 137, 156, 77, 125, 171, 5, 180, 223, 194, 158, 23, 136, 83, 84, 69, 35, 132, 31, 77, 10, 209, 206, 28, 9, 85, 150, 85, 66, 168, 98, 80, 85, 234, 152, 94, 211, 98, 245, 218, 240, 9, 136, 185, 172, 108, 165, 221, 144, 4, 244, 161, 172, 206, 98, 66, 196, 2, 40, 108, 227, 177, 136, 82, 199, 235, 139, 237, 234, 98, 229, 124, 109, 194, 94, 114, 74, 159, 185, 147, 240, 88, 176, 21, 166, 220, 69, 207, 93, 29, 223, 12, 232, 159, 152, 245, 0, 171, 62, 206, 8, 121, 24, 208, 231, 17, 237, 59, 208, 101, 119, 109, 184, 243, 19, 36, 239, 201, 245, 14, 219, 13, 133, 97, 193, 188, 95, 24, 247, 85, 137, 131, 140, 225, 164, 253, 204, 216, 169, 164, 218, 95, 103, 208, 40, 105, 63, 123, 69, 209, 6, 105, 151, 181, 73, 158, 87, 160, 139, 38, 223, 135, 190, 43, 175, 207, 206, 224, 108, 12, 201, 207, 111, 35, 58, 64, 98, 104, 99, 222, 231, 53, 17, 11, 132, 93, 240, 220, 232, 55, 111, 27, 20, 159, 208, 39, 154, 99, 225, 122, 32, 255, 44, 154, 120, 202, 163, 6, 109, 216, 101, 205, 176, 212, 79, 34, 189, 169, 207, 221, 74, 120, 232, 112, 193, 33, 243, 166, 203, 164, 205, 132, 196, 37, 12, 114, 222, 20, 85, 143, 51, 14, 184, 170, 153, 51, 181, 29, 23, 153, 120, 78, 29, 180, 36, 79, 207, 179, 202, 46, 75, 214, 30, 142, 237, 25, 47, 103, 43, 166, 170, 24, 130, 203, 224, 65, 255, 231, 2, 163, 181, 207, 101, 229, 37, 245, 41, 195, 114, 158, 168, 208, 176, 196, 241, 188, 29, 242, 46, 186, 145, 82, 10, 223, 164, 157, 212, 166, 115, 129, 75, 170, 233, 73, 228, 36, 230, 129, 108, 3, 114, 241, 113, 38, 75, 212, 235, 48, 141, 155, 86, 206, 26, 116, 254, 176, 226, 193, 210, 146, 78, 197, 176, 136, 251, 101, 18, 76, 66, 237, 10, 251, 45, 187, 20, 81, 159, 226, 79, 244, 233, 204, 187, 196, 91, 64, 63, 242, 130, 11, 109, 167, 200, 125, 82, 78, 150, 182, 145, 96, 102, 64, 105, 102, 122, 238, 154, 209, 210, 180, 145, 36, 221, 114, 150, 62, 190, 86, 61, 92, 32, 247, 166, 45, 52, 203, 221, 178, 238, 130, 162, 179, 245, 189, 77, 46, 185, 1, 27, 189, 67, 137, 108, 250, 204, 142, 126, 48, 209, 254, 213, 201, 84, 110, 104, 82, 109, 188, 32, 161, 210, 128, 36, 79, 105, 95, 118, 208, 241, 83, 75, 137, 123, 198, 45, 110, 15, 181, 36, 77, 213, 254, 180, 244, 196, 201, 35, 93, 187, 230, 145, 28, 30, 5, 221, 227, 247, 100, 54, 158, 148, 245, 172, 16, 117, 51, 109, 39, 117, 7, 234, 94, 42, 160, 126, 237, 99, 27, 242, 200, 127, 2, 89, 58, 11, 178, 195, 142, 135, 113, 152, 84, 220, 109, 138, 155, 14, 79, 240, 75, 70, 150, 124, 15, 111, 100, 191, 38, 78, 233, 83, 160, 152, 238, 175, 244, 71, 34, 132, 20, 26, 221, 68, 128, 34, 215, 8, 68, 43, 218, 66, 244, 207, 55, 104, 38, 154, 233, 128, 245, 155, 134, 255, 125, 9, 3, 144, 104, 53, 64, 140, 248, 57, 15, 184, 141, 107, 147, 67, 101, 92, 49, 22, 74, 232, 175, 30, 186, 83, 221, 83, 26, 27, 239, 55, 89, 16, 180, 99, 158, 100, 75, 49, 82, 47, 191, 11, 11, 179, 26, 49, 55, 46, 13, 62, 37, 141, 74, 128, 217, 69, 43, 237, 240, 210, 176, 73, 252, 30, 240, 56, 238, 227, 29, 53, 206, 184, 38, 203, 146, 11, 90, 66, 57, 90, 8, 128, 185, 135, 5, 89, 145, 51, 13, 30, 83, 210, 31, 217, 69, 89, 142, 156, 118, 243, 15, 154, 210, 80, 200, 112, 134, 234, 188, 199, 183, 254, 244, 102, 91, 20, 77, 30, 185, 29, 170, 134, 111, 200, 197, 165, 198, 22, 117, 113, 253, 177, 119, 57, 223, 250, 39, 77, 194, 162, 148, 30, 253, 236, 48, 220, 31, 129, 27, 238, 149, 215, 130, 4, 250, 219, 191, 166, 142, 210, 69, 97, 160, 137, 22, 22, 194, 159, 12, 182, 99, 152, 92, 197, 37, 84, 192, 175, 91, 203, 123, 245, 7, 22, 141, 218, 147, 173, 11, 192, 10, 250, 242, 13, 241, 131, 56, 97, 107, 43, 47, 189, 176, 1, 221, 113, 132, 240, 87, 180, 100, 197, 98, 17, 128, 249, 181, 249, 138, 201, 2, 203, 36, 232, 103, 36, 170, 238, 213, 197, 11, 211, 40, 160, 198, 58, 34, 246, 34, 97, 147, 147, 27, 44, 209, 181, 227, 185, 176, 2, 13, 180, 96, 209, 238, 119, 93, 108, 170, 150, 232, 150, 32, 190, 43, 113, 138, 128, 6, 103, 188, 129, 177, 194, 63, 183, 148, 146, 230, 197, 92, 105, 213, 193, 117, 166, 21, 74, 69, 0, 209, 3, 190, 129, 46, 197, 162, 55, 50, 38, 64, 88, 33, 138, 246, 45, 87, 129, 31, 26, 42, 55, 6, 99, 226, 100, 57, 44, 234, 187, 115, 198, 76, 242, 100, 244, 121, 234, 209, 164, 97, 161, 15, 164, 146, 58, 246, 192, 86, 137, 188, 151, 168, 49, 113, 249, 106, 167, 156, 13, 249, 75, 173, 148, 203, 74, 99, 56, 187, 99, 148, 36, 71, 26, 124, 119, 78, 172, 158, 207, 46, 126, 196, 196, 251, 174, 166, 20, 157, 150, 238, 24, 81, 230, 110, 202, 4, 66, 73, 55, 109, 52, 210, 159, 87, 61, 9, 24, 70, 225, 122, 71, 150, 243, 82, 45, 168, 192, 87, 124, 4, 5, 171, 195, 190, 149, 160, 196, 186, 1, 14, 224, 74, 127, 89, 116, 66, 69, 103, 138, 162, 234, 169, 32, 62, 181, 66, 250, 173, 252, 57, 166, 151, 6, 53, 160, 244, 92, 3, 195, 173, 226, 109, 182, 48, 1, 175, 35, 96, 11, 41, 54, 151, 228, 254, 35, 49, 101, 138, 185, 121, 249, 156, 214, 104, 152, 126, 57, 5, 172, 193, 78, 41, 47, 95, 73, 9, 121, 208, 190, 1, 237, 25, 160, 141, 1, 79, 77, 19, 86, 100, 12, 149, 148, 194, 60, 134, 24, 173, 70, 33, 58, 130, 148, 79, 102, 138, 196, 248, 189, 57, 216, 251, 4, 33, 47, 213, 11, 75, 208, 23, 59, 113, 77, 172, 123, 163, 72, 208, 140, 225, 32, 71, 20, 113, 237, 82, 141, 102, 49, 153, 49, 58, 44, 209, 106, 238, 6, 114, 63, 99, 189, 156, 43, 114, 56, 106, 152, 16, 220, 4, 37, 218, 86, 0, 224, 227, 230, 116, 190, 124, 0, 213, 111, 93, 94, 125, 5, 222, 85, 15, 142, 244, 155, 97, 169, 81, 130, 132, 212, 228, 7, 110, 255, 66, 66, 59, 254, 128, 15, 159, 135, 181, 39, 236, 53, 207, 32, 135, 23, 136, 235, 196, 75, 147, 79, 75, 28, 143, 228, 42, 212, 87, 60, 101, 10, 130, 182, 205, 7, 125, 131, 0, 51, 188, 168, 180, 179, 19, 64, 4, 154, 89, 145, 48, 190, 58, 228, 116, 56, 87, 250, 183, 101, 147, 232, 17, 52, 157, 215, 214, 63, 128, 210, 121, 247, 247, 241, 91, 234, 168, 119, 198, 175, 158, 218, 36, 171, 161, 61, 83, 119, 32, 89, 173, 42, 246, 44, 25, 29, 113, 149, 118, 192, 154, 226, 150, 70, 185, 185, 3, 25, 60, 231, 54, 165, 115, 0, 153, 138, 75, 155, 157, 83, 33, 230, 197, 76, 219, 7, 241, 179, 198, 243, 64, 4, 147, 197, 190, 224, 89, 138, 187, 209, 184, 35, 72, 11, 240, 91, 224, 108, 70, 90, 133, 118, 34, 175, 129, 190, 105, 185, 100, 170, 199, 132, 244, 34, 207, 54, 66, 244, 0, 252, 15, 100, 212, 81, 91, 73, 210, 193, 63, 229, 214, 48, 102, 57, 39, 95, 145, 227, 187, 1, 150, 215, 176, 44, 12, 214, 215, 107, 209, 120, 110, 15, 165, 57, 147, 104, 254, 117, 176, 189, 138, 225, 58, 71, 132, 144, 209, 206, 108, 218, 135, 160, 49, 187, 123, 228, 125, 14, 165, 80, 181, 193, 142, 91, 134, 154, 167, 156, 210, 251, 128, 55, 241, 185, 192, 116, 210, 196, 5, 151, 26, 75, 224, 16, 68, 24, 56, 235, 195, 49, 7, 129, 17, 37, 239, 219, 244, 165, 27, 27, 149, 18, 239, 160, 101, 207, 165, 14, 47, 26, 210, 155, 149, 233, 144, 74, 211, 148, 64, 23, 80, 69, 212, 52, 150, 115, 119, 153, 199, 194, 9, 140, 241, 111, 36, 48, 28, 119, 35, 9, 188, 247, 65, 63, 135, 60, 39, 88, 239, 41, 242, 146, 151, 36, 99, 67, 122, 72, 121, 172, 70, 254, 88, 139, 231, 164, 174, 60, 124, 215, 61, 200, 73, 9, 93, 62, 116, 148, 155, 117, 32, 28, 88, 78, 172, 147, 201, 74, 43, 109, 189, 52, 214, 99, 93, 243, 18, 73, 131, 56, 207, 148, 34, 171, 104, 26, 177, 175, 183, 214, 150, 73, 176, 228, 99, 29, 52, 130, 164, 209, 36, 34, 43, 132, 83, 154, 150, 38, 206, 30, 72, 126, 93, 222, 216, 188, 136, 28, 244, 12, 174, 94, 235, 168, 188, 157, 0, 7, 179, 65, 165, 31, 203, 216, 14, 88, 4, 8, 199, 179, 114, 48, 113, 121, 27, 100, 218, 224, 8, 209, 137, 106, 75, 139, 80, 98, 227, 215, 8, 140, 86, 106, 133, 23, 138, 42, 74, 136, 31, 241, 205, 251, 75, 242, 71, 233, 17, 63, 119, 237, 157, 70, 46, 53, 30, 33, 3, 187, 93, 20, 7, 51, 66, 66, 201, 118, 53, 177, 203, 34, 0, 130, 177, 22, 103, 140, 56, 29, 77, 94, 42, 154, 209, 214, 76, 65, 160, 139, 44, 203, 142, 203, 228, 224, 194, 44, 142, 148, 248, 248, 205, 105, 238, 123, 169, 232, 30, 20, 220, 198, 191, 127, 166, 190, 45, 15, 238, 97, 204, 5, 61, 50, 154, 108, 235, 134, 184, 191, 152, 147, 144, 155, 89, 194, 28, 49, 219, 70, 244, 18, 158, 162, 216, 238, 127, 7, 124, 166, 232, 195, 105, 169, 110, 86, 9, 161, 152, 12, 177, 194, 171, 239, 146, 53, 165, 203, 62, 167, 173, 198, 41, 88, 200, 242, 89, 173, 164, 124, 132, 230, 52, 230, 136, 52, 81, 253, 246, 25, 242, 239, 253, 248, 201, 244, 26, 141, 117, 219, 162, 203, 2, 219, 203, 141, 175, 187, 134, 229, 44, 92, 144, 12, 4, 55, 101, 238, 156, 177, 223, 141, 124, 163, 210, 250, 76, 223, 197, 142, 168, 164, 108, 206, 86, 174, 37, 168, 246, 218, 185, 229, 30, 122, 32, 107, 238, 123, 4, 50, 39, 23, 72, 219, 232, 198, 164, 101, 45, 62, 100, 58, 245, 69, 29, 222, 84, 83, 60, 84, 35, 3, 68, 254, 105, 137, 166, 252, 179, 134, 228, 62, 152, 106, 40, 3, 6, 113, 125, 28, 163, 214, 211, 180, 213, 210, 229, 10, 36, 139, 165, 188, 178, 102, 231, 179, 69, 149, 214, 228, 42, 100, 166, 174, 207, 138, 88, 219, 225, 195, 199, 162, 100, 160, 50, 173, 232, 28, 234, 44, 178, 206, 67, 114, 150, 50, 43, 21, 36, 191, 5, 156, 42, 201, 188, 125, 173, 218, 194, 125, 176, 38, 26, 121, 185, 90, 106, 216, 255, 65, 177, 81, 71, 114, 242, 36, 132, 232, 227, 187, 162, 198, 162, 82, 238, 185, 15, 1, 82, 83, 17, 206, 83, 240, 154, 46, 109, 200, 26, 85, 218, 88, 72, 138, 235, 204, 47, 66, 63, 153, 186, 140, 127, 23, 199, 213, 191, 59, 109, 102, 65, 102, 145, 213, 26, 14, 146, 211, 26, 154, 81, 126, 72, 144, 146, 27, 108, 159, 98, 154, 62, 131, 231, 174, 175, 128, 158, 179, 107, 144, 232, 250, 249, 206, 70, 108, 56, 42, 219, 81, 134, 240, 203, 242, 0, 203, 62, 140, 177, 112, 43, 65, 117, 9, 59, 205, 189, 190, 229, 175, 12, 178, 126, 123, 97, 229, 27, 204, 189, 94, 76, 213, 211, 141, 73, 28, 27, 9, 124, 37, 158, 123, 61, 208, 148, 80, 183, 90, 54, 62, 153, 115, 20, 103, 23, 250, 17, 101, 218, 204, 88, 163, 254, 64, 225, 72, 121, 238, 1, 140, 228, 78, 154, 141, 227, 70, 11, 140, 92, 8, 162, 194, 146, 92, 213, 179, 17, 143, 98, 166, 246, 213, 210, 40, 0, 126, 147, 151, 36, 97, 75, 247, 123, 149, 38, 110, 151, 17, 206, 97, 200, 52, 83, 39, 83, 229, 163, 157, 188, 200, 33, 233, 76, 101, 111, 54, 147, 89, 233, 70, 117, 154, 81, 207, 34, 50, 84, 40, 7, 211, 158, 97, 120, 174, 4, 194, 207, 222, 53, 254, 78, 147, 92, 188, 124, 106, 234, 131, 40, 149, 54, 230, 193, 228, 144, 95, 88, 86, 21, 230, 92, 19, 20, 65, 130, 38, 82, 224, 103, 42, 102, 198, 46, 216, 212, 232, 174, 232, 56, 244, 16, 195, 228, 202, 204, 233, 39, 117, 220, 155, 56, 181, 139, 104, 164, 116, 18, 236, 192, 45, 226, 22, 189, 133, 147, 82, 138, 181, 171, 167, 137, 150, 103, 81, 216, 182, 98, 38, 54, 13, 47, 39, 160, 169, 103, 248, 154, 180, 76, 204, 167, 97, 182, 161, 115, 42, 79, 143, 1, 91, 236, 91, 186, 139, 244, 64, 121, 38, 168, 83, 33, 205, 198, 45, 90, 52, 171, 168, 80, 60, 6, 117, 179, 17, 196, 152, 82, 173, 73, 220, 108, 32, 214, 50, 126, 190, 40, 82, 87, 154, 57, 78, 250, 165, 174, 207, 137, 133, 123, 178, 114, 165, 2, 254, 72, 96, 81, 118, 45, 195, 26, 189, 90, 2, 197, 75, 245, 102, 203, 218, 242, 173, 67, 129, 5, 170, 253, 204, 189, 45, 210, 32, 147, 30, 169, 7, 56, 71, 110, 61, 181, 150, 79, 68, 234, 219, 162, 251, 62, 50, 173, 218, 232, 30, 230, 12, 234, 82, 163, 207, 177, 230, 200, 231, 20, 35, 201, 198, 14, 94, 250, 65, 184, 6, 140, 225, 194, 142, 52, 34, 2, 61, 138, 238, 17, 4, 174, 150, 158, 211, 110, 5, 39, 251, 35, 72, 149, 247, 172, 247, 225, 92, 84, 101, 248, 131, 238, 132, 246, 33, 3, 186, 21, 146, 96, 186, 14, 125, 208, 51, 24, 235, 19, 21, 179, 56, 121, 155, 238, 212, 6, 80, 90, 90, 228, 211, 185, 145, 46, 60, 228, 155, 177, 202, 116, 159, 187, 222, 38, 251, 65, 53, 242, 229, 199, 67, 59, 150, 35, 158, 71, 92, 88, 180, 0, 110, 205, 27, 205, 50, 66, 183, 176, 86, 190, 161, 215, 223, 4, 185, 195, 90, 46, 11, 84, 55, 80, 74, 248, 62, 4, 251, 213, 6, 117, 251, 20, 19, 229, 179, 96, 153, 89, 150, 50, 199, 234, 137, 16, 90, 84, 35, 162, 181, 114, 17, 162, 70, 179, 6, 89, 159, 254, 202, 197, 51, 77, 138, 81, 210, 247, 105, 110, 242, 86, 46, 39, 234, 60, 178, 52, 11, 176, 17, 253, 191, 235, 121, 44, 66, 227, 113, 6, 170, 123, 200, 75, 151, 78, 110, 8, 99, 38, 196, 251, 97, 218, 210, 179, 96, 26, 174, 99, 119, 110, 0, 214, 44, 88, 64, 64, 151, 76, 203, 181, 176, 39, 122, 166, 105, 72, 176, 230, 160, 28, 69, 168, 234, 120, 16, 112, 223, 155, 134, 23, 101, 21, 79, 242, 42, 72, 43, 60, 207, 174, 121, 130, 153, 80, 190, 179, 128, 177, 218, 204, 18, 214, 220, 20, 253, 24, 21, 98, 153, 172, 239, 203, 60, 43, 242, 235, 65, 179, 8, 16, 124, 202, 122, 227, 92, 233, 205, 60, 224, 82, 84, 165, 116, 28, 201, 175, 235, 212, 12, 214, 127, 134, 16, 132, 184, 132, 152, 183, 56, 109, 78, 161, 205, 156, 152, 220, 11, 73, 65, 105, 238, 52, 209, 115, 108, 164, 17, 118, 153, 174, 87, 69, 101, 193, 129, 158, 189, 217, 255, 136, 242, 84, 3, 53, 85, 118, 104, 26, 207, 65, 22, 160, 45, 50, 87, 246, 84, 229, 26, 48, 107, 208, 37, 72, 185, 202, 38, 217, 100, 17, 88, 240, 250, 140, 150, 252, 81, 234, 189, 107, 48, 184, 192, 107, 154, 212, 56, 87, 99, 94, 229, 178, 42, 191, 100, 171, 122, 139, 165, 205, 11, 27, 224, 103, 49, 229, 232, 97, 15, 209, 49, 82, 242, 129, 33, 254, 236, 75, 157, 56, 196, 96, 222, 205, 153, 249, 63, 242, 129, 169, 159, 134, 127, 71, 84, 199, 22, 133, 212, 3, 197, 75, 111, 114, 0, 216, 16, 177, 133, 35, 252, 61, 184, 93, 179, 149, 217, 173, 53, 188, 24, 15, 214, 124, 18, 65, 95, 25, 213, 170, 14, 216, 45, 219, 89, 23, 149, 25, 93, 29, 98, 114, 162, 30, 154, 241, 149, 23, 136, 62, 199, 133, 180, 139, 125, 243, 185, 110, 16, 41, 3, 141, 243, 214, 106, 167, 232, 101, 157, 29, 89, 132, 198, 38, 223, 27, 14, 97, 100, 56, 198, 242, 104, 202, 143, 97, 201, 193, 36, 65, 70, 117, 85, 183, 16, 5, 131, 4, 244, 247, 29, 106, 14, 57, 113, 60, 118, 241, 220, 100, 99, 92, 155, 71, 151, 25, 67, 23, 83, 50, 165, 14, 8, 240, 48, 242, 118, 84, 215, 58, 126, 7, 52, 93, 50, 63, 186, 61, 135, 64, 14, 11, 187, 62, 153, 198, 74, 127, 231, 96, 168, 4, 65, 51, 70, 98, 229, 231, 148, 30, 153, 148, 234, 74, 149, 221, 150, 85, 139, 76, 77, 79, 47, 0, 27, 11, 116, 52, 83, 186, 52, 221, 237, 68, 182, 228, 57, 143, 117, 26, 60, 66, 88, 91, 198, 9, 255, 7, 8, 30, 24, 6, 144, 78, 92, 41, 84, 234, 185, 218, 230, 8, 129, 69, 27, 48, 226, 199, 159, 102, 198, 182, 203, 59, 57, 235, 197, 193, 160, 132, 62, 26, 75, 224, 84, 218, 65, 226, 9, 230, 116, 97, 102, 125, 217, 20, 23, 121, 200, 243, 211, 246, 68, 129, 121, 35, 4, 104, 77, 52, 82, 37, 59, 228, 43, 198, 144, 107, 240, 69, 197, 52, 126, 58, 105, 242, 230, 38, 241, 218, 188, 104, 186, 81, 102, 28, 91, 253, 64, 164, 109, 56, 223, 117, 144, 236, 162, 152, 149, 155, 51, 207, 109, 48, 11, 208, 19, 44, 55, 178, 3, 241, 206, 91, 228, 179, 154, 166, 159, 80, 139, 21, 166, 32, 145, 146, 216, 140, 228, 131, 134, 13, 188, 146, 227, 155, 142, 155, 87, 155, 230, 203, 158, 245, 247, 179, 131, 243, 156, 30, 27, 248, 12, 0, 61, 211, 202, 71, 152, 218, 38, 212, 228, 14, 223, 226, 52, 236, 22, 137, 213, 184, 215, 182, 176, 146, 190, 59, 217, 1, 175, 116, 152, 212, 121, 36, 71, 121, 91, 50, 188, 85, 45, 219, 235, 151, 145, 149, 137, 117, 113, 65, 29, 117, 140, 223, 61, 244, 180, 224, 9, 78, 155, 189, 93, 191, 183, 47, 117, 254, 60, 161, 190, 17, 160, 246, 180, 75, 89, 160, 34, 214, 121, 95, 212, 235, 177, 71, 106, 234, 57, 51, 237, 250, 39, 198, 182, 205, 41, 132, 105, 132, 76, 20, 175, 73, 212, 93, 164, 228, 212, 237, 153, 17, 94, 74, 150, 14, 16, 181, 25, 48, 125, 192, 140, 132, 96, 119, 16, 255, 177, 242, 125, 24, 34, 28, 179, 174, 64, 148, 64, 245, 59, 142, 251, 202, 113, 15, 239, 2, 158, 28, 140, 244, 212, 76, 84, 208, 41, 184, 244, 6, 180, 76, 11, 7, 230, 16, 180, 23, 170, 156, 125, 221, 188, 14, 57, 95, 249, 34, 110, 215, 3, 136, 24, 31, 39, 255, 245, 139, 119, 147, 183, 96, 137, 26, 153, 50, 130, 7, 179, 16, 139, 174, 145, 16, 57, 226, 172, 41, 40, 31, 253, 201, 3, 157, 104, 8, 189, 78, 172, 70, 230, 2, 76, 108, 116, 81, 72, 175, 134, 19, 25, 237, 7, 23, 164, 164, 28, 220, 83, 37, 232, 226, 127, 39, 137, 11, 188, 21, 76, 168, 55, 128, 120, 166, 92, 75, 178, 117, 226, 124, 195, 47, 140, 115, 92, 183, 179, 166, 130, 160, 178, 32, 37, 149, 235, 154, 34, 94, 91, 51, 105, 154, 209, 167, 237, 50, 250, 179, 217, 54, 221, 99, 232, 232, 151, 242, 228, 233, 49, 249, 78, 152, 87, 117, 163, 71, 101, 153, 126, 77, 19, 238, 2, 44, 28, 200, 52, 8, 193, 68, 94, 204, 112, 202, 109, 56, 120, 222, 165, 76, 116, 13, 45, 126, 254, 200, 9, 226, 120, 205, 18, 216, 83, 205, 121, 220, 119, 147, 95, 249, 242, 78, 166, 8, 184, 217, 224, 47, 208, 227, 195, 101, 14, 94, 170, 173, 19, 181, 96, 168, 244, 165, 40, 138, 92, 13, 188, 60, 197, 232, 227, 102, 142, 220, 249, 19, 109, 181, 128, 169, 233, 205, 44, 46, 78, 163, 41, 67, 227, 220, 205, 218, 189, 130, 177, 206, 71, 103, 185, 160, 225, 228, 238, 193, 121, 30, 247, 44, 94, 122, 50, 187, 23, 186, 45, 78, 123, 73, 133, 77, 244, 1, 178, 44, 24, 134, 134, 222, 233, 58, 238, 167, 237, 95, 246, 0, 217, 127, 91, 101, 95, 169, 227, 250, 12, 43, 67, 4, 121, 171, 68, 25, 151, 116, 32, 105, 197, 3, 125, 210, 161, 94, 235, 63, 71, 23, 77, 51, 72, 208, 15, 231, 152, 31, 133, 137, 220, 158, 108, 185, 158, 109, 148, 61, 166, 0, 105, 28, 128, 73, 185, 184, 204, 17, 49, 149, 251, 188, 173, 215, 80, 138, 132, 205, 58, 96, 74, 68, 193, 149, 155, 72, 233, 80, 159, 72, 91, 246, 245, 162, 133, 146, 203, 74, 57, 191, 26, 163, 224, 102, 104, 54, 52, 193, 196, 40, 135, 166, 103, 50, 42, 79, 202, 65, 195, 14, 53, 34, 79, 147, 61, 79, 13, 238, 71, 60, 145, 131, 184, 60, 251, 98, 82, 228, 184, 125, 184, 219, 95, 103, 177, 20, 133, 92, 93, 162, 140, 174, 235, 115, 210, 11, 191, 79, 57, 138, 171, 182, 161, 118, 121, 29, 38, 204, 216, 177, 112, 249, 40, 35, 181, 71, 157, 66, 133, 26, 105, 63, 195, 23, 57, 218, 171, 16, 238, 126, 163, 1, 15, 65, 232, 237, 209, 190, 173, 146, 236, 207, 58, 78, 156, 202, 21, 105, 187, 37, 201, 106, 70, 63, 87, 179, 56, 15, 79, 141, 164, 112, 16, 30, 127, 15, 161, 245, 19, 155, 191, 180, 217, 49, 160, 174, 184, 16, 69, 58, 216, 106, 238, 49, 88, 181, 110, 0, 11, 144, 125, 177, 141, 211, 114, 207, 13, 132, 3, 235, 202, 167, 148, 120, 135, 103, 25, 65, 188, 88, 51, 203, 111, 119, 220, 50, 124, 149, 218, 69, 30, 14, 122, 252, 194, 40, 63, 121, 19, 12, 131, 193, 97, 67, 38, 151, 103, 64, 73, 229, 238, 47, 122, 41, 237, 75, 254, 65, 148, 127, 10, 90, 62, 17, 59, 127, 230, 172, 212, 187, 250, 201, 9, 174, 65, 247, 5, 162, 143, 148, 134, 29, 15, 202, 91, 188, 189, 91, 211, 202, 19, 40, 32, 26, 139, 1, 171, 74, 146, 18, 5, 23, 13, 63, 131, 134, 52, 18, 241, 251, 46, 235, 192, 44, 152, 145, 164, 213, 198, 246, 54, 209, 64, 5, 26, 234, 136, 179, 208, 67, 21, 251, 4, 175, 72, 100, 154, 183, 34, 142, 172, 240, 138, 156, 9, 213, 138, 97, 16, 157, 201, 42, 68, 248, 215, 59, 38, 84, 190, 70, 216, 170, 210, 128, 34, 237, 81, 218, 192, 82, 58, 213, 44, 43, 150, 227, 89, 216, 134, 144, 250, 138, 28, 158, 180, 56, 5, 6, 253, 155, 195, 162, 212, 54, 90, 25, 178, 156, 126, 41, 246, 176, 185, 196, 94, 157, 167, 225, 118, 177, 205, 248, 73, 172, 94, 235, 77, 26, 198, 233, 93, 122, 165, 19, 113, 182, 15, 61, 60, 254, 140, 240, 232, 228, 134, 37, 200, 126, 208, 144, 179, 197, 144, 206, 60, 69, 45, 22, 136, 218, 156, 238, 155, 104, 55, 97, 194, 237, 73, 234, 165, 59, 41, 34, 196, 211, 34, 72, 243, 176, 100, 227, 227, 22, 202, 223, 108, 114, 22, 29, 64, 127, 246, 203, 176, 21, 214, 246, 129, 32, 67, 137, 202, 113, 243, 41, 29, 89, 27, 38, 73, 56, 180, 34, 114, 189, 30, 219, 187, 110, 254, 84, 131, 84, 197, 156, 90, 6, 244, 121, 206, 238, 61, 149, 179, 76, 168, 84, 147, 95, 61, 207, 81, 102, 232, 45, 235, 90, 116, 78, 185, 190, 200, 75, 248, 203, 33, 98, 132, 43, 225, 181, 229, 35, 175, 118, 61, 61, 122, 172, 35, 169, 197, 143, 37, 138, 69, 117, 239, 114, 199, 97, 172, 166, 39, 107, 127, 103, 123, 238, 57, 242, 251, 244, 124, 60, 181, 87, 50, 92, 156, 165, 57, 80, 136, 5, 71, 185, 124, 243, 201, 110, 218, 164, 210, 88, 38, 97, 119, 44, 252, 149, 27, 188, 4, 206, 212, 66, 32, 103, 60, 191, 159, 213, 163, 188, 64, 144, 72, 236, 188, 174, 76, 109, 153, 59, 167, 244, 239, 184, 83, 135, 37, 196, 2, 116, 136, 97, 124, 211, 120, 232, 103, 204, 104, 106, 76, 219, 39, 32, 0, 44, 127, 4, 117, 233, 13, 244, 142, 105, 141, 182, 150, 219, 179, 171, 248, 152, 249, 161, 171, 88, 48, 141, 187, 252, 110, 75, 254, 252, 133, 17, 72, 152, 97, 125, 25, 78, 18, 95, 116, 99, 1, 28, 157, 54, 83, 4, 230, 130, 193, 67, 241, 134, 240, 55, 69, 172, 252, 216, 29, 60, 176, 30, 209, 47, 228, 35, 108, 96, 122, 149, 71, 208, 230, 126, 32, 84, 180, 176, 164, 64, 19, 83, 164, 125, 47, 58, 97, 111, 211, 62, 154, 140, 179, 51, 116, 1, 96, 47, 223, 49, 187, 92, 53, 165, 48, 51, 96, 137, 19, 51, 113, 124, 0, 122, 41, 116, 21, 229, 112, 106, 0, 157, 58, 48, 69, 214, 201, 190, 45, 190, 187, 174, 186, 235, 110, 5, 137, 107, 202, 105, 217, 115, 171, 121, 208, 182, 164, 118, 211, 139, 207, 159, 21, 189, 252, 46, 17, 61, 231, 96, 222, 197, 119, 151, 8, 20, 71, 77, 64, 90, 216, 53, 105, 208, 119, 23, 183, 32, 221, 217, 246, 6, 147, 216, 181, 76, 197, 41, 133, 6, 244, 225, 209, 44, 44, 85, 106, 49, 11, 103, 58, 220, 126, 166, 28, 93, 82, 173, 13, 162, 67, 216, 149, 73, 147, 106, 49, 83, 5, 225, 15, 80, 119, 0, 213, 189, 38, 20, 236, 199, 151, 60, 193, 223, 76, 32, 201, 254, 152, 162, 173, 234, 171, 73, 246, 127, 26, 35, 228, 70, 8, 235, 217, 34, 198, 48, 153, 138, 37, 0, 191, 219, 9, 20, 222, 12, 145, 55, 167, 35, 154, 39, 170, 227, 252, 134, 143, 29, 140, 72, 186, 199, 119, 199, 229, 237, 70, 226, 12, 122, 218, 45, 92, 140, 101, 157, 30, 89, 190, 60, 94, 29, 113, 40, 251, 57, 97, 13, 91, 50, 147, 173, 30, 105, 165, 30, 62, 134, 76, 64, 110, 168, 57, 94, 252, 192, 16, 60, 168, 178, 39, 254, 240, 252, 120, 88, 230, 242, 40, 52, 223, 207, 103, 148, 83, 51, 53, 109, 123, 65, 231, 182, 242, 209, 10, 68, 171, 176, 198, 71, 143, 195, 209, 36, 8, 23, 137, 236, 141, 206, 190, 253, 197, 160, 160, 134, 174, 15, 239, 85, 249, 120, 188, 16, 87, 217, 103, 212, 110, 93, 210, 48, 64, 158, 54, 14, 17, 195, 167, 53, 55, 38, 35, 137, 59, 141, 134, 12, 226, 240, 143, 197, 73, 150, 102, 19, 91, 190, 248, 57, 137, 111, 225, 21, 88, 18, 12, 77, 5, 92, 119, 86, 167, 179, 72, 164, 200, 107, 146, 250, 97, 49, 162, 92, 131, 204, 243, 0, 0, 77, 2, 129, 152, 108, 184, 27, 69, 165, 149, 119, 137, 122, 254, 43, 190, 251, 141, 42, 83, 123, 171, 212, 192, 203, 62, 22, 81, 213, 73, 33, 15, 246, 254, 136, 228, 170, 137, 178, 162, 234, 192, 120, 203, 87, 81, 148, 98, 149, 48, 10, 94, 84, 128, 62, 67, 101, 108, 159, 32, 186, 150, 129, 107, 73, 31, 225, 223, 108, 76, 68, 45, 92, 189, 161, 67, 103, 179, 219, 199, 54, 35, 143, 29, 113, 0, 169, 188, 152, 35, 118, 176, 163, 204, 192, 47, 76, 137, 163, 148, 98, 95, 74, 19, 19, 22, 128, 197, 12, 91, 196, 199, 152, 238, 112, 49, 116, 213, 102, 102, 82, 153, 135, 232, 153, 50, 22, 206, 243, 131, 152, 217, 213, 114, 192, 108, 148, 13, 215, 142, 83, 212, 226, 93, 151, 126, 128, 200, 5, 45, 3, 66, 96, 122, 212, 136, 36, 69, 229, 151, 135, 103, 24, 30, 248, 181, 204, 225, 254, 51, 26, 234, 209, 114, 44, 73, 159, 188, 17, 113, 216, 58, 39, 165, 208, 109, 220, 36, 12, 38, 215, 179, 43, 38, 181, 215, 91, 234, 38, 171, 91, 237, 122, 109, 151, 21, 13, 87, 157, 226, 178, 174, 10, 58, 205, 173, 93, 135, 29, 169, 201, 161, 194, 169, 145, 213, 187, 123, 207, 49, 213, 78, 203, 245, 133, 118, 236, 235, 103, 75, 132, 252, 172, 188, 21, 195, 215, 158, 174, 225, 227, 35, 249, 211, 140, 15, 143, 203, 190, 112, 98, 36, 14, 192, 212, 146, 237, 174, 195, 244, 180, 186, 109, 74, 140, 248, 59, 185, 233, 115, 171, 209, 111, 173, 30, 107, 227, 63, 8, 136, 114, 86, 16, 33, 131, 204, 35, 30, 252, 162, 254, 1, 174, 85, 39, 253, 154, 49, 55, 142, 89, 250, 181, 105, 145, 121, 202, 108, 102, 33, 144, 207, 147, 42, 207, 247, 12, 161, 112, 190, 87, 175, 191, 198, 157, 169, 28, 164, 216, 66, 67, 166, 175, 136, 63, 113, 19, 36, 157, 63, 42, 230, 132, 202, 114, 72, 202, 40, 39, 146, 243, 217, 119, 42, 150, 17, 74, 152, 191, 96, 105, 218, 223, 100, 248, 9, 45, 57, 133, 54, 129, 129, 191, 9, 13, 100, 76, 219, 246, 64, 146, 234, 243, 58, 236, 11, 127, 1, 0, 28, 100, 176, 241, 107, 150, 145, 36, 179, 225, 229, 6, 13, 149, 183, 188, 118, 60, 181, 115, 86, 21, 202, 37, 238, 155, 28, 65, 72, 136, 54, 84, 156, 184, 19, 25, 185, 187, 223, 14, 103, 86, 147, 250, 224, 85, 246, 64, 26, 145, 166, 98, 218, 34, 224, 10, 0, 142, 58, 110, 110, 19, 25, 7, 118, 122, 86, 38, 181, 127, 77, 40, 101, 11, 99, 158, 105, 7, 129, 51, 23, 104, 158, 119, 173, 184, 243, 252, 136, 101, 77, 24, 202, 205, 160, 201, 223, 88, 126, 76, 174, 137, 138, 170, 71, 7, 188, 187, 20, 96, 81, 189, 174, 199, 79, 69, 77, 42, 59, 152, 31, 9, 106, 161, 57, 167, 56, 150, 27, 39, 39, 139, 174, 96, 34, 57, 195, 57, 15, 41, 34, 205, 179, 15, 229, 98, 196, 59, 13, 103, 182, 229, 236, 27, 104, 234, 232, 78, 109, 208, 219, 185, 145, 215, 53, 233, 187, 82, 184, 36, 38, 63, 130, 189, 151, 60, 202, 150, 120, 231, 43, 7, 189, 237, 10, 33, 65, 102, 142, 4, 224, 212, 71, 174, 157, 27, 85, 176, 137, 73, 39, 251, 0, 29, 118, 50, 141, 144, 150, 233, 154, 229, 21, 64, 236, 114, 189, 195, 137, 201, 129, 56, 60, 202, 151, 121, 71, 234, 204, 207, 254, 74, 95, 180, 132, 209, 248, 243, 183, 63, 221, 144, 226, 126, 9, 47, 201, 224, 161, 254, 164, 214, 1, 16, 194, 200, 208, 246, 49, 199, 184, 145, 40, 33, 165, 196, 252, 47, 129, 165, 106, 157, 249, 250, 126, 243, 148, 132, 111, 204, 25, 34, 24, 235, 11, 48, 56, 179, 132, 70, 119, 36, 151, 234, 108, 123, 38, 87, 77, 144, 36, 208, 190, 184, 81, 242, 129, 26, 186, 31, 35, 71, 249, 20, 229, 219, 133, 70, 166, 113, 152, 175, 11, 57, 120, 248, 10, 65, 6, 117, 170, 45, 21, 111, 90, 7, 235, 75, 118, 251, 169, 238, 72, 109, 128, 80, 23, 234, 179, 94, 164, 77, 50, 54, 231, 242, 230, 200, 112, 87, 61, 63, 42, 59, 217, 85, 2, 64, 98, 125, 76, 39, 29, 210, 239, 8, 118, 230, 156, 49, 67, 91, 63, 232, 153, 251, 238, 109, 181, 18, 126, 237, 234, 83, 139, 145, 49, 138, 112, 77, 217, 215, 119, 2, 180, 76, 67, 143, 179, 189, 35, 43, 89, 55, 221, 121, 193, 184, 97, 139, 53, 164, 143, 110, 85, 138, 229, 97, 64, 220, 36, 226, 87, 57, 149, 115, 233, 25, 128, 205, 34, 102, 157, 75, 150, 124, 75, 143, 150, 232, 254, 110, 2, 211, 212, 131, 188, 119, 180, 228, 13, 200, 47, 51, 155, 236, 33, 123, 148, 132, 202, 22, 149, 161, 73, 231, 216, 232, 236, 192, 37, 117, 120, 105, 83, 251, 226, 83, 19, 28, 123, 249, 202, 155, 43, 206, 68, 123, 71, 233, 148, 54, 90, 27, 121, 146, 177, 118, 121, 65, 144, 104, 164, 191, 202, 106, 190, 122, 233, 78, 245, 185, 23, 109, 221, 173, 42, 174, 148, 244, 116, 63, 152, 40, 202, 90, 209, 42, 74, 240, 86, 100, 110, 55, 225, 144, 177, 36, 184, 96, 114, 250, 143, 67, 51, 134, 202, 67, 113, 194, 222, 128, 249, 18, 160, 237, 96, 95, 55, 51, 136, 143, 203, 186, 140, 42, 171, 220, 27, 127, 239, 239, 224, 40, 59, 99, 244, 120, 134, 5, 200, 148, 211, 210, 71, 243, 194, 227, 168, 183, 174, 168, 227, 117, 145, 218, 21, 117, 201, 191, 141, 217, 246, 120, 66, 220, 124, 222, 225, 230, 152, 236, 12, 82, 144, 121, 84, 171, 109, 89, 234, 168, 85, 58, 132, 249, 242, 151, 117, 98, 14, 102, 146, 158, 40, 240, 186, 195, 57, 162, 3, 0, 116, 111, 201, 37, 178, 32, 28, 178, 204, 226, 249, 230, 255, 189, 28, 247, 249, 29, 70, 104, 9, 54, 114, 162, 62, 90, 65, 224, 18, 220, 60, 173, 111, 91, 43, 253, 247, 58, 171, 89, 161, 13, 38, 152, 123, 135, 141, 32, 82, 137, 127, 127, 36, 175, 230, 28, 102, 36, 229, 31, 53, 81, 1, 204, 169, 17, 103, 226, 117, 239, 130, 246, 118, 16, 51, 231, 12, 111, 249, 209, 208, 59, 216, 249, 63, 124, 131, 250, 41, 174, 175, 38, 246, 245, 108, 71, 24, 128, 214, 148, 243, 63, 109, 92, 136, 124, 208, 23, 242, 72, 33, 90, 68, 97, 124, 154, 27, 21, 108, 167, 161, 165, 122, 248, 0, 78, 230, 39, 149, 247, 82, 190, 190, 233, 195, 214, 211, 181, 166, 249, 30, 57, 40, 55, 180, 225, 231, 31, 102, 56, 211, 122, 199, 163, 135, 176, 110, 123, 204, 169, 21, 8, 143, 144, 203, 185, 90, 43, 60, 204, 252, 151, 55, 38, 174, 195, 205, 149, 177, 73, 81, 67, 41, 11, 29, 90, 167, 125, 47, 126, 131, 225, 248, 217, 152, 2, 182, 199, 103, 237, 34, 125, 8, 166, 64, 214, 148, 54, 204, 186, 7, 112, 25, 81, 161, 52, 234, 194, 23, 228, 196, 174, 207, 161, 214, 68, 63, 118, 76, 3, 178, 3, 45, 48, 38, 131, 197, 81, 109, 96, 97, 227, 7, 217, 208, 98, 190, 166, 7, 83, 177, 18, 223, 121, 136, 193, 227, 25, 1, 61, 164, 182, 153, 14, 140, 13, 160, 217, 80, 51, 184, 139, 129, 107, 222, 129, 48, 64, 88, 83, 238, 43, 191, 19, 124, 122, 227, 206, 220, 157, 42, 235, 223, 101, 227, 244, 250, 122, 161, 179, 78, 55, 60, 50, 204, 211, 222, 22, 137, 84, 127, 142, 155, 31, 206, 238, 224, 131, 248, 56, 64, 117, 71, 220, 154, 130, 250, 177, 202, 94, 157, 0, 141, 231, 23, 247, 249, 213, 134, 34, 21, 43, 114, 90, 24, 170, 57, 193, 104, 213, 184, 49, 180, 153, 230, 29, 242, 93, 106, 234, 17, 242, 94, 228, 23, 127, 249, 90, 187, 18, 125, 77, 203, 30, 116, 213, 162, 71, 3, 79, 15, 160, 178, 82, 102, 238, 43, 203, 134, 230, 160, 123, 244, 9, 107, 25, 146, 3, 119, 7, 208, 3, 59, 227, 94, 197, 222, 242, 212, 55, 78, 54, 205, 44, 215, 253, 252, 220, 83, 232, 36, 35, 136, 193, 211, 227, 206, 201, 164, 154, 51, 137, 197, 235, 155, 162, 28, 66, 125, 182, 179, 203, 65, 56, 142, 113, 137, 201, 123, 45, 30, 219, 206, 109, 64, 84, 217, 65, 88, 61, 230, 206, 120, 255, 80, 155, 210, 195, 174, 234, 28, 186, 26, 233, 19, 205, 2, 34, 61, 121, 75, 202, 230, 176, 97, 97, 98, 160, 80, 78, 107, 95, 85, 158, 86, 195, 107, 123, 71, 79, 237, 13, 22, 158, 67, 160, 234, 215, 172, 90, 221, 237, 206, 153, 51, 189, 184, 210, 255, 20, 240, 246, 165, 129, 132, 46, 139, 140, 172, 148, 77, 158, 56, 166, 228, 212, 206, 93, 37, 132, 27, 163, 207, 119, 54, 248, 128, 199, 5, 172, 107, 100, 99, 6, 21, 76, 178, 74, 171, 221, 64, 153, 207, 159, 128, 225, 235, 162, 133, 161, 123, 96, 226, 28, 179, 40, 2, 210, 195, 175, 137, 229, 187, 220, 128, 40, 221, 60, 196, 51, 134, 33, 33, 150, 170, 157, 36, 255, 120, 17, 111, 13, 72, 125, 134, 54, 51, 92, 207, 142, 25, 47, 30, 216, 132, 214, 226, 25, 58, 136, 107, 227, 240, 70, 96, 236, 124, 246, 171, 143, 233, 173, 92, 189, 214, 152, 131, 165, 228, 251, 28, 153, 219, 214, 102, 14, 130, 188, 111, 64, 128, 253, 128, 210, 10, 83, 194, 195, 208, 91, 165, 217, 14, 222, 144, 163, 98, 195, 73, 198, 120, 32, 102, 252, 169, 193, 232, 131, 177, 14, 77, 138, 39, 1, 248, 53, 116, 143, 225, 224, 151, 136, 144, 199, 70, 58, 165, 91, 57, 114, 73, 249, 241, 243, 11, 144, 37, 120, 157, 52, 70, 4, 170, 153, 158, 72, 120, 252, 236, 184, 123, 14, 14, 163, 231, 95, 222, 87, 190, 24, 86, 165, 156, 80, 38, 232, 42, 244, 222, 249, 120, 38, 12, 167, 135, 246, 49, 52, 251, 45, 164, 227, 93, 135, 225, 61, 148, 11, 4, 96, 101, 11, 252, 123, 56, 231, 130, 184, 148, 234, 138, 54, 153, 243, 253, 162, 64, 186, 40, 109, 8, 69, 232, 178, 171, 6, 200, 148, 104, 57, 124, 74, 9, 71, 243, 82, 120, 156, 170, 182, 175, 192, 157, 87, 133, 120, 45, 91, 24, 165, 15, 188, 134, 103, 227, 78, 99, 147, 55, 82, 141, 182, 131, 0, 218, 210, 87, 91, 218, 58, 187, 73, 166, 148, 52, 177, 53, 219, 34, 34, 243, 139, 135, 250, 90, 148, 98, 63, 5, 126, 42, 105, 161, 57, 225, 217, 196, 24, 30, 157, 105, 216, 239, 146, 18, 121, 226, 71, 146, 132, 52, 143, 119, 174, 186, 178, 229, 156, 177, 248, 241, 177, 59, 165, 75, 183, 253, 108, 124, 239, 225, 136, 27, 248, 165, 235, 75, 77, 130, 29, 227, 136, 57, 22, 59, 9, 250, 153, 238, 28, 81, 57, 242, 43, 116, 202, 97, 138, 201, 106, 91, 186, 82, 49, 42, 164, 52, 152, 159, 150, 218, 170, 185, 18, 96, 150, 65, 79, 120, 85, 209, 163, 119, 133, 112, 71, 176, 57, 90, 83, 123, 200, 166, 59, 78, 90, 49, 63, 135, 127, 38, 102, 149, 23, 174, 41, 127, 245, 245, 18, 18, 68, 120, 198, 134, 5, 61, 82, 229, 63, 241, 224, 138, 47, 195, 196, 0, 250, 241, 161, 88, 11, 147, 143, 52, 51, 128, 167, 190, 192, 19, 17, 146, 173, 152, 111, 194, 105, 24, 232, 3, 173, 187, 181, 5, 111, 44, 176, 233, 150, 5, 84, 30, 166, 233, 24, 76, 225, 105, 128, 91, 197, 214, 152, 104, 229, 206, 203, 142, 215, 120, 239, 43, 176, 142, 22, 205, 191, 83, 91, 179, 218, 165, 135, 159, 245, 131, 28, 147, 225, 113, 135, 191, 159, 54, 82, 100, 62, 178, 224, 109, 61, 94, 252, 93, 118, 14, 72, 93, 239, 133, 133, 251, 181, 196, 211, 227, 248, 74, 253, 71, 173, 196, 19, 115, 209, 140, 101, 171, 165, 42, 238, 149, 194, 183, 21, 144, 43, 20, 34, 222, 6, 120, 171, 49, 3, 66, 76, 47, 252, 225, 28, 161, 191, 224, 220, 107, 178, 127, 230, 13, 84, 47, 35, 186, 16, 184, 186, 42, 37, 77, 196, 146, 167, 79, 139, 168, 113, 144, 79, 61, 213, 218, 244, 203, 156, 51, 191, 87, 32, 55, 37, 196, 42, 226, 101, 12, 119, 73, 110, 212, 97, 241, 228, 174, 59, 238, 166, 111, 98, 220, 227, 44, 142, 178, 111, 39, 61, 77, 171, 222, 244, 158, 85, 29, 103, 209, 1, 92, 205, 140, 221, 98, 61, 221, 150, 154, 142, 61, 249, 222, 125, 59, 235, 226, 130, 216, 116, 79, 100, 181, 123, 6, 5, 239, 128, 61, 217, 21, 49, 33, 176, 146, 218, 242, 155, 239, 128, 46, 241, 80, 23, 124, 252, 30, 105, 41, 80, 169, 91, 142, 200, 54, 72, 74, 28, 89, 142, 63, 17, 144, 65, 37, 36, 152, 9, 49, 52, 177, 13, 243, 218, 42, 84, 119, 233, 142, 75, 240, 95, 238, 7, 75, 221, 1, 44, 3, 168, 54, 171, 64, 124, 87, 84, 116, 72, 252, 217, 231, 182, 231, 193, 171, 153, 215, 92, 186, 150, 221, 248, 97, 242, 48, 176, 246, 3, 84, 207, 58, 178, 87, 42, 227, 96, 52, 249, 230, 171, 51, 123, 140, 155, 233, 27, 146, 0, 194, 215, 72, 129, 18, 3, 86, 42, 137, 75, 117, 180, 5, 178, 245, 189, 75, 238, 216, 207, 85, 187, 68, 133, 95, 119, 134, 179, 16, 204, 172, 68, 102, 173, 13, 182, 4, 88, 53, 141, 115, 194, 55, 140, 119, 141, 226, 45, 196, 147, 217, 24, 220, 139, 85, 25, 240, 35, 253, 43, 188, 186, 205, 230, 67, 50, 233, 187, 215, 131, 25, 50, 67, 238, 40, 29, 123, 96, 244, 204, 64, 194, 163, 153, 182, 215, 31, 7, 49, 56, 246, 73, 45, 90, 104, 183, 127, 177, 96, 193, 225, 13, 176, 248, 211, 73, 88, 78, 187, 207, 250, 63, 206, 50, 60, 107, 91, 148, 80, 105, 159, 1, 19, 18, 240, 20, 174, 70, 26, 148, 177, 98, 74, 201, 177, 157, 84, 211, 59, 132, 163, 118, 63, 241, 129, 251, 81, 113, 241, 241, 153, 73, 235, 220, 112, 60, 213, 120, 180, 199, 70, 85, 232, 176, 146, 129, 16, 125, 63, 2, 232, 15, 140, 232, 156, 208, 176, 102, 30, 244, 42, 107, 146, 135, 226, 53, 201, 28, 115, 243, 139, 212, 208, 239, 228, 67, 158, 78, 45, 172, 114, 197, 7, 226, 194, 204, 132, 7, 179, 223, 15, 253, 80, 125, 100, 236, 164, 108, 117, 137, 14, 152, 76, 72, 195, 154, 254, 51, 6, 184, 204, 213, 43, 202, 101, 54, 62, 9, 136, 111, 208, 135, 37, 113, 116, 154, 97, 52, 253, 208, 85, 79, 111, 135, 177, 28, 253, 213, 206, 17, 253, 75, 254, 200, 121, 220, 40, 251, 98, 92, 96, 233, 211, 109, 87, 110, 142, 158, 18, 77, 11, 236, 122, 97, 181, 19, 173, 152, 16, 255, 1, 145, 249, 40, 151, 112, 45, 198, 220, 223, 167, 248, 8, 4, 221, 4, 149, 90, 138, 236, 162, 245, 32, 245, 160, 176, 252, 39, 202, 137, 16, 146, 219, 149, 87, 222, 87, 160, 9, 155, 192, 88, 197, 29, 108, 112, 159, 118, 67, 28, 124, 75, 58, 96, 134, 78, 192, 85, 72, 254, 224, 83, 170, 80, 233, 23, 12, 109, 234, 150, 1, 246, 132, 105, 168, 132, 192, 4, 105, 255, 190, 50, 148, 59, 232, 232, 25, 29, 154, 124, 104, 140, 68, 142, 254, 168, 164, 185, 143, 79, 82, 234, 36, 241, 16, 74, 10, 159, 237, 213, 79, 45, 51, 15, 163, 174, 156, 71, 248, 170, 39, 129, 160, 132, 122, 53, 253, 151, 61, 13, 238, 200, 14, 70, 229, 224, 15, 255, 53, 218, 94, 0, 18, 111, 234, 187, 155, 100, 172, 22, 21, 130, 171, 18, 163, 199, 227, 113, 196, 227, 227, 69, 103, 12, 241, 126, 196, 191, 127, 191, 71, 60, 213, 50, 28, 134, 217, 54, 114, 21, 99, 12, 125, 248, 83, 199, 101, 31, 18, 160, 123, 150, 70, 28, 169, 47, 61, 126, 84, 84, 91, 101, 87, 164, 243, 111, 18, 173, 141, 0, 149, 228, 101, 82, 2, 214, 12, 203, 248, 177, 79, 238, 20, 199, 27, 220, 181, 19, 203, 221, 139, 61, 186, 171, 24, 49, 169, 161, 65, 145, 197, 210, 199, 90, 247, 213, 61, 244, 203, 34, 60, 63, 230, 95, 227, 126, 172, 161, 148, 243, 40, 196, 97, 94, 123, 76, 206, 180, 3, 124, 158, 62, 112, 60, 60, 92, 248, 242, 45, 39, 45, 233, 249, 185, 35, 55, 107, 151, 74, 220, 52, 69, 192, 209, 68, 249, 94, 32, 95, 63, 239, 115, 19, 35, 246, 123, 34, 85, 92, 239, 24, 191, 42, 104, 170, 21, 8, 5, 96, 37, 75, 22, 207, 66, 178, 74, 100, 247, 134, 62, 248, 63, 137, 241, 50, 31, 142, 84, 186, 157, 74, 213, 96, 225, 174, 247, 33, 255, 168, 28, 222, 78, 253, 255, 43, 120, 49, 77, 150, 186, 166, 203, 91, 39, 41, 108, 14, 190, 11, 122, 39, 200, 122, 91, 125, 72, 206, 53, 182, 96, 30, 207, 24, 175, 22, 132, 137, 234, 147, 110, 8, 60, 113, 252, 131, 134, 96, 201, 202, 142, 251, 215, 254, 124, 212, 126, 245, 96, 210, 0, 213, 75, 48, 193, 228, 48, 245, 156, 78, 112, 170, 181, 217, 76, 174, 69, 86, 74, 213, 59, 102, 181, 234, 149, 118, 252, 143, 215, 134, 3, 196, 103, 73, 160, 101, 155, 23, 145, 157, 158, 141, 19, 237, 177, 61, 135, 235, 221, 113, 224, 136, 126, 38, 76, 12, 226, 68, 118, 40, 45, 44, 167, 208, 202, 168, 151, 30, 96, 82, 172, 57, 5, 17, 45, 245, 95, 87, 134, 132, 168, 1, 194, 221, 98, 5, 90, 21, 233, 135, 45, 39, 173, 187, 111, 15, 76, 185, 116, 135, 212, 138, 5, 37, 109, 212, 34, 255, 184, 26, 44, 210, 247, 60, 79, 194, 3, 39, 137, 38, 236, 244, 52, 216, 99, 148, 213, 176, 124, 254, 210, 18, 162, 235, 235, 191, 32, 141, 107, 215, 245, 152, 199, 189, 20, 187, 90, 26, 44, 180, 152, 60, 196, 3, 97, 183, 221, 252, 108, 85, 36, 100, 118, 116, 108, 138, 105, 117, 207, 210, 72, 254, 195, 154, 130, 86, 176, 162, 234, 58, 191, 173, 34, 220, 125, 229, 64, 114, 75, 50, 53, 218, 138, 253, 65, 244, 55, 82, 205, 105, 55, 254, 136, 78, 242, 99, 218, 192, 135, 62, 217, 101, 240, 241, 176, 244, 24, 57, 163, 39, 111, 104, 60, 152, 61, 192, 187, 131, 15, 107, 48, 78, 123, 196, 211, 146, 203, 15, 253, 181, 147, 85, 98, 155, 32, 17, 26, 106, 226, 61, 56, 211, 189, 214, 158, 56, 199, 165, 175, 147, 15, 176, 43, 40, 191, 45, 194, 6, 188, 174, 236, 22, 71, 175, 124, 112, 80, 61, 144, 158, 168, 48, 75, 213, 164, 103, 182, 201, 86, 42, 171, 215, 13, 245, 153, 222, 221, 138, 210, 245, 232, 168, 175, 63, 10, 248, 26, 8, 35, 133, 227, 19, 221, 27, 14, 26, 105, 44, 152, 149, 139, 71, 28, 88, 188, 172, 166, 11, 204, 116, 183, 126, 174, 121, 219, 75, 97, 28, 245, 32, 76, 17, 221, 80, 131, 41, 252, 135, 0, 220, 255, 110, 109, 195, 47, 197, 124, 224, 88, 209, 75, 107, 157, 89, 224, 140, 156, 24, 172, 121, 200, 162, 82, 117, 102, 100, 55, 5, 86, 11, 31, 3, 29, 26, 195, 241, 187, 176, 175, 161, 198, 87, 20, 217, 81, 119, 166, 245, 160, 160, 108, 188, 22, 137, 28, 199, 129, 29, 188, 29, 78, 115, 50, 178, 150, 221, 12, 242, 4, 10, 143, 62, 249, 66, 30, 78, 232, 30, 155, 98, 219, 68, 102, 162, 8, 140, 76, 27, 71, 153, 14, 72, 108, 233, 42, 192, 94, 189, 149, 52, 167, 45, 39, 50, 250, 201, 151, 115, 31, 155, 171, 236, 52, 68, 171, 215, 112, 52, 102, 180, 8, 192, 149, 232, 235, 162, 99, 160, 246, 105, 51, 185, 194, 33, 143, 130, 76, 164, 114, 125, 213, 125, 83, 168, 188, 164, 132, 62, 128, 27, 221, 157, 88, 176, 29, 147, 149, 12, 13, 192, 192, 205, 221, 88, 97, 225, 21, 165, 113, 59, 92, 248, 85, 148, 178, 100, 227, 138, 95, 63, 246, 145, 60, 172, 29, 91, 111, 219, 33, 133, 91, 124, 68, 169, 92, 22, 207, 99, 142, 179, 102, 71, 153, 26, 209, 219, 61, 22, 248, 186, 35, 250, 27, 27, 231, 199, 6, 195, 131, 238, 165, 100, 4, 30, 247, 247, 217, 107, 223, 139, 39, 144, 71, 160, 87, 139, 59, 112, 227, 223, 98, 123, 2, 35, 167, 13, 24, 220, 42, 150, 18, 32, 44, 23, 121, 211, 34, 43, 247, 84, 5, 154, 201, 75, 26, 222, 184, 230, 57, 229, 20, 249, 227, 226, 200, 27, 84, 77, 131, 230, 151, 55, 173, 93, 158, 56, 215, 66, 211, 194, 210, 46, 201, 112, 80, 124, 203, 171, 193, 14, 136, 86, 128, 65, 159, 99, 238, 203, 28, 181, 194, 235, 162, 201, 69, 2, 131, 100, 125, 113, 231, 193, 69, 169, 158, 251, 38, 221, 146, 208, 117, 78, 75, 123, 167, 128, 188, 103, 238, 78, 93, 21, 97, 236, 54, 245, 119, 9, 22, 47, 109, 94, 164, 148, 22, 38, 150, 5, 158, 96, 175, 41, 130, 121, 5, 169, 9, 62, 161, 177, 180, 27, 129, 247, 99, 234, 189, 92, 238, 77, 51, 21, 240, 6, 42, 120, 4, 108, 64, 19, 99, 120, 166, 87, 221, 49, 248, 18, 64, 38, 250, 43, 174, 38, 242, 114, 222, 29, 20, 94, 132, 181, 171, 165, 133, 3, 135, 252, 209, 105, 135, 34, 255, 70, 184, 78, 151, 45, 9, 24, 208, 26, 20, 215, 182, 148, 246, 17, 102, 31, 100, 130, 46, 156, 98, 53, 194, 222, 254, 231, 237, 198, 162, 1, 115, 153, 244, 180, 223, 117, 220, 125, 117, 120, 36, 249, 203, 215, 61, 135, 72, 62, 145, 215, 19, 39, 139, 113, 135, 109, 6, 160, 12, 7, 200, 132, 67, 113, 62, 119, 136, 202, 184, 155, 6, 178, 36, 183, 214, 158, 216, 192, 131, 177, 32, 13, 194, 161, 176, 25, 204, 16, 17, 255, 120, 238, 15, 82, 134, 89, 46, 39, 162, 113, 93, 255, 101, 151, 92, 245, 136, 181, 237, 198, 146, 243, 215, 61, 94, 247, 222, 129, 15, 37, 212, 231, 174, 231, 25, 236, 162, 38, 155, 100, 68, 146, 229, 30, 135, 113, 178, 124, 99, 247, 245, 232, 38, 119, 213, 147, 227, 148, 158, 179, 221, 215, 193, 75, 10, 156, 2, 29, 67, 38, 68, 108, 19, 240, 131, 187, 77, 138, 81, 93, 32, 195, 128, 204, 243, 57, 63, 224, 58, 233, 71, 194, 141, 9, 59, 206, 252, 245, 228, 68, 101, 134, 1, 188, 41, 27, 81, 93, 247, 149, 21, 46, 232, 186, 240, 64, 52, 225, 120, 50, 179, 182, 100, 7, 50, 132, 159, 13, 158, 146, 113, 180, 75, 21, 77, 129, 33, 90, 185, 248, 55, 20, 34, 36, 13, 233, 47, 112, 76, 118, 253, 205, 153, 79, 94, 78, 244, 86, 20, 201, 130, 4, 52, 122, 139, 167, 74, 2, 36, 109, 221, 102, 62, 156, 113, 253, 38, 240, 174, 237, 240, 200, 94, 146, 57, 160, 184, 76, 99, 119, 118, 133, 125, 206, 98, 197, 252, 15, 212, 18, 110, 127, 250, 161, 90, 51, 33, 59, 171, 173, 156, 204, 136, 67, 42, 202, 106, 97, 71, 14, 185, 92, 68, 215, 63, 240, 188, 39, 237, 102, 116, 111, 104, 158, 76, 96, 220, 7, 72, 87, 3, 202, 70, 132, 64, 166, 169, 137, 245, 213, 31, 219, 248, 156, 52, 232, 139, 113, 207, 218, 33, 184, 64, 253, 177, 244, 229, 215, 179, 161, 12, 105, 197, 240, 127, 126, 138, 40, 239, 26, 113, 27, 65, 205, 36, 18, 83, 32, 244, 6, 88, 69, 101, 119, 23, 236, 28, 168, 113, 196, 99, 128, 148, 148, 243, 11, 131, 39, 163, 195, 223, 24, 190, 168, 67, 210, 53, 235, 113, 55, 116, 145, 48, 51, 138, 86, 155, 164, 50, 78, 229, 35, 204, 48, 62, 21, 116, 32, 10, 13, 255, 216, 248, 107, 220, 92, 126, 219, 216, 127, 239, 153, 221, 245, 114, 152, 23, 161, 230, 25, 79, 72, 104, 20, 18, 51, 16, 118, 87, 233, 119, 254, 178, 43, 189, 78, 144, 196, 25, 85, 25, 252, 240, 187, 237, 210, 50, 57, 10, 20, 34, 251, 86, 246, 81, 17, 240, 163, 81, 146, 215, 167, 115, 41, 52, 254, 115, 94, 99, 97, 30, 193, 15, 17, 52, 49, 26, 119, 213, 178, 232, 202, 17, 25, 87, 1, 164, 179, 62, 33, 224, 160, 100, 16, 73, 56, 63, 23, 182, 92, 144, 242, 14, 143, 218, 145, 158, 181, 44, 0, 81, 254, 72, 127, 197, 56, 44, 89, 67, 181, 147, 78, 189, 54, 207, 63, 211, 229, 223, 140, 6, 65, 109, 237, 134, 52, 252, 164, 200, 33, 243, 44, 23, 225, 204, 46, 70, 63, 103, 137, 247, 136, 135, 23, 206, 51, 9, 209, 190, 236, 44, 181, 255, 188, 43, 19, 47, 41, 147, 155, 194, 34, 208, 49, 211, 185, 205, 191, 244, 240, 191, 20, 235, 16, 18, 100, 76, 227, 103, 141, 65, 179, 231, 247, 167, 86, 138, 237, 48, 246, 26, 208, 71, 172, 236, 74, 205, 139, 246, 242, 194, 168, 55, 102, 207, 65, 144, 131, 241, 59, 214, 140, 138, 204, 52, 68, 231, 11, 160, 10, 192, 13, 39, 24, 152, 160, 42, 104, 173, 24, 64, 204, 135, 222, 213, 30, 190, 176, 37, 161, 176, 112, 53, 220, 154, 124, 18, 26, 24, 155, 210, 183, 1, 253, 21, 224, 116, 89, 109, 85, 126, 132, 48, 142, 251, 16, 4, 156, 194, 198, 154, 43, 26, 166, 243, 64, 110, 98, 215, 169, 187, 2, 247, 75, 67, 186, 240, 8, 106, 117, 206, 228, 129, 248, 148, 192, 157, 217, 234, 131, 118, 39, 205, 136, 139, 130, 222, 163, 113, 38, 36, 147, 94, 18, 223, 55, 235, 135, 196, 18, 45, 161, 250, 61, 246, 50, 28, 68, 164, 56, 90, 249, 173, 81, 32, 160, 149, 255, 75, 186, 250, 245, 5, 151, 243, 80, 197, 17, 133, 9, 40, 113, 155, 123, 42, 97, 179, 207, 122, 124, 171, 29, 191, 130, 107, 194, 204, 124, 35, 100, 140, 218, 41, 39, 141, 10, 80, 122, 225, 56, 45, 16, 145, 79, 40, 155, 139, 250, 251, 151, 150, 145, 44, 43, 64, 191, 125, 124, 196, 120, 43, 87, 206, 153, 100, 236, 35, 202, 162, 49, 43, 81, 102, 72, 64, 242, 9, 16, 7, 243, 34, 79, 206, 96, 190, 200, 53, 58, 208, 108, 138, 93, 20, 243, 27, 134, 41, 194, 196, 35, 244, 25, 180, 146, 50, 81, 3, 197, 168, 24, 159, 71, 63, 78, 110, 59, 153, 213, 77, 44, 255, 244, 38, 116, 225, 26, 22, 210, 85, 161, 144, 115, 252, 157, 230, 117, 160, 12, 27, 169, 23, 68, 43, 219, 201, 206, 83, 15, 65, 155, 242, 6, 21, 226, 212, 47, 200, 142, 91, 223, 0, 6, 127, 183, 184, 119, 223, 186, 182, 185, 201, 229, 122, 232, 91, 149, 77, 120, 135, 136, 20, 143, 86, 89, 213, 163, 10, 74, 131, 218, 134, 102, 107, 236, 106, 121, 43, 154, 25, 157, 76, 106, 198, 83, 156, 146, 209, 152, 87, 78, 104, 50, 54, 241, 54, 7, 101, 38, 210, 105, 27, 221, 247, 34, 88, 91, 244, 248, 224, 232, 243, 116, 57, 67, 145, 124, 43, 189, 65, 34, 118, 33, 241, 92, 124, 138, 52, 232, 235, 191, 22, 27, 222, 139, 231, 1, 102, 43, 167, 90, 247, 55, 28, 186, 141, 72, 111, 207, 172, 184, 114, 78, 45, 69, 119, 154, 16, 237, 241, 243, 70, 167, 49, 107, 188, 248, 192, 235, 106, 94, 33, 227, 219, 129, 160, 135, 115, 93, 54, 154, 131, 146, 17, 94, 216, 189, 135, 144, 62, 29, 250, 25, 133, 75, 13, 47, 246, 17, 73, 192, 144, 48, 241, 58, 122, 197, 164, 204, 215, 231, 187, 172, 2, 169, 31, 66, 139, 39, 196, 241, 41, 32, 69, 124, 68, 209, 154, 59, 162, 218, 111, 87, 248, 196, 64, 239, 167, 54, 132, 127, 70, 199, 249, 133, 158, 152, 138, 229, 209, 55, 98, 159, 36, 196, 141, 215, 218, 54, 51, 45, 105, 4, 212, 46, 100, 176, 94, 102, 57, 121, 151, 252, 173, 253, 129, 116, 41, 1, 76, 74, 133, 214, 181, 160, 246, 248, 151, 39, 221, 67, 7, 147, 32, 109, 173, 43, 238, 126, 227, 136, 221, 91, 103, 140, 205, 29, 27, 107, 202, 9, 129, 137, 34, 100, 95, 203, 152, 21, 152, 33, 156, 19, 151, 93, 65, 132, 21, 31, 0, 247, 66, 74, 67, 62, 245, 134, 182, 241, 99, 195, 24, 4, 208, 64, 37, 207, 239, 228, 216, 191, 94, 188, 211, 60, 122, 220, 196, 2, 67, 14, 187, 162, 196, 216, 185, 76, 179, 80, 12, 55, 185, 35, 162, 171, 185, 28, 172, 90, 117, 143, 43, 235, 203, 104, 57, 192, 91, 251, 184, 76, 50, 82, 231, 7, 215, 141, 156, 155, 134, 197, 119, 104, 51, 163, 190, 91, 37, 217, 17, 62, 59, 50, 79, 207, 117, 98, 101, 80, 76, 5, 31, 131, 182, 37, 181, 244, 224, 19, 71, 178, 3, 179, 141, 4, 199, 30, 103, 39, 120, 252, 139, 146, 29, 7, 29, 214, 219, 153, 154, 205, 199, 235, 118, 229, 119, 231, 229, 215, 2, 32, 199, 219, 228, 38, 241, 185, 117, 54, 201, 246, 177, 204, 205, 13, 68, 192, 35, 236, 137, 131, 61, 210, 207, 41, 170, 248, 197, 174, 76, 89, 225, 82, 126, 190, 81, 48, 18, 212, 6, 101, 140, 194, 104, 236, 37, 143, 194, 8, 68, 103, 40, 19, 136, 60, 180, 73, 104, 42, 59, 28, 39, 196, 238, 218, 220, 207, 159, 153, 89, 249, 230, 100, 227, 128, 206, 187, 225, 43, 171, 62, 132, 87, 207, 193, 64, 227, 32, 234, 192, 145, 185, 75, 151, 223, 67, 143, 120, 45, 60, 234, 90, 152, 147, 84, 79, 209, 226, 149, 244, 31, 153, 94, 146, 98, 27, 251, 67, 62, 163, 11, 19, 180, 144, 115, 23, 143, 220, 155, 248, 139, 251, 72, 146, 101, 140, 40, 101, 172, 66, 171, 120, 151, 250, 53, 165, 183, 124, 12, 113, 225, 72, 214, 110, 134, 223, 109, 230, 104, 252, 100, 233, 97, 43, 182, 194, 103, 144, 162, 96, 147, 150, 159, 13, 151, 94, 184, 38, 8, 57, 75, 28, 224, 4, 88, 202, 199, 26, 205, 199, 167, 49, 214, 74, 79, 120, 174, 177, 176, 27, 128, 236, 66, 115, 206, 236, 134, 247, 139, 127, 248, 253, 227, 224, 98, 174, 103, 74, 64, 85, 162, 8, 12, 25, 90, 241, 132, 165, 145, 151, 19, 42, 95, 149, 196, 232, 238, 17, 41, 199, 21, 101, 102, 185, 252, 187, 73, 179, 210, 169, 193, 9, 246, 29, 24, 56, 254, 103, 169, 64, 128, 230, 192, 61, 190, 251, 221, 112, 178, 64, 190, 183, 40, 180, 183, 21, 232, 195, 20, 26, 246, 140, 91, 159, 97, 253, 20, 201, 206, 25, 238, 101, 75, 122, 3, 50, 96, 26, 168, 150, 227, 206, 165, 1, 180, 13, 111, 222, 56, 178, 44, 123, 59, 248, 71, 211, 237, 92, 123, 191, 75, 8, 112, 85, 244, 103, 154, 207, 53, 27, 160, 8, 222, 95, 132, 87, 97, 102, 205, 38, 218, 251, 86, 106, 172, 162, 236, 198, 6, 62, 207, 73, 7, 189, 15, 41, 11, 144, 251, 172, 143, 154, 6, 110, 231, 41, 29, 61, 173, 172, 54, 179, 39, 195, 151, 193, 192, 23, 107, 55, 83, 156, 109, 209, 193, 43, 147, 138, 66, 230, 241, 35, 75, 48, 118, 56, 132, 170, 6, 13, 105, 94, 112, 197, 179, 243, 58, 127, 43, 20, 36, 80, 88, 129, 0, 35, 88, 228, 220, 255, 203, 118, 64, 161, 88, 221, 49, 36, 68, 104, 242, 151, 146, 69, 177, 153, 244, 12, 74, 136, 108, 210, 215, 136, 96, 177, 238, 198, 162, 245, 206, 205, 244, 10, 42, 63, 162, 135, 223, 218, 150, 94, 101, 152, 228, 163, 0, 121, 132, 45, 222, 203, 160, 57, 225, 177, 171, 4, 0, 238, 92, 150, 62, 11, 223, 215, 105, 193, 83, 238, 81, 164, 55, 249, 235, 186, 29, 158, 172, 172, 195, 76, 108, 152, 173, 180, 230, 234, 171, 132, 2, 4, 94, 19, 10, 15, 85, 95, 33, 205, 82, 139, 39, 134, 3, 74, 39, 78, 249, 77, 152, 139, 63, 154, 219, 243, 50, 40, 9, 44, 34, 223, 146, 226, 146, 41, 155, 181, 60, 208, 149, 175, 106, 105, 10, 19, 225, 9, 136, 88, 141, 145, 236, 22, 162, 54, 72, 255, 92, 127, 139, 82, 195, 213, 174, 246, 87, 71, 221, 4, 215, 174, 171, 254, 53, 77, 67, 67, 158, 206, 104, 7, 174, 33, 131, 177, 96, 164, 251, 192, 192, 212, 5, 45, 60, 241, 26, 189, 50, 42, 59, 140, 181, 33, 167, 119, 56, 119, 49, 61, 164, 138, 247, 20, 37, 63, 233, 35, 199, 231, 4, 109, 75, 31, 120, 137, 209, 76, 139, 155, 38, 79, 2, 241, 24, 189, 142, 76, 54, 66, 152, 119, 38, 139, 223, 233, 248, 194, 16, 186, 4, 41, 40, 113, 222, 118, 30, 212, 124, 98, 35, 243, 9, 124, 80, 1, 124, 245, 28, 141, 79, 241, 144, 161, 227, 186, 218, 203, 7, 146, 113, 178, 104, 118, 231, 105, 124, 223, 176, 24, 152, 64, 18, 245, 110, 53, 15, 253, 108, 194, 180, 154, 75, 130, 221, 239, 149, 112, 18, 164, 84, 197, 59, 187, 73, 76, 126, 8, 92, 64, 240, 185, 130, 160, 111, 165, 167, 209, 65, 19, 170, 41, 13, 221, 77, 212, 198, 64, 20, 204, 76, 81, 44, 112, 83, 54, 76, 29, 248, 208, 73, 3, 36, 226, 162, 247, 58, 74, 6, 40, 108, 139, 178, 54, 101, 172, 192, 19, 131, 254, 247, 243, 250, 251, 236, 165, 137, 24, 130, 189, 50, 45, 45, 135, 219, 85, 58, 97, 191, 52, 1, 124, 134, 204, 208, 46, 66, 9, 170, 253, 95, 99, 139, 187, 153, 62, 172, 10, 255, 209, 205, 208, 181, 159, 127, 166, 122, 199, 239, 60, 47, 98, 168, 106, 95, 192, 219, 155, 151, 134, 81, 64, 195, 161, 65, 75, 122, 186, 57, 65, 192, 212, 54, 55, 1, 87, 69, 124, 101, 197, 241, 214, 124, 195, 170, 11, 91, 207, 11, 183, 241, 235, 173, 118, 236, 26, 108, 183, 152, 228, 22, 104, 169, 68, 136, 0, 255, 46, 104, 5, 69, 99, 39, 192, 96, 204, 172, 174, 77, 216, 105, 117, 154, 41, 244, 65, 192, 128, 166, 3, 162, 77, 241, 78, 113, 12, 95, 242, 138, 167, 163, 104, 182, 135, 111, 201, 105, 89, 226, 180, 18, 126, 135, 126, 127, 146, 211, 213, 80, 53, 114, 106, 54, 166, 51, 187, 96, 147, 54, 171, 45, 78, 64, 121, 17, 9, 29, 59, 14, 53, 46, 186, 63, 132, 240, 231, 83, 168, 207, 218, 122, 114, 114, 240, 232, 73, 52, 29, 189, 61, 73, 154, 145, 208, 189, 22, 255, 244, 78, 159, 191, 39, 131, 128, 15, 67, 34, 186, 39, 207, 7, 91, 222, 196, 141, 245, 15, 79, 115, 7, 229, 40, 155, 161, 82, 138, 101, 186, 254, 223, 75, 4, 144, 58, 84, 17, 122, 5, 253, 225, 208, 114, 138, 11, 182, 69, 72, 15, 192, 28, 236, 1, 89, 102, 17, 242, 93, 53, 15, 80, 125, 60, 112, 217, 9, 83, 236, 3, 45, 239, 180, 170, 6, 8, 211, 136, 30, 32, 237, 194, 69, 245, 208, 13, 8, 64, 107, 248, 59, 206, 200, 198, 1, 65, 164, 148, 18, 140, 195, 175, 34, 243, 110, 208, 69, 84, 1, 88, 41, 171, 81, 239, 195, 43, 219, 48, 240, 106, 166, 232, 199, 216, 146, 54, 8, 54, 24, 254, 135, 240, 141, 86, 74, 17, 207, 134, 235, 84, 210, 186, 213, 229, 150, 51, 40, 107, 67, 252, 186, 117, 64, 251, 168, 128, 64, 230, 32, 75, 66, 195, 55, 8, 36, 89, 121, 193, 152, 173, 195, 248, 208, 149, 232, 53, 47, 53, 230, 126, 148, 61, 175, 172, 141, 89, 60, 195, 26, 197, 86, 244, 1, 172, 79, 69, 151, 60, 119, 202, 228, 193, 128, 108, 234, 230, 196, 54, 28, 65, 100, 245, 235, 134, 221, 178, 66, 136, 221, 207, 49, 193, 253, 26, 57, 223, 9, 26, 133, 104, 144, 148, 109, 216, 174, 252, 172, 192, 174, 160, 26, 244, 194, 158, 33, 126, 246, 204, 112, 240, 67, 110, 145, 179, 173, 119, 213, 178, 121, 193, 76, 74, 232, 182, 32, 187, 235, 147, 169, 175, 26, 22, 8, 54, 215, 177, 125, 55, 182, 183, 187, 151, 147, 19, 106, 122, 219, 226, 156, 150, 200, 113, 223, 216, 37, 85, 66, 94, 243, 50, 123, 43, 123, 210, 204, 130, 134, 107, 202, 33, 249, 172, 177, 149, 255, 128, 251, 187, 244, 184, 252, 99, 147, 180, 198, 218, 218, 35, 171, 3, 220, 205, 186, 120, 201, 153, 82, 82, 99, 231, 82, 154, 186, 243, 242, 71, 178, 28, 33, 51, 100, 247, 5, 97, 181, 33, 155, 249, 185, 252, 137, 7, 31, 227, 201, 171, 110, 36, 190, 100, 35, 224, 50, 57, 9, 208, 228, 208, 197, 150, 97, 215, 177, 190, 213, 157, 48, 53, 195, 108, 138, 3, 16, 155, 131, 233, 153, 161, 112, 190, 215, 5, 108, 3, 202, 11, 93, 214, 228, 80, 198, 208, 195, 181, 239, 90, 51, 69, 229, 0, 54, 197, 113, 59, 4, 169, 18, 42, 213, 252, 53, 19, 78, 85, 50, 153, 185, 124, 115, 118, 180, 225, 195, 108, 167, 113, 29, 214, 26, 97, 234, 87, 114, 60, 156, 161, 105, 72, 159, 166, 202, 169, 169, 33, 157, 64, 11, 196, 119, 247, 123, 113, 172, 205, 59, 192, 36, 19, 133, 210, 48, 54, 88, 214, 106, 152, 30, 107, 213, 239, 219, 184, 153, 12, 48, 39, 136, 88, 96, 250, 113, 206, 24, 112, 203, 109, 177, 135, 248, 45, 30, 61, 159, 141, 116, 177, 141, 120, 213, 81, 134, 136, 84, 145, 146, 152, 58, 159, 239, 181, 8, 54, 38, 198, 85, 173, 78, 80, 169, 80, 189, 211, 163, 30, 116, 213, 206, 190, 220, 81, 54, 244, 21, 208, 175, 170, 219, 206, 196, 30, 134, 77, 176, 154, 55, 181, 125, 159, 42, 53, 217, 61, 83, 193, 164, 41, 239, 24, 249, 242, 95, 17, 115, 197, 24, 129, 63, 13, 200, 21, 221, 106, 0, 189, 245, 129, 61, 193, 203, 33, 62, 251, 4, 194, 134, 5, 4, 140, 71, 44, 76, 89, 214, 213, 174, 95, 53, 83, 8, 85, 124, 194, 205, 9, 0, 242, 194, 45, 95, 200, 218, 191, 26, 148, 154, 239, 9, 151, 38, 67, 252, 206, 20, 104, 237, 157, 117, 26, 83, 80, 133, 21, 105, 115, 74, 173, 70, 235, 251, 161, 184, 253, 139, 249, 251, 173, 166, 167, 242, 53, 129, 204, 92, 10, 156, 153, 167, 202, 152, 180, 156, 119, 188, 245, 138, 106, 254, 75, 128, 254, 217, 205, 219, 151, 115, 14, 243, 196, 175, 205, 184, 172, 242, 185, 163, 186, 232, 36, 11, 196, 247, 219, 22, 83, 106, 83, 221, 208, 147, 214, 1, 24, 47, 255, 114, 231, 149, 86, 196, 246, 48, 198, 192, 145, 226, 84, 196, 47, 81, 35, 126, 120, 46, 254, 227, 247, 214, 41, 122, 127, 12, 134, 145, 197, 215, 211, 70, 119, 112, 51, 165, 92, 245, 180, 239, 107, 236, 16, 156, 216, 121, 11, 17, 30, 155, 159, 61, 66, 59, 250, 16, 58, 254, 212, 194, 208, 66, 159, 87, 60, 163, 66, 77, 132, 126, 207, 69, 202, 106, 91, 105, 179, 40, 5, 242, 154, 78, 160, 138, 77, 10, 250, 110, 247, 126, 107, 109, 95, 45, 54, 229, 34, 88, 227, 169, 31, 114, 88, 205, 15, 218, 196, 8, 189, 57, 232, 116, 83, 153, 93, 190, 231, 169, 247, 78, 42, 91, 13, 75, 57, 88, 121, 23, 55, 163, 182, 108, 132, 46, 244, 135, 150, 252, 166, 53, 31, 71, 8, 157, 203, 71, 27, 205, 112, 27, 151, 157, 108, 195, 20, 226, 28, 113, 63, 172, 166, 242, 103, 7, 206, 29, 218, 145, 133, 47, 214, 155, 13, 116, 22, 206, 65, 114, 34, 80, 147, 24, 167, 238, 227, 38, 234, 91, 81, 155, 227, 149, 204, 24, 207, 184, 49, 137, 190, 12, 252, 110, 44, 246, 123, 24, 102, 101, 175, 200, 75, 95, 246, 92, 174, 118, 219, 88, 62, 50, 91, 149, 73, 184, 218, 216, 78, 88, 20, 157, 70, 201, 50, 211, 207, 109, 182, 48, 220, 28, 47, 170, 105, 138, 83, 110, 225, 45, 110, 224, 149, 157, 119, 78, 33, 129, 87, 240, 117, 181, 218, 100, 28, 125, 139, 212, 77, 197, 36, 236, 245, 165, 78, 39, 205, 90, 156, 14, 166, 182, 198, 77, 190, 44, 221, 184, 19, 223, 62, 148, 234, 43, 77, 137, 182, 214, 93, 246, 210, 206, 195, 118, 134, 204, 224, 165, 52, 200, 144, 179, 145, 40, 102, 212, 66, 32, 251, 19, 194, 129, 76, 83, 238, 28, 46, 103, 6, 193, 82, 59, 195, 252, 240, 128, 247, 229, 166, 189, 127, 74, 59, 132, 184, 81, 99, 148, 95, 224, 108, 34, 49, 133, 229, 46, 167, 173, 56, 152, 90, 155, 218, 42, 162, 150, 12, 199, 190, 70, 123, 45, 236, 216, 205, 102, 163, 193, 152, 22, 246, 162, 71, 152, 80, 166, 150, 237, 57, 42, 24, 79, 42, 158, 23, 163, 188, 28, 112, 138, 66, 207, 98, 39, 50, 134, 57, 148, 177, 227, 34, 179, 204, 14, 142, 236, 6, 66, 74, 14, 33, 105, 215, 193, 204, 211, 107, 207, 31, 29, 50, 229, 85, 201, 141, 29, 237, 105, 147, 57, 241, 239, 157, 191, 236, 83, 202, 171, 190, 125, 234, 0, 25, 58, 243, 30, 243, 112, 148, 253, 43, 200, 241, 42, 59, 97, 42, 82, 52, 110, 123, 190, 39, 71, 187, 242, 241, 45, 194, 27, 123, 110, 125, 187, 220, 0, 91, 32, 201, 59, 31, 122, 38, 88, 115, 65, 52, 47, 208, 49, 162, 142, 53, 45, 28, 76, 138, 123, 81, 142, 55, 34, 243, 180, 233, 201, 41, 23, 7, 73, 160, 163, 204, 237, 184, 250, 76, 117, 44, 97, 5, 152, 65, 127, 199, 135, 36, 254, 136, 208, 252, 231, 228, 171, 81, 18, 190, 6, 133, 197, 154, 254, 51, 139, 151, 180, 109, 184, 46, 100, 115, 152, 253, 166, 27, 83, 178, 168, 16, 40, 159, 9, 45, 110, 163, 49, 2, 17, 240, 78, 255, 88, 204, 193, 184, 106, 38, 92, 192, 144, 166, 248, 199, 93, 142, 80, 167, 231, 105, 150, 97, 151, 35, 140, 162, 198, 66, 200, 101, 163, 234, 250, 62, 12, 107, 246, 255, 111, 68, 52, 220, 103, 108, 138, 189, 42, 64, 240, 147, 17, 87, 210, 92, 249, 128, 149, 64, 175, 139, 238, 188, 42, 149, 64, 22, 250, 41, 231, 68, 63, 12, 31, 117, 39, 41, 184, 68, 94, 22, 52, 33, 51, 250, 101, 102, 133, 81, 171, 152, 57, 198, 214, 211, 185, 235, 120, 71, 48, 188, 139, 9, 22, 75, 145, 207, 135, 95, 214, 199, 199, 196, 195, 136, 8, 64, 116, 245, 88, 244, 128, 8, 131, 200, 164, 132, 135, 134, 33, 232, 12, 36, 170, 151, 164, 156, 28, 97, 80, 222, 102, 95, 246, 96, 219, 230, 105, 33, 35, 38, 102, 232, 186, 143, 60, 2, 80, 120, 233, 227, 36, 112, 158, 43, 252, 249, 184, 226, 197, 52, 48, 37, 141, 254, 91, 161, 143, 188, 24, 72, 225, 185, 215, 104, 239, 22, 19, 93, 51, 64, 73, 39, 128, 69, 212, 37, 81, 197, 253, 165, 200, 61, 25, 234, 92, 11, 228, 143, 221, 53, 21, 229, 55, 179, 236, 194, 119, 49, 148, 252, 246, 38, 30, 17, 132, 6, 150, 159, 2, 178, 150, 61, 195, 229, 105, 72, 139, 35, 191, 213, 202, 159, 139, 157, 147, 98, 166, 169, 71, 18, 189, 225, 176, 238, 156, 61, 152, 67, 51, 5, 216, 130, 121, 147, 41, 132, 246, 26, 244, 208, 172, 220, 17, 50, 127, 203, 84, 69, 173, 102, 21, 202, 244, 135, 132, 177, 211, 50, 154, 62, 103, 182, 9, 51, 69, 82, 144, 21, 61, 224, 209, 237, 96, 148, 60, 81, 207, 113, 170, 214, 84, 67, 233, 37, 92, 58, 219, 120, 206, 61, 180, 38, 129, 108, 70, 78, 62, 19, 63, 17, 31, 187, 201, 157, 97, 170, 152, 79, 233, 16, 178, 77, 232, 7, 185, 149, 46, 135, 4, 178, 93, 90, 250, 62, 40, 98, 108, 115, 48, 167, 132, 2, 201, 18, 85, 202, 136, 236, 144, 218, 135, 58, 174, 150, 181, 4, 26, 16, 90, 100, 112, 70, 181, 45, 68, 132, 252, 37, 158, 169, 174, 206, 60, 162, 30, 158, 211, 115, 152, 5, 68, 87, 108, 146, 251, 177, 116, 32, 16, 0, 24, 84, 83, 70, 22, 12, 221, 64, 100, 42, 93, 100, 139, 102, 228, 175, 228, 46, 47, 156, 143, 152, 117, 62, 250, 244, 211, 240, 64, 205, 27, 1, 195, 147, 215, 195, 25, 204, 132, 209, 86, 102, 43, 49, 44, 5, 231, 16, 148, 66, 110, 38, 75, 195, 70, 235, 165, 2, 223, 82, 196, 162, 53, 89, 218, 210, 113, 22, 145, 91, 56, 178, 179, 145, 184, 241, 36, 67, 136, 149, 44, 3, 168, 134, 179, 142, 79, 35, 238, 254, 209, 6, 253, 252, 193, 100, 166, 12, 132, 242, 76, 220, 52, 109, 200, 84, 125, 58, 104, 4, 110, 170, 16, 12, 67, 77, 209, 143, 117, 47, 244, 162, 169, 97, 226, 57, 228, 52, 231, 133, 155, 218, 83, 171, 134, 173, 99, 32, 77, 208, 49, 65, 205, 200, 205, 7, 42, 233, 20, 230, 41, 86, 175, 23, 30, 32, 128, 188, 54, 0, 27, 221, 93, 25, 149, 23, 227, 159, 190, 49, 157, 170, 93, 123, 170, 133, 25, 160, 191, 228, 194, 190, 211, 161, 60, 3, 127, 219, 92, 178, 29, 181, 53, 82, 113, 229, 51, 48, 168, 51, 40, 73, 101, 249, 4, 32, 155, 61, 16, 130, 185, 49, 182, 70, 56, 194, 201, 182, 127, 201, 39, 89, 53, 60, 71, 247, 48, 209, 53, 137, 141, 45, 201, 195, 225, 64, 246, 20, 66, 98, 81, 102, 168, 226, 74, 238, 220, 186, 195, 186, 119, 45, 249, 147, 69, 91, 58, 134, 36, 224, 19, 211, 54, 4, 19, 82, 178, 62, 149, 114, 14, 179, 160, 135, 91, 255, 11, 144, 31, 57, 116, 160, 175, 137, 197, 52, 148, 80, 245, 151, 7, 5, 73, 62, 56, 115, 81, 189, 199, 140, 141, 138, 166, 175, 106, 243, 51, 38, 141, 124, 139, 238, 194, 79, 152, 203, 132, 94, 106, 133, 93, 195, 107, 161, 32, 52, 16, 54, 45, 91, 4, 111, 192, 162, 209, 119, 30, 112, 15, 48, 157, 72, 191, 55, 170, 233, 173, 36, 70, 44, 183, 19, 85, 153, 170, 14, 142, 81, 221, 20, 24, 194, 169, 203, 70, 53, 150, 5, 208, 77, 237, 247, 29, 181, 61, 218, 200, 151, 185, 50, 198, 21, 62, 175, 72, 177, 188, 223, 86, 186, 242, 230, 65, 156, 117, 110, 242, 86, 152, 13, 126, 180, 188, 237, 47, 129, 207, 121, 60, 167, 93, 227, 9, 95, 125, 232, 167, 246, 158, 109, 216, 4, 250, 144, 113, 36, 113, 35, 1, 127, 27, 27, 58, 79, 217, 63, 110, 8, 16, 172, 146, 126, 216, 135, 28, 212, 42, 166, 121, 181, 27, 250, 111, 88, 233, 90, 84, 214, 53, 27, 31, 98, 92, 25, 154, 223, 175, 68, 213, 60, 161, 116, 65, 35, 189, 180, 31, 242, 10, 21, 31, 125, 122, 205, 72, 157, 82, 168, 51, 62, 91, 149, 178, 93, 107, 60, 147, 179, 134, 131, 238, 154, 151, 76, 86, 62, 30, 49, 140, 210, 79, 188, 69, 103, 195, 20, 252, 91, 18, 153, 219, 23, 93, 66, 74, 32, 150, 99, 203, 142, 3, 19, 12, 241, 97, 199, 2, 72, 4, 30, 126, 120, 131, 248, 30, 141, 215, 248, 214, 104, 130, 93, 243, 178, 135, 82, 212, 184, 209, 124, 179, 125, 99, 113, 212, 72, 218, 239, 80, 24, 14, 196, 236, 26, 119, 252, 189, 247, 214, 176, 58, 220, 180, 67, 93, 1, 209, 35, 114, 79, 216, 226, 91, 30, 110, 100, 110, 55, 112, 85, 186, 201, 172, 2, 31, 223, 103, 230, 231, 107, 11, 169, 184, 124, 40, 22, 156, 28, 13, 148, 241, 35, 204, 166, 209, 134, 59, 17, 238, 61, 110, 173, 47, 29, 183, 119, 96, 150, 223, 85, 116, 166, 173, 160, 31, 243, 119, 65, 218, 49, 153, 152, 105, 29, 250, 13, 63, 2, 79, 180, 243, 27, 139, 254, 185, 167, 52, 57, 226, 166, 40, 181, 31, 117, 185, 131, 97, 119, 221, 164, 63, 48, 65, 174, 183, 46, 233, 174, 11, 64, 91, 232, 193, 28, 86, 203, 183, 130, 237, 86, 78, 91, 88, 100, 171, 106, 133, 188, 218, 165, 25, 43, 80, 44, 8, 97, 211, 28, 15, 138, 162, 92, 125, 45, 115, 249, 95, 97, 10, 49, 198, 213, 1, 182, 168, 61, 155, 189, 242, 100, 114, 137, 12, 250, 103, 183, 172, 38, 148, 111, 209, 211, 81, 184, 162, 221, 236, 152, 157, 32, 103, 10, 125, 73, 96, 149, 184, 186, 151, 18, 69, 218, 62, 145, 67, 49, 160, 49, 113, 141, 227, 144, 221, 159, 77, 107, 240, 182, 158, 106, 175, 31, 84, 226, 29, 179, 179, 173, 219, 92, 89, 154, 210, 209, 143, 172, 76, 47, 102, 37, 219, 0, 179, 182, 179, 18, 151, 178, 56, 78, 236, 163, 105, 31, 102, 214, 242, 104, 75, 169, 186, 226, 61, 156, 161, 226, 92, 133, 48, 117, 42, 155, 220, 230, 234, 162, 78, 88, 127, 184, 120, 168, 201, 6, 134, 93, 86, 108, 208, 34, 238, 12, 182, 249, 29, 140, 186, 146, 32, 79, 175, 77, 169, 235, 69, 43, 178, 197, 141, 196, 39, 50, 56, 129, 75, 162, 58, 14, 181, 129, 197, 102, 153, 67, 161, 44, 5, 99, 107, 237, 6, 172, 157, 115, 46, 60, 126, 128, 57, 174, 232, 180, 185, 189, 243, 66, 171, 80, 182, 160, 92, 180, 167, 114, 119, 114, 93, 77, 188, 225, 166, 11, 190, 228, 163, 75, 190, 63, 175, 112, 240, 96, 93, 65, 88, 44, 22, 121, 202, 128, 189, 223, 174, 161, 146, 9, 250, 192, 87, 171, 187, 204, 199, 68, 55, 141, 207, 183, 11, 54, 18, 196, 73, 228, 255, 106, 31, 19, 47, 146, 249, 196, 103, 209, 20, 43, 196, 23, 134, 6, 110, 185, 61, 105, 172, 143, 9, 194, 108, 165, 210, 112, 250, 43, 163, 95, 15, 23, 239, 56, 234, 36, 136, 157, 106, 207, 10, 37, 115, 245, 14, 245, 39, 186, 200, 0, 223, 71, 87, 40, 7, 126, 132, 95, 25, 216, 10, 183, 34, 246, 63, 252, 53, 107, 168, 92, 60, 177, 226, 112, 115, 236, 86, 255, 175, 137, 56, 42, 42, 53, 44, 108, 106, 154, 80, 28, 194, 13, 35, 130, 52, 18, 14, 147, 41, 150, 255, 1, 163, 166, 199, 103, 151, 248, 177, 161, 145, 237, 138, 96, 199, 192, 204, 194, 72, 206, 71, 253, 91, 169, 25, 80, 57, 125, 237, 47, 221, 253, 82, 171, 255, 209, 224, 116, 247, 40, 45, 201, 251, 137, 106, 99, 8, 0, 70, 42, 29, 251, 205, 221, 59, 250, 46, 218, 38, 89, 56, 69, 248, 168, 229, 143, 64, 99, 225, 14, 207, 194, 226, 21, 215, 11, 254, 244, 170, 184, 68, 2, 89, 96, 239, 95, 236, 115, 120, 30, 86, 19, 170, 204, 21, 16, 42, 161, 129, 215, 228, 165, 238, 74, 73, 212, 101, 169, 197, 210, 5, 165, 251, 198, 59, 112, 54, 65, 14, 88, 76, 13, 232, 157, 21, 157, 248, 90, 60, 249, 94, 33, 78, 199, 77, 231, 16, 156, 105, 3, 251, 84, 74, 46, 103, 215, 190, 15, 37, 226, 30, 209, 142, 160, 119, 25, 145, 228, 212, 210, 130, 11, 21, 207, 182, 37, 182, 254, 106, 62, 23, 218, 152, 63, 199, 95, 158, 226, 207, 128, 2, 239, 142, 27, 207, 35, 180, 228, 68, 49, 209, 178, 153, 187, 255, 19, 229, 54, 162, 210, 92, 50, 187, 52, 165, 204, 46, 179, 247, 119, 75, 163, 154, 82, 170, 231, 230, 238, 30, 21, 185, 88, 55, 112, 190, 108, 228, 168, 170, 32, 151, 15, 69, 29, 24, 99, 156, 246, 16, 18, 140, 254, 14, 110, 89, 161, 203, 3, 174, 113, 202, 110, 248, 4, 16, 26, 137, 19, 38, 70, 21, 136, 28, 188, 136, 3, 233, 96, 128, 245, 76, 67, 65, 127, 106, 177, 126, 30, 214, 38, 225, 211, 223, 177, 192, 170, 101, 142, 57, 18, 75, 251, 133, 96, 206, 87, 9, 174, 86, 127, 156, 205, 93, 2, 255, 56, 101, 34, 93, 89, 129, 210, 138, 181, 5, 209, 243, 50, 240, 68, 112, 241, 145, 169, 45, 180, 114, 1, 87, 38, 215, 250, 8, 179, 159, 109, 6, 131, 234, 4, 242, 16, 220, 105, 79, 113, 131, 35, 214, 95, 231, 200, 89, 241, 21, 247, 25, 31, 104, 224, 115, 173, 178, 25, 59, 73, 157, 145, 72, 212, 103, 126, 11, 203, 228, 104, 34, 163, 121, 205, 229, 183, 184, 23, 254, 134, 140, 9, 34, 50, 245, 243, 105, 169, 26, 209, 157, 226, 196, 128, 248, 243, 125, 150, 197, 6, 216, 118, 112, 72, 136, 9, 35, 85, 221, 234, 36, 6, 77, 253, 133, 113, 220, 0, 161, 143, 12, 119, 52, 184, 170, 141, 43, 119, 157, 99, 26, 210, 244, 21, 132, 38, 222, 213, 164, 249, 240, 17, 169, 183, 16, 44, 162, 230, 113, 219, 27, 26, 51, 242, 27, 15, 25, 86, 21, 17, 7, 250, 173, 197, 217, 9, 15, 107, 243, 219, 89, 155, 52, 93, 50, 36, 149, 120, 168, 196, 172, 26, 7, 9, 143, 78, 43, 87, 0, 173, 234, 248, 146, 224, 84, 7, 48, 252, 210, 218, 241, 206, 241, 153, 38, 101, 189, 197, 61, 22, 166, 164, 79, 213, 226, 116, 107, 202, 81, 175, 72, 83, 74, 113, 177, 253, 48, 241, 44, 74, 106, 227, 213, 48, 3, 54, 60, 66, 226, 209, 126, 214, 154, 65, 154, 59, 173, 112, 242, 172, 39, 188, 151, 19, 40, 246, 44, 19, 10, 218, 233, 23, 221, 17, 19, 151, 56, 42, 99, 61, 219, 202, 129, 51, 199, 196, 247, 46, 71, 251, 82, 183, 165, 197, 246, 168, 153, 38, 203, 94, 70, 162, 206, 230, 146, 204, 69, 232, 163, 34, 83, 53, 153, 32, 78, 97, 186, 184, 29, 186, 14, 50, 38, 15, 182, 11, 21, 168, 114, 106, 29, 131, 3, 134, 151, 198, 174, 30, 138, 181, 116, 190, 83, 229, 83, 119, 39, 216, 78, 240, 157, 202, 202, 101, 219, 228, 62, 170, 120, 21, 50, 213, 248, 136, 38, 4, 105, 39, 117, 129, 30, 230, 75, 146, 79, 215, 187, 30, 235, 225, 132, 56, 149, 15, 29, 229, 89, 249, 201, 186, 254, 105, 69, 219, 38, 99, 34, 79, 48, 201, 187, 130, 203, 165, 30, 213, 212, 241, 183, 137, 51, 33, 110, 204, 41, 2, 96, 229, 235, 45, 222, 126, 78, 113, 85, 8, 149, 125, 184, 69, 241, 153, 140, 107, 88, 99, 214, 143, 122, 67, 155, 209, 4, 55, 209, 155, 26, 151, 169, 215, 231, 167, 208, 96, 181, 167, 58, 50, 91, 227, 76, 195, 148, 16, 12, 189, 101, 14, 87, 170, 143, 63, 8, 188, 253, 180, 241, 42, 26, 243, 158, 198, 138, 116, 62, 7, 98, 109, 109, 243, 28, 144, 166, 115, 197, 185, 87, 1, 4, 47, 190, 214, 31, 132, 104, 165, 52, 77, 52, 47, 181, 127, 74, 164, 141, 161, 90, 94, 249, 244, 91, 136, 47, 107, 182, 136, 140, 137, 146, 154, 20, 158, 177, 157, 128, 47, 139, 53, 248, 195, 75, 114, 161, 111, 77, 170, 0, 205, 183, 232, 241, 56, 214, 150, 142, 67, 238, 198, 168, 255, 200, 4, 148, 230, 1, 242, 61, 36, 241, 142, 86, 87, 151, 188, 177, 183, 51, 229, 35, 164, 192, 202, 3, 47, 54, 69, 255, 118, 140, 65, 59, 165, 53, 24, 74, 5, 54, 0, 7, 212, 93, 117, 137, 229, 183, 64, 92, 201, 252, 173, 173, 102, 191, 201, 96, 88, 33, 145, 252, 187, 23, 180, 81, 81, 115, 50, 252, 59, 103, 138, 12, 212, 169, 151, 211, 205, 239, 60, 78, 117, 61, 219, 203, 235, 90, 151, 80, 18, 235, 85, 43, 112, 233, 223, 192, 139, 179, 149, 106, 108, 26, 57, 253, 109, 26, 40, 120, 59, 137, 9, 221, 122, 27, 90, 18, 154, 135, 172, 58, 109, 249, 5, 60, 187, 172, 89, 185, 90, 182, 173, 46, 230, 194, 196, 73, 230, 28, 19, 225, 81, 157, 95, 29, 150, 191, 254, 175, 165, 210, 150, 187, 39, 211, 195, 225, 110, 123, 86, 22, 119, 115, 89, 165, 221, 202, 131, 3, 86, 7, 211, 227, 35, 124, 53, 152, 53, 199, 124, 176, 146, 109, 37, 59, 219, 60, 93, 211, 72, 218, 21, 116, 164, 97, 238, 142, 44, 68, 4, 155, 190, 87, 253, 111, 142, 42, 77, 112, 142, 156, 244, 172, 217, 22, 79, 32, 89, 117, 182, 58, 43, 138, 85, 149, 51, 26, 140, 0, 76, 124, 211, 161, 94, 254, 24, 222, 84, 173, 102, 57, 11, 28, 195, 164, 248, 180, 165, 16, 250, 59, 122, 77, 16, 47, 145, 61, 70, 38, 230, 96, 228, 89, 97, 188, 144, 55, 174, 17, 206, 165, 39, 186, 161, 14, 24, 3, 241, 222, 237, 181, 157, 192, 182, 121, 82, 71, 150, 2, 12, 232, 76, 102, 25, 218, 225, 210, 116, 191, 212, 145, 55, 135, 193, 4, 241, 83, 192, 88, 180, 41, 57, 237, 55, 232, 135, 91, 77, 39, 16, 68, 223, 41, 122, 206, 80, 107, 170, 34, 232, 74, 41, 210, 112, 148, 66, 142, 91, 28, 145, 122, 249, 78, 62, 143, 184, 198, 3, 189, 11, 91, 120, 224, 224, 102, 91, 164, 174, 55, 19, 32, 234, 154, 61, 140, 140, 202, 222, 136, 208, 71, 43, 44, 139, 224, 190, 222, 84, 7, 210, 207, 123, 94, 220, 144, 89, 89, 206, 36, 129, 124, 41, 61, 195, 239, 150, 30, 14, 141, 39, 17, 39, 213, 197, 194, 7, 42, 7, 22, 93, 186, 150, 240, 204, 56, 106, 123, 62, 182, 13, 124, 15, 82, 102, 162, 146, 245, 118, 248, 169, 159, 183, 102, 120, 236, 110, 97, 44, 5, 117, 172, 56, 171, 64, 50, 217, 78, 112, 9, 207, 185, 97, 200, 216, 138, 89, 241, 177, 159, 190, 110, 31, 178, 13, 194, 46, 249, 156, 116, 245, 130, 193, 202, 152, 250, 199, 87, 226, 218, 20, 155, 210, 238, 92, 245, 196, 10, 73, 126, 92, 92, 228, 151, 9, 77, 40, 109, 160, 75, 195, 169, 41, 197, 177, 40, 230, 146, 31, 165, 121, 8, 150, 229, 181, 8, 218, 61, 36, 49, 134, 235, 181, 243, 136, 35, 181, 167, 72, 248, 203, 60, 14, 165, 132, 46, 48, 193, 127, 214, 173, 232, 156, 230, 168, 89, 79, 87, 18, 110, 249, 214, 18, 162, 168, 190, 196, 195, 24, 75, 32, 225, 142, 251, 39, 41, 193, 212, 11, 157, 26, 102, 27, 228, 118, 54, 94, 3, 184, 132, 60, 108, 205, 197, 63, 66, 51, 186, 192, 197, 62, 13, 154, 3, 159, 49, 232, 150, 145, 65, 70, 47, 70, 69, 205, 194, 3, 57, 234, 29, 238, 244, 75, 219, 248, 217, 44, 64, 233, 214, 233, 248, 48, 157, 12, 239, 211, 102, 20, 167, 166, 50, 82, 245, 193, 87, 130, 142, 234, 199, 3, 138, 27, 189, 250, 1, 158, 210, 228, 50, 234, 216, 145, 168, 108, 133, 212, 28, 221, 132, 126, 43, 123, 145, 26, 23, 180, 83, 98, 186, 161, 198, 194, 231, 206, 197, 76, 69, 12, 192, 46, 89, 229, 14, 22, 7, 227, 92, 71, 20, 153, 163, 73, 99, 188, 126, 186, 62, 124, 130, 218, 53, 84, 211, 192, 19, 193, 180, 168, 117, 139, 130, 89, 186, 221, 57, 118, 194, 42, 101, 36, 97, 8, 106, 50, 147, 30, 19, 136, 90, 188, 185, 1, 11, 76, 55, 9, 115, 102, 228, 153, 131, 3, 89, 20, 3, 58, 64, 47, 254, 217, 62, 142, 226, 3, 217, 219, 197, 143, 94, 232, 215, 148, 185, 101, 41, 57, 123, 180, 30, 118, 146, 74, 157, 158, 2, 95, 136, 135, 171, 122, 254, 192, 121, 14, 229, 250, 137, 80, 253, 138, 234, 91, 171, 69, 121, 130, 61, 73, 180, 63, 46, 241, 170, 11, 2, 178, 49, 0, 138, 14, 183, 214, 205, 39, 146, 67, 121, 74, 44, 116, 50, 220, 190, 29, 233, 230, 42, 123, 31, 187, 72, 21, 194, 185, 76, 217, 18, 155, 133, 158, 221, 13, 94, 153, 8, 164, 195, 9, 86, 44, 251, 36, 205, 74, 184, 204, 39, 39, 168, 241, 85, 208, 37, 138, 222, 217, 98, 41, 149, 255, 219, 213, 61, 139, 136, 239, 173, 124, 194, 73, 134, 140, 30, 81, 27, 178, 162, 107, 0, 145, 31, 58, 25, 69, 185, 69, 116, 117, 134, 45, 65, 63, 99, 66, 9, 254, 53, 119, 42, 248, 192, 138, 132, 240, 221, 85, 54, 78, 13, 182, 46, 54, 216, 205, 221, 237, 201, 153, 68, 218, 223, 127, 30, 48, 124, 108, 97, 73, 218, 92, 95, 44, 88, 62, 200, 193, 1, 139, 157, 75, 59, 6, 8, 94, 15, 1, 105, 107, 3, 77, 169, 165, 219, 201, 73, 237, 156, 141, 60, 36, 62, 168, 184, 242, 121, 199, 89, 149, 177, 236, 241, 167, 127, 136, 23, 168, 67, 67, 209, 71, 112, 59, 239, 18, 130, 16, 29, 189, 122, 243, 119, 37, 195, 134, 240, 2, 93, 52, 55, 148, 215, 196, 144, 99, 155, 197, 74, 176, 222, 116, 202, 22, 16, 103, 139, 149, 233, 233, 86, 246, 209, 126, 222, 215, 49, 142, 166, 17, 226, 136, 216, 90, 186, 40, 135, 54, 162, 201, 150, 0, 70, 147, 208, 81, 166, 106, 81, 245, 20, 177, 4, 76, 130, 104, 17, 40, 3, 141, 162, 94, 4, 233, 13, 232, 173, 108, 253, 214, 122, 187, 177, 223, 164, 241, 102, 231, 23, 108, 65, 169, 75, 99, 10, 247, 107, 18, 70, 232, 195, 144, 169, 241, 51, 160, 202, 64, 213, 15, 82, 217, 214, 173, 90, 124, 3, 104, 65, 63, 43, 245, 50, 121, 160, 116, 107, 203, 250, 71, 18, 29, 168, 108, 63, 149, 108, 72, 100, 217, 93, 24, 31, 206, 121, 206, 117, 9, 122, 55, 15, 93, 101, 185, 149, 178, 23, 97, 153, 92, 118, 170, 190, 238, 5, 204, 140, 165, 127, 219, 223, 242, 10, 24, 90, 41, 95, 150, 23, 33, 191, 0, 13, 223, 95, 46, 26, 62, 102, 3, 133, 208, 135, 206, 42, 126, 250, 107, 114, 203, 232, 107, 203, 137, 41, 160, 16, 15, 198, 228, 61, 239, 137, 88, 173, 210, 189, 159, 32, 248, 180, 204, 39, 102, 109, 83, 228, 114, 224, 76, 136, 205, 221, 130, 50, 142, 160, 86, 95, 123, 108, 151, 172, 1, 7, 192, 101, 209, 111, 150, 252, 205, 176, 179, 232, 12, 141, 27, 247, 36, 70, 103, 114, 184, 95, 0, 175, 81, 209, 15, 153, 228, 233, 70, 61, 77, 29, 191, 76, 119, 117, 47, 225, 164, 35, 184, 148, 30, 78, 4, 97, 161, 189, 77, 103, 246, 251, 179, 122, 122, 63, 223, 156, 138, 178, 161, 54, 186, 157, 175, 57, 141, 128, 172, 131, 200, 57, 182, 139, 101, 157, 134, 141, 244, 233, 118, 45, 42, 77, 41, 190, 30, 122, 182, 70, 247, 131, 157, 23, 74, 59, 250, 188, 23, 94, 180, 70, 150, 124, 179, 204, 170, 228, 70, 36, 13, 73, 164, 150, 189, 215, 19, 70, 191, 4, 194, 73, 96, 77, 39, 156, 122, 12, 136, 103, 222, 112, 39, 48, 31, 14, 74, 40, 155, 178, 255, 12, 48, 23, 228, 10, 48, 164, 225, 201, 154, 11, 2, 173, 51, 196, 126, 111, 164, 133, 3, 69, 82, 41, 169, 199, 185, 185, 79, 135, 80, 156, 220, 232, 239, 248, 56, 18, 43, 81, 232, 148, 233, 74, 128, 65, 131, 163, 69, 245, 35, 146, 167, 198, 128, 68, 53, 41, 12, 5, 247, 110, 57, 160, 46, 222, 218, 188, 154, 64, 1, 66, 9, 208, 60, 206, 105, 199, 251, 151, 56, 98, 165, 85, 60, 38, 143, 14, 63, 174, 153, 198, 84, 135, 205, 57, 206, 121, 120, 244, 21, 142, 147, 135, 195, 221, 214, 143, 84, 3, 191, 10, 214, 42, 50, 12, 18, 225, 145, 156, 252, 146, 24, 207, 123, 56, 130, 35, 189, 122, 136, 86, 194, 141, 91, 245, 213, 13, 56, 128, 24, 50, 199, 72, 1, 32, 139, 250, 251, 138, 241, 181, 84, 1, 137, 51, 73, 221, 136, 80, 224, 48, 10, 66, 199, 89, 127, 124, 243, 177, 127, 207, 164, 128, 222, 195, 233, 79, 10, 97, 56, 160, 252, 95, 18, 14, 177, 223, 131, 169, 29, 185, 202, 153, 55, 27, 170, 216, 246, 36, 113, 54, 6, 74, 35, 67, 93, 180, 45, 61, 0, 104, 86, 165, 192, 47, 119, 143, 228, 123, 126, 217, 168, 89, 48, 206, 108, 156, 225, 88, 120, 255, 163, 111, 76, 147, 13, 252, 145, 8, 224, 27, 190, 120, 168, 124, 32, 184, 48, 131, 177, 107, 241, 9, 95, 60, 118, 237, 234, 199, 94, 210, 20, 219, 197, 222, 112, 113, 84, 91, 124, 113, 188, 105, 253, 187, 142, 80, 58, 44, 158, 188, 212, 30, 140, 106, 163, 12, 83, 33, 158, 172, 111, 122, 230, 97, 226, 143, 100, 146, 84, 193, 167, 61, 97, 25, 40, 253, 149, 93, 86, 242, 228, 139, 39, 202, 249, 239, 152, 230, 151, 162, 93, 190, 50, 5, 144, 196, 149, 136, 141, 42, 59, 79, 164, 134, 112, 237, 159, 123, 206, 4, 170, 186, 84, 207, 125, 122, 247, 0, 134, 65, 104, 105, 203, 169, 34, 82, 152, 53, 249, 33, 46, 214, 221, 24, 160, 180, 55, 43, 86, 64, 126, 153, 39, 255, 130, 184, 97, 100, 187, 82, 220, 58, 179, 142, 88, 10, 71, 211, 235, 235, 169, 65, 201, 170, 252, 14, 110, 221, 16, 77, 173, 10, 213, 183, 139, 36, 255, 166, 237, 103, 217, 255, 218, 98, 8, 165, 110, 180, 18, 49, 199, 44, 177, 103, 193, 166, 150, 20, 74, 237, 8, 11, 220, 38, 162, 188, 93, 173, 192, 133, 247, 87, 42, 203, 62, 45, 172, 58, 30, 150, 214, 73, 206, 32, 170, 248, 121, 101, 131, 232, 130, 232, 156, 98, 28, 118, 156, 143, 225, 124, 124, 62, 95, 38, 87, 110, 14, 248, 64, 161, 231, 178, 71, 116, 6, 147, 134, 109, 216, 230, 250, 110, 204, 89, 19, 7, 107, 16, 239, 78, 170, 193, 124, 201, 242, 20, 245, 46, 17, 224, 37, 183, 161, 177, 112, 246, 8, 158, 73, 251, 103, 185, 221, 179, 234, 156, 69, 159, 135, 57, 227, 161, 144, 243, 155, 151, 137, 79, 125, 123, 137, 190, 59, 121, 135, 233, 61, 113, 236, 240, 236, 55, 130, 167, 29, 160, 202, 125, 120, 159, 220, 179, 221, 103, 57, 202, 209, 100, 179, 143, 59, 96, 132, 255, 121, 82, 98, 152, 224, 31, 95, 166, 212, 255, 95, 252, 59, 78, 159, 184, 4, 213, 165, 30, 139, 210, 101, 221, 182, 105, 149, 161, 92, 92, 7, 199, 195, 232, 80, 233, 16, 227, 15, 77, 93, 66, 44, 252, 169, 88, 225, 49, 174, 245, 252, 255, 77, 104, 4, 211, 224, 231, 142, 112, 215, 164, 253, 107, 105, 249, 210, 30, 255, 115, 61, 37, 189, 34, 241, 139, 213, 26, 52, 207, 25, 208, 15, 97, 230, 241, 12, 0, 96, 100, 164, 58, 84, 99, 132, 119, 76, 245, 168, 92, 145, 204, 186, 1, 109, 42, 1, 137, 197, 27, 100, 124, 133, 219, 15, 32, 236, 122, 228, 39, 6, 71, 217, 132, 219, 199, 137, 143, 59, 222, 153, 190, 174, 138, 128, 175, 114, 75, 167, 107, 61, 155, 71, 193, 164, 58, 43, 114, 71, 36, 38, 71, 233, 85, 162, 199, 75, 86, 208, 139, 155, 119, 41, 86, 163, 218, 25, 187, 33, 189, 250, 133, 15, 234, 146, 220, 7, 84, 33, 13, 45, 78, 143, 55, 239, 186, 116, 6, 66, 143, 112, 140, 66, 180, 79, 109, 110, 17, 156, 170, 229, 16, 108, 219, 194, 139, 187, 143, 207, 144, 85, 210, 42, 184, 244, 26, 228, 131, 218, 22, 171, 123, 162, 200, 109, 150, 192, 111, 181, 205, 206, 229, 47, 96, 25, 37, 19, 12, 133, 120, 70, 130, 20, 206, 214, 121, 220, 33, 170, 103, 71, 149, 183, 70, 204, 187, 97, 75, 118, 91, 179, 243, 99, 170, 120, 10, 158, 254, 164, 53, 144, 90, 186, 144, 246, 179, 173, 41, 6, 31, 225, 232, 160, 30, 153, 246, 61, 125, 170, 0, 145, 114, 224, 151, 149, 173, 29, 170, 77, 249, 253, 242, 208, 181, 153, 253, 101, 237, 152, 70, 25, 16, 167, 102, 176, 111, 25, 218, 128, 99, 57, 246, 77, 230, 78, 29, 230, 82, 16, 184, 203, 148, 182, 146, 91, 11, 229, 130, 78, 223, 242, 248, 15, 193, 129, 41, 17, 246, 108, 252, 107, 26, 219, 243, 29, 171, 31, 167, 83, 141, 109, 34, 129, 138, 116, 255, 86, 45, 156, 116, 220, 174, 107, 97, 129, 69, 208, 133, 24, 230, 37, 177, 66, 49, 137, 165, 231, 194, 37, 114, 174, 29, 247, 169, 93, 102, 96, 139, 207, 211, 91, 92, 149, 139, 161, 239, 238, 70, 239, 70, 255, 141, 175, 105, 155, 192, 120, 108, 15, 120, 124, 239, 136, 120, 233, 62, 128, 16, 25, 223, 17, 4, 115, 95, 254, 207, 16, 244, 239, 255, 38, 169, 7, 100, 252, 99, 143, 234, 8, 120, 233, 105, 51, 5, 16, 130, 40, 109, 49, 244, 121, 34, 144, 30, 74, 126, 111, 158, 81, 238, 10, 197, 173, 145, 243, 198, 208, 50, 100, 167, 80, 214, 144, 29, 57, 104, 19, 31, 35, 237, 252, 139, 141, 143, 162, 218, 90, 50, 77, 35, 216, 177, 50, 221, 63, 44, 90, 247, 245, 98, 13, 253, 108, 139, 30, 23, 58, 117, 122, 87, 18, 254, 56, 64, 120, 113, 90, 122, 233, 73, 196, 159, 66, 65, 194, 176, 240, 254, 165, 249, 158, 227, 141, 217, 223, 249, 189, 129, 112, 224, 108, 3, 3, 139, 46, 173, 57, 113, 208, 164, 224, 173, 231, 134, 91, 181, 71, 94, 7, 201, 243, 74, 248, 98, 15, 30, 106, 83, 58, 63, 15, 46, 135, 114, 240, 169, 138, 62, 90, 156, 8, 141, 252, 31, 217, 187, 150, 40, 54, 24, 52, 188, 102, 141, 88, 57, 245, 141, 174, 52, 150, 214, 0, 89, 40, 160, 155, 173, 248, 104, 153, 138, 123, 175, 162, 88, 0, 206, 68, 71, 109, 213, 185, 178, 223, 196, 235, 136, 104, 171, 120, 103, 96, 238, 156, 10, 47, 14, 10, 2, 16, 212, 43, 54, 87, 168, 14, 21, 219, 127, 29, 165, 171, 19, 57, 12, 143, 99, 11, 129, 21, 31, 80, 55, 70, 5, 228, 99, 21, 110, 186, 106, 128, 20, 13, 248, 139, 104, 152, 200, 36, 136, 30, 102, 187, 207, 120, 245, 39, 181, 101, 50, 163, 39, 145, 223, 254, 132, 205, 111, 19, 185, 145, 124, 115, 228, 6, 166, 24, 117, 43, 198, 220, 160, 136, 34, 233, 224, 80, 31, 92, 178, 144, 197, 224, 70, 135, 245, 189, 95, 188, 132, 229, 186, 37, 189, 87, 205, 145, 7, 110, 94, 23, 238, 104, 125, 51, 86, 244, 36, 221, 154, 183, 157, 39, 124, 205, 80, 191, 249, 141, 41, 231, 98, 58, 208, 175, 217, 108, 229, 158, 214, 89, 217, 135, 125, 113, 30, 1, 163, 11, 69, 217, 57, 4, 100, 182, 200, 4, 10, 46, 112, 73, 156, 231, 224, 38, 7, 61, 64, 8, 178, 82, 196, 255, 101, 203, 251, 171, 170, 178, 27, 58, 221, 180, 187, 85, 92, 1, 16, 171, 102, 244, 177, 12, 252, 142, 169, 120, 112, 243, 134, 33, 162, 145, 197, 67, 172, 170, 95, 45, 198, 50, 124, 30, 247, 198, 123, 27, 33, 106, 157, 38, 125, 32, 77, 90, 70, 150, 115, 55, 95, 65, 111, 172, 154, 197, 210, 38, 185, 38, 132, 49, 143, 13, 112, 216, 213, 210, 238, 69, 84, 31, 226, 239, 83, 95, 179, 200, 249, 127, 58, 121, 117, 149, 100, 105, 141, 207, 39, 251, 201, 178, 149, 109, 8, 154, 56, 145, 69, 0, 96, 4, 221, 73, 242, 40, 204, 32, 99, 166, 177, 248, 89, 33, 37, 45, 137, 139, 59, 121, 49, 192, 196, 175, 146, 226, 9, 25, 232, 43, 140, 49, 152, 19, 217, 7, 247, 83, 79, 92, 31, 217, 137, 6, 219, 82, 160, 58, 209, 99, 86, 213, 118, 16, 202, 71, 211, 23, 202, 122, 225, 181, 28, 171, 167, 10, 93, 218, 74, 45, 41, 46, 155, 69, 121, 18, 4, 7, 53, 140, 74, 108, 238, 74, 71, 163, 184, 233, 120, 147, 162, 112, 94, 0, 43, 250, 137, 109, 245, 100, 16, 12, 180, 23, 203, 192, 174, 237, 234, 210, 210, 92, 117, 194, 188, 199, 173, 84, 39, 219, 97, 93, 227, 246, 238, 83, 24, 60, 161, 225, 144, 36, 161, 162, 53, 20, 36, 99, 9, 119, 71, 178, 26, 131, 150, 88, 233, 169, 95, 220, 101, 92, 147, 253, 22, 218, 10, 25, 95, 177, 192, 198, 200, 84, 149, 29, 0, 183, 108, 97, 246, 20, 246, 76, 65, 165, 17, 47, 192, 130, 243, 240, 8, 100, 223, 202, 74, 40, 227, 241, 249, 80, 101, 137, 45, 57, 54, 38, 131, 56, 106, 20, 191, 110, 12, 23, 98, 181, 164, 29, 102, 43, 69, 140, 150, 156, 15, 166, 126, 155, 247, 209, 227, 108, 160, 59, 91, 242, 226, 204, 115, 1, 93, 53, 4, 217, 89, 0, 56, 95, 177, 211, 80, 120, 89, 160, 212, 24, 23, 15, 33, 132, 205, 11, 148, 136, 83, 66, 189, 4, 49, 101, 239, 164, 142, 252, 252, 170, 194, 210, 216, 61, 121, 68, 16, 185, 84, 121, 101, 97, 219, 156, 192, 207, 40, 111, 13, 105, 83, 105, 31, 205, 15, 99, 131, 229, 253, 222, 216, 163, 211, 36, 88, 137, 63, 189, 178, 161, 167, 163, 233, 64, 99, 8, 113, 152, 238, 108, 159, 194, 10, 86, 115, 35, 115, 77, 147, 15, 75, 61, 112, 25, 195, 18, 156, 168, 69, 74, 155, 151, 17, 179, 83, 224, 56, 82, 27, 68, 96, 186, 26, 3, 187, 50, 205, 31, 166, 227, 100, 126, 203, 220, 35, 214, 121, 21, 68, 21, 41, 37, 156, 39, 27, 210, 203, 222, 165, 235, 230, 79, 96, 204, 209, 25, 65, 110, 78, 109, 81, 246, 110, 121, 190, 117, 40, 74, 66, 74, 245, 234, 5, 3, 87, 122, 224, 146, 60, 207, 18, 46, 79, 169, 210, 191, 17, 38, 241, 199, 130, 97, 25, 129, 86, 230, 58, 199, 85, 167, 129, 2, 111, 179, 138, 157, 162, 254, 162, 216, 233, 236, 69, 36, 190, 37, 18, 27, 223, 40, 49, 215, 209, 68, 74, 31, 141, 64, 230, 255, 180, 136, 31, 88, 108, 36, 70, 175, 165, 100, 129, 140, 131, 11, 164, 227, 164, 207, 25, 155, 106, 105, 76, 106, 40, 84, 119, 52, 7, 14, 115, 49, 212, 247, 165, 40, 37, 133, 163, 13, 173, 223, 148, 7, 19, 27, 98, 115, 34, 182, 246, 107, 123, 115, 13, 46, 201, 99, 15, 249, 49, 101, 61, 143, 18, 153, 199, 67, 224, 92, 250, 68, 200, 39, 54, 242, 17, 1, 226, 15, 87, 116, 113, 202, 187, 24, 35, 87, 119, 218, 13, 215, 141, 108, 163, 50, 65, 51, 137, 186, 168, 20, 35, 145, 49, 234, 185, 190, 44, 37, 49, 70, 67, 11, 51, 212, 33, 83, 248, 178, 101, 249, 57, 123, 19, 195, 45, 98, 74, 195, 71, 135, 14, 13, 143, 116, 231, 94, 82, 122, 18, 196, 52, 90, 30, 177, 6, 212, 103, 150, 4, 35, 109, 66, 24, 18, 171, 24, 190, 107, 142, 143, 167, 200, 179, 76, 95, 158, 57, 160, 23, 76, 155, 66, 49, 53, 212, 232, 65, 77, 14, 14, 140, 16, 206, 49, 204, 208, 157, 206, 232, 238, 226, 83, 242, 50, 68, 245, 113, 119, 130, 51, 77, 48, 189, 193, 25, 193, 104, 208, 83, 60, 165, 24, 191, 39, 18, 62, 109, 73, 38, 127, 160, 117, 209, 173, 80, 221, 21, 71, 29, 242, 35, 96, 0, 61, 217, 230, 126, 26, 146, 90, 146, 237, 58, 131, 30, 50, 214, 86, 205, 180, 84, 171, 35, 53, 202, 148, 136, 144, 99, 85, 58, 130, 182, 248, 123, 3, 120, 62, 219, 240, 196, 157, 228, 172, 120, 36, 99, 73, 30, 82, 252, 18, 52, 49, 84, 227, 17, 18, 108, 148, 32, 53, 33, 169, 8, 44, 206, 118, 235, 53, 133, 254, 7, 63, 105, 9, 166, 25, 11, 168, 94, 38, 10, 49, 38, 210, 44, 128, 141, 75, 139, 62, 144, 233, 31, 218, 195, 141, 213, 227, 2, 253, 254, 202, 209, 36, 185, 244, 126, 140, 92, 80, 167, 52, 176, 221, 211, 113, 3, 103, 31, 226, 51, 244, 169, 238, 252, 46, 80, 245, 145, 54, 71, 233, 135, 21, 156, 30, 152, 21, 133, 87, 66, 161, 60, 57, 92, 112, 139, 103, 68, 59, 235, 4, 2, 156, 230, 40, 95, 36, 218, 175, 134, 124, 224, 99, 160, 95, 142, 41, 134, 59, 61, 150, 114, 191, 183, 224, 140, 63, 243, 73, 181, 124, 209, 25, 16, 249, 0, 71, 217, 104, 197, 12, 133, 202, 25, 101, 87, 77, 176, 225, 82, 133, 96, 136, 98, 20, 94, 227, 53, 178, 167, 254, 96, 27, 28, 89, 139, 55, 134, 69, 140, 199, 34, 25, 158, 100, 250, 88, 41, 79, 125, 45, 164, 41, 6, 223, 110, 12, 31, 82, 69, 57, 15, 207, 211, 123, 43, 92, 249, 227, 235, 75, 226, 43, 228, 73, 62, 81, 78, 145, 99, 129, 99, 187, 226, 12, 245, 122, 183, 64, 250, 181, 35, 98, 35, 181, 170, 57, 108, 130, 238, 136, 165, 128, 16, 159, 138, 122, 20, 51, 206, 199, 196, 163, 38, 229, 244, 118, 88, 37, 112, 198, 243, 152, 34, 116, 163, 171, 1, 244, 112, 9, 191, 1, 99, 109, 141, 57, 207, 208, 88, 191, 180, 48, 34, 67, 113, 109, 10, 96, 83, 43, 97, 153, 96, 224, 11, 239, 40, 48, 5, 140, 177, 176, 52, 72, 34, 80, 70, 195, 61, 25, 12, 24, 89, 81, 19, 134, 185, 106, 184, 189, 70, 98, 157, 245, 131, 168, 94, 122, 159, 187, 89, 11, 182, 148, 42, 215, 45, 57, 145, 11, 65, 19, 111, 229, 149, 17, 44, 200, 176, 19, 63, 49, 53, 156, 54, 230, 41, 96, 234, 89, 188, 228, 72, 182, 109, 94, 6, 240, 254, 210, 136, 179, 66, 82, 230, 66, 234, 90, 247, 223, 75, 146, 148, 216, 159, 235, 53, 51, 1, 164, 170, 182, 233, 46, 97, 33, 17, 244, 194, 123, 120, 153, 84, 239, 207, 107, 23, 141, 184, 160, 221, 124, 158, 29, 148, 136, 79, 61, 107, 144, 130, 155, 173, 168, 245, 180, 139, 39, 132, 234, 147, 246, 16, 254, 30, 64, 18, 10, 71, 238, 144, 247, 115, 83, 212, 216, 133, 228, 220, 213, 152, 178, 77, 169, 127, 226, 208, 74, 151, 249, 98, 26, 195, 139, 179, 116, 105, 145, 88, 3, 160, 133, 19, 22, 135, 245, 232, 85, 102, 223, 238, 245, 88, 36, 246, 31, 204, 144, 103, 56, 104, 233, 92, 133, 183, 239, 75, 63, 21, 22, 20, 219, 39, 199, 229, 226, 45, 166, 25, 5, 157, 241, 184, 198, 127, 116, 153, 253, 167, 206, 253, 144, 233, 128, 90, 203, 113, 149, 50, 99, 9, 251, 11, 64, 240, 59, 58, 112, 102, 90, 172, 94, 14, 79, 24, 195, 141, 208, 45, 17, 173, 229, 222, 82, 172, 19, 17, 210, 224, 110, 30, 208, 62, 48, 4, 37, 235, 15, 37, 68, 160, 129, 29, 230, 58, 106, 189, 182, 46, 116, 129, 197, 37, 147, 36, 21, 132, 60, 113, 50, 5, 142, 191, 154, 125, 204, 218, 167, 243, 108, 144, 229, 91, 118, 25, 116, 93, 12, 118, 191, 118, 142, 101, 11, 219, 180, 214, 178, 166, 87, 44, 175, 4, 66, 168, 170, 184, 206, 253, 191, 180, 131, 161, 53, 166, 119, 216, 64, 104, 117, 215, 86, 166, 2, 39, 215, 12, 51, 173, 48, 26, 178, 254, 176, 20, 19, 222, 68, 52, 121, 139, 148, 180, 221, 165, 7, 98, 78, 168, 102, 135, 192, 235, 161, 5, 198, 245, 200, 116, 32, 151, 240, 232, 48, 93, 116, 117, 69, 152, 251, 136, 14, 30, 124, 106, 206, 206, 88, 179, 164, 99, 51, 46, 175, 178, 4, 70, 171, 140, 99, 125, 235, 234, 175, 166, 235, 85, 230, 198, 149, 27, 138, 103, 65, 137, 86, 179, 103, 11, 254, 110, 46, 135, 237, 66, 115, 117, 161, 241, 77, 5, 135, 20, 180, 198, 36, 135, 4, 55, 70, 14, 198, 97, 37, 149, 41, 41, 51, 97, 180, 157, 11, 29, 75, 25, 135, 230, 241, 103, 42, 46, 185, 91, 157, 80, 100, 44, 217, 191, 186, 30, 75, 144, 144, 225, 108, 150, 200, 200, 122, 198, 54, 238, 230, 219, 59, 82, 169, 123, 82, 77, 197, 7, 38, 170, 206, 147, 220, 151, 197, 65, 225, 254, 62, 174, 240, 59, 133, 204, 93, 45, 77, 56, 30, 104, 214, 118, 16, 125, 22, 226, 170, 91, 187, 243, 212, 101, 149, 162, 169, 63, 232, 31, 225, 76, 30, 15, 112, 42, 147, 151, 114, 186, 169, 201, 219, 112, 185, 113, 232, 234, 54, 129, 44, 175, 254, 181, 165, 228, 158, 142, 34, 65, 25, 49, 18, 37, 178, 165, 189, 250, 136, 121, 236, 45, 214, 52, 210, 142, 235, 83, 133, 193, 79, 142, 253, 231, 93, 146, 54, 76, 237, 245, 227, 217, 124, 149, 127, 254, 120, 245, 104, 65, 140, 146, 78, 224, 48, 185, 224, 210, 70, 193, 52, 59, 22, 13, 135, 174, 182, 130, 135, 213, 131, 167, 41, 50, 63, 61, 92, 28, 250, 139, 182, 92, 25, 56, 234, 133, 127, 17, 2, 174, 27, 188, 222, 208, 242, 183, 242, 231, 4, 234, 33, 177, 88, 81, 59, 93, 161, 132, 178, 20, 74, 62, 221, 165, 24, 243, 104, 223, 182, 72, 21, 141, 66, 217, 218, 133, 48, 138, 53, 232, 43, 101, 104, 155, 109, 98, 27, 167, 20, 170, 241, 91, 76, 52, 28, 22, 158, 190, 170, 32, 54, 10, 39, 240, 195, 137, 9, 254, 18, 59, 24, 180, 141, 242, 48, 166, 236, 81, 190, 216, 147, 144, 81, 126, 204, 58, 85, 37, 249, 184, 76, 147, 178, 229, 25, 49, 26, 5, 243, 182, 48, 97, 112, 75, 238, 244, 160, 105, 62, 24, 228, 105, 52, 167, 32, 193, 63, 86, 87, 119, 255, 82, 51, 67, 194, 16, 226, 232, 87, 75, 231, 120, 208, 194, 8, 53, 180, 179, 94, 124, 166, 3, 135, 119, 244, 117, 7, 141, 136, 187, 210, 54, 36, 60, 184, 37, 173, 104, 39, 247, 132, 205, 181, 199, 136, 10, 84, 47, 145, 17, 182, 135, 146, 127, 131, 82, 162, 117, 150, 20, 113, 17, 49, 204, 12, 112, 220, 199, 197, 121, 226, 112, 221, 158, 82, 138, 49, 103, 8, 11, 214, 21, 210, 22, 89, 110, 13, 208, 71, 250, 60, 97, 10, 232, 171, 254, 69, 142, 164, 218, 143, 75, 53, 25, 96, 23, 203, 136, 67, 226, 174, 62, 50, 97, 179, 19, 155, 152, 10, 164, 229, 32, 123, 179, 24, 193, 33, 222, 173, 254, 53, 86, 236, 88, 117, 235, 48, 172, 91, 151, 187, 140, 175, 9, 136, 232, 151, 219, 187, 41, 207, 134, 254, 22, 192, 93, 251, 72, 76, 128, 239, 127, 232, 230, 32, 239, 221, 147, 74, 43, 45, 194, 73, 225, 131, 105, 13, 224, 190, 170, 67, 186, 170, 191, 101, 198, 56, 233, 169, 204, 188, 167, 178, 184, 29, 252, 240, 124, 88, 149, 183, 36, 190, 170, 230, 118, 255, 193, 6, 193, 45, 173, 128, 155, 173, 95, 218, 15, 230, 197, 104, 156, 119, 232, 109, 243, 97, 91, 233, 127, 110, 73, 62, 51, 196, 254, 24, 211, 40, 62, 104, 237, 132, 152, 171, 71, 226, 36, 35, 221, 187, 64, 169, 136, 101, 198, 3, 134, 166, 24, 55, 36, 2, 126, 218, 14, 98, 171, 114, 187, 58, 229, 180, 36, 193, 178, 52, 199, 190, 254, 166, 222, 240, 116, 216, 152, 140, 246, 80, 234, 119, 223, 52, 176, 86, 157, 46, 31, 48, 14, 29, 220, 45, 230, 159, 170, 46, 15, 90, 12, 81, 34, 29, 61, 21, 19, 18, 236, 85, 227, 120, 73, 73, 74, 215, 228, 53, 184, 99, 30, 32, 85, 92, 188, 141, 184, 85, 149, 238, 237, 131, 0, 74, 208, 185, 78, 98, 214, 147, 109, 58, 24, 189, 27, 69, 227, 187, 78, 101, 36, 50, 217, 86, 213, 21, 235, 246, 94, 172, 202, 177, 154, 120, 204, 153, 40, 37, 42, 239, 27, 210, 167, 113, 211, 213, 72, 57, 144, 82, 22, 130, 132, 204, 218, 180, 205, 222, 148, 10, 0, 187, 57, 48, 73, 156, 46, 43, 212, 116, 250, 156, 91, 175, 13, 92, 33, 18, 178, 158, 84, 8, 91, 187, 95, 69, 11, 243, 90, 203, 69, 221, 179, 115, 245, 5, 8, 254, 156, 201, 171, 20, 39, 50, 195, 42, 133, 96, 22, 46, 118, 132, 31, 214, 116, 36, 27, 201, 78, 4, 178, 90, 92, 221, 85, 102, 110, 149, 158, 157, 26, 201, 72, 126, 25, 91, 236, 253, 149, 90, 196, 28, 101, 56, 230, 23, 223, 106, 129, 138, 105, 51, 224, 54, 171, 133, 117, 217, 108, 213, 63, 144, 15, 131, 85, 89, 48, 81, 239, 2, 190, 174, 16, 194, 110, 204, 205, 215, 88, 190, 81, 78, 218, 106, 231, 155, 137, 237, 100, 252, 7, 69, 236, 247, 254, 250, 144, 197, 225, 5, 109, 254, 157, 115, 233, 145, 212, 154, 131, 251, 231, 156, 205, 163, 117, 229, 28, 185, 155, 107, 13, 220, 196, 82, 57, 75, 139, 59, 19, 65, 82, 203, 21, 119, 219, 84, 10, 238, 255, 145, 137, 5, 104, 255, 211, 197, 200, 7, 247, 149, 85, 206, 205, 242, 243, 194, 109, 184, 0, 180, 37, 183, 165, 117, 20, 164, 118, 77, 20, 94, 235, 1, 197, 237, 48, 59, 108, 125, 0, 153, 176, 184, 64, 209, 51, 71, 215, 144, 7, 203, 250, 190, 157, 148, 116, 110, 51, 19, 240, 12, 47, 131, 47, 212, 206, 52, 177, 78, 53, 195, 216, 123, 234, 127, 92, 0, 151, 154, 200, 97, 175, 226, 3, 0, 17, 117, 209, 74, 236, 40, 140, 18, 245, 40, 73, 245, 83, 110, 201, 170, 123, 252, 16, 91, 130, 5, 144, 168, 95, 77, 173, 172, 38, 123, 156, 149, 150, 85, 66, 168, 70, 149, 98, 182, 219, 111, 141, 162, 183, 190, 172, 1, 11, 22, 60, 235, 16, 50, 36, 73, 205, 98, 75, 207, 67, 24, 135, 225, 184, 156, 156, 213, 227, 147, 243, 177, 170, 23, 156, 243, 160, 78, 98, 55, 153, 12, 9, 200, 49, 80, 255, 65, 97, 141, 209, 142, 11, 212, 204, 43, 57, 25, 149, 113, 10, 147, 96, 20, 168, 143, 54, 46, 113, 89, 22, 202, 254, 162, 92, 59, 5, 36, 179, 42, 183, 103, 184, 249, 98, 109, 216, 122, 201, 98, 90, 66, 161, 202, 4, 73, 98, 41, 63, 26, 115, 170, 185, 156, 86, 211, 15, 164, 249, 13, 71, 117, 181, 212, 140, 59, 89, 223, 144, 148, 185, 6, 23, 176, 22, 228, 32, 227, 42, 123, 254, 231, 197, 124, 124, 155, 82, 120, 9, 59, 241, 118, 116, 180, 216, 214, 87, 107, 253, 190, 66, 59, 213, 102, 98, 60, 142, 123, 111, 154, 194, 127, 150, 208, 84, 38, 103, 122, 105, 145, 178, 60, 167, 178, 101, 180, 151, 52, 80, 206, 44, 169, 132, 5, 12, 217, 241, 157, 140, 120, 48, 111, 136, 147, 83, 215, 71, 42, 58, 166, 242, 145, 236, 89, 66, 69, 144, 37, 230, 46, 69, 142, 247, 181, 183, 208, 64, 60, 202, 13, 247, 69, 41, 233, 197, 168, 160, 132, 25, 177, 240, 245, 12, 155, 36, 236, 201, 207, 132, 97, 228, 6, 105, 167, 111, 180, 26, 205, 229, 86, 139, 55, 68, 104, 182, 109, 109, 226, 141, 80, 173, 247, 13, 190, 198, 25, 174, 235, 179, 215, 52, 2, 166, 172, 253, 34, 60, 219, 140, 99, 62, 85, 178, 46, 11, 6, 97, 99, 16, 194, 2, 190, 241, 52, 172, 176, 162, 1, 114, 70, 76, 74, 20, 132, 197, 203, 160, 164, 13, 239, 72, 234, 3, 67, 143, 78, 158, 79, 164, 114, 49, 247, 34, 165, 21, 51, 47, 166, 42, 171, 235, 24, 137, 130, 187, 180, 233, 215, 45, 4, 123, 23, 100, 179, 165, 174, 148, 152, 112, 234, 195, 0, 163, 109, 51, 37, 163, 197, 174, 87, 11, 213, 175, 200, 125, 120, 132, 75, 104, 131, 140, 145, 150, 63, 90, 26, 173, 123, 97, 87, 184, 107, 79, 248, 51, 27, 118, 216, 79, 19, 165, 204, 232, 80, 40, 139, 253, 203, 86, 88, 9, 212, 37, 232, 233, 77, 47, 206, 58, 88, 31, 167, 85, 187, 158, 201, 30, 18, 88, 158, 29, 159, 139, 134, 27, 145, 180, 72, 24, 26, 73, 11, 26, 161, 136, 65, 57, 153, 7, 148, 219, 92, 191, 211, 121, 131, 215, 176, 15, 45, 130, 2, 161, 26, 77, 56, 201, 83, 66, 70, 235, 237, 48, 159, 121, 123, 172, 229, 149, 79, 109, 155, 199, 216, 15, 195, 91, 152, 172, 157, 95, 50, 107, 203, 214, 1, 93, 39, 82, 152, 254, 35, 159, 132, 188, 60, 150, 143, 246, 10, 147, 102, 154, 45, 103, 68, 130, 23, 115, 94, 153, 140, 159, 133, 101, 190, 212, 124, 23, 195, 30, 135, 118, 97, 118, 242, 167, 133, 148, 9, 34, 228, 227, 100, 66, 107, 39, 212, 245, 3, 92, 228, 226, 153, 22, 79, 126, 24, 110, 105, 219, 126, 22, 40, 232, 252, 116, 35, 40, 130, 147, 91, 145, 133, 103, 163, 247, 15, 59, 165, 164, 53, 178, 113, 80, 112, 65, 121, 141, 145, 153, 19, 68, 109, 114, 196, 181, 181, 118, 47, 235, 2, 18, 216, 73, 78, 121, 197, 127, 156, 61, 49, 151, 71, 21, 170, 62, 90, 224, 235, 82, 18, 179, 205, 0, 118, 4, 201, 201, 225, 227, 11, 75, 44, 90, 206, 66, 90, 120, 248, 138, 54, 198, 107, 46, 158, 65, 187, 88, 16, 211, 208, 215, 120, 21, 165, 168, 55, 2, 107, 125, 165, 42, 60, 213, 246, 217, 92, 253, 133, 93, 118, 214, 108, 216, 127, 108, 180, 105, 105, 230, 165, 226, 99, 154, 90, 58, 106, 51, 218, 58, 43, 198, 65, 68, 61, 54, 215, 36, 66, 235, 76, 86, 6, 47, 109, 83, 90, 117, 125, 190, 19, 25, 149, 160, 94, 208, 86, 8, 84, 117, 111, 172, 146, 19, 69, 15, 14, 51, 207, 127, 122, 51, 34, 193, 72, 233, 104, 42, 17, 242, 202, 48, 115, 76, 134, 224, 105, 229, 42, 123, 50, 155, 218, 111, 182, 175, 33, 237, 207, 64, 191, 49, 15, 190, 55, 185, 90, 104, 47, 21, 169, 120, 192, 36, 135, 221, 52, 80, 159, 30, 235, 181, 155, 89, 15, 122, 96, 205, 165, 48, 14, 167, 128, 138, 1, 82, 32, 152, 1, 129, 138, 82, 243, 197, 198, 220, 126, 237, 128, 170, 97, 107, 205, 253, 34, 181, 231, 67, 242, 136, 71, 15, 25, 201, 8, 23, 48, 228, 38, 143, 58, 249, 255, 255, 218, 83, 148, 38, 104, 215, 103, 239, 193, 61, 106, 139, 98, 196, 43, 72, 24, 168, 155, 48, 92, 79, 6, 85, 36, 9, 22, 90, 154, 227, 205, 75, 191, 17, 118, 169, 122, 37, 70, 155, 94, 109, 196, 93, 38, 86, 103, 114, 26, 78, 149, 115, 107, 12, 80, 239, 98, 31, 50, 179, 57, 46, 69, 41, 1, 80, 93, 144, 101, 52, 234, 19, 225, 93, 106, 42, 242, 97, 196, 147, 166, 168, 35, 59, 79, 214, 77, 204, 202, 138, 62, 13, 112, 207, 70, 30, 122, 233, 79, 199, 118, 109, 241, 206, 7, 160, 35, 195, 224, 28, 236, 184, 196, 95, 228, 227, 151, 36, 31, 250, 23, 58, 27, 47, 122, 37, 70, 240, 91, 18, 218, 79, 147, 173, 75, 59, 185, 171, 80, 186, 187, 248, 96, 48, 116, 52, 162, 176, 14, 138, 110, 54, 5, 39, 159, 35, 188, 191, 92, 197, 177, 137, 194, 246, 236, 34, 47, 241, 186, 195, 69, 8, 210, 85, 25, 10, 20, 138, 197, 179, 135, 123, 23, 150, 91, 98, 152, 188, 153, 44, 84, 2, 56, 90, 216, 148, 163, 120, 221, 32, 49, 146, 83, 86, 92, 134, 185, 25, 41, 114, 19, 243, 99, 182, 206, 153, 85, 235, 158, 153, 143, 52, 179, 225, 178, 190, 179, 69, 142, 74, 1, 168, 128, 55, 196, 1, 160, 15, 142, 216, 197, 83, 110, 27, 142, 107, 166, 7, 95, 44, 70, 71, 49, 198, 44, 50, 230, 14, 20, 181, 241, 137, 120, 118, 71, 52, 16, 152, 183, 203, 255, 189, 27, 185, 217, 252, 44, 82, 128, 97, 77, 154, 103, 243, 114, 147, 212, 48, 23, 162, 217, 161, 80, 174, 113, 231, 135, 227, 111, 9, 15, 142, 51, 118, 93, 76, 11, 183, 65, 172, 192, 240, 123, 155, 177, 17, 36, 202, 243, 229, 167, 161, 2, 232, 166, 39, 131, 55, 147, 162, 28, 101, 239, 56, 208, 180, 238, 113, 75, 36, 209, 174, 153, 216, 216, 16, 215, 221, 139, 122, 39, 71, 193, 240, 168, 170, 218, 121, 244, 80, 152, 243, 208, 77, 197, 152, 135, 100, 254, 27, 40, 237, 165, 39, 223, 131, 162, 251, 14, 116, 234, 197, 73, 80, 59, 70, 107, 74, 197, 184, 246, 10, 215, 144, 109, 205, 83, 243, 161, 125, 51, 112, 246, 210, 51, 177, 157, 254, 235, 236, 216, 8, 229, 104, 214, 187, 23, 107, 134, 209, 77, 249, 75, 159, 50, 110, 114, 211, 93, 240, 124, 58, 108, 3, 187, 189, 208, 70, 146, 210, 210, 95, 190, 19, 68, 37, 159, 62, 218, 1, 53, 21, 150, 195, 146, 67, 130, 188, 115, 243, 219, 70, 107, 2, 52, 254, 76, 119, 92, 67, 163, 48, 156, 205, 61, 28, 53, 254, 79, 212, 214, 28, 140, 153, 12, 172, 159, 195, 9, 253, 191, 157, 135, 43, 218, 228, 109, 0, 214, 22, 26, 129, 23, 140, 240, 244, 31, 146, 203, 228, 161, 218, 55, 171, 133, 219, 127, 91, 95, 109, 169, 49, 140, 173, 33, 75, 24, 119, 164, 67, 202, 242, 11, 174, 254, 146, 175, 115, 138, 135, 35, 130, 111, 94, 103, 26, 115, 13, 150, 96, 2, 160, 127, 106, 182, 214, 203, 9, 249, 120, 244, 70, 107, 200, 165, 141, 88, 34, 53, 68, 216, 150, 156, 253, 66, 173, 190, 191, 164, 173, 177, 44, 252, 233, 100, 50, 217, 204, 65, 236, 7, 7, 110, 213, 174, 135, 240, 125, 106, 194, 202, 60, 19, 152, 51, 225, 169, 115, 138, 6, 56, 83, 96, 255, 124, 56, 86, 45, 168, 140, 91, 196, 104, 4, 129, 75, 180, 168, 206, 111, 156, 4, 228, 5, 3, 195, 4, 8, 97, 154, 128, 109, 200, 243, 103, 210, 112, 185, 117, 68, 48, 133, 184, 212, 95, 163, 231, 246, 147, 170, 181, 139, 202, 214, 115, 80, 124, 116, 187, 63, 104, 184, 246, 89, 209, 207, 93, 161, 122, 167, 23, 154, 65, 105, 30, 123, 216, 111, 113, 211, 157, 240, 71, 120, 175, 249, 229, 232, 206, 255, 67, 82, 239, 3, 216, 142, 191, 33, 246, 207, 211, 109, 81, 27, 217, 112, 194, 88, 192, 56, 225, 196, 146, 107, 167, 158, 98, 86, 122, 123, 103, 124, 45, 109, 219, 128, 89, 193, 246, 66, 158, 166, 231, 195, 194, 193, 240, 161, 153, 237, 20, 115, 15, 42, 172, 247, 185, 82, 35, 193, 224, 105, 110, 10, 229, 138, 33, 109, 28, 76, 32, 100, 113, 214, 29, 115, 215, 32, 35, 252, 1]
